package cn.addapp.pickers.common;

/* loaded from: classes.dex */
public class LineConfig {
    private static final int LINE_ALPHA = 220;
    private static final int LINE_COLOR = -8139290;
    private static final float LINE_THICK = 1.0f;
    private int alpha;
    private int color;
    private int height;
    private int itemHeight;
    private float ratio;
    private boolean shadowVisible;
    private float thick;
    private boolean visible;
    private int wheelSize;
    private int width;

    public enum DividerType {
        FILL,
        WRAP
    }

    public LineConfig() {
        this.visible = true;
        this.shadowVisible = false;
        this.color = LINE_COLOR;
        this.alpha = LINE_ALPHA;
        this.ratio = 0.16666667f;
        this.thick = 1.0f;
        this.width = 0;
        this.height = 0;
        this.itemHeight = 0;
        this.wheelSize = 0;
    }

    public LineConfig(float f2) {
        this.visible = true;
        this.shadowVisible = false;
        this.color = LINE_COLOR;
        this.alpha = LINE_ALPHA;
        this.thick = 1.0f;
        this.width = 0;
        this.height = 0;
        this.itemHeight = 0;
        this.wheelSize = 0;
        this.ratio = f2;
    }

    public void setVisible(boolean z) {
        this.visible = z;
    }

    public boolean isVisible() {
        return this.visible;
    }

    public void setShadowVisible(boolean z) {
        this.shadowVisible = z;
    }

    public boolean isShadowVisible() {
        return this.shadowVisible;
    }

    public int getColor() {
        return this.color;
    }

    public void setColor(int i2) {
        this.color = i2;
    }

    public int getAlpha() {
        return this.alpha;
    }

    public void setAlpha(int i2) {
        this.alpha = i2;
    }

    public float getRatio() {
        return this.ratio;
    }

    public void setRatio(float f2) {
        this.ratio = f2;
    }

    public float getThick() {
        return this.thick;
    }

    public void setThick(float f2) {
        this.thick = f2;
    }

    public int getWidth() {
        return this.width;
    }

    public void setWidth(int i2) {
        this.width = i2;
    }

    public int getHeight() {
        return this.height;
    }

    public void setHeight(int i2) {
        this.height = i2;
    }

    public int getItemHeight() {
        return this.itemHeight;
    }

    public void setItemHeight(int i2) {
        this.itemHeight = i2;
    }

    public int getWheelSize() {
        return this.wheelSize;
    }

    public void setWheelSize(int i2) {
        this.wheelSize = i2;
    }

    public String toString() {
        return "visible=" + this.visible + "color=" + this.color + ", alpha=" + this.alpha + ", thick=" + this.thick + ", width=" + this.width;
    }
}
