package cn.addapp.pickers.common;

import cn.addapp.pickers.widget.WheelView;
import java.util.TimerTask;

/* loaded from: classes.dex */
public final class SmoothScrollTimerTask extends TimerTask {
    private int offset;
    private final WheelView wheelView;
    private int realTotalOffset = Integer.MAX_VALUE;
    private int realOffset = 0;

    public SmoothScrollTimerTask(WheelView wheelView, int i2) {
        this.wheelView = wheelView;
        this.offset = i2;
    }

    @Override // java.util.TimerTask, java.lang.Runnable
    public final void run() {
        if (this.realTotalOffset == Integer.MAX_VALUE) {
            this.realTotalOffset = this.offset;
        }
        int i2 = this.realTotalOffset;
        int i3 = (int) (i2 * 0.1f);
        this.realOffset = i3;
        if (i3 == 0) {
            if (i2 < 0) {
                this.realOffset = -1;
            } else {
                this.realOffset = 1;
            }
        }
        if (Math.abs(i2) <= 1) {
            this.wheelView.cancelFuture();
            this.wheelView.handler.sendEmptyMessage(3000);
            return;
        }
        this.wheelView.totalScrollY += this.realOffset;
        if (!this.wheelView.isLoop) {
            float f2 = this.wheelView.itemHeight;
            float itemsCount = ((this.wheelView.getItemsCount() - 1) - this.wheelView.initPosition) * f2;
            if (this.wheelView.totalScrollY <= (-this.wheelView.initPosition) * f2 || this.wheelView.totalScrollY >= itemsCount) {
                this.wheelView.totalScrollY -= this.realOffset;
                this.wheelView.cancelFuture();
                this.wheelView.handler.sendEmptyMessage(3000);
                return;
            }
        }
        this.wheelView.handler.sendEmptyMessage(1000);
        this.realTotalOffset -= this.realOffset;
    }
}
