package cn.addapp.pickers.picker;

import android.app.Activity;
import cn.addapp.pickers.listeners.OnItemPickListener;

/* loaded from: classes.dex */
public class NumberPicker extends SinglePicker<Number> {
    public NumberPicker(Activity activity) {
        super(activity, new Number[0]);
    }

    public void setRange(int i2, int i3) {
        setRange(i2, i3, 1);
    }

    public void setRange(int i2, int i3, int i4) {
        while (i2 <= i3) {
            addItem(Integer.valueOf(i2));
            i2 += i4;
        }
    }

    public void setRange(double d2, double d3, double d4) {
        while (d2 <= d3) {
            addItem(Double.valueOf(d2));
            d2 += d4;
        }
    }

    public void setSelectedItem(int i2) {
        super.setSelectedItem((NumberPicker) Integer.valueOf(i2));
    }

    public void setSelectedItem(double d2) {
        super.setSelectedItem((NumberPicker) Double.valueOf(d2));
    }

    public void setOnNumberPickListener(OnNumberPickListener onNumberPickListener) {
        super.setOnItemPickListener(onNumberPickListener);
    }

    public static abstract class OnNumberPickListener implements OnItemPickListener<Number> {
        public abstract void onNumberPicked(int i2, Number number);

        @Override // cn.addapp.pickers.listeners.OnItemPickListener
        public final void onItemPicked(int i2, Number number) {
            onNumberPicked(i2, number);
        }
    }
}
