package cn.addapp.pickers.picker;

import android.app.Activity;
import cn.addapp.pickers.picker.DateTimePicker;

/* loaded from: classes.dex */
public class TimePicker extends DateTimePicker {

    public interface OnTimePickListener {
        void onTimePicked(String str, String str2);
    }

    public interface OnWheelListener {
        void onHourWheeled(int i2, String str);

        void onMinuteWheeled(int i2, String str);
    }

    public TimePicker(Activity activity) {
        this(activity, 3);
    }

    public TimePicker(Activity activity, int i2) {
        super(activity, -1, i2);
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setLabel(String str, String str2, String str3, String str4, String str5) {
        super.setLabel(str, str2, str3, str4, str5);
    }

    public void setLabel(String str, String str2) {
        super.setLabel("", "", "", str, str2);
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setDateRangeStart(int i2, int i3, int i4) {
        throw new UnsupportedOperationException("Date range nonsupport");
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setDateRangeEnd(int i2, int i3, int i4) {
        throw new UnsupportedOperationException("Date range nonsupport");
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setDateRangeStart(int i2, int i3) {
        throw new UnsupportedOperationException("Date range nonsupport");
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setDateRangeEnd(int i2, int i3) {
        throw new UnsupportedOperationException("Data range nonsupport");
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public void setTimeRangeStart(int i2, int i3) {
        super.setTimeRangeStart(i2, i3);
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public void setTimeRangeEnd(int i2, int i3) {
        super.setTimeRangeEnd(i2, i3);
    }

    @Deprecated
    public void setRange(int i2, int i3) {
        super.setTimeRangeStart(i2, 0);
        super.setTimeRangeEnd(i3, 59);
    }

    public void setRangeStart(int i2, int i3) {
        super.setTimeRangeStart(i2, i3);
    }

    public void setRangeEnd(int i2, int i3) {
        super.setTimeRangeEnd(i2, i3);
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setSelectedItem(int i2, int i3, int i4, int i5, int i6) {
        super.setSelectedItem(i2, i3, i4, i5, i6);
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setSelectedItem(int i2, int i3, int i4, int i5) {
        super.setSelectedItem(i2, i3, i4, i5);
    }

    public void setSelectedItem(int i2, int i3) {
        super.setSelectedItem(0, 0, i2, i3);
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setOnWheelListener(DateTimePicker.OnWheelListener onWheelListener) {
        super.setOnWheelListener(onWheelListener);
    }

    public void setOnWheelListener(final OnWheelListener onWheelListener) {
        if (onWheelListener == null) {
            return;
        }
        super.setOnWheelListener(new DateTimePicker.OnWheelListener() { // from class: cn.addapp.pickers.picker.TimePicker.1
            @Override // cn.addapp.pickers.picker.DateTimePicker.OnWheelListener
            public void onDayWheeled(int i2, String str) {
            }

            @Override // cn.addapp.pickers.picker.DateTimePicker.OnWheelListener
            public void onMonthWheeled(int i2, String str) {
            }

            @Override // cn.addapp.pickers.picker.DateTimePicker.OnWheelListener
            public void onYearWheeled(int i2, String str) {
            }

            @Override // cn.addapp.pickers.picker.DateTimePicker.OnWheelListener
            public void onHourWheeled(int i2, String str) {
                onWheelListener.onHourWheeled(i2, str);
            }

            @Override // cn.addapp.pickers.picker.DateTimePicker.OnWheelListener
            public void onMinuteWheeled(int i2, String str) {
                onWheelListener.onMinuteWheeled(i2, str);
            }
        });
    }

    @Override // cn.addapp.pickers.picker.DateTimePicker
    @Deprecated
    public final void setOnDateTimePickListener(DateTimePicker.OnDateTimePickListener onDateTimePickListener) {
        super.setOnDateTimePickListener(onDateTimePickListener);
    }

    public void setOnTimePickListener(final OnTimePickListener onTimePickListener) {
        if (onTimePickListener == null) {
            return;
        }
        super.setOnDateTimePickListener(new DateTimePicker.OnTimePickListener() { // from class: cn.addapp.pickers.picker.TimePicker.2
            @Override // cn.addapp.pickers.picker.DateTimePicker.OnTimePickListener
            public void onDateTimePicked(String str, String str2) {
                onTimePickListener.onTimePicked(str, str2);
            }
        });
    }
}
