package cn.addapp.pickers.picker;

import android.app.Activity;
import android.view.View;
import cn.addapp.pickers.common.ConfirmDialog;
import cn.addapp.pickers.common.LineConfig;
import cn.addapp.pickers.widget.WheelListView;

/* loaded from: classes.dex */
public abstract class WheelPicker extends ConfirmDialog<View> {
    protected boolean canLoop;
    private View contentView;
    protected LineConfig lineConfig;
    protected int offset;
    protected int textColorFocus;
    protected int textColorNormal;
    protected int textSize;
    protected boolean weightEnable;
    protected boolean wheelModeEnable;

    public WheelPicker(Activity activity) {
        super(activity);
        this.textSize = 16;
        this.textColorNormal = WheelListView.TEXT_COLOR_NORMAL;
        this.textColorFocus = WheelListView.TEXT_COLOR_FOCUS;
        this.offset = 2;
        this.canLoop = true;
        this.wheelModeEnable = false;
        this.weightEnable = false;
        this.lineConfig = new LineConfig();
    }

    public void setTextSize(int i2) {
        this.textSize = i2;
    }

    public void setUnSelectedTextColor(int i2) {
        this.textColorNormal = i2;
    }

    public void setSelectedTextColor(int i2) {
        this.textColorFocus = i2;
    }

    public void setLineVisible(boolean z) {
        if (this.lineConfig == null) {
            this.lineConfig = new LineConfig();
        }
        this.lineConfig.setVisible(z);
    }

    public void setShadowVisible(boolean z) {
        if (this.lineConfig == null) {
            this.lineConfig = new LineConfig();
        }
        this.lineConfig.setShadowVisible(z);
    }

    public void setLineColor(int i2) {
        if (this.lineConfig == null) {
            this.lineConfig = new LineConfig();
        }
        this.lineConfig.setVisible(true);
        this.lineConfig.setColor(i2);
    }

    public void setLineConfig(LineConfig lineConfig) {
        if (lineConfig == null) {
            LineConfig lineConfig2 = new LineConfig();
            this.lineConfig = lineConfig2;
            lineConfig2.setVisible(false);
            this.lineConfig.setShadowVisible(false);
            return;
        }
        this.lineConfig = lineConfig;
    }

    public void setOffset(int i2) {
        this.offset = i2;
    }

    public void setCanLoop(boolean z) {
        this.canLoop = z;
    }

    public void setWheelModeEnable(boolean z) {
        this.wheelModeEnable = z;
    }

    public void setWeightEnable(boolean z) {
        this.weightEnable = z;
    }

    @Override // cn.addapp.pickers.common.BaseDialog
    public View getContentView() {
        if (this.contentView == null) {
            this.contentView = makeCenterView();
        }
        return this.contentView;
    }
}
