package com.alibaba.fastjson.support.spring;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONException;
import com.alibaba.fastjson.serializer.SerializeFilter;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.alibaba.fastjson.support.config.FastJsonConfig;
import java.io.IOException;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.lang.reflect.TypeVariable;
import java.nio.charset.Charset;
import org.springframework.core.ResolvableType;
import org.springframework.http.HttpInputMessage;
import org.springframework.http.HttpOutputMessage;
import org.springframework.http.MediaType;
import org.springframework.http.converter.AbstractHttpMessageConverter;
import org.springframework.http.converter.GenericHttpMessageConverter;
import org.springframework.http.converter.HttpMessageNotReadableException;
import org.springframework.http.converter.HttpMessageNotWritableException;

/* loaded from: classes.dex */
public class FastJsonHttpMessageConverter extends AbstractHttpMessageConverter<Object> implements GenericHttpMessageConverter<Object> {
    public static final MediaType APPLICATION_JAVASCRIPT = new MediaType("application", "javascript");

    @Deprecated
    protected String dateFormat;
    private FastJsonConfig fastJsonConfig;

    @Deprecated
    protected SerializerFeature[] features;

    @Deprecated
    protected SerializeFilter[] filters;
    private boolean setLengthError;

    protected boolean supports(Class<?> cls) {
        return true;
    }

    public FastJsonConfig getFastJsonConfig() {
        return this.fastJsonConfig;
    }

    public void setFastJsonConfig(FastJsonConfig fastJsonConfig) {
        this.fastJsonConfig = fastJsonConfig;
    }

    public FastJsonHttpMessageConverter() {
        super(MediaType.ALL);
        this.features = new SerializerFeature[0];
        this.filters = new SerializeFilter[0];
        this.setLengthError = false;
        this.fastJsonConfig = new FastJsonConfig();
    }

    @Deprecated
    public Charset getCharset() {
        return this.fastJsonConfig.getCharset();
    }

    @Deprecated
    public void setCharset(Charset charset) {
        this.fastJsonConfig.setCharset(charset);
    }

    @Deprecated
    public String getDateFormat() {
        return this.fastJsonConfig.getDateFormat();
    }

    @Deprecated
    public void setDateFormat(String str) {
        this.fastJsonConfig.setDateFormat(str);
    }

    @Deprecated
    public SerializerFeature[] getFeatures() {
        return this.fastJsonConfig.getSerializerFeatures();
    }

    @Deprecated
    public void setFeatures(SerializerFeature... serializerFeatureArr) {
        this.fastJsonConfig.setSerializerFeatures(serializerFeatureArr);
    }

    @Deprecated
    public SerializeFilter[] getFilters() {
        return this.fastJsonConfig.getSerializeFilters();
    }

    @Deprecated
    public void setFilters(SerializeFilter... serializeFilterArr) {
        this.fastJsonConfig.setSerializeFilters(serializeFilterArr);
    }

    @Deprecated
    public void addSerializeFilter(SerializeFilter serializeFilter) {
        if (serializeFilter == null) {
            return;
        }
        int length = this.fastJsonConfig.getSerializeFilters().length;
        int i2 = length + 1;
        SerializeFilter[] serializeFilterArr = new SerializeFilter[i2];
        System.arraycopy(this.fastJsonConfig.getSerializeFilters(), 0, serializeFilterArr, 0, length);
        serializeFilterArr[i2 - 1] = serializeFilter;
        this.fastJsonConfig.setSerializeFilters(serializeFilterArr);
    }

    public boolean canRead(Type type, Class<?> cls, MediaType mediaType) {
        return super.canRead(cls, mediaType);
    }

    public boolean canWrite(Type type, Class<?> cls, MediaType mediaType) {
        return super.canWrite(cls, mediaType);
    }

    public Object read(Type type, Class<?> cls, HttpInputMessage httpInputMessage) throws IOException, HttpMessageNotReadableException {
        return readType(getType(type, cls), httpInputMessage);
    }

    public void write(Object obj, Type type, MediaType mediaType, HttpOutputMessage httpOutputMessage) throws IOException, HttpMessageNotWritableException {
        super.write(obj, mediaType, httpOutputMessage);
    }

    protected Object readInternal(Class<?> cls, HttpInputMessage httpInputMessage) throws IOException, HttpMessageNotReadableException {
        return readType(getType(cls, null), httpInputMessage);
    }

    private Object readType(Type type, HttpInputMessage httpInputMessage) {
        try {
            return JSON.parseObject(httpInputMessage.getBody(), this.fastJsonConfig.getCharset(), type, this.fastJsonConfig.getParserConfig(), this.fastJsonConfig.getParseProcess(), JSON.DEFAULT_PARSER_FEATURE, this.fastJsonConfig.getFeatures());
        } catch (JSONException e2) {
            throw new HttpMessageNotReadableException("JSON parse error: " + e2.getMessage(), e2);
        } catch (IOException e3) {
            throw new HttpMessageNotReadableException("I/O error while reading input message", e3);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:31:0x004a, code lost:
    
        if ((r3 instanceof com.alibaba.fastjson.JSONPObject) != false) goto L13;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    protected void writeInternal(java.lang.Object r14, org.springframework.http.HttpOutputMessage r15) throws java.io.IOException, org.springframework.http.converter.HttpMessageNotWritableException {
        /*
            r13 = this;
            java.lang.String r0 = "Could not write JSON: "
            java.io.ByteArrayOutputStream r9 = new java.io.ByteArrayOutputStream
            r9.<init>()
            org.springframework.http.HttpHeaders r10 = r15.getHeaders()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.support.config.FastJsonConfig r1 = r13.fastJsonConfig     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.serializer.SerializeFilter[] r1 = r1.getSerializeFilters()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.util.ArrayList r2 = new java.util.ArrayList     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.util.List r1 = java.util.Arrays.asList(r1)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            r2.<init>(r1)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.lang.Object r14 = r13.strangeCodeForJackson(r14)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            boolean r1 = r14 instanceof com.alibaba.fastjson.support.spring.FastJsonContainer     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            if (r1 == 0) goto L33
            com.alibaba.fastjson.support.spring.FastJsonContainer r14 = (com.alibaba.fastjson.support.spring.FastJsonContainer) r14     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.support.spring.PropertyPreFilters r1 = r14.getFilters()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.util.List r1 = r1.getFilters()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            r2.addAll(r1)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.lang.Object r14 = r14.getValue()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
        L33:
            r3 = r14
            boolean r14 = r3 instanceof com.alibaba.fastjson.support.spring.MappingFastJsonValue     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            r11 = 1
            if (r14 == 0) goto L48
            r14 = r3
            com.alibaba.fastjson.support.spring.MappingFastJsonValue r14 = (com.alibaba.fastjson.support.spring.MappingFastJsonValue) r14     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.lang.String r14 = r14.getJsonpFunction()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            boolean r14 = org.springframework.util.StringUtils.isEmpty(r14)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            if (r14 != 0) goto L4e
            goto L4c
        L48:
            boolean r14 = r3 instanceof com.alibaba.fastjson.JSONPObject     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            if (r14 == 0) goto L4e
        L4c:
            r14 = r11
            goto L4f
        L4e:
            r14 = 0
        L4f:
            com.alibaba.fastjson.support.config.FastJsonConfig r1 = r13.fastJsonConfig     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.nio.charset.Charset r4 = r1.getCharset()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.support.config.FastJsonConfig r1 = r13.fastJsonConfig     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.serializer.SerializeConfig r5 = r1.getSerializeConfig()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            int r1 = r2.size()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.serializer.SerializeFilter[] r1 = new com.alibaba.fastjson.serializer.SerializeFilter[r1]     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.lang.Object[] r1 = r2.toArray(r1)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            r6 = r1
            com.alibaba.fastjson.serializer.SerializeFilter[] r6 = (com.alibaba.fastjson.serializer.SerializeFilter[]) r6     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.support.config.FastJsonConfig r1 = r13.fastJsonConfig     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            java.lang.String r7 = r1.getDateFormat()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            int r8 = com.alibaba.fastjson.JSON.DEFAULT_GENERATE_FEATURE     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.support.config.FastJsonConfig r1 = r13.fastJsonConfig     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            com.alibaba.fastjson.serializer.SerializerFeature[] r12 = r1.getSerializerFeatures()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            r1 = r9
            r2 = r4
            r4 = r5
            r5 = r6
            r6 = r7
            r7 = r8
            r8 = r12
            int r1 = com.alibaba.fastjson.JSON.writeJSONStringWithFastJsonConfig(r1, r2, r3, r4, r5, r6, r7, r8)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            if (r14 == 0) goto L88
            org.springframework.http.MediaType r14 = com.alibaba.fastjson.support.spring.FastJsonHttpMessageConverter.APPLICATION_JAVASCRIPT     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            r10.setContentType(r14)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
        L88:
            com.alibaba.fastjson.support.config.FastJsonConfig r14 = r13.fastJsonConfig     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            boolean r14 = r14.isWriteContentLength()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            if (r14 == 0) goto L9b
            boolean r14 = r13.setLengthError     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            if (r14 != 0) goto L9b
            long r1 = (long) r1
            r10.setContentLength(r1)     // Catch: java.lang.UnsupportedOperationException -> L99 java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            goto L9b
        L99:
            r13.setLengthError = r11     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
        L9b:
            java.io.OutputStream r14 = r15.getBody()     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            r9.writeTo(r14)     // Catch: java.lang.Throwable -> La6 com.alibaba.fastjson.JSONException -> La8
            r9.close()
            return
        La6:
            r14 = move-exception
            goto Lbf
        La8:
            r14 = move-exception
            org.springframework.http.converter.HttpMessageNotWritableException r15 = new org.springframework.http.converter.HttpMessageNotWritableException     // Catch: java.lang.Throwable -> La6
            java.lang.StringBuilder r1 = new java.lang.StringBuilder     // Catch: java.lang.Throwable -> La6
            r1.<init>(r0)     // Catch: java.lang.Throwable -> La6
            java.lang.String r0 = r14.getMessage()     // Catch: java.lang.Throwable -> La6
            r1.append(r0)     // Catch: java.lang.Throwable -> La6
            java.lang.String r0 = r1.toString()     // Catch: java.lang.Throwable -> La6
            r15.<init>(r0, r14)     // Catch: java.lang.Throwable -> La6
            throw r15     // Catch: java.lang.Throwable -> La6
        Lbf:
            r9.close()
            throw r14
        */
        throw new UnsupportedOperationException("Method not decompiled: com.alibaba.fastjson.support.spring.FastJsonHttpMessageConverter.writeInternal(java.lang.Object, org.springframework.http.HttpOutputMessage):void");
    }

    private Object strangeCodeForJackson(Object obj) {
        return (obj == null || !"com.fasterxml.jackson.databind.node.ObjectNode".equals(obj.getClass().getName())) ? obj : obj.toString();
    }

    protected Type getType(Type type, Class<?> cls) {
        return Spring4TypeResolvableHelper.isSupport() ? Spring4TypeResolvableHelper.getType(type, cls) : type;
    }

    private static class Spring4TypeResolvableHelper {
        private static boolean hasClazzResolvableType;

        private Spring4TypeResolvableHelper() {
        }

        static {
            try {
                Class.forName("org.springframework.core.ResolvableType");
                hasClazzResolvableType = true;
            } catch (ClassNotFoundException unused) {
                hasClazzResolvableType = false;
            }
        }

        /* JADX INFO: Access modifiers changed from: private */
        public static boolean isSupport() {
            return hasClazzResolvableType;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public static Type getType(Type type, Class<?> cls) {
            if (cls == null) {
                return type;
            }
            ResolvableType forType = ResolvableType.forType(type);
            if (type instanceof TypeVariable) {
                ResolvableType resolveVariable = resolveVariable((TypeVariable) type, ResolvableType.forClass(cls));
                return resolveVariable != ResolvableType.NONE ? resolveVariable.resolve() : type;
            }
            if (!(type instanceof ParameterizedType) || !forType.hasUnresolvableGenerics()) {
                return type;
            }
            ParameterizedType parameterizedType = (ParameterizedType) type;
            Class[] clsArr = new Class[parameterizedType.getActualTypeArguments().length];
            Type[] actualTypeArguments = parameterizedType.getActualTypeArguments();
            for (int i2 = 0; i2 < actualTypeArguments.length; i2++) {
                Type type2 = actualTypeArguments[i2];
                if (type2 instanceof TypeVariable) {
                    ResolvableType resolveVariable2 = resolveVariable((TypeVariable) type2, ResolvableType.forClass(cls));
                    if (resolveVariable2 != ResolvableType.NONE) {
                        clsArr[i2] = resolveVariable2.resolve();
                    } else {
                        clsArr[i2] = ResolvableType.forType(type2).resolve();
                    }
                } else {
                    clsArr[i2] = ResolvableType.forType(type2).resolve();
                }
            }
            return ResolvableType.forClassWithGenerics(forType.getRawClass(), clsArr).getType();
        }

        private static ResolvableType resolveVariable(TypeVariable<?> typeVariable, ResolvableType resolvableType) {
            if (resolvableType.hasGenerics()) {
                ResolvableType forType = ResolvableType.forType(typeVariable, resolvableType);
                if (forType.resolve() != null) {
                    return forType;
                }
            }
            ResolvableType superType = resolvableType.getSuperType();
            if (superType != ResolvableType.NONE) {
                ResolvableType resolveVariable = resolveVariable(typeVariable, superType);
                if (resolveVariable.resolve() != null) {
                    return resolveVariable;
                }
            }
            for (ResolvableType resolvableType2 : resolvableType.getInterfaces()) {
                ResolvableType resolveVariable2 = resolveVariable(typeVariable, resolvableType2);
                if (resolveVariable2.resolve() != null) {
                    return resolveVariable2;
                }
            }
            return ResolvableType.NONE;
        }
    }
}
