package com.amap.api.col.p0003sl;

import com.amap.api.maps.MapsInitializer;
import com.amap.api.maps.model.Tile;
import com.amap.api.maps.model.TileOverlaySource;
import com.amap.api.maps.model.TileProvider;
import com.autonavi.base.ae.gmap.bean.TileSourceProvider;
import com.autonavi.base.ae.gmap.bean.TileSourceReq;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Map;

/* compiled from: TerrainTileSourceProvider.java */
/* loaded from: classes.dex */
public final class ae implements TileSourceProvider {

    /* renamed from: a, reason: collision with root package name */
    private int f77a = 256;

    /* renamed from: b, reason: collision with root package name */
    private final TileOverlaySource f78b;

    /* renamed from: c, reason: collision with root package name */
    private final TileOverlaySource f79c;

    @Override // com.autonavi.base.ae.gmap.bean.TileSourceProvider
    public final void cancel(TileSourceReq tileSourceReq) {
    }

    @Override // com.amap.api.maps.model.TileProvider
    public final Tile getTile(int i2, int i3, int i4) {
        return null;
    }

    public ae(TileOverlaySource tileOverlaySource, TileOverlaySource tileOverlaySource2) {
        this.f78b = tileOverlaySource;
        this.f79c = tileOverlaySource2;
    }

    @Override // com.autonavi.base.ae.gmap.bean.TileSourceProvider
    public final Tile getTile(TileSourceReq tileSourceReq) {
        String url;
        if (tileSourceReq == null) {
            return TileProvider.NO_TILE;
        }
        Tile tile = TileProvider.NO_TILE;
        try {
            if (tileSourceReq.sourceType == this.f79c.getId()) {
                url = this.f79c.getUrl();
            } else {
                url = this.f78b.getUrl();
            }
            if (url == null) {
                return TileProvider.NO_TILE;
            }
            if (MapsInitializer.TERRAIN_LOCAL_DEM_SOURCE_PATH != null) {
                tile = a(tileSourceReq);
            }
            if (tile != TileProvider.NO_TILE) {
                return tile;
            }
            int i2 = this.f77a;
            return new Tile(i2, i2, a(tileSourceReq.x, tileSourceReq.y, tileSourceReq.zoom, url), true);
        } catch (Exception e2) {
            Tile tile2 = TileProvider.NO_TILE;
            e2.printStackTrace();
            return tile2;
        }
    }

    private Tile a(TileSourceReq tileSourceReq) {
        String str = MapsInitializer.TERRAIN_LOCAL_DEM_SOURCE_PATH;
        try {
            FileInputStream fileInputStream = new FileInputStream(new File(str + tileSourceReq.zoom + "/" + (tileSourceReq.x > 0 ? tileSourceReq.x / 10 : tileSourceReq.x) + "/" + (tileSourceReq.y > 0 ? tileSourceReq.y / 10 : tileSourceReq.y) + "/" + tileSourceReq.x + "_" + tileSourceReq.y + ".png"));
            byte[] bArr = new byte[fileInputStream.available()];
            fileInputStream.read(bArr);
            int i2 = this.f77a;
            Tile tile = new Tile(i2, i2, bArr, true);
            fileInputStream.close();
            return tile;
        } catch (FileNotFoundException unused) {
            int i3 = tileSourceReq.x >> (tileSourceReq.zoom - 6);
            int i4 = tileSourceReq.y >> (tileSourceReq.zoom - 6);
            if (i3 >= 51 && i3 <= 53 && i4 >= 28 && i4 <= 31) {
                try {
                    FileInputStream fileInputStream2 = new FileInputStream(new File(str + "default.png"));
                    byte[] bArr2 = new byte[fileInputStream2.available()];
                    fileInputStream2.read(bArr2);
                    int i5 = this.f77a;
                    Tile tile2 = new Tile(i5, i5, bArr2, true);
                    fileInputStream2.close();
                    return tile2;
                } catch (Exception e2) {
                    e2.printStackTrace();
                    return TileProvider.NO_TILE;
                }
            }
            return TileProvider.NO_TILE;
        } catch (IOException unused2) {
            return TileProvider.NO_TILE;
        }
    }

    @Override // com.amap.api.maps.model.TileProvider
    public final int getTileWidth() {
        return this.f77a;
    }

    @Override // com.amap.api.maps.model.TileProvider
    public final int getTileHeight() {
        return this.f77a;
    }

    private byte[] a(int i2, int i3, int i4, String str) {
        try {
            return new a(i2, i3, i4, str).makeHttpRequestWithInterrupted();
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }

    /* compiled from: TerrainTileSourceProvider.java */
    private class a extends dd {

        /* renamed from: b, reason: collision with root package name */
        private String f81b;

        /* renamed from: c, reason: collision with root package name */
        private String f82c;

        public a(int i2, int i3, int i4, String str) {
            this.f81b = "";
            this.f82c = "";
            String format = String.format(str, Integer.valueOf(i4), Integer.valueOf(i2), Integer.valueOf(i3));
            if (!format.contains("?")) {
                this.f81b = format + "?";
                return;
            }
            String[] split = format.split("\\?");
            if (split.length > 1) {
                this.f81b = split[0] + "?";
                this.f82c = split[1];
            }
        }

        @Override // com.amap.api.col.p0003sl.dd, com.amap.api.col.p0003sl.ky
        public final Map<String, String> getRequestHead() {
            return super.getRequestHead();
        }

        @Override // com.amap.api.col.p0003sl.ky
        public final String getURL() {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(this.f82c);
            stringBuffer.append("&key=").append(id.f(ab.f68a));
            stringBuffer.append("&channel=amapapi");
            return this.f81b + appendTsScode(stringBuffer.toString());
        }
    }
}
