package com.amap.api.col.p0003sl;

import com.amap.api.maps.MapsInitializer;
import com.amap.api.maps.model.Tile;
import com.amap.api.maps.model.TileProvider;
import com.autonavi.base.amap.mapcore.MapConfig;
import com.tencent.bugly.BuglyStrategy;
import java.io.IOException;
import java.util.Locale;
import java.util.Random;

/* compiled from: BaseTileProvider.java */
/* loaded from: classes.dex */
public final class dc implements TileProvider {

    /* renamed from: c, reason: collision with root package name */
    private MapConfig f363c;

    /* renamed from: a, reason: collision with root package name */
    private final int f361a = 256;

    /* renamed from: b, reason: collision with root package name */
    private final int f362b = 256;

    /* renamed from: d, reason: collision with root package name */
    private final boolean f364d = false;

    public dc(MapConfig mapConfig) {
        this.f363c = mapConfig;
    }

    @Override // com.amap.api.maps.model.TileProvider
    public final Tile getTile(int i2, int i3, int i4) {
        try {
            if (!this.f364d) {
                if (this.f363c.getMapLanguage().equals("zh_cn")) {
                    if (!MapsInitializer.isLoadWorldGridMap()) {
                        return NO_TILE;
                    }
                    if (i4 < 6 || Cdo.a(i2, i3, i4)) {
                        return NO_TILE;
                    }
                } else if (!MapsInitializer.isLoadWorldGridMap() && i4 >= 6 && !Cdo.a(i2, i3, i4)) {
                    return NO_TILE;
                }
            }
            MapConfig mapConfig = this.f363c;
            byte[] a2 = a(i2, i3, i4, mapConfig != null ? mapConfig.getMapLanguage() : "zh_cn");
            if (a2 == null) {
                return NO_TILE;
            }
            return Tile.obtain(this.f361a, this.f362b, a2);
        } catch (IOException unused) {
            return NO_TILE;
        }
    }

    private byte[] a(int i2, int i3, int i4, String str) throws IOException {
        try {
            return new a(i2, i3, i4, str).makeHttpRequestWithInterrupted();
        } catch (Throwable unused) {
            return null;
        }
    }

    @Override // com.amap.api.maps.model.TileProvider
    public final int getTileWidth() {
        return this.f361a;
    }

    @Override // com.amap.api.maps.model.TileProvider
    public final int getTileHeight() {
        return this.f362b;
    }

    /* compiled from: BaseTileProvider.java */
    private class a extends dd {

        /* renamed from: a, reason: collision with root package name */
        Random f365a = new Random();

        /* renamed from: c, reason: collision with root package name */
        private int f367c;

        /* renamed from: d, reason: collision with root package name */
        private int f368d;

        /* renamed from: e, reason: collision with root package name */
        private int f369e;

        /* renamed from: f, reason: collision with root package name */
        private String f370f;

        /* renamed from: g, reason: collision with root package name */
        private String f371g;

        public a(int i2, int i3, int i4, String str) {
            this.f371g = "";
            this.f367c = i2;
            this.f368d = i3;
            this.f369e = i4;
            this.f370f = str;
            this.f371g = c();
        }

        private String c() {
            if (Cdo.a(this.f367c, this.f368d, this.f369e) || this.f369e < 6) {
                return String.format(Locale.US, "https://wprd0%d.is.autonavi.com/appmaptile?", Integer.valueOf((this.f365a.nextInt(BuglyStrategy.a.MAX_USERDATA_VALUE_LENGTH) % 4) + 1));
            }
            if (MapsInitializer.isLoadWorldGridMap()) {
                return "https://restsdk.amap.com/v4/gridmap?";
            }
            return null;
        }

        @Override // com.amap.api.col.p0003sl.ky
        public final String getURL() {
            StringBuffer stringBuffer = new StringBuffer("key=");
            stringBuffer.append(id.f(ab.f68a));
            stringBuffer.append("&channel=amapapi");
            if (Cdo.a(this.f367c, this.f368d, this.f369e) || this.f369e < 6) {
                stringBuffer.append("&z=").append(this.f369e).append("&x=").append(this.f367c).append("&y=").append(this.f368d).append("&lang=en&size=1&scale=1&style=7");
            } else if (MapsInitializer.isLoadWorldGridMap()) {
                stringBuffer.append("&x=").append(this.f367c);
                stringBuffer.append("&y=").append(this.f368d);
                stringBuffer.append("&z=").append(this.f369e);
                stringBuffer.append("&ds=0&dpitype=webrd&lang=");
                stringBuffer.append(this.f370f);
                stringBuffer.append("&scale=2");
            }
            return this.f371g + appendTsScode(stringBuffer.toString());
        }
    }
}
