package com.amap.api.col.p0003sl;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.services.busline.BusLineQuery;
import com.amap.api.services.busline.BusLineResult;
import com.amap.api.services.busline.BusStationQuery;
import com.amap.api.services.busline.BusStationResult;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.SuggestionCity;
import com.zhihu.matisse.internal.loader.AlbumLoader;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONObject;

/* compiled from: BusSearchServerHandler.java */
/* loaded from: classes.dex */
public final class fh<T> extends fe<T, Object> {

    /* renamed from: g, reason: collision with root package name */
    private int f653g;

    /* renamed from: h, reason: collision with root package name */
    private List<String> f654h;

    /* renamed from: i, reason: collision with root package name */
    private List<SuggestionCity> f655i;

    public fh(Context context, T t) {
        super(context, t);
        this.f653g = 0;
        this.f654h = new ArrayList();
        this.f655i = new ArrayList();
    }

    @Override // com.amap.api.col.p0003sl.ky
    public final String getURL() {
        String str;
        if (!(this.f647b instanceof BusLineQuery)) {
            str = "stopname";
        } else if (((BusLineQuery) this.f647b).getCategory() == BusLineQuery.SearchType.BY_LINE_ID) {
            str = "lineid";
        } else {
            str = ((BusLineQuery) this.f647b).getCategory() == BusLineQuery.SearchType.BY_LINE_NAME ? "linename" : "";
        }
        return fl.a() + "/bus/" + str + "?";
    }

    @Override // com.amap.api.col.p0003sl.fe, com.amap.api.col.p0003sl.fd
    protected final Object a(String str) throws AMapException {
        try {
            JSONObject jSONObject = new JSONObject(str);
            JSONObject optJSONObject = jSONObject.optJSONObject("suggestion");
            if (optJSONObject != null) {
                this.f655i = fu.a(optJSONObject);
                this.f654h = fu.b(optJSONObject);
            }
            this.f653g = jSONObject.optInt(AlbumLoader.COLUMN_COUNT);
            if (this.f647b instanceof BusLineQuery) {
                return BusLineResult.createPagedResult((BusLineQuery) this.f647b, this.f653g, this.f655i, this.f654h, fu.h(jSONObject));
            }
            return BusStationResult.createPagedResult((BusStationQuery) this.f647b, this.f653g, this.f655i, this.f654h, fu.g(jSONObject));
        } catch (Exception e2) {
            fm.a(e2, "BusSearchServerHandler", "paseJSON");
            return null;
        }
    }

    @Override // com.amap.api.col.p0003sl.fe, com.amap.api.col.p0003sl.fd
    protected final String c() {
        StringBuilder sb = new StringBuilder("output=json");
        if (this.f647b instanceof BusLineQuery) {
            BusLineQuery busLineQuery = (BusLineQuery) this.f647b;
            if (!TextUtils.isEmpty(busLineQuery.getExtensions())) {
                sb.append("&extensions=");
                sb.append(busLineQuery.getExtensions());
            } else {
                sb.append("&extensions=base");
            }
            if (busLineQuery.getCategory() == BusLineQuery.SearchType.BY_LINE_ID) {
                sb.append("&id=");
                sb.append(b(((BusLineQuery) this.f647b).getQueryString()));
            } else {
                String city = busLineQuery.getCity();
                if (!fu.i(city)) {
                    String b2 = b(city);
                    sb.append("&city=");
                    sb.append(b2);
                }
                sb.append("&keywords=" + b(busLineQuery.getQueryString()));
                sb.append("&offset=" + busLineQuery.getPageSize());
                sb.append("&page=" + busLineQuery.getPageNumber());
            }
        } else {
            BusStationQuery busStationQuery = (BusStationQuery) this.f647b;
            String city2 = busStationQuery.getCity();
            if (!fu.i(city2)) {
                String b3 = b(city2);
                sb.append("&city=");
                sb.append(b3);
            }
            sb.append("&keywords=" + b(busStationQuery.getQueryString()));
            sb.append("&offset=" + busStationQuery.getPageSize());
            sb.append("&page=" + busStationQuery.getPageNumber());
        }
        sb.append("&key=" + id.f(this.f650e));
        return sb.toString();
    }
}
