package com.amap.api.col.p0003sl;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.services.cloud.CloudItem;
import com.amap.api.services.cloud.CloudItemDetail;
import com.amap.api.services.cloud.CloudResult;
import com.amap.api.services.cloud.CloudSearch;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.district.DistrictSearchQuery;
import com.tencent.connect.common.Constants;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: CloudSearchKeywordsHandler.java */
/* loaded from: classes.dex */
public final class fk extends fi<CloudSearch.Query, CloudResult> {

    /* renamed from: g, reason: collision with root package name */
    private int f656g;

    @Override // com.amap.api.col.p0003sl.fe, com.amap.api.col.p0003sl.fd
    protected final String c() {
        return null;
    }

    public fk(Context context, CloudSearch.Query query) {
        super(context, query);
        this.f656g = 0;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.amap.api.col.p0003sl.ky
    public final String getURL() {
        String str = fl.e() + "/datasearch";
        String shape = ((CloudSearch.Query) this.f647b).getBound().getShape();
        if (shape.equals("Bound")) {
            return str + "/around";
        }
        if (shape.equals("Polygon") || shape.equals("Rectangle")) {
            return str + "/polygon";
        }
        if (!shape.equals(CloudSearch.SearchBound.LOCAL_SHAPE)) {
            return str;
        }
        return str + "/local";
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.amap.api.col.p0003sl.fe, com.amap.api.col.p0003sl.fd
    /* renamed from: c, reason: merged with bridge method [inline-methods] */
    public CloudResult a(String str) throws AMapException {
        ArrayList<CloudItem> arrayList = null;
        if (str == null || str.equals("")) {
            return CloudResult.createPagedResult((CloudSearch.Query) this.f647b, this.f656g, ((CloudSearch.Query) this.f647b).getBound(), ((CloudSearch.Query) this.f647b).getPageSize(), null);
        }
        try {
            arrayList = d(new JSONObject(str));
        } catch (JSONException e2) {
            e2.printStackTrace();
        } catch (Exception e3) {
            e3.printStackTrace();
        }
        return CloudResult.createPagedResult((CloudSearch.Query) this.f647b, this.f656g, ((CloudSearch.Query) this.f647b).getBound(), ((CloudSearch.Query) this.f647b).getPageSize(), arrayList);
    }

    private ArrayList<CloudItem> d(JSONObject jSONObject) throws JSONException {
        ArrayList<CloudItem> arrayList = new ArrayList<>();
        JSONArray a2 = a(jSONObject);
        if (a2 == null) {
            return arrayList;
        }
        this.f656g = b(jSONObject);
        for (int i2 = 0; i2 < a2.length(); i2++) {
            JSONObject optJSONObject = a2.optJSONObject(i2);
            CloudItemDetail c2 = c(optJSONObject);
            a(c2, optJSONObject);
            arrayList.add(c2);
        }
        return arrayList;
    }

    /* JADX WARN: Multi-variable type inference failed */
    @Override // com.amap.api.col.p0003sl.fe, com.amap.api.col.p0003sl.fd, com.amap.api.col.p0003sl.ky
    public final Map<String, String> getParams() {
        Hashtable hashtable = new Hashtable(16);
        hashtable.put("key", id.f(this.f650e));
        hashtable.put("output", "json");
        if (((CloudSearch.Query) this.f647b).getBound() != null) {
            if (((CloudSearch.Query) this.f647b).getBound().getShape().equals("Bound")) {
                hashtable.put("center", fm.a(((CloudSearch.Query) this.f647b).getBound().getCenter().getLongitude()) + "," + fm.a(((CloudSearch.Query) this.f647b).getBound().getCenter().getLatitude()));
                StringBuilder sb = new StringBuilder();
                sb.append(((CloudSearch.Query) this.f647b).getBound().getRange());
                hashtable.put("radius", sb.toString());
            } else if (((CloudSearch.Query) this.f647b).getBound().getShape().equals("Rectangle")) {
                LatLonPoint lowerLeft = ((CloudSearch.Query) this.f647b).getBound().getLowerLeft();
                LatLonPoint upperRight = ((CloudSearch.Query) this.f647b).getBound().getUpperRight();
                double a2 = fm.a(lowerLeft.getLatitude());
                double a3 = fm.a(lowerLeft.getLongitude());
                double a4 = fm.a(upperRight.getLatitude());
                hashtable.put("polygon", a3 + "," + a2 + ";" + fm.a(upperRight.getLongitude()) + "," + a4);
            } else if (((CloudSearch.Query) this.f647b).getBound().getShape().equals("Polygon")) {
                List<LatLonPoint> polyGonList = ((CloudSearch.Query) this.f647b).getBound().getPolyGonList();
                if (polyGonList != null && polyGonList.size() > 0) {
                    hashtable.put("polygon", fm.a(polyGonList, ";"));
                }
            } else if (((CloudSearch.Query) this.f647b).getBound().getShape().equals(CloudSearch.SearchBound.LOCAL_SHAPE)) {
                hashtable.put(DistrictSearchQuery.KEYWORDS_CITY, ((CloudSearch.Query) this.f647b).getBound().getCity());
            }
        }
        hashtable.put("layerId", ((CloudSearch.Query) this.f647b).getTableID());
        if (!fm.a(f())) {
            hashtable.put("sortrule", f());
        }
        String g2 = g();
        if (!fm.a(g2)) {
            hashtable.put("filter", g2);
        }
        String queryString = ((CloudSearch.Query) this.f647b).getQueryString();
        if (queryString != null && !"".equals(queryString)) {
            hashtable.put("keywords", queryString);
        } else {
            hashtable.put("keywords", "");
        }
        StringBuilder sb2 = new StringBuilder();
        sb2.append(((CloudSearch.Query) this.f647b).getPageSize());
        hashtable.put("pageSize", sb2.toString());
        StringBuilder sb3 = new StringBuilder();
        sb3.append(((CloudSearch.Query) this.f647b).getPageNum());
        hashtable.put("pageNum", sb3.toString());
        String a5 = ig.a();
        String a6 = ig.a(this.f650e, a5, a(hashtable));
        hashtable.put(Constants.TS, a5);
        hashtable.put("scode", a6);
        return hashtable;
    }

    private static String d(String str) {
        return str != null ? str.replace("&&", "%26%26") : str;
    }

    private static String e(String str) {
        return str != null ? str.replace("%26%26", "&&") : str;
    }

    private static String a(Map<String, String> map) {
        return f(b(map));
    }

    private static String f(String str) {
        try {
        } catch (Throwable th) {
            jq.a(th, "ut", "sPa");
        }
        if (TextUtils.isEmpty(str)) {
            return "";
        }
        str = d(str);
        String[] split = str.split("&");
        Arrays.sort(split);
        StringBuffer stringBuffer = new StringBuffer();
        for (String str2 : split) {
            stringBuffer.append(str2);
            stringBuffer.append("&");
        }
        String e2 = e(stringBuffer.toString());
        if (e2.length() > 1) {
            return (String) e2.subSequence(0, e2.length() - 1);
        }
        return str;
    }

    private static String b(Map<String, String> map) {
        if (map == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, String> entry : map.entrySet()) {
            if (sb.length() > 0) {
                sb.append("&");
            }
            sb.append(entry.getKey());
            sb.append("=");
            sb.append(entry.getValue());
        }
        return sb.toString();
    }

    /* JADX WARN: Multi-variable type inference failed */
    private String f() {
        return ((CloudSearch.Query) this.f647b).getSortingrules() != null ? ((CloudSearch.Query) this.f647b).getSortingrules().toString() : "";
    }

    /* JADX WARN: Multi-variable type inference failed */
    private String g() {
        StringBuffer stringBuffer = new StringBuffer();
        String filterString = ((CloudSearch.Query) this.f647b).getFilterString();
        String filterNumString = ((CloudSearch.Query) this.f647b).getFilterNumString();
        stringBuffer.append(filterString);
        if (!fm.a(filterString) && !fm.a(filterNumString)) {
            stringBuffer.append("&&");
        }
        stringBuffer.append(filterNumString);
        return stringBuffer.toString();
    }
}
