package com.amap.api.col.p0003sl;

import android.content.Context;
import android.os.Message;
import android.text.TextUtils;
import com.amap.api.col.p0003sl.fx;
import com.amap.api.col.p0003sl.im;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.interfaces.INearbySearch;
import com.amap.api.services.nearby.NearbySearch;
import com.amap.api.services.nearby.NearbySearchResult;
import com.amap.api.services.nearby.UploadInfo;
import com.amap.api.services.nearby.UploadInfoCallback;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.regex.Pattern;

/* compiled from: NearbySearchCore.java */
/* loaded from: classes.dex */
public final class hm implements INearbySearch {

    /* renamed from: e, reason: collision with root package name */
    private static long f854e;

    /* renamed from: b, reason: collision with root package name */
    private String f856b;

    /* renamed from: c, reason: collision with root package name */
    private Context f857c;

    /* renamed from: d, reason: collision with root package name */
    private fx f858d;

    /* renamed from: f, reason: collision with root package name */
    private ExecutorService f859f;
    private UploadInfoCallback k;
    private TimerTask l;

    /* renamed from: a, reason: collision with root package name */
    private List<NearbySearch.NearbyListener> f855a = new ArrayList();

    /* renamed from: g, reason: collision with root package name */
    private LatLonPoint f860g = null;

    /* renamed from: h, reason: collision with root package name */
    private String f861h = null;

    /* renamed from: i, reason: collision with root package name */
    private boolean f862i = false;

    /* renamed from: j, reason: collision with root package name */
    private Timer f863j = new Timer();

    public hm(Context context) throws AMapException {
        in a2 = im.a(context, fl.a(false));
        if (a2.f1159a != im.c.SuccessCode) {
            throw new AMapException(a2.f1160b, 1, a2.f1160b, a2.f1159a.a());
        }
        this.f857c = context.getApplicationContext();
        this.f858d = fx.a();
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void addNearbyListener(NearbySearch.NearbyListener nearbyListener) {
        try {
            this.f855a.add(nearbyListener);
        } catch (Throwable th) {
            fm.a(th, "NearbySearch", "addNearbyListener");
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void removeNearbyListener(NearbySearch.NearbyListener nearbyListener) {
        if (nearbyListener == null) {
            return;
        }
        try {
            this.f855a.remove(nearbyListener);
        } catch (Throwable th) {
            fm.a(th, "NearbySearch", "removeNearbyListener");
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final void clearUserInfoAsyn() {
        try {
            gw.a().a(new Runnable() { // from class: com.amap.api.col.3sl.hm.1
                @Override // java.lang.Runnable
                public final void run() {
                    Message obtainMessage = hm.this.f858d.obtainMessage();
                    obtainMessage.arg1 = 8;
                    obtainMessage.obj = hm.this.f855a;
                    try {
                        try {
                            hm.this.a();
                            obtainMessage.what = 1000;
                            if (hm.this.f858d == null) {
                                return;
                            }
                        } catch (AMapException e2) {
                            obtainMessage.what = e2.getErrorCode();
                            fm.a(e2, "NearbySearch", "clearUserInfoAsyn");
                            if (hm.this.f858d == null) {
                                return;
                            }
                        }
                        hm.this.f858d.sendMessage(obtainMessage);
                    } catch (Throwable th) {
                        if (hm.this.f858d != null) {
                            hm.this.f858d.sendMessage(obtainMessage);
                        }
                        throw th;
                    }
                }
            });
        } catch (Throwable th) {
            fm.a(th, "NearbySearch", "clearUserInfoAsynThrowable");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int a() throws AMapException {
        try {
            if (this.f862i) {
                throw new AMapException(AMapException.AMAP_CLIENT_UPLOADAUTO_STARTED_ERROR);
            }
            if (!a(this.f856b)) {
                throw new AMapException(AMapException.AMAP_CLIENT_USERID_ILLEGAL);
            }
            fv.a(this.f857c);
            return new fy(this.f857c, this.f856b).d().intValue();
        } catch (AMapException e2) {
            throw e2;
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final void setUserID(String str) {
        this.f856b = str;
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void startUploadNearbyInfoAuto(UploadInfoCallback uploadInfoCallback, int i2) {
        TimerTask timerTask;
        if (i2 < 7000) {
            i2 = 7000;
        }
        try {
            this.k = uploadInfoCallback;
            if (this.f862i && (timerTask = this.l) != null) {
                timerTask.cancel();
            }
            this.f862i = true;
            a aVar = new a(this, (byte) 0);
            this.l = aVar;
            this.f863j.schedule(aVar, 0L, i2);
        } catch (Throwable th) {
            fm.a(th, "NearbySearch", "startUploadNearbyInfoAuto");
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void stopUploadNearbyInfoAuto() {
        try {
            TimerTask timerTask = this.l;
            if (timerTask != null) {
                timerTask.cancel();
            }
        } finally {
            this.f862i = false;
            this.l = null;
        }
        this.f862i = false;
        this.l = null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int a(UploadInfo uploadInfo) {
        return this.f862i ? AMapException.CODE_AMAP_CLIENT_UPLOADAUTO_STARTED_ERROR : b(uploadInfo);
    }

    private static boolean a(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        return Pattern.compile("^[a-z0-9A-Z_-]{1,32}$").matcher(str).find();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int b(UploadInfo uploadInfo) {
        try {
            fv.a(this.f857c);
            if (uploadInfo == null) {
                return AMapException.CODE_AMAP_CLIENT_NEARBY_NULL_RESULT;
            }
            long time = new Date().getTime();
            if (time - f854e < 6500) {
                return AMapException.CODE_AMAP_CLIENT_UPLOAD_TOO_FREQUENT;
            }
            f854e = time;
            String userID = uploadInfo.getUserID();
            if (!a(userID)) {
                return AMapException.CODE_AMAP_CLIENT_USERID_ILLEGAL;
            }
            if (TextUtils.isEmpty(this.f861h)) {
                this.f861h = userID;
            }
            if (!userID.equals(this.f861h)) {
                return AMapException.CODE_AMAP_CLIENT_USERID_ILLEGAL;
            }
            LatLonPoint point = uploadInfo.getPoint();
            if (point != null && !point.equals(this.f860g)) {
                new ga(this.f857c, uploadInfo).d();
                this.f860g = point.copy();
                return 1000;
            }
            return AMapException.CODE_AMAP_CLIENT_UPLOAD_LOCATION_ERROR;
        } catch (AMapException e2) {
            return e2.getErrorCode();
        } catch (Throwable unused) {
            return 1900;
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final void uploadNearbyInfoAsyn(final UploadInfo uploadInfo) {
        if (this.f859f == null) {
            this.f859f = Executors.newSingleThreadExecutor();
        }
        this.f859f.submit(new Runnable() { // from class: com.amap.api.col.3sl.hm.2
            @Override // java.lang.Runnable
            public final void run() {
                try {
                    Message obtainMessage = hm.this.f858d.obtainMessage();
                    obtainMessage.arg1 = 10;
                    obtainMessage.obj = hm.this.f855a;
                    obtainMessage.what = hm.this.a(uploadInfo);
                    hm.this.f858d.sendMessage(obtainMessage);
                } catch (Throwable th) {
                    fm.a(th, "NearbySearch", "uploadNearbyInfoAsyn");
                }
            }
        });
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final void searchNearbyInfoAsyn(final NearbySearch.NearbyQuery nearbyQuery) {
        try {
            gw.a().a(new Runnable() { // from class: com.amap.api.col.3sl.hm.3
                @Override // java.lang.Runnable
                public final void run() {
                    Message obtainMessage = hm.this.f858d.obtainMessage();
                    obtainMessage.arg1 = 9;
                    fx.g gVar = new fx.g();
                    gVar.f686a = hm.this.f855a;
                    obtainMessage.obj = gVar;
                    try {
                        try {
                            gVar.f687b = hm.this.searchNearbyInfo(nearbyQuery);
                            obtainMessage.what = 1000;
                            if (hm.this.f858d == null) {
                                return;
                            }
                        } catch (AMapException e2) {
                            obtainMessage.what = e2.getErrorCode();
                            fm.a(e2, "NearbySearch", "searchNearbyInfoAsyn");
                            if (hm.this.f858d == null) {
                                return;
                            }
                        }
                        hm.this.f858d.sendMessage(obtainMessage);
                    } catch (Throwable th) {
                        if (hm.this.f858d != null) {
                            hm.this.f858d.sendMessage(obtainMessage);
                        }
                        throw th;
                    }
                }
            });
        } catch (Throwable th) {
            fm.a(th, "NearbySearch", "searchNearbyInfoAsynThrowable");
        }
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final NearbySearchResult searchNearbyInfo(NearbySearch.NearbyQuery nearbyQuery) throws AMapException {
        try {
            fv.a(this.f857c);
            if (!a(nearbyQuery)) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            return new fz(this.f857c, nearbyQuery).d();
        } catch (AMapException e2) {
            throw e2;
        } catch (Throwable th) {
            fm.a(th, "NearbySearch", "searchNearbyInfo");
            throw new AMapException(AMapException.AMAP_CLIENT_UNKNOWN_ERROR);
        }
    }

    private static boolean a(NearbySearch.NearbyQuery nearbyQuery) {
        return (nearbyQuery == null || nearbyQuery.getCenterPoint() == null) ? false : true;
    }

    @Override // com.amap.api.services.interfaces.INearbySearch
    public final synchronized void destroy() {
        try {
            this.f863j.cancel();
        } catch (Throwable th) {
            fm.a(th, "NearbySearch", "destryoy");
        }
    }

    /* compiled from: NearbySearchCore.java */
    private class a extends TimerTask {
        private a() {
        }

        /* synthetic */ a(hm hmVar, byte b2) {
            this();
        }

        @Override // java.util.TimerTask, java.lang.Runnable
        public final void run() {
            try {
                if (hm.this.k != null) {
                    int b2 = hm.this.b(hm.this.k.OnUploadInfoCallback());
                    Message obtainMessage = hm.this.f858d.obtainMessage();
                    obtainMessage.arg1 = 10;
                    obtainMessage.obj = hm.this.f855a;
                    obtainMessage.what = b2;
                    hm.this.f858d.sendMessage(obtainMessage);
                }
            } catch (Throwable th) {
                fm.a(th, "NearbySearch", "UpdateDataTask");
            }
        }
    }
}
