package com.amap.api.col.p0003sl;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import com.amap.api.col.p0003sl.fx;
import com.amap.api.col.p0003sl.im;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.interfaces.IPoiSearch;
import com.amap.api.services.poisearch.PoiResult;
import com.amap.api.services.poisearch.PoiSearch;
import java.util.HashMap;
import java.util.List;

/* compiled from: PoiSearchCore.java */
/* loaded from: classes.dex */
public final class hn implements IPoiSearch {

    /* renamed from: i, reason: collision with root package name */
    private static HashMap<Integer, PoiResult> f870i;

    /* renamed from: a, reason: collision with root package name */
    private PoiSearch.SearchBound f871a;

    /* renamed from: b, reason: collision with root package name */
    private PoiSearch.Query f872b;

    /* renamed from: c, reason: collision with root package name */
    private Context f873c;

    /* renamed from: d, reason: collision with root package name */
    private PoiSearch.OnPoiSearchListener f874d;

    /* renamed from: e, reason: collision with root package name */
    private String f875e = "zh-CN";

    /* renamed from: f, reason: collision with root package name */
    private PoiSearch.Query f876f;

    /* renamed from: g, reason: collision with root package name */
    private PoiSearch.SearchBound f877g;

    /* renamed from: h, reason: collision with root package name */
    private int f878h;

    /* renamed from: j, reason: collision with root package name */
    private Handler f879j;

    public hn(Context context, PoiSearch.Query query) throws AMapException {
        this.f879j = null;
        in a2 = im.a(context, fl.a(false));
        if (a2.f1159a != im.c.SuccessCode) {
            throw new AMapException(a2.f1160b, 1, a2.f1160b, a2.f1159a.a());
        }
        this.f873c = context.getApplicationContext();
        setQuery(query);
        this.f879j = fx.a();
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void setOnPoiSearchListener(PoiSearch.OnPoiSearchListener onPoiSearchListener) {
        this.f874d = onPoiSearchListener;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void setLanguage(String str) {
        if ("en".equals(str)) {
            this.f875e = "en";
        } else {
            this.f875e = "zh-CN";
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final String getLanguage() {
        return this.f875e;
    }

    private boolean a() {
        PoiSearch.Query query = this.f872b;
        if (query == null) {
            return false;
        }
        return (fm.a(query.getQueryString()) && fm.a(this.f872b.getCategory())) ? false : true;
    }

    private boolean b() {
        PoiSearch.SearchBound bound = getBound();
        return bound != null && bound.getShape().equals("Bound");
    }

    private boolean c() {
        PoiSearch.SearchBound bound = getBound();
        if (bound == null) {
            return true;
        }
        if (bound.getShape().equals("Bound")) {
            return bound.getCenter() != null;
        }
        if (bound.getShape().equals("Polygon")) {
            List<LatLonPoint> polyGonList = bound.getPolyGonList();
            if (polyGonList == null || polyGonList.size() == 0) {
                return false;
            }
            for (int i2 = 0; i2 < polyGonList.size(); i2++) {
                if (polyGonList.get(i2) == null) {
                    return false;
                }
            }
            return true;
        }
        if (!bound.getShape().equals("Rectangle")) {
            return true;
        }
        LatLonPoint lowerLeft = bound.getLowerLeft();
        LatLonPoint upperRight = bound.getUpperRight();
        return lowerLeft != null && upperRight != null && lowerLeft.getLatitude() < upperRight.getLatitude() && lowerLeft.getLongitude() < upperRight.getLongitude();
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final PoiResult searchPOI() throws AMapException {
        try {
            fv.a(this.f873c);
            if (!b() && !a()) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            if (!c()) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            PoiSearch.Query query = this.f872b;
            if (query == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            if ((!query.queryEquals(this.f876f) && this.f871a == null) || (!this.f872b.queryEquals(this.f876f) && !this.f871a.equals(this.f877g))) {
                this.f878h = 0;
                this.f876f = this.f872b.m82clone();
                PoiSearch.SearchBound searchBound = this.f871a;
                if (searchBound != null) {
                    this.f877g = searchBound.m83clone();
                }
                HashMap<Integer, PoiResult> hashMap = f870i;
                if (hashMap != null) {
                    hashMap.clear();
                }
            }
            PoiSearch.SearchBound searchBound2 = this.f871a;
            PoiSearch.SearchBound m83clone = searchBound2 != null ? searchBound2.m83clone() : null;
            go.a().a(this.f872b.getQueryString());
            this.f872b.setPageNum(go.a().k(this.f872b.getPageNum()));
            this.f872b.setPageSize(go.a().l(this.f872b.getPageSize()));
            if (this.f878h == 0) {
                PoiResult d2 = new ge(this.f873c, new gi(this.f872b.m82clone(), m83clone)).d();
                a(d2);
                return d2;
            }
            PoiResult a2 = a(this.f872b.getPageNum());
            if (a2 != null) {
                return a2;
            }
            PoiResult d3 = new ge(this.f873c, new gi(this.f872b.m82clone(), m83clone)).d();
            f870i.put(Integer.valueOf(this.f872b.getPageNum()), d3);
            return d3;
        } catch (AMapException e2) {
            fm.a(e2, "PoiSearch", "searchPOI");
            throw new AMapException(e2.getErrorMessage());
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void searchPOIAsyn() {
        try {
            gw.a().a(new Runnable() { // from class: com.amap.api.col.3sl.hn.1
                @Override // java.lang.Runnable
                public final void run() {
                    fx.j jVar;
                    Message obtainMessage = hn.this.f879j.obtainMessage();
                    obtainMessage.arg1 = 6;
                    obtainMessage.what = 600;
                    Bundle bundle = new Bundle();
                    PoiResult poiResult = null;
                    try {
                        try {
                            poiResult = hn.this.searchPOI();
                            bundle.putInt("errorCode", 1000);
                            jVar = new fx.j();
                        } catch (AMapException e2) {
                            bundle.putInt("errorCode", e2.getErrorCode());
                            jVar = new fx.j();
                        }
                        jVar.f693b = hn.this.f874d;
                        jVar.f692a = poiResult;
                        obtainMessage.obj = jVar;
                        obtainMessage.setData(bundle);
                        hn.this.f879j.sendMessage(obtainMessage);
                    } catch (Throwable th) {
                        fx.j jVar2 = new fx.j();
                        jVar2.f693b = hn.this.f874d;
                        jVar2.f692a = poiResult;
                        obtainMessage.obj = jVar2;
                        obtainMessage.setData(bundle);
                        hn.this.f879j.sendMessage(obtainMessage);
                        throw th;
                    }
                }
            });
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final PoiItem searchPOIId(String str) throws AMapException {
        fv.a(this.f873c);
        PoiSearch.Query query = this.f872b;
        return new gc(this.f873c, str, query != null ? query.m82clone() : null).d();
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void searchPOIIdAsyn(final String str) {
        gw.a().a(new Runnable() { // from class: com.amap.api.col.3sl.hn.2
            @Override // java.lang.Runnable
            public final void run() {
                fx.h hVar;
                Message obtainMessage = fx.a().obtainMessage();
                obtainMessage.arg1 = 6;
                obtainMessage.what = TypedValues.MotionType.TYPE_QUANTIZE_MOTION_PHASE;
                Bundle bundle = new Bundle();
                PoiItem poiItem = null;
                try {
                    try {
                        poiItem = hn.this.searchPOIId(str);
                        bundle.putInt("errorCode", 1000);
                        hVar = new fx.h();
                    } catch (AMapException e2) {
                        fm.a(e2, "PoiSearch", "searchPOIIdAsyn");
                        bundle.putInt("errorCode", e2.getErrorCode());
                        hVar = new fx.h();
                    }
                    hVar.f689b = hn.this.f874d;
                    hVar.f688a = poiItem;
                    obtainMessage.obj = hVar;
                    obtainMessage.setData(bundle);
                    hn.this.f879j.sendMessage(obtainMessage);
                } catch (Throwable th) {
                    fx.h hVar2 = new fx.h();
                    hVar2.f689b = hn.this.f874d;
                    hVar2.f688a = poiItem;
                    obtainMessage.obj = hVar2;
                    obtainMessage.setData(bundle);
                    hn.this.f879j.sendMessage(obtainMessage);
                    throw th;
                }
            }
        });
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void setQuery(PoiSearch.Query query) {
        this.f872b = query;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final void setBound(PoiSearch.SearchBound searchBound) {
        this.f871a = searchBound;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final PoiSearch.Query getQuery() {
        return this.f872b;
    }

    @Override // com.amap.api.services.interfaces.IPoiSearch
    public final PoiSearch.SearchBound getBound() {
        return this.f871a;
    }

    private void a(PoiResult poiResult) {
        int i2;
        f870i = new HashMap<>();
        PoiSearch.Query query = this.f872b;
        if (query == null || poiResult == null || (i2 = this.f878h) <= 0 || i2 <= query.getPageNum()) {
            return;
        }
        f870i.put(Integer.valueOf(this.f872b.getPageNum()), poiResult);
    }

    private PoiResult a(int i2) {
        if (!b(i2)) {
            throw new IllegalArgumentException("page out of range");
        }
        return f870i.get(Integer.valueOf(i2));
    }

    private boolean b(int i2) {
        return i2 <= this.f878h && i2 >= 0;
    }
}
