package com.amap.api.col.p0003sl;

import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import com.amap.api.col.p0003sl.im;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.interfaces.IRouteSearchV2;
import com.amap.api.services.route.BusRouteResultV2;
import com.amap.api.services.route.DriveRouteResultV2;
import com.amap.api.services.route.RideRouteResultV2;
import com.amap.api.services.route.RouteSearchV2;
import com.amap.api.services.route.WalkRouteResultV2;

/* compiled from: RouteSearchCoreV2.java */
/* loaded from: classes.dex */
public final class hr implements IRouteSearchV2 {

    /* renamed from: a, reason: collision with root package name */
    private RouteSearchV2.OnRouteSearchListener f918a;

    /* renamed from: b, reason: collision with root package name */
    private Context f919b;

    /* renamed from: c, reason: collision with root package name */
    private Handler f920c;

    public hr(Context context) throws AMapException {
        in a2 = im.a(context, fl.a(false));
        if (a2.f1159a != im.c.SuccessCode) {
            throw new AMapException(a2.f1160b, 1, a2.f1160b, a2.f1159a.a());
        }
        this.f919b = context.getApplicationContext();
        this.f920c = fx.a();
    }

    private static boolean a(RouteSearchV2.FromAndTo fromAndTo) {
        return (fromAndTo == null || fromAndTo.getFrom() == null || fromAndTo.getTo() == null) ? false : true;
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void setRouteSearchListener(RouteSearchV2.OnRouteSearchListener onRouteSearchListener) {
        this.f918a = onRouteSearchListener;
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final DriveRouteResultV2 calculateDriveRoute(RouteSearchV2.DriveRouteQuery driveRouteQuery) throws AMapException {
        try {
            fv.a(this.f919b);
            if (driveRouteQuery == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            if (!a(driveRouteQuery.getFromAndTo())) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            go.a();
            go.b(driveRouteQuery.getPassedByPoints());
            go.a().c(driveRouteQuery.getAvoidpolygons());
            RouteSearchV2.DriveRouteQuery m95clone = driveRouteQuery.m95clone();
            DriveRouteResultV2 d2 = new fr(this.f919b, m95clone).d();
            if (d2 != null) {
                d2.setDriveQuery(m95clone);
            }
            return d2;
        } catch (AMapException e2) {
            fm.a(e2, "RouteSearch", "calculateDriveRoute");
            throw e2;
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void calculateDriveRouteAsyn(final RouteSearchV2.DriveRouteQuery driveRouteQuery) {
        try {
            gw.a().a(new Runnable() { // from class: com.amap.api.col.3sl.hr.1
                @Override // java.lang.Runnable
                public final void run() {
                    Message obtainMessage = fx.a().obtainMessage();
                    obtainMessage.what = 101;
                    obtainMessage.arg1 = 101;
                    Bundle bundle = new Bundle();
                    DriveRouteResultV2 driveRouteResultV2 = null;
                    try {
                        try {
                            driveRouteResultV2 = hr.this.calculateDriveRoute(driveRouteQuery);
                            bundle.putInt("errorCode", 1000);
                        } catch (AMapException e2) {
                            bundle.putInt("errorCode", e2.getErrorCode());
                        }
                    } finally {
                        obtainMessage.obj = hr.this.f918a;
                        bundle.putParcelable("result", driveRouteResultV2);
                        obtainMessage.setData(bundle);
                        hr.this.f920c.sendMessage(obtainMessage);
                    }
                }
            });
        } catch (Throwable th) {
            fm.a(th, "RouteSearch", "calculateDriveRouteAsyn");
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final WalkRouteResultV2 calculateWalkRoute(RouteSearchV2.WalkRouteQuery walkRouteQuery) throws AMapException {
        try {
            fv.a(this.f919b);
            if (walkRouteQuery == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            if (!a(walkRouteQuery.getFromAndTo())) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            go.a().b(walkRouteQuery.getFromAndTo());
            RouteSearchV2.WalkRouteQuery m98clone = walkRouteQuery.m98clone();
            WalkRouteResultV2 d2 = new gz(this.f919b, m98clone).d();
            if (d2 != null) {
                d2.setWalkQuery(m98clone);
            }
            return d2;
        } catch (AMapException e2) {
            fm.a(e2, "RouteSearch", "calculateWalkRoute");
            throw e2;
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void calculateWalkRouteAsyn(final RouteSearchV2.WalkRouteQuery walkRouteQuery) {
        try {
            gw.a().a(new Runnable() { // from class: com.amap.api.col.3sl.hr.2
                @Override // java.lang.Runnable
                public final void run() {
                    Message obtainMessage = fx.a().obtainMessage();
                    obtainMessage.what = 102;
                    obtainMessage.arg1 = 101;
                    Bundle bundle = new Bundle();
                    WalkRouteResultV2 walkRouteResultV2 = null;
                    try {
                        try {
                            walkRouteResultV2 = hr.this.calculateWalkRoute(walkRouteQuery);
                            bundle.putInt("errorCode", 1000);
                        } catch (AMapException e2) {
                            bundle.putInt("errorCode", e2.getErrorCode());
                        }
                    } finally {
                        obtainMessage.obj = hr.this.f918a;
                        bundle.putParcelable("result", walkRouteResultV2);
                        obtainMessage.setData(bundle);
                        hr.this.f920c.sendMessage(obtainMessage);
                    }
                }
            });
        } catch (Throwable th) {
            fm.a(th, "RouteSearch", "calculateWalkRouteAsyn");
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final RideRouteResultV2 calculateRideRoute(RouteSearchV2.RideRouteQuery rideRouteQuery) throws AMapException {
        try {
            fv.a(this.f919b);
            if (rideRouteQuery == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            if (!a(rideRouteQuery.getFromAndTo())) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            go.a().a(rideRouteQuery.getFromAndTo());
            RouteSearchV2.RideRouteQuery m97clone = rideRouteQuery.m97clone();
            RideRouteResultV2 d2 = new gr(this.f919b, m97clone).d();
            if (d2 != null) {
                d2.setRideQuery(m97clone);
            }
            return d2;
        } catch (AMapException e2) {
            fm.a(e2, "RouteSearch", "calculaterideRoute");
            throw e2;
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void calculateRideRouteAsyn(final RouteSearchV2.RideRouteQuery rideRouteQuery) {
        try {
            gw.a().a(new Runnable() { // from class: com.amap.api.col.3sl.hr.3
                @Override // java.lang.Runnable
                public final void run() {
                    Message obtainMessage = fx.a().obtainMessage();
                    obtainMessage.what = 103;
                    obtainMessage.arg1 = 101;
                    Bundle bundle = new Bundle();
                    RideRouteResultV2 rideRouteResultV2 = null;
                    try {
                        try {
                            rideRouteResultV2 = hr.this.calculateRideRoute(rideRouteQuery);
                            bundle.putInt("errorCode", 1000);
                        } catch (AMapException e2) {
                            bundle.putInt("errorCode", e2.getErrorCode());
                        }
                    } finally {
                        obtainMessage.obj = hr.this.f918a;
                        bundle.putParcelable("result", rideRouteResultV2);
                        obtainMessage.setData(bundle);
                        hr.this.f920c.sendMessage(obtainMessage);
                    }
                }
            });
        } catch (Throwable th) {
            fm.a(th, "RouteSearch", "calculateRideRouteAsyn");
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final BusRouteResultV2 calculateBusRoute(RouteSearchV2.BusRouteQuery busRouteQuery) throws AMapException {
        try {
            fv.a(this.f919b);
            if (busRouteQuery == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            if (!a(busRouteQuery.getFromAndTo())) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            RouteSearchV2.BusRouteQuery m94clone = busRouteQuery.m94clone();
            BusRouteResultV2 d2 = new fg(this.f919b, m94clone).d();
            if (d2 != null) {
                d2.setBusQuery(m94clone);
            }
            return d2;
        } catch (AMapException e2) {
            fm.a(e2, "RouteSearch", "calculateBusRoute");
            throw e2;
        }
    }

    @Override // com.amap.api.services.interfaces.IRouteSearchV2
    public final void calculateBusRouteAsyn(final RouteSearchV2.BusRouteQuery busRouteQuery) {
        try {
            gw.a().a(new Runnable() { // from class: com.amap.api.col.3sl.hr.4
                @Override // java.lang.Runnable
                public final void run() {
                    Message obtainMessage = fx.a().obtainMessage();
                    obtainMessage.what = 100;
                    obtainMessage.arg1 = 101;
                    Bundle bundle = new Bundle();
                    BusRouteResultV2 busRouteResultV2 = null;
                    try {
                        try {
                            busRouteResultV2 = hr.this.calculateBusRoute(busRouteQuery);
                            bundle.putInt("errorCode", 1000);
                        } catch (AMapException e2) {
                            bundle.putInt("errorCode", e2.getErrorCode());
                        }
                    } finally {
                        obtainMessage.obj = hr.this.f918a;
                        bundle.putParcelable("result", busRouteResultV2);
                        obtainMessage.setData(bundle);
                        hr.this.f920c.sendMessage(obtainMessage);
                    }
                }
            });
        } catch (Throwable th) {
            fm.a(th, "RouteSearch", "calculateBusRouteAsyn");
        }
    }
}
