package com.amap.api.col.p0003sl;

import android.content.Context;
import android.location.Location;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import com.amap.api.maps.CoordinateConverter;
import com.amap.api.maps.LocationSource;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.trace.LBSTraceBase;
import com.amap.api.trace.LBSTraceClient;
import com.amap.api.trace.TraceListener;
import com.amap.api.trace.TraceLocation;
import com.amap.api.trace.TraceStatusListener;
import com.yucheng.smarthealthpro.customchart.utils.Utils;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;

/* compiled from: TraceManager.java */
/* loaded from: classes.dex */
public final class hz implements LocationSource.OnLocationChangedListener, LBSTraceBase {

    /* renamed from: b, reason: collision with root package name */
    private Context f969b;

    /* renamed from: c, reason: collision with root package name */
    private CoordinateConverter f970c;

    /* renamed from: d, reason: collision with root package name */
    private lz f971d;

    /* renamed from: e, reason: collision with root package name */
    private lz f972e;

    /* renamed from: h, reason: collision with root package name */
    private TraceStatusListener f975h;

    /* renamed from: i, reason: collision with root package name */
    private av f976i;
    private c n;

    /* renamed from: f, reason: collision with root package name */
    private long f973f = 2000;

    /* renamed from: g, reason: collision with root package name */
    private int f974g = 5;

    /* renamed from: j, reason: collision with root package name */
    private List<TraceLocation> f977j = new ArrayList();
    private int k = 0;
    private int l = 0;
    private long m = 0;
    private TraceLocation o = null;
    private List<LatLng> p = new ArrayList();
    private List<LatLng> q = new ArrayList();
    private List<LatLng> r = new ArrayList();

    /* renamed from: a, reason: collision with root package name */
    int f968a = 6;
    private BlockingQueue<Runnable> s = new LinkedBlockingQueue();
    private BlockingQueue<Runnable> t = new LinkedBlockingQueue();

    public hz(Context context) {
        Context applicationContext = context.getApplicationContext();
        this.f969b = applicationContext;
        this.f970c = new CoordinateConverter(applicationContext);
        this.n = new c(Looper.getMainLooper());
        ij.a().a(this.f969b);
        this.f971d = du.a(this.f968a * 2, this.s, "AMapTraceManagerProcess");
        this.f972e = du.a(this.f968a * 2, this.t, "AMapTraceManagerRequest");
    }

    @Override // com.amap.api.trace.LBSTraceBase
    public final void queryProcessedTrace(int i2, List<TraceLocation> list, int i3, TraceListener traceListener) {
        try {
            this.f971d.a(new a(i2, list, i3, traceListener));
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.amap.api.trace.LBSTraceBase
    public final void setLocationInterval(long j2) {
        this.f973f = j2;
    }

    @Override // com.amap.api.trace.LBSTraceBase
    public final void setTraceStatusInterval(int i2) {
        this.f974g = Math.max(i2, 2);
    }

    @Override // com.amap.api.trace.LBSTraceBase
    public final void startTrace(TraceStatusListener traceStatusListener) {
        if (this.f969b == null) {
            Log.w("LBSTraceClient", "Context need to be initialized");
            return;
        }
        this.m = System.currentTimeMillis();
        this.f975h = traceStatusListener;
        if (this.f976i == null) {
            av avVar = new av(this.f969b);
            this.f976i = avVar;
            avVar.a(this.f973f);
            this.f976i.activate(this);
        }
    }

    @Override // com.amap.api.maps.LocationSource.OnLocationChangedListener
    public final void onLocationChanged(Location location) {
        TraceStatusListener traceStatusListener;
        if (this.f975h != null) {
            try {
                if (System.currentTimeMillis() - this.m >= 30000 && (traceStatusListener = this.f975h) != null) {
                    traceStatusListener.onTraceStatus(null, null, LBSTraceClient.LOCATE_TIMEOUT_ERROR);
                }
                this.m = System.currentTimeMillis();
                Bundle extras = location.getExtras();
                int i2 = extras.getInt("errorCode");
                if (i2 != 0) {
                    Log.w("LBSTraceClient", "Locate failed [errorCode:\"" + i2 + "\"  errorInfo:" + extras.getString(MyLocationStyle.ERROR_INFO) + "\"]");
                    return;
                }
                synchronized (this.f977j) {
                    TraceLocation traceLocation = new TraceLocation(location.getLatitude(), location.getLongitude(), location.getSpeed(), location.getBearing(), location.getTime());
                    if (a(this.o, traceLocation)) {
                        return;
                    }
                    this.f977j.add(traceLocation);
                    this.o = traceLocation;
                    int i3 = this.k + 1;
                    this.k = i3;
                    if (i3 == this.f974g) {
                        this.l += i3;
                        a();
                        this.k = 0;
                    }
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    private static boolean a(TraceLocation traceLocation, TraceLocation traceLocation2) {
        return traceLocation != null && traceLocation.getLatitude() == traceLocation2.getLatitude() && traceLocation.getLongitude() == traceLocation2.getLongitude();
    }

    private void a() {
        int size = this.f977j.size();
        if (size < this.f974g) {
            return;
        }
        if (size <= 50) {
            ArrayList arrayList = new ArrayList(this.f977j);
            queryProcessedTrace(0, arrayList, 1, new b(arrayList));
            return;
        }
        int i2 = size - 50;
        if (i2 < 0) {
            return;
        }
        a(new ArrayList(this.f977j.subList(i2 - this.f974g, i2)));
        ArrayList arrayList2 = new ArrayList(this.f977j.subList(i2, size));
        queryProcessedTrace(i2, arrayList2, 1, new b(arrayList2));
    }

    private void a(List<TraceLocation> list) {
        hz hzVar = this;
        synchronized (hzVar.r) {
            try {
                if (list.size() <= 0) {
                    return;
                }
                if (hzVar.r.size() <= 0) {
                    return;
                }
                LatLng latLng = null;
                double d2 = Utils.DOUBLE_EPSILON;
                TraceLocation traceLocation = null;
                double d3 = 0.0d;
                for (TraceLocation traceLocation2 : list) {
                    if (traceLocation2 != null) {
                        if (traceLocation != null) {
                            double a2 = a(traceLocation.getLatitude(), traceLocation.getLongitude(), traceLocation2.getLatitude(), traceLocation2.getLongitude());
                            if (a2 <= 100.0d) {
                                d3 += a2;
                            }
                        }
                        traceLocation = traceLocation2;
                    }
                }
                Iterator<LatLng> it2 = hzVar.r.iterator();
                while (it2.hasNext()) {
                    LatLng next = it2.next();
                    if (next == null) {
                        it2.remove();
                    } else {
                        if (latLng == null) {
                            hzVar.p.add(next);
                            it2.remove();
                        } else {
                            Iterator<LatLng> it3 = it2;
                            try {
                                d2 += a(latLng.latitude, latLng.longitude, next.latitude, next.longitude);
                                if (d2 >= d3) {
                                    break;
                                }
                                hzVar = this;
                                hzVar.p.add(next);
                                it3.remove();
                                it2 = it3;
                            } catch (Throwable th) {
                                th = th;
                                throw th;
                            }
                        }
                        latLng = next;
                    }
                }
            } catch (Throwable th2) {
                th = th2;
            }
        }
    }

    private static double a(double d2, double d3, double d4, double d5) {
        double d6 = d2 > d4 ? d2 - d4 : d4 - d2;
        double d7 = d3 > d5 ? d3 - d5 : d5 - d3;
        return Math.sqrt((d6 * d6) + (d7 * d7));
    }

    @Override // com.amap.api.trace.LBSTraceBase
    public final void stopTrace() {
        b();
        c();
    }

    private void b() {
        av avVar = this.f976i;
        if (avVar != null) {
            avVar.deactivate();
            this.f976i = null;
        }
    }

    private void c() {
        this.s.clear();
        this.t.clear();
        List<TraceLocation> list = this.f977j;
        if (list != null) {
            synchronized (list) {
                List<TraceLocation> list2 = this.f977j;
                if (list2 != null) {
                    list2.clear();
                }
                this.l = 0;
                this.k = 0;
                this.m = 0L;
                this.o = null;
            }
        }
    }

    @Override // com.amap.api.trace.LBSTraceBase
    public final void destroy() {
        try {
            stopTrace();
            lz lzVar = this.f971d;
            if (lzVar != null) {
                lzVar.e();
                this.f971d = null;
            }
            lz lzVar2 = this.f972e;
            if (lzVar2 != null) {
                lzVar2.e();
                this.f972e = null;
            }
            this.f977j = null;
            this.f975h = null;
        } catch (Throwable th) {
            th.printStackTrace();
        }
        this.f969b = null;
        this.f970c = null;
    }

    /* compiled from: TraceManager.java */
    class b implements TraceListener {

        /* renamed from: b, reason: collision with root package name */
        private final List<TraceLocation> f988b;

        @Override // com.amap.api.trace.TraceListener
        public final void onTraceProcessing(int i2, int i3, List<LatLng> list) {
        }

        public b(List<TraceLocation> list) {
            this.f988b = list;
        }

        @Override // com.amap.api.trace.TraceListener
        public final void onRequestFailed(int i2, String str) {
            ArrayList arrayList = new ArrayList();
            if (hz.this.r != null) {
                arrayList.addAll(hz.this.r);
            }
            List<TraceLocation> list = this.f988b;
            if (list != null) {
                int size = list.size();
                if (this.f988b.size() > hz.this.f974g) {
                    for (int i3 = size - hz.this.f974g; i3 < size; i3++) {
                        TraceLocation traceLocation = this.f988b.get(i3);
                        if (traceLocation != null) {
                            arrayList.add(new LatLng(traceLocation.getLatitude(), traceLocation.getLongitude()));
                        }
                    }
                }
            }
            a(i2, arrayList);
        }

        @Override // com.amap.api.trace.TraceListener
        public final void onFinished(int i2, List<LatLng> list, int i3, int i4) {
            a(i2, list);
        }

        private void a(int i2, List<LatLng> list) {
            try {
                synchronized (hz.this.r) {
                    hz.this.r.clear();
                    hz.this.r.addAll(list);
                }
                hz.this.q.clear();
                if (i2 == 0) {
                    hz.this.q.addAll(hz.this.r);
                } else {
                    hz.this.q.addAll(hz.this.p);
                    hz.this.q.addAll(hz.this.r);
                }
                hz.this.f975h.onTraceStatus(hz.this.f977j, hz.this.q, LBSTraceClient.TRACE_SUCCESS);
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    /* compiled from: TraceManager.java */
    class a extends ma {

        /* renamed from: c, reason: collision with root package name */
        private int f980c;

        /* renamed from: d, reason: collision with root package name */
        private int f981d;

        /* renamed from: e, reason: collision with root package name */
        private List<TraceLocation> f982e;

        /* renamed from: h, reason: collision with root package name */
        private TraceListener f984h;

        /* renamed from: b, reason: collision with root package name */
        private List<TraceLocation> f979b = new ArrayList();

        /* renamed from: g, reason: collision with root package name */
        private String f983g = dn.a();

        public a(int i2, List<TraceLocation> list, int i3, TraceListener traceListener) {
            this.f980c = i3;
            this.f981d = i2;
            this.f982e = list;
            this.f984h = traceListener;
        }

        @Override // com.amap.api.col.p0003sl.ma
        public final void runTask() {
            try {
                hz.this.n.a(this.f984h);
                int a2 = a();
                List<TraceLocation> list = this.f982e;
                if (list != null && list.size() >= 2) {
                    Iterator<TraceLocation> it2 = this.f982e.iterator();
                    while (it2.hasNext()) {
                        TraceLocation copy = it2.next().copy();
                        if (copy != null && copy.getLatitude() > Utils.DOUBLE_EPSILON && copy.getLongitude() > Utils.DOUBLE_EPSILON) {
                            this.f979b.add(copy);
                        }
                    }
                    int size = (this.f979b.size() - 2) / 500;
                    ia.a().a(this.f983g, this.f981d, size, a2);
                    int i2 = 0;
                    int i3 = 500;
                    while (i2 <= size) {
                        if (i2 == size) {
                            i3 = this.f979b.size();
                        }
                        int i4 = i3;
                        ArrayList arrayList = new ArrayList();
                        for (int i5 = 0; i5 < i4; i5++) {
                            TraceLocation remove = this.f979b.remove(0);
                            if (remove != null) {
                                int i6 = this.f980c;
                                if (i6 != 1) {
                                    if (i6 == 3) {
                                        hz.this.f970c.from(CoordinateConverter.CoordType.BAIDU);
                                    } else if (i6 == 2) {
                                        hz.this.f970c.from(CoordinateConverter.CoordType.GPS);
                                    }
                                    hz.this.f970c.coord(new LatLng(remove.getLatitude(), remove.getLongitude()));
                                    LatLng convert = hz.this.f970c.convert();
                                    if (convert != null) {
                                        remove.setLatitude(convert.latitude);
                                        remove.setLongitude(convert.longitude);
                                    }
                                }
                                arrayList.add(remove);
                            }
                        }
                        if (arrayList.size() >= 2 && arrayList.size() <= 500) {
                            final hy hyVar = new hy(hz.this.f969b, hz.this.n, arrayList, this.f983g, this.f981d, i2);
                            hz.this.f972e.a(new ma() { // from class: com.amap.api.col.3sl.hz.a.1
                                @Override // com.amap.api.col.p0003sl.ma
                                public final void runTask() {
                                    hyVar.run();
                                }
                            });
                            i2++;
                            try {
                                Thread.sleep(50L);
                            } catch (InterruptedException e2) {
                                e2.printStackTrace();
                            }
                        }
                        i3 = i4;
                    }
                    return;
                }
                ia.a();
                ia.a(hz.this.n, this.f981d, LBSTraceClient.MIN_GRASP_POINT_ERROR);
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }

        private int a() {
            List<TraceLocation> list = this.f982e;
            int i2 = 0;
            if (list != null && list.size() != 0) {
                ArrayList arrayList = new ArrayList();
                for (TraceLocation traceLocation : this.f982e) {
                    if (traceLocation != null) {
                        if (traceLocation.getSpeed() < 0.01d) {
                            arrayList.add(traceLocation);
                        } else {
                            i2 += a(arrayList);
                            arrayList.clear();
                        }
                    }
                }
            }
            return i2;
        }

        private static int a(List<TraceLocation> list) {
            int size = list.size();
            if (size <= 1) {
                return 0;
            }
            TraceLocation traceLocation = list.get(0);
            TraceLocation traceLocation2 = list.get(size - 1);
            if (traceLocation == null || traceLocation2 == null || traceLocation == null || traceLocation2 == null) {
                return 0;
            }
            return (int) ((traceLocation2.getTime() - traceLocation.getTime()) / 1000);
        }
    }

    /* compiled from: TraceManager.java */
    static class c extends Handler {

        /* renamed from: a, reason: collision with root package name */
        private TraceListener f989a;

        public c(Looper looper) {
            super(looper);
        }

        public final void a(TraceListener traceListener) {
            this.f989a = traceListener;
        }

        @Override // android.os.Handler
        public final void handleMessage(Message message) {
            Bundle data;
            try {
                if (this.f989a == null || (data = message.getData()) == null) {
                    return;
                }
                int i2 = data.getInt("lineID");
                switch (message.what) {
                    case 100:
                        this.f989a.onTraceProcessing(i2, message.arg1, (List) message.obj);
                        break;
                    case 101:
                        this.f989a.onFinished(i2, (List) message.obj, message.arg1, message.arg2);
                        break;
                    case 102:
                        this.f989a.onRequestFailed(i2, (String) message.obj);
                        break;
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }
}
