package com.amap.api.col.p0003sl;

import android.content.Context;
import android.text.TextUtils;
import android.webkit.JavascriptInterface;
import android.webkit.ValueCallback;
import android.webkit.WebView;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClient;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.location.AMapLocationListener;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.services.district.DistrictSearchQuery;
import com.autonavi.aps.amapapi.utils.b;
import com.facebook.appevents.integrity.IntegrityManager;
import org.json.JSONObject;

/* compiled from: H5LocationClient.java */
/* loaded from: classes.dex */
public final class i {

    /* renamed from: c, reason: collision with root package name */
    a f992c;

    /* renamed from: d, reason: collision with root package name */
    private Context f993d;

    /* renamed from: f, reason: collision with root package name */
    private WebView f995f;

    /* renamed from: a, reason: collision with root package name */
    Object f990a = new Object();

    /* renamed from: e, reason: collision with root package name */
    private AMapLocationClient f994e = null;

    /* renamed from: g, reason: collision with root package name */
    private String f996g = "AMap.Geolocation.cbk";

    /* renamed from: b, reason: collision with root package name */
    AMapLocationClientOption f991b = null;

    /* renamed from: h, reason: collision with root package name */
    private volatile boolean f997h = false;

    public i(Context context, WebView webView) {
        this.f995f = null;
        this.f992c = null;
        this.f993d = context.getApplicationContext();
        this.f995f = webView;
        this.f992c = new a();
    }

    public final void a() {
        if (this.f995f == null || this.f993d == null || this.f997h) {
            return;
        }
        try {
            this.f995f.getSettings().setJavaScriptEnabled(true);
            this.f995f.addJavascriptInterface(this, "AMapAndroidLoc");
            if (!TextUtils.isEmpty(this.f995f.getUrl())) {
                this.f995f.reload();
            }
            if (this.f994e == null) {
                AMapLocationClient aMapLocationClient = new AMapLocationClient(this.f993d);
                this.f994e = aMapLocationClient;
                aMapLocationClient.setLocationListener(this.f992c);
            }
            this.f997h = true;
        } catch (Throwable unused) {
        }
    }

    public final void b() {
        synchronized (this.f990a) {
            this.f997h = false;
            AMapLocationClient aMapLocationClient = this.f994e;
            if (aMapLocationClient != null) {
                aMapLocationClient.unRegisterLocationListener(this.f992c);
                this.f994e.stopLocation();
                this.f994e.onDestroy();
                this.f994e = null;
            }
            this.f991b = null;
        }
    }

    private void a(String str) {
        boolean z;
        boolean z2;
        if (this.f991b == null) {
            this.f991b = new AMapLocationClientOption();
        }
        int i2 = 5;
        long j2 = 30000;
        boolean z3 = true;
        try {
            JSONObject jSONObject = new JSONObject(str);
            j2 = jSONObject.optLong("to", 30000L);
            z = jSONObject.optInt("useGPS", 1) == 1;
            try {
                z2 = jSONObject.optInt("watch", 0) == 1;
                try {
                    i2 = jSONObject.optInt("interval", 5);
                    String optString = jSONObject.optString("callback", null);
                    if (!TextUtils.isEmpty(optString)) {
                        this.f996g = optString;
                    } else {
                        this.f996g = "AMap.Geolocation.cbk";
                    }
                } catch (Throwable unused) {
                }
            } catch (Throwable unused2) {
                z2 = false;
            }
        } catch (Throwable unused3) {
            z = false;
            z2 = false;
        }
        try {
            this.f991b.setHttpTimeOut(j2);
            if (z) {
                this.f991b.setLocationMode(AMapLocationClientOption.AMapLocationMode.Hight_Accuracy);
            } else {
                this.f991b.setLocationMode(AMapLocationClientOption.AMapLocationMode.Battery_Saving);
            }
            AMapLocationClientOption aMapLocationClientOption = this.f991b;
            if (z2) {
                z3 = false;
            }
            aMapLocationClientOption.setOnceLocation(z3);
            if (z2) {
                this.f991b.setInterval(i2 * 1000);
            }
        } catch (Throwable unused4) {
        }
    }

    @JavascriptInterface
    public final void getLocation(String str) {
        synchronized (this.f990a) {
            if (this.f997h) {
                a(str);
                AMapLocationClient aMapLocationClient = this.f994e;
                if (aMapLocationClient != null) {
                    aMapLocationClient.setLocationOption(this.f991b);
                    this.f994e.stopLocation();
                    this.f994e.startLocation();
                }
            }
        }
    }

    @JavascriptInterface
    public final void stopLocation() {
        AMapLocationClient aMapLocationClient;
        if (this.f997h && (aMapLocationClient = this.f994e) != null) {
            aMapLocationClient.stopLocation();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(String str) {
        try {
            if (this.f995f != null) {
                this.f995f.evaluateJavascript("javascript:" + this.f996g + "('" + str + "')", new ValueCallback<String>() { // from class: com.amap.api.col.3sl.i.1
                    @Override // android.webkit.ValueCallback
                    public final /* bridge */ /* synthetic */ void onReceiveValue(String str2) {
                    }
                });
            }
        } catch (Throwable th) {
            b.a(th, "H5LocationClient", "callbackJs()");
        }
    }

    /* compiled from: H5LocationClient.java */
    /* renamed from: com.amap.api.col.3sl.i$2, reason: invalid class name */
    final class AnonymousClass2 implements Runnable {

        /* renamed from: a, reason: collision with root package name */
        final /* synthetic */ String f999a;

        AnonymousClass2(String str) {
            this.f999a = str;
        }

        @Override // java.lang.Runnable
        public final void run() {
            i.this.f995f.loadUrl("javascript:" + i.this.f996g + "('" + this.f999a + "')");
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static String b(AMapLocation aMapLocation) {
        JSONObject jSONObject = new JSONObject();
        try {
            if (aMapLocation == null) {
                jSONObject.put("errorCode", -1);
                jSONObject.put(MyLocationStyle.ERROR_INFO, "unknownError");
            } else if (aMapLocation.getErrorCode() == 0) {
                jSONObject.put("errorCode", 0);
                JSONObject jSONObject2 = new JSONObject();
                jSONObject2.put("x", aMapLocation.getLongitude());
                jSONObject2.put("y", aMapLocation.getLatitude());
                jSONObject2.put("precision", aMapLocation.getAccuracy());
                jSONObject2.put("type", aMapLocation.getLocationType());
                jSONObject2.put("country", aMapLocation.getCountry());
                jSONObject2.put(DistrictSearchQuery.KEYWORDS_PROVINCE, aMapLocation.getProvince());
                jSONObject2.put(DistrictSearchQuery.KEYWORDS_CITY, aMapLocation.getCity());
                jSONObject2.put("cityCode", aMapLocation.getCityCode());
                jSONObject2.put(DistrictSearchQuery.KEYWORDS_DISTRICT, aMapLocation.getDistrict());
                jSONObject2.put("adCode", aMapLocation.getAdCode());
                jSONObject2.put("street", aMapLocation.getStreet());
                jSONObject2.put("streetNum", aMapLocation.getStreetNum());
                jSONObject2.put("floor", aMapLocation.getFloor());
                jSONObject2.put(IntegrityManager.INTEGRITY_TYPE_ADDRESS, aMapLocation.getAddress());
                jSONObject.put("result", jSONObject2);
            } else {
                jSONObject.put("errorCode", aMapLocation.getErrorCode());
                jSONObject.put(MyLocationStyle.ERROR_INFO, aMapLocation.getErrorInfo());
                jSONObject.put("locationDetail", aMapLocation.getLocationDetail());
            }
        } catch (Throwable unused) {
        }
        return jSONObject.toString();
    }

    /* compiled from: H5LocationClient.java */
    class a implements AMapLocationListener {
        a() {
        }

        @Override // com.amap.api.location.AMapLocationListener
        public final void onLocationChanged(AMapLocation aMapLocation) {
            if (i.this.f997h) {
                i.this.b(i.b(aMapLocation));
            }
        }
    }
}
