package com.amap.api.col.p0003sl;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Point;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.opengl.EGL14;
import android.opengl.EGLContext;
import android.opengl.GLES20;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.Pair;
import android.util.Size;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import com.amap.api.col.p0003sl.cs;
import com.amap.api.col.p0003sl.ed;
import com.amap.api.col.p0003sl.im;
import com.amap.api.col.p0003sl.l;
import com.amap.api.maps.AMap;
import com.amap.api.maps.CameraUpdate;
import com.amap.api.maps.CustomRenderer;
import com.amap.api.maps.InfoWindowAnimationManager;
import com.amap.api.maps.MapsInitializer;
import com.amap.api.maps.Projection;
import com.amap.api.maps.UiSettings;
import com.amap.api.maps.interfaces.IGlOverlayLayer;
import com.amap.api.maps.model.AMapCameraInfo;
import com.amap.api.maps.model.AMapGestureListener;
import com.amap.api.maps.model.Arc;
import com.amap.api.maps.model.ArcOptions;
import com.amap.api.maps.model.BaseOptions;
import com.amap.api.maps.model.BaseOverlay;
import com.amap.api.maps.model.BuildingOverlay;
import com.amap.api.maps.model.CameraPosition;
import com.amap.api.maps.model.Circle;
import com.amap.api.maps.model.CircleOptions;
import com.amap.api.maps.model.CrossOverlay;
import com.amap.api.maps.model.CrossOverlayOptions;
import com.amap.api.maps.model.CustomMapStyleOptions;
import com.amap.api.maps.model.GL3DModel;
import com.amap.api.maps.model.GL3DModelOptions;
import com.amap.api.maps.model.GLTFOverlay;
import com.amap.api.maps.model.GroundOverlay;
import com.amap.api.maps.model.GroundOverlayOptions;
import com.amap.api.maps.model.HeatMapGridLayer;
import com.amap.api.maps.model.HeatMapGridLayerOptions;
import com.amap.api.maps.model.HeatMapLayer;
import com.amap.api.maps.model.HeatMapLayerOptions;
import com.amap.api.maps.model.HeatmapTileProvider;
import com.amap.api.maps.model.IndoorBuildingInfo;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.amap.api.maps.model.Marker;
import com.amap.api.maps.model.MarkerOptions;
import com.amap.api.maps.model.MultiPointItem;
import com.amap.api.maps.model.MultiPointOverlay;
import com.amap.api.maps.model.MultiPointOverlayOptions;
import com.amap.api.maps.model.MyTrafficStyle;
import com.amap.api.maps.model.NavigateArrow;
import com.amap.api.maps.model.NavigateArrowOptions;
import com.amap.api.maps.model.Poi;
import com.amap.api.maps.model.Polygon;
import com.amap.api.maps.model.PolygonOptions;
import com.amap.api.maps.model.Polyline;
import com.amap.api.maps.model.PolylineOptions;
import com.amap.api.maps.model.RouteOverlay;
import com.amap.api.maps.model.Text;
import com.amap.api.maps.model.TextOptions;
import com.amap.api.maps.model.TileOverlay;
import com.amap.api.maps.model.TileOverlayOptions;
import com.amap.api.maps.model.TileProvider;
import com.amap.api.maps.model.particle.ParticleOverlay;
import com.amap.api.maps.model.particle.ParticleOverlayOptions;
import com.autonavi.amap.api.mapcore.IGLMapState;
import com.autonavi.amap.mapcore.AbstractCameraUpdateMessage;
import com.autonavi.amap.mapcore.DPoint;
import com.autonavi.amap.mapcore.IPoint;
import com.autonavi.amap.mapcore.VirtualEarthProjection;
import com.autonavi.base.ae.gmap.AMapAppRequestParam;
import com.autonavi.base.ae.gmap.GLMapEngine;
import com.autonavi.base.ae.gmap.GLMapRender;
import com.autonavi.base.ae.gmap.GLMapState;
import com.autonavi.base.ae.gmap.MapPoi;
import com.autonavi.base.ae.gmap.bean.NativeTextGenerate;
import com.autonavi.base.ae.gmap.gesture.EAMapPlatformGestureInfo;
import com.autonavi.base.ae.gmap.gloverlay.BaseMapOverlay;
import com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay;
import com.autonavi.base.ae.gmap.gloverlay.GLOverlayBundle;
import com.autonavi.base.ae.gmap.gloverlay.GLTextureProperty;
import com.autonavi.base.ae.gmap.gloverlay.RouteOverlayInner;
import com.autonavi.base.ae.gmap.listener.AMapWidgetListener;
import com.autonavi.base.ae.gmap.style.StyleItem;
import com.autonavi.base.amap.api.mapcore.BaseOverlayImp;
import com.autonavi.base.amap.api.mapcore.IAMapDelegate;
import com.autonavi.base.amap.api.mapcore.IGLSurfaceView;
import com.autonavi.base.amap.api.mapcore.IProjectionDelegate;
import com.autonavi.base.amap.api.mapcore.IUiSettingsDelegate;
import com.autonavi.base.amap.mapcore.AeUtil;
import com.autonavi.base.amap.mapcore.FPoint;
import com.autonavi.base.amap.mapcore.MapConfig;
import com.autonavi.base.amap.mapcore.Rectangle;
import com.autonavi.base.amap.mapcore.interfaces.IAMapListener;
import com.autonavi.base.amap.mapcore.message.AbstractGestureMapMessage;
import com.autonavi.base.amap.mapcore.tools.GLConvertUtil;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.FutureTask;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

/* compiled from: AMapDelegateImp.java */
/* loaded from: classes.dex */
public final class m implements cs.a, l.a, IAMapDelegate, IAMapListener {
    private final IGLSurfaceView A;
    private ef B;
    private final IGlOverlayLayer C;
    private boolean D;
    private int E;
    private AtomicBoolean F;
    private boolean G;
    private boolean H;
    private boolean I;
    private boolean J;
    private boolean K;
    private Marker L;
    private GLTFOverlay M;
    private boolean N;
    private boolean O;
    private boolean P;
    private boolean Q;
    private int R;
    private boolean S;
    private boolean T;
    private Rect U;
    private int V;
    private MyTrafficStyle W;
    private Thread X;
    private Thread Y;
    private v Z;

    /* renamed from: a, reason: collision with root package name */
    protected boolean f1673a;
    private int aA;
    private b aB;
    private co aC;
    private AMap.OnMultiPointClickListener aD;
    private l aE;
    private long aF;
    private a aG;
    private a aH;
    private a aI;
    private a aJ;
    private a aK;
    private a aL;
    private a aM;
    private a aN;
    private a aO;
    private a aP;
    private a aQ;
    private a aR;
    private a aS;
    private Runnable aT;
    private a aU;
    private com.autonavi.extra.b aV;
    private String aW;
    private String aX;
    private boolean aY;
    private boolean aZ;
    private boolean aa;
    private boolean ab;
    private int ac;
    private CustomRenderer ad;
    private int ae;
    private int af;
    private List<ac> ag;
    private cq ah;
    private cs ai;
    private long aj;
    private GLMapRender ak;
    private z al;
    private boolean am;
    private float an;
    private float ao;
    private float ap;
    private boolean aq;
    private boolean ar;
    private boolean as;
    private volatile boolean at;
    private volatile boolean au;
    private boolean av;
    private boolean aw;
    private Lock ax;
    private int ay;
    private int az;

    /* renamed from: b, reason: collision with root package name */
    protected MapConfig f1674b;
    private int ba;
    private EAMapPlatformGestureInfo bb;
    private long bc;
    private at bd;
    private IPoint[] be;

    /* renamed from: c, reason: collision with root package name */
    protected at f1675c;

    /* renamed from: d, reason: collision with root package name */
    dm f1676d;

    /* renamed from: e, reason: collision with root package name */
    protected Context f1677e;

    /* renamed from: f, reason: collision with root package name */
    protected GLMapEngine f1678f;

    /* renamed from: g, reason: collision with root package name */
    public int f1679g;

    /* renamed from: h, reason: collision with root package name */
    public int f1680h;

    /* renamed from: i, reason: collision with root package name */
    boolean f1681i;

    /* renamed from: j, reason: collision with root package name */
    protected final Handler f1682j;
    Point k;
    protected String l;
    float[] m;
    float[] n;
    float[] o;
    float[] p;
    String q;
    String r;
    int s;
    private q t;
    private AMapGestureListener u;
    private au v;
    private UiSettings w;
    private IProjectionDelegate x;
    private final af y;
    private boolean z;

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final AMapCameraInfo getCamerInfo() {
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final InfoWindowAnimationManager getInfoWindowAnimationManager() {
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isLockMapCameraDegree(int i2) {
        return false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void reloadMap() {
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMaskLayerParams(int i2, int i3, int i4, int i5, int i6, long j2) {
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setZOrderOnTop(boolean z) throws RemoteException {
    }

    static /* synthetic */ boolean f(m mVar) {
        mVar.as = false;
        return false;
    }

    static /* synthetic */ boolean i(m mVar) {
        mVar.Q = false;
        return false;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapWidgetListener(AMapWidgetListener aMapWidgetListener) {
        try {
            q qVar = this.t;
            if (qVar != null) {
                qVar.a(AMapWidgetListener.class.hashCode(), (int) aMapWidgetListener);
            }
        } catch (Throwable unused) {
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(CameraPosition cameraPosition) {
        if (this.f1674b.getMapLanguage().equals("en")) {
            boolean c2 = c(cameraPosition);
            if (c2 != this.T) {
                this.T = c2;
                b(this.E, c2);
                return;
            }
            return;
        }
        if (this.T) {
            return;
        }
        this.T = true;
        b(this.E, true);
    }

    private boolean c(CameraPosition cameraPosition) {
        if (cameraPosition.zoom < 6.0f) {
            return false;
        }
        if (cameraPosition.isAbroad) {
            return true;
        }
        if (this.f1674b == null) {
            return false;
        }
        try {
            return !Cdo.a(r3.getGeoRectangle().getClipRect());
        } catch (Throwable th) {
            th.printStackTrace();
            dv.a(th);
            return false;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setVisibilityEx(int i2) {
        IGLSurfaceView iGLSurfaceView = this.A;
        if (iGLSurfaceView != null) {
            try {
                iGLSurfaceView.setVisibility(i2);
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onActivityPause() {
        this.G = true;
        c(this.E);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onActivityResume() {
        this.G = false;
        d(this.E);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void queueEvent(Runnable runnable) {
        long j2;
        try {
            try {
                j2 = Thread.currentThread().getId();
            } catch (Throwable th) {
                dv.a(th);
                jt.c(th, "AMapdelegateImp", "queueEvent");
                j2 = -1;
            }
            if (j2 != -1 && j2 == this.aj) {
                runnable.run();
            } else if (this.f1678f != null) {
                this.A.queueEvent(runnable);
            }
        } catch (Throwable th2) {
            dv.a(th2);
            jt.c(th2, "AMapdelegateImp", "queueEvent");
        }
    }

    /* compiled from: AMapDelegateImp.java */
    private static abstract class a implements Runnable {

        /* renamed from: b, reason: collision with root package name */
        boolean f1764b;

        /* renamed from: c, reason: collision with root package name */
        boolean f1765c;

        /* renamed from: d, reason: collision with root package name */
        int f1766d;

        /* renamed from: e, reason: collision with root package name */
        int f1767e;

        /* renamed from: f, reason: collision with root package name */
        int f1768f;

        /* renamed from: g, reason: collision with root package name */
        int f1769g;

        /* renamed from: h, reason: collision with root package name */
        int f1770h;

        /* renamed from: i, reason: collision with root package name */
        byte[] f1771i;

        /* renamed from: j, reason: collision with root package name */
        MyTrafficStyle f1772j;

        private a() {
            this.f1764b = false;
            this.f1765c = false;
            this.f1769g = 0;
            this.f1770h = 0;
        }

        /* synthetic */ a(byte b2) {
            this();
        }

        @Override // java.lang.Runnable
        public void run() {
            this.f1764b = false;
        }
    }

    public m(IGLSurfaceView iGLSurfaceView, Context context) {
        this(iGLSurfaceView, context, false);
    }

    public m(IGLSurfaceView iGLSurfaceView, Context context, boolean z) {
        this.t = new q();
        byte b2 = 0;
        this.f1673a = false;
        this.z = false;
        this.D = false;
        this.F = new AtomicBoolean(false);
        this.G = false;
        this.f1674b = new MapConfig(true);
        this.H = false;
        this.I = false;
        this.J = false;
        this.K = false;
        this.L = null;
        this.M = null;
        this.N = false;
        this.O = false;
        this.P = false;
        this.Q = false;
        this.R = 0;
        this.S = true;
        this.T = true;
        this.U = new Rect();
        this.V = 1;
        this.W = null;
        this.aa = false;
        this.ab = false;
        this.ac = 0;
        this.ae = -1;
        this.af = -1;
        this.ag = new ArrayList();
        this.f1676d = null;
        this.aj = -1L;
        this.am = false;
        this.an = 0.0f;
        this.ao = 1.0f;
        this.ap = 1.0f;
        this.aq = true;
        this.ar = false;
        this.as = false;
        this.at = false;
        this.au = false;
        this.av = false;
        this.aw = false;
        this.ax = new ReentrantLock();
        this.ay = 0;
        this.f1681i = true;
        this.f1682j = new Handler(Looper.getMainLooper()) { // from class: com.amap.api.col.3sl.m.1
            @Override // android.os.Handler
            public final void handleMessage(Message message) {
                int i2;
                ei f2;
                if (message == null || m.this.F.get()) {
                    return;
                }
                try {
                    i2 = message.what;
                } catch (Throwable th) {
                    jt.c(th, "AMapDelegateImp", "handleMessage");
                    th.printStackTrace();
                    return;
                }
                if (i2 == 2) {
                    StringBuilder sb = new StringBuilder("Key验证失败：[");
                    if (message.obj != null) {
                        sb.append(message.obj);
                    } else {
                        sb.append(ie.f1032b);
                    }
                    sb.append("]");
                    Log.w("amapsdk", sb.toString());
                    return;
                }
                if (i2 != 30) {
                    int i3 = 0;
                    switch (i2) {
                        case 10:
                            CameraPosition cameraPosition = (CameraPosition) message.obj;
                            try {
                                List a2 = m.this.t.a(AMap.OnCameraChangeListener.class.hashCode());
                                if (cameraPosition != null && a2 != null && a2.size() > 0) {
                                    synchronized (a2) {
                                        Iterator it2 = a2.iterator();
                                        while (it2.hasNext()) {
                                            ((AMap.OnCameraChangeListener) it2.next()).onCameraChange(cameraPosition);
                                        }
                                    }
                                }
                            } catch (Throwable th2) {
                                dv.a(th2);
                            }
                            m.this.f1674b.addChangedCounter();
                            return;
                        case 11:
                            try {
                                CameraPosition cameraPosition2 = m.this.getCameraPosition();
                                if (cameraPosition2 != null && m.this.B != null) {
                                    m.this.B.a(cameraPosition2);
                                }
                                m.this.b(cameraPosition2);
                                if (m.this.as) {
                                    m.f(m.this);
                                    if (m.this.C != null) {
                                        m.this.C.setFlingState(false);
                                    }
                                    m.this.b();
                                }
                                if (m.this.Q) {
                                    m.this.redrawInfoWindow();
                                    m.i(m.this);
                                }
                                m.this.a(cameraPosition2);
                                return;
                            } catch (Throwable th3) {
                                jt.c(th3, "AMapDelegateImp", "CameraUpdateFinish");
                                dv.a(th3);
                                return;
                            }
                        case 12:
                            if (m.this.B != null) {
                                m.this.B.a(Float.valueOf(m.this.getZoomLevel()));
                                return;
                            }
                            return;
                        case 13:
                            if (m.this.B != null) {
                                m.this.B.h();
                                return;
                            }
                            return;
                        case 14:
                            try {
                                List a3 = m.this.t.a(AMap.OnMapTouchListener.class.hashCode());
                                if (a3 == null || a3.size() <= 0) {
                                    return;
                                }
                                synchronized (a3) {
                                    Iterator it3 = a3.iterator();
                                    while (it3.hasNext()) {
                                        ((AMap.OnMapTouchListener) it3.next()).onTouch((MotionEvent) message.obj);
                                    }
                                }
                                return;
                            } catch (Throwable th4) {
                                jt.c(th4, "AMapDelegateImp", "onTouchHandler");
                                th4.printStackTrace();
                                return;
                            }
                        case 15:
                            Bitmap bitmap = (Bitmap) message.obj;
                            int i4 = message.arg1;
                            if (bitmap == null || m.this.B == null) {
                                try {
                                    List a4 = m.this.t.a(AMap.onMapPrintScreenListener.class.hashCode());
                                    ArrayList arrayList = a4 != null ? new ArrayList(a4) : null;
                                    List a5 = m.this.t.a(AMap.OnMapScreenShotListener.class.hashCode());
                                    ArrayList arrayList2 = a5 != null ? new ArrayList(a5) : null;
                                    m.this.t.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()));
                                    m.this.t.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()));
                                    if (arrayList != null && arrayList.size() > 0) {
                                        synchronized (arrayList) {
                                            for (int i5 = 0; i5 < arrayList.size(); i5++) {
                                                ((AMap.onMapPrintScreenListener) arrayList.get(i5)).onMapPrint(null);
                                            }
                                        }
                                    }
                                    if (arrayList2 == null || arrayList2.size() <= 0) {
                                        return;
                                    }
                                    synchronized (arrayList2) {
                                        while (i3 < arrayList2.size()) {
                                            ((AMap.OnMapScreenShotListener) arrayList2.get(i3)).onMapScreenShot(null);
                                            ((AMap.OnMapScreenShotListener) arrayList2.get(i3)).onMapScreenShot(null, i4);
                                            i3++;
                                        }
                                    }
                                    return;
                                } catch (Throwable th5) {
                                    th5.printStackTrace();
                                    return;
                                }
                            }
                            Canvas canvas = new Canvas(bitmap);
                            if (m.this.S && (f2 = m.this.B.f()) != null) {
                                f2.onDraw(canvas);
                            }
                            m.this.B.a(canvas);
                            try {
                                List a6 = m.this.t.a(AMap.onMapPrintScreenListener.class.hashCode());
                                ArrayList arrayList3 = a6 != null ? new ArrayList(a6) : null;
                                List a7 = m.this.t.a(AMap.OnMapScreenShotListener.class.hashCode());
                                ArrayList arrayList4 = a7 != null ? new ArrayList(a7) : null;
                                m.this.t.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()));
                                m.this.t.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()));
                                if (arrayList3 != null && arrayList3.size() > 0) {
                                    synchronized (arrayList3) {
                                        for (int i6 = 0; i6 < arrayList3.size(); i6++) {
                                            ((AMap.onMapPrintScreenListener) arrayList3.get(i6)).onMapPrint(new BitmapDrawable(m.this.f1677e.getResources(), bitmap));
                                        }
                                    }
                                }
                                if (arrayList4 == null || arrayList4.size() <= 0) {
                                    return;
                                }
                                synchronized (arrayList4) {
                                    while (i3 < arrayList4.size()) {
                                        ((AMap.OnMapScreenShotListener) arrayList4.get(i3)).onMapScreenShot(bitmap);
                                        ((AMap.OnMapScreenShotListener) arrayList4.get(i3)).onMapScreenShot(bitmap, i4);
                                        i3++;
                                    }
                                }
                                return;
                            } catch (Throwable th6) {
                                th6.printStackTrace();
                                return;
                            }
                        case 16:
                            try {
                                List a8 = m.this.t.a(AMap.OnMapLoadedListener.class.hashCode());
                                if (a8 != null) {
                                    synchronized (a8) {
                                        while (i3 < a8.size()) {
                                            ((AMap.OnMapLoadedListener) a8.get(i3)).onMapLoaded();
                                            i3++;
                                        }
                                    }
                                }
                            } catch (Throwable th7) {
                                jt.c(th7, "AMapDelegateImp", "onMapLoaded");
                                th7.printStackTrace();
                                dv.a(th7);
                            }
                            if (m.this.B != null) {
                                m.this.B.i();
                                return;
                            }
                            return;
                        case 17:
                            if (!m.this.f1678f.isInMapAnimation(m.this.E) || m.this.C == null) {
                                return;
                            }
                            m.this.C.setFlingState(false);
                            return;
                        case 18:
                            if (m.this.v != null) {
                                m.this.v.b();
                                return;
                            }
                            return;
                        case 19:
                            List a9 = m.this.t.a(AMap.OnMapClickListener.class.hashCode());
                            if (a9 != null) {
                                DPoint obtain = DPoint.obtain();
                                m.this.getPixel2LatLng(message.arg1, message.arg2, obtain);
                                try {
                                    synchronized (a9) {
                                        Iterator it4 = a9.iterator();
                                        while (it4.hasNext()) {
                                            ((AMap.OnMapClickListener) it4.next()).onMapClick(new LatLng(obtain.y, obtain.x));
                                        }
                                    }
                                    obtain.recycle();
                                    return;
                                } catch (Throwable th8) {
                                    jt.c(th8, "AMapDelegateImp", "OnMapClickListener.onMapClick");
                                    th8.printStackTrace();
                                    return;
                                }
                            }
                            return;
                        case 20:
                            try {
                                List a10 = m.this.t.a(AMap.OnPOIClickListener.class.hashCode());
                                if (a10 == null || a10.size() <= 0) {
                                    return;
                                }
                                synchronized (a10) {
                                    while (i3 < a10.size()) {
                                        ((AMap.OnPOIClickListener) a10.get(i3)).onPOIClick((Poi) message.obj);
                                        i3++;
                                    }
                                }
                                return;
                            } catch (Throwable th9) {
                                jt.c(th9, "AMapDelegateImp", "OnPOIClickListener.onPOIClick");
                                th9.printStackTrace();
                                return;
                            }
                        default:
                            return;
                    }
                    jt.c(th, "AMapDelegateImp", "handleMessage");
                    th.printStackTrace();
                    return;
                }
                if (m.this.f1678f != null) {
                    m.this.f1678f.triggerMainThread();
                }
            }
        };
        this.aG = new a() { // from class: com.amap.api.col.3sl.m.11
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setTrafficEnabled(this.f1765c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aH = new a() { // from class: com.amap.api.col.3sl.m.21
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m mVar = m.this;
                    mVar.setCenterToPixel(mVar.az, m.this.aA);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aI = new a() { // from class: com.amap.api.col.3sl.m.32
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.a(this.f1768f, this.f1766d, this.f1767e);
            }
        };
        this.aJ = new a() { // from class: com.amap.api.col.3sl.m.41
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.setMapCustomEnable(this.f1765c);
            }
        };
        this.aK = new a() { // from class: com.amap.api.col.3sl.m.42
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.a(this.f1768f, this.f1765c);
            }
        };
        this.aL = new a() { // from class: com.amap.api.col.3sl.m.43
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setMapTextEnable(this.f1765c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aM = new a() { // from class: com.amap.api.col.3sl.m.44
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setRoadArrowEnable(this.f1765c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aN = new a() { // from class: com.amap.api.col.3sl.m.45
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setNaviLabelEnable(this.f1765c, this.f1769g, this.f1770h);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aO = new a() { // from class: com.amap.api.col.3sl.m.2
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setConstructingRoadEnable(this.f1765c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aP = new a() { // from class: com.amap.api.col.3sl.m.3
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setTrafficStyleWithTextureData(this.f1771i);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aQ = new a() { // from class: com.amap.api.col.3sl.m.4
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setTrafficStyleWithTexture(this.f1771i, this.f1772j);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        };
        this.aR = new a() { // from class: com.amap.api.col.3sl.m.5
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.b(this.f1768f, this.f1765c);
            }
        };
        this.aS = new a() { // from class: com.amap.api.col.3sl.m.6
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setIndoorEnabled(this.f1765c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aT = new Runnable() { // from class: com.amap.api.col.3sl.m.7
            @Override // java.lang.Runnable
            public final void run() {
                ei f2;
                if (m.this.B == null || (f2 = m.this.B.f()) == null) {
                    return;
                }
                f2.c();
            }
        };
        this.aU = new a() { // from class: com.amap.api.col.3sl.m.8
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.c(this.f1768f, this.f1765c);
            }
        };
        this.aW = "";
        this.aX = "";
        this.aY = false;
        this.aZ = false;
        this.ba = 0;
        this.bb = new EAMapPlatformGestureInfo();
        this.k = new Point();
        this.bc = 0L;
        this.l = null;
        this.bd = null;
        this.m = new float[16];
        this.n = new float[16];
        this.o = new float[16];
        this.be = null;
        this.p = new float[12];
        this.q = "precision highp float;\nattribute vec3 aVertex;//顶点数组,三维坐标\nuniform mat4 aMVPMatrix;//mvp矩阵\nvoid main(){\n  gl_Position = aMVPMatrix * vec4(aVertex, 1.0);\n}";
        this.r = "//有颜色 没有纹理\nprecision highp float;\nvoid main(){\n  gl_FragColor = vec4(1.0,0,0,1.0);\n}";
        this.s = -1;
        this.f1677e = context;
        in a2 = im.a(context, dv.a());
        if (a2.f1159a == im.c.SuccessCode) {
            dx.a(context);
            dx.a(dw.f428c, "init map delegate");
        }
        com.autonavi.extra.b bVar = new com.autonavi.extra.b();
        this.aV = bVar;
        bVar.a();
        this.aV.b();
        jt.a(this.f1677e);
        dj.a().a(this.f1677e);
        w.f1905b = id.c(context);
        da.a(this.f1677e);
        this.al = new z(this);
        GLMapRender gLMapRender = new GLMapRender(this);
        this.ak = gLMapRender;
        this.A = iGLSurfaceView;
        iGLSurfaceView.setRenderer(gLMapRender);
        aa aaVar = new aa(this, this.f1677e);
        this.C = aaVar;
        this.f1678f = new GLMapEngine(this.f1677e, this);
        this.B = new ee(this.f1677e, this, aaVar);
        this.y = new af(this);
        this.B.a(new c(this, b2));
        this.aB = new b();
        iGLSurfaceView.setRenderMode(0);
        this.ak.setRenderFps(15.0f);
        this.f1678f.setMapListener(this);
        this.x = new ad(this);
        au auVar = new au(this.f1677e);
        this.v = auVar;
        auVar.a(this.B);
        this.v.b(new cl(aaVar, context));
        this.X = new t(this.f1677e, this);
        this.ah = new cq(this.f1677e, this);
        cs csVar = new cs(this.f1677e);
        this.ai = csVar;
        csVar.a(this);
        a(z);
        MapConfig mapConfig = this.f1674b;
        l lVar = new l(this, this.f1677e, mapConfig != null ? mapConfig.isAbroadEnable() : false);
        this.aE = lVar;
        lVar.a(this);
        if (a2.f1159a != im.c.SuccessCode) {
            this.f1674b.setMapEnable(false);
        }
        this.E = this.f1678f.getEngineIDWithType(1);
    }

    private void a(boolean z) {
        com.autonavi.extra.b bVar = this.aV;
        if (bVar != null) {
            Object j2 = bVar.j();
            if (j2 != null && (j2 instanceof Boolean)) {
                MapConfig mapConfig = this.f1674b;
                if (mapConfig != null) {
                    mapConfig.setAbroadEnable(z && ((Boolean) j2).booleanValue());
                }
                if (z && ((Boolean) j2).booleanValue()) {
                    MapsInitializer.setSupportRecycleView(false);
                }
            }
            Object j3 = this.aV.j();
            if (j3 != null && (j3 instanceof Boolean)) {
                this.B.a(((Boolean) j3).booleanValue());
            }
            Object j4 = this.aV.j();
            if (j3 == null || !(j3 instanceof Integer)) {
                return;
            }
            this.ac = ((Integer) j4).intValue();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final com.autonavi.extra.b getAMapExtraInterfaceManager() {
        return this.aV;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IGlOverlayLayer getGlOverlayLayer() {
        return this.C;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapEnable(boolean z) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            mapConfig.setMapEnable(z);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final GLMapEngine getGLMapEngine() {
        return this.f1678f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setGestureStatus(int i2, int i3) {
        if (this.ay == 0 || i3 != 5) {
            this.ay = i3;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getPreciseLevel(int i2) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return mapConfig.getSZ();
        }
        return 0.0f;
    }

    private float c() {
        if (this.f1674b != null) {
            return getMapConfig().getSZ();
        }
        return 0.0f;
    }

    private boolean a(int i2, int i3) {
        AbstractCameraUpdateMessage a2;
        if (!this.at || ((int) c()) >= this.f1674b.getMaxZoomLevel()) {
            return false;
        }
        try {
            if (!this.H && !this.y.isZoomInByScreenCenter()) {
                this.k.x = i2;
                this.k.y = i3;
                a2 = ak.a(1.0f, this.k);
            } else {
                a2 = ak.a(1.0f, (Point) null);
            }
            animateCamera(a2);
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "onDoubleTap");
            th.printStackTrace();
        }
        resetRenderTime();
        return true;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void zoomOut(int i2) {
        if (this.at && ((int) c()) > this.f1674b.getMinZoomLevel()) {
            try {
                animateCamera(ak.b());
            } catch (Throwable th) {
                jt.c(th, "AMapDelegateImp", "onDoubleTap");
                th.printStackTrace();
            }
            resetRenderTime();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isLockMapAngle(int i2) {
        return g(i2);
    }

    private void d() {
        if (this.at) {
            this.al.a();
            this.am = true;
            this.ar = true;
            try {
                stopAnimation();
            } catch (RemoteException unused) {
            }
        }
    }

    private void e() {
        this.am = true;
        this.ar = false;
        if (this.O) {
            this.O = false;
        }
        if (this.N) {
            this.N = false;
        }
        if (this.P) {
            this.P = false;
        }
        try {
            if (this.J) {
                List a2 = this.t.a(AMap.OnMarkerDragListener.class.hashCode());
                if (a2 != null && a2.size() > 0 && this.L != null) {
                    synchronized (a2) {
                        for (int i2 = 0; i2 < a2.size(); i2++) {
                            ((AMap.OnMarkerDragListener) a2.get(i2)).onMarkerDragEnd(this.L);
                        }
                    }
                    this.L = null;
                }
                this.J = false;
            }
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "OnMarkerDragListener.onMarkerDragEnd");
            th.printStackTrace();
        }
    }

    private void a(MotionEvent motionEvent) throws RemoteException {
        if (!this.J || this.L == null) {
            return;
        }
        int x = (int) motionEvent.getX();
        int y = (int) (motionEvent.getY() - 60.0f);
        if (this.L.getPosition() != null) {
            DPoint obtain = DPoint.obtain();
            getPixel2LatLng(x, y, obtain);
            LatLng latLng = new LatLng(obtain.y, obtain.x);
            obtain.recycle();
            this.L.setPosition(latLng);
            try {
                List a2 = this.t.a(AMap.OnMarkerDragListener.class.hashCode());
                if (a2 == null || a2.size() <= 0) {
                    return;
                }
                synchronized (a2) {
                    for (int i2 = 0; i2 < a2.size(); i2++) {
                        ((AMap.OnMarkerDragListener) a2.get(i2)).onMarkerDrag(this.L);
                    }
                }
            } catch (Throwable unused) {
            }
        }
    }

    private void b(boolean z) {
        this.aq = z;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void clearTileCache() {
        this.C.clearTileCache();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final GLMapState getMapProjection() {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            return gLMapEngine.getMapState(this.E);
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean removeGLOverlay(String str) throws RemoteException {
        resetRenderTime();
        return this.C.removeOverlay(str);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean removeGLModel(String str) {
        try {
            this.C.removeOverlay(str);
            return false;
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "removeGLModel");
            th.printStackTrace();
            return false;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeGLOverlayIndex() {
        this.C.changeOverlayIndex();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float checkZoomLevel(float f2) throws RemoteException {
        return dv.a(this.f1674b, f2);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void latlon2Geo(double d2, double d3, IPoint iPoint) {
        Point latLongToPixels = VirtualEarthProjection.latLongToPixels(d2, d3, 20);
        iPoint.x = latLongToPixels.x;
        iPoint.y = latLongToPixels.y;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void geo2Map(int i2, int i3, FPoint fPoint) {
        fPoint.x = (int) (i2 - this.f1674b.getSX());
        fPoint.y = (int) (i3 - this.f1674b.getSY());
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void geo2Latlng(int i2, int i3, DPoint dPoint) {
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(i2, i3, 20);
        dPoint.x = pixelsToLatLong.x;
        dPoint.y = pixelsToLatLong.y;
        pixelsToLatLong.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getZoomLevel() {
        return c();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IUiSettingsDelegate getUiSettings() {
        return this.y;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IProjectionDelegate getProjection() throws RemoteException {
        return this.x;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final l getCustomStyleManager() {
        return this.aE;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final AMap.OnCameraChangeListener getOnCameraChangeListener() throws RemoteException {
        try {
            List a2 = this.t.a(AMap.OnCameraChangeListener.class.hashCode());
            if (a2 == null && a2.size() != 0) {
                return (AMap.OnCameraChangeListener) a2.get(0);
            }
        } catch (Throwable unused) {
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showInfoWindow(BaseOverlayImp baseOverlayImp) throws RemoteException {
        au auVar;
        if (baseOverlayImp == null || (auVar = this.v) == null) {
            return;
        }
        try {
            auVar.a(baseOverlayImp);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showInfoWindow(BaseOverlay baseOverlay) throws RemoteException {
        au auVar;
        if (baseOverlay == null || (auVar = this.v) == null) {
            return;
        }
        try {
            auVar.a(baseOverlay);
        } catch (RemoteException e2) {
            e2.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void hideInfoWindow() {
        au auVar = this.v;
        if (auVar != null) {
            auVar.c();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getLatLng2Map(double d2, double d3, FPoint fPoint) {
        IPoint obtain = IPoint.obtain();
        latlon2Geo(d2, d3, obtain);
        geo2Map(obtain.x, obtain.y, fPoint);
        obtain.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getPixel2LatLng(int i2, int i3, DPoint dPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (this.F.get() || !this.at || (gLMapEngine = this.f1678f) == null || (mapState = gLMapEngine.getMapState(this.E)) == null) {
            return;
        }
        IPoint obtain = IPoint.obtain();
        mapState.screenToP20Point(i2, i3, obtain);
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(obtain.x, obtain.y, 20);
        dPoint.x = pixelsToLatLong.x;
        dPoint.y = pixelsToLatLong.y;
        obtain.recycle();
        pixelsToLatLong.recycle();
    }

    private void a(GLMapState gLMapState, int i2, int i3, DPoint dPoint) {
        if (!this.at || this.f1678f == null) {
            return;
        }
        gLMapState.screenToP20Point(i2, i3, new Point());
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(r0.x, r0.y, 20);
        dPoint.x = pixelsToLatLong.x;
        dPoint.y = pixelsToLatLong.y;
        pixelsToLatLong.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getLatLng2Pixel(double d2, double d3, IPoint iPoint) {
        if (this.F.get() || !this.at || this.f1678f == null) {
            return;
        }
        try {
            Point latLongToPixels = VirtualEarthProjection.latLongToPixels(d2, d3, 20);
            FPoint obtain = FPoint.obtain();
            a(latLongToPixels.x, latLongToPixels.y, obtain);
            if (obtain.x == -10000.0f && obtain.y == -10000.0f) {
                GLMapState gLMapState = (GLMapState) this.f1678f.getNewMapState(this.E);
                gLMapState.setCameraDegree(0.0f);
                gLMapState.recalculate();
                gLMapState.p20ToScreenPoint(latLongToPixels.x, latLongToPixels.y, obtain);
                gLMapState.recycle();
            }
            iPoint.x = (int) obtain.x;
            iPoint.y = (int) obtain.y;
            obtain.recycle();
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getPixel2Geo(int i2, int i3, IPoint iPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (this.F.get() || !this.at || (gLMapEngine = this.f1678f) == null || (mapState = gLMapEngine.getMapState(this.E)) == null) {
            return;
        }
        mapState.screenToP20Point(i2, i3, iPoint);
    }

    private void a(int i2, int i3, FPoint fPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (this.F.get() || !this.at || (gLMapEngine = this.f1678f) == null || (mapState = gLMapEngine.getMapState(this.E)) == null) {
            return;
        }
        mapState.p20ToScreenPoint(i2, i3, fPoint);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void redrawInfoWindow() {
        if (!this.F.get() && this.at) {
            this.f1682j.sendEmptyMessage(18);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final au getInfoWindowDelegate() {
        return this.v;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showZoomControlsEnabled(boolean z) {
        ef efVar;
        if (this.F.get() || (efVar = this.B) == null) {
            return;
        }
        efVar.b(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showIndoorSwitchControlsEnabled(boolean z) {
        ef efVar;
        if (this.F.get() || (efVar = this.B) == null) {
            return;
        }
        efVar.a(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showCompassEnabled(boolean z) {
        ef efVar;
        if (this.F.get() || (efVar = this.B) == null) {
            return;
        }
        efVar.c(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showScaleEnabled(boolean z) {
        ef efVar;
        if (this.F.get() || (efVar = this.B) == null) {
            return;
        }
        efVar.d(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setZoomPosition(int i2) {
        ef efVar;
        if (this.F.get() || (efVar = this.B) == null) {
            return;
        }
        efVar.a(Integer.valueOf(i2));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Rect getRect() {
        return this.U;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final LatLngBounds getMapBounds(LatLng latLng, float f2, float f3, float f4) {
        int mapWidth = getMapWidth();
        int mapHeight = getMapHeight();
        if (mapWidth <= 0 || mapHeight <= 0 || this.F.get()) {
            return null;
        }
        float a2 = dv.a(this.f1674b, f2);
        GLMapState gLMapState = new GLMapState(this.E, this.f1678f.getNativeInstance());
        if (latLng != null) {
            IPoint obtain = IPoint.obtain();
            latlon2Geo(latLng.latitude, latLng.longitude, obtain);
            gLMapState.setCameraDegree(f4);
            gLMapState.setMapAngle(f3);
            gLMapState.setMapGeoCenter(obtain.x, obtain.y);
            gLMapState.setMapZoomer(a2);
            gLMapState.recalculate();
            obtain.recycle();
        }
        DPoint obtain2 = DPoint.obtain();
        a(gLMapState, 0, 0, obtain2);
        LatLng latLng2 = new LatLng(obtain2.y, obtain2.x, false);
        a(gLMapState, mapWidth, mapHeight, obtain2);
        LatLng latLng3 = new LatLng(obtain2.y, obtain2.x, false);
        obtain2.recycle();
        gLMapState.recycle();
        return LatLngBounds.builder().include(latLng3).include(latLng2).build();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onResume() {
        try {
            this.ak.setRenderFps(15.0f);
            this.A.setRenderMode(0);
            IGlOverlayLayer iGlOverlayLayer = this.C;
            if (iGlOverlayLayer != null) {
                iGlOverlayLayer.setFlingState(true);
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onPause() {
        f();
        IGlOverlayLayer iGlOverlayLayer = this.C;
        if (iGlOverlayLayer != null) {
            iGlOverlayLayer.setFlingState(false);
        }
    }

    private void f() {
        GLMapState gLMapState;
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine == null || (gLMapState = (GLMapState) gLMapEngine.getNewMapState(this.E)) == null) {
            return;
        }
        IPoint obtain = IPoint.obtain();
        gLMapState.recalculate();
        gLMapState.getMapGeoCenter(obtain);
        this.f1674b.setSX(obtain.x);
        this.f1674b.setSY(obtain.y);
        this.f1674b.setSZ(gLMapState.getMapZoomer());
        this.f1674b.setSC(gLMapState.getCameraDegree());
        this.f1674b.setSR(gLMapState.getMapAngle());
        gLMapState.recycle();
        obtain.recycle();
    }

    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:34:0x0096 -> B:24:0x0099). Please report as a decompilation issue!!! */
    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.G || !this.at || !this.aq) {
            return false;
        }
        this.bb.mGestureState = 3;
        this.bb.mGestureType = 8;
        this.bb.mLocation = new float[]{motionEvent.getX(), motionEvent.getY()};
        getEngineIDWithGestureInfo(this.bb);
        l();
        int action = motionEvent.getAction() & 255;
        if (action == 0) {
            m();
            d();
        } else if (action == 1) {
            e();
        }
        if (motionEvent.getAction() == 2 && this.J) {
            try {
                a(motionEvent);
            } catch (Throwable th) {
                jt.c(th, "AMapDelegateImp", "onDragMarker");
                th.printStackTrace();
            }
            return true;
        }
        if (this.am) {
            try {
                List a2 = this.t.a(AMap.SignleClickInterceptorListener.class.hashCode());
                if (a2 != null && a2.size() > 0) {
                    if (!((AMap.SignleClickInterceptorListener) a2.get(0)).isInterceptorSignleClick(motionEvent)) {
                        this.al.a(motionEvent);
                    }
                } else {
                    this.al.a(motionEvent);
                }
            } catch (Throwable th2) {
                th2.printStackTrace();
            }
        }
        try {
            List a3 = this.t.a(AMap.OnMapTouchListener.class.hashCode());
            if (a3 != null && a3.size() > 0) {
                this.f1682j.removeMessages(14);
                Message obtainMessage = this.f1682j.obtainMessage();
                obtainMessage.what = 14;
                obtainMessage.obj = MotionEvent.obtain(motionEvent);
                obtainMessage.sendToTarget();
            }
        } catch (Throwable unused) {
        }
        return true;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void pixel2Map(int i2, int i3, PointF pointF) {
        if (!this.at || this.G || this.f1678f == null) {
            return;
        }
        IPoint obtain = IPoint.obtain();
        getPixel2Geo(i2, i3, obtain);
        pointF.x = obtain.x - ((float) this.f1674b.getSX());
        pointF.y = obtain.y - ((float) this.f1674b.getSY());
        obtain.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void map2Geo(float f2, float f3, IPoint iPoint) {
        iPoint.x = (int) (f2 + this.f1674b.getSX());
        iPoint.y = (int) (f3 + this.f1674b.getSY());
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float toMapLenWithWin(int i2) {
        GLMapEngine gLMapEngine;
        if (!this.at || this.G || (gLMapEngine = this.f1678f) == null) {
            return 0.0f;
        }
        return gLMapEngine.getMapState(this.E).getGLUnitWithWin(i2);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final CameraPosition getCameraPositionPrj(boolean z) {
        LatLng g2;
        try {
            if (this.f1674b == null) {
                return null;
            }
            if (this.at && !this.G && this.f1678f != null) {
                if (z) {
                    DPoint obtain = DPoint.obtain();
                    getPixel2LatLng(this.f1674b.getAnchorX(), this.f1674b.getAnchorY(), obtain);
                    g2 = new LatLng(obtain.y, obtain.x, false);
                    obtain.recycle();
                } else {
                    g2 = g();
                }
                return CameraPosition.builder().target(g2).bearing(this.f1674b.getSR()).tilt(this.f1674b.getSC()).zoom(this.f1674b.getSZ()).build();
            }
            DPoint obtain2 = DPoint.obtain();
            geo2Latlng((int) this.f1674b.getSX(), (int) this.f1674b.getSY(), obtain2);
            LatLng latLng = new LatLng(obtain2.y, obtain2.x);
            obtain2.recycle();
            return CameraPosition.builder().target(latLng).bearing(this.f1674b.getSR()).tilt(this.f1674b.getSC()).zoom(this.f1674b.getSZ()).build();
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }

    private LatLng g() {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig == null) {
            return null;
        }
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(mapConfig.getSX(), this.f1674b.getSY(), 20);
        LatLng latLng = new LatLng(pixelsToLatLong.y, pixelsToLatLong.x, false);
        pixelsToLatLong.recycle();
        return latLng;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isUseAnchor() {
        return this.H;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Point getWaterMarkerPositon() {
        ef efVar = this.B;
        if (efVar != null) {
            return efVar.a();
        }
        return new Point();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final View getGLMapView() {
        Object obj = this.A;
        if (obj instanceof View) {
            return (View) obj;
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean canShowIndoorSwitch() {
        at atVar;
        if (getZoomLevel() < 17.0f || (atVar = this.f1675c) == null || atVar.f131g == null) {
            return false;
        }
        FPoint obtain = FPoint.obtain();
        a(this.f1675c.f131g.x, this.f1675c.f131g.y, obtain);
        return this.U.contains((int) obtain.x, (int) obtain.y);
    }

    private synchronized void h() {
        synchronized (this.ag) {
            int size = this.ag.size();
            for (int i2 = 0; i2 < size; i2++) {
                this.ag.get(i2).a().recycle();
            }
            this.ag.clear();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getLogoPosition() {
        try {
            return this.y.getLogoPosition();
        } catch (RemoteException e2) {
            jt.c(e2, "AMapDelegateImp", "getLogoPosition");
            e2.printStackTrace();
            return 0;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoPosition(int i2) {
        ef efVar = this.B;
        if (efVar != null) {
            efVar.b(Integer.valueOf(i2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoBottomMargin(int i2) {
        ef efVar = this.B;
        if (efVar != null) {
            efVar.c(Integer.valueOf(i2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoLeftMargin(int i2) {
        ef efVar = this.B;
        if (efVar != null) {
            efVar.d(Integer.valueOf(i2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getLogoMarginRate(int i2) {
        ef efVar = this.B;
        if (efVar != null) {
            return efVar.a(i2);
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoMarginRate(int i2, float f2) {
        ef efVar = this.B;
        if (efVar != null) {
            efVar.a(Integer.valueOf(i2), Float.valueOf(f2));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getMaskLayerType() {
        return this.ae;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void post(Runnable runnable) {
        IGLSurfaceView iGLSurfaceView = this.A;
        if (iGLSurfaceView != null) {
            iGLSurfaceView.post(runnable);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onLongPress(int i2, MotionEvent motionEvent) {
        int i3 = 0;
        try {
            this.N = false;
            b(i2);
            BaseOverlay hitBaseOverlay = this.C.getHitBaseOverlay(motionEvent, 1);
            if (hitBaseOverlay instanceof Marker) {
                this.L = (Marker) hitBaseOverlay;
            }
            Marker marker = this.L;
            if (marker != null && marker.isDraggable()) {
                LatLng position = this.L.getPosition();
                if (position != null) {
                    IPoint obtain = IPoint.obtain();
                    getLatLng2Pixel(position.latitude, position.longitude, obtain);
                    obtain.y -= 60;
                    DPoint obtain2 = DPoint.obtain();
                    getPixel2LatLng(obtain.x, obtain.y, obtain2);
                    this.L.setPosition(new LatLng(obtain2.y, obtain2.x));
                    this.C.set2Top(this.L.getId());
                    try {
                        List a2 = this.t.a(AMap.OnMarkerDragListener.class.hashCode());
                        if (a2 != null && a2.size() > 0) {
                            synchronized (a2) {
                                while (i3 < a2.size()) {
                                    ((AMap.OnMarkerDragListener) a2.get(i3)).onMarkerDragStart(this.L);
                                    i3++;
                                }
                            }
                        }
                    } catch (Throwable th) {
                        jt.c(th, "AMapDelegateImp", "onMarkerDragStart");
                        th.printStackTrace();
                    }
                    this.J = true;
                    obtain.recycle();
                    obtain2.recycle();
                }
                this.ak.resetTickCount(30);
            }
            List a3 = this.t.a(AMap.OnMapLongClickListener.class.hashCode());
            if (a3 != null && a3.size() > 0) {
                DPoint obtain3 = DPoint.obtain();
                getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain3);
                synchronized (a3) {
                    while (i3 < a3.size()) {
                        ((AMap.OnMapLongClickListener) a3.get(i3)).onMapLongClick(new LatLng(obtain3.y, obtain3.x));
                        i3++;
                    }
                }
                this.O = true;
                obtain3.recycle();
            }
            this.ak.resetTickCount(30);
        } catch (Throwable th2) {
            jt.c(th2, "AMapDelegateImp", "onLongPress");
            th2.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean onDoubleTap(int i2, MotionEvent motionEvent) {
        if (!this.at) {
            return false;
        }
        a((int) motionEvent.getX(), (int) motionEvent.getY());
        return false;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean onSingleTapConfirmed(int i2, MotionEvent motionEvent) {
        if (!this.at) {
            return false;
        }
        try {
            b(i2);
            if (f(motionEvent) || d(motionEvent) || e(motionEvent)) {
                return true;
            }
            c(motionEvent);
            b(motionEvent);
            return true;
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "onSingleTapUp");
            th.printStackTrace();
            return true;
        }
    }

    private void b(final MotionEvent motionEvent) {
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.9
            @Override // java.lang.Runnable
            public final void run() {
                try {
                    m.this.f1678f.addGestureSingleTapMessage(motionEvent.getX(), motionEvent.getY());
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    private void a(final double d2, final double d3) {
        this.f1682j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.10
            @Override // java.lang.Runnable
            public final void run() {
                Message obtain = Message.obtain();
                obtain.what = 19;
                obtain.arg1 = (int) d2;
                obtain.arg2 = (int) d3;
                m.this.f1682j.sendMessage(obtain);
            }
        });
    }

    private boolean c(MotionEvent motionEvent) {
        try {
            List a2 = this.t.a(AMap.OnPolylineClickListener.class.hashCode());
            if (a2 != null && a2.size() > 0) {
                DPoint obtain = DPoint.obtain();
                getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
                LatLng latLng = new LatLng(obtain.y, obtain.x);
                obtain.recycle();
                Polyline hitOverlay = this.C.getHitOverlay(latLng, 2);
                if (hitOverlay != null) {
                    synchronized (a2) {
                        Iterator it2 = a2.iterator();
                        while (it2.hasNext()) {
                            ((AMap.OnPolylineClickListener) it2.next()).onPolylineClick(hitOverlay);
                        }
                    }
                    return false;
                }
            }
        } catch (Throwable unused) {
        }
        return false;
    }

    private boolean d(MotionEvent motionEvent) throws RemoteException {
        LatLng position;
        DPoint obtain = DPoint.obtain();
        getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
        LatLng latLng = new LatLng(obtain.y, obtain.x);
        obtain.recycle();
        boolean z = true;
        BaseOverlay hitBaseOverlay = this.C.getHitBaseOverlay(latLng, 1);
        if ((hitBaseOverlay instanceof Marker) && ((Marker) hitBaseOverlay).getId().contains("MARKER")) {
            try {
                Marker marker = (Marker) hitBaseOverlay;
                this.C.set2Top(marker.getId());
                List a2 = this.t.a(AMap.OnMarkerClickListener.class.hashCode());
                if (a2 != null && a2.size() > 0) {
                    synchronized (a2) {
                        if (a2.size() == 1) {
                            boolean onMarkerClick = ((AMap.OnMarkerClickListener) a2.get(0)).onMarkerClick(marker);
                            if (onMarkerClick) {
                                return true;
                            }
                            z = onMarkerClick;
                        } else {
                            Iterator it2 = a2.iterator();
                            boolean z2 = false;
                            while (it2.hasNext()) {
                                z2 |= ((AMap.OnMarkerClickListener) it2.next()).onMarkerClick(marker);
                            }
                            if (z2) {
                                return true;
                            }
                            z = z2;
                        }
                    }
                }
                this.C.showInfoWindow(marker.getId());
                if (!marker.isViewMode() && (position = marker.getPosition()) != null) {
                    IPoint obtain2 = IPoint.obtain();
                    latlon2Geo(position.latitude, position.longitude, obtain2);
                    moveCamera(ak.a(obtain2));
                }
                return z;
            } catch (Throwable th) {
                jt.c(th, "AMapDelegateImp", "onMarkerTap");
                th.printStackTrace();
            }
        }
        return false;
    }

    private boolean e(MotionEvent motionEvent) {
        if (this.C != null && this.aD != null) {
            DPoint obtain = DPoint.obtain();
            if (this.f1678f != null) {
                getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
                MultiPointItem multiPointItem = this.C.getMultiPointItem(new LatLng(obtain.y, obtain.x));
                if (multiPointItem == null) {
                    return false;
                }
                boolean onPointClick = this.aD.onPointClick(multiPointItem);
                obtain.recycle();
                return onPointClick;
            }
        }
        return false;
    }

    private boolean f(MotionEvent motionEvent) throws RemoteException {
        try {
            List a2 = this.t.a(AMap.OnInfoWindowClickListener.class.hashCode());
            BaseOverlay a3 = this.v.a(motionEvent);
            if (a3 != null && (a3 instanceof Marker)) {
                synchronized (a2) {
                    for (int i2 = 0; i2 < a2.size(); i2++) {
                        ((AMap.OnInfoWindowClickListener) a2.get(i2)).onInfoWindowClick((Marker) a3);
                    }
                }
                return true;
            }
        } catch (Throwable unused) {
        }
        return false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void drawFrame(GL10 gl10) {
        if (this.F.get() || this.f1678f == null || EGL14.eglGetCurrentContext() == EGL14.EGL_NO_CONTEXT) {
            return;
        }
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null && !mapConfig.isMapEnable()) {
            GLES20.glClear(16640);
            return;
        }
        a(this.E);
        this.f1678f.renderAMap();
        this.f1678f.pushRendererState();
        this.f1682j.sendEmptyMessage(30);
        l lVar = this.aE;
        if (lVar != null) {
            lVar.a();
        }
        i();
        k();
        if (!this.av) {
            this.av = true;
        }
        this.f1678f.popRendererState();
        if (dm.a()) {
            try {
                if (this.A instanceof p) {
                    if (this.f1676d == null) {
                        this.f1676d = new dm();
                    }
                    this.f1676d.e();
                    if (!this.f1676d.f() || this.f1676d.d()) {
                        return;
                    }
                    if (this.f1676d.a(((p) this.A).getBitmap())) {
                        if (dm.b()) {
                            removecache();
                        }
                        if (dm.c()) {
                            dm.g();
                        }
                        dx.b(dw.f432g, "pure screen: found pure check");
                    }
                }
            } catch (Throwable th) {
                jt.c(th, "AMapDelegateImp", "PureScreenCheckTool.checkBlackScreen");
            }
        }
    }

    private void a(int i2) {
        int i3 = this.af;
        if (i3 != -1) {
            this.ak.setRenderFps(i3);
            resetRenderTime();
        } else if (this.f1678f.isInMapAction(i2) || this.ar) {
            this.ak.setRenderFps(40.0f);
        } else if (this.f1678f.isInMapAnimation(i2)) {
            this.ak.setRenderFps(30.0f);
            this.ak.resetTickCount(15);
        } else {
            this.ak.setRenderFps(15.0f);
        }
        if (this.f1674b.isWorldMapEnable() != MapsInitializer.isLoadWorldGridMap()) {
            b();
            this.f1674b.setWorldMapEnable(MapsInitializer.isLoadWorldGridMap());
        }
    }

    private void i() {
        if (this.R > 0) {
            boolean canStopMapRender = this.f1678f.canStopMapRender(this.E);
            if (!canStopMapRender) {
                int i2 = this.R - 1;
                this.R = i2;
                if (i2 > 0) {
                    this.f1678f.renderAMap();
                    return;
                }
            }
            this.R = 0;
            Message obtainMessage = this.f1682j.obtainMessage(15, this.f1678f.getScreenShot(this.E, 0, 0, getMapWidth(), getMapHeight()));
            obtainMessage.arg1 = canStopMapRender ? 1 : 0;
            obtainMessage.sendToTarget();
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:43:0x011d, code lost:
    
        r0 = r9.t.a(com.autonavi.base.ae.gmap.listener.AMapWidgetListener.class.hashCode());
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0129, code lost:
    
        if (r0 == null) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x012f, code lost:
    
        if (r0.size() <= 0) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x0131, code lost:
    
        monitor-enter(r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0132, code lost:
    
        r1 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0137, code lost:
    
        if (r1 >= r0.size()) goto L89;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x0139, code lost:
    
        ((com.autonavi.base.ae.gmap.listener.AMapWidgetListener) r0.get(r1)).invalidateCompassView();
        r1 = r1 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x0145, code lost:
    
        monitor-exit(r0);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void j() {
        /*
            Method dump skipped, instructions count: 412
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.amap.api.col.p0003sl.m.j():void");
    }

    private void k() {
        if (!this.I) {
            this.f1682j.sendEmptyMessage(16);
            this.I = true;
            b();
        }
        long j2 = this.bc;
        if (j2 < 2) {
            this.bc = j2 + 1;
            return;
        }
        final eb d2 = this.B.d();
        if (d2 == null || d2.getVisibility() == 8) {
            return;
        }
        ds.a(this.f1677e, System.currentTimeMillis() - this.aF);
        this.f1682j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.12
            @Override // java.lang.Runnable
            public final void run() {
                if (m.this.G) {
                    return;
                }
                try {
                    if (m.this.f1675c != null) {
                        m mVar = m.this;
                        mVar.setIndoorBuildingInfo(mVar.f1675c);
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
                d2.a();
            }
        });
        this.f1678f.setStyleChangeGradualEnable(this.E, true);
    }

    final void b() {
        this.f1682j.obtainMessage(17, 1, 0).sendToTarget();
    }

    private void b(final int i2) {
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.13
            @Override // java.lang.Runnable
            public final void run() {
                if (!m.this.at || m.this.f1678f == null) {
                    return;
                }
                m.this.f1678f.setHighlightSubwayEnable(i2, false);
            }
        });
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getMapAngle(int i2) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return mapConfig.getSR();
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getGeoCenter(int i2, IPoint iPoint) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            iPoint.x = (int) mapConfig.getSX();
            iPoint.y = (int) this.f1674b.getSY();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getCameraDegree(int i2) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return mapConfig.getSC();
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void addGestureMapMessage(int i2, AbstractGestureMapMessage abstractGestureMapMessage) {
        if (!this.at || this.f1678f == null) {
            return;
        }
        try {
            abstractGestureMapMessage.isUseAnchor = this.H;
            abstractGestureMapMessage.anchorX = this.f1674b.getAnchorX();
            abstractGestureMapMessage.anchorY = this.f1674b.getAnchorY();
            this.f1678f.addGestureMessage(i2, abstractGestureMapMessage, this.y.isGestureScaleByMapCenter(), this.f1674b.getAnchorX(), this.f1674b.getAnchorY());
        } catch (RemoteException unused) {
        }
    }

    private void c(int i2) {
        if (this.ar) {
            this.ar = false;
        }
        GLMapRender gLMapRender = this.ak;
        if (gLMapRender != null) {
            gLMapRender.renderPause();
        }
        f(i2);
    }

    private void d(int i2) {
        f(i2);
        GLMapRender gLMapRender = this.ak;
        if (gLMapRender != null) {
            gLMapRender.renderResume();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void resetRenderTimeLongLong() {
        GLMapRender gLMapRender = this.ak;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(30);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void resetRenderTime() {
        GLMapRender gLMapRender = this.ak;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(2);
        }
    }

    private void l() {
        GLMapRender gLMapRender = this.ak;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(2);
        }
    }

    private void m() {
        GLMapRender gLMapRender;
        if (!this.at || (gLMapRender = this.ak) == null || gLMapRender.isRenderPause()) {
            return;
        }
        requestRender();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void requestRender() {
        GLMapRender gLMapRender = this.ak;
        if (gLMapRender == null || gLMapRender.isRenderPause()) {
            return;
        }
        this.A.requestRender();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeMapLogo(int i2, boolean z) {
        if (this.F.get()) {
            return;
        }
        try {
            List a2 = this.t.a(AMapWidgetListener.class.hashCode());
            if (a2 == null || a2.size() <= 0) {
                return;
            }
            this.B.f(Boolean.valueOf(!z));
        } catch (Throwable unused) {
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getRenderMode() {
        return this.A.getRenderMode();
    }

    private void n() {
        if (this.aa) {
            return;
        }
        try {
            this.X.setName("AuthThread");
            this.X.start();
            this.aa = true;
        } catch (Throwable th) {
            th.printStackTrace();
            dv.a(th);
        }
    }

    private void o() {
        if (this.ab) {
            return;
        }
        try {
            if (this.Y == null) {
                this.Y = new r(this.f1677e, this);
            }
            this.Y.setName("AuthProThread");
            this.Y.start();
            this.ab = true;
        } catch (Throwable th) {
            th.printStackTrace();
            dv.a(th);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getMapZoomScale() {
        return this.ao;
    }

    public final synchronized void a(int i2, int i3, int i4) {
        a(i2, i3, i4, false, null);
    }

    private synchronized void a(final int i2, final int i3, final int i4, final boolean z, final StyleItem[] styleItemArr) {
        if (this.au && this.at && this.f1673a) {
            e(i4);
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.14
                @Override // java.lang.Runnable
                public final void run() {
                    try {
                        m.this.f1678f.setMapModeAndStyle(i2, i3, i4, z, styleItemArr);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } else {
            this.aI.f1768f = i2;
            this.aI.f1766d = i3;
            this.aI.f1767e = i4;
            this.aI.f1764b = true;
        }
    }

    private void e(int i2) {
        ef efVar = this.B;
        if (efVar != null) {
            if (i2 == 0) {
                if (efVar.b()) {
                    this.B.f(Boolean.FALSE);
                    this.B.c();
                    return;
                }
                return;
            }
            if (efVar.b()) {
                return;
            }
            this.B.f(Boolean.TRUE);
            this.B.c();
        }
    }

    private void f(final int i2) {
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.15
            @Override // java.lang.Runnable
            public final void run() {
                try {
                    m.this.f1678f.clearAllMessages(i2);
                    m.this.f1678f.clearAnimations(i2, true);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    public final void a(final int i2, final boolean z) {
        if (this.at && this.au) {
            resetRenderTime();
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.16
                @Override // java.lang.Runnable
                public final void run() {
                    try {
                        m.this.f1678f.setBuildingEnable(i2, z);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } else {
            this.aK.f1765c = z;
            this.aK.f1764b = true;
            this.aK.f1768f = i2;
        }
    }

    public final void b(final int i2, final boolean z) {
        if (this.at && this.au) {
            resetRenderTime();
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.17
                @Override // java.lang.Runnable
                public final void run() {
                    if (m.this.f1678f != null) {
                        if (z) {
                            m.this.f1678f.setAllContentEnable(i2, true);
                        } else {
                            m.this.f1678f.setAllContentEnable(i2, false);
                        }
                        m.this.f1678f.setSimple3DEnable(i2, false);
                    }
                }
            });
        } else {
            this.aR.f1765c = z;
            this.aR.f1764b = true;
            this.aR.f1768f = i2;
        }
    }

    public final void c(final int i2, final boolean z) {
        if (this.at && this.au) {
            resetRenderTime();
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.18
                @Override // java.lang.Runnable
                public final void run() {
                    try {
                        if (z) {
                            m.this.f1678f.setBuildingTextureEnable(i2, true);
                        } else {
                            m.this.f1678f.setBuildingTextureEnable(i2, false);
                        }
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } else {
            this.aU.f1765c = z;
            this.aU.f1764b = true;
            this.aU.f1768f = i2;
        }
    }

    /* JADX WARN: Can't wrap try/catch for region: R(19:2|3|(16:8|9|10|11|(1:13)|14|15|(1:17)|18|(1:22)|23|(1:25)|26|(1:28)|29|30)|37|9|10|11|(0)|14|15|(0)|18|(2:20|22)|23|(0)|26|(0)|29|30) */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x008e, code lost:
    
        r4 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x008f, code lost:
    
        com.amap.api.col.p0003sl.dv.a(r4);
        com.amap.api.col.p0003sl.jt.c(r4, "AMapDElegateImp", "createSurface");
        com.amap.api.col.p0003sl.dx.b(com.amap.api.col.p0003sl.dw.f428c, "createSurface failed " + r4.getMessage());
        com.amap.api.col.p0003sl.ds.b(r3.f1677e, "init failed:" + r4.getMessage());
     */
    /* JADX WARN: Removed duplicated region for block: B:13:0x007f A[Catch: all -> 0x008e, TryCatch #1 {all -> 0x008e, blocks: (B:11:0x0043, B:13:0x007f, B:14:0x0082), top: B:10:0x0043, outer: #0 }] */
    /* JADX WARN: Removed duplicated region for block: B:17:0x00d7 A[Catch: all -> 0x0107, TryCatch #0 {, blocks: (B:3:0x0001, B:8:0x0017, B:9:0x002e, B:15:0x00c7, B:17:0x00d7, B:18:0x00da, B:20:0x00e0, B:22:0x00e4, B:23:0x00f2, B:25:0x00f6, B:26:0x00f9, B:28:0x00fd, B:29:0x0100, B:36:0x008f, B:37:0x0023, B:11:0x0043, B:13:0x007f, B:14:0x0082), top: B:2:0x0001, inners: #1 }] */
    /* JADX WARN: Removed duplicated region for block: B:25:0x00f6 A[Catch: all -> 0x0107, TryCatch #0 {, blocks: (B:3:0x0001, B:8:0x0017, B:9:0x002e, B:15:0x00c7, B:17:0x00d7, B:18:0x00da, B:20:0x00e0, B:22:0x00e4, B:23:0x00f2, B:25:0x00f6, B:26:0x00f9, B:28:0x00fd, B:29:0x0100, B:36:0x008f, B:37:0x0023, B:11:0x0043, B:13:0x007f, B:14:0x0082), top: B:2:0x0001, inners: #1 }] */
    /* JADX WARN: Removed duplicated region for block: B:28:0x00fd A[Catch: all -> 0x0107, TryCatch #0 {, blocks: (B:3:0x0001, B:8:0x0017, B:9:0x002e, B:15:0x00c7, B:17:0x00d7, B:18:0x00da, B:20:0x00e0, B:22:0x00e4, B:23:0x00f2, B:25:0x00f6, B:26:0x00f9, B:28:0x00fd, B:29:0x0100, B:36:0x008f, B:37:0x0023, B:11:0x0043, B:13:0x007f, B:14:0x0082), top: B:2:0x0001, inners: #1 }] */
    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final synchronized void createSurface(int r4, javax.microedition.khronos.opengles.GL10 r5, javax.microedition.khronos.egl.EGLConfig r6) {
        /*
            Method dump skipped, instructions count: 266
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.amap.api.col.p0003sl.m.createSurface(int, javax.microedition.khronos.opengles.GL10, javax.microedition.khronos.egl.EGLConfig):void");
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeSurface(int i2, GL10 gl10, int i3, int i4) {
        WindowManager windowManager;
        dx.a(dw.f428c, "changeSurface " + i3 + " " + i4);
        this.aw = false;
        if (!this.at) {
            createSurface(i2, gl10, null);
        }
        z zVar = this.al;
        if (zVar != null && this.f1677e != null && ((this.f1679g != zVar.b() || this.f1680h != this.al.c()) && (windowManager = (WindowManager) this.f1677e.getSystemService("window")) != null)) {
            Display defaultDisplay = windowManager.getDefaultDisplay();
            DisplayMetrics displayMetrics = new DisplayMetrics();
            if (defaultDisplay != null) {
                defaultDisplay.getRealMetrics(displayMetrics);
                this.al.a(displayMetrics.widthPixels, displayMetrics.heightPixels);
            }
        }
        this.f1679g = i3;
        this.f1680h = i4;
        this.U = new Rect(0, 0, i3, i4);
        this.E = a(i2, new Rect(0, 0, this.f1679g, this.f1680h), this.f1679g, this.f1680h);
        dx.a(dw.f428c, "create engine with frame complete");
        if (!this.au) {
            MapConfig mapConfig = this.f1674b;
            if (mapConfig != null) {
                mapConfig.setMapZoomScale(this.ao);
                this.f1674b.setMapWidth(i3);
                this.f1674b.setMapHeight(i4);
            }
            this.f1678f.setIndoorEnable(this.E, false);
            this.f1678f.setSimple3DEnable(this.E, false);
            this.f1678f.setStyleChangeGradualEnable(this.E, false);
            this.f1678f.initMapOpenLayer("{\"bounds\" : [{\"x2\" : 235405312,\"x1\" : 188874751,\"y2\" : 85065727,\"y1\" : 122421247}],\"sublyr\" : [{\"type\" : 4,\"sid\" : 9000006,\"zlevel\" : 2}],\"id\" : 9006,\"minzoom\" : 6,\"update_period\" : 90,\"maxzoom\" : 20,\"cachemode\" : 2,\"url\" : \"https://mpsapi.amap.com/ws/mps/lyrdata/ugc/\"}");
            GLMapEngine.InitParam initParam = new GLMapEngine.InitParam();
            AeUtil.initIntersectionRes(this.f1677e, initParam);
            this.f1678f.setVectorOverlayPath(initParam.mIntersectionResPath);
        }
        synchronized (this) {
            this.au = true;
        }
        if (!this.H) {
            this.f1674b.setAnchorX(i3 >> 1);
            this.f1674b.setAnchorY(i4 >> 1);
        } else {
            this.f1674b.setAnchorX(Math.max(1, Math.min(this.az, i3 - 1)));
            this.f1674b.setAnchorY(Math.max(1, Math.min(this.aA, i4 - 1)));
        }
        this.f1678f.setProjectionCenter(this.E, this.f1674b.getAnchorX(), this.f1674b.getAnchorY());
        this.f1673a = true;
        if (this.aR.f1764b) {
            this.aR.run();
        }
        if (this.aI.f1764b) {
            this.aI.run();
        }
        if (this.aJ.f1764b) {
            this.aJ.run();
        }
        if (this.aG.f1764b) {
            this.aG.run();
        }
        if (this.aK.f1764b) {
            this.aK.run();
        }
        if (this.aU.f1764b) {
            this.aU.run();
        }
        if (this.aL.f1764b) {
            this.aL.run();
        }
        if (this.aM.f1764b) {
            this.aM.run();
        }
        if (this.aN.f1764b) {
            this.aN.run();
        }
        if (this.aS.f1764b) {
            this.aS.run();
        }
        if (this.aH.f1764b) {
            this.aH.run();
        }
        if (this.aO.f1764b) {
            this.aO.run();
        }
        a aVar = this.aP;
        if (aVar != null) {
            aVar.run();
        }
        a aVar2 = this.aQ;
        if (aVar2 != null) {
            aVar2.run();
        }
        CustomRenderer customRenderer = this.ad;
        if (customRenderer != null) {
            customRenderer.onSurfaceChanged(gl10, i3, i4);
        }
        com.autonavi.extra.b bVar = this.aV;
        if (bVar != null) {
            bVar.d();
        }
        Handler handler = this.f1682j;
        if (handler != null) {
            handler.post(this.aT);
        }
        redrawInfoWindow();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void destroySurface(int i2) {
        this.ax.lock();
        try {
            if (this.at) {
                EGL14.eglGetCurrentContext();
                EGLContext eGLContext = EGL14.EGL_NO_CONTEXT;
                r();
                GLMapEngine gLMapEngine = this.f1678f;
                if (gLMapEngine != null) {
                    if (gLMapEngine.getOverlayBundle(this.E) != null) {
                        this.f1678f.getOverlayBundle(this.E).removeAll(true);
                    }
                    this.f1678f.destroyAMapEngine();
                    this.f1678f = null;
                    int i3 = this.ba;
                    if (i3 > 0) {
                        ds.a(this.f1677e, i3);
                    }
                    dx.a(dw.f428c, "destroy engine complete");
                }
                com.autonavi.extra.b bVar = this.aV;
                if (bVar != null) {
                    bVar.f();
                }
            }
            this.at = false;
            this.au = false;
            this.aw = false;
        } finally {
            try {
            } finally {
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Context getContext() {
        return this.f1677e;
    }

    private int a(int i2, Rect rect, int i3, int i4) {
        int i5;
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine == null || i2 < 0) {
            i5 = 0;
        } else {
            i5 = gLMapEngine.getEngineIDWithType(i2);
            if (!this.f1678f.isEngineCreated(i5)) {
                int i6 = this.f1677e.getResources().getDisplayMetrics().densityDpi;
                float f2 = this.f1677e.getResources().getDisplayMetrics().density;
                NativeTextGenerate.getInstance().setDensity(f2);
                GLMapEngine.MapViewInitParam mapViewInitParam = new GLMapEngine.MapViewInitParam();
                mapViewInitParam.engineId = i5;
                mapViewInitParam.x = rect.left;
                mapViewInitParam.y = rect.top;
                mapViewInitParam.width = rect.width();
                mapViewInitParam.height = rect.height();
                mapViewInitParam.screenWidth = i3;
                mapViewInitParam.screenHeight = i4;
                mapViewInitParam.screenScale = f2;
                mapViewInitParam.textScale = this.ap * f2;
                mapViewInitParam.mapZoomScale = this.ao;
                mapViewInitParam.taskThreadCount = 3;
                this.f1678f.createAMapEngineWithFrame(mapViewInitParam);
                GLMapState mapState = this.f1678f.getMapState(i5);
                mapState.setMapZoomer(this.f1674b.getSZ());
                mapState.setCameraDegree(this.f1674b.getSC());
                mapState.setMapAngle(this.f1674b.getSR());
                mapState.setMapGeoCenter(this.f1674b.getSX(), this.f1674b.getSY());
                this.f1678f.setMapState(i5, mapState);
                this.ao = mapState.calMapZoomScalefactor(i3, i4, i6);
                this.f1678f.setOvelayBundle(i5, new GLOverlayBundle<>(i5, this));
            } else {
                a(i5, rect.left, rect.top, rect.width(), rect.height(), i3, i4);
            }
        }
        this.F.set(false);
        return i5;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getEngineIDWithGestureInfo(EAMapPlatformGestureInfo eAMapPlatformGestureInfo) {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            return gLMapEngine.getEngineIDWithGestureInfo(eAMapPlatformGestureInfo);
        }
        return this.E;
    }

    private void a(int i2, int i3, int i4, int i5, int i6, int i7, int i8) {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            gLMapEngine.setServiceViewRect(i2, i3, i4, i5, i6, i7, i8);
        }
    }

    private boolean g(int i2) {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            return gLMapEngine.getSrvViewStateBoolValue(i2, 7);
        }
        return false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final CameraPosition getCameraPosition() throws RemoteException {
        return getCameraPositionPrj(this.H);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getMaxZoomLevel() {
        try {
            MapConfig mapConfig = this.f1674b;
            if (mapConfig != null) {
                return mapConfig.getMaxZoomLevel();
            }
            return 20.0f;
        } catch (Throwable th) {
            dv.a(th);
            return 20.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getMinZoomLevel() {
        try {
            MapConfig mapConfig = this.f1674b;
            if (mapConfig != null) {
                return mapConfig.getMinZoomLevel();
            }
            return 3.0f;
        } catch (Throwable th) {
            dv.a(th);
            return 3.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void moveCamera(CameraUpdate cameraUpdate) throws RemoteException {
        if (cameraUpdate == null) {
            return;
        }
        try {
            moveCamera(cameraUpdate.getCameraUpdateFactoryDelegate());
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void moveCamera(AbstractCameraUpdateMessage abstractCameraUpdateMessage) throws RemoteException {
        if (this.f1678f == null || this.F.get()) {
            return;
        }
        try {
            if (this.G && this.f1678f.getStateMessageCount() > 0) {
                AbstractCameraUpdateMessage c2 = ak.c();
                c2.nowType = AbstractCameraUpdateMessage.Type.changeGeoCenterZoomTiltBearing;
                c2.geoPoint = new DPoint(this.f1674b.getSX(), this.f1674b.getSY());
                c2.zoom = this.f1674b.getSZ();
                c2.bearing = this.f1674b.getSR();
                c2.tilt = this.f1674b.getSC();
                this.f1678f.addMessage(abstractCameraUpdateMessage, false);
                while (this.f1678f.getStateMessageCount() > 0) {
                    AbstractCameraUpdateMessage stateMessage = this.f1678f.getStateMessage();
                    if (stateMessage != null) {
                        stateMessage.mergeCameraUpdateDelegate(c2);
                    }
                }
                abstractCameraUpdateMessage = c2;
            }
        } catch (Throwable th) {
            dv.a(th);
        }
        resetRenderTime();
        this.f1678f.clearAnimations(this.E, false);
        abstractCameraUpdateMessage.isChangeFinished = true;
        a(abstractCameraUpdateMessage);
        this.f1678f.addMessage(abstractCameraUpdateMessage, false);
    }

    private void a(AbstractCameraUpdateMessage abstractCameraUpdateMessage) {
        abstractCameraUpdateMessage.isUseAnchor = this.H;
        if (this.H) {
            abstractCameraUpdateMessage.anchorX = this.f1674b.getAnchorX();
            abstractCameraUpdateMessage.anchorY = this.f1674b.getAnchorY();
        }
        if (abstractCameraUpdateMessage.width == 0) {
            abstractCameraUpdateMessage.width = getMapWidth();
        }
        if (abstractCameraUpdateMessage.height == 0) {
            abstractCameraUpdateMessage.height = getMapHeight();
        }
        abstractCameraUpdateMessage.mapConfig = this.f1674b;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCamera(CameraUpdate cameraUpdate) throws RemoteException {
        if (cameraUpdate == null) {
            return;
        }
        animateCamera(cameraUpdate.getCameraUpdateFactoryDelegate());
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void animateCamera(AbstractCameraUpdateMessage abstractCameraUpdateMessage) throws RemoteException {
        animateCameraWithDurationAndCallback(abstractCameraUpdateMessage, 250L, (AMap.CancelableCallback) null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCameraWithCallback(CameraUpdate cameraUpdate, AMap.CancelableCallback cancelableCallback) throws RemoteException {
        if (cameraUpdate == null) {
            return;
        }
        animateCameraWithDurationAndCallback(cameraUpdate, 250L, cancelableCallback);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCameraWithDurationAndCallback(CameraUpdate cameraUpdate, long j2, AMap.CancelableCallback cancelableCallback) {
        if (cameraUpdate == null) {
            return;
        }
        animateCameraWithDurationAndCallback(cameraUpdate.getCameraUpdateFactoryDelegate(), j2, cancelableCallback);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void animateCameraWithDurationAndCallback(AbstractCameraUpdateMessage abstractCameraUpdateMessage, long j2, AMap.CancelableCallback cancelableCallback) {
        if (abstractCameraUpdateMessage == null || this.F.get() || this.f1678f == null) {
            return;
        }
        abstractCameraUpdateMessage.mCallback = cancelableCallback;
        abstractCameraUpdateMessage.mDuration = j2;
        if (this.G || getMapHeight() == 0 || getMapWidth() == 0) {
            try {
                moveCamera(abstractCameraUpdateMessage);
                if (abstractCameraUpdateMessage.mCallback != null) {
                    abstractCameraUpdateMessage.mCallback.onFinish();
                    return;
                }
                return;
            } catch (Throwable th) {
                th.printStackTrace();
                dv.a(th);
                return;
            }
        }
        try {
            this.f1678f.interruptAnimation();
            resetRenderTime();
            a(abstractCameraUpdateMessage);
            this.f1678f.addMessage(abstractCameraUpdateMessage, true);
        } catch (Throwable th2) {
            dv.a(th2);
            th2.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void stopAnimation() throws RemoteException {
        try {
            GLMapEngine gLMapEngine = this.f1678f;
            if (gLMapEngine != null) {
                gLMapEngine.interruptAnimation();
            }
            resetRenderTime();
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Polyline addPolyline(PolylineOptions polylineOptions) throws RemoteException {
        if (polylineOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            String createId = this.C.createId("POLYLINE");
            Polyline polyline = (Polyline) this.C.addOverlayObject(createId, new Polyline(this.C, polylineOptions, createId), polylineOptions);
            dx.c(dw.f429d, "addPolyline ".concat(String.valueOf(createId)));
            return polyline;
        } catch (Throwable th) {
            dv.a(th);
            dx.a(dw.f429d, "addPolyline failed " + th.getMessage(), polylineOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final BuildingOverlay addBuildingOverlay() {
        try {
            ds.h(this.f1677e);
            String createId = this.C.createId("BUILDINGOVERLAY");
            BuildingOverlay buildingOverlay = new BuildingOverlay(this.C, createId);
            Field declaredField = buildingOverlay.getClass().getDeclaredField("buildingOverlayTotalOptions");
            if (declaredField == null) {
                return null;
            }
            resetRenderTime();
            declaredField.setAccessible(true);
            Object obj = declaredField.get(buildingOverlay);
            IGlOverlayLayer iGlOverlayLayer = this.C;
            return (iGlOverlayLayer == null || !(obj instanceof BaseOptions)) ? buildingOverlay : (BuildingOverlay) iGlOverlayLayer.addOverlayObject(createId, buildingOverlay, (BaseOptions) obj);
        } catch (Exception e2) {
            e2.printStackTrace();
            dv.a(e2);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final GL3DModel addGLModel(GL3DModelOptions gL3DModelOptions) {
        resetRenderTime();
        String createId = this.C.createId("GL3DMODEL");
        GL3DModel gL3DModel = new GL3DModel(this.C, gL3DModelOptions, createId);
        this.C.addOverlayObject(createId, gL3DModel, gL3DModelOptions);
        return gL3DModel;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final ParticleOverlay addParticleOverlay(ParticleOverlayOptions particleOverlayOptions) {
        if (particleOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            ds.c(this.f1677e);
            String createId = this.C.createId("PARTICLEOVERLAY");
            return (ParticleOverlay) this.C.addOverlayObject(createId, new ParticleOverlay(this.C, particleOverlayOptions, createId), particleOverlayOptions);
        } catch (Throwable th) {
            dv.a(th);
            th.printStackTrace();
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final NavigateArrow addNavigateArrow(NavigateArrowOptions navigateArrowOptions) throws RemoteException {
        if (navigateArrowOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            NavigateArrowOptions m72clone = navigateArrowOptions.m72clone();
            String createId = this.C.createId("NAVIGATEARROW");
            NavigateArrow navigateArrow = new NavigateArrow(this.C, m72clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.C;
            return iGlOverlayLayer != null ? (NavigateArrow) iGlOverlayLayer.addOverlayObject(createId, navigateArrow, m72clone) : navigateArrow;
        } catch (Throwable th) {
            dv.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Polygon addPolygon(PolygonOptions polygonOptions) throws RemoteException {
        if (polygonOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            PolygonOptions m73clone = polygonOptions.m73clone();
            String createId = this.C.createId("POLYGON");
            Polygon polygon = new Polygon(this.C, m73clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.C;
            return iGlOverlayLayer != null ? (Polygon) iGlOverlayLayer.addOverlayObject(createId, polygon, m73clone) : polygon;
        } catch (Throwable th) {
            dv.a(th);
            dx.a(dw.f429d, "addPolygon failed " + th.getMessage(), polygonOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Circle addCircle(CircleOptions circleOptions) throws RemoteException {
        if (circleOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            CircleOptions m67clone = circleOptions.m67clone();
            String createId = this.C.createId("CIRCLE");
            Circle circle = new Circle(this.C, m67clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.C;
            return iGlOverlayLayer != null ? (Circle) iGlOverlayLayer.addOverlayObject(createId, circle, m67clone) : circle;
        } catch (Throwable th) {
            dv.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Arc addArc(ArcOptions arcOptions) throws RemoteException {
        if (arcOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            ArcOptions m65clone = arcOptions.m65clone();
            String createId = this.C.createId("ARC");
            Arc arc = new Arc(this.C, m65clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.C;
            return iGlOverlayLayer != null ? (Arc) iGlOverlayLayer.addOverlayObject(createId, arc, m65clone) : arc;
        } catch (Throwable th) {
            dv.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final GroundOverlay addGroundOverlay(GroundOverlayOptions groundOverlayOptions) throws RemoteException {
        if (groundOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            GroundOverlayOptions m68clone = groundOverlayOptions.m68clone();
            String createId = this.C.createId("GROUNDOVERLAY");
            GroundOverlay groundOverlay = new GroundOverlay(this.C, m68clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.C;
            return iGlOverlayLayer != null ? (GroundOverlay) iGlOverlayLayer.addOverlayObject(createId, groundOverlay, m68clone) : groundOverlay;
        } catch (Throwable th) {
            dv.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final MultiPointOverlay addMultiPointOverlay(MultiPointOverlayOptions multiPointOverlayOptions) throws RemoteException {
        if (multiPointOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            MultiPointOverlayOptions m71clone = multiPointOverlayOptions.m71clone();
            String createId = this.C.createId("MULTIOVERLAY");
            MultiPointOverlay multiPointOverlay = new MultiPointOverlay(this.C, m71clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.C;
            return iGlOverlayLayer != null ? (MultiPointOverlay) iGlOverlayLayer.addOverlayObject(createId, multiPointOverlay, m71clone) : multiPointOverlay;
        } catch (Throwable unused) {
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Marker addMarker(MarkerOptions markerOptions) throws RemoteException {
        try {
            resetRenderTime();
            MarkerOptions m70clone = markerOptions.m70clone();
            String createId = this.C.createId("MARKER");
            Marker marker = new Marker(this.C, m70clone, createId);
            this.C.addOverlayObject(createId, marker, m70clone);
            return marker;
        } catch (Throwable th) {
            dv.a(th);
            dx.a(dw.f429d, "addMarker failed " + th.getMessage(), markerOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Text addText(TextOptions textOptions) throws RemoteException {
        try {
            resetRenderTime();
            String createId = this.C.createId("TEXT");
            TextOptions m74clone = textOptions.m74clone();
            MarkerOptions a2 = cm.a(m74clone);
            Marker marker = new Marker(this.C, a2, createId);
            marker.setObject(m74clone.getObject());
            this.C.addOverlayObject(createId, marker, a2);
            return new Text(marker, m74clone);
        } catch (Throwable th) {
            dv.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final ArrayList<Marker> addMarkers(ArrayList<MarkerOptions> arrayList, boolean z) throws RemoteException {
        try {
            resetRenderTime();
            ArrayList<Marker> arrayList2 = new ArrayList<>();
            final LatLngBounds.Builder builder = LatLngBounds.builder();
            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                MarkerOptions markerOptions = arrayList.get(i2);
                if (arrayList.get(i2) != null) {
                    arrayList2.add(addMarker(markerOptions));
                    if (markerOptions.getPosition() != null) {
                        builder.include(markerOptions.getPosition());
                    }
                }
            }
            if (z && arrayList2.size() > 0) {
                getMainHandler().postDelayed(new Runnable() { // from class: com.amap.api.col.3sl.m.19
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.moveCamera(ak.a(builder.build(), 50));
                        } catch (Throwable unused) {
                        }
                    }
                }, 50L);
            }
            return arrayList2;
        } catch (Throwable th) {
            dv.a(th);
            dx.a(dw.f429d, "addMarkers failed " + th.getMessage(), arrayList);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final TileOverlay addTileOverlay(TileOverlayOptions tileOverlayOptions) throws RemoteException {
        try {
            TileProvider tileProvider = tileOverlayOptions.getTileProvider();
            if (tileProvider != null && (tileProvider instanceof HeatmapTileProvider)) {
                ds.a(this.f1677e);
            }
            String createId = this.C.createId("TILEOVERLAY");
            TileOverlay tileOverlay = new TileOverlay(this.C, tileOverlayOptions, createId);
            this.C.addOverlayObject(createId, tileOverlay, tileOverlayOptions);
            return tileOverlay;
        } catch (Throwable th) {
            dv.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final HeatMapLayer addHeatMapLayer(HeatMapLayerOptions heatMapLayerOptions) throws RemoteException {
        try {
            resetRenderTime();
            if (heatMapLayerOptions == null) {
                return null;
            }
            String createId = this.C.createId("HEATMAPLAYER");
            return (HeatMapLayer) this.C.addOverlayObject(createId, new HeatMapLayer(this.C, heatMapLayerOptions, createId), heatMapLayerOptions);
        } catch (Throwable th) {
            dv.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final HeatMapGridLayer addHeatMapGridLayer(HeatMapGridLayerOptions heatMapGridLayerOptions) throws RemoteException {
        try {
            resetRenderTime();
            if (heatMapGridLayerOptions == null) {
                return null;
            }
            String createId = this.C.createId("HEATMAPGRIDLAYER");
            return (HeatMapGridLayer) this.C.addOverlayObject(createId, new HeatMapGridLayer(this.C, heatMapGridLayerOptions, createId), heatMapGridLayerOptions);
        } catch (Throwable th) {
            dv.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final em addContourLineOverlay(el elVar) {
        try {
            String createId = this.C.createId("CONTOURLINE");
            em emVar = new em(this.C, elVar, createId);
            this.C.addOverlayObject(createId, emVar, elVar);
            return emVar;
        } catch (Exception e2) {
            dv.a(e2);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void clear() throws RemoteException {
        try {
            clear(false);
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "clear");
            dv.a(th);
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void clear(boolean z) throws RemoteException {
        try {
            hideInfoWindow();
            this.C.clear(null, "");
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.20
                @Override // java.lang.Runnable
                public final void run() {
                    if (m.this.f1678f == null || m.this.F.get()) {
                        return;
                    }
                    m.this.f1678f.removeNativeAllOverlay(m.this.E);
                }
            });
            resetRenderTime();
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "clear");
            dv.a(th);
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapType() throws RemoteException {
        return this.V;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapType(int i2) throws RemoteException {
        MapConfig mapConfig;
        if (i2 != this.V || ((mapConfig = this.f1674b) != null && mapConfig.isCustomStyleEnable())) {
            this.V = i2;
            h(i2);
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:20:0x0059 A[Catch: all -> 0x0075, TryCatch #0 {all -> 0x0075, blocks: (B:4:0x0027, B:6:0x0039, B:8:0x003d, B:10:0x0043, B:11:0x0053, B:12:0x0071, B:19:0x0049, B:20:0x0059, B:22:0x0067, B:23:0x006c, B:40:0x0024), top: B:39:0x0024 }] */
    /* JADX WARN: Removed duplicated region for block: B:6:0x0039 A[Catch: all -> 0x0075, TryCatch #0 {all -> 0x0075, blocks: (B:4:0x0027, B:6:0x0039, B:8:0x003d, B:10:0x0043, B:11:0x0053, B:12:0x0071, B:19:0x0049, B:20:0x0059, B:22:0x0067, B:23:0x006c, B:40:0x0024), top: B:39:0x0024 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void h(int r6) {
        /*
            r5 = this;
            r5.V = r6
            r0 = 1
            r1 = 0
            if (r6 != r0) goto L9
        L6:
            r6 = r1
            r2 = r6
            goto L27
        L9:
            r2 = 2
            if (r6 != r2) goto Lf
            r2 = r0
        Ld:
            r6 = r1
            goto L27
        Lf:
            r3 = 3
            if (r6 != r3) goto L15
            r6 = r0
            r2 = r1
            goto L27
        L15:
            r4 = 4
            if (r6 != r4) goto L19
            goto Ld
        L19:
            r4 = 6
            if (r6 != r4) goto L1e
            r6 = r0
            goto L27
        L1e:
            r2 = 5
            if (r6 != r2) goto L24
            r6 = r1
            r2 = r3
            goto L27
        L24:
            r5.V = r0     // Catch: java.lang.Throwable -> L75
            goto L6
        L27:
            com.autonavi.base.amap.mapcore.MapConfig r3 = r5.f1674b     // Catch: java.lang.Throwable -> L75
            r3.setMapStyleMode(r2)     // Catch: java.lang.Throwable -> L75
            com.autonavi.base.amap.mapcore.MapConfig r3 = r5.f1674b     // Catch: java.lang.Throwable -> L75
            r3.setMapStyleTime(r6)     // Catch: java.lang.Throwable -> L75
            com.autonavi.base.amap.mapcore.MapConfig r3 = r5.f1674b     // Catch: java.lang.Throwable -> L75
            boolean r3 = r3.isCustomStyleEnable()     // Catch: java.lang.Throwable -> L75
            if (r3 == 0) goto L59
            com.amap.api.col.3sl.l r3 = r5.aE     // Catch: java.lang.Throwable -> L75
            if (r3 == 0) goto L49
            boolean r3 = r3.d()     // Catch: java.lang.Throwable -> L75
            if (r3 == 0) goto L49
            com.amap.api.col.3sl.l r6 = r5.aE     // Catch: java.lang.Throwable -> L75
            r6.e()     // Catch: java.lang.Throwable -> L75
            goto L53
        L49:
            int r3 = r5.E     // Catch: java.lang.Throwable -> L75
            r5.a(r3, r2, r6)     // Catch: java.lang.Throwable -> L75
            com.autonavi.base.amap.mapcore.MapConfig r6 = r5.f1674b     // Catch: java.lang.Throwable -> L75
            r6.setCustomStyleEnable(r1)     // Catch: java.lang.Throwable -> L75
        L53:
            com.amap.api.col.3sl.af r6 = r5.y     // Catch: java.lang.Throwable -> L75
            r6.setLogoEnable(r0)     // Catch: java.lang.Throwable -> L75
            goto L71
        L59:
            com.autonavi.base.amap.mapcore.MapConfig r0 = r5.f1674b     // Catch: java.lang.Throwable -> L75
            java.lang.String r0 = r0.getMapLanguage()     // Catch: java.lang.Throwable -> L75
            java.lang.String r1 = "en"
            boolean r0 = r0.equals(r1)     // Catch: java.lang.Throwable -> L75
            if (r0 == 0) goto L6c
            java.lang.String r0 = "zh_cn"
            r5.setMapLanguage(r0)     // Catch: java.lang.Throwable -> L75
        L6c:
            int r0 = r5.E     // Catch: java.lang.Throwable -> L75
            r5.a(r0, r2, r6)     // Catch: java.lang.Throwable -> L75
        L71:
            r5.resetRenderTime()     // Catch: java.lang.Throwable -> L75
            return
        L75:
            r6 = move-exception
            java.lang.String r0 = "AMapDelegateImp"
            java.lang.String r1 = "setMaptype"
            com.amap.api.col.p0003sl.jt.c(r6, r0, r1)
            r6.printStackTrace()
            com.amap.api.col.p0003sl.dv.a(r6)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.amap.api.col.p0003sl.m.h(int):void");
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isTrafficEnabled() throws RemoteException {
        return this.f1674b.isTrafficEnabled();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficEnabled(final boolean z) throws RemoteException {
        try {
            if (this.at && !this.F.get()) {
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.22
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            if (m.this.f1674b.isTrafficEnabled() != z) {
                                m.this.f1674b.setTrafficEnabled(z);
                                m.this.ak.setTrafficMode(z);
                                m.this.f1678f.setTrafficEnable(m.this.E, z);
                                m.this.resetRenderTime();
                            }
                        } catch (Throwable th) {
                            th.printStackTrace();
                            dv.a(th);
                        }
                    }
                });
                return;
            }
            this.aG.f1765c = z;
            this.aG.f1764b = true;
            this.aG.f1768f = this.E;
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isIndoorEnabled() throws RemoteException {
        return this.f1674b.isIndoorEnable();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setIndoorEnabled(final boolean z) throws RemoteException {
        List a2;
        try {
            if (this.at && !this.F.get()) {
                this.f1674b.setIndoorEnable(z);
                resetRenderTime();
                if (z) {
                    GLMapEngine gLMapEngine = this.f1678f;
                    if (gLMapEngine != null) {
                        gLMapEngine.setIndoorEnable(this.E, true);
                    }
                } else {
                    GLMapEngine gLMapEngine2 = this.f1678f;
                    if (gLMapEngine2 != null) {
                        gLMapEngine2.setIndoorEnable(this.E, false);
                    }
                    MapConfig mapConfig = this.f1674b;
                    mapConfig.maxZoomLevel = mapConfig.isSetLimitZoomLevel() ? this.f1674b.getMaxZoomLevel() : 20.0f;
                    try {
                        if (this.y.isZoomControlsEnabled() && (a2 = this.t.a(AMapWidgetListener.class.hashCode())) != null && a2.size() > 0) {
                            synchronized (a2) {
                                for (int i2 = 0; i2 < a2.size(); i2++) {
                                    ((AMapWidgetListener) a2.get(i2)).invalidateZoomController(this.f1674b.getSZ());
                                }
                            }
                        }
                    } catch (Throwable unused) {
                    }
                }
                ds.c(this.f1677e, z);
                if (this.y.isIndoorSwitchEnabled()) {
                    this.f1682j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.23
                        @Override // java.lang.Runnable
                        public final void run() {
                            if (!z) {
                                if (m.this.B != null) {
                                    m.this.B.g(Boolean.FALSE);
                                    return;
                                }
                                return;
                            }
                            m.this.showIndoorSwitchControlsEnabled(true);
                        }
                    });
                    return;
                }
                return;
            }
            this.aS.f1765c = z;
            this.aS.f1764b = true;
            this.aS.f1768f = this.E;
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void set3DBuildingEnabled(boolean z) throws RemoteException {
        try {
            c(this.E);
            a(this.E, z);
            d(this.E);
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setLoadOfflineData(final boolean z) throws RemoteException {
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.24
            @Override // java.lang.Runnable
            public final void run() {
                if (m.this.f1678f != null) {
                    m.this.f1678f.setOfflineDataEnable(m.this.E, z);
                }
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final List<Marker> getMapScreenMarkers() throws RemoteException {
        if (!dv.a(getMapWidth(), getMapHeight())) {
            return new ArrayList();
        }
        if (this.F.get()) {
            return new ArrayList();
        }
        return this.C.getMapScreenMarkers();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapTextEnable(final boolean z) throws RemoteException {
        try {
            if (this.at && this.au) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.25
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f1678f.setLabelEnable(m.this.E, z);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } else {
                this.aL.f1765c = z;
                this.aL.f1764b = true;
                this.aL.f1768f = this.E;
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRoadArrowEnable(final boolean z) throws RemoteException {
        try {
            if (this.at && this.au) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.26
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f1678f.setRoadArrowEnable(m.this.E, z);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } else {
                this.aM.f1765c = z;
                this.aM.f1764b = true;
                this.aM.f1768f = this.E;
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setNaviLabelEnable(final boolean z, final int i2, final int i3) throws RemoteException {
        try {
            if (this.at && this.au) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.27
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f1678f.setNaviLabelEnable(m.this.E, z, i2, i3);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
                return;
            }
            this.aN.f1765c = z;
            this.aN.f1769g = i2;
            this.aN.f1770h = i3;
            this.aN.f1764b = true;
            this.aN.f1768f = this.E;
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setConstructingRoadEnable(final boolean z) {
        try {
            if (this.at && this.au) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.28
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f1678f.setMapOpenLayerEnable(z);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } else {
                this.aO.f1765c = z;
                this.aO.f1764b = true;
                this.aO.f1768f = this.E;
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficStyleWithTexture(final byte[] bArr, final MyTrafficStyle myTrafficStyle) {
        if (this.F.get()) {
            return;
        }
        try {
            if (this.at && this.au && bArr != null && myTrafficStyle != null) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.29
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f1678f.setTrafficStyleWithTexture(m.this.E, bArr, myTrafficStyle);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
                return;
            }
            this.aQ.f1771i = bArr;
            this.aQ.f1772j = myTrafficStyle;
            this.aQ.f1764b = true;
            this.aQ.f1768f = this.E;
        } catch (Exception e2) {
            dv.a(e2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficStyleWithTextureData(final byte[] bArr) {
        if (this.F.get()) {
            return;
        }
        try {
            if (this.at && this.au && bArr != null) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.30
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f1678f.setTrafficStyleWithTextureData(m.this.E, bArr);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } else {
                this.aP.f1771i = bArr;
                this.aP.f1764b = true;
                this.aP.f1768f = this.E;
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final UiSettings getAMapUiSettings() throws RemoteException {
        if (this.w == null) {
            this.w = new UiSettings(this.y);
        }
        return this.w;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Projection getAMapProjection() throws RemoteException {
        return new Projection(this.x);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnMapClickListener.class.hashCode(), (int) onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnMapTouchListener.class.hashCode(), (int) onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnPOIClickListener.class.hashCode(), (int) onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnMapLongClickListener.class.hashCode(), (int) onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnMarkerClickListener.class.hashCode(), (int) onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnPolylineClickListener.class.hashCode(), (int) onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnMarkerDragListener.class.hashCode(), (int) onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMaploadedListener(AMap.OnMapLoadedListener onMapLoadedListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnMapLoadedListener.class.hashCode(), (int) onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnCameraChangeListener.class.hashCode(), (int) onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnInfoWindowClickListener.class.hashCode(), (int) onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(AMap.OnIndoorBuildingActiveListener.class.hashCode(), (int) onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setInfoWindowAdapter(AMap.InfoWindowAdapter infoWindowAdapter) throws RemoteException {
        au auVar;
        if (this.F.get() || (auVar = this.v) == null) {
            return;
        }
        auVar.a(infoWindowAdapter);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setInfoWindowAdapter(AMap.CommonInfoWindowAdapter commonInfoWindowAdapter) throws RemoteException {
        au auVar;
        if (this.F.get() || (auVar = this.v) == null) {
            return;
        }
        auVar.a(commonInfoWindowAdapter);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMultiPointClickListener(AMap.OnMultiPointClickListener onMultiPointClickListener) {
        this.aD = onMultiPointClickListener;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getMapContentApprovalNumber() {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig == null || mapConfig.isCustomStyleEnable()) {
            return null;
        }
        ds.d(this.f1677e);
        String a2 = dl.a(this.f1677e, "approval_number", "mc", "");
        return !TextUtils.isEmpty(a2) ? a2 : "GS (2023)551号 | GS (2023)2175号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getSatelliteImageApprovalNumber() {
        ds.e(this.f1677e);
        String a2 = dl.a(this.f1677e, "approval_number", "si", "");
        return !TextUtils.isEmpty(a2) ? a2 : "GS (2023)4047号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getTerrainApprovalNumber() {
        ds.f(this.f1677e);
        String a2 = dl.a(this.f1677e, "approval_number", "te", "");
        return !TextUtils.isEmpty(a2) ? a2 : "GS(2021)6352号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapLanguage(String str) {
        MapConfig mapConfig;
        if (TextUtils.isEmpty(str) || (mapConfig = this.f1674b) == null || mapConfig.isCustomStyleEnable() || this.f1674b.getMapLanguage().equals(str)) {
            return;
        }
        if (!str.equals("en")) {
            this.f1674b.setMapLanguage("zh_cn");
            this.ac = 0;
        } else {
            if (this.V != 1) {
                try {
                    setMapType(1);
                } catch (Throwable th) {
                    dv.a(th);
                    th.printStackTrace();
                }
            }
            this.f1674b.setMapLanguage("en");
            this.ac = -10000;
        }
        try {
            b(getCameraPosition());
        } catch (Throwable th2) {
            dv.a(th2);
            th2.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setWorldVectorMapStyle(String str) {
        if (a(false, true) || TextUtils.isEmpty(str) || this.f1674b == null || this.aX.equals(str)) {
            return;
        }
        this.aX = str;
        com.autonavi.extra.b bVar = this.aV;
        if (bVar != null) {
            bVar.i();
        }
        resetRenderTime();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getWorldVectorMapStyle() {
        return this.aX;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getCurrentWorldVectorMapStyle() {
        try {
            com.autonavi.extra.b bVar = this.aV;
            if (bVar == null) {
                return "";
            }
            Object j2 = bVar.j();
            return j2 instanceof String ? (String) j2 : "";
        } catch (Throwable th) {
            dv.a(th);
            return "";
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void accelerateNetworkInChinese(boolean z) {
        com.autonavi.extra.b bVar = this.aV;
        if (bVar != null) {
            Boolean.valueOf(z);
            bVar.i();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getWorldVectorMapLanguage() {
        return this.aW;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getMapPrintScreen(AMap.onMapPrintScreenListener onmapprintscreenlistener) {
        try {
            this.t.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()), (Integer) onmapprintscreenlistener);
            this.R = 20;
            this.S = true;
            resetRenderTime();
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getMapScreenShot(AMap.OnMapScreenShotListener onMapScreenShotListener, boolean z) {
        try {
            this.t.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()), (Integer) onMapScreenShotListener);
            this.R = 20;
            this.S = z;
            resetRenderTime();
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getScalePerPixel() throws RemoteException {
        try {
            return ((float) ((((Math.cos((getCameraPosition().target.latitude * 3.141592653589793d) / 180.0d) * 2.0d) * 3.141592653589793d) * 6378137.0d) / (Math.pow(2.0d, getZoomLevel()) * 256.0d))) * getMapZoomScale();
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "getScalePerPixel");
            dv.a(th);
            th.printStackTrace();
            return 0.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRunLowFrame(boolean z) {
        if (z) {
            return;
        }
        try {
            if (this.af == -1) {
                m();
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removecache() throws RemoteException {
        removecache(null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removecache(AMap.OnCacheRemoveListener onCacheRemoveListener) throws RemoteException {
        if (this.f1682j == null || this.f1678f == null) {
            return;
        }
        try {
            d dVar = new d(this.f1677e, onCacheRemoveListener);
            this.f1682j.removeCallbacks(dVar);
            this.f1682j.post(dVar);
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "removecache");
            th.printStackTrace();
            dv.a(th);
        }
    }

    /* compiled from: AMapDelegateImp.java */
    private class d implements Runnable {

        /* renamed from: b, reason: collision with root package name */
        private Context f1780b;

        /* renamed from: c, reason: collision with root package name */
        private AMap.OnCacheRemoveListener f1781c;

        public d(Context context, AMap.OnCacheRemoveListener onCacheRemoveListener) {
            this.f1780b = context;
            this.f1781c = onCacheRemoveListener;
        }

        /* JADX WARN: Code restructure failed: missing block: B:10:0x003a, code lost:
        
            if (com.amap.api.col.p0003sl.dv.e(r2) != false) goto L20;
         */
        /* JADX WARN: Removed duplicated region for block: B:13:0x0046 A[Catch: all -> 0x0062, TRY_LEAVE, TryCatch #2 {all -> 0x0062, blocks: (B:3:0x0002, B:5:0x001b, B:11:0x003e, B:13:0x0046), top: B:2:0x0002 }] */
        /* JADX WARN: Removed duplicated region for block: B:9:0x0036 A[Catch: all -> 0x0030, TRY_LEAVE, TryCatch #1 {all -> 0x0030, blocks: (B:61:0x0023, B:9:0x0036), top: B:60:0x0023 }] */
        @Override // java.lang.Runnable
        /*
            Code decompiled incorrectly, please refer to instructions dump.
            To view partially-correct code enable 'Show inconsistent code' option in preferences
        */
        public final void run() {
            /*
                r6 = this;
                r0 = 0
                r1 = 1
                android.content.Context r2 = r6.f1780b     // Catch: java.lang.Throwable -> L62
                android.content.Context r2 = r2.getApplicationContext()     // Catch: java.lang.Throwable -> L62
                java.lang.String r3 = com.amap.api.col.p0003sl.dv.c(r2)     // Catch: java.lang.Throwable -> L62
                java.lang.String r4 = com.amap.api.col.p0003sl.dv.a(r2)     // Catch: java.lang.Throwable -> L62
                java.io.File r5 = new java.io.File     // Catch: java.lang.Throwable -> L62
                r5.<init>(r3)     // Catch: java.lang.Throwable -> L62
                boolean r3 = r5.exists()     // Catch: java.lang.Throwable -> L62
                if (r3 == 0) goto L20
                boolean r3 = com.autonavi.base.amap.mapcore.FileUtil.deleteFile(r5)     // Catch: java.lang.Throwable -> L62
                goto L21
            L20:
                r3 = r1
            L21:
                if (r3 == 0) goto L33
                java.io.File r5 = new java.io.File     // Catch: java.lang.Throwable -> L30
                r5.<init>(r4)     // Catch: java.lang.Throwable -> L30
                boolean r3 = com.autonavi.base.amap.mapcore.FileUtil.deleteFile(r5)     // Catch: java.lang.Throwable -> L30
                if (r3 == 0) goto L33
                r3 = r1
                goto L34
            L30:
                r2 = move-exception
                r1 = r3
                goto L63
            L33:
                r3 = r0
            L34:
                if (r3 == 0) goto L3d
                boolean r2 = com.amap.api.col.p0003sl.dv.e(r2)     // Catch: java.lang.Throwable -> L30
                if (r2 == 0) goto L3d
                goto L3e
            L3d:
                r1 = r0
            L3e:
                com.amap.api.col.3sl.m r2 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L62
                com.amap.api.maps.interfaces.IGlOverlayLayer r2 = com.amap.api.col.p0003sl.m.g(r2)     // Catch: java.lang.Throwable -> L62
                if (r2 == 0) goto L4f
                com.amap.api.col.3sl.m r2 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L62
                com.amap.api.maps.interfaces.IGlOverlayLayer r2 = com.amap.api.col.p0003sl.m.g(r2)     // Catch: java.lang.Throwable -> L62
                r2.clearTileCache()     // Catch: java.lang.Throwable -> L62
            L4f:
                com.amap.api.col.3sl.m r0 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L5d
                com.autonavi.base.ae.gmap.GLMapEngine r0 = r0.f1678f     // Catch: java.lang.Throwable -> L5d
                if (r0 == 0) goto L5c
                com.amap.api.maps.AMap$OnCacheRemoveListener r0 = r6.f1781c     // Catch: java.lang.Throwable -> L5d
                if (r0 == 0) goto L5c
                r0.onRemoveCacheFinish(r1)     // Catch: java.lang.Throwable -> L5d
            L5c:
                return
            L5d:
                r0 = move-exception
                r0.printStackTrace()
                return
            L62:
                r2 = move-exception
            L63:
                com.amap.api.col.p0003sl.dv.a(r2)     // Catch: java.lang.Throwable -> L80
                java.lang.String r3 = "AMapDelegateImp"
                java.lang.String r4 = "RemoveCacheRunnable"
                com.amap.api.col.p0003sl.jt.c(r2, r3, r4)     // Catch: java.lang.Throwable -> L80
                com.amap.api.col.3sl.m r1 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L7b
                com.autonavi.base.ae.gmap.GLMapEngine r1 = r1.f1678f     // Catch: java.lang.Throwable -> L7b
                if (r1 == 0) goto L7a
                com.amap.api.maps.AMap$OnCacheRemoveListener r1 = r6.f1781c     // Catch: java.lang.Throwable -> L7b
                if (r1 == 0) goto L7a
                r1.onRemoveCacheFinish(r0)     // Catch: java.lang.Throwable -> L7b
            L7a:
                return
            L7b:
                r0 = move-exception
                r0.printStackTrace()
                return
            L80:
                r0 = move-exception
                com.amap.api.col.3sl.m r2 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L8f
                com.autonavi.base.ae.gmap.GLMapEngine r2 = r2.f1678f     // Catch: java.lang.Throwable -> L8f
                if (r2 == 0) goto L93
                com.amap.api.maps.AMap$OnCacheRemoveListener r2 = r6.f1781c     // Catch: java.lang.Throwable -> L8f
                if (r2 == 0) goto L93
                r2.onRemoveCacheFinish(r1)     // Catch: java.lang.Throwable -> L8f
                goto L93
            L8f:
                r1 = move-exception
                r1.printStackTrace()
            L93:
                throw r0
            */
            throw new UnsupportedOperationException("Method not decompiled: com.amap.api.col.3sl.m.d.run():void");
        }

        public final boolean equals(Object obj) {
            return obj instanceof d;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomRenderer(CustomRenderer customRenderer) throws RemoteException {
        this.ad = customRenderer;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCenterToPixel(int i2, int i3) throws RemoteException {
        this.H = true;
        this.az = i2;
        this.aA = i3;
        if (this.au && this.at) {
            if (this.f1674b.getAnchorX() == this.az && this.f1674b.getAnchorY() == this.aA) {
                return;
            }
            this.f1674b.setAnchorX(this.az);
            this.f1674b.setAnchorY(this.aA);
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.31
                @Override // java.lang.Runnable
                public final void run() {
                    try {
                        m.this.f1674b.setAnchorX(Math.max(0, Math.min(m.this.az, m.this.f1679g)));
                        m.this.f1674b.setAnchorY(Math.max(0, Math.min(m.this.aA, m.this.f1680h)));
                        m.this.f1678f.setProjectionCenter(m.this.E, m.this.f1674b.getAnchorX(), m.this.f1674b.getAnchorY());
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapTextZIndex(int i2) throws RemoteException {
        this.ac = i2;
        this.f1681i = false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapTextZIndex() throws RemoteException {
        return this.ac;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRenderFps(int i2) {
        try {
            if (i2 == -1) {
                this.af = i2;
            } else {
                this.af = Math.max(10, Math.min(i2, 40));
            }
            ds.g(this.f1677e);
        } catch (Throwable th) {
            dv.a(th);
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setIndoorBuildingInfo(IndoorBuildingInfo indoorBuildingInfo) throws RemoteException {
        if (this.F.get() || indoorBuildingInfo == null || indoorBuildingInfo.activeFloorName == null || indoorBuildingInfo.poiid == null) {
            return;
        }
        this.f1675c = (at) indoorBuildingInfo;
        resetRenderTime();
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.33
            @Override // java.lang.Runnable
            public final void run() {
                if (m.this.f1678f != null) {
                    m.this.f1678f.setIndoorBuildingToBeActive(m.this.E, m.this.f1675c.activeFloorName, m.this.f1675c.activeFloorIndex, m.this.f1675c.poiid);
                }
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setAMapGestureListener(AMapGestureListener aMapGestureListener) {
        z zVar = this.al;
        if (zVar != null) {
            this.u = aMapGestureListener;
            zVar.a(aMapGestureListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getZoomToSpanLevel(LatLng latLng, LatLng latLng2) {
        try {
            MapConfig mapConfig = getMapConfig();
            if (latLng != null && latLng2 != null && this.at && !this.F.get()) {
                Pair<Float, IPoint> a2 = dv.a(mapConfig, 0, 0, 0, 0, new LatLngBounds.Builder().include(latLng).include(latLng2).build(), getMapWidth(), getMapHeight());
                if (a2 != null) {
                    return ((Float) a2.first).floatValue();
                }
                GLMapState gLMapState = new GLMapState(this.E, this.f1678f.getNativeInstance());
                float mapZoomer = gLMapState.getMapZoomer();
                gLMapState.recycle();
                return mapZoomer;
            }
            return mapConfig.getSZ();
        } catch (Throwable th) {
            dv.a(th);
            return 0.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Pair<Float, LatLng> calculateZoomToSpanLevel(int i2, int i3, int i4, int i5, LatLng latLng, LatLng latLng2) {
        if (latLng != null && latLng2 != null && i2 == i3 && i3 == i4 && i4 == i5 && latLng.latitude == latLng2.latitude && latLng.longitude == latLng2.longitude) {
            return new Pair<>(Float.valueOf(getMaxZoomLevel()), latLng);
        }
        MapConfig mapConfig = getMapConfig();
        if (latLng != null && latLng2 != null && this.at && !this.F.get()) {
            LatLngBounds.Builder builder = new LatLngBounds.Builder();
            builder.include(latLng);
            builder.include(latLng2);
            GLMapState gLMapState = new GLMapState(this.E, this.f1678f.getNativeInstance());
            Pair<Float, IPoint> a2 = dv.a(mapConfig, i2, i3, i4, i5, builder.build(), getMapWidth(), getMapHeight());
            gLMapState.recycle();
            if (a2 == null) {
                return null;
            }
            DPoint obtain = DPoint.obtain();
            GLMapState.geo2LonLat(((IPoint) a2.second).x, ((IPoint) a2.second).y, obtain);
            Pair<Float, LatLng> pair = new Pair<>(a2.first, new LatLng(obtain.y, obtain.x));
            obtain.recycle();
            return pair;
        }
        DPoint obtain2 = DPoint.obtain();
        GLMapState.geo2LonLat((int) mapConfig.getSX(), (int) mapConfig.getSY(), obtain2);
        Pair<Float, LatLng> pair2 = new Pair<>(Float.valueOf(mapConfig.getSZ()), new LatLng(obtain2.y, obtain2.x));
        obtain2.recycle();
        return pair2;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMaxZoomLevel(float f2) {
        this.f1674b.setMaxZoomLevel(f2);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMinZoomLevel(float f2) {
        this.f1674b.setMinZoomLevel(f2);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void resetMinMaxZoomPreference() {
        List a2;
        this.f1674b.resetMinMaxZoomPreference();
        try {
            if (!this.y.isZoomControlsEnabled() || !this.f1674b.isNeedUpdateZoomControllerState() || (a2 = this.t.a(AMapWidgetListener.class.hashCode())) == null || a2.size() <= 0) {
                return;
            }
            synchronized (a2) {
                for (int i2 = 0; i2 < a2.size(); i2++) {
                    ((AMapWidgetListener) a2.get(i2)).invalidateZoomController(this.f1674b.getSZ());
                }
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapStatusLimits(LatLngBounds latLngBounds) {
        try {
            this.f1674b.setLimitLatLngBounds(latLngBounds);
            p();
        } catch (Throwable th) {
            th.printStackTrace();
            dv.a(th);
        }
    }

    private static boolean a(LatLngBounds latLngBounds) {
        return (latLngBounds == null || latLngBounds.northeast == null || latLngBounds.southwest == null) ? false : true;
    }

    private void p() {
        try {
            LatLngBounds limitLatLngBounds = this.f1674b.getLimitLatLngBounds();
            if (this.f1678f != null && a(limitLatLngBounds)) {
                GLMapState gLMapState = new GLMapState(this.E, this.f1678f.getNativeInstance());
                IPoint obtain = IPoint.obtain();
                GLMapState.lonlat2Geo(limitLatLngBounds.northeast.longitude, limitLatLngBounds.northeast.latitude, obtain);
                IPoint obtain2 = IPoint.obtain();
                GLMapState.lonlat2Geo(limitLatLngBounds.southwest.longitude, limitLatLngBounds.southwest.latitude, obtain2);
                this.f1674b.setLimitIPoints(new IPoint[]{obtain, obtain2});
                gLMapState.recycle();
                return;
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        this.f1674b.setLimitIPoints(null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Handler getMainHandler() {
        return this.f1682j;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onChangeFinish() {
        Message obtainMessage = this.f1682j.obtainMessage();
        obtainMessage.what = 11;
        this.f1682j.sendMessage(obtainMessage);
    }

    protected final void a(CameraPosition cameraPosition) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig == null || mapConfig.getChangedCounter() == 0) {
            return;
        }
        try {
            if (!this.ar && this.f1678f.getAnimateionsCount() == 0 && this.f1678f.getStateMessageCount() == 0) {
                AMapGestureListener aMapGestureListener = this.u;
                if (aMapGestureListener != null) {
                    aMapGestureListener.onMapStable();
                }
                if (this.A.isEnabled()) {
                    try {
                        List a2 = this.t.a(AMap.OnCameraChangeListener.class.hashCode());
                        if (a2 != null && a2.size() != 0) {
                            if (cameraPosition == null) {
                                try {
                                    cameraPosition = getCameraPosition();
                                } catch (Throwable th) {
                                    jt.c(th, "AMapDelegateImp", "cameraChangeFinish");
                                    th.printStackTrace();
                                }
                            }
                            synchronized (a2) {
                                Iterator it2 = a2.iterator();
                                while (it2.hasNext()) {
                                    ((AMap.OnCameraChangeListener) it2.next()).onCameraChangeFinish(cameraPosition);
                                }
                            }
                        }
                    } catch (Throwable unused) {
                    }
                    this.f1674b.resetChangedCounter();
                }
            }
        } catch (Throwable th2) {
            th2.printStackTrace();
            dv.a(th2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setZoomScaleParam(float f2) {
        this.ao = f2;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onFling() {
        IGlOverlayLayer iGlOverlayLayer = this.C;
        if (iGlOverlayLayer != null) {
            iGlOverlayLayer.setFlingState(true);
        }
        this.Q = true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapWidth() {
        return this.f1679g;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapHeight() {
        return this.f1680h;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getCameraAngle() {
        return getCameraDegree(this.E);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getSkyHeight() {
        return this.f1674b.getSkyHeight();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isMaploaded() {
        return this.I;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final MapConfig getMapConfig() {
        return this.f1674b;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final View getView() throws RemoteException {
        ef efVar = this.B;
        if (efVar != null) {
            return efVar.j();
        }
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onIndoorBuildingActivity(int i2, byte[] bArr) {
        at atVar;
        if (bArr != null) {
            try {
                if (bArr.length > 0) {
                    atVar = new at();
                    byte b2 = bArr[0];
                    atVar.f125a = new String(bArr, 1, b2, "utf-8");
                    int i3 = b2 + 1;
                    int i4 = i3 + 1;
                    byte b3 = bArr[i3];
                    atVar.f126b = new String(bArr, i4, b3, "utf-8");
                    int i5 = i4 + b3;
                    int i6 = i5 + 1;
                    byte b4 = bArr[i5];
                    atVar.activeFloorName = new String(bArr, i6, b4, "utf-8");
                    int i7 = i6 + b4;
                    atVar.activeFloorIndex = GLConvertUtil.getInt(bArr, i7);
                    int i8 = i7 + 4;
                    int i9 = i8 + 1;
                    byte b5 = bArr[i8];
                    atVar.poiid = new String(bArr, i9, b5, "utf-8");
                    int i10 = i9 + b5;
                    int i11 = i10 + 1;
                    byte b6 = bArr[i10];
                    atVar.f132h = new String(bArr, i11, b6, "utf-8");
                    int i12 = i11 + b6;
                    atVar.f127c = GLConvertUtil.getInt(bArr, i12);
                    int i13 = i12 + 4;
                    atVar.floor_indexs = new int[atVar.f127c];
                    atVar.floor_names = new String[atVar.f127c];
                    atVar.f128d = new String[atVar.f127c];
                    for (int i14 = 0; i14 < atVar.f127c; i14++) {
                        atVar.floor_indexs[i14] = GLConvertUtil.getInt(bArr, i13);
                        int i15 = i13 + 4;
                        int i16 = i15 + 1;
                        byte b7 = bArr[i15];
                        if (b7 > 0) {
                            atVar.floor_names[i14] = new String(bArr, i16, b7, "utf-8");
                            i16 += b7;
                        }
                        i13 = i16 + 1;
                        byte b8 = bArr[i16];
                        if (b8 > 0) {
                            atVar.f128d[i14] = new String(bArr, i13, b8, "utf-8");
                            i13 += b8;
                        }
                    }
                    atVar.f129e = GLConvertUtil.getInt(bArr, i13);
                    int i17 = i13 + 4;
                    if (atVar.f129e > 0) {
                        atVar.f130f = new int[atVar.f129e];
                        for (int i18 = 0; i18 < atVar.f129e; i18++) {
                            atVar.f130f[i18] = GLConvertUtil.getInt(bArr, i17);
                            i17 += 4;
                        }
                    }
                    this.bd = atVar;
                    post(new Runnable() { // from class: com.amap.api.col.3sl.m.34
                        @Override // java.lang.Runnable
                        public final void run() {
                            if (m.this.aB != null) {
                                m.this.aB.a(m.this.bd);
                            }
                        }
                    });
                }
            } catch (Throwable th) {
                dv.a(th);
                th.printStackTrace();
                return;
            }
        }
        atVar = null;
        this.bd = atVar;
        post(new Runnable() { // from class: com.amap.api.col.3sl.m.34
            @Override // java.lang.Runnable
            public final void run() {
                if (m.this.aB != null) {
                    m.this.aB.a(m.this.bd);
                }
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void destroy() {
        this.F.set(true);
        dx.a(dw.f428c, "destroy map");
        try {
            this.aB = null;
            GLMapRender gLMapRender = this.ak;
            if (gLMapRender != null) {
                gLMapRender.renderPause();
            }
            h();
            Thread thread = this.X;
            if (thread != null) {
                thread.interrupt();
                this.X = null;
            }
            Thread thread2 = this.Y;
            if (thread2 != null) {
                thread2.interrupt();
                this.Y = null;
            }
            v vVar = this.Z;
            if (vVar != null) {
                vVar.a();
                this.Z = null;
            }
            cq cqVar = this.ah;
            if (cqVar != null) {
                cqVar.a();
                this.ah = null;
            }
            cs csVar = this.ai;
            if (csVar != null) {
                csVar.a((cs.a) null);
                this.ai.a();
                this.ai = null;
            }
            dj.b();
            GLMapEngine gLMapEngine = this.f1678f;
            if (gLMapEngine != null) {
                gLMapEngine.setMapListener(null);
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.35
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            if (m.this.C != null) {
                                m.this.C.destroy();
                            }
                            m mVar = m.this;
                            mVar.destroySurface(mVar.E);
                        } catch (Throwable th) {
                            th.printStackTrace();
                            dv.a(th);
                        }
                    }
                });
                int i2 = 0;
                while (this.f1678f != null) {
                    int i3 = i2 + 1;
                    if (i2 >= 50) {
                        break;
                    }
                    try {
                        Thread.sleep(20L);
                    } catch (InterruptedException e2) {
                        dv.a(e2);
                    }
                    i2 = i3;
                }
            }
            IGLSurfaceView iGLSurfaceView = this.A;
            if (iGLSurfaceView != null) {
                try {
                    iGLSurfaceView.onDetachedGLThread();
                } catch (Exception e3) {
                    e3.printStackTrace();
                    dv.a(e3);
                }
            }
            ef efVar = this.B;
            if (efVar != null) {
                efVar.g();
                this.B = null;
            }
            q();
            this.W = null;
            dx.a();
            jt.b();
        } catch (Throwable th) {
            jt.c(th, "AMapDelegateImp", "destroy");
            dv.a(th);
            th.printStackTrace();
        }
    }

    private void q() {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a();
        }
    }

    /* compiled from: AMapDelegateImp.java */
    private class c implements ed.a {
        private c() {
        }

        /* synthetic */ c(m mVar, byte b2) {
            this();
        }

        @Override // com.amap.api.col.3sl.ed.a
        public final void a(int i2) {
            if (m.this.f1675c != null) {
                m.this.f1675c.activeFloorIndex = m.this.f1675c.floor_indexs[i2];
                m.this.f1675c.activeFloorName = m.this.f1675c.floor_names[i2];
                try {
                    m mVar = m.this;
                    mVar.setIndoorBuildingInfo(mVar.f1675c);
                } catch (RemoteException e2) {
                    e2.printStackTrace();
                }
            }
        }
    }

    /* compiled from: AMapDelegateImp.java */
    class b {
        b() {
        }

        public final void a(at atVar) {
            List a2;
            List a3;
            if (m.this.f1674b == null || !m.this.f1674b.isIndoorEnable()) {
                return;
            }
            final ed e2 = m.this.B.e();
            if (atVar == null) {
                try {
                    List a4 = m.this.t.a(AMap.OnIndoorBuildingActiveListener.class.hashCode());
                    if (a4 != null && a4.size() > 0) {
                        synchronized (a4) {
                            for (int i2 = 0; i2 < a4.size(); i2++) {
                                ((AMap.OnIndoorBuildingActiveListener) a4.get(i2)).OnIndoorBuilding(atVar);
                            }
                        }
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
                if (m.this.f1675c != null) {
                    m.this.f1675c.f131g = null;
                }
                if (e2.b()) {
                    m.this.f1682j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.b.1
                        @Override // java.lang.Runnable
                        public final void run() {
                            e2.a(false);
                        }
                    });
                }
                m.this.f1674b.maxZoomLevel = m.this.f1674b.isSetLimitZoomLevel() ? m.this.f1674b.getMaxZoomLevel() : 20.0f;
                try {
                    if (!m.this.y.isZoomControlsEnabled() || (a2 = m.this.t.a(AMapWidgetListener.class.hashCode())) == null || a2.size() <= 0) {
                        return;
                    }
                    synchronized (a2) {
                        for (int i3 = 0; i3 < a2.size(); i3++) {
                            ((AMapWidgetListener) a2.get(i3)).invalidateZoomController(m.this.f1674b.getSZ());
                        }
                    }
                    return;
                } catch (Throwable th2) {
                    th2.printStackTrace();
                }
            }
            if (atVar != null && atVar.floor_indexs != null && atVar.floor_names != null && atVar.floor_indexs.length == atVar.floor_names.length) {
                int i4 = 0;
                while (true) {
                    if (i4 >= atVar.floor_indexs.length) {
                        break;
                    }
                    if (atVar.activeFloorIndex == atVar.floor_indexs[i4]) {
                        atVar.activeFloorName = atVar.floor_names[i4];
                        break;
                    }
                    i4++;
                }
            }
            if (atVar == null || m.this.f1675c == null || m.this.f1675c.activeFloorIndex == atVar.activeFloorIndex || !e2.b()) {
                if (atVar != null && (m.this.f1675c == null || !m.this.f1675c.poiid.equals(atVar.poiid) || m.this.f1675c.f131g == null)) {
                    m.this.f1675c = atVar;
                    if (m.this.f1674b != null) {
                        if (m.this.f1675c.f131g == null) {
                            m.this.f1675c.f131g = new Point();
                        }
                        DPoint mapGeoCenter = m.this.f1674b.getMapGeoCenter();
                        if (mapGeoCenter != null) {
                            m.this.f1675c.f131g.x = (int) mapGeoCenter.x;
                            m.this.f1675c.f131g.y = (int) mapGeoCenter.y;
                        }
                    }
                }
                try {
                    List a5 = m.this.t.a(AMap.OnIndoorBuildingActiveListener.class.hashCode());
                    if (a5 != null && a5.size() > 0) {
                        synchronized (a5) {
                            for (int i5 = 0; i5 < a5.size(); i5++) {
                                ((AMap.OnIndoorBuildingActiveListener) a5.get(i5)).OnIndoorBuilding(atVar);
                            }
                        }
                    }
                    m.this.f1674b.maxZoomLevel = m.this.f1674b.isSetLimitZoomLevel() ? m.this.f1674b.getMaxZoomLevel() : 20.0f;
                    if (m.this.y.isZoomControlsEnabled() && (a3 = m.this.t.a(AMapWidgetListener.class.hashCode())) != null && a3.size() > 0) {
                        synchronized (a3) {
                            for (int i6 = 0; i6 < a3.size(); i6++) {
                                ((AMapWidgetListener) a3.get(i6)).invalidateZoomController(m.this.f1674b.getSZ());
                            }
                        }
                    }
                    if (!m.this.y.isIndoorSwitchEnabled()) {
                        if (m.this.y.isIndoorSwitchEnabled() || !e2.b()) {
                            return;
                        }
                        m.this.y.setIndoorSwitchEnabled(false);
                        return;
                    }
                    if (!e2.b()) {
                        m.this.y.setIndoorSwitchEnabled(true);
                    }
                    m.this.f1682j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.b.2
                        @Override // java.lang.Runnable
                        public final void run() {
                            try {
                                e2.a(m.this.f1675c.floor_names);
                                e2.a(m.this.f1675c.activeFloorName);
                                if (e2.b()) {
                                    return;
                                }
                                e2.a(true);
                            } catch (Throwable th3) {
                                th3.printStackTrace();
                            }
                        }
                    });
                } catch (Throwable th3) {
                    th3.printStackTrace();
                }
            }
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void beforeDrawLabel(int i2, GLMapState gLMapState) {
        j();
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.ba = this.C.draw(0, this.ac, this.f1681i) ? this.ba : this.ba + 1;
        GLMapEngine gLMapEngine2 = this.f1678f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterDrawLabel(int i2, GLMapState gLMapState) {
        j();
        com.autonavi.extra.b bVar = this.aV;
        if (bVar != null) {
            bVar.e();
        }
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.ba = this.C.draw(1, this.ac, this.f1681i) ? this.ba : this.ba + 1;
        GLMapEngine gLMapEngine2 = this.f1678f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterRendererOver(int i2, GLMapState gLMapState) {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.C.draw(2, this.ac, this.f1681i);
        GLMapEngine gLMapEngine2 = this.f1678f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
        CustomRenderer customRenderer = this.ad;
        if (customRenderer != null) {
            customRenderer.onDrawFrame(null);
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterDrawFrame(int i2, GLMapState gLMapState) {
        float mapZoomer = gLMapState.getMapZoomer();
        GLMapEngine gLMapEngine = this.f1678f;
        if (!(gLMapEngine != null && (gLMapEngine.isInMapAction(i2) || this.f1678f.isInMapAnimation(i2)))) {
            int i3 = this.af;
            if (i3 != -1) {
                this.ak.setRenderFps(i3);
            } else {
                this.ak.setRenderFps(15.0f);
            }
            if (this.an != mapZoomer) {
                this.an = mapZoomer;
            }
        }
        if (this.aw) {
            return;
        }
        this.aw = true;
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterAnimation() {
        redrawInfoWindow();
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void onMapPOIClick(MapPoi mapPoi) {
        List a2;
        MapConfig mapConfig = this.f1674b;
        if (mapConfig == null || !mapConfig.isTouchPoiEnable() || (a2 = this.t.a(AMap.OnPOIClickListener.class.hashCode())) == null || a2.size() <= 0 || mapPoi == null) {
            return;
        }
        Message obtain = Message.obtain();
        obtain.what = 20;
        obtain.obj = new Poi(mapPoi.getName(), new LatLng(mapPoi.getLatitude(), mapPoi.getLongitude()), mapPoi.getPoiid());
        this.f1682j.sendMessage(obtain);
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void onMapBlankClick(double d2, double d3) {
        a(d2, d3);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long createGLOverlay(int i2) {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            return gLMapEngine.createOverlay(this.E, i2);
        }
        return 0L;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long getGlOverlayMgrPtr() {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            return gLMapEngine.getGlOverlayMgrPtr(this.E);
        }
        return 0L;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final CrossOverlay addCrossVector(CrossOverlayOptions crossOverlayOptions) {
        if (crossOverlayOptions == null || crossOverlayOptions.getRes() == null) {
            return null;
        }
        final CrossVectorOverlay crossVectorOverlay = new CrossVectorOverlay(this.E, getContext(), this);
        if (crossOverlayOptions != null) {
            crossVectorOverlay.setAttribute(crossOverlayOptions.getAttribute());
        }
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.36
            @Override // java.lang.Runnable
            public final void run() {
                GLOverlayBundle overlayBundle;
                if (m.this.f1678f == null || (overlayBundle = m.this.f1678f.getOverlayBundle(m.this.E)) == null) {
                    return;
                }
                overlayBundle.addOverlay(crossVectorOverlay);
            }
        });
        crossVectorOverlay.resumeMarker(crossOverlayOptions.getRes());
        return new CrossOverlay(crossOverlayOptions, crossVectorOverlay);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final RouteOverlay addNaviRouteOverlay() {
        final RouteOverlayInner routeOverlayInner = new RouteOverlayInner(this.E, getContext(), this);
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.37
            @Override // java.lang.Runnable
            public final void run() {
                GLOverlayBundle overlayBundle;
                if (m.this.f1678f == null || (overlayBundle = m.this.f1678f.getOverlayBundle(m.this.E)) == null) {
                    return;
                }
                overlayBundle.addOverlay(routeOverlayInner);
            }
        });
        return new RouteOverlay(routeOverlayInner);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void addOverlayTexture(int i2, GLTextureProperty gLTextureProperty) {
        GLOverlayBundle overlayBundle;
        try {
            GLMapEngine gLMapEngine = this.f1678f;
            if (gLMapEngine != null && (overlayBundle = gLMapEngine.getOverlayBundle(i2)) != null && gLTextureProperty != null && gLTextureProperty.mBitmap != null) {
                this.f1678f.addOverlayTexture(i2, gLTextureProperty);
                overlayBundle.addOverlayTextureItem(gLTextureProperty.mId, gLTextureProperty.mAnchor, gLTextureProperty.mXRatio, gLTextureProperty.mYRatio, gLTextureProperty.mBitmap.getWidth(), gLTextureProperty.mBitmap.getHeight());
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int createOverlayTexture(int i2, Bitmap bitmap) {
        try {
            GLMapEngine gLMapEngine = this.f1678f;
            if (gLMapEngine == null || bitmap == null) {
                return -1;
            }
            return gLMapEngine.createOverlayTexture(i2, bitmap);
        } catch (Throwable th) {
            dv.a(th);
        }
        return -1;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onAMapAppResourceRequest(AMapAppRequestParam aMapAppRequestParam) {
        q qVar = this.t;
        if (qVar == null) {
            return;
        }
        for (AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener : qVar.a(AMap.AMapAppResourceRequestListener.class.hashCode())) {
            if (aMapAppResourceRequestListener != null) {
                aMapAppResourceRequestListener.onRequest(aMapAppRequestParam);
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setTerrainAuth(boolean z) {
        GLMapEngine gLMapEngine;
        if (this.F.get() || (gLMapEngine = this.f1678f) == null) {
            return;
        }
        gLMapEngine.setTerrainAuth(z);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStylePath(String str) {
        if (TextUtils.isEmpty(str) || str.equals(this.f1674b.getCustomStylePath())) {
            return;
        }
        this.f1674b.setCustomStylePath(str);
        this.z = true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStyleID(String str) {
        if (TextUtils.isEmpty(str) || str.equals(this.f1674b.getCustomStyleID())) {
            return;
        }
        this.f1674b.setCustomStyleID(str);
        this.z = true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomTextureResourcePath(String str) {
        if (TextUtils.isEmpty(str)) {
            return;
        }
        this.f1674b.setCustomTextureResourcePath(str);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStyle(CustomMapStyleOptions customMapStyleOptions) {
        if (customMapStyleOptions != null) {
            try {
                if (a(true, false)) {
                    return;
                }
                if (customMapStyleOptions.isEnable() && (customMapStyleOptions.getStyleId() != null || customMapStyleOptions.getStyleTexturePath() != null || customMapStyleOptions.getStyleTextureData() != null || customMapStyleOptions.getStyleResDataPath() != null || customMapStyleOptions.getStyleResData() != null)) {
                    o();
                }
                this.aE.c();
                this.aE.a(customMapStyleOptions);
                com.autonavi.extra.b bVar = this.aV;
                if (bVar != null) {
                    bVar.i();
                }
            } catch (Throwable th) {
                dv.a(th);
                return;
            }
        }
        resetRenderTime();
    }

    @Override // com.amap.api.col.3sl.l.a
    public final void a() {
        com.autonavi.extra.b bVar = this.aV;
        if (bVar != null) {
            bVar.i();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void reloadMapCustomStyle() {
        l lVar = this.aE;
        if (lVar != null) {
            lVar.b();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapCustomEnable(boolean z, boolean z2) {
        cq cqVar;
        if (this.at && !this.F.get()) {
            boolean z3 = z2 ? z2 : false;
            if (TextUtils.isEmpty(this.f1674b.getCustomStylePath()) && TextUtils.isEmpty(this.f1674b.getCustomStyleID())) {
                return;
            }
            if (z) {
                try {
                    if (this.f1674b.isProFunctionAuthEnable() && !TextUtils.isEmpty(this.f1674b.getCustomStyleID()) && (cqVar = this.ah) != null) {
                        cqVar.a(this.f1674b.getCustomStyleID());
                        this.ah.b();
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                    dv.a(th);
                    return;
                }
            }
            if (z2 || this.z || (this.f1674b.isCustomStyleEnable() ^ z)) {
                a(z, (byte[]) null, z3);
            }
            this.z = false;
            return;
        }
        this.aJ.f1764b = true;
        this.aJ.f1765c = z;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapCustomEnable(boolean z) {
        if (z) {
            o();
        }
        setMapCustomEnable(z, false);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setCustomMapStyle(boolean z, byte[] bArr) {
        a(z, bArr, false);
    }

    private void a(boolean z, byte[] bArr, boolean z2) {
        cy cyVar;
        try {
            this.f1674b.setCustomStyleEnable(z);
            boolean z3 = false;
            if (this.f1674b.isHideLogoEnable()) {
                this.y.setLogoEnable(!z);
            }
            if (z) {
                c(this.E, true);
                cx cxVar = new cx();
                MyTrafficStyle myTrafficStyle = this.W;
                if (myTrafficStyle != null && myTrafficStyle.getTrafficRoadBackgroundColor() != -1) {
                    cxVar.a(this.W.getTrafficRoadBackgroundColor());
                }
                if (this.f1674b.isProFunctionAuthEnable() && !TextUtils.isEmpty(this.f1674b.getCustomTextureResourcePath())) {
                    z3 = true;
                }
                StyleItem[] styleItemArr = null;
                if (bArr != null) {
                    cyVar = cxVar.a(bArr, z3);
                    if (cyVar != null && (styleItemArr = cyVar.c()) != null) {
                        this.f1674b.setUseProFunction(true);
                    }
                } else {
                    cyVar = null;
                }
                if (styleItemArr == null && (cyVar = cxVar.a(this.f1674b.getCustomStylePath(), z3)) != null) {
                    styleItemArr = cyVar.c();
                }
                if (cxVar.a() != 0) {
                    this.f1674b.setCustomBackgroundColor(cxVar.a());
                }
                if (cyVar != null && cyVar.d() != null) {
                    if (this.ai != null) {
                        this.ai.a((String) cyVar.d());
                        this.ai.a(cyVar);
                        this.ai.b();
                        return;
                    }
                    return;
                }
                a(styleItemArr, z2);
                return;
            }
            c(this.E, false);
            a(this.E, this.f1674b.getMapStyleMode(), this.f1674b.getMapStyleTime());
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.amap.api.col.3sl.cs.a
    public final void a(String str, cy cyVar) {
        setCustomTextureResourcePath(str);
        if (!this.f1674b.isCustomStyleEnable() || cyVar == null) {
            return;
        }
        a(cyVar.c(), false);
    }

    private void a(StyleItem[] styleItemArr, boolean z) {
        if (z || (styleItemArr != null && styleItemArr.length > 0)) {
            a(this.E, 0, 0, true, styleItemArr);
            ds.a(this.f1677e, true);
        } else {
            ds.a(this.f1677e, false);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void removeEngineGLOverlay(final BaseMapOverlay baseMapOverlay) {
        if (this.f1678f != null) {
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.38
                @Override // java.lang.Runnable
                public final void run() {
                    m.this.f1678f.getOverlayBundle(m.this.E).removeOverlay(baseMapOverlay);
                }
            });
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float[] getFinalMatrix() {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return mapConfig.getMvpMatrix();
        }
        return this.m;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final String createId(String str) {
        IGlOverlayLayer iGlOverlayLayer = this.C;
        if (iGlOverlayLayer != null) {
            return iGlOverlayLayer.createId(str);
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showLogoEnabled(boolean z) {
        if (this.F.get()) {
            return;
        }
        this.B.e(Boolean.valueOf(z));
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float[] getViewMatrix() {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return mapConfig.getViewMatrix();
        }
        return this.n;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float[] getProjectionMatrix() {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return mapConfig.getProjectionMatrix();
        }
        return this.o;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void changeSurface(GL10 gl10, int i2, int i3) {
        try {
            changeSurface(1, gl10, i2, i3);
        } catch (Throwable th) {
            th.printStackTrace();
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void createSurface(GL10 gl10, EGLConfig eGLConfig) {
        try {
            this.aj = Thread.currentThread().getId();
        } catch (Throwable th) {
            th.printStackTrace();
            dv.a(th);
        }
        try {
            createSurface(1, gl10, eGLConfig);
        } catch (Throwable th2) {
            th2.printStackTrace();
            dv.a(th2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void renderSurface(GL10 gl10) {
        drawFrame(gl10);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean canStopMapRender() {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine == null) {
            return true;
        }
        gLMapEngine.canStopMapRender(this.E);
        return true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getLatLngRect(DPoint[] dPointArr) {
        try {
            Rectangle geoRectangle = this.f1674b.getGeoRectangle();
            if (geoRectangle != null) {
                IPoint[] clipRect = geoRectangle.getClipRect();
                for (int i2 = 0; i2 < 4; i2++) {
                    GLMapState.geo2LonLat(clipRect[i2].x, clipRect[i2].y, dPointArr[i2]);
                }
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void checkMapState(IGLMapState iGLMapState) {
        if (this.f1674b == null || this.F.get()) {
            return;
        }
        LatLngBounds limitLatLngBounds = this.f1674b.getLimitLatLngBounds();
        try {
            if (limitLatLngBounds != null) {
                IPoint[] limitIPoints = this.f1674b.getLimitIPoints();
                if (limitIPoints == null) {
                    IPoint obtain = IPoint.obtain();
                    GLMapState.lonlat2Geo(limitLatLngBounds.northeast.longitude, limitLatLngBounds.northeast.latitude, obtain);
                    IPoint obtain2 = IPoint.obtain();
                    GLMapState.lonlat2Geo(limitLatLngBounds.southwest.longitude, limitLatLngBounds.southwest.latitude, obtain2);
                    IPoint[] iPointArr = {obtain, obtain2};
                    this.f1674b.setLimitIPoints(iPointArr);
                    limitIPoints = iPointArr;
                }
                float a2 = dv.a(this.f1674b, limitIPoints[0].x, limitIPoints[0].y, limitIPoints[1].x, limitIPoints[1].y, getMapWidth(), getMapHeight());
                float mapZoomer = iGLMapState.getMapZoomer();
                if (this.f1674b.isSetLimitZoomLevel()) {
                    float maxZoomLevel = this.f1674b.getMaxZoomLevel();
                    float minZoomLevel = this.f1674b.getMinZoomLevel();
                    float max = Math.max(a2, Math.min(mapZoomer, maxZoomLevel));
                    if (a2 <= maxZoomLevel) {
                        maxZoomLevel = max;
                    }
                    a2 = maxZoomLevel < minZoomLevel ? minZoomLevel : maxZoomLevel;
                } else if (a2 <= 0.0f || mapZoomer >= a2) {
                    a2 = mapZoomer;
                }
                iGLMapState.setMapZoomer(a2);
                IPoint obtain3 = IPoint.obtain();
                iGLMapState.getMapGeoCenter(obtain3);
                int[] a3 = dv.a(limitIPoints[0].x, limitIPoints[0].y, limitIPoints[1].x, limitIPoints[1].y, this.f1674b, iGLMapState, obtain3.x, obtain3.y);
                iGLMapState.setMapGeoCenter(a3[0], a3[1]);
                obtain3.recycle();
                return;
            }
            if (this.f1674b.isSetLimitZoomLevel()) {
                iGLMapState.setMapZoomer(Math.max(this.f1674b.getMinZoomLevel(), Math.min(iGLMapState.getMapZoomer(), this.f1674b.getMaxZoomLevel())));
            }
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRenderMode(int i2) {
        try {
            IGLSurfaceView iGLSurfaceView = this.A;
            if (iGLSurfaceView != null) {
                iGLSurfaceView.setRenderMode(i2);
            }
        } catch (Throwable unused) {
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeSize(int i2, int i3) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            this.f1679g = i2;
            this.f1680h = i3;
            mapConfig.setMapWidth(i2);
            this.f1674b.setMapHeight(i3);
        }
    }

    public final Size a(Size size) {
        Size size2 = new Size(getMapWidth(), getMapHeight());
        a(getNativeEngineID(), 0, 0, size.getWidth(), size.getHeight(), size.getWidth(), size.getHeight());
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(size.getWidth(), size.getHeight());
        getGLMapView().setLayoutParams(layoutParams);
        this.B.f().setLayoutParams(layoutParams);
        changeSize(size.getWidth(), size.getHeight());
        b(false);
        return size2;
    }

    public final void b(Size size) {
        a(getNativeEngineID(), 0, 0, size.getWidth(), size.getHeight(), size.getWidth(), size.getHeight());
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(-1, -1);
        getGLMapView().setLayoutParams(layoutParams);
        this.B.f().setLayoutParams(layoutParams);
        changeSize(size.getWidth(), size.getHeight());
        b(true);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setHideLogoEnble(boolean z) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            mapConfig.setHideLogoEnble(z);
            if (this.f1674b.isCustomStyleEnable()) {
                this.y.setLogoEnable(!z);
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeLogoIconStyle(String str, boolean z, int i2) {
        ef efVar = this.B;
        if (efVar != null) {
            efVar.a(str, Boolean.valueOf(z), Integer.valueOf(i2));
        }
        af afVar = this.y;
        if (afVar != null) {
            afVar.requestRefreshLogo();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void refreshLogo() {
        ef efVar = this.B;
        if (efVar != null) {
            efVar.c();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getUnitLengthByZoom(int i2) {
        GLMapState gLMapState = new GLMapState(this.E, this.f1678f.getNativeInstance());
        gLMapState.setMapZoomer(i2);
        gLMapState.recalculate();
        float gLUnitWithWin = gLMapState.getGLUnitWithWin(1);
        gLMapState.recycle();
        return gLUnitWithWin;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTouchPoiEnable(boolean z) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            mapConfig.setTouchPoiEnable(z);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isTouchPoiEnable() {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return mapConfig.isTouchPoiEnable();
        }
        return true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getSY() {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return (int) mapConfig.getSY();
        }
        return -1;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getSX() {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            return (int) mapConfig.getSX();
        }
        return -1;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long getNativeMapController() {
        GLMapEngine gLMapEngine = this.f1678f;
        if (gLMapEngine != null) {
            return gLMapEngine.getNativeMapController(this.E);
        }
        return 0L;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getNativeEngineID() {
        return this.E;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnCameraChangeListener.class.hashCode()), (Integer) onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMapClickListener.class.hashCode()), (Integer) onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMarkerDragListener.class.hashCode()), (Integer) onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapLoadedListener(AMap.OnMapLoadedListener onMapLoadedListener) {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMapLoadedListener.class.hashCode()), (Integer) onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMapTouchListener.class.hashCode()), (Integer) onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMarkerClickListener.class.hashCode()), (Integer) onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnPolylineClickListener.class.hashCode()), (Integer) onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnPOIClickListener.class.hashCode()), (Integer) onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnMapLongClickListener.class.hashCode()), (Integer) onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnInfoWindowClickListener.class.hashCode()), (Integer) onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.OnIndoorBuildingActiveListener.class.hashCode()), (Integer) onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnCameraChangeListener.class.hashCode()), onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMapClickListener.class.hashCode()), onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMarkerDragListener.class.hashCode()), onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapLoadedListener(AMap.OnMapLoadedListener onMapLoadedListener) {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMapLoadedListener.class.hashCode()), onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMapTouchListener.class.hashCode()), onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMarkerClickListener.class.hashCode()), onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnPolylineClickListener.class.hashCode()), onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnPOIClickListener.class.hashCode()), onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnMapLongClickListener.class.hashCode()), onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnInfoWindowClickListener.class.hashCode()), onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.OnIndoorBuildingActiveListener.class.hashCode()), onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addAMapAppResourceListener(AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener) {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.AMapAppResourceRequestListener.class.hashCode()), (Integer) aMapAppResourceRequestListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeAMapAppResourceListener(AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener) {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.AMapAppResourceRequestListener.class.hashCode()), aMapAppResourceRequestListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int hideBuildings(final List<LatLng> list) {
        if (this.f1678f == null) {
            return -1;
        }
        FutureTask futureTask = new FutureTask(new Callable<Integer>() { // from class: com.amap.api.col.3sl.m.39
            /* JADX INFO: Access modifiers changed from: private */
            @Override // java.util.concurrent.Callable
            /* renamed from: a, reason: merged with bridge method [inline-methods] */
            public Integer call() throws Exception {
                return Integer.valueOf(m.this.f1678f.hideBuildings(list));
            }
        });
        queueEvent(futureTask);
        try {
            return ((Integer) futureTask.get()).intValue();
        } catch (InterruptedException e2) {
            e2.printStackTrace();
            return -1;
        } catch (ExecutionException e3) {
            e3.printStackTrace();
            return -1;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void showHideBuildings(final int i2) {
        if (this.f1678f == null) {
            return;
        }
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.40
            @Override // java.lang.Runnable
            public final void run() {
                m.this.f1678f.showHideBuildings(i2);
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addSignleClickInterceptorListener(AMap.SignleClickInterceptorListener signleClickInterceptorListener) {
        q qVar = this.t;
        if (qVar != null) {
            qVar.a(Integer.valueOf(AMap.SignleClickInterceptorListener.class.hashCode()), (Integer) signleClickInterceptorListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeSignleClickInterceptorListener(AMap.SignleClickInterceptorListener signleClickInterceptorListener) {
        q qVar = this.t;
        if (qVar != null) {
            qVar.b(Integer.valueOf(AMap.SignleClickInterceptorListener.class.hashCode()), signleClickInterceptorListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void loadWorldVectorMap(boolean z) {
        MapConfig mapConfig = this.f1674b;
        if (mapConfig != null) {
            mapConfig.setAbroadEnable(z);
        }
    }

    private boolean a(boolean z, boolean z2) {
        if (z) {
            if (this.aZ) {
                db.a("setCustomMapStyle 和 setWorldVectorMapStyle 不能同时使用，setCustomMapStyle将不会生效");
                return true;
            }
            this.aY = true;
        }
        if (!z2) {
            return false;
        }
        if (this.aY) {
            db.a("setCustomMapStyle 和 setWorldVectorMapStyle 不能同时使用，setWorldVectorMapStyle将不会生效");
            return true;
        }
        this.aZ = true;
        return false;
    }

    private void r() {
        co coVar = this.aC;
        if (coVar != null) {
            coVar.a();
            this.aC = null;
        }
    }
}
