package com.amap.api.fence;

import android.app.PendingIntent;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.DPoint;
import com.autonavi.aps.amapapi.utils.j;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes.dex */
public class GeoFence implements Parcelable {
    public static final int ADDGEOFENCE_SUCCESS = 0;
    public static final String BUNDLE_KEY_CUSTOMID = "customId";
    public static final String BUNDLE_KEY_FENCE = "fence";
    public static final String BUNDLE_KEY_FENCEID = "fenceid";
    public static final String BUNDLE_KEY_FENCESTATUS = "event";
    public static final String BUNDLE_KEY_LOCERRORCODE = "location_errorcode";
    public static final Parcelable.Creator<GeoFence> CREATOR = new Parcelable.Creator<GeoFence>() { // from class: com.amap.api.fence.GeoFence.1
        @Override // android.os.Parcelable.Creator
        public final /* synthetic */ GeoFence createFromParcel(Parcel parcel) {
            return a(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public final /* synthetic */ GeoFence[] newArray(int i2) {
            return a(i2);
        }

        private static GeoFence a(Parcel parcel) {
            return new GeoFence(parcel);
        }

        private static GeoFence[] a(int i2) {
            return new GeoFence[i2];
        }
    };
    public static final int ERROR_CODE_EXISTS = 17;
    public static final int ERROR_CODE_FAILURE_AUTH = 7;
    public static final int ERROR_CODE_FAILURE_CONNECTION = 4;
    public static final int ERROR_CODE_FAILURE_PARSER = 5;
    public static final int ERROR_CODE_INVALID_PARAMETER = 1;
    public static final int ERROR_CODE_UNKNOWN = 8;
    public static final int ERROR_NO_VALIDFENCE = 16;
    public static final int STATUS_IN = 1;
    public static final int STATUS_LOCFAIL = 4;
    public static final int STATUS_OUT = 2;
    public static final int STATUS_STAYED = 3;
    public static final int STATUS_UNKNOWN = 0;
    public static final int TYPE_AMAPPOI = 2;
    public static final int TYPE_DISTRICT = 3;
    public static final int TYPE_POLYGON = 1;
    public static final int TYPE_ROUND = 0;

    /* renamed from: a, reason: collision with root package name */
    private String f1993a;

    /* renamed from: b, reason: collision with root package name */
    private String f1994b;

    /* renamed from: c, reason: collision with root package name */
    private String f1995c;

    /* renamed from: d, reason: collision with root package name */
    private PendingIntent f1996d;

    /* renamed from: e, reason: collision with root package name */
    private int f1997e;

    /* renamed from: f, reason: collision with root package name */
    private PoiItem f1998f;

    /* renamed from: g, reason: collision with root package name */
    private List<DistrictItem> f1999g;

    /* renamed from: h, reason: collision with root package name */
    private List<List<DPoint>> f2000h;

    /* renamed from: i, reason: collision with root package name */
    private float f2001i;

    /* renamed from: j, reason: collision with root package name */
    private long f2002j;
    private int k;
    private float l;
    private float m;
    private DPoint n;
    private int o;
    private long p;
    private boolean q;
    private AMapLocation r;

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public GeoFence() {
        this.f1996d = null;
        this.f1997e = 0;
        this.f1998f = null;
        this.f1999g = null;
        this.f2001i = 0.0f;
        this.f2002j = -1L;
        this.k = 1;
        this.l = 0.0f;
        this.m = 0.0f;
        this.n = null;
        this.o = 0;
        this.p = -1L;
        this.q = true;
        this.r = null;
    }

    public String getFenceId() {
        return this.f1993a;
    }

    public void setFenceId(String str) {
        this.f1993a = str;
    }

    public String getCustomId() {
        return this.f1994b;
    }

    public void setCustomId(String str) {
        this.f1994b = str;
    }

    public String getPendingIntentAction() {
        return this.f1995c;
    }

    public void setPendingIntentAction(String str) {
        this.f1995c = str;
    }

    public PendingIntent getPendingIntent() {
        return this.f1996d;
    }

    public void setPendingIntent(PendingIntent pendingIntent) {
        this.f1996d = pendingIntent;
    }

    public int getType() {
        return this.f1997e;
    }

    public void setType(int i2) {
        this.f1997e = i2;
    }

    public PoiItem getPoiItem() {
        return this.f1998f;
    }

    public void setPoiItem(PoiItem poiItem) {
        this.f1998f = poiItem;
    }

    public List<DistrictItem> getDistrictItemList() {
        return this.f1999g;
    }

    public void setDistrictItemList(List<DistrictItem> list) {
        this.f1999g = list;
    }

    public List<List<DPoint>> getPointList() {
        return this.f2000h;
    }

    public void setPointList(List<List<DPoint>> list) {
        this.f2000h = list;
    }

    public float getRadius() {
        return this.f2001i;
    }

    public void setRadius(float f2) {
        this.f2001i = f2;
    }

    public long getExpiration() {
        return this.f2002j;
    }

    public void setExpiration(long j2) {
        if (j2 < 0) {
            this.f2002j = -1L;
        } else {
            this.f2002j = j2 + j.b();
        }
    }

    public int getActivatesAction() {
        return this.k;
    }

    public void setActivatesAction(int i2) {
        this.k = i2;
    }

    public int getStatus() {
        return this.o;
    }

    public void setStatus(int i2) {
        this.o = i2;
    }

    public long getEnterTime() {
        return this.p;
    }

    public void setEnterTime(long j2) {
        this.p = j2;
    }

    public DPoint getCenter() {
        return this.n;
    }

    public void setCenter(DPoint dPoint) {
        this.n = dPoint;
    }

    public float getMinDis2Center() {
        return this.l;
    }

    public void setMinDis2Center(float f2) {
        this.l = f2;
    }

    public float getMaxDis2Center() {
        return this.m;
    }

    public void setMaxDis2Center(float f2) {
        this.m = f2;
    }

    public boolean isAble() {
        return this.q;
    }

    public void setAble(boolean z) {
        this.q = z;
    }

    public void setCurrentLocation(AMapLocation aMapLocation) {
        this.r = aMapLocation.m62clone();
    }

    public AMapLocation getCurrentLocation() {
        return this.r;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof GeoFence)) {
            return false;
        }
        GeoFence geoFence = (GeoFence) obj;
        if (TextUtils.isEmpty(this.f1994b)) {
            if (!TextUtils.isEmpty(geoFence.f1994b)) {
                return false;
            }
        } else if (!this.f1994b.equals(geoFence.f1994b)) {
            return false;
        }
        DPoint dPoint = this.n;
        if (dPoint == null) {
            if (geoFence.n != null) {
                return false;
            }
        } else if (!dPoint.equals(geoFence.n)) {
            return false;
        }
        if (this.f2001i != geoFence.f2001i) {
            return false;
        }
        List<List<DPoint>> list = this.f2000h;
        return list == null ? geoFence.f2000h == null : list.equals(geoFence.f2000h);
    }

    public int hashCode() {
        return this.f1994b.hashCode() + this.f2000h.hashCode() + this.n.hashCode() + ((int) (this.f2001i * 100.0f));
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeString(this.f1993a);
        parcel.writeString(this.f1994b);
        parcel.writeString(this.f1995c);
        parcel.writeParcelable(this.f1996d, i2);
        parcel.writeInt(this.f1997e);
        parcel.writeParcelable(this.f1998f, i2);
        parcel.writeTypedList(this.f1999g);
        parcel.writeFloat(this.f2001i);
        parcel.writeLong(this.f2002j);
        parcel.writeInt(this.k);
        parcel.writeFloat(this.l);
        parcel.writeFloat(this.m);
        parcel.writeParcelable(this.n, i2);
        parcel.writeInt(this.o);
        parcel.writeLong(this.p);
        List<List<DPoint>> list = this.f2000h;
        if (list != null && !list.isEmpty()) {
            parcel.writeInt(this.f2000h.size());
            Iterator<List<DPoint>> it2 = this.f2000h.iterator();
            while (it2.hasNext()) {
                parcel.writeTypedList(it2.next());
            }
        }
        parcel.writeByte(this.q ? (byte) 1 : (byte) 0);
        parcel.writeParcelable(this.r, i2);
    }

    protected GeoFence(Parcel parcel) {
        this.f1996d = null;
        this.f1997e = 0;
        this.f1998f = null;
        this.f1999g = null;
        this.f2001i = 0.0f;
        this.f2002j = -1L;
        this.k = 1;
        this.l = 0.0f;
        this.m = 0.0f;
        this.n = null;
        this.o = 0;
        this.p = -1L;
        this.q = true;
        this.r = null;
        this.f1993a = parcel.readString();
        this.f1994b = parcel.readString();
        this.f1995c = parcel.readString();
        this.f1996d = (PendingIntent) parcel.readParcelable(PendingIntent.class.getClassLoader());
        this.f1997e = parcel.readInt();
        this.f1998f = (PoiItem) parcel.readParcelable(PoiItem.class.getClassLoader());
        this.f1999g = parcel.createTypedArrayList(DistrictItem.CREATOR);
        this.f2001i = parcel.readFloat();
        this.f2002j = parcel.readLong();
        this.k = parcel.readInt();
        this.l = parcel.readFloat();
        this.m = parcel.readFloat();
        this.n = (DPoint) parcel.readParcelable(DPoint.class.getClassLoader());
        this.o = parcel.readInt();
        this.p = parcel.readLong();
        int readInt = parcel.readInt();
        if (readInt != 0) {
            this.f2000h = new ArrayList();
            for (int i2 = 0; i2 < readInt; i2++) {
                this.f2000h.add(parcel.createTypedArrayList(DPoint.CREATOR));
            }
        }
        this.q = parcel.readByte() != 0;
        this.r = (AMapLocation) parcel.readParcelable(AMapLocation.class.getClassLoader());
    }
}
