package com.amap.api.location;

import com.amap.api.location.AMapLocationClientOption;
import com.autonavi.aps.amapapi.utils.b;
import com.tencent.connect.common.Constants;

/* loaded from: classes.dex */
public class AMapLocationQualityReport implements Cloneable {
    public static final int GPS_STATUS_MODE_SAVING = 3;
    public static final int GPS_STATUS_NOGPSPERMISSION = 4;
    public static final int GPS_STATUS_NOGPSPROVIDER = 1;
    public static final int GPS_STATUS_OFF = 2;
    public static final int GPS_STATUS_OK = 0;

    /* renamed from: b, reason: collision with root package name */
    private boolean f2044b = false;

    /* renamed from: c, reason: collision with root package name */
    private int f2045c = 2;

    /* renamed from: d, reason: collision with root package name */
    private int f2046d = 0;

    /* renamed from: e, reason: collision with root package name */
    private String f2047e = Constants.APP_VERSION_UNKNOWN;

    /* renamed from: f, reason: collision with root package name */
    private long f2048f = 0;

    /* renamed from: g, reason: collision with root package name */
    private boolean f2049g = false;

    /* renamed from: a, reason: collision with root package name */
    AMapLocationClientOption.AMapLocationMode f2043a = AMapLocationClientOption.AMapLocationMode.Hight_Accuracy;

    public void setWifiAble(boolean z) {
        this.f2044b = z;
    }

    public void setGpsStatus(int i2) {
        this.f2045c = i2;
    }

    public void setGPSSatellites(int i2) {
        this.f2046d = i2;
    }

    public boolean isWifiAble() {
        return this.f2044b;
    }

    public int getGPSStatus() {
        return this.f2045c;
    }

    public int getGPSSatellites() {
        return this.f2046d;
    }

    public String getNetworkType() {
        return this.f2047e;
    }

    public void setNetworkType(String str) {
        this.f2047e = str;
    }

    public long getNetUseTime() {
        return this.f2048f;
    }

    public void setNetUseTime(long j2) {
        this.f2048f = j2;
    }

    public void setInstallHighDangerMockApp(boolean z) {
        this.f2049g = z;
    }

    public boolean isInstalledHighDangerMockApp() {
        return this.f2049g;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* renamed from: clone, reason: merged with bridge method [inline-methods] */
    public AMapLocationQualityReport m64clone() {
        AMapLocationQualityReport aMapLocationQualityReport = new AMapLocationQualityReport();
        try {
            super.clone();
        } catch (Throwable unused) {
        }
        try {
            aMapLocationQualityReport.setGpsStatus(this.f2045c);
            aMapLocationQualityReport.setGPSSatellites(this.f2046d);
            aMapLocationQualityReport.setWifiAble(this.f2044b);
            aMapLocationQualityReport.setNetUseTime(this.f2048f);
            aMapLocationQualityReport.setNetworkType(this.f2047e);
            aMapLocationQualityReport.setLocationMode(this.f2043a);
            aMapLocationQualityReport.setInstallHighDangerMockApp(this.f2049g);
        } catch (Throwable th) {
            b.a(th, "AMapLocationQualityReport", "clone");
        }
        return aMapLocationQualityReport;
    }

    public void setLocationMode(AMapLocationClientOption.AMapLocationMode aMapLocationMode) {
        this.f2043a = aMapLocationMode;
    }

    public String getAdviseMessage() {
        StringBuffer stringBuffer = new StringBuffer();
        if (this.f2043a != AMapLocationClientOption.AMapLocationMode.Battery_Saving) {
            int i2 = this.f2045c;
            if (i2 != 0) {
                if (i2 == 1) {
                    stringBuffer.append("您的设备没有GPS模块或者GPS模块异常，无法进行GPS定位\n");
                } else if (i2 == 2) {
                    stringBuffer.append("您的设备关闭了GPS定位功能，开启GPS定位功能有助于提高定位的精确度\n");
                } else if (i2 == 3) {
                    stringBuffer.append("您的设备当前设置的定位模式不包含GPS定位，选择包含GPS模式的定位模式有助于提高定位的精确度\n");
                } else if (i2 == 4) {
                    stringBuffer.append("您的设置禁用了GPS定位权限，开启GPS定位权限有助于提高定位的精确度\n");
                }
            } else if (this.f2043a == AMapLocationClientOption.AMapLocationMode.Device_Sensors && this.f2046d < 4) {
                stringBuffer.append("当前GPS信号弱，位置更新可能会延迟\n");
            }
        }
        if (this.f2043a != AMapLocationClientOption.AMapLocationMode.Device_Sensors) {
            if ("DISCONNECTED".equals(this.f2047e)) {
                stringBuffer.append("您的设备未连接到网络，无法进行网络定位\n");
            } else if ("2G".equals(this.f2047e)) {
                stringBuffer.append("您的设备网络状态不太好，网络定位可能会有延迟\n");
            }
            if (!this.f2044b) {
                stringBuffer.append("您的设备WIFI开关已关闭，打开WIFI开关有助于提高定位的成功率\n");
            }
        }
        return stringBuffer.toString();
    }
}
