package com.amap.api.location;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.autonavi.aps.amapapi.utils.b;
import com.autonavi.aps.amapapi.utils.e;
import com.autonavi.aps.amapapi.utils.h;
import com.autonavi.aps.amapapi.utils.j;
import org.json.JSONObject;

/* loaded from: classes.dex */
public class CoordinateConverter {

    /* renamed from: b, reason: collision with root package name */
    private static int f2054b = 0;

    /* renamed from: c, reason: collision with root package name */
    private static int f2055c = 1;

    /* renamed from: d, reason: collision with root package name */
    private static int f2056d = 2;

    /* renamed from: e, reason: collision with root package name */
    private static int f2057e = 4;

    /* renamed from: f, reason: collision with root package name */
    private static int f2058f = 8;

    /* renamed from: g, reason: collision with root package name */
    private static int f2059g = 16;

    /* renamed from: h, reason: collision with root package name */
    private static int f2060h = 32;

    /* renamed from: i, reason: collision with root package name */
    private static int f2061i = 64;

    /* renamed from: j, reason: collision with root package name */
    private Context f2063j;
    private CoordType k = null;
    private DPoint l = null;

    /* renamed from: a, reason: collision with root package name */
    DPoint f2062a = null;

    public enum CoordType {
        BAIDU,
        MAPBAR,
        MAPABC,
        SOSOMAP,
        ALIYUN,
        GOOGLE,
        GPS
    }

    public CoordinateConverter(Context context) {
        this.f2063j = context;
    }

    public synchronized CoordinateConverter from(CoordType coordType) {
        this.k = coordType;
        return this;
    }

    public synchronized CoordinateConverter coord(DPoint dPoint) throws Exception {
        try {
            if (dPoint == null) {
                throw new IllegalArgumentException("传入经纬度对象为空");
            }
            if (dPoint.getLongitude() > 180.0d || dPoint.getLongitude() < -180.0d) {
                throw new IllegalArgumentException("请传入合理经度");
            }
            if (dPoint.getLatitude() > 90.0d || dPoint.getLatitude() < -90.0d) {
                throw new IllegalArgumentException("请传入合理纬度");
            }
            this.l = dPoint;
        } catch (Throwable th) {
            throw th;
        }
        return this;
    }

    public synchronized DPoint convert() throws Exception {
        if (this.k == null) {
            throw new IllegalArgumentException("转换坐标类型不能为空");
        }
        DPoint dPoint = this.l;
        if (dPoint == null) {
            throw new IllegalArgumentException("转换坐标源不能为空");
        }
        if (dPoint.getLongitude() > 180.0d || this.l.getLongitude() < -180.0d) {
            throw new IllegalArgumentException("请传入合理经度");
        }
        if (this.l.getLatitude() > 90.0d || this.l.getLatitude() < -90.0d) {
            throw new IllegalArgumentException("请传入合理纬度");
        }
        boolean z = true;
        String str = null;
        switch (AnonymousClass1.f2064a[this.k.ordinal()]) {
            case 1:
                this.f2062a = e.a(this.l);
                int i2 = f2054b;
                int i3 = f2055c;
                if ((i2 & i3) == 0) {
                    str = "baidu";
                    f2054b = i2 | i3;
                    break;
                }
                z = false;
                break;
            case 2:
                this.f2062a = e.b(this.f2063j, this.l);
                int i4 = f2054b;
                int i5 = f2056d;
                if ((i4 & i5) == 0) {
                    str = "mapbar";
                    f2054b = i4 | i5;
                    break;
                }
                z = false;
                break;
            case 3:
                int i6 = f2054b;
                int i7 = f2057e;
                if ((i6 & i7) == 0) {
                    str = "mapabc";
                    f2054b = i6 | i7;
                } else {
                    z = false;
                }
                this.f2062a = this.l;
                break;
            case 4:
                int i8 = f2054b;
                int i9 = f2058f;
                if ((i8 & i9) == 0) {
                    str = "sosomap";
                    f2054b = i8 | i9;
                } else {
                    z = false;
                }
                this.f2062a = this.l;
                break;
            case 5:
                int i10 = f2054b;
                int i11 = f2059g;
                if ((i10 & i11) == 0) {
                    str = "aliyun";
                    f2054b = i10 | i11;
                } else {
                    z = false;
                }
                this.f2062a = this.l;
                break;
            case 6:
                int i12 = f2054b;
                int i13 = f2060h;
                if ((i12 & i13) == 0) {
                    str = "google";
                    f2054b = i12 | i13;
                } else {
                    z = false;
                }
                this.f2062a = this.l;
                break;
            case 7:
                int i14 = f2054b;
                int i15 = f2061i;
                if ((i14 & i15) == 0) {
                    str = GeocodeSearch.GPS;
                    f2054b = i14 | i15;
                } else {
                    z = false;
                }
                this.f2062a = e.a(this.f2063j, this.l);
                break;
            default:
                z = false;
                break;
        }
        if (z) {
            JSONObject jSONObject = new JSONObject();
            if (!TextUtils.isEmpty(str)) {
                jSONObject.put("amap_loc_coordinate", str);
            }
            h.a(this.f2063j, "O021", jSONObject);
        }
        return this.f2062a;
    }

    /* renamed from: com.amap.api.location.CoordinateConverter$1, reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {

        /* renamed from: a, reason: collision with root package name */
        static final /* synthetic */ int[] f2064a;

        static {
            int[] iArr = new int[CoordType.values().length];
            f2064a = iArr;
            try {
                iArr[CoordType.BAIDU.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f2064a[CoordType.MAPBAR.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                f2064a[CoordType.MAPABC.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                f2064a[CoordType.SOSOMAP.ordinal()] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                f2064a[CoordType.ALIYUN.ordinal()] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                f2064a[CoordType.GOOGLE.ordinal()] = 6;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                f2064a[CoordType.GPS.ordinal()] = 7;
            } catch (NoSuchFieldError unused7) {
            }
        }
    }

    public static boolean isAMapDataAvailable(double d2, double d3) {
        return b.a(d2, d3);
    }

    public static float calculateLineDistance(DPoint dPoint, DPoint dPoint2) {
        try {
            return j.a(dPoint, dPoint2);
        } catch (Throwable unused) {
            return 0.0f;
        }
    }
}
