package com.amap.api.maps.model;

import android.graphics.Bitmap;
import android.os.Parcel;
import android.os.Parcelable;
import com.amap.api.col.p0003sl.dv;

/* loaded from: classes.dex */
public final class BitmapDescriptor implements Parcelable, Cloneable {
    public static final BitmapDescriptorCreator CREATOR = new BitmapDescriptorCreator();

    /* renamed from: a, reason: collision with root package name */
    int f2119a;

    /* renamed from: b, reason: collision with root package name */
    int f2120b;
    protected Object mBitmap;
    private String mId;

    @Override // android.os.Parcelable
    public final int describeContents() {
        return 0;
    }

    BitmapDescriptor(Bitmap bitmap, String str) {
        this.f2119a = 0;
        this.f2120b = 0;
        if (bitmap != null) {
            try {
                this.f2119a = bitmap.getWidth();
                this.f2120b = bitmap.getHeight();
                if (bitmap.getConfig() == null) {
                    this.mBitmap = bitmap.copy(Bitmap.Config.ARGB_8888, true);
                } else {
                    this.mBitmap = bitmap.copy(bitmap.getConfig(), true);
                }
            } catch (Throwable th) {
                dv.a(th);
                return;
            }
        }
        this.mId = str;
    }

    private BitmapDescriptor(Bitmap bitmap, int i2, int i3, String str) {
        this.f2119a = i2;
        this.f2120b = i3;
        this.mBitmap = bitmap;
        this.mId = str;
    }

    public final String getId() {
        return this.mId;
    }

    /* renamed from: clone, reason: merged with bridge method [inline-methods] */
    public final BitmapDescriptor m66clone() {
        try {
            Object obj = this.mBitmap;
            return new BitmapDescriptor(((Bitmap) obj).copy(((Bitmap) obj).getConfig(), true), this.f2119a, this.f2120b, this.mId);
        } catch (Throwable th) {
            th.printStackTrace();
            dv.a(th);
            return null;
        }
    }

    public final Bitmap getBitmap() {
        return (Bitmap) this.mBitmap;
    }

    public final int getWidth() {
        return this.f2119a;
    }

    public final int getHeight() {
        return this.f2120b;
    }

    @Override // android.os.Parcelable
    public final void writeToParcel(Parcel parcel, int i2) {
        parcel.writeString(this.mId);
        parcel.writeParcelable((Bitmap) this.mBitmap, i2);
        parcel.writeInt(this.f2119a);
        parcel.writeInt(this.f2120b);
    }

    public final void recycle() {
        try {
            dv.a((Bitmap) this.mBitmap);
        } catch (Throwable th) {
            dv.a(th);
        }
    }

    public final boolean equals(Object obj) {
        BitmapDescriptor bitmapDescriptor;
        Object obj2;
        Object obj3 = this.mBitmap;
        if (obj3 == null || ((Bitmap) obj3).isRecycled() || obj == null) {
            return false;
        }
        if (this == obj) {
            return true;
        }
        if (getClass() == obj.getClass() && (obj2 = (bitmapDescriptor = (BitmapDescriptor) obj).mBitmap) != null && !((Bitmap) obj2).isRecycled() && this.f2119a == bitmapDescriptor.getWidth() && this.f2120b == bitmapDescriptor.getHeight()) {
            try {
                return ((Bitmap) this.mBitmap).sameAs((Bitmap) bitmapDescriptor.mBitmap);
            } catch (Throwable th) {
                dv.a(th);
            }
        }
        return false;
    }

    public final int hashCode() {
        return super.hashCode();
    }
}
