package com.amap.api.maps.offlinemap;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.text.TextPaint;
import android.util.AttributeSet;
import android.view.View;
import androidx.core.internal.view.SupportMenu;
import com.amap.api.map3d.R;

/* loaded from: classes.dex */
public class DownloadProgressView extends View {

    /* renamed from: a, reason: collision with root package name */
    private String f2164a;

    /* renamed from: b, reason: collision with root package name */
    private int f2165b;

    /* renamed from: c, reason: collision with root package name */
    private int f2166c;

    /* renamed from: d, reason: collision with root package name */
    private float f2167d;

    /* renamed from: e, reason: collision with root package name */
    private float f2168e;

    /* renamed from: f, reason: collision with root package name */
    private TextPaint f2169f;

    /* renamed from: g, reason: collision with root package name */
    private TextPaint f2170g;

    /* renamed from: h, reason: collision with root package name */
    private float f2171h;

    /* renamed from: i, reason: collision with root package name */
    private float f2172i;

    public DownloadProgressView(Context context) {
        super(context);
        this.f2165b = SupportMenu.CATEGORY_MASK;
        this.f2166c = SupportMenu.CATEGORY_MASK;
        this.f2167d = 0.0f;
        this.f2168e = 0.6f;
        a(null, 0);
    }

    public DownloadProgressView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f2165b = SupportMenu.CATEGORY_MASK;
        this.f2166c = SupportMenu.CATEGORY_MASK;
        this.f2167d = 0.0f;
        this.f2168e = 0.6f;
        a(attributeSet, 0);
    }

    public DownloadProgressView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.f2165b = SupportMenu.CATEGORY_MASK;
        this.f2166c = SupportMenu.CATEGORY_MASK;
        this.f2167d = 0.0f;
        this.f2168e = 0.6f;
        a(attributeSet, i2);
    }

    private void a(AttributeSet attributeSet, int i2) {
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, R.styleable.f2073a, i2, 0);
        this.f2164a = obtainStyledAttributes.getString(0);
        this.f2165b = obtainStyledAttributes.getColor(3, this.f2165b);
        this.f2167d = obtainStyledAttributes.getDimension(1, this.f2167d);
        this.f2166c = obtainStyledAttributes.getColor(2, this.f2166c);
        obtainStyledAttributes.recycle();
        TextPaint textPaint = new TextPaint();
        this.f2169f = textPaint;
        textPaint.setFlags(1);
        this.f2169f.setTextAlign(Paint.Align.RIGHT);
        TextPaint textPaint2 = new TextPaint();
        this.f2170g = textPaint2;
        textPaint2.setStyle(Paint.Style.FILL);
        a();
    }

    private void a() {
        this.f2169f.setTextSize(this.f2167d);
        this.f2169f.setColor(this.f2165b);
        this.f2170g.setColor(this.f2166c);
        this.f2171h = this.f2169f.measureText(this.f2164a);
        this.f2172i = this.f2169f.getFontMetrics().bottom;
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int width = (getWidth() - paddingLeft) - paddingRight;
        int height = (getHeight() - paddingTop) - paddingBottom;
        String str = String.valueOf((int) (this.f2168e * 100.0f)) + "%";
        canvas.drawRect(new Rect(0, (int) (height * 0.8f), (int) (width * this.f2168e), height), this.f2170g);
        canvas.drawText(str, (int) (this.f2168e * r3), (int) (r1 - 3.0d), this.f2169f);
    }

    public void setProgress(int i2) {
        if (i2 > 100 || i2 < 0) {
            return;
        }
        this.f2168e = i2 / 100.0f;
        invalidate();
    }
}
