package com.amap.api.maps.offlinemap;

import android.content.Context;
import android.os.Handler;
import com.amap.api.col.p0003sl.aw;
import com.amap.api.col.p0003sl.ax;
import com.amap.api.col.p0003sl.bb;
import com.amap.api.col.p0003sl.ds;
import com.amap.api.col.p0003sl.dv;
import com.amap.api.col.p0003sl.ij;
import com.amap.api.col.p0003sl.im;
import com.amap.api.col.p0003sl.in;
import com.amap.api.col.p0003sl.jt;
import com.amap.api.maps.AMap;
import com.amap.api.maps.AMapException;
import java.util.ArrayList;
import java.util.Iterator;

/* loaded from: classes.dex */
public final class OfflineMapManager {

    /* renamed from: a, reason: collision with root package name */
    bb f2184a;

    /* renamed from: b, reason: collision with root package name */
    ax f2185b;

    /* renamed from: c, reason: collision with root package name */
    private Context f2186c;

    /* renamed from: d, reason: collision with root package name */
    private OfflineMapDownloadListener f2187d;

    /* renamed from: e, reason: collision with root package name */
    private OfflineLoadedListener f2188e;

    /* renamed from: f, reason: collision with root package name */
    private Handler f2189f;

    /* renamed from: g, reason: collision with root package name */
    private Handler f2190g;

    public interface OfflineLoadedListener {
        void onVerifyComplete();
    }

    public interface OfflineMapDownloadListener {
        void onCheckUpdate(boolean z, String str);

        void onDownload(int i2, int i3, String str);

        void onRemove(boolean z, String str, String str2);
    }

    public final void restart() {
    }

    public OfflineMapManager(Context context, OfflineMapDownloadListener offlineMapDownloadListener) throws Exception {
        in a2 = im.a(context, dv.a());
        if (a2.f1159a != im.c.SuccessCode) {
            throw new Exception(a2.f1160b);
        }
        this.f2187d = offlineMapDownloadListener;
        this.f2186c = context.getApplicationContext();
        this.f2189f = new Handler(this.f2186c.getMainLooper());
        this.f2190g = new Handler(this.f2186c.getMainLooper());
        a(context);
        ij.a().a(this.f2186c);
    }

    public OfflineMapManager(Context context, OfflineMapDownloadListener offlineMapDownloadListener, AMap aMap) {
        this.f2187d = offlineMapDownloadListener;
        this.f2186c = context.getApplicationContext();
        this.f2189f = new Handler(this.f2186c.getMainLooper());
        this.f2190g = new Handler(this.f2186c.getMainLooper());
        try {
            a(context);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    private void a(Context context) {
        this.f2186c = context.getApplicationContext();
        ax.f172b = false;
        ax a2 = ax.a(this.f2186c);
        this.f2185b = a2;
        a2.a(new ax.a() { // from class: com.amap.api.maps.offlinemap.OfflineMapManager.1
            @Override // com.amap.api.col.3sl.ax.a
            public final void a(final aw awVar) {
                if (OfflineMapManager.this.f2187d == null || awVar == null) {
                    return;
                }
                OfflineMapManager.this.f2189f.post(new Runnable() { // from class: com.amap.api.maps.offlinemap.OfflineMapManager.1.1
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            OfflineMapManager.this.f2187d.onDownload(awVar.c().b(), awVar.getcompleteCode(), awVar.getCity());
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            }

            @Override // com.amap.api.col.3sl.ax.a
            public final void b(final aw awVar) {
                if (OfflineMapManager.this.f2187d == null || awVar == null) {
                    return;
                }
                OfflineMapManager.this.f2189f.post(new Runnable() { // from class: com.amap.api.maps.offlinemap.OfflineMapManager.1.2
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            if (!awVar.c().equals(awVar.f163g) && !awVar.c().equals(awVar.f157a)) {
                                OfflineMapManager.this.f2187d.onCheckUpdate(false, awVar.getCity());
                                return;
                            }
                            OfflineMapManager.this.f2187d.onCheckUpdate(true, awVar.getCity());
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            }

            @Override // com.amap.api.col.3sl.ax.a
            public final void c(final aw awVar) {
                if (OfflineMapManager.this.f2187d == null || awVar == null) {
                    return;
                }
                OfflineMapManager.this.f2189f.post(new Runnable() { // from class: com.amap.api.maps.offlinemap.OfflineMapManager.1.3
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            if (awVar.c().equals(awVar.f157a)) {
                                OfflineMapManager.this.f2187d.onRemove(true, awVar.getCity(), "");
                            } else {
                                OfflineMapManager.this.f2187d.onRemove(false, awVar.getCity(), "");
                            }
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            }

            @Override // com.amap.api.col.3sl.ax.a
            public final void a() {
                if (OfflineMapManager.this.f2188e != null) {
                    OfflineMapManager.this.f2189f.post(new Runnable() { // from class: com.amap.api.maps.offlinemap.OfflineMapManager.1.4
                        @Override // java.lang.Runnable
                        public final void run() {
                            try {
                                OfflineMapManager.this.f2188e.onVerifyComplete();
                            } catch (Throwable th) {
                                th.printStackTrace();
                            }
                        }
                    });
                }
            }
        });
        try {
            this.f2185b.a();
            this.f2184a = this.f2185b.f176f;
            ds.b(context);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public final void downloadByCityCode(String str) throws AMapException {
        try {
            this.f2185b.f(str);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public final void downloadByCityName(String str) throws AMapException {
        try {
            this.f2185b.e(str);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public final void downloadByProvinceName(String str) throws AMapException {
        try {
            a();
            OfflineMapProvince itemByProvinceName = getItemByProvinceName(str);
            if (itemByProvinceName == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            Iterator<OfflineMapCity> it2 = itemByProvinceName.getCityList().iterator();
            while (it2.hasNext()) {
                final String city = it2.next().getCity();
                this.f2190g.post(new Runnable() { // from class: com.amap.api.maps.offlinemap.OfflineMapManager.2
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            OfflineMapManager.this.f2185b.e(city);
                        } catch (AMapException e2) {
                            jt.c(e2, "OfflineMapManager", "downloadByProvinceName");
                        }
                    }
                });
            }
        } catch (Throwable th) {
            if (th instanceof AMapException) {
                throw th;
            }
            jt.c(th, "OfflineMapManager", "downloadByProvinceName");
        }
    }

    public final void remove(String str) {
        try {
            if (this.f2185b.b(str)) {
                this.f2185b.c(str);
                return;
            }
            OfflineMapProvince c2 = this.f2184a.c(str);
            if (c2 != null && c2.getCityList() != null) {
                Iterator<OfflineMapCity> it2 = c2.getCityList().iterator();
                while (it2.hasNext()) {
                    final String city = it2.next().getCity();
                    this.f2190g.post(new Runnable() { // from class: com.amap.api.maps.offlinemap.OfflineMapManager.3
                        @Override // java.lang.Runnable
                        public final void run() {
                            OfflineMapManager.this.f2185b.c(city);
                        }
                    });
                }
                return;
            }
            OfflineMapDownloadListener offlineMapDownloadListener = this.f2187d;
            if (offlineMapDownloadListener != null) {
                offlineMapDownloadListener.onRemove(false, str, "没有该城市");
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public final ArrayList<OfflineMapProvince> getOfflineMapProvinceList() {
        return this.f2184a.a();
    }

    public final OfflineMapCity getItemByCityCode(String str) {
        return this.f2184a.a(str);
    }

    public final OfflineMapCity getItemByCityName(String str) {
        return this.f2184a.b(str);
    }

    public final OfflineMapProvince getItemByProvinceName(String str) {
        return this.f2184a.c(str);
    }

    public final ArrayList<OfflineMapCity> getOfflineMapCityList() {
        return this.f2184a.b();
    }

    public final ArrayList<OfflineMapCity> getDownloadingCityList() {
        return this.f2184a.e();
    }

    public final ArrayList<OfflineMapProvince> getDownloadingProvinceList() {
        return this.f2184a.f();
    }

    public final ArrayList<OfflineMapCity> getDownloadOfflineMapCityList() {
        return this.f2184a.c();
    }

    public final ArrayList<OfflineMapProvince> getDownloadOfflineMapProvinceList() {
        return this.f2184a.d();
    }

    private void a(String str) throws AMapException {
        this.f2185b.a(str);
    }

    public final void updateOfflineCityByCode(String str) throws AMapException {
        OfflineMapCity itemByCityCode = getItemByCityCode(str);
        if (itemByCityCode == null || itemByCityCode.getCity() == null) {
            throw new AMapException("无效的参数 - IllegalArgumentException");
        }
        a(itemByCityCode.getCity());
    }

    public final void updateOfflineCityByName(String str) throws AMapException {
        a(str);
    }

    public final void updateOfflineMapProvinceByName(String str) throws AMapException {
        a(str);
    }

    private void a() throws AMapException {
        if (!dv.d(this.f2186c)) {
            throw new AMapException(AMapException.ERROR_CONNECTION);
        }
    }

    public final void stop() {
        this.f2185b.d();
    }

    public final void pause() {
        this.f2185b.e();
    }

    public final void pauseByName(String str) {
        this.f2185b.d(str);
    }

    public final void destroy() {
        try {
            ax axVar = this.f2185b;
            if (axVar != null) {
                axVar.f();
            }
            b();
            Handler handler = this.f2189f;
            if (handler != null) {
                handler.removeCallbacksAndMessages(null);
            }
            this.f2189f = null;
            Handler handler2 = this.f2190g;
            if (handler2 != null) {
                handler2.removeCallbacksAndMessages(null);
            }
            this.f2190g = null;
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    private void b() {
        this.f2187d = null;
    }

    public final void setOnOfflineLoadedListener(OfflineLoadedListener offlineLoadedListener) {
        this.f2188e = offlineLoadedListener;
    }
}
