package com.amap.api.services.auto;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import com.amap.api.col.p0003sl.he;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.interfaces.IAutoTSearch;

/* loaded from: classes.dex */
public class AutoTSearch {

    /* renamed from: a, reason: collision with root package name */
    private IAutoTSearch f2231a;

    public interface OnChargeStationListener {
        void onChargeStationSearched(AutoTChargeStationResult autoTChargeStationResult, int i2);
    }

    public AutoTSearch(Context context) throws AMapException {
        if (this.f2231a == null) {
            try {
                this.f2231a = new he(context);
            } catch (Exception e2) {
                e2.printStackTrace();
                if (e2 instanceof AMapException) {
                    throw ((AMapException) e2);
                }
            }
        }
    }

    public void setQuery(Query query) {
        IAutoTSearch iAutoTSearch = this.f2231a;
        if (iAutoTSearch == null) {
            return;
        }
        iAutoTSearch.setQuery(query);
    }

    public AutoTChargeStationResult searchChargeStation() throws AMapException {
        IAutoTSearch iAutoTSearch = this.f2231a;
        if (iAutoTSearch == null) {
            return null;
        }
        return iAutoTSearch.searchChargeStation();
    }

    public void searchChargeStationAsync() throws AMapException {
        IAutoTSearch iAutoTSearch = this.f2231a;
        if (iAutoTSearch == null) {
            return;
        }
        iAutoTSearch.searchChargeStationAsync();
    }

    public void setChargeStationListener(OnChargeStationListener onChargeStationListener) {
        IAutoTSearch iAutoTSearch = this.f2231a;
        if (iAutoTSearch == null || onChargeStationListener == null) {
            return;
        }
        iAutoTSearch.setChargeStationListener(onChargeStationListener);
    }

    public static class FilterBox implements Parcelable, Cloneable {
        public static final Parcelable.Creator<FilterBox> CREATOR = new Parcelable.Creator<FilterBox>() { // from class: com.amap.api.services.auto.AutoTSearch.FilterBox.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ FilterBox createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ FilterBox[] newArray(int i2) {
                return a(i2);
            }

            private static FilterBox a(Parcel parcel) {
                return new FilterBox(parcel);
            }

            private static FilterBox[] a(int i2) {
                return new FilterBox[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private String f2232a;

        /* renamed from: b, reason: collision with root package name */
        private String f2233b;

        /* renamed from: c, reason: collision with root package name */
        private String f2234c;

        /* renamed from: d, reason: collision with root package name */
        private String f2235d;

        /* renamed from: e, reason: collision with root package name */
        private String f2236e;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public FilterBox() {
        }

        public String getRetainState() {
            return this.f2232a;
        }

        public void setRetainState(String str) {
            this.f2232a = str;
        }

        public String getCheckedLevel() {
            return this.f2233b;
        }

        public void setCheckedLevel(String str) {
            this.f2233b = str;
        }

        public String getClassifyV2Data() {
            return this.f2234c;
        }

        public void setClassifyV2Data(String str) {
            this.f2234c = str;
        }

        public String getClassifyV2Level2Data() {
            return this.f2235d;
        }

        public void setClassifyV2Level2Data(String str) {
            this.f2235d = str;
        }

        public String getClassifyV2Level3Data() {
            return this.f2236e;
        }

        public void setClassifyV2Level3Data(String str) {
            this.f2236e = str;
        }

        protected FilterBox(Parcel parcel) {
            this.f2232a = parcel.readString();
            this.f2233b = parcel.readString();
            this.f2234c = parcel.readString();
            this.f2235d = parcel.readString();
            this.f2236e = parcel.readString();
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeString(this.f2232a);
            parcel.writeString(this.f2233b);
            parcel.writeString(this.f2234c);
            parcel.writeString(this.f2235d);
            parcel.writeString(this.f2236e);
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public FilterBox m75clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                e2.printStackTrace();
            }
            FilterBox filterBox = new FilterBox();
            filterBox.setRetainState(this.f2232a);
            filterBox.setCheckedLevel(this.f2233b);
            filterBox.setClassifyV2Data(this.f2234c);
            filterBox.setClassifyV2Level2Data(this.f2235d);
            filterBox.setClassifyV2Level3Data(this.f2236e);
            return filterBox;
        }
    }

    public static class Query implements Parcelable, Cloneable {
        public static final Parcelable.Creator<Query> CREATOR = new Parcelable.Creator<Query>() { // from class: com.amap.api.services.auto.AutoTSearch.Query.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ Query createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ Query[] newArray(int i2) {
                return a(i2);
            }

            private static Query a(Parcel parcel) {
                return new Query(parcel);
            }

            private static Query[] a(int i2) {
                return new Query[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private String f2237a;

        /* renamed from: b, reason: collision with root package name */
        private String f2238b;

        /* renamed from: c, reason: collision with root package name */
        private String f2239c;

        /* renamed from: d, reason: collision with root package name */
        private String f2240d;

        /* renamed from: e, reason: collision with root package name */
        private String f2241e;

        /* renamed from: f, reason: collision with root package name */
        private int f2242f;

        /* renamed from: g, reason: collision with root package name */
        private int f2243g;

        /* renamed from: h, reason: collision with root package name */
        private boolean f2244h;

        /* renamed from: i, reason: collision with root package name */
        private String f2245i;

        /* renamed from: j, reason: collision with root package name */
        private int f2246j;
        private LatLonPoint k;
        private String l;
        private String m;
        private FilterBox n;
        private String o;
        private String p;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public Query() {
            this.f2244h = false;
        }

        protected Query(Parcel parcel) {
            this.f2244h = false;
            this.f2237a = parcel.readString();
            this.f2238b = parcel.readString();
            this.f2239c = parcel.readString();
            this.f2240d = parcel.readString();
            this.f2241e = parcel.readString();
            this.f2242f = parcel.readInt();
            this.f2243g = parcel.readInt();
            this.f2244h = parcel.readByte() != 0;
            this.f2245i = parcel.readString();
            this.f2246j = parcel.readInt();
            this.k = (LatLonPoint) parcel.readParcelable(LatLonPoint.class.getClassLoader());
            this.l = parcel.readString();
            this.m = parcel.readString();
            this.n = (FilterBox) parcel.readParcelable(FilterBox.class.getClassLoader());
            this.o = parcel.readString();
            this.p = parcel.readString();
        }

        public String getAdCode() {
            return this.f2237a;
        }

        public void setAdCode(String str) {
            this.f2237a = str;
        }

        public String getCity() {
            return this.f2238b;
        }

        public void setCity(String str) {
            this.f2238b = str;
        }

        public String getDataType() {
            return this.f2239c;
        }

        public void setDataType(String str) {
            this.f2239c = str;
        }

        public String getGeoObj() {
            return this.f2240d;
        }

        public void setGeoObj(String str) {
            this.f2240d = str;
        }

        public String getKeywords() {
            return this.f2241e;
        }

        public void setKeywords(String str) {
            this.f2241e = str;
        }

        public int getPageNum() {
            return this.f2242f;
        }

        public void setPageNum(int i2) {
            this.f2242f = i2;
        }

        public int getPageSize() {
            return this.f2243g;
        }

        public void setPageSize(int i2) {
            this.f2243g = i2;
        }

        public boolean isQii() {
            return this.f2244h;
        }

        public void setQii(boolean z) {
            this.f2244h = z;
        }

        public String getQueryType() {
            return this.f2245i;
        }

        public void setQueryType(String str) {
            this.f2245i = str;
        }

        public int getRange() {
            return this.f2246j;
        }

        public void setRange(int i2) {
            this.f2246j = i2;
        }

        public LatLonPoint getLatLonPoint() {
            return this.k;
        }

        public void setLatLonPoint(LatLonPoint latLonPoint) {
            this.k = latLonPoint;
        }

        public String getUserLoc() {
            return this.l;
        }

        public void setUserLoc(String str) {
            this.l = str;
        }

        public String getUserCity() {
            return this.m;
        }

        public void setUserCity(String str) {
            this.m = str;
        }

        public FilterBox getFilterBox() {
            return this.n;
        }

        public void setFilterBox(FilterBox filterBox) {
            this.n = filterBox;
        }

        public String getAccessKey() {
            return this.o;
        }

        public void setAccessKey(String str) {
            this.o = str;
        }

        public String getSecretKey() {
            return this.p;
        }

        public void setSecretKey(String str) {
            this.p = str;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public Query m76clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                e2.printStackTrace();
            }
            Query query = new Query();
            query.setAdCode(this.f2237a);
            query.setCity(this.f2238b);
            query.setDataType(this.f2239c);
            query.setGeoObj(this.f2240d);
            query.setKeywords(this.f2241e);
            query.setPageNum(this.f2242f);
            query.setPageSize(this.f2243g);
            query.setQii(this.f2244h);
            query.setQueryType(this.f2245i);
            query.setRange(this.f2246j);
            query.setLatLonPoint(this.k);
            query.setUserLoc(this.l);
            query.setUserCity(this.m);
            query.setAccessKey(this.o);
            query.setSecretKey(this.p);
            query.setFilterBox(this.n);
            return query;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeString(this.f2237a);
            parcel.writeString(this.f2238b);
            parcel.writeString(this.f2239c);
            parcel.writeString(this.f2240d);
            parcel.writeString(this.f2241e);
            parcel.writeInt(this.f2242f);
            parcel.writeInt(this.f2243g);
            parcel.writeByte(this.f2244h ? (byte) 1 : (byte) 0);
            parcel.writeString(this.f2245i);
            parcel.writeInt(this.f2246j);
            parcel.writeParcelable(this.k, i2);
            parcel.writeString(this.l);
            parcel.writeString(this.m);
            parcel.writeParcelable(this.n, i2);
            parcel.writeString(this.o);
            parcel.writeString(this.p);
        }
    }
}
