package com.amap.api.services.cloud;

import android.content.Context;
import com.amap.api.col.p0003sl.fm;
import com.amap.api.col.p0003sl.gg;
import com.amap.api.col.p0003sl.hh;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.interfaces.ICloudSearch;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes.dex */
public class CloudSearch {

    /* renamed from: a, reason: collision with root package name */
    private ICloudSearch f2301a;

    public interface OnCloudSearchListener {
        void onCloudItemDetailSearched(CloudItemDetail cloudItemDetail, int i2);

        void onCloudSearched(CloudResult cloudResult, int i2);
    }

    public CloudSearch(Context context) throws AMapException {
        if (this.f2301a == null) {
            try {
                this.f2301a = new hh(context);
            } catch (Exception e2) {
                e2.printStackTrace();
                if (e2 instanceof AMapException) {
                    throw ((AMapException) e2);
                }
            }
        }
    }

    public void setOnCloudSearchListener(OnCloudSearchListener onCloudSearchListener) {
        ICloudSearch iCloudSearch = this.f2301a;
        if (iCloudSearch != null) {
            iCloudSearch.setOnCloudSearchListener(onCloudSearchListener);
        }
    }

    public void searchCloudAsyn(Query query) {
        ICloudSearch iCloudSearch = this.f2301a;
        if (iCloudSearch != null) {
            iCloudSearch.searchCloudAsyn(query);
        }
    }

    public void searchCloudDetailAsyn(String str, String str2) {
        ICloudSearch iCloudSearch = this.f2301a;
        if (iCloudSearch != null) {
            iCloudSearch.searchCloudDetailAsyn(str, str2);
        }
    }

    public static class Query implements Cloneable {

        /* renamed from: a, reason: collision with root package name */
        private String f2302a;

        /* renamed from: d, reason: collision with root package name */
        private String f2305d;

        /* renamed from: e, reason: collision with root package name */
        private SearchBound f2306e;

        /* renamed from: f, reason: collision with root package name */
        private Sortingrules f2307f;

        /* renamed from: b, reason: collision with root package name */
        private int f2303b = 1;

        /* renamed from: c, reason: collision with root package name */
        private int f2304c = 20;

        /* renamed from: g, reason: collision with root package name */
        private ArrayList<gg> f2308g = new ArrayList<>();

        /* renamed from: h, reason: collision with root package name */
        private List<String> f2309h = new ArrayList();

        public Query(String str, String str2, SearchBound searchBound) throws AMapException {
            if (fm.a(str) || searchBound == null) {
                throw new AMapException("无效的参数 - IllegalArgumentException");
            }
            this.f2305d = str;
            this.f2302a = str2;
            this.f2306e = searchBound;
        }

        private Query() {
        }

        public String getQueryString() {
            return this.f2302a;
        }

        public void setTableID(String str) {
            this.f2305d = str;
        }

        public String getTableID() {
            return this.f2305d;
        }

        public int getPageNum() {
            return this.f2303b;
        }

        public void setPageNum(int i2) {
            this.f2303b = i2;
        }

        public void setPageSize(int i2) {
            if (i2 <= 0) {
                this.f2304c = 20;
            } else if (i2 > 100) {
                this.f2304c = 100;
            } else {
                this.f2304c = i2;
            }
        }

        public int getPageSize() {
            return this.f2304c;
        }

        public void setBound(SearchBound searchBound) {
            this.f2306e = searchBound;
        }

        public SearchBound getBound() {
            return this.f2306e;
        }

        public void addFilterString(String str, String str2) {
            if (str == null || str2 == null) {
                return;
            }
            this.f2309h.add(str + str2);
        }

        public String getFilterString() {
            StringBuffer stringBuffer = new StringBuffer();
            try {
                int size = this.f2309h.size();
                for (int i2 = 0; i2 < size; i2++) {
                    stringBuffer.append(this.f2309h.get(i2));
                    if (i2 != size - 1) {
                        stringBuffer.append("&&");
                    }
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
            return stringBuffer.toString();
        }

        public void addFilterNum(String str, String str2, String str3) {
            this.f2308g.add(new gg(str, str2, str3));
        }

        private ArrayList<gg> a() {
            if (this.f2308g == null) {
                return null;
            }
            ArrayList<gg> arrayList = new ArrayList<>();
            arrayList.addAll(this.f2308g);
            return arrayList;
        }

        private ArrayList<String> b() {
            if (this.f2309h == null) {
                return null;
            }
            ArrayList<String> arrayList = new ArrayList<>();
            arrayList.addAll(this.f2309h);
            return arrayList;
        }

        public String getFilterNumString() {
            StringBuffer stringBuffer = new StringBuffer();
            try {
                int size = this.f2308g.size();
                for (int i2 = 0; i2 < size; i2++) {
                    gg ggVar = this.f2308g.get(i2);
                    stringBuffer.append(ggVar.a()).append(">=").append(ggVar.b()).append("&&").append(ggVar.a()).append("<=").append(ggVar.c());
                    if (i2 != size - 1) {
                        stringBuffer.append("&&");
                    }
                }
            } catch (Throwable th) {
                th.printStackTrace();
            }
            return stringBuffer.toString();
        }

        public void setSortingrules(Sortingrules sortingrules) {
            this.f2307f = sortingrules;
        }

        public Sortingrules getSortingrules() {
            return this.f2307f;
        }

        private static boolean a(SearchBound searchBound, SearchBound searchBound2) {
            if (searchBound == null && searchBound2 == null) {
                return true;
            }
            if (searchBound == null || searchBound2 == null) {
                return false;
            }
            return searchBound.equals(searchBound2);
        }

        private static boolean a(Sortingrules sortingrules, Sortingrules sortingrules2) {
            if (sortingrules == null && sortingrules2 == null) {
                return true;
            }
            if (sortingrules == null || sortingrules2 == null) {
                return false;
            }
            return sortingrules.equals(sortingrules2);
        }

        public boolean queryEquals(Query query) {
            if (query == null) {
                return false;
            }
            if (query == this) {
                return true;
            }
            return CloudSearch.b(query.f2302a, this.f2302a) && CloudSearch.b(query.getTableID(), getTableID()) && CloudSearch.b(query.getFilterString(), getFilterString()) && CloudSearch.b(query.getFilterNumString(), getFilterNumString()) && query.f2304c == this.f2304c && a(query.getBound(), getBound()) && a(query.getSortingrules(), getSortingrules());
        }

        public int hashCode() {
            ArrayList<gg> arrayList = this.f2308g;
            int hashCode = ((arrayList == null ? 0 : arrayList.hashCode()) + 31) * 31;
            List<String> list = this.f2309h;
            int hashCode2 = (hashCode + (list == null ? 0 : list.hashCode())) * 31;
            SearchBound searchBound = this.f2306e;
            int hashCode3 = (((((hashCode2 + (searchBound == null ? 0 : searchBound.hashCode())) * 31) + this.f2303b) * 31) + this.f2304c) * 31;
            String str = this.f2302a;
            int hashCode4 = (hashCode3 + (str == null ? 0 : str.hashCode())) * 31;
            Sortingrules sortingrules = this.f2307f;
            int hashCode5 = (hashCode4 + (sortingrules == null ? 0 : sortingrules.hashCode())) * 31;
            String str2 = this.f2305d;
            return hashCode5 + (str2 != null ? str2.hashCode() : 0);
        }

        public boolean equals(Object obj) {
            if (obj != null && (obj instanceof Query)) {
                if (obj == this) {
                    return true;
                }
                Query query = (Query) obj;
                if (queryEquals(query) && query.f2303b == this.f2303b) {
                    return true;
                }
            }
            return false;
        }

        /* JADX WARN: Removed duplicated region for block: B:12:0x0043 A[RETURN] */
        /* JADX WARN: Removed duplicated region for block: B:9:0x003d  */
        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
            To view partially-correct code enable 'Show inconsistent code' option in preferences
        */
        public com.amap.api.services.cloud.CloudSearch.Query m79clone() {
            /*
                r6 = this;
                super.clone()     // Catch: java.lang.CloneNotSupportedException -> L4
                goto L8
            L4:
                r0 = move-exception
                r0.printStackTrace()
            L8:
                r0 = 0
                com.amap.api.services.cloud.CloudSearch$Query r1 = new com.amap.api.services.cloud.CloudSearch$Query     // Catch: com.amap.api.services.core.AMapException -> L34
                java.lang.String r2 = r6.f2305d     // Catch: com.amap.api.services.core.AMapException -> L34
                java.lang.String r3 = r6.f2302a     // Catch: com.amap.api.services.core.AMapException -> L34
                com.amap.api.services.cloud.CloudSearch$SearchBound r4 = r6.f2306e     // Catch: com.amap.api.services.core.AMapException -> L34
                r1.<init>(r2, r3, r4)     // Catch: com.amap.api.services.core.AMapException -> L34
                int r0 = r6.f2303b     // Catch: com.amap.api.services.core.AMapException -> L32
                r1.setPageNum(r0)     // Catch: com.amap.api.services.core.AMapException -> L32
                int r0 = r6.f2304c     // Catch: com.amap.api.services.core.AMapException -> L32
                r1.setPageSize(r0)     // Catch: com.amap.api.services.core.AMapException -> L32
                com.amap.api.services.cloud.CloudSearch$Sortingrules r0 = r6.getSortingrules()     // Catch: com.amap.api.services.core.AMapException -> L32
                r1.setSortingrules(r0)     // Catch: com.amap.api.services.core.AMapException -> L32
                java.util.ArrayList r0 = r6.a()     // Catch: com.amap.api.services.core.AMapException -> L32
                r1.f2308g = r0     // Catch: com.amap.api.services.core.AMapException -> L32
                java.util.ArrayList r0 = r6.b()     // Catch: com.amap.api.services.core.AMapException -> L32
                r1.f2309h = r0     // Catch: com.amap.api.services.core.AMapException -> L32
                goto L3b
            L32:
                r0 = move-exception
                goto L38
            L34:
                r1 = move-exception
                r5 = r1
                r1 = r0
                r0 = r5
            L38:
                r0.printStackTrace()
            L3b:
                if (r1 != 0) goto L43
                com.amap.api.services.cloud.CloudSearch$Query r0 = new com.amap.api.services.cloud.CloudSearch$Query
                r0.<init>()
                return r0
            L43:
                return r1
            */
            throw new UnsupportedOperationException("Method not decompiled: com.amap.api.services.cloud.CloudSearch.Query.m79clone():com.amap.api.services.cloud.CloudSearch$Query");
        }
    }

    public static class Sortingrules {
        public static final int DISTANCE = 1;
        public static final int WEIGHT = 0;

        /* renamed from: a, reason: collision with root package name */
        private int f2317a;

        /* renamed from: b, reason: collision with root package name */
        private String f2318b;

        /* renamed from: c, reason: collision with root package name */
        private boolean f2319c;

        public Sortingrules(String str, boolean z) {
            this.f2317a = 0;
            this.f2318b = str;
            this.f2319c = z;
        }

        public Sortingrules(int i2) {
            this.f2319c = true;
            this.f2317a = i2;
        }

        public String toString() {
            if (fm.a(this.f2318b)) {
                int i2 = this.f2317a;
                return i2 == 0 ? "_weight:desc" : i2 == 1 ? "_distance:asc" : "";
            }
            if (this.f2319c) {
                return this.f2318b + ":asc";
            }
            return this.f2318b + ":desc";
        }

        public int hashCode() {
            int i2 = ((this.f2319c ? 1231 : 1237) + 31) * 31;
            String str = this.f2318b;
            return ((i2 + (str == null ? 0 : str.hashCode())) * 31) + this.f2317a;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            Sortingrules sortingrules = (Sortingrules) obj;
            if (this.f2319c != sortingrules.f2319c) {
                return false;
            }
            String str = this.f2318b;
            if (str == null) {
                if (sortingrules.f2318b != null) {
                    return false;
                }
            } else if (!str.equals(sortingrules.f2318b)) {
                return false;
            }
            return this.f2317a == sortingrules.f2317a;
        }
    }

    public static class SearchBound implements Cloneable {
        public static final String BOUND_SHAPE = "Bound";
        public static final String LOCAL_SHAPE = "Local";
        public static final String POLYGON_SHAPE = "Polygon";
        public static final String RECTANGLE_SHAPE = "Rectangle";

        /* renamed from: a, reason: collision with root package name */
        private LatLonPoint f2310a;

        /* renamed from: b, reason: collision with root package name */
        private LatLonPoint f2311b;

        /* renamed from: c, reason: collision with root package name */
        private int f2312c;

        /* renamed from: d, reason: collision with root package name */
        private LatLonPoint f2313d;

        /* renamed from: e, reason: collision with root package name */
        private String f2314e;

        /* renamed from: f, reason: collision with root package name */
        private List<LatLonPoint> f2315f;

        /* renamed from: g, reason: collision with root package name */
        private String f2316g;

        public SearchBound(LatLonPoint latLonPoint, int i2) {
            this.f2314e = "Bound";
            this.f2312c = i2;
            this.f2313d = latLonPoint;
        }

        public SearchBound(LatLonPoint latLonPoint, LatLonPoint latLonPoint2) {
            this.f2314e = "Rectangle";
            if (a(latLonPoint, latLonPoint2)) {
                return;
            }
            new IllegalArgumentException("invalid rect ").printStackTrace();
        }

        public SearchBound(List<LatLonPoint> list) {
            this.f2314e = "Polygon";
            this.f2315f = list;
        }

        public SearchBound(String str) {
            this.f2314e = LOCAL_SHAPE;
            this.f2316g = str;
        }

        private boolean a(LatLonPoint latLonPoint, LatLonPoint latLonPoint2) {
            this.f2310a = latLonPoint;
            this.f2311b = latLonPoint2;
            return latLonPoint != null && latLonPoint2 != null && latLonPoint.getLatitude() < this.f2311b.getLatitude() && this.f2310a.getLongitude() < this.f2311b.getLongitude();
        }

        public LatLonPoint getLowerLeft() {
            return this.f2310a;
        }

        public LatLonPoint getUpperRight() {
            return this.f2311b;
        }

        public LatLonPoint getCenter() {
            return this.f2313d;
        }

        public int getRange() {
            return this.f2312c;
        }

        public String getShape() {
            return this.f2314e;
        }

        public String getCity() {
            return this.f2316g;
        }

        public List<LatLonPoint> getPolyGonList() {
            return this.f2315f;
        }

        private static boolean a(List<LatLonPoint> list, List<LatLonPoint> list2) {
            if (list == null && list2 == null) {
                return true;
            }
            if (list == null || list2 == null || list.size() != list2.size()) {
                return false;
            }
            int size = list.size();
            for (int i2 = 0; i2 < size; i2++) {
                if (!list.get(i2).equals(list2.get(i2))) {
                    return false;
                }
            }
            return true;
        }

        public int hashCode() {
            LatLonPoint latLonPoint = this.f2313d;
            int hashCode = ((latLonPoint == null ? 0 : latLonPoint.hashCode()) + 31) * 31;
            LatLonPoint latLonPoint2 = this.f2310a;
            int hashCode2 = (hashCode + (latLonPoint2 == null ? 0 : latLonPoint2.hashCode())) * 31;
            LatLonPoint latLonPoint3 = this.f2311b;
            int hashCode3 = (hashCode2 + (latLonPoint3 == null ? 0 : latLonPoint3.hashCode())) * 31;
            List<LatLonPoint> list = this.f2315f;
            int hashCode4 = (((hashCode3 + (list == null ? 0 : list.hashCode())) * 31) + this.f2312c) * 31;
            String str = this.f2314e;
            int hashCode5 = (hashCode4 + (str == null ? 0 : str.hashCode())) * 31;
            String str2 = this.f2316g;
            return hashCode5 + (str2 != null ? str2.hashCode() : 0);
        }

        public boolean equals(Object obj) {
            if (obj != null && (obj instanceof SearchBound)) {
                SearchBound searchBound = (SearchBound) obj;
                if (!getShape().equalsIgnoreCase(searchBound.getShape())) {
                    return false;
                }
                if (getShape().equals("Bound")) {
                    return searchBound.f2313d.equals(this.f2313d) && searchBound.f2312c == this.f2312c;
                }
                if (getShape().equals("Polygon")) {
                    return a(searchBound.f2315f, this.f2315f);
                }
                if (getShape().equals(LOCAL_SHAPE)) {
                    return searchBound.f2316g.equals(this.f2316g);
                }
                if (searchBound.f2310a.equals(this.f2310a) && searchBound.f2311b.equals(this.f2311b)) {
                    return true;
                }
            }
            return false;
        }

        private List<LatLonPoint> a() {
            if (this.f2315f == null) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            for (LatLonPoint latLonPoint : this.f2315f) {
                arrayList.add(new LatLonPoint(latLonPoint.getLatitude(), latLonPoint.getLongitude()));
            }
            return arrayList;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public SearchBound m80clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                e2.printStackTrace();
            }
            if (getShape().equals("Bound")) {
                return new SearchBound(this.f2313d, this.f2312c);
            }
            if (getShape().equals("Polygon")) {
                return new SearchBound(a());
            }
            if (getShape().equals(LOCAL_SHAPE)) {
                return new SearchBound(this.f2316g);
            }
            return new SearchBound(this.f2310a, this.f2311b);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static boolean b(String str, String str2) {
        if (str == null && str2 == null) {
            return true;
        }
        if (str == null || str2 == null) {
            return false;
        }
        return str.equals(str2);
    }
}
