package com.amap.api.services.district;

import android.os.Parcel;
import android.os.Parcelable;
import com.amap.api.col.p0003sl.fm;

/* loaded from: classes.dex */
public class DistrictSearchQuery implements Parcelable, Cloneable {
    public static final Parcelable.Creator<DistrictSearchQuery> CREATOR = new Parcelable.Creator<DistrictSearchQuery>() { // from class: com.amap.api.services.district.DistrictSearchQuery.1
        @Override // android.os.Parcelable.Creator
        public final /* synthetic */ DistrictSearchQuery createFromParcel(Parcel parcel) {
            return a(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public final /* synthetic */ DistrictSearchQuery[] newArray(int i2) {
            return a(i2);
        }

        private static DistrictSearchQuery a(Parcel parcel) {
            DistrictSearchQuery districtSearchQuery = new DistrictSearchQuery();
            districtSearchQuery.setKeywords(parcel.readString());
            districtSearchQuery.setKeywordsLevel(parcel.readString());
            districtSearchQuery.setPageNum(parcel.readInt());
            districtSearchQuery.setPageSize(parcel.readInt());
            districtSearchQuery.setShowChild(parcel.readByte() == 1);
            districtSearchQuery.setShowBoundary(parcel.readByte() == 1);
            districtSearchQuery.setShowBusinessArea(parcel.readByte() == 1);
            districtSearchQuery.setSubDistrict(parcel.readInt());
            return districtSearchQuery;
        }

        private static DistrictSearchQuery[] a(int i2) {
            return new DistrictSearchQuery[i2];
        }
    };
    public static final String KEYWORDS_BUSINESS = "biz_area";
    public static final String KEYWORDS_CITY = "city";
    public static final String KEYWORDS_COUNTRY = "country";
    public static final String KEYWORDS_DISTRICT = "district";
    public static final String KEYWORDS_PROVINCE = "province";

    /* renamed from: a, reason: collision with root package name */
    private int f2369a;

    /* renamed from: b, reason: collision with root package name */
    private int f2370b;

    /* renamed from: c, reason: collision with root package name */
    private String f2371c;

    /* renamed from: d, reason: collision with root package name */
    private String f2372d;

    /* renamed from: e, reason: collision with root package name */
    private boolean f2373e;

    /* renamed from: f, reason: collision with root package name */
    private boolean f2374f;

    /* renamed from: g, reason: collision with root package name */
    private boolean f2375g;

    /* renamed from: h, reason: collision with root package name */
    private int f2376h;

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public void setShowBoundary(boolean z) {
        this.f2375g = z;
    }

    public boolean isShowBoundary() {
        return this.f2375g;
    }

    public DistrictSearchQuery() {
        this.f2369a = 1;
        this.f2370b = 20;
        this.f2373e = true;
        this.f2374f = false;
        this.f2375g = false;
        this.f2376h = 1;
    }

    public DistrictSearchQuery(String str, String str2, int i2) {
        this.f2370b = 20;
        this.f2373e = true;
        this.f2374f = false;
        this.f2375g = false;
        this.f2376h = 1;
        this.f2371c = str;
        this.f2372d = str2;
        this.f2369a = i2;
    }

    public DistrictSearchQuery(String str, String str2, int i2, boolean z, int i3) {
        this(str, str2, i2);
        this.f2373e = z;
        this.f2370b = i3;
    }

    public int getPageNum() {
        int i2 = this.f2369a;
        if (i2 <= 0) {
            return 1;
        }
        return i2;
    }

    public void setPageNum(int i2) {
        this.f2369a = i2;
    }

    public int getPageSize() {
        return this.f2370b;
    }

    public void setPageSize(int i2) {
        this.f2370b = i2;
    }

    public String getKeywords() {
        return this.f2371c;
    }

    public void setKeywords(String str) {
        this.f2371c = str;
    }

    public String getKeywordsLevel() {
        return this.f2372d;
    }

    public void setKeywordsLevel(String str) {
        this.f2372d = str;
    }

    public boolean isShowChild() {
        return this.f2373e;
    }

    public void setShowChild(boolean z) {
        this.f2373e = z;
    }

    public int getSubDistrict() {
        return this.f2376h;
    }

    public void setSubDistrict(int i2) {
        this.f2376h = i2;
    }

    public boolean isShowBusinessArea() {
        return this.f2374f;
    }

    public void setShowBusinessArea(boolean z) {
        this.f2374f = z;
    }

    public boolean checkLevels() {
        String str = this.f2372d;
        if (str == null) {
            return false;
        }
        return str.trim().equals("country") || this.f2372d.trim().equals(KEYWORDS_PROVINCE) || this.f2372d.trim().equals(KEYWORDS_CITY) || this.f2372d.trim().equals(KEYWORDS_DISTRICT) || this.f2372d.trim().equals(KEYWORDS_BUSINESS);
    }

    public boolean checkKeyWords() {
        String str = this.f2371c;
        return (str == null || str.trim().equalsIgnoreCase("")) ? false : true;
    }

    public int hashCode() {
        int i2 = ((this.f2375g ? 1231 : 1237) + 31) * 31;
        String str = this.f2371c;
        int hashCode = (i2 + (str == null ? 0 : str.hashCode())) * 31;
        String str2 = this.f2372d;
        return ((((((((hashCode + (str2 != null ? str2.hashCode() : 0)) * 31) + this.f2369a) * 31) + this.f2370b) * 31) + (this.f2373e ? 1231 : 1237)) * 31) + this.f2376h;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        DistrictSearchQuery districtSearchQuery = (DistrictSearchQuery) obj;
        if (this.f2375g != districtSearchQuery.f2375g) {
            return false;
        }
        String str = this.f2371c;
        if (str == null) {
            if (districtSearchQuery.f2371c != null) {
                return false;
            }
        } else if (!str.equals(districtSearchQuery.f2371c)) {
            return false;
        }
        return this.f2369a == districtSearchQuery.f2369a && this.f2370b == districtSearchQuery.f2370b && this.f2373e == districtSearchQuery.f2373e && this.f2376h == districtSearchQuery.f2376h;
    }

    public boolean weakEquals(DistrictSearchQuery districtSearchQuery) {
        if (this == districtSearchQuery) {
            return true;
        }
        if (districtSearchQuery == null) {
            return false;
        }
        String str = this.f2371c;
        if (str == null) {
            if (districtSearchQuery.f2371c != null) {
                return false;
            }
        } else if (!str.equals(districtSearchQuery.f2371c)) {
            return false;
        }
        return this.f2370b == districtSearchQuery.f2370b && this.f2373e == districtSearchQuery.f2373e && this.f2375g == districtSearchQuery.f2375g && this.f2376h == districtSearchQuery.f2376h;
    }

    /* renamed from: clone, reason: merged with bridge method [inline-methods] */
    public DistrictSearchQuery m81clone() {
        try {
            super.clone();
        } catch (CloneNotSupportedException e2) {
            fm.a(e2, "DistrictSearchQuery", "clone");
        }
        DistrictSearchQuery districtSearchQuery = new DistrictSearchQuery();
        districtSearchQuery.setKeywords(this.f2371c);
        districtSearchQuery.setKeywordsLevel(this.f2372d);
        districtSearchQuery.setPageNum(this.f2369a);
        districtSearchQuery.setPageSize(this.f2370b);
        districtSearchQuery.setShowChild(this.f2373e);
        districtSearchQuery.setSubDistrict(this.f2376h);
        districtSearchQuery.setShowBoundary(this.f2375g);
        districtSearchQuery.setShowBusinessArea(this.f2374f);
        return districtSearchQuery;
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeString(this.f2371c);
        parcel.writeString(this.f2372d);
        parcel.writeInt(this.f2369a);
        parcel.writeInt(this.f2370b);
        parcel.writeByte(this.f2373e ? (byte) 1 : (byte) 0);
        parcel.writeByte(this.f2375g ? (byte) 1 : (byte) 0);
        parcel.writeByte(this.f2374f ? (byte) 1 : (byte) 0);
        parcel.writeInt(this.f2376h);
    }
}
