package com.amap.api.services.nearby;

import android.content.Context;
import com.amap.api.col.p0003sl.fm;
import com.amap.api.col.p0003sl.hm;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.interfaces.INearbySearch;

/* loaded from: classes.dex */
public class NearbySearch {
    public static final int AMAP = 1;
    public static final int GPS = 0;

    /* renamed from: a, reason: collision with root package name */
    private static NearbySearch f2447a;

    /* renamed from: b, reason: collision with root package name */
    private INearbySearch f2448b;

    public interface NearbyListener {
        void onNearbyInfoSearched(NearbySearchResult nearbySearchResult, int i2);

        void onNearbyInfoUploaded(int i2);

        void onUserInfoCleared(int i2);
    }

    public static synchronized NearbySearch getInstance(Context context) throws AMapException {
        NearbySearch nearbySearch;
        synchronized (NearbySearch.class) {
            if (f2447a == null) {
                try {
                    f2447a = new NearbySearch(context);
                } catch (AMapException e2) {
                    throw e2;
                }
            }
            nearbySearch = f2447a;
        }
        return nearbySearch;
    }

    private NearbySearch(Context context) throws AMapException {
        if (this.f2448b == null) {
            try {
                this.f2448b = new hm(context);
            } catch (Exception e2) {
                e2.printStackTrace();
                if (e2 instanceof AMapException) {
                    throw ((AMapException) e2);
                }
            }
        }
    }

    public synchronized void addNearbyListener(NearbyListener nearbyListener) {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.addNearbyListener(nearbyListener);
        }
    }

    public synchronized void removeNearbyListener(NearbyListener nearbyListener) {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.removeNearbyListener(nearbyListener);
        }
    }

    public void clearUserInfoAsyn() {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.clearUserInfoAsyn();
        }
    }

    public void setUserID(String str) {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.setUserID(str);
        }
    }

    public synchronized void startUploadNearbyInfoAuto(UploadInfoCallback uploadInfoCallback, int i2) {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.startUploadNearbyInfoAuto(uploadInfoCallback, i2);
        }
    }

    public synchronized void stopUploadNearbyInfoAuto() {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.stopUploadNearbyInfoAuto();
        }
    }

    public void uploadNearbyInfoAsyn(UploadInfo uploadInfo) {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.uploadNearbyInfoAsyn(uploadInfo);
        }
    }

    public void searchNearbyInfoAsyn(NearbyQuery nearbyQuery) {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.searchNearbyInfoAsyn(nearbyQuery);
        }
    }

    public NearbySearchResult searchNearbyInfo(NearbyQuery nearbyQuery) throws AMapException {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            return iNearbySearch.searchNearbyInfo(nearbyQuery);
        }
        return null;
    }

    public static class NearbyQuery {

        /* renamed from: a, reason: collision with root package name */
        private LatLonPoint f2450a;

        /* renamed from: b, reason: collision with root package name */
        private NearbySearchFunctionType f2451b = NearbySearchFunctionType.DISTANCE_SEARCH;

        /* renamed from: c, reason: collision with root package name */
        private int f2452c = 1000;

        /* renamed from: d, reason: collision with root package name */
        private int f2453d = AMapException.CODE_AMAP_CLIENT_ERRORCODE_MISSSING;

        /* renamed from: e, reason: collision with root package name */
        private int f2454e = 1;

        public void setCenterPoint(LatLonPoint latLonPoint) {
            this.f2450a = latLonPoint;
        }

        public LatLonPoint getCenterPoint() {
            return this.f2450a;
        }

        public int getRadius() {
            return this.f2452c;
        }

        public void setRadius(int i2) {
            if (i2 > 10000) {
                i2 = 10000;
            }
            this.f2452c = i2;
        }

        public void setType(NearbySearchFunctionType nearbySearchFunctionType) {
            this.f2451b = nearbySearchFunctionType;
        }

        public int getType() {
            int i2 = AnonymousClass1.f2449a[this.f2451b.ordinal()];
            return (i2 == 1 || i2 != 2) ? 0 : 1;
        }

        public void setCoordType(int i2) {
            if (i2 != 0 && i2 != 1) {
                this.f2454e = 1;
            } else {
                this.f2454e = i2;
            }
        }

        public int getCoordType() {
            return this.f2454e;
        }

        /* JADX WARN: Code restructure failed: missing block: B:8:0x0008, code lost:
        
            if (r2 > 86400) goto L4;
         */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
            To view partially-correct code enable 'Show inconsistent code' option in preferences
        */
        public void setTimeRange(int r2) {
            /*
                r1 = this;
                r0 = 5
                if (r2 >= r0) goto L5
            L3:
                r2 = r0
                goto Lb
            L5:
                r0 = 86400(0x15180, float:1.21072E-40)
                if (r2 <= r0) goto Lb
                goto L3
            Lb:
                r1.f2453d = r2
                return
            */
            throw new UnsupportedOperationException("Method not decompiled: com.amap.api.services.nearby.NearbySearch.NearbyQuery.setTimeRange(int):void");
        }

        public int getTimeRange() {
            return this.f2453d;
        }
    }

    /* renamed from: com.amap.api.services.nearby.NearbySearch$1, reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {

        /* renamed from: a, reason: collision with root package name */
        static final /* synthetic */ int[] f2449a;

        static {
            int[] iArr = new int[NearbySearchFunctionType.values().length];
            f2449a = iArr;
            try {
                iArr[NearbySearchFunctionType.DISTANCE_SEARCH.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f2449a[NearbySearchFunctionType.DRIVING_DISTANCE_SEARCH.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
        }
    }

    public static synchronized void destroy() {
        synchronized (NearbySearch.class) {
            NearbySearch nearbySearch = f2447a;
            if (nearbySearch != null) {
                try {
                    nearbySearch.a();
                } catch (Throwable th) {
                    fm.a(th, "NearbySearch", "destryoy");
                }
            }
            f2447a = null;
        }
    }

    private void a() {
        INearbySearch iNearbySearch = this.f2448b;
        if (iNearbySearch != null) {
            iNearbySearch.destroy();
        }
        this.f2448b = null;
    }
}
