package com.amap.api.services.poisearch;

import android.content.Context;
import com.amap.api.col.p0003sl.fm;
import com.amap.api.col.p0003sl.hn;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.interfaces.IPoiSearch;
import com.google.android.gms.common.ConnectionResult;
import java.util.List;

/* loaded from: classes.dex */
public class PoiSearch {
    public static final String CHINESE = "zh-CN";
    public static final String ENGLISH = "en";
    public static final String EXTENSIONS_ALL = "all";
    public static final String EXTENSIONS_BASE = "base";

    /* renamed from: a, reason: collision with root package name */
    private IPoiSearch f2497a;

    public interface OnPoiSearchListener {
        void onPoiItemSearched(PoiItem poiItem, int i2);

        void onPoiSearched(PoiResult poiResult, int i2);
    }

    public PoiSearch(Context context, Query query) throws AMapException {
        this.f2497a = null;
        try {
            this.f2497a = new hn(context, query);
        } catch (Exception e2) {
            e2.printStackTrace();
            if (e2 instanceof AMapException) {
                throw ((AMapException) e2);
            }
        }
    }

    public void setOnPoiSearchListener(OnPoiSearchListener onPoiSearchListener) {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            iPoiSearch.setOnPoiSearchListener(onPoiSearchListener);
        }
    }

    public void setLanguage(String str) {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            iPoiSearch.setLanguage(str);
        }
    }

    public String getLanguage() {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            return iPoiSearch.getLanguage();
        }
        return null;
    }

    public PoiResult searchPOI() throws AMapException {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            return iPoiSearch.searchPOI();
        }
        return null;
    }

    public void searchPOIAsyn() {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            iPoiSearch.searchPOIAsyn();
        }
    }

    public PoiItem searchPOIId(String str) throws AMapException {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            return iPoiSearch.searchPOIId(str);
        }
        return null;
    }

    public void searchPOIIdAsyn(String str) {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            iPoiSearch.searchPOIIdAsyn(str);
        }
    }

    public void setQuery(Query query) {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            iPoiSearch.setQuery(query);
        }
    }

    public void setBound(SearchBound searchBound) {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            iPoiSearch.setBound(searchBound);
        }
    }

    public Query getQuery() {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            return iPoiSearch.getQuery();
        }
        return null;
    }

    public SearchBound getBound() {
        IPoiSearch iPoiSearch = this.f2497a;
        if (iPoiSearch != null) {
            return iPoiSearch.getBound();
        }
        return null;
    }

    public static class Query implements Cloneable {

        /* renamed from: a, reason: collision with root package name */
        private String f2498a;

        /* renamed from: b, reason: collision with root package name */
        private String f2499b;

        /* renamed from: c, reason: collision with root package name */
        private String f2500c;

        /* renamed from: d, reason: collision with root package name */
        private int f2501d;

        /* renamed from: e, reason: collision with root package name */
        private int f2502e;

        /* renamed from: f, reason: collision with root package name */
        private String f2503f;

        /* renamed from: g, reason: collision with root package name */
        private boolean f2504g;

        /* renamed from: h, reason: collision with root package name */
        private boolean f2505h;

        /* renamed from: i, reason: collision with root package name */
        private String f2506i;

        /* renamed from: j, reason: collision with root package name */
        private boolean f2507j;
        private LatLonPoint k;
        private boolean l;
        private String m;

        private static String a() {
            return "";
        }

        public Query(String str, String str2) {
            this(str, str2, null);
        }

        public Query(String str, String str2, String str3) {
            this.f2501d = 1;
            this.f2502e = 20;
            this.f2503f = "zh-CN";
            this.f2504g = false;
            this.f2505h = false;
            this.f2507j = true;
            this.l = true;
            this.m = "base";
            this.f2498a = str;
            this.f2499b = str2;
            this.f2500c = str3;
        }

        public String getBuilding() {
            return this.f2506i;
        }

        public void setBuilding(String str) {
            this.f2506i = str;
        }

        public String getQueryString() {
            return this.f2498a;
        }

        public void setQueryLanguage(String str) {
            if ("en".equals(str)) {
                this.f2503f = "en";
            } else {
                this.f2503f = "zh-CN";
            }
        }

        protected String getQueryLanguage() {
            return this.f2503f;
        }

        public String getCategory() {
            String str = this.f2499b;
            if (str == null || str.equals("00") || this.f2499b.equals("00|")) {
                return a();
            }
            return this.f2499b;
        }

        public String getCity() {
            return this.f2500c;
        }

        public int getPageNum() {
            return this.f2501d;
        }

        public void setPageNum(int i2) {
            if (i2 <= 0) {
                i2 = 1;
            }
            this.f2501d = i2;
        }

        public void setPageSize(int i2) {
            if (i2 <= 0) {
                this.f2502e = 20;
            } else if (i2 > 30) {
                this.f2502e = 30;
            } else {
                this.f2502e = i2;
            }
        }

        public int getPageSize() {
            return this.f2502e;
        }

        public void setCityLimit(boolean z) {
            this.f2504g = z;
        }

        public boolean getCityLimit() {
            return this.f2504g;
        }

        public void requireSubPois(boolean z) {
            this.f2505h = z;
        }

        public boolean isRequireSubPois() {
            return this.f2505h;
        }

        public boolean isDistanceSort() {
            return this.f2507j;
        }

        public void setDistanceSort(boolean z) {
            this.f2507j = z;
        }

        public LatLonPoint getLocation() {
            return this.k;
        }

        public void setLocation(LatLonPoint latLonPoint) {
            this.k = latLonPoint;
        }

        public boolean isSpecial() {
            return this.l;
        }

        public void setSpecial(boolean z) {
            this.l = z;
        }

        public String getExtensions() {
            return this.m;
        }

        public void setExtensions(String str) {
            this.m = str;
        }

        public boolean queryEquals(Query query) {
            if (query == null) {
                return false;
            }
            if (query == this) {
                return true;
            }
            return PoiSearch.b(query.f2498a, this.f2498a) && PoiSearch.b(query.f2499b, this.f2499b) && PoiSearch.b(query.f2503f, this.f2503f) && PoiSearch.b(query.f2500c, this.f2500c) && PoiSearch.b(query.m, this.m) && PoiSearch.b(query.f2506i, this.f2506i) && query.f2504g == this.f2504g && query.f2502e == this.f2502e && query.f2507j == this.f2507j && query.l == this.l;
        }

        public int hashCode() {
            String str = this.f2499b;
            int hashCode = ((str == null ? 0 : str.hashCode()) + 31) * 31;
            String str2 = this.f2500c;
            int hashCode2 = (((((hashCode + (str2 == null ? 0 : str2.hashCode())) * 31) + (this.f2504g ? 1231 : 1237)) * 31) + (this.f2505h ? 1231 : 1237)) * 31;
            String str3 = this.f2503f;
            int hashCode3 = (((((hashCode2 + (str3 == null ? 0 : str3.hashCode())) * 31) + this.f2501d) * 31) + this.f2502e) * 31;
            String str4 = this.f2498a;
            int hashCode4 = (hashCode3 + (str4 == null ? 0 : str4.hashCode())) * 31;
            String str5 = this.f2506i;
            return hashCode4 + (str5 != null ? str5.hashCode() : 0);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            Query query = (Query) obj;
            String str = this.f2499b;
            if (str == null) {
                if (query.f2499b != null) {
                    return false;
                }
            } else if (!str.equals(query.f2499b)) {
                return false;
            }
            String str2 = this.f2500c;
            if (str2 == null) {
                if (query.f2500c != null) {
                    return false;
                }
            } else if (!str2.equals(query.f2500c)) {
                return false;
            }
            String str3 = this.f2503f;
            if (str3 == null) {
                if (query.f2503f != null) {
                    return false;
                }
            } else if (!str3.equals(query.f2503f)) {
                return false;
            }
            if (this.f2501d != query.f2501d || this.f2502e != query.f2502e) {
                return false;
            }
            String str4 = this.f2498a;
            if (str4 == null) {
                if (query.f2498a != null) {
                    return false;
                }
            } else if (!str4.equals(query.f2498a)) {
                return false;
            }
            String str5 = this.f2506i;
            if (str5 == null) {
                if (query.f2506i != null) {
                    return false;
                }
            } else if (!str5.equals(query.f2506i)) {
                return false;
            }
            if (this.f2504g != query.f2504g || this.f2505h != query.f2505h || this.l != query.l) {
                return false;
            }
            String str6 = this.m;
            if (str6 == null) {
                if (query.m != null) {
                    return false;
                }
            } else if (!str6.equals(query.m)) {
                return false;
            }
            return true;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public Query m82clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "PoiSearch", "queryclone");
            }
            Query query = new Query(this.f2498a, this.f2499b, this.f2500c);
            query.setPageNum(this.f2501d);
            query.setPageSize(this.f2502e);
            query.setQueryLanguage(this.f2503f);
            query.setCityLimit(this.f2504g);
            query.requireSubPois(this.f2505h);
            query.setBuilding(this.f2506i);
            query.setLocation(this.k);
            query.setDistanceSort(this.f2507j);
            query.setSpecial(this.l);
            query.setExtensions(this.m);
            return query;
        }
    }

    public static class SearchBound implements Cloneable {
        public static final String BOUND_SHAPE = "Bound";
        public static final String ELLIPSE_SHAPE = "Ellipse";
        public static final String POLYGON_SHAPE = "Polygon";
        public static final String RECTANGLE_SHAPE = "Rectangle";

        /* renamed from: a, reason: collision with root package name */
        private LatLonPoint f2508a;

        /* renamed from: b, reason: collision with root package name */
        private LatLonPoint f2509b;

        /* renamed from: c, reason: collision with root package name */
        private int f2510c;

        /* renamed from: d, reason: collision with root package name */
        private LatLonPoint f2511d;

        /* renamed from: e, reason: collision with root package name */
        private String f2512e;

        /* renamed from: f, reason: collision with root package name */
        private boolean f2513f;

        /* renamed from: g, reason: collision with root package name */
        private List<LatLonPoint> f2514g;

        public SearchBound(LatLonPoint latLonPoint, int i2) {
            this.f2513f = true;
            this.f2512e = "Bound";
            this.f2510c = i2;
            this.f2511d = latLonPoint;
        }

        public SearchBound(LatLonPoint latLonPoint, int i2, boolean z) {
            this.f2512e = "Bound";
            this.f2510c = i2;
            this.f2511d = latLonPoint;
            this.f2513f = z;
        }

        public SearchBound(LatLonPoint latLonPoint, LatLonPoint latLonPoint2) {
            this.f2510c = ConnectionResult.DRIVE_EXTERNAL_STORAGE_REQUIRED;
            this.f2513f = true;
            this.f2512e = "Rectangle";
            a(latLonPoint, latLonPoint2);
        }

        public SearchBound(List<LatLonPoint> list) {
            this.f2510c = ConnectionResult.DRIVE_EXTERNAL_STORAGE_REQUIRED;
            this.f2513f = true;
            this.f2512e = "Polygon";
            this.f2514g = list;
        }

        private SearchBound(LatLonPoint latLonPoint, LatLonPoint latLonPoint2, int i2, LatLonPoint latLonPoint3, String str, List<LatLonPoint> list, boolean z) {
            this.f2508a = latLonPoint;
            this.f2509b = latLonPoint2;
            this.f2510c = i2;
            this.f2511d = latLonPoint3;
            this.f2512e = str;
            this.f2514g = list;
            this.f2513f = z;
        }

        private void a(LatLonPoint latLonPoint, LatLonPoint latLonPoint2) {
            this.f2508a = latLonPoint;
            this.f2509b = latLonPoint2;
            if (latLonPoint.getLatitude() >= this.f2509b.getLatitude() || this.f2508a.getLongitude() >= this.f2509b.getLongitude()) {
                new IllegalArgumentException("invalid rect ").printStackTrace();
            }
            this.f2511d = new LatLonPoint((this.f2508a.getLatitude() + this.f2509b.getLatitude()) / 2.0d, (this.f2508a.getLongitude() + this.f2509b.getLongitude()) / 2.0d);
        }

        public LatLonPoint getLowerLeft() {
            return this.f2508a;
        }

        public LatLonPoint getUpperRight() {
            return this.f2509b;
        }

        public LatLonPoint getCenter() {
            return this.f2511d;
        }

        public int getRange() {
            return this.f2510c;
        }

        public String getShape() {
            return this.f2512e;
        }

        public boolean isDistanceSort() {
            return this.f2513f;
        }

        public List<LatLonPoint> getPolyGonList() {
            return this.f2514g;
        }

        public int hashCode() {
            LatLonPoint latLonPoint = this.f2511d;
            int hashCode = ((((latLonPoint == null ? 0 : latLonPoint.hashCode()) + 31) * 31) + (this.f2513f ? 1231 : 1237)) * 31;
            LatLonPoint latLonPoint2 = this.f2508a;
            int hashCode2 = (hashCode + (latLonPoint2 == null ? 0 : latLonPoint2.hashCode())) * 31;
            LatLonPoint latLonPoint3 = this.f2509b;
            int hashCode3 = (hashCode2 + (latLonPoint3 == null ? 0 : latLonPoint3.hashCode())) * 31;
            List<LatLonPoint> list = this.f2514g;
            int hashCode4 = (((hashCode3 + (list == null ? 0 : list.hashCode())) * 31) + this.f2510c) * 31;
            String str = this.f2512e;
            return hashCode4 + (str != null ? str.hashCode() : 0);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            SearchBound searchBound = (SearchBound) obj;
            LatLonPoint latLonPoint = this.f2511d;
            if (latLonPoint == null) {
                if (searchBound.f2511d != null) {
                    return false;
                }
            } else if (!latLonPoint.equals(searchBound.f2511d)) {
                return false;
            }
            if (this.f2513f != searchBound.f2513f) {
                return false;
            }
            LatLonPoint latLonPoint2 = this.f2508a;
            if (latLonPoint2 == null) {
                if (searchBound.f2508a != null) {
                    return false;
                }
            } else if (!latLonPoint2.equals(searchBound.f2508a)) {
                return false;
            }
            LatLonPoint latLonPoint3 = this.f2509b;
            if (latLonPoint3 == null) {
                if (searchBound.f2509b != null) {
                    return false;
                }
            } else if (!latLonPoint3.equals(searchBound.f2509b)) {
                return false;
            }
            List<LatLonPoint> list = this.f2514g;
            if (list == null) {
                if (searchBound.f2514g != null) {
                    return false;
                }
            } else if (!list.equals(searchBound.f2514g)) {
                return false;
            }
            if (this.f2510c != searchBound.f2510c) {
                return false;
            }
            String str = this.f2512e;
            if (str == null) {
                if (searchBound.f2512e != null) {
                    return false;
                }
            } else if (!str.equals(searchBound.f2512e)) {
                return false;
            }
            return true;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public SearchBound m83clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "PoiSearch", "SearchBoundClone");
            }
            return new SearchBound(this.f2508a, this.f2509b, this.f2510c, this.f2511d, this.f2512e, this.f2514g, this.f2513f);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static boolean b(String str, String str2) {
        if (str == null && str2 == null) {
            return true;
        }
        if (str == null || str2 == null) {
            return false;
        }
        return str.equals(str2);
    }
}
