package com.amap.api.services.poisearch;

import android.content.Context;
import com.amap.api.col.p0003sl.fm;
import com.amap.api.col.p0003sl.ho;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItemV2;
import com.amap.api.services.interfaces.IPoiSearchV2;
import com.google.android.gms.common.ConnectionResult;
import java.util.List;

/* loaded from: classes.dex */
public class PoiSearchV2 {
    public static final String CHINESE = "zh-CN";
    public static final String ENGLISH = "en";

    /* renamed from: a, reason: collision with root package name */
    private IPoiSearchV2 f2515a;

    public interface OnPoiSearchListener {
        void onPoiItemSearched(PoiItemV2 poiItemV2, int i2);

        void onPoiSearched(PoiResultV2 poiResultV2, int i2);
    }

    public enum PremiumType {
        DEFAULT(""),
        ENTIRETY("entirety_poi");


        /* renamed from: a, reason: collision with root package name */
        private final String f2517a;

        PremiumType(String str) {
            this.f2517a = str;
        }

        final String a() {
            return this.f2517a;
        }

        static PremiumType a(String str) {
            PremiumType premiumType = DEFAULT;
            if (str.equals(premiumType.a())) {
                return premiumType;
            }
            PremiumType premiumType2 = ENTIRETY;
            return str.equals(premiumType2.a()) ? premiumType2 : premiumType;
        }
    }

    public PoiSearchV2(Context context, Query query) throws AMapException {
        this.f2515a = null;
        try {
            this.f2515a = new ho(context, query);
        } catch (Exception e2) {
            e2.printStackTrace();
            if (e2 instanceof AMapException) {
                throw ((AMapException) e2);
            }
        }
    }

    public void setOnPoiSearchListener(OnPoiSearchListener onPoiSearchListener) {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            iPoiSearchV2.setOnPoiSearchListener(onPoiSearchListener);
        }
    }

    public PoiResultV2 searchPOI() throws AMapException {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            return iPoiSearchV2.searchPOI();
        }
        return null;
    }

    public void searchPOIAsyn() {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            iPoiSearchV2.searchPOIAsyn();
        }
    }

    public PoiItemV2 searchPOIId(String str) throws AMapException {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            return iPoiSearchV2.searchPOIId(str);
        }
        return null;
    }

    public void searchPOIIdAsyn(String str) {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            iPoiSearchV2.searchPOIIdAsyn(str);
        }
    }

    public void setQuery(Query query) {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            iPoiSearchV2.setQuery(query);
        }
    }

    public void setBound(SearchBound searchBound) {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            iPoiSearchV2.setBound(searchBound);
        }
    }

    public Query getQuery() {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            return iPoiSearchV2.getQuery();
        }
        return null;
    }

    public SearchBound getBound() {
        IPoiSearchV2 iPoiSearchV2 = this.f2515a;
        if (iPoiSearchV2 != null) {
            return iPoiSearchV2.getBound();
        }
        return null;
    }

    public static class ShowFields {
        public static final int ALL = -1;
        public static final int BUSINESS = 2;
        public static final int CHILDREN = 1;
        public static final int DEFAULT = 0;
        public static final int INDOOR = 4;
        public static final int NAVI = 8;
        public static final int PHOTOS = 16;
        public int value;

        ShowFields() {
            this.value = 0;
        }

        public ShowFields(int i2) {
            this.value = i2;
        }

        public int getValue() {
            return this.value;
        }

        public void setValue(int i2) {
            this.value = i2;
        }
    }

    public static class Query implements Cloneable {

        /* renamed from: a, reason: collision with root package name */
        private String f2518a;

        /* renamed from: b, reason: collision with root package name */
        private String f2519b;

        /* renamed from: c, reason: collision with root package name */
        private String f2520c;

        /* renamed from: d, reason: collision with root package name */
        private int f2521d;

        /* renamed from: e, reason: collision with root package name */
        private int f2522e;

        /* renamed from: f, reason: collision with root package name */
        private String f2523f;

        /* renamed from: g, reason: collision with root package name */
        private boolean f2524g;

        /* renamed from: h, reason: collision with root package name */
        private String f2525h;

        /* renamed from: i, reason: collision with root package name */
        private boolean f2526i;

        /* renamed from: j, reason: collision with root package name */
        private LatLonPoint f2527j;
        private boolean k;
        private String l;
        private String m;
        private ShowFields n;

        private static String a() {
            return "";
        }

        public Query(String str, String str2) {
            this(str, str2, null);
        }

        public Query(String str, String str2, String str3) {
            this.f2521d = 1;
            this.f2522e = 20;
            this.f2523f = "zh-CN";
            this.f2524g = false;
            this.f2526i = true;
            this.k = true;
            this.m = PremiumType.DEFAULT.a();
            this.n = new ShowFields();
            this.f2518a = str;
            this.f2519b = str2;
            this.f2520c = str3;
        }

        public String getBuilding() {
            return this.f2525h;
        }

        public void setBuilding(String str) {
            this.f2525h = str;
        }

        public String getQueryString() {
            return this.f2518a;
        }

        public void setQueryLanguage(String str) {
            if ("en".equals(str)) {
                this.f2523f = "en";
            } else {
                this.f2523f = "zh-CN";
            }
        }

        protected String getQueryLanguage() {
            return this.f2523f;
        }

        public String getCategory() {
            String str = this.f2519b;
            if (str == null || str.equals("00") || this.f2519b.equals("00|")) {
                return a();
            }
            return this.f2519b;
        }

        public String getCity() {
            return this.f2520c;
        }

        public int getPageNum() {
            return this.f2521d;
        }

        public void setPageNum(int i2) {
            if (i2 <= 0) {
                i2 = 1;
            }
            this.f2521d = i2;
        }

        public void setPageSize(int i2) {
            if (i2 <= 0) {
                this.f2522e = 20;
            } else if (i2 > 30) {
                this.f2522e = 30;
            } else {
                this.f2522e = i2;
            }
        }

        public int getPageSize() {
            return this.f2522e;
        }

        public void setCityLimit(boolean z) {
            this.f2524g = z;
        }

        public boolean getCityLimit() {
            return this.f2524g;
        }

        public boolean isDistanceSort() {
            return this.f2526i;
        }

        public void setDistanceSort(boolean z) {
            this.f2526i = z;
        }

        public LatLonPoint getLocation() {
            return this.f2527j;
        }

        public void setLocation(LatLonPoint latLonPoint) {
            this.f2527j = latLonPoint;
        }

        public boolean isSpecial() {
            return this.k;
        }

        public void setSpecial(boolean z) {
            this.k = z;
        }

        public ShowFields getShowFields() {
            return this.n;
        }

        public void setShowFields(ShowFields showFields) {
            if (showFields == null) {
                this.n = new ShowFields();
            } else {
                this.n = showFields;
            }
        }

        public void setChannel(String str) {
            this.l = str;
        }

        public String getChannel() {
            return this.l;
        }

        public void setPremium(PremiumType premiumType) {
            if (premiumType == null) {
                return;
            }
            this.m = premiumType.a();
        }

        public String getPremium() {
            return this.m;
        }

        public boolean queryEquals(Query query) {
            if (query == null) {
                return false;
            }
            if (query == this) {
                return true;
            }
            return PoiSearchV2.b(query.f2518a, this.f2518a) && PoiSearchV2.b(query.f2519b, this.f2519b) && PoiSearchV2.b(query.f2523f, this.f2523f) && PoiSearchV2.b(query.f2520c, this.f2520c) && PoiSearchV2.b(query.f2525h, this.f2525h) && PoiSearchV2.b(query.l, this.l) && PoiSearchV2.b(query.m, this.m) && query.f2524g == this.f2524g && query.f2522e == this.f2522e && query.f2526i == this.f2526i && query.k == this.k && query.n.value == this.n.value;
        }

        public int hashCode() {
            String str = this.f2519b;
            int hashCode = ((str == null ? 0 : str.hashCode()) + 31) * 31;
            String str2 = this.l;
            int hashCode2 = (hashCode + (str2 == null ? 0 : str2.hashCode())) * 31;
            String str3 = this.m;
            int hashCode3 = (hashCode2 + (str3 == null ? 0 : str3.hashCode())) * 31;
            String str4 = this.f2520c;
            int hashCode4 = (((hashCode3 + (str4 == null ? 0 : str4.hashCode())) * 31) + (this.f2524g ? 1231 : 1237)) * 31;
            String str5 = this.f2523f;
            int hashCode5 = (((((hashCode4 + (str5 == null ? 0 : str5.hashCode())) * 31) + this.f2521d) * 31) + this.f2522e) * 31;
            String str6 = this.f2518a;
            int hashCode6 = (hashCode5 + (str6 == null ? 0 : str6.hashCode())) * 31;
            String str7 = this.f2525h;
            return ((hashCode6 + (str7 != null ? str7.hashCode() : 0)) * 31) + (this.n.value % 1024);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            Query query = (Query) obj;
            String str = this.f2519b;
            if (str == null) {
                if (query.f2519b != null) {
                    return false;
                }
            } else if (!str.equals(query.f2519b)) {
                return false;
            }
            String str2 = this.f2520c;
            if (str2 == null) {
                if (query.f2520c != null) {
                    return false;
                }
            } else if (!str2.equals(query.f2520c)) {
                return false;
            }
            String str3 = this.f2523f;
            if (str3 == null) {
                if (query.f2523f != null) {
                    return false;
                }
            } else if (!str3.equals(query.f2523f)) {
                return false;
            }
            if (this.f2521d != query.f2521d || this.f2522e != query.f2522e) {
                return false;
            }
            String str4 = this.f2518a;
            if (str4 == null) {
                if (query.f2518a != null) {
                    return false;
                }
            } else if (!str4.equals(query.f2518a)) {
                return false;
            }
            String str5 = this.l;
            if (str5 == null) {
                if (query.l != null) {
                    return false;
                }
            } else if (!str5.equals(query.l)) {
                return false;
            }
            String str6 = this.m;
            if (str6 == null) {
                if (query.m != null) {
                    return false;
                }
            } else if (!str6.equals(query.m)) {
                return false;
            }
            String str7 = this.f2525h;
            if (str7 == null) {
                if (query.f2525h != null) {
                    return false;
                }
            } else if (!str7.equals(query.f2525h)) {
                return false;
            }
            return this.f2524g == query.f2524g && this.k == query.k && this.n.value == this.n.value;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public Query m84clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "PoiSearch", "queryclone");
            }
            Query query = new Query(this.f2518a, this.f2519b, this.f2520c);
            query.setPageNum(this.f2521d);
            query.setPageSize(this.f2522e);
            query.setQueryLanguage(this.f2523f);
            query.setCityLimit(this.f2524g);
            query.setBuilding(this.f2525h);
            query.setLocation(this.f2527j);
            query.setDistanceSort(this.f2526i);
            query.setSpecial(this.k);
            query.setChannel(this.l);
            query.setPremium(PremiumType.a(this.m));
            query.setShowFields(new ShowFields(this.n.value));
            return query;
        }
    }

    public static class SearchBound implements Cloneable {
        public static final String BOUND_SHAPE = "Bound";
        public static final String ELLIPSE_SHAPE = "Ellipse";
        public static final String POLYGON_SHAPE = "Polygon";
        public static final String RECTANGLE_SHAPE = "Rectangle";

        /* renamed from: a, reason: collision with root package name */
        private LatLonPoint f2528a;

        /* renamed from: b, reason: collision with root package name */
        private LatLonPoint f2529b;

        /* renamed from: c, reason: collision with root package name */
        private int f2530c;

        /* renamed from: d, reason: collision with root package name */
        private LatLonPoint f2531d;

        /* renamed from: e, reason: collision with root package name */
        private String f2532e;

        /* renamed from: f, reason: collision with root package name */
        private boolean f2533f;

        /* renamed from: g, reason: collision with root package name */
        private List<LatLonPoint> f2534g;

        public SearchBound(LatLonPoint latLonPoint, int i2) {
            this.f2533f = true;
            this.f2532e = "Bound";
            this.f2530c = i2;
            this.f2531d = latLonPoint;
        }

        public SearchBound(LatLonPoint latLonPoint, int i2, boolean z) {
            this.f2532e = "Bound";
            this.f2530c = i2;
            this.f2531d = latLonPoint;
            this.f2533f = z;
        }

        public SearchBound(LatLonPoint latLonPoint, LatLonPoint latLonPoint2) {
            this.f2530c = ConnectionResult.DRIVE_EXTERNAL_STORAGE_REQUIRED;
            this.f2533f = true;
            this.f2532e = "Rectangle";
            a(latLonPoint, latLonPoint2);
        }

        public SearchBound(List<LatLonPoint> list) {
            this.f2530c = ConnectionResult.DRIVE_EXTERNAL_STORAGE_REQUIRED;
            this.f2533f = true;
            this.f2532e = "Polygon";
            this.f2534g = list;
        }

        private SearchBound(LatLonPoint latLonPoint, LatLonPoint latLonPoint2, int i2, LatLonPoint latLonPoint3, String str, List<LatLonPoint> list, boolean z) {
            this.f2528a = latLonPoint;
            this.f2529b = latLonPoint2;
            this.f2530c = i2;
            this.f2531d = latLonPoint3;
            this.f2532e = str;
            this.f2534g = list;
            this.f2533f = z;
        }

        private void a(LatLonPoint latLonPoint, LatLonPoint latLonPoint2) {
            this.f2528a = latLonPoint;
            this.f2529b = latLonPoint2;
            if (latLonPoint.getLatitude() >= this.f2529b.getLatitude() || this.f2528a.getLongitude() >= this.f2529b.getLongitude()) {
                new IllegalArgumentException("invalid rect ").printStackTrace();
            }
            this.f2531d = new LatLonPoint((this.f2528a.getLatitude() + this.f2529b.getLatitude()) / 2.0d, (this.f2528a.getLongitude() + this.f2529b.getLongitude()) / 2.0d);
        }

        public LatLonPoint getLowerLeft() {
            return this.f2528a;
        }

        public LatLonPoint getUpperRight() {
            return this.f2529b;
        }

        public LatLonPoint getCenter() {
            return this.f2531d;
        }

        public int getRange() {
            return this.f2530c;
        }

        public String getShape() {
            return this.f2532e;
        }

        public boolean isDistanceSort() {
            return this.f2533f;
        }

        public List<LatLonPoint> getPolyGonList() {
            return this.f2534g;
        }

        public int hashCode() {
            LatLonPoint latLonPoint = this.f2531d;
            int hashCode = ((((latLonPoint == null ? 0 : latLonPoint.hashCode()) + 31) * 31) + (this.f2533f ? 1231 : 1237)) * 31;
            LatLonPoint latLonPoint2 = this.f2528a;
            int hashCode2 = (hashCode + (latLonPoint2 == null ? 0 : latLonPoint2.hashCode())) * 31;
            LatLonPoint latLonPoint3 = this.f2529b;
            int hashCode3 = (hashCode2 + (latLonPoint3 == null ? 0 : latLonPoint3.hashCode())) * 31;
            List<LatLonPoint> list = this.f2534g;
            int hashCode4 = (((hashCode3 + (list == null ? 0 : list.hashCode())) * 31) + this.f2530c) * 31;
            String str = this.f2532e;
            return hashCode4 + (str != null ? str.hashCode() : 0);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            SearchBound searchBound = (SearchBound) obj;
            LatLonPoint latLonPoint = this.f2531d;
            if (latLonPoint == null) {
                if (searchBound.f2531d != null) {
                    return false;
                }
            } else if (!latLonPoint.equals(searchBound.f2531d)) {
                return false;
            }
            if (this.f2533f != searchBound.f2533f) {
                return false;
            }
            LatLonPoint latLonPoint2 = this.f2528a;
            if (latLonPoint2 == null) {
                if (searchBound.f2528a != null) {
                    return false;
                }
            } else if (!latLonPoint2.equals(searchBound.f2528a)) {
                return false;
            }
            LatLonPoint latLonPoint3 = this.f2529b;
            if (latLonPoint3 == null) {
                if (searchBound.f2529b != null) {
                    return false;
                }
            } else if (!latLonPoint3.equals(searchBound.f2529b)) {
                return false;
            }
            List<LatLonPoint> list = this.f2534g;
            if (list == null) {
                if (searchBound.f2534g != null) {
                    return false;
                }
            } else if (!list.equals(searchBound.f2534g)) {
                return false;
            }
            if (this.f2530c != searchBound.f2530c) {
                return false;
            }
            String str = this.f2532e;
            if (str == null) {
                if (searchBound.f2532e != null) {
                    return false;
                }
            } else if (!str.equals(searchBound.f2532e)) {
                return false;
            }
            return true;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public SearchBound m85clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "PoiSearch", "SearchBoundClone");
            }
            return new SearchBound(this.f2528a, this.f2529b, this.f2530c, this.f2531d, this.f2532e, this.f2534g, this.f2533f);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static boolean b(String str, String str2) {
        if (str == null && str2 == null) {
            return true;
        }
        if (str == null || str2 == null) {
            return false;
        }
        return str.equals(str2);
    }
}
