package com.amap.api.services.route;

import android.content.Context;
import android.os.Parcel;
import android.os.Parcelable;
import com.amap.api.col.p0003sl.fm;
import com.amap.api.col.p0003sl.hq;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.interfaces.IRouteSearch;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes.dex */
public class RouteSearch {
    public static final int BUS_COMFORTABLE = 4;
    public static final int BUS_DEFAULT = 0;
    public static final int BUS_LEASE_CHANGE = 2;
    public static final int BUS_LEASE_WALK = 3;
    public static final int BUS_NO_SUBWAY = 5;
    public static final int BUS_SAVE_MONEY = 1;
    public static final int BusComfortable = 4;
    public static final int BusDefault = 0;
    public static final int BusLeaseChange = 2;
    public static final int BusLeaseWalk = 3;
    public static final int BusNoSubway = 5;
    public static final int BusSaveMoney = 1;
    public static final int DRIVEING_PLAN_AVOID_CONGESTION_CHOICE_HIGHWAY = 9;
    public static final int DRIVEING_PLAN_AVOID_CONGESTION_FASTEST_SAVE_MONEY = 11;
    public static final int DRIVEING_PLAN_AVOID_CONGESTION_NO_HIGHWAY = 4;
    public static final int DRIVEING_PLAN_AVOID_CONGESTION_SAVE_MONEY = 6;
    public static final int DRIVEING_PLAN_AVOID_CONGESTION_SAVE_MONEY_NO_HIGHWAY = 7;
    public static final int DRIVEING_PLAN_CHOICE_HIGHWAY = 8;
    public static final int DRIVEING_PLAN_DEFAULT = 1;
    public static final int DRIVEING_PLAN_FASTEST_SHORTEST = 10;
    public static final int DRIVEING_PLAN_NO_HIGHWAY = 2;
    public static final int DRIVEING_PLAN_SAVE_MONEY = 3;
    public static final int DRIVEING_PLAN_SAVE_MONEY_NO_HIGHWAY = 5;
    public static final String DRIVING_EXCLUDE_FERRY = "ferry";
    public static final String DRIVING_EXCLUDE_MOTORWAY = "motorway";
    public static final String DRIVING_EXCLUDE_TOLL = "toll";
    public static final int DRIVING_MULTI_CHOICE_AVOID_CONGESTION = 12;
    public static final int DRIVING_MULTI_CHOICE_AVOID_CONGESTION_NO_HIGHWAY = 15;
    public static final int DRIVING_MULTI_CHOICE_AVOID_CONGESTION_NO_HIGHWAY_SAVE_MONEY = 18;
    public static final int DRIVING_MULTI_CHOICE_AVOID_CONGESTION_SAVE_MONEY = 17;
    public static final int DRIVING_MULTI_CHOICE_HIGHWAY = 19;
    public static final int DRIVING_MULTI_CHOICE_HIGHWAY_AVOID_CONGESTION = 20;
    public static final int DRIVING_MULTI_CHOICE_NO_HIGHWAY = 13;
    public static final int DRIVING_MULTI_CHOICE_SAVE_MONEY = 14;
    public static final int DRIVING_MULTI_CHOICE_SAVE_MONEY_NO_HIGHWAY = 16;
    public static final int DRIVING_MULTI_STRATEGY_FASTEST_SAVE_MONEY_SHORTEST = 5;
    public static final int DRIVING_MULTI_STRATEGY_FASTEST_SHORTEST = 11;
    public static final int DRIVING_MULTI_STRATEGY_FASTEST_SHORTEST_AVOID_CONGESTION = 10;
    public static final int DRIVING_NORMAL_CAR = 0;
    public static final int DRIVING_PLUGIN_HYBRID_CAR = 2;
    public static final int DRIVING_PURE_ELECTRIC_VEHICLE = 1;
    public static final int DRIVING_SINGLE_AVOID_CONGESTION = 4;
    public static final int DRIVING_SINGLE_DEFAULT = 0;
    public static final int DRIVING_SINGLE_NO_EXPRESSWAYS = 3;
    public static final int DRIVING_SINGLE_NO_HIGHWAY = 6;
    public static final int DRIVING_SINGLE_NO_HIGHWAY_SAVE_MONEY = 7;
    public static final int DRIVING_SINGLE_NO_HIGHWAY_SAVE_MONEY_AVOID_CONGESTION = 9;
    public static final int DRIVING_SINGLE_SAVE_MONEY = 1;
    public static final int DRIVING_SINGLE_SAVE_MONEY_AVOID_CONGESTION = 8;
    public static final int DRIVING_SINGLE_SHORTEST = 2;
    public static final int DrivingAvoidCongestion = 4;
    public static final int DrivingDefault = 0;
    public static final int DrivingMultiStrategy = 5;
    public static final int DrivingNoExpressways = 3;
    public static final int DrivingNoHighAvoidCongestionSaveMoney = 9;
    public static final int DrivingNoHighWay = 6;
    public static final int DrivingNoHighWaySaveMoney = 7;
    public static final int DrivingSaveMoney = 1;
    public static final int DrivingSaveMoneyAvoidCongestion = 8;
    public static final int DrivingShortDistance = 2;
    public static final String EXTENSIONS_ALL = "all";
    public static final String EXTENSIONS_BASE = "base";
    public static final int RIDING_DEFAULT = 0;
    public static final int RIDING_FAST = 2;
    public static final int RIDING_RECOMMEND = 1;
    public static final int RidingDefault = 0;
    public static final int RidingFast = 2;
    public static final int RidingRecommend = 1;
    public static final int TRUCK_AVOID_CONGESTION = 1;
    public static final int TRUCK_AVOID_CONGESTION_CHOICE_HIGHWAY = 9;
    public static final int TRUCK_AVOID_CONGESTION_NO_HIGHWAY = 4;
    public static final int TRUCK_AVOID_CONGESTION__SAVE_MONEY = 6;
    public static final int TRUCK_AVOID_CONGESTION__SAVE_MONEY_NO_HIGHWAY = 7;
    public static final int TRUCK_CHOICE_HIGHWAY = 8;
    public static final int TRUCK_NO_HIGHWAY = 2;
    public static final int TRUCK_SAVE_MONEY = 3;
    public static final int TRUCK_SAVE_MONEY_NO_HIGHWAY = 5;
    public static final int TRUCK_SIZE_HEAVY = 4;
    public static final int TRUCK_SIZE_LIGHT = 2;
    public static final int TRUCK_SIZE_MEDIUM = 3;
    public static final int TRUCK_SIZE_MINI = 1;
    public static final int WALK_DEFAULT = 0;
    public static final int WALK_MULTI_PATH = 1;
    public static final int WalkDefault = 0;
    public static final int WalkMultipath = 1;

    /* renamed from: a, reason: collision with root package name */
    private IRouteSearch f2727a;

    public interface OnRoutePlanSearchListener {
        void onDriveRoutePlanSearched(DriveRoutePlanResult driveRoutePlanResult, int i2);
    }

    public interface OnRouteSearchListener {
        void onBusRouteSearched(BusRouteResult busRouteResult, int i2);

        void onDriveRouteSearched(DriveRouteResult driveRouteResult, int i2);

        void onRideRouteSearched(RideRouteResult rideRouteResult, int i2);

        void onWalkRouteSearched(WalkRouteResult walkRouteResult, int i2);
    }

    public interface OnTruckRouteSearchListener {
        void onTruckRouteSearched(TruckRouteRestult truckRouteRestult, int i2);
    }

    public RouteSearch(Context context) throws AMapException {
        if (this.f2727a == null) {
            try {
                this.f2727a = new hq(context);
            } catch (Exception e2) {
                e2.printStackTrace();
                if (e2 instanceof AMapException) {
                    throw ((AMapException) e2);
                }
            }
        }
    }

    public void setRouteSearchListener(OnRouteSearchListener onRouteSearchListener) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.setRouteSearchListener(onRouteSearchListener);
        }
    }

    public void setOnTruckRouteSearchListener(OnTruckRouteSearchListener onTruckRouteSearchListener) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.setOnTruckRouteSearchListener(onTruckRouteSearchListener);
        }
    }

    public void setOnRoutePlanSearchListener(OnRoutePlanSearchListener onRoutePlanSearchListener) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.setOnRoutePlanSearchListener(onRoutePlanSearchListener);
        }
    }

    public WalkRouteResult calculateWalkRoute(WalkRouteQuery walkRouteQuery) throws AMapException {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            return iRouteSearch.calculateWalkRoute(walkRouteQuery);
        }
        return null;
    }

    public void calculateWalkRouteAsyn(WalkRouteQuery walkRouteQuery) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.calculateWalkRouteAsyn(walkRouteQuery);
        }
    }

    public BusRouteResult calculateBusRoute(BusRouteQuery busRouteQuery) throws AMapException {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            return iRouteSearch.calculateBusRoute(busRouteQuery);
        }
        return null;
    }

    public void calculateBusRouteAsyn(BusRouteQuery busRouteQuery) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.calculateBusRouteAsyn(busRouteQuery);
        }
    }

    public DriveRouteResult calculateDriveRoute(DriveRouteQuery driveRouteQuery) throws AMapException {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            return iRouteSearch.calculateDriveRoute(driveRouteQuery);
        }
        return null;
    }

    public void calculateDriveRouteAsyn(DriveRouteQuery driveRouteQuery) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.calculateDriveRouteAsyn(driveRouteQuery);
        }
    }

    public void calculateRideRouteAsyn(RideRouteQuery rideRouteQuery) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.calculateRideRouteAsyn(rideRouteQuery);
        }
    }

    public RideRouteResult calculateRideRoute(RideRouteQuery rideRouteQuery) throws AMapException {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            return iRouteSearch.calculateRideRoute(rideRouteQuery);
        }
        return null;
    }

    public TruckRouteRestult calculateTruckRoute(TruckRouteQuery truckRouteQuery) throws AMapException {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            return iRouteSearch.calculateTruckRoute(truckRouteQuery);
        }
        return null;
    }

    public void calculateTruckRouteAsyn(TruckRouteQuery truckRouteQuery) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.calculateTruckRouteAsyn(truckRouteQuery);
        }
    }

    public DriveRoutePlanResult calculateDrivePlan(DrivePlanQuery drivePlanQuery) throws AMapException {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            return iRouteSearch.calculateDrivePlan(drivePlanQuery);
        }
        return null;
    }

    public void calculateDrivePlanAsyn(DrivePlanQuery drivePlanQuery) {
        IRouteSearch iRouteSearch = this.f2727a;
        if (iRouteSearch != null) {
            iRouteSearch.calculateDrivePlanAsyn(drivePlanQuery);
        }
    }

    public static class FromAndTo implements Parcelable, Cloneable {
        public static final Parcelable.Creator<FromAndTo> CREATOR = new Parcelable.Creator<FromAndTo>() { // from class: com.amap.api.services.route.RouteSearch.FromAndTo.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ FromAndTo createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ FromAndTo[] newArray(int i2) {
                return a(i2);
            }

            private static FromAndTo a(Parcel parcel) {
                return new FromAndTo(parcel);
            }

            private static FromAndTo[] a(int i2) {
                return new FromAndTo[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private LatLonPoint f2750a;

        /* renamed from: b, reason: collision with root package name */
        private LatLonPoint f2751b;

        /* renamed from: c, reason: collision with root package name */
        private String f2752c;

        /* renamed from: d, reason: collision with root package name */
        private String f2753d;

        /* renamed from: e, reason: collision with root package name */
        private String f2754e;

        /* renamed from: f, reason: collision with root package name */
        private String f2755f;

        /* renamed from: g, reason: collision with root package name */
        private String f2756g;

        /* renamed from: h, reason: collision with root package name */
        private String f2757h;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public FromAndTo(LatLonPoint latLonPoint, LatLonPoint latLonPoint2) {
            this.f2750a = latLonPoint;
            this.f2751b = latLonPoint2;
        }

        public LatLonPoint getFrom() {
            return this.f2750a;
        }

        public LatLonPoint getTo() {
            return this.f2751b;
        }

        public String getStartPoiID() {
            return this.f2752c;
        }

        public void setStartPoiID(String str) {
            this.f2752c = str;
        }

        public String getDestinationPoiID() {
            return this.f2753d;
        }

        public void setDestinationPoiID(String str) {
            this.f2753d = str;
        }

        public String getOriginType() {
            return this.f2754e;
        }

        public void setOriginType(String str) {
            this.f2754e = str;
        }

        public String getDestinationType() {
            return this.f2755f;
        }

        public void setDestinationType(String str) {
            this.f2755f = str;
        }

        public String getPlateProvince() {
            return this.f2756g;
        }

        public void setPlateProvince(String str) {
            this.f2756g = str;
        }

        public String getPlateNumber() {
            return this.f2757h;
        }

        public void setPlateNumber(String str) {
            this.f2757h = str;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.f2750a, i2);
            parcel.writeParcelable(this.f2751b, i2);
            parcel.writeString(this.f2752c);
            parcel.writeString(this.f2753d);
            parcel.writeString(this.f2754e);
            parcel.writeString(this.f2755f);
        }

        public FromAndTo(Parcel parcel) {
            this.f2750a = (LatLonPoint) parcel.readParcelable(LatLonPoint.class.getClassLoader());
            this.f2751b = (LatLonPoint) parcel.readParcelable(LatLonPoint.class.getClassLoader());
            this.f2752c = parcel.readString();
            this.f2753d = parcel.readString();
            this.f2754e = parcel.readString();
            this.f2755f = parcel.readString();
        }

        public FromAndTo() {
        }

        public int hashCode() {
            String str = this.f2753d;
            int hashCode = ((str == null ? 0 : str.hashCode()) + 31) * 31;
            LatLonPoint latLonPoint = this.f2750a;
            int hashCode2 = (hashCode + (latLonPoint == null ? 0 : latLonPoint.hashCode())) * 31;
            String str2 = this.f2752c;
            int hashCode3 = (hashCode2 + (str2 == null ? 0 : str2.hashCode())) * 31;
            LatLonPoint latLonPoint2 = this.f2751b;
            int hashCode4 = (hashCode3 + (latLonPoint2 == null ? 0 : latLonPoint2.hashCode())) * 31;
            String str3 = this.f2754e;
            int hashCode5 = (hashCode4 + (str3 == null ? 0 : str3.hashCode())) * 31;
            String str4 = this.f2755f;
            return hashCode5 + (str4 != null ? str4.hashCode() : 0);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            FromAndTo fromAndTo = (FromAndTo) obj;
            String str = this.f2753d;
            if (str == null) {
                if (fromAndTo.f2753d != null) {
                    return false;
                }
            } else if (!str.equals(fromAndTo.f2753d)) {
                return false;
            }
            LatLonPoint latLonPoint = this.f2750a;
            if (latLonPoint == null) {
                if (fromAndTo.f2750a != null) {
                    return false;
                }
            } else if (!latLonPoint.equals(fromAndTo.f2750a)) {
                return false;
            }
            String str2 = this.f2752c;
            if (str2 == null) {
                if (fromAndTo.f2752c != null) {
                    return false;
                }
            } else if (!str2.equals(fromAndTo.f2752c)) {
                return false;
            }
            LatLonPoint latLonPoint2 = this.f2751b;
            if (latLonPoint2 == null) {
                if (fromAndTo.f2751b != null) {
                    return false;
                }
            } else if (!latLonPoint2.equals(fromAndTo.f2751b)) {
                return false;
            }
            String str3 = this.f2754e;
            if (str3 == null) {
                if (fromAndTo.f2754e != null) {
                    return false;
                }
            } else if (!str3.equals(fromAndTo.f2754e)) {
                return false;
            }
            String str4 = this.f2755f;
            if (str4 == null) {
                if (fromAndTo.f2755f != null) {
                    return false;
                }
            } else if (!str4.equals(fromAndTo.f2755f)) {
                return false;
            }
            return true;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public FromAndTo m90clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "RouteSearch", "FromAndToclone");
            }
            FromAndTo fromAndTo = new FromAndTo(this.f2750a, this.f2751b);
            fromAndTo.setStartPoiID(this.f2752c);
            fromAndTo.setDestinationPoiID(this.f2753d);
            fromAndTo.setOriginType(this.f2754e);
            fromAndTo.setDestinationType(this.f2755f);
            return fromAndTo;
        }
    }

    public static class BusRouteQuery implements Parcelable, Cloneable {
        public static final Parcelable.Creator<BusRouteQuery> CREATOR = new Parcelable.Creator<BusRouteQuery>() { // from class: com.amap.api.services.route.RouteSearch.BusRouteQuery.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ BusRouteQuery createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ BusRouteQuery[] newArray(int i2) {
                return a(i2);
            }

            private static BusRouteQuery a(Parcel parcel) {
                return new BusRouteQuery(parcel);
            }

            private static BusRouteQuery[] a(int i2) {
                return new BusRouteQuery[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private FromAndTo f2728a;

        /* renamed from: b, reason: collision with root package name */
        private int f2729b;

        /* renamed from: c, reason: collision with root package name */
        private String f2730c;

        /* renamed from: d, reason: collision with root package name */
        private String f2731d;

        /* renamed from: e, reason: collision with root package name */
        private int f2732e;

        /* renamed from: f, reason: collision with root package name */
        private String f2733f;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public BusRouteQuery(FromAndTo fromAndTo, int i2, String str, int i3) {
            this.f2733f = "base";
            this.f2728a = fromAndTo;
            this.f2729b = i2;
            this.f2730c = str;
            this.f2732e = i3;
        }

        public FromAndTo getFromAndTo() {
            return this.f2728a;
        }

        public int getMode() {
            return this.f2729b;
        }

        public String getCity() {
            return this.f2730c;
        }

        public int getNightFlag() {
            return this.f2732e;
        }

        public String getCityd() {
            return this.f2731d;
        }

        public void setCityd(String str) {
            this.f2731d = str;
        }

        public String getExtensions() {
            return this.f2733f;
        }

        public void setExtensions(String str) {
            this.f2733f = str;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.f2728a, i2);
            parcel.writeInt(this.f2729b);
            parcel.writeString(this.f2730c);
            parcel.writeInt(this.f2732e);
            parcel.writeString(this.f2731d);
            parcel.writeString(this.f2733f);
        }

        public BusRouteQuery(Parcel parcel) {
            this.f2733f = "base";
            this.f2728a = (FromAndTo) parcel.readParcelable(FromAndTo.class.getClassLoader());
            this.f2729b = parcel.readInt();
            this.f2730c = parcel.readString();
            this.f2732e = parcel.readInt();
            this.f2731d = parcel.readString();
            this.f2733f = parcel.readString();
        }

        public BusRouteQuery() {
            this.f2733f = "base";
        }

        public int hashCode() {
            String str = this.f2730c;
            int hashCode = ((str == null ? 0 : str.hashCode()) + 31) * 31;
            FromAndTo fromAndTo = this.f2728a;
            int hashCode2 = (((((hashCode + (fromAndTo == null ? 0 : fromAndTo.hashCode())) * 31) + this.f2729b) * 31) + this.f2732e) * 31;
            String str2 = this.f2731d;
            return hashCode2 + (str2 != null ? str2.hashCode() : 0);
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            BusRouteQuery busRouteQuery = (BusRouteQuery) obj;
            String str = this.f2730c;
            if (str == null) {
                if (busRouteQuery.f2730c != null) {
                    return false;
                }
            } else if (!str.equals(busRouteQuery.f2730c)) {
                return false;
            }
            String str2 = this.f2731d;
            if (str2 == null) {
                if (busRouteQuery.f2731d != null) {
                    return false;
                }
            } else if (!str2.equals(busRouteQuery.f2731d)) {
                return false;
            }
            String str3 = this.f2733f;
            if (str3 == null) {
                if (busRouteQuery.f2733f != null) {
                    return false;
                }
            } else if (!str3.equals(busRouteQuery.f2733f)) {
                return false;
            }
            FromAndTo fromAndTo = this.f2728a;
            if (fromAndTo == null) {
                if (busRouteQuery.f2728a != null) {
                    return false;
                }
            } else if (!fromAndTo.equals(busRouteQuery.f2728a)) {
                return false;
            }
            return this.f2729b == busRouteQuery.f2729b && this.f2732e == busRouteQuery.f2732e;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public BusRouteQuery m87clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "RouteSearch", "BusRouteQueryclone");
            }
            BusRouteQuery busRouteQuery = new BusRouteQuery(this.f2728a, this.f2729b, this.f2730c, this.f2732e);
            busRouteQuery.setCityd(this.f2731d);
            busRouteQuery.setExtensions(this.f2733f);
            return busRouteQuery;
        }
    }

    public static class WalkRouteQuery implements Parcelable, Cloneable {
        public static final Parcelable.Creator<WalkRouteQuery> CREATOR = new Parcelable.Creator<WalkRouteQuery>() { // from class: com.amap.api.services.route.RouteSearch.WalkRouteQuery.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ WalkRouteQuery createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ WalkRouteQuery[] newArray(int i2) {
                return a(i2);
            }

            private static WalkRouteQuery a(Parcel parcel) {
                return new WalkRouteQuery(parcel);
            }

            private static WalkRouteQuery[] a(int i2) {
                return new WalkRouteQuery[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private FromAndTo f2771a;

        /* renamed from: b, reason: collision with root package name */
        private int f2772b;

        /* renamed from: c, reason: collision with root package name */
        private String f2773c;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public WalkRouteQuery(FromAndTo fromAndTo, int i2) {
            this.f2773c = "base";
            this.f2771a = fromAndTo;
            this.f2772b = i2;
        }

        public WalkRouteQuery(FromAndTo fromAndTo) {
            this.f2773c = "base";
            this.f2771a = fromAndTo;
        }

        public FromAndTo getFromAndTo() {
            return this.f2771a;
        }

        public int getMode() {
            return this.f2772b;
        }

        public String getExtensions() {
            return this.f2773c;
        }

        public void setExtensions(String str) {
            this.f2773c = str;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.f2771a, i2);
            parcel.writeInt(this.f2772b);
            parcel.writeString(this.f2773c);
        }

        public WalkRouteQuery(Parcel parcel) {
            this.f2773c = "base";
            this.f2771a = (FromAndTo) parcel.readParcelable(FromAndTo.class.getClassLoader());
            this.f2772b = parcel.readInt();
            this.f2773c = parcel.readString();
        }

        public WalkRouteQuery() {
            this.f2773c = "base";
        }

        public int hashCode() {
            FromAndTo fromAndTo = this.f2771a;
            return (((fromAndTo == null ? 0 : fromAndTo.hashCode()) + 31) * 31) + this.f2772b;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            WalkRouteQuery walkRouteQuery = (WalkRouteQuery) obj;
            FromAndTo fromAndTo = this.f2771a;
            if (fromAndTo == null) {
                if (walkRouteQuery.f2771a != null) {
                    return false;
                }
            } else if (!fromAndTo.equals(walkRouteQuery.f2771a)) {
                return false;
            }
            String str = this.f2773c;
            if (str == null) {
                if (walkRouteQuery.f2773c != null) {
                    return false;
                }
            } else if (!str.equals(walkRouteQuery.f2773c)) {
                return false;
            }
            return this.f2772b == walkRouteQuery.f2772b;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public WalkRouteQuery m93clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "RouteSearch", "WalkRouteQueryclone");
            }
            WalkRouteQuery walkRouteQuery = new WalkRouteQuery(this.f2771a);
            walkRouteQuery.setExtensions(this.f2773c);
            return walkRouteQuery;
        }
    }

    public static class DriveRouteQuery implements Parcelable, Cloneable {
        public static final Parcelable.Creator<DriveRouteQuery> CREATOR = new Parcelable.Creator<DriveRouteQuery>() { // from class: com.amap.api.services.route.RouteSearch.DriveRouteQuery.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ DriveRouteQuery createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ DriveRouteQuery[] newArray(int i2) {
                return a(i2);
            }

            private static DriveRouteQuery a(Parcel parcel) {
                return new DriveRouteQuery(parcel);
            }

            private static DriveRouteQuery[] a(int i2) {
                return new DriveRouteQuery[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private FromAndTo f2741a;

        /* renamed from: b, reason: collision with root package name */
        private int f2742b;

        /* renamed from: c, reason: collision with root package name */
        private List<LatLonPoint> f2743c;

        /* renamed from: d, reason: collision with root package name */
        private List<List<LatLonPoint>> f2744d;

        /* renamed from: e, reason: collision with root package name */
        private String f2745e;

        /* renamed from: f, reason: collision with root package name */
        private boolean f2746f;

        /* renamed from: g, reason: collision with root package name */
        private int f2747g;

        /* renamed from: h, reason: collision with root package name */
        private String f2748h;

        /* renamed from: i, reason: collision with root package name */
        private String f2749i;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public DriveRouteQuery(FromAndTo fromAndTo, int i2, List<LatLonPoint> list, List<List<LatLonPoint>> list2, String str) {
            this.f2746f = true;
            this.f2747g = 0;
            this.f2748h = null;
            this.f2749i = "base";
            this.f2741a = fromAndTo;
            this.f2742b = i2;
            this.f2743c = list;
            this.f2744d = list2;
            this.f2745e = str;
        }

        public FromAndTo getFromAndTo() {
            return this.f2741a;
        }

        public int getMode() {
            return this.f2742b;
        }

        public int getCarType() {
            return this.f2747g;
        }

        public List<LatLonPoint> getPassedByPoints() {
            return this.f2743c;
        }

        public List<List<LatLonPoint>> getAvoidpolygons() {
            return this.f2744d;
        }

        public String getAvoidRoad() {
            return this.f2745e;
        }

        public String getPassedPointStr() {
            StringBuffer stringBuffer = new StringBuffer();
            List<LatLonPoint> list = this.f2743c;
            if (list == null || list.size() == 0) {
                return null;
            }
            for (int i2 = 0; i2 < this.f2743c.size(); i2++) {
                LatLonPoint latLonPoint = this.f2743c.get(i2);
                stringBuffer.append(latLonPoint.getLongitude());
                stringBuffer.append(",");
                stringBuffer.append(latLonPoint.getLatitude());
                if (i2 < this.f2743c.size() - 1) {
                    stringBuffer.append(";");
                }
            }
            return stringBuffer.toString();
        }

        public boolean hasPassPoint() {
            return !fm.a(getPassedPointStr());
        }

        public String getAvoidpolygonsStr() {
            StringBuffer stringBuffer = new StringBuffer();
            List<List<LatLonPoint>> list = this.f2744d;
            if (list == null || list.size() == 0) {
                return null;
            }
            for (int i2 = 0; i2 < this.f2744d.size(); i2++) {
                List<LatLonPoint> list2 = this.f2744d.get(i2);
                for (int i3 = 0; i3 < list2.size(); i3++) {
                    LatLonPoint latLonPoint = list2.get(i3);
                    stringBuffer.append(latLonPoint.getLongitude());
                    stringBuffer.append(",");
                    stringBuffer.append(latLonPoint.getLatitude());
                    if (i3 < list2.size() - 1) {
                        stringBuffer.append(";");
                    }
                }
                if (i2 < this.f2744d.size() - 1) {
                    stringBuffer.append("|");
                }
            }
            return stringBuffer.toString();
        }

        public boolean hasAvoidpolygons() {
            return !fm.a(getAvoidpolygonsStr());
        }

        public boolean hasAvoidRoad() {
            return !fm.a(getAvoidRoad());
        }

        public String getExclude() {
            return this.f2748h;
        }

        public void setExclude(String str) {
            this.f2748h = str;
        }

        public String getExtensions() {
            return this.f2749i;
        }

        public void setExtensions(String str) {
            this.f2749i = str;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.f2741a, i2);
            parcel.writeInt(this.f2742b);
            parcel.writeTypedList(this.f2743c);
            List<List<LatLonPoint>> list = this.f2744d;
            if (list == null) {
                parcel.writeInt(0);
            } else {
                parcel.writeInt(list.size());
                Iterator<List<LatLonPoint>> it2 = this.f2744d.iterator();
                while (it2.hasNext()) {
                    parcel.writeTypedList(it2.next());
                }
            }
            parcel.writeString(this.f2745e);
            parcel.writeInt(this.f2746f ? 1 : 0);
            parcel.writeInt(this.f2747g);
            parcel.writeString(this.f2748h);
            parcel.writeString(this.f2749i);
        }

        public DriveRouteQuery(Parcel parcel) {
            this.f2746f = true;
            this.f2747g = 0;
            this.f2748h = null;
            this.f2749i = "base";
            this.f2741a = (FromAndTo) parcel.readParcelable(FromAndTo.class.getClassLoader());
            this.f2742b = parcel.readInt();
            this.f2743c = parcel.createTypedArrayList(LatLonPoint.CREATOR);
            int readInt = parcel.readInt();
            if (readInt == 0) {
                this.f2744d = null;
            } else {
                this.f2744d = new ArrayList();
            }
            for (int i2 = 0; i2 < readInt; i2++) {
                this.f2744d.add(parcel.createTypedArrayList(LatLonPoint.CREATOR));
            }
            this.f2745e = parcel.readString();
            this.f2746f = parcel.readInt() == 1;
            this.f2747g = parcel.readInt();
            this.f2748h = parcel.readString();
            this.f2749i = parcel.readString();
        }

        public DriveRouteQuery() {
            this.f2746f = true;
            this.f2747g = 0;
            this.f2748h = null;
            this.f2749i = "base";
        }

        public int hashCode() {
            String str = this.f2745e;
            int hashCode = ((str == null ? 0 : str.hashCode()) + 31) * 31;
            List<List<LatLonPoint>> list = this.f2744d;
            int hashCode2 = (hashCode + (list == null ? 0 : list.hashCode())) * 31;
            FromAndTo fromAndTo = this.f2741a;
            int hashCode3 = (((hashCode2 + (fromAndTo == null ? 0 : fromAndTo.hashCode())) * 31) + this.f2742b) * 31;
            List<LatLonPoint> list2 = this.f2743c;
            return ((hashCode3 + (list2 != null ? list2.hashCode() : 0)) * 31) + this.f2747g;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            DriveRouteQuery driveRouteQuery = (DriveRouteQuery) obj;
            String str = this.f2745e;
            if (str == null) {
                if (driveRouteQuery.f2745e != null) {
                    return false;
                }
            } else if (!str.equals(driveRouteQuery.f2745e)) {
                return false;
            }
            List<List<LatLonPoint>> list = this.f2744d;
            if (list == null) {
                if (driveRouteQuery.f2744d != null) {
                    return false;
                }
            } else if (!list.equals(driveRouteQuery.f2744d)) {
                return false;
            }
            FromAndTo fromAndTo = this.f2741a;
            if (fromAndTo == null) {
                if (driveRouteQuery.f2741a != null) {
                    return false;
                }
            } else if (!fromAndTo.equals(driveRouteQuery.f2741a)) {
                return false;
            }
            if (this.f2742b != driveRouteQuery.f2742b) {
                return false;
            }
            List<LatLonPoint> list2 = this.f2743c;
            if (list2 == null) {
                if (driveRouteQuery.f2743c != null) {
                    return false;
                }
            } else if (!list2.equals(driveRouteQuery.f2743c) || this.f2746f != driveRouteQuery.isUseFerry() || this.f2747g != driveRouteQuery.f2747g) {
                return false;
            }
            String str2 = this.f2749i;
            if (str2 == null) {
                if (driveRouteQuery.f2749i != null) {
                    return false;
                }
            } else if (!str2.equals(driveRouteQuery.f2749i)) {
                return false;
            }
            return true;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public DriveRouteQuery m89clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "RouteSearch", "DriveRouteQueryclone");
            }
            DriveRouteQuery driveRouteQuery = new DriveRouteQuery(this.f2741a, this.f2742b, this.f2743c, this.f2744d, this.f2745e);
            driveRouteQuery.setUseFerry(this.f2746f);
            driveRouteQuery.setCarType(this.f2747g);
            driveRouteQuery.setExclude(this.f2748h);
            driveRouteQuery.setExtensions(this.f2749i);
            return driveRouteQuery;
        }

        public boolean isUseFerry() {
            return this.f2746f;
        }

        public void setUseFerry(boolean z) {
            this.f2746f = z;
        }

        public void setCarType(int i2) {
            this.f2747g = i2;
        }
    }

    public static class RideRouteQuery implements Parcelable, Cloneable {
        public static final Parcelable.Creator<RideRouteQuery> CREATOR = new Parcelable.Creator<RideRouteQuery>() { // from class: com.amap.api.services.route.RouteSearch.RideRouteQuery.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ RideRouteQuery createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ RideRouteQuery[] newArray(int i2) {
                return a(i2);
            }

            private static RideRouteQuery a(Parcel parcel) {
                return new RideRouteQuery(parcel);
            }

            private static RideRouteQuery[] a(int i2) {
                return new RideRouteQuery[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private FromAndTo f2758a;

        /* renamed from: b, reason: collision with root package name */
        private int f2759b;

        /* renamed from: c, reason: collision with root package name */
        private String f2760c;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public RideRouteQuery(FromAndTo fromAndTo, int i2) {
            this.f2760c = "base";
            this.f2758a = fromAndTo;
            this.f2759b = i2;
        }

        public RideRouteQuery(FromAndTo fromAndTo) {
            this.f2760c = "base";
            this.f2758a = fromAndTo;
        }

        public FromAndTo getFromAndTo() {
            return this.f2758a;
        }

        public int getMode() {
            return this.f2759b;
        }

        public String getExtensions() {
            return this.f2760c;
        }

        public void setExtensions(String str) {
            this.f2760c = str;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.f2758a, i2);
            parcel.writeInt(this.f2759b);
            parcel.writeString(this.f2760c);
        }

        public RideRouteQuery(Parcel parcel) {
            this.f2760c = "base";
            this.f2758a = (FromAndTo) parcel.readParcelable(FromAndTo.class.getClassLoader());
            this.f2759b = parcel.readInt();
            this.f2760c = parcel.readString();
        }

        public RideRouteQuery() {
            this.f2760c = "base";
        }

        public int hashCode() {
            FromAndTo fromAndTo = this.f2758a;
            return (((fromAndTo == null ? 0 : fromAndTo.hashCode()) + 31) * 31) + this.f2759b;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            RideRouteQuery rideRouteQuery = (RideRouteQuery) obj;
            FromAndTo fromAndTo = this.f2758a;
            if (fromAndTo == null) {
                if (rideRouteQuery.f2758a != null) {
                    return false;
                }
            } else if (!fromAndTo.equals(rideRouteQuery.f2758a)) {
                return false;
            }
            return this.f2759b == rideRouteQuery.f2759b;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public RideRouteQuery m91clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "RouteSearch", "RideRouteQueryclone");
            }
            RideRouteQuery rideRouteQuery = new RideRouteQuery(this.f2758a);
            rideRouteQuery.setExtensions(this.f2760c);
            return rideRouteQuery;
        }
    }

    public static class TruckRouteQuery implements Parcelable, Cloneable {
        public static final Parcelable.Creator<TruckRouteQuery> CREATOR = new Parcelable.Creator<TruckRouteQuery>() { // from class: com.amap.api.services.route.RouteSearch.TruckRouteQuery.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ TruckRouteQuery createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ TruckRouteQuery[] newArray(int i2) {
                return a(i2);
            }

            private static TruckRouteQuery a(Parcel parcel) {
                return new TruckRouteQuery(parcel);
            }

            private static TruckRouteQuery[] a(int i2) {
                return new TruckRouteQuery[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private FromAndTo f2761a;

        /* renamed from: b, reason: collision with root package name */
        private int f2762b;

        /* renamed from: c, reason: collision with root package name */
        private int f2763c;

        /* renamed from: d, reason: collision with root package name */
        private List<LatLonPoint> f2764d;

        /* renamed from: e, reason: collision with root package name */
        private float f2765e;

        /* renamed from: f, reason: collision with root package name */
        private float f2766f;

        /* renamed from: g, reason: collision with root package name */
        private float f2767g;

        /* renamed from: h, reason: collision with root package name */
        private float f2768h;

        /* renamed from: i, reason: collision with root package name */
        private float f2769i;

        /* renamed from: j, reason: collision with root package name */
        private String f2770j;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public TruckRouteQuery(FromAndTo fromAndTo, int i2, List<LatLonPoint> list, int i3) {
            this.f2770j = "base";
            this.f2761a = fromAndTo;
            this.f2763c = i2;
            this.f2764d = list;
            this.f2762b = i3;
        }

        protected TruckRouteQuery(Parcel parcel) {
            this.f2762b = 2;
            this.f2770j = "base";
            this.f2761a = (FromAndTo) parcel.readParcelable(FromAndTo.class.getClassLoader());
            this.f2762b = parcel.readInt();
            this.f2763c = parcel.readInt();
            this.f2764d = parcel.createTypedArrayList(LatLonPoint.CREATOR);
            this.f2765e = parcel.readFloat();
            this.f2766f = parcel.readFloat();
            this.f2767g = parcel.readFloat();
            this.f2768h = parcel.readFloat();
            this.f2769i = parcel.readFloat();
            this.f2770j = parcel.readString();
        }

        public void setMode(int i2) {
            this.f2763c = i2;
        }

        public void setTruckSize(int i2) {
            this.f2762b = i2;
        }

        public void setTruckHeight(float f2) {
            this.f2765e = f2;
        }

        public void setTruckWidth(float f2) {
            this.f2766f = f2;
        }

        public void setTruckLoad(float f2) {
            this.f2767g = f2;
        }

        public void setTruckWeight(float f2) {
            this.f2768h = f2;
        }

        public void setTruckAxis(float f2) {
            this.f2769i = f2;
        }

        public FromAndTo getFromAndTo() {
            return this.f2761a;
        }

        public int getMode() {
            return this.f2763c;
        }

        public String getExtensions() {
            return this.f2770j;
        }

        public void setExtensions(String str) {
            this.f2770j = str;
        }

        public boolean hasPassPoint() {
            return !fm.a(getPassedPointStr());
        }

        public List<LatLonPoint> getPassedByPoints() {
            return this.f2764d;
        }

        public String getPassedPointStr() {
            StringBuffer stringBuffer = new StringBuffer();
            List<LatLonPoint> list = this.f2764d;
            if (list == null || list.size() == 0) {
                return null;
            }
            for (int i2 = 0; i2 < this.f2764d.size(); i2++) {
                LatLonPoint latLonPoint = this.f2764d.get(i2);
                stringBuffer.append(latLonPoint.getLongitude());
                stringBuffer.append(",");
                stringBuffer.append(latLonPoint.getLatitude());
                if (i2 < this.f2764d.size() - 1) {
                    stringBuffer.append(";");
                }
            }
            return stringBuffer.toString();
        }

        public int getTruckSize() {
            return this.f2762b;
        }

        public float getTruckHeight() {
            return this.f2765e;
        }

        public float getTruckWidth() {
            return this.f2766f;
        }

        public float getTruckLoad() {
            return this.f2767g;
        }

        public float getTruckWeight() {
            return this.f2768h;
        }

        public float getTruckAxis() {
            return this.f2769i;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public TruckRouteQuery m92clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "RouteSearch", "TruckRouteQueryclone");
            }
            TruckRouteQuery truckRouteQuery = new TruckRouteQuery(this.f2761a, this.f2763c, this.f2764d, this.f2762b);
            truckRouteQuery.setExtensions(this.f2770j);
            return truckRouteQuery;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.f2761a, i2);
            parcel.writeInt(this.f2762b);
            parcel.writeInt(this.f2763c);
            parcel.writeTypedList(this.f2764d);
            parcel.writeFloat(this.f2765e);
            parcel.writeFloat(this.f2766f);
            parcel.writeFloat(this.f2767g);
            parcel.writeFloat(this.f2768h);
            parcel.writeFloat(this.f2769i);
            parcel.writeString(this.f2770j);
        }
    }

    public static class DrivePlanQuery implements Parcelable, Cloneable {
        public static final Parcelable.Creator<DrivePlanQuery> CREATOR = new Parcelable.Creator<DrivePlanQuery>() { // from class: com.amap.api.services.route.RouteSearch.DrivePlanQuery.1
            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ DrivePlanQuery createFromParcel(Parcel parcel) {
                return a(parcel);
            }

            @Override // android.os.Parcelable.Creator
            public final /* synthetic */ DrivePlanQuery[] newArray(int i2) {
                return a(i2);
            }

            private static DrivePlanQuery a(Parcel parcel) {
                return new DrivePlanQuery(parcel);
            }

            private static DrivePlanQuery[] a(int i2) {
                return new DrivePlanQuery[i2];
            }
        };

        /* renamed from: a, reason: collision with root package name */
        private FromAndTo f2734a;

        /* renamed from: b, reason: collision with root package name */
        private String f2735b;

        /* renamed from: c, reason: collision with root package name */
        private int f2736c;

        /* renamed from: d, reason: collision with root package name */
        private int f2737d;

        /* renamed from: e, reason: collision with root package name */
        private int f2738e;

        /* renamed from: f, reason: collision with root package name */
        private int f2739f;

        /* renamed from: g, reason: collision with root package name */
        private int f2740g;

        @Override // android.os.Parcelable
        public int describeContents() {
            return 0;
        }

        public DrivePlanQuery(FromAndTo fromAndTo, int i2, int i3, int i4) {
            this.f2736c = 1;
            this.f2737d = 0;
            this.f2734a = fromAndTo;
            this.f2738e = i2;
            this.f2739f = i3;
            this.f2740g = i4;
        }

        public FromAndTo getFromAndTo() {
            return this.f2734a;
        }

        public String getDestParentPoiID() {
            return this.f2735b;
        }

        public int getMode() {
            return this.f2736c;
        }

        public int getCarType() {
            return this.f2737d;
        }

        public int getFirstTime() {
            return this.f2738e;
        }

        public int getInterval() {
            return this.f2739f;
        }

        public int getCount() {
            return this.f2740g;
        }

        @Override // android.os.Parcelable
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.f2734a, i2);
            parcel.writeString(this.f2735b);
            parcel.writeInt(this.f2736c);
            parcel.writeInt(this.f2737d);
            parcel.writeInt(this.f2738e);
            parcel.writeInt(this.f2739f);
            parcel.writeInt(this.f2740g);
        }

        public DrivePlanQuery() {
            this.f2736c = 1;
            this.f2737d = 0;
            this.f2738e = 0;
            this.f2739f = 0;
            this.f2740g = 48;
        }

        protected DrivePlanQuery(Parcel parcel) {
            this.f2736c = 1;
            this.f2737d = 0;
            this.f2738e = 0;
            this.f2739f = 0;
            this.f2740g = 48;
            this.f2734a = (FromAndTo) parcel.readParcelable(FromAndTo.class.getClassLoader());
            this.f2735b = parcel.readString();
            this.f2736c = parcel.readInt();
            this.f2737d = parcel.readInt();
            this.f2738e = parcel.readInt();
            this.f2739f = parcel.readInt();
            this.f2740g = parcel.readInt();
        }

        public int hashCode() {
            FromAndTo fromAndTo = this.f2734a;
            int hashCode = ((fromAndTo == null ? 0 : fromAndTo.hashCode()) + 31) * 31;
            String str = this.f2735b;
            return ((((((((((hashCode + (str != null ? str.hashCode() : 0)) * 31) + this.f2736c) * 31) + this.f2737d) * 31) + this.f2738e) * 31) + this.f2739f) * 31) + this.f2740g;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null || getClass() != obj.getClass()) {
                return false;
            }
            DrivePlanQuery drivePlanQuery = (DrivePlanQuery) obj;
            FromAndTo fromAndTo = this.f2734a;
            if (fromAndTo == null) {
                if (drivePlanQuery.f2734a != null) {
                    return false;
                }
            } else if (!fromAndTo.equals(drivePlanQuery.f2734a)) {
                return false;
            }
            String str = this.f2735b;
            if (str == null) {
                if (drivePlanQuery.f2735b != null) {
                    return false;
                }
            } else if (!str.equals(drivePlanQuery.f2735b)) {
                return false;
            }
            return this.f2736c == drivePlanQuery.f2736c && this.f2737d == drivePlanQuery.f2737d && this.f2738e == drivePlanQuery.f2738e && this.f2739f == drivePlanQuery.f2739f && this.f2740g == drivePlanQuery.f2740g;
        }

        /* renamed from: clone, reason: merged with bridge method [inline-methods] */
        public DrivePlanQuery m88clone() {
            try {
                super.clone();
            } catch (CloneNotSupportedException e2) {
                fm.a(e2, "RouteSearch", "DriveRouteQueryclone");
            }
            DrivePlanQuery drivePlanQuery = new DrivePlanQuery(this.f2734a, this.f2738e, this.f2739f, this.f2740g);
            drivePlanQuery.setDestParentPoiID(this.f2735b);
            drivePlanQuery.setMode(this.f2736c);
            drivePlanQuery.setCarType(this.f2737d);
            return drivePlanQuery;
        }

        public void setDestParentPoiID(String str) {
            this.f2735b = str;
        }

        public void setMode(int i2) {
            this.f2736c = i2;
        }

        public void setCarType(int i2) {
            this.f2737d = i2;
        }
    }
}
