package com.amap.api.services.share;

import android.content.Context;
import com.amap.api.col.p0003sl.hs;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.LatLonSharePoint;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.interfaces.IShareSearch;

/* loaded from: classes.dex */
public class ShareSearch {
    public static final int BusComfortable = 4;
    public static final int BusDefault = 0;
    public static final int BusLeaseChange = 2;
    public static final int BusLeaseWalk = 3;
    public static final int BusNoSubway = 5;
    public static final int BusSaveMoney = 1;
    public static final int DrivingAvoidCongestion = 4;
    public static final int DrivingDefault = 0;
    public static final int DrivingNoHighWay = 3;
    public static final int DrivingNoHighWayAvoidCongestion = 6;
    public static final int DrivingNoHighWaySaveMoney = 5;
    public static final int DrivingNoHighWaySaveMoneyAvoidCongestion = 8;
    public static final int DrivingSaveMoney = 1;
    public static final int DrivingSaveMoneyAvoidCongestion = 7;
    public static final int DrivingShortDistance = 2;
    public static final int NaviAvoidCongestion = 4;
    public static final int NaviDefault = 0;
    public static final int NaviNoHighWay = 3;
    public static final int NaviNoHighWayAvoidCongestion = 6;
    public static final int NaviNoHighWaySaveMoney = 5;
    public static final int NaviNoHighWaySaveMoneyAvoidCongestion = 8;
    public static final int NaviSaveMoney = 1;
    public static final int NaviSaveMoneyAvoidCongestion = 7;
    public static final int NaviShortDistance = 2;

    /* renamed from: a, reason: collision with root package name */
    private IShareSearch f2922a;

    public interface OnShareSearchListener {
        void onBusRouteShareUrlSearched(String str, int i2);

        void onDrivingRouteShareUrlSearched(String str, int i2);

        void onLocationShareUrlSearched(String str, int i2);

        void onNaviShareUrlSearched(String str, int i2);

        void onPoiShareUrlSearched(String str, int i2);

        void onWalkRouteShareUrlSearched(String str, int i2);
    }

    public ShareSearch(Context context) throws AMapException {
        if (this.f2922a == null) {
            try {
                this.f2922a = new hs(context);
            } catch (Exception e2) {
                e2.printStackTrace();
                if (e2 instanceof AMapException) {
                    throw ((AMapException) e2);
                }
            }
        }
    }

    public void setOnShareSearchListener(OnShareSearchListener onShareSearchListener) {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch != null) {
            iShareSearch.setOnShareSearchListener(onShareSearchListener);
        }
    }

    public void searchPoiShareUrlAsyn(PoiItem poiItem) {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch != null) {
            iShareSearch.searchPoiShareUrlAsyn(poiItem);
        }
    }

    public void searchBusRouteShareUrlAsyn(ShareBusRouteQuery shareBusRouteQuery) {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch != null) {
            iShareSearch.searchBusRouteShareUrlAsyn(shareBusRouteQuery);
        }
    }

    public void searchWalkRouteShareUrlAsyn(ShareWalkRouteQuery shareWalkRouteQuery) {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch != null) {
            iShareSearch.searchWalkRouteShareUrlAsyn(shareWalkRouteQuery);
        }
    }

    public void searchDrivingRouteShareUrlAsyn(ShareDrivingRouteQuery shareDrivingRouteQuery) {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch != null) {
            iShareSearch.searchDrivingRouteShareUrlAsyn(shareDrivingRouteQuery);
        }
    }

    public void searchNaviShareUrlAsyn(ShareNaviQuery shareNaviQuery) {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch != null) {
            iShareSearch.searchNaviShareUrlAsyn(shareNaviQuery);
        }
    }

    public void searchLocationShareUrlAsyn(LatLonSharePoint latLonSharePoint) {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch != null) {
            iShareSearch.searchLocationShareUrlAsyn(latLonSharePoint);
        }
    }

    public String searchPoiShareUrl(PoiItem poiItem) throws AMapException {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch == null) {
            return null;
        }
        iShareSearch.searchPoiShareUrl(poiItem);
        return null;
    }

    public String searchNaviShareUrl(ShareNaviQuery shareNaviQuery) throws AMapException {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch == null) {
            return null;
        }
        iShareSearch.searchNaviShareUrl(shareNaviQuery);
        return null;
    }

    public String searchLocationShareUrl(LatLonSharePoint latLonSharePoint) throws AMapException {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch == null) {
            return null;
        }
        iShareSearch.searchLocationShareUrl(latLonSharePoint);
        return null;
    }

    public String searchBusRouteShareUrl(ShareBusRouteQuery shareBusRouteQuery) throws AMapException {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch == null) {
            return null;
        }
        iShareSearch.searchBusRouteShareUrl(shareBusRouteQuery);
        return null;
    }

    public String searchDrivingRouteShareUrl(ShareDrivingRouteQuery shareDrivingRouteQuery) throws AMapException {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch == null) {
            return null;
        }
        iShareSearch.searchDrivingRouteShareUrl(shareDrivingRouteQuery);
        return null;
    }

    public String searchWalkRouteShareUrl(ShareWalkRouteQuery shareWalkRouteQuery) throws AMapException {
        IShareSearch iShareSearch = this.f2922a;
        if (iShareSearch == null) {
            return null;
        }
        iShareSearch.searchWalkRouteShareUrl(shareWalkRouteQuery);
        return null;
    }

    public static class ShareNaviQuery {

        /* renamed from: a, reason: collision with root package name */
        private ShareFromAndTo f2931a;

        /* renamed from: b, reason: collision with root package name */
        private int f2932b;

        public ShareNaviQuery(ShareFromAndTo shareFromAndTo, int i2) {
            this.f2931a = shareFromAndTo;
            this.f2932b = i2;
        }

        public ShareFromAndTo getFromAndTo() {
            return this.f2931a;
        }

        public int getNaviMode() {
            return this.f2932b;
        }
    }

    public static class ShareWalkRouteQuery {

        /* renamed from: a, reason: collision with root package name */
        private ShareFromAndTo f2933a;

        /* renamed from: b, reason: collision with root package name */
        private int f2934b;

        public ShareWalkRouteQuery(ShareFromAndTo shareFromAndTo, int i2) {
            this.f2933a = shareFromAndTo;
            this.f2934b = i2;
        }

        public int getWalkMode() {
            return this.f2934b;
        }

        public ShareFromAndTo getShareFromAndTo() {
            return this.f2933a;
        }
    }

    public static class ShareDrivingRouteQuery {

        /* renamed from: a, reason: collision with root package name */
        private ShareFromAndTo f2925a;

        /* renamed from: b, reason: collision with root package name */
        private int f2926b;

        public ShareDrivingRouteQuery(ShareFromAndTo shareFromAndTo, int i2) {
            this.f2925a = shareFromAndTo;
            this.f2926b = i2;
        }

        public int getDrivingMode() {
            return this.f2926b;
        }

        public ShareFromAndTo getShareFromAndTo() {
            return this.f2925a;
        }
    }

    public static class ShareBusRouteQuery {

        /* renamed from: a, reason: collision with root package name */
        private ShareFromAndTo f2923a;

        /* renamed from: b, reason: collision with root package name */
        private int f2924b;

        public ShareBusRouteQuery(ShareFromAndTo shareFromAndTo, int i2) {
            this.f2923a = shareFromAndTo;
            this.f2924b = i2;
        }

        public int getBusMode() {
            return this.f2924b;
        }

        public ShareFromAndTo getShareFromAndTo() {
            return this.f2923a;
        }
    }

    public static class ShareFromAndTo {

        /* renamed from: a, reason: collision with root package name */
        private LatLonPoint f2927a;

        /* renamed from: b, reason: collision with root package name */
        private LatLonPoint f2928b;

        /* renamed from: c, reason: collision with root package name */
        private String f2929c = "起点";

        /* renamed from: d, reason: collision with root package name */
        private String f2930d = "终点";

        public ShareFromAndTo(LatLonPoint latLonPoint, LatLonPoint latLonPoint2) {
            this.f2927a = latLonPoint;
            this.f2928b = latLonPoint2;
        }

        public void setFromName(String str) {
            this.f2929c = str;
        }

        public void setToName(String str) {
            this.f2930d = str;
        }

        public LatLonPoint getFrom() {
            return this.f2927a;
        }

        public LatLonPoint getTo() {
            return this.f2928b;
        }

        public String getFromName() {
            return this.f2929c;
        }

        public String getToName() {
            return this.f2930d;
        }
    }
}
