package com.amap.api.trace;

import com.amap.api.maps.AMap;
import com.amap.api.maps.CameraUpdateFactory;
import com.amap.api.maps.model.BitmapDescriptorFactory;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.amap.api.maps.model.Polyline;
import com.amap.api.maps.model.PolylineOptions;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes.dex */
public class TraceOverlay {
    public static final int TRACE_STATUS_FAILURE = 3;
    public static final int TRACE_STATUS_FINISH = 2;
    public static final int TRACE_STATUS_PREPARE = 4;
    public static final int TRACE_STATUS_PROCESSING = 1;

    /* renamed from: a, reason: collision with root package name */
    private Polyline f2973a;

    /* renamed from: b, reason: collision with root package name */
    private PolylineOptions f2974b;

    /* renamed from: c, reason: collision with root package name */
    private AMap f2975c;

    /* renamed from: d, reason: collision with root package name */
    private List<LatLng> f2976d;

    /* renamed from: e, reason: collision with root package name */
    private int f2977e;

    /* renamed from: f, reason: collision with root package name */
    private int f2978f;

    /* renamed from: g, reason: collision with root package name */
    private int f2979g;

    public TraceOverlay(AMap aMap, List<LatLng> list) {
        this.f2976d = new ArrayList();
        this.f2977e = 4;
        this.f2975c = aMap;
        a();
        this.f2976d = list;
        this.f2974b.addAll(list);
        this.f2973a = aMap.addPolyline(this.f2974b);
    }

    public TraceOverlay(AMap aMap) {
        this.f2976d = new ArrayList();
        this.f2977e = 4;
        this.f2975c = aMap;
        a();
    }

    public void add(List<LatLng> list) {
        if (list == null || list.size() == 0) {
            return;
        }
        this.f2976d.addAll(list);
        a();
        if (this.f2973a == null) {
            this.f2973a = this.f2975c.addPolyline(this.f2974b);
        }
        Polyline polyline = this.f2973a;
        if (polyline != null) {
            polyline.setPoints(this.f2976d);
        }
    }

    public void remove() {
        Polyline polyline = this.f2973a;
        if (polyline != null) {
            polyline.remove();
        }
    }

    public void setProperCamera(List<LatLng> list) {
        LatLngBounds.Builder builder = LatLngBounds.builder();
        if (list == null || list.size() == 0) {
            return;
        }
        Iterator<LatLng> it2 = list.iterator();
        while (it2.hasNext()) {
            builder.include(it2.next());
        }
        try {
            this.f2975c.moveCamera(CameraUpdateFactory.newLatLngBounds(builder.build(), 20));
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public void zoopToSpan() {
        setProperCamera(this.f2974b.getPoints());
    }

    private PolylineOptions a() {
        if (this.f2974b == null) {
            PolylineOptions polylineOptions = new PolylineOptions();
            this.f2974b = polylineOptions;
            polylineOptions.setCustomTexture(BitmapDescriptorFactory.fromAsset("tracelinetexture.png"));
            this.f2974b.width(40.0f);
        }
        return this.f2974b;
    }

    public int getTraceStatus() {
        return this.f2977e;
    }

    public void setTraceStatus(int i2) {
        this.f2977e = i2;
    }

    public int getDistance() {
        return this.f2978f;
    }

    public void setDistance(int i2) {
        this.f2978f = i2;
    }

    public int getWaitTime() {
        return this.f2979g;
    }

    public void setWaitTime(int i2) {
        this.f2979g = i2;
    }
}
