package com.autonavi.base.ae.gmap.gloverlay;

import android.util.Pair;
import com.amap.api.col.p0003sl.en;
import com.amap.api.col.p0003sl.eo;
import com.amap.api.maps.model.BitmapDescriptor;
import com.amap.api.maps.model.RouteOverlay;
import com.autonavi.base.ae.gmap.gloverlay.GLOverlay;
import com.autonavi.base.amap.api.mapcore.IAMapDelegate;
import java.util.Map;

/* loaded from: classes.dex */
public class BaseRouteOverlay extends GLOverlay implements IRouteOverlayInner {
    private static native void nativeAddRouteItem(long j2, int i2, eo[] eoVarArr, int i3, en enVar, int[] iArr);

    private static native void nativeAddRouteName(long j2);

    private static native void nativeRemoveRouteName(long j2, long j3);

    private static native void nativeSetArrow3DTexture(long j2, int i2);

    private static native void nativeSetArrowFlow(long j2, boolean z);

    private static native void nativeSetCar2DPosition(long j2, int i2, float f2);

    private static native void nativeSetCar3DPosition(long j2, int i2, float f2);

    private static native void nativeSetHighlightParam(long j2, int[] iArr);

    private static native void nativeSetHighlightType(long j2, int i2);

    private static native void nativeSetLine2DWidth(long j2, int i2, int i3);

    private static native void nativeSetLineWidthScale(long j2, float f2);

    private static native void nativeSetRouteItemParam(long j2, eo eoVar);

    private static native void nativeSetSelectStatus(long j2, boolean z);

    private static native void nativeSetShowArrow(long j2, boolean z);

    private static native void nativeSetShowNaviRouteNameCountMap(long j2, int[] iArr, int[] iArr2);

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public Pair<Float, Float> getDisplayRange() {
        return null;
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public int getOverlayProperty() {
        return 0;
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void remove() {
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setDisplayRange(float f2, float f3) {
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setOverlayProperty(int i2) {
    }

    public BaseRouteOverlay(final int i2, IAMapDelegate iAMapDelegate, int i3) {
        super(i2, iAMapDelegate, i3);
        if (this.mGLMapView == null || this.mGLMapView.getGLMapEngine() == null) {
            return;
        }
        this.mGLMapView.queueEvent(new Runnable() { // from class: com.autonavi.base.ae.gmap.gloverlay.BaseRouteOverlay.1
            @Override // java.lang.Runnable
            public void run() {
                BaseRouteOverlay baseRouteOverlay = BaseRouteOverlay.this;
                baseRouteOverlay.mNativeInstance = baseRouteOverlay.mGLMapView.getGLMapEngine().createOverlay(i2, GLOverlay.EAMapOverlayTpye.AMAPROUTE_OVERLAY.getId());
            }
        });
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.GLOverlay
    void releaseInstance() {
        long j2 = this.mNativeInstance;
        this.mNativeInstance = 0L;
        this.mGLMapView.getGLMapEngine().destroyOverlay(this.mEngineID, j2);
        super.releaseInstance();
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void addRouteItem(int i2, eo[] eoVarArr, int i3, en enVar, int[] iArr) {
        int createOverlayTexture;
        int createOverlayTexture2;
        int createOverlayTexture3;
        if (this.mNativeInstance == 0) {
            return;
        }
        for (eo eoVar : eoVarArr) {
            if (eoVar == null) {
                return;
            }
            if (eoVar.f553a != null && (createOverlayTexture3 = this.mGLMapView.createOverlayTexture(this.mEngineID, eoVar.f553a.getBitmap())) >= 0) {
                eoVar.f554b = createOverlayTexture3;
            }
            if (eoVar.f555c != null && (createOverlayTexture2 = this.mGLMapView.createOverlayTexture(this.mEngineID, eoVar.f555c.getBitmap())) >= 0) {
                eoVar.f556d = createOverlayTexture2;
            }
            if (eoVar.f557e != null && (createOverlayTexture = this.mGLMapView.createOverlayTexture(this.mEngineID, eoVar.f557e.getBitmap())) >= 0) {
                eoVar.f558f = createOverlayTexture;
            }
        }
        nativeAddRouteItem(this.mNativeInstance, i2, eoVarArr, i3, enVar, iArr);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setCar2DPosition(int i2, float f2) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetCar2DPosition(this.mNativeInstance, i2, f2);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setCar3DPosition(int i2, float f2) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetCar3DPosition(this.mNativeInstance, i2, f2);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void addRouteName() {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeAddRouteName(this.mNativeInstance);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void removeRouteName() {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeRemoveRouteName(this.mNativeInstance, this.mGLMapView.getGLMapEngine().getNativeInstance());
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setLineWidthScale(float f2) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetLineWidthScale(this.mNativeInstance, f2);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setLine2DWidth(int i2, int i3) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetLine2DWidth(this.mNativeInstance, i2, i3);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setShowArrow(boolean z) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetShowArrow(this.mNativeInstance, z);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setArrow3DTexture(BitmapDescriptor bitmapDescriptor) {
        int createOverlayTexture;
        if (this.mNativeInstance == 0 || bitmapDescriptor == null || bitmapDescriptor.getBitmap() == null || (createOverlayTexture = this.mGLMapView.createOverlayTexture(this.mEngineID, bitmapDescriptor.getBitmap())) < 0) {
            return;
        }
        nativeSetArrow3DTexture(this.mNativeInstance, createOverlayTexture);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setRouteItemParam(eo eoVar) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetRouteItemParam(this.mNativeInstance, eoVar);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setHighlightType(int i2) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetHighlightType(this.mNativeInstance, i2);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setHighlightParam(RouteOverlay.RouteOverlayHighLightParam routeOverlayHighLightParam) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetHighlightParam(this.mNativeInstance, new int[]{routeOverlayHighLightParam.fillColorHightLight, routeOverlayHighLightParam.borderColorHightLight, routeOverlayHighLightParam.fillColorNormal, routeOverlayHighLightParam.borderColorNormal, routeOverlayHighLightParam.arrowColorNormal});
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setSelectStatus(boolean z) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetSelectStatus(this.mNativeInstance, z);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setShowNaviRouteNameCountMap(Map<Integer, Integer> map) {
        if (this.mNativeInstance == 0) {
            return;
        }
        int[] iArr = new int[map.size()];
        int[] iArr2 = new int[map.size()];
        int i2 = 0;
        for (Map.Entry<Integer, Integer> entry : map.entrySet()) {
            iArr[i2] = entry.getKey().intValue();
            iArr2[i2] = entry.getValue().intValue();
            i2++;
        }
        nativeSetShowNaviRouteNameCountMap(this.mNativeInstance, iArr, iArr2);
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.IRouteOverlayInner
    public void setArrowFlow(boolean z) {
        if (this.mNativeInstance == 0) {
            return;
        }
        nativeSetArrowFlow(this.mNativeInstance, z);
    }
}
