package com.autonavi.base.amap.mapcore.message;

import com.autonavi.amap.mapcore.IPoint;
import com.autonavi.base.ae.gmap.AbstractMapMessage;
import com.autonavi.base.ae.gmap.GLMapState;

/* loaded from: classes.dex */
public abstract class AbstractGestureMapMessage extends AbstractMapMessage {
    public int anchorX;
    public int anchorY;
    private int state;
    public int width = 0;
    public int height = 0;
    public boolean isGestureScaleByMapCenter = false;
    public boolean isUseAnchor = false;

    @Override // com.autonavi.base.ae.gmap.AbstractMapMessage
    public abstract int getType();

    public abstract void runCameraUpdate(GLMapState gLMapState);

    public AbstractGestureMapMessage(int i2) {
        this.state = i2;
    }

    public void setState(int i2) {
        this.state = i2;
    }

    public void reset() {
        this.width = 0;
        this.height = 0;
        this.state = 0;
        this.isGestureScaleByMapCenter = false;
        this.isUseAnchor = false;
        this.anchorX = 0;
        this.anchorY = 0;
    }

    protected void win2geo(GLMapState gLMapState, int i2, int i3, IPoint iPoint) {
        gLMapState.screenToP20Point(i2, i3, iPoint);
    }

    protected IPoint getAnchorGeoPoint(GLMapState gLMapState, int i2, int i3) {
        IPoint obtain = IPoint.obtain();
        gLMapState.screenToP20Point(i2, i3, obtain);
        return obtain;
    }

    public int getMapGestureState() {
        return this.state;
    }
}
