package com.flyco.dialog.utils;

import android.R;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.GradientDrawable;
import android.graphics.drawable.StateListDrawable;

/* loaded from: classes2.dex */
public class CornerUtils {
    public static Drawable cornerDrawable(int i2, float f2) {
        GradientDrawable gradientDrawable = new GradientDrawable();
        gradientDrawable.setCornerRadius(f2);
        gradientDrawable.setColor(i2);
        return gradientDrawable;
    }

    public static Drawable cornerDrawable(int i2, float[] fArr) {
        GradientDrawable gradientDrawable = new GradientDrawable();
        gradientDrawable.setCornerRadii(fArr);
        gradientDrawable.setColor(i2);
        return gradientDrawable;
    }

    public static Drawable cornerDrawable(int i2, float[] fArr, int i3, int i4) {
        GradientDrawable gradientDrawable = new GradientDrawable();
        gradientDrawable.setCornerRadii(fArr);
        gradientDrawable.setStroke(i3, i4);
        gradientDrawable.setColor(i2);
        return gradientDrawable;
    }

    public static StateListDrawable btnSelector(float f2, int i2, int i3, int i4) {
        Drawable drawable;
        Drawable drawable2;
        StateListDrawable stateListDrawable = new StateListDrawable();
        if (i4 == 0) {
            drawable = cornerDrawable(i2, new float[]{0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, f2, f2});
            drawable2 = cornerDrawable(i3, new float[]{0.0f, 0.0f, 0.0f, 0.0f, 0.0f, 0.0f, f2, f2});
        } else if (i4 == 1) {
            drawable = cornerDrawable(i2, new float[]{0.0f, 0.0f, 0.0f, 0.0f, f2, f2, 0.0f, 0.0f});
            drawable2 = cornerDrawable(i3, new float[]{0.0f, 0.0f, 0.0f, 0.0f, f2, f2, 0.0f, 0.0f});
        } else if (i4 == -1) {
            drawable = cornerDrawable(i2, new float[]{0.0f, 0.0f, 0.0f, 0.0f, f2, f2, f2, f2});
            drawable2 = cornerDrawable(i3, new float[]{0.0f, 0.0f, 0.0f, 0.0f, f2, f2, f2, f2});
        } else if (i4 == -2) {
            drawable = cornerDrawable(i2, f2);
            drawable2 = cornerDrawable(i3, f2);
        } else {
            drawable = null;
            drawable2 = null;
        }
        stateListDrawable.addState(new int[]{-16842919}, drawable);
        stateListDrawable.addState(new int[]{R.attr.state_pressed}, drawable2);
        return stateListDrawable;
    }

    public static StateListDrawable listItemSelector(float f2, int i2, int i3, boolean z) {
        Drawable cornerDrawable;
        Drawable drawable;
        StateListDrawable stateListDrawable = new StateListDrawable();
        if (!z) {
            drawable = new ColorDrawable(i2);
            cornerDrawable = new ColorDrawable(i3);
        } else {
            Drawable cornerDrawable2 = cornerDrawable(i2, new float[]{0.0f, 0.0f, 0.0f, 0.0f, f2, f2, f2, f2});
            cornerDrawable = cornerDrawable(i3, new float[]{0.0f, 0.0f, 0.0f, 0.0f, f2, f2, f2, f2});
            drawable = cornerDrawable2;
        }
        stateListDrawable.addState(new int[]{-16842919}, drawable);
        stateListDrawable.addState(new int[]{R.attr.state_pressed}, cornerDrawable);
        return stateListDrawable;
    }

    public static StateListDrawable listItemSelector(float f2, int i2, int i3, int i4, int i5) {
        Drawable colorDrawable;
        Drawable drawable;
        StateListDrawable stateListDrawable = new StateListDrawable();
        if (i5 == 0 && i5 == i4 - 1) {
            drawable = cornerDrawable(i2, new float[]{f2, f2, f2, f2, f2, f2, f2, f2});
            colorDrawable = cornerDrawable(i3, new float[]{f2, f2, f2, f2, f2, f2, f2, f2});
        } else if (i5 == 0) {
            drawable = cornerDrawable(i2, new float[]{f2, f2, f2, f2, 0.0f, 0.0f, 0.0f, 0.0f});
            colorDrawable = cornerDrawable(i3, new float[]{f2, f2, f2, f2, 0.0f, 0.0f, 0.0f, 0.0f});
        } else if (i5 == i4 - 1) {
            drawable = cornerDrawable(i2, new float[]{0.0f, 0.0f, 0.0f, 0.0f, f2, f2, f2, f2});
            colorDrawable = cornerDrawable(i3, new float[]{0.0f, 0.0f, 0.0f, 0.0f, f2, f2, f2, f2});
        } else {
            ColorDrawable colorDrawable2 = new ColorDrawable(i2);
            colorDrawable = new ColorDrawable(i3);
            drawable = colorDrawable2;
        }
        stateListDrawable.addState(new int[]{-16842919}, drawable);
        stateListDrawable.addState(new int[]{R.attr.state_pressed}, colorDrawable);
        return stateListDrawable;
    }
}
