package com.flyco.dialog.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.util.AttributeSet;
import android.view.View;

/* loaded from: classes2.dex */
public class TriangleView extends View {
    private int mColor;
    private int mGravity;
    private Paint mPaint;
    private Path mPath;

    public TriangleView(Context context) {
        super(context);
        this.mPaint = new Paint(1);
        this.mPath = new Path();
    }

    public TriangleView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.mPaint = new Paint(1);
        this.mPath = new Path();
    }

    public void setColor(int i2) {
        this.mColor = i2;
        invalidate();
    }

    public void setGravity(int i2) {
        this.mGravity = i2;
        invalidate();
    }

    public int getColor() {
        return this.mColor;
    }

    public int getGravity() {
        return this.mGravity;
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int width = getWidth();
        int height = getHeight();
        this.mPaint.setColor(this.mColor);
        this.mPath.reset();
        int i2 = this.mGravity;
        if (i2 == 48) {
            this.mPath.moveTo(width / 2, 0.0f);
            float f2 = height;
            this.mPath.lineTo(0.0f, f2);
            this.mPath.lineTo(width, f2);
            this.mPath.close();
        } else if (i2 == 80) {
            this.mPath.moveTo(0.0f, 0.0f);
            this.mPath.lineTo(width, 0.0f);
            this.mPath.lineTo(width / 2, height);
            this.mPath.close();
        }
        canvas.drawPath(this.mPath, this.mPaint);
    }
}
