package com.flyco.dialog.widget;

import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.widget.LinearLayout;
import com.flyco.dialog.utils.CornerUtils;
import com.flyco.dialog.widget.internal.BaseAlertDialog;

/* loaded from: classes2.dex */
public class NormalDialog extends BaseAlertDialog<NormalDialog> {
    public static final int STYLE_ONE = 0;
    public static final int STYLE_TWO = 1;
    private int mDividerColor;
    private int mStyle;
    private int mTitleLineColor;
    private float mTitleLineHeight;
    private View mVLineHorizontal;
    private View mVLineTitle;
    private View mVLineVertical;
    private View mVLineVertical2;

    public NormalDialog(Context context) {
        super(context);
        this.mTitleLineColor = Color.parseColor("#61AEDC");
        this.mTitleLineHeight = 1.0f;
        this.mDividerColor = Color.parseColor("#DCDCDC");
        this.mStyle = 0;
        this.mTitleTextColor = Color.parseColor("#61AEDC");
        this.mTitleTextSize = 22.0f;
        this.mContentTextColor = Color.parseColor("#383838");
        this.mContentTextSize = 17.0f;
        this.mLeftBtnTextColor = Color.parseColor("#8a000000");
        this.mRightBtnTextColor = Color.parseColor("#8a000000");
        this.mMiddleBtnTextColor = Color.parseColor("#8a000000");
    }

    @Override // com.flyco.dialog.widget.base.BaseDialog
    public View onCreateView() {
        this.mTvTitle.setLayoutParams(new LinearLayout.LayoutParams(-1, -2));
        this.mLlContainer.addView(this.mTvTitle);
        this.mVLineTitle = new View(this.mContext);
        this.mLlContainer.addView(this.mVLineTitle);
        this.mTvContent.setLayoutParams(new LinearLayout.LayoutParams(-1, -2));
        this.mLlContainer.addView(this.mTvContent);
        View view = new View(this.mContext);
        this.mVLineHorizontal = view;
        view.setLayoutParams(new LinearLayout.LayoutParams(-1, 1));
        this.mLlContainer.addView(this.mVLineHorizontal);
        this.mTvBtnLeft.setLayoutParams(new LinearLayout.LayoutParams(0, dp2px(45.0f), 1.0f));
        this.mLlBtns.addView(this.mTvBtnLeft);
        View view2 = new View(this.mContext);
        this.mVLineVertical = view2;
        view2.setLayoutParams(new LinearLayout.LayoutParams(1, -1));
        this.mLlBtns.addView(this.mVLineVertical);
        this.mTvBtnMiddle.setLayoutParams(new LinearLayout.LayoutParams(0, dp2px(45.0f), 1.0f));
        this.mLlBtns.addView(this.mTvBtnMiddle);
        View view3 = new View(this.mContext);
        this.mVLineVertical2 = view3;
        view3.setLayoutParams(new LinearLayout.LayoutParams(1, -1));
        this.mLlBtns.addView(this.mVLineVertical2);
        this.mTvBtnRight.setLayoutParams(new LinearLayout.LayoutParams(0, dp2px(45.0f), 1.0f));
        this.mLlBtns.addView(this.mTvBtnRight);
        this.mLlContainer.addView(this.mLlBtns);
        return this.mLlContainer;
    }

    @Override // com.flyco.dialog.widget.internal.BaseAlertDialog, com.flyco.dialog.widget.base.BaseDialog
    public void setUiBeforShow() {
        super.setUiBeforShow();
        int i2 = this.mStyle;
        if (i2 == 0) {
            this.mTvTitle.setMinHeight(dp2px(48.0f));
            this.mTvTitle.setGravity(16);
            this.mTvTitle.setPadding(dp2px(15.0f), dp2px(5.0f), dp2px(0.0f), dp2px(5.0f));
            this.mTvTitle.setVisibility(this.mIsTitleShow ? 0 : 8);
        } else if (i2 == 1) {
            this.mTvTitle.setGravity(17);
            this.mTvTitle.setPadding(dp2px(0.0f), dp2px(15.0f), dp2px(0.0f), dp2px(0.0f));
        }
        this.mVLineTitle.setLayoutParams(new LinearLayout.LayoutParams(-1, dp2px(this.mTitleLineHeight)));
        this.mVLineTitle.setBackgroundColor(this.mTitleLineColor);
        this.mVLineTitle.setVisibility((this.mIsTitleShow && this.mStyle == 0) ? 0 : 8);
        int i3 = this.mStyle;
        if (i3 == 0) {
            this.mTvContent.setPadding(dp2px(15.0f), dp2px(10.0f), dp2px(15.0f), dp2px(10.0f));
            this.mTvContent.setMinHeight(dp2px(68.0f));
            this.mTvContent.setGravity(this.mContentGravity);
        } else if (i3 == 1) {
            this.mTvContent.setPadding(dp2px(15.0f), dp2px(7.0f), dp2px(15.0f), dp2px(20.0f));
            this.mTvContent.setMinHeight(dp2px(56.0f));
            this.mTvContent.setGravity(17);
        }
        this.mVLineHorizontal.setBackgroundColor(this.mDividerColor);
        this.mVLineVertical.setBackgroundColor(this.mDividerColor);
        this.mVLineVertical2.setBackgroundColor(this.mDividerColor);
        if (this.mBtnNum == 1) {
            this.mTvBtnLeft.setVisibility(8);
            this.mTvBtnRight.setVisibility(8);
            this.mVLineVertical.setVisibility(8);
            this.mVLineVertical2.setVisibility(8);
        } else if (this.mBtnNum == 2) {
            this.mTvBtnMiddle.setVisibility(8);
            this.mVLineVertical.setVisibility(8);
        }
        float dp2px = dp2px(this.mCornerRadius);
        this.mLlContainer.setBackgroundDrawable(CornerUtils.cornerDrawable(this.mBgColor, dp2px));
        this.mTvBtnLeft.setBackgroundDrawable(CornerUtils.btnSelector(dp2px, this.mBgColor, this.mBtnPressColor, 0));
        this.mTvBtnRight.setBackgroundDrawable(CornerUtils.btnSelector(dp2px, this.mBgColor, this.mBtnPressColor, 1));
        this.mTvBtnMiddle.setBackgroundDrawable(CornerUtils.btnSelector(this.mBtnNum == 1 ? dp2px : 0.0f, this.mBgColor, this.mBtnPressColor, -1));
    }

    public NormalDialog style(int i2) {
        this.mStyle = i2;
        return this;
    }

    public NormalDialog titleLineColor(int i2) {
        this.mTitleLineColor = i2;
        return this;
    }

    public NormalDialog titleLineHeight(float f2) {
        this.mTitleLineHeight = f2;
        return this;
    }

    public NormalDialog dividerColor(int i2) {
        this.mDividerColor = i2;
        return this;
    }
}
