package com.flyco.dialog.widget.internal;

import android.content.Context;
import android.view.View;
import android.view.ViewTreeObserver;
import com.flyco.dialog.utils.StatusBarUtils;
import com.flyco.dialog.widget.base.BaseDialog;
import com.flyco.dialog.widget.internal.InternalBasePopup;

/* loaded from: classes2.dex */
public abstract class InternalBasePopup<T extends InternalBasePopup<T>> extends BaseDialog<T> {
    protected boolean isLayoutObtain;
    protected View mAnchorView;
    protected int mGravity;
    protected int mX;
    protected float mXOffset;
    protected int mY;
    protected float mYOffset;

    public abstract T anchorView(View view);

    public abstract void onLayoutObtain();

    public InternalBasePopup(Context context) {
        super(context);
        heightScale(1.0f);
        dimEnabled(false);
    }

    @Override // com.flyco.dialog.widget.base.BaseDialog
    public void onViewCreated(View view) {
        this.mLlControlHeight.setClipChildren(false);
        if (view != null) {
            view.getViewTreeObserver().addOnGlobalLayoutListener(new ViewTreeObserver.OnGlobalLayoutListener() { // from class: com.flyco.dialog.widget.internal.InternalBasePopup.1
                @Override // android.view.ViewTreeObserver.OnGlobalLayoutListener
                public void onGlobalLayout() {
                    InternalBasePopup.this.isLayoutObtain = true;
                    InternalBasePopup.this.onLayoutObtain();
                }
            });
        }
    }

    @Override // com.flyco.dialog.widget.base.BaseDialog, android.app.Dialog, android.view.Window.Callback
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.mOnCreateView.setClickable(false);
        if (this.isLayoutObtain) {
            onLayoutObtain();
        }
    }

    public T gravity(int i2) {
        if (i2 != 48 && i2 != 80) {
            throw new IllegalArgumentException("Gravity must be either Gravity.TOP or Gravity.BOTTOM");
        }
        this.mGravity = i2;
        anchorView(this.mAnchorView);
        return this;
    }

    public T location(int i2, int i3) {
        this.mX = i2;
        this.mY = i3 - StatusBarUtils.getHeight(this.mContext);
        return this;
    }
}
