package com.github.promeg.pinyinhelper;

import com.github.promeg.pinyinhelper.Engine;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.TreeSet;
import org.ahocorasick.trie.Emit;

/* loaded from: classes2.dex */
final class ForwardLongestSelector implements SegmentationSelector {
    static final Engine.EmitComparator HIT_COMPARATOR = new Engine.EmitComparator();

    ForwardLongestSelector() {
    }

    @Override // com.github.promeg.pinyinhelper.SegmentationSelector
    public List<Emit> select(Collection<Emit> collection) {
        if (collection == null) {
            return null;
        }
        ArrayList<Emit> arrayList = new ArrayList(collection);
        Collections.sort(arrayList, HIT_COMPARATOR);
        TreeSet treeSet = new TreeSet();
        int i2 = -1;
        for (Emit emit : arrayList) {
            if (emit.getStart() > i2 && emit.getEnd() > i2) {
                i2 = emit.getEnd();
            } else {
                treeSet.add(emit);
            }
        }
        arrayList.removeAll(treeSet);
        return arrayList;
    }
}
