package com.github.ybq.android.spinkit.style;

import android.animation.ValueAnimator;
import android.graphics.Rect;
import android.os.Build;
import com.github.ybq.android.spinkit.animation.SpriteAnimatorBuilder;
import com.github.ybq.android.spinkit.sprite.RectSprite;
import com.github.ybq.android.spinkit.sprite.Sprite;
import com.github.ybq.android.spinkit.sprite.SpriteContainer;

/* loaded from: classes2.dex */
public class Wave extends SpriteContainer {
    @Override // com.github.ybq.android.spinkit.sprite.SpriteContainer
    public Sprite[] onCreateChild() {
        WaveItem[] waveItemArr = new WaveItem[5];
        for (int i2 = 0; i2 < 5; i2++) {
            waveItemArr[i2] = new WaveItem();
            if (Build.VERSION.SDK_INT >= 24) {
                waveItemArr[i2].setAnimationDelay((i2 * 100) + 600);
            } else {
                waveItemArr[i2].setAnimationDelay((i2 * 100) - 1200);
            }
        }
        return waveItemArr;
    }

    @Override // com.github.ybq.android.spinkit.sprite.SpriteContainer, com.github.ybq.android.spinkit.sprite.Sprite, android.graphics.drawable.Drawable
    protected void onBoundsChange(Rect rect) {
        super.onBoundsChange(rect);
        Rect clipSquare = clipSquare(rect);
        int width = clipSquare.width() / getChildCount();
        int width2 = ((clipSquare.width() / 5) * 3) / 5;
        for (int i2 = 0; i2 < getChildCount(); i2++) {
            Sprite childAt = getChildAt(i2);
            int i3 = clipSquare.left + (i2 * width) + (width / 5);
            childAt.setDrawBounds(i3, clipSquare.top, i3 + width2, clipSquare.bottom);
        }
    }

    private class WaveItem extends RectSprite {
        WaveItem() {
            setScaleY(0.4f);
        }

        @Override // com.github.ybq.android.spinkit.sprite.RectSprite, com.github.ybq.android.spinkit.sprite.Sprite
        public ValueAnimator onCreateAnimation() {
            float[] fArr = {0.0f, 0.2f, 0.4f, 1.0f};
            SpriteAnimatorBuilder spriteAnimatorBuilder = new SpriteAnimatorBuilder(this);
            Float valueOf = Float.valueOf(0.4f);
            return spriteAnimatorBuilder.scaleY(fArr, valueOf, Float.valueOf(1.0f), valueOf, valueOf).duration(1200L).easeInOut(fArr).build();
        }
    }
}
