package com.google.android.gms.internal.auth;

import com.jieli.jl_bt_ota.constant.ErrorCode;
import java.io.IOException;
import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.List;
import sun.misc.Unsafe;

/* compiled from: com.google.android.gms:play-services-auth-base@@18.0.4 */
/* loaded from: classes2.dex */
final class zzfz<T> implements zzgh<T> {
    private static final int[] zza = new int[0];
    private static final Unsafe zzb = zzhi.zzg();
    private final int[] zzc;
    private final Object[] zzd;
    private final int zze;
    private final int zzf;
    private final zzfw zzg;
    private final boolean zzh;
    private final int[] zzi;
    private final int zzj;
    private final int zzk;
    private final zzfk zzl;
    private final zzgy zzm;
    private final zzel zzn;
    private final zzgb zzo;
    private final zzfr zzp;

    private zzfz(int[] iArr, Object[] objArr, int i2, int i3, zzfw zzfwVar, boolean z, boolean z2, int[] iArr2, int i4, int i5, zzgb zzgbVar, zzfk zzfkVar, zzgy zzgyVar, zzel zzelVar, zzfr zzfrVar, byte[] bArr) {
        this.zzc = iArr;
        this.zzd = objArr;
        this.zze = i2;
        this.zzf = i3;
        this.zzh = z;
        this.zzi = iArr2;
        this.zzj = i4;
        this.zzk = i5;
        this.zzo = zzgbVar;
        this.zzl = zzfkVar;
        this.zzm = zzgyVar;
        this.zzn = zzelVar;
        this.zzg = zzfwVar;
        this.zzp = zzfrVar;
    }

    private static Field zzA(Class cls, String str) {
        try {
            return cls.getDeclaredField(str);
        } catch (NoSuchFieldException unused) {
            Field[] declaredFields = cls.getDeclaredFields();
            for (Field field : declaredFields) {
                if (str.equals(field.getName())) {
                    return field;
                }
            }
            throw new RuntimeException("Field " + str + " for " + cls.getName() + " not found. Known fields are " + Arrays.toString(declaredFields));
        }
    }

    private final void zzB(Object obj, Object obj2, int i2) {
        long zzv = zzv(i2) & ErrorCode.ERR_UNKNOWN;
        if (zzG(obj2, i2)) {
            Object zzf = zzhi.zzf(obj, zzv);
            Object zzf2 = zzhi.zzf(obj2, zzv);
            if (zzf != null && zzf2 != null) {
                zzhi.zzp(obj, zzv, zzez.zzg(zzf, zzf2));
                zzD(obj, i2);
            } else if (zzf2 != null) {
                zzhi.zzp(obj, zzv, zzf2);
                zzD(obj, i2);
            }
        }
    }

    private final void zzC(Object obj, Object obj2, int i2) {
        int zzv = zzv(i2);
        int i3 = this.zzc[i2];
        long j2 = zzv & ErrorCode.ERR_UNKNOWN;
        if (zzJ(obj2, i3, i2)) {
            Object zzf = zzJ(obj, i3, i2) ? zzhi.zzf(obj, j2) : null;
            Object zzf2 = zzhi.zzf(obj2, j2);
            if (zzf != null && zzf2 != null) {
                zzhi.zzp(obj, j2, zzez.zzg(zzf, zzf2));
                zzE(obj, i3, i2);
            } else if (zzf2 != null) {
                zzhi.zzp(obj, j2, zzf2);
                zzE(obj, i3, i2);
            }
        }
    }

    private final void zzD(Object obj, int i2) {
        int zzs = zzs(i2);
        long j2 = 1048575 & zzs;
        if (j2 == 1048575) {
            return;
        }
        zzhi.zzn(obj, j2, (1 << (zzs >>> 20)) | zzhi.zzc(obj, j2));
    }

    private final void zzE(Object obj, int i2, int i3) {
        zzhi.zzn(obj, zzs(i3) & ErrorCode.ERR_UNKNOWN, i2);
    }

    private final boolean zzF(Object obj, Object obj2, int i2) {
        return zzG(obj, i2) == zzG(obj2, i2);
    }

    private final boolean zzG(Object obj, int i2) {
        int zzs = zzs(i2);
        long j2 = zzs & ErrorCode.ERR_UNKNOWN;
        if (j2 != 1048575) {
            return (zzhi.zzc(obj, j2) & (1 << (zzs >>> 20))) != 0;
        }
        int zzv = zzv(i2);
        long j3 = zzv & ErrorCode.ERR_UNKNOWN;
        switch (zzu(zzv)) {
            case 0:
                return Double.doubleToRawLongBits(zzhi.zza(obj, j3)) != 0;
            case 1:
                return Float.floatToRawIntBits(zzhi.zzb(obj, j3)) != 0;
            case 2:
                return zzhi.zzd(obj, j3) != 0;
            case 3:
                return zzhi.zzd(obj, j3) != 0;
            case 4:
                return zzhi.zzc(obj, j3) != 0;
            case 5:
                return zzhi.zzd(obj, j3) != 0;
            case 6:
                return zzhi.zzc(obj, j3) != 0;
            case 7:
                return zzhi.zzt(obj, j3);
            case 8:
                Object zzf = zzhi.zzf(obj, j3);
                if (zzf instanceof String) {
                    return !((String) zzf).isEmpty();
                }
                if (zzf instanceof zzee) {
                    return !zzee.zzb.equals(zzf);
                }
                throw new IllegalArgumentException();
            case 9:
                return zzhi.zzf(obj, j3) != null;
            case 10:
                return !zzee.zzb.equals(zzhi.zzf(obj, j3));
            case 11:
                return zzhi.zzc(obj, j3) != 0;
            case 12:
                return zzhi.zzc(obj, j3) != 0;
            case 13:
                return zzhi.zzc(obj, j3) != 0;
            case 14:
                return zzhi.zzd(obj, j3) != 0;
            case 15:
                return zzhi.zzc(obj, j3) != 0;
            case 16:
                return zzhi.zzd(obj, j3) != 0;
            case 17:
                return zzhi.zzf(obj, j3) != null;
            default:
                throw new IllegalArgumentException();
        }
    }

    private final boolean zzH(Object obj, int i2, int i3, int i4, int i5) {
        return i3 == 1048575 ? zzG(obj, i2) : (i4 & i5) != 0;
    }

    private static boolean zzI(Object obj, int i2, zzgh zzghVar) {
        return zzghVar.zzi(zzhi.zzf(obj, i2 & ErrorCode.ERR_UNKNOWN));
    }

    private final boolean zzJ(Object obj, int i2, int i3) {
        return zzhi.zzc(obj, (long) (zzs(i3) & ErrorCode.ERR_UNKNOWN)) == i2;
    }

    static zzgz zzc(Object obj) {
        zzeu zzeuVar = (zzeu) obj;
        zzgz zzgzVar = zzeuVar.zzc;
        if (zzgzVar != zzgz.zza()) {
            return zzgzVar;
        }
        zzgz zzc = zzgz.zzc();
        zzeuVar.zzc = zzc;
        return zzc;
    }

    static zzfz zzj(Class cls, zzft zzftVar, zzgb zzgbVar, zzfk zzfkVar, zzgy zzgyVar, zzel zzelVar, zzfr zzfrVar) {
        if (zzftVar instanceof zzgg) {
            return zzk((zzgg) zzftVar, zzgbVar, zzfkVar, zzgyVar, zzelVar, zzfrVar);
        }
        throw null;
    }

    /* JADX WARN: Removed duplicated region for block: B:105:0x032b  */
    /* JADX WARN: Removed duplicated region for block: B:121:0x0384  */
    /* JADX WARN: Removed duplicated region for block: B:63:0x025e  */
    /* JADX WARN: Removed duplicated region for block: B:66:0x0279  */
    /* JADX WARN: Removed duplicated region for block: B:79:0x027c  */
    /* JADX WARN: Removed duplicated region for block: B:80:0x0261  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    static com.google.android.gms.internal.auth.zzfz zzk(com.google.android.gms.internal.auth.zzgg r34, com.google.android.gms.internal.auth.zzgb r35, com.google.android.gms.internal.auth.zzfk r36, com.google.android.gms.internal.auth.zzgy r37, com.google.android.gms.internal.auth.zzel r38, com.google.android.gms.internal.auth.zzfr r39) {
        /*
            Method dump skipped, instructions count: 1017
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.auth.zzfz.zzk(com.google.android.gms.internal.auth.zzgg, com.google.android.gms.internal.auth.zzgb, com.google.android.gms.internal.auth.zzfk, com.google.android.gms.internal.auth.zzgy, com.google.android.gms.internal.auth.zzel, com.google.android.gms.internal.auth.zzfr):com.google.android.gms.internal.auth.zzfz");
    }

    private static int zzl(Object obj, long j2) {
        return ((Integer) zzhi.zzf(obj, j2)).intValue();
    }

    private final int zzm(Object obj, byte[] bArr, int i2, int i3, int i4, long j2, zzds zzdsVar) throws IOException {
        Unsafe unsafe = zzb;
        Object zzz = zzz(i4);
        Object object = unsafe.getObject(obj, j2);
        if (!((zzfq) object).zze()) {
            zzfq zzb2 = zzfq.zza().zzb();
            zzfr.zza(zzb2, object);
            unsafe.putObject(obj, j2, zzb2);
        }
        throw null;
    }

    private final int zzn(Object obj, byte[] bArr, int i2, int i3, int i4, int i5, int i6, int i7, int i8, long j2, int i9, zzds zzdsVar) throws IOException {
        Unsafe unsafe = zzb;
        long j3 = this.zzc[i9 + 2] & ErrorCode.ERR_UNKNOWN;
        switch (i8) {
            case 51:
                if (i6 == 1) {
                    unsafe.putObject(obj, j2, Double.valueOf(Double.longBitsToDouble(zzdt.zzn(bArr, i2))));
                    unsafe.putInt(obj, j3, i5);
                    return i2 + 8;
                }
                break;
            case 52:
                if (i6 == 5) {
                    unsafe.putObject(obj, j2, Float.valueOf(Float.intBitsToFloat(zzdt.zzb(bArr, i2))));
                    unsafe.putInt(obj, j3, i5);
                    return i2 + 4;
                }
                break;
            case 53:
            case 54:
                if (i6 == 0) {
                    int zzm = zzdt.zzm(bArr, i2, zzdsVar);
                    unsafe.putObject(obj, j2, Long.valueOf(zzdsVar.zzb));
                    unsafe.putInt(obj, j3, i5);
                    return zzm;
                }
                break;
            case 55:
            case 62:
                if (i6 == 0) {
                    int zzj = zzdt.zzj(bArr, i2, zzdsVar);
                    unsafe.putObject(obj, j2, Integer.valueOf(zzdsVar.zza));
                    unsafe.putInt(obj, j3, i5);
                    return zzj;
                }
                break;
            case 56:
            case 65:
                if (i6 == 1) {
                    unsafe.putObject(obj, j2, Long.valueOf(zzdt.zzn(bArr, i2)));
                    unsafe.putInt(obj, j3, i5);
                    return i2 + 8;
                }
                break;
            case 57:
            case 64:
                if (i6 == 5) {
                    unsafe.putObject(obj, j2, Integer.valueOf(zzdt.zzb(bArr, i2)));
                    unsafe.putInt(obj, j3, i5);
                    return i2 + 4;
                }
                break;
            case 58:
                if (i6 == 0) {
                    int zzm2 = zzdt.zzm(bArr, i2, zzdsVar);
                    unsafe.putObject(obj, j2, Boolean.valueOf(zzdsVar.zzb != 0));
                    unsafe.putInt(obj, j3, i5);
                    return zzm2;
                }
                break;
            case 59:
                if (i6 == 2) {
                    int zzj2 = zzdt.zzj(bArr, i2, zzdsVar);
                    int i10 = zzdsVar.zza;
                    if (i10 == 0) {
                        unsafe.putObject(obj, j2, "");
                    } else {
                        if ((i7 & 536870912) != 0 && !zzhm.zzd(bArr, zzj2, zzj2 + i10)) {
                            throw zzfa.zzb();
                        }
                        unsafe.putObject(obj, j2, new String(bArr, zzj2, i10, zzez.zzb));
                        zzj2 += i10;
                    }
                    unsafe.putInt(obj, j3, i5);
                    return zzj2;
                }
                break;
            case 60:
                if (i6 == 2) {
                    int zzd = zzdt.zzd(zzy(i9), bArr, i2, i3, zzdsVar);
                    Object object = unsafe.getInt(obj, j3) == i5 ? unsafe.getObject(obj, j2) : null;
                    if (object == null) {
                        unsafe.putObject(obj, j2, zzdsVar.zzc);
                    } else {
                        unsafe.putObject(obj, j2, zzez.zzg(object, zzdsVar.zzc));
                    }
                    unsafe.putInt(obj, j3, i5);
                    return zzd;
                }
                break;
            case 61:
                if (i6 == 2) {
                    int zza2 = zzdt.zza(bArr, i2, zzdsVar);
                    unsafe.putObject(obj, j2, zzdsVar.zzc);
                    unsafe.putInt(obj, j3, i5);
                    return zza2;
                }
                break;
            case 63:
                if (i6 == 0) {
                    int zzj3 = zzdt.zzj(bArr, i2, zzdsVar);
                    int i11 = zzdsVar.zza;
                    zzex zzx = zzx(i9);
                    if (zzx == null || zzx.zza()) {
                        unsafe.putObject(obj, j2, Integer.valueOf(i11));
                        unsafe.putInt(obj, j3, i5);
                    } else {
                        zzc(obj).zzf(i4, Long.valueOf(i11));
                    }
                    return zzj3;
                }
                break;
            case 66:
                if (i6 == 0) {
                    int zzj4 = zzdt.zzj(bArr, i2, zzdsVar);
                    unsafe.putObject(obj, j2, Integer.valueOf(zzei.zzb(zzdsVar.zza)));
                    unsafe.putInt(obj, j3, i5);
                    return zzj4;
                }
                break;
            case 67:
                if (i6 == 0) {
                    int zzm3 = zzdt.zzm(bArr, i2, zzdsVar);
                    unsafe.putObject(obj, j2, Long.valueOf(zzei.zzc(zzdsVar.zzb)));
                    unsafe.putInt(obj, j3, i5);
                    return zzm3;
                }
                break;
            case 68:
                if (i6 == 3) {
                    int zzc = zzdt.zzc(zzy(i9), bArr, i2, i3, (i4 & (-8)) | 4, zzdsVar);
                    Object object2 = unsafe.getInt(obj, j3) == i5 ? unsafe.getObject(obj, j2) : null;
                    if (object2 == null) {
                        unsafe.putObject(obj, j2, zzdsVar.zzc);
                    } else {
                        unsafe.putObject(obj, j2, zzez.zzg(object2, zzdsVar.zzc));
                    }
                    unsafe.putInt(obj, j3, i5);
                    return zzc;
                }
                break;
        }
        return i2;
    }

    /* JADX WARN: Failed to find 'out' block for switch in B:68:0x0080. Please report as an issue. */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v22, types: [int] */
    private final int zzo(Object obj, byte[] bArr, int i2, int i3, zzds zzdsVar) throws IOException {
        byte b2;
        int i4;
        int i5;
        int i6;
        int i7;
        Unsafe unsafe;
        int i8;
        int i9;
        int i10;
        int i11;
        int zzm;
        int zzd;
        int i12;
        int i13;
        int i14;
        zzfz<T> zzfzVar = this;
        Object obj2 = obj;
        byte[] bArr2 = bArr;
        int i15 = i3;
        zzds zzdsVar2 = zzdsVar;
        Unsafe unsafe2 = zzb;
        int i16 = ErrorCode.ERR_UNKNOWN;
        int i17 = -1;
        int i18 = i2;
        int i19 = -1;
        int i20 = 1048575;
        int i21 = 0;
        int i22 = 0;
        while (i18 < i15) {
            int i23 = i18 + 1;
            byte b3 = bArr2[i18];
            if (b3 < 0) {
                i4 = zzdt.zzk(b3, bArr2, i23, zzdsVar2);
                b2 = zzdsVar2.zza;
            } else {
                b2 = b3;
                i4 = i23;
            }
            int i24 = b2 >>> 3;
            int i25 = b2 & 7;
            int zzr = i24 > i19 ? zzfzVar.zzr(i24, i21 / 3) : zzfzVar.zzq(i24);
            if (zzr == i17) {
                i5 = i4;
                i6 = i24;
                i7 = i17;
                unsafe = unsafe2;
                i8 = 0;
            } else {
                int[] iArr = zzfzVar.zzc;
                int i26 = iArr[zzr + 1];
                int zzu = zzu(i26);
                long j2 = i26 & i16;
                if (zzu <= 17) {
                    int i27 = iArr[zzr + 2];
                    int i28 = 1 << (i27 >>> 20);
                    int i29 = i27 & ErrorCode.ERR_UNKNOWN;
                    if (i29 != i20) {
                        if (i20 != 1048575) {
                            unsafe2.putInt(obj2, i20, i22);
                        }
                        if (i29 != 1048575) {
                            i22 = unsafe2.getInt(obj2, i29);
                        }
                        i20 = i29;
                    }
                    switch (zzu) {
                        case 0:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i10 = i4;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 1) {
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                zzhi.zzl(obj2, j2, Double.longBitsToDouble(zzdt.zzn(bArr2, i10)));
                                i18 = i10 + 8;
                                i22 |= i28;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 1:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i10 = i4;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 5) {
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                zzhi.zzm(obj2, j2, Float.intBitsToFloat(zzdt.zzb(bArr2, i10)));
                                i18 = i10 + 4;
                                i22 |= i28;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 2:
                        case 3:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i10 = i4;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 0) {
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                zzm = zzdt.zzm(bArr2, i10, zzdsVar2);
                                unsafe2.putLong(obj, j2, zzdsVar2.zzb);
                                i22 |= i28;
                                i18 = zzm;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 4:
                        case 11:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i10 = i4;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 0) {
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                i18 = zzdt.zzj(bArr2, i10, zzdsVar2);
                                unsafe2.putInt(obj2, j2, zzdsVar2.zza);
                                i22 |= i28;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 5:
                        case 14:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 1) {
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                i10 = i4;
                                unsafe2.putLong(obj, j2, zzdt.zzn(bArr2, i4));
                                i18 = i10 + 8;
                                i22 |= i28;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 6:
                        case 13:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 5) {
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                unsafe2.putInt(obj2, j2, zzdt.zzb(bArr2, i4));
                                i18 = i4 + 4;
                                i22 |= i28;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 7:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 0) {
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                i18 = zzdt.zzm(bArr2, i4, zzdsVar2);
                                zzhi.zzk(obj2, j2, zzdsVar2.zzb != 0);
                                i22 |= i28;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 8:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 2) {
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                i18 = (536870912 & i26) == 0 ? zzdt.zzg(bArr2, i4, zzdsVar2) : zzdt.zzh(bArr2, i4, zzdsVar2);
                                unsafe2.putObject(obj2, j2, zzdsVar2.zzc);
                                i22 |= i28;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 9:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 2) {
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                zzd = zzdt.zzd(zzfzVar.zzy(i9), bArr2, i4, i15, zzdsVar2);
                                Object object = unsafe2.getObject(obj2, j2);
                                if (object == null) {
                                    unsafe2.putObject(obj2, j2, zzdsVar2.zzc);
                                } else {
                                    unsafe2.putObject(obj2, j2, zzez.zzg(object, zzdsVar2.zzc));
                                }
                                i22 |= i28;
                                i18 = zzd;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 10:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 2) {
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                zzd = zzdt.zza(bArr2, i4, zzdsVar2);
                                unsafe2.putObject(obj2, j2, zzdsVar2.zzc);
                                i22 |= i28;
                                i18 = zzd;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 12:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 0) {
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                zzd = zzdt.zzj(bArr2, i4, zzdsVar2);
                                unsafe2.putInt(obj2, j2, zzdsVar2.zza);
                                i22 |= i28;
                                i18 = zzd;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 15:
                            zzdsVar2 = zzdsVar;
                            i9 = zzr;
                            i11 = 1048575;
                            i6 = i24;
                            if (i25 != 0) {
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                zzd = zzdt.zzj(bArr2, i4, zzdsVar2);
                                unsafe2.putInt(obj2, j2, zzei.zzb(zzdsVar2.zza));
                                i22 |= i28;
                                i18 = zzd;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        case 16:
                            if (i25 != 0) {
                                i6 = i24;
                                i9 = zzr;
                                i10 = i4;
                                i5 = i10;
                                unsafe = unsafe2;
                                i8 = i9;
                                i7 = -1;
                                break;
                            } else {
                                zzdsVar2 = zzdsVar;
                                zzm = zzdt.zzm(bArr2, i4, zzdsVar2);
                                i9 = zzr;
                                i6 = i24;
                                i11 = 1048575;
                                unsafe2.putLong(obj, j2, zzei.zzc(zzdsVar2.zzb));
                                i22 |= i28;
                                i18 = zzm;
                                i21 = i9;
                                i19 = i6;
                                i16 = i11;
                                i17 = -1;
                                break;
                            }
                        default:
                            i6 = i24;
                            i9 = zzr;
                            i10 = i4;
                            i5 = i10;
                            unsafe = unsafe2;
                            i8 = i9;
                            i7 = -1;
                            break;
                    }
                } else {
                    zzdsVar2 = zzdsVar;
                    i9 = zzr;
                    int i30 = i4;
                    i11 = ErrorCode.ERR_UNKNOWN;
                    i6 = i24;
                    if (zzu == 27) {
                        if (i25 == 2) {
                            zzey zzeyVar = (zzey) unsafe2.getObject(obj2, j2);
                            if (!zzeyVar.zzc()) {
                                int size = zzeyVar.size();
                                zzeyVar = zzeyVar.zzd(size == 0 ? 10 : size + size);
                                unsafe2.putObject(obj2, j2, zzeyVar);
                            }
                            i18 = zzdt.zze(zzfzVar.zzy(i9), b2, bArr, i30, i3, zzeyVar, zzdsVar);
                            i22 = i22;
                            i21 = i9;
                            i19 = i6;
                            i16 = i11;
                            i17 = -1;
                        } else {
                            i12 = i30;
                            i13 = i22;
                            i14 = i20;
                            unsafe = unsafe2;
                            i8 = i9;
                            i7 = -1;
                        }
                    } else if (zzu <= 49) {
                        i13 = i22;
                        i14 = i20;
                        i7 = -1;
                        unsafe = unsafe2;
                        i8 = i9;
                        i18 = zzp(obj, bArr, i30, i3, b2, i6, i25, i9, i26, zzu, j2, zzdsVar);
                        if (i18 != i30) {
                            obj2 = obj;
                            bArr2 = bArr;
                            i15 = i3;
                            zzdsVar2 = zzdsVar;
                            i20 = i14;
                            i17 = i7;
                            i19 = i6;
                            i22 = i13;
                            i21 = i8;
                            unsafe2 = unsafe;
                            i16 = ErrorCode.ERR_UNKNOWN;
                            zzfzVar = this;
                        } else {
                            i5 = i18;
                            i20 = i14;
                            i22 = i13;
                        }
                    } else {
                        i12 = i30;
                        i13 = i22;
                        i14 = i20;
                        unsafe = unsafe2;
                        i8 = i9;
                        i7 = -1;
                        if (zzu != 50) {
                            i18 = zzn(obj, bArr, i12, i3, b2, i6, i25, i26, zzu, j2, i8, zzdsVar);
                            if (i18 != i12) {
                                obj2 = obj;
                                bArr2 = bArr;
                                i15 = i3;
                                zzdsVar2 = zzdsVar;
                                i20 = i14;
                                i17 = i7;
                                i19 = i6;
                                i22 = i13;
                                i21 = i8;
                                unsafe2 = unsafe;
                                i16 = ErrorCode.ERR_UNKNOWN;
                                zzfzVar = this;
                            } else {
                                i5 = i18;
                                i20 = i14;
                                i22 = i13;
                            }
                        } else if (i25 == 2) {
                            i18 = zzm(obj, bArr, i12, i3, i8, j2, zzdsVar);
                            if (i18 != i12) {
                                obj2 = obj;
                                bArr2 = bArr;
                                i15 = i3;
                                zzdsVar2 = zzdsVar;
                                i20 = i14;
                                i17 = i7;
                                i19 = i6;
                                i22 = i13;
                                i21 = i8;
                                unsafe2 = unsafe;
                                i16 = ErrorCode.ERR_UNKNOWN;
                                zzfzVar = this;
                            } else {
                                i5 = i18;
                                i20 = i14;
                                i22 = i13;
                            }
                        }
                    }
                    i5 = i12;
                    i20 = i14;
                    i22 = i13;
                }
            }
            i18 = zzdt.zzi(b2, bArr, i5, i3, zzc(obj), zzdsVar);
            zzfzVar = this;
            obj2 = obj;
            bArr2 = bArr;
            i15 = i3;
            zzdsVar2 = zzdsVar;
            i17 = i7;
            i19 = i6;
            i21 = i8;
            unsafe2 = unsafe;
            i16 = ErrorCode.ERR_UNKNOWN;
        }
        int i31 = i22;
        int i32 = i20;
        Unsafe unsafe3 = unsafe2;
        if (i32 != i16) {
            unsafe3.putInt(obj, i32, i31);
        }
        if (i18 == i3) {
            return i18;
        }
        throw zzfa.zzd();
    }

    private final int zzp(Object obj, byte[] bArr, int i2, int i3, int i4, int i5, int i6, int i7, long j2, int i8, long j3, zzds zzdsVar) throws IOException {
        int i9;
        int i10;
        int i11;
        int i12;
        int zzj;
        int i13 = i2;
        Unsafe unsafe = zzb;
        zzey zzeyVar = (zzey) unsafe.getObject(obj, j3);
        if (!zzeyVar.zzc()) {
            int size = zzeyVar.size();
            zzeyVar = zzeyVar.zzd(size == 0 ? 10 : size + size);
            unsafe.putObject(obj, j3, zzeyVar);
        }
        switch (i8) {
            case 18:
            case 35:
                if (i6 == 2) {
                    zzej zzejVar = (zzej) zzeyVar;
                    int zzj2 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i14 = zzdsVar.zza + zzj2;
                    while (zzj2 < i14) {
                        zzejVar.zze(Double.longBitsToDouble(zzdt.zzn(bArr, zzj2)));
                        zzj2 += 8;
                    }
                    if (zzj2 == i14) {
                        return zzj2;
                    }
                    throw zzfa.zzf();
                }
                if (i6 == 1) {
                    zzej zzejVar2 = (zzej) zzeyVar;
                    zzejVar2.zze(Double.longBitsToDouble(zzdt.zzn(bArr, i2)));
                    while (true) {
                        i9 = i13 + 8;
                        if (i9 < i3) {
                            i13 = zzdt.zzj(bArr, i9, zzdsVar);
                            if (i4 == zzdsVar.zza) {
                                zzejVar2.zze(Double.longBitsToDouble(zzdt.zzn(bArr, i13)));
                            }
                        }
                    }
                    return i9;
                }
                return i13;
            case 19:
            case 36:
                if (i6 == 2) {
                    zzeq zzeqVar = (zzeq) zzeyVar;
                    int zzj3 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i15 = zzdsVar.zza + zzj3;
                    while (zzj3 < i15) {
                        zzeqVar.zze(Float.intBitsToFloat(zzdt.zzb(bArr, zzj3)));
                        zzj3 += 4;
                    }
                    if (zzj3 == i15) {
                        return zzj3;
                    }
                    throw zzfa.zzf();
                }
                if (i6 == 5) {
                    zzeq zzeqVar2 = (zzeq) zzeyVar;
                    zzeqVar2.zze(Float.intBitsToFloat(zzdt.zzb(bArr, i2)));
                    while (true) {
                        i10 = i13 + 4;
                        if (i10 < i3) {
                            i13 = zzdt.zzj(bArr, i10, zzdsVar);
                            if (i4 == zzdsVar.zza) {
                                zzeqVar2.zze(Float.intBitsToFloat(zzdt.zzb(bArr, i13)));
                            }
                        }
                    }
                    return i10;
                }
                return i13;
            case 20:
            case 21:
            case 37:
            case 38:
                if (i6 == 2) {
                    zzfl zzflVar = (zzfl) zzeyVar;
                    int zzj4 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i16 = zzdsVar.zza + zzj4;
                    while (zzj4 < i16) {
                        zzj4 = zzdt.zzm(bArr, zzj4, zzdsVar);
                        zzflVar.zze(zzdsVar.zzb);
                    }
                    if (zzj4 == i16) {
                        return zzj4;
                    }
                    throw zzfa.zzf();
                }
                if (i6 == 0) {
                    zzfl zzflVar2 = (zzfl) zzeyVar;
                    int zzm = zzdt.zzm(bArr, i13, zzdsVar);
                    zzflVar2.zze(zzdsVar.zzb);
                    while (zzm < i3) {
                        int zzj5 = zzdt.zzj(bArr, zzm, zzdsVar);
                        if (i4 != zzdsVar.zza) {
                            return zzm;
                        }
                        zzm = zzdt.zzm(bArr, zzj5, zzdsVar);
                        zzflVar2.zze(zzdsVar.zzb);
                    }
                    return zzm;
                }
                return i13;
            case 22:
            case 29:
            case 39:
            case 43:
                if (i6 == 2) {
                    return zzdt.zzf(bArr, i13, zzeyVar, zzdsVar);
                }
                if (i6 == 0) {
                    return zzdt.zzl(i4, bArr, i2, i3, zzeyVar, zzdsVar);
                }
                return i13;
            case 23:
            case 32:
            case 40:
            case 46:
                if (i6 == 2) {
                    zzfl zzflVar3 = (zzfl) zzeyVar;
                    int zzj6 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i17 = zzdsVar.zza + zzj6;
                    while (zzj6 < i17) {
                        zzflVar3.zze(zzdt.zzn(bArr, zzj6));
                        zzj6 += 8;
                    }
                    if (zzj6 == i17) {
                        return zzj6;
                    }
                    throw zzfa.zzf();
                }
                if (i6 == 1) {
                    zzfl zzflVar4 = (zzfl) zzeyVar;
                    zzflVar4.zze(zzdt.zzn(bArr, i2));
                    while (true) {
                        i11 = i13 + 8;
                        if (i11 < i3) {
                            i13 = zzdt.zzj(bArr, i11, zzdsVar);
                            if (i4 == zzdsVar.zza) {
                                zzflVar4.zze(zzdt.zzn(bArr, i13));
                            }
                        }
                    }
                    return i11;
                }
                return i13;
            case 24:
            case 31:
            case 41:
            case 45:
                if (i6 == 2) {
                    zzev zzevVar = (zzev) zzeyVar;
                    int zzj7 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i18 = zzdsVar.zza + zzj7;
                    while (zzj7 < i18) {
                        zzevVar.zze(zzdt.zzb(bArr, zzj7));
                        zzj7 += 4;
                    }
                    if (zzj7 == i18) {
                        return zzj7;
                    }
                    throw zzfa.zzf();
                }
                if (i6 == 5) {
                    zzev zzevVar2 = (zzev) zzeyVar;
                    zzevVar2.zze(zzdt.zzb(bArr, i2));
                    while (true) {
                        i12 = i13 + 4;
                        if (i12 < i3) {
                            i13 = zzdt.zzj(bArr, i12, zzdsVar);
                            if (i4 == zzdsVar.zza) {
                                zzevVar2.zze(zzdt.zzb(bArr, i13));
                            }
                        }
                    }
                    return i12;
                }
                return i13;
            case 25:
            case 42:
                if (i6 == 2) {
                    zzdu zzduVar = (zzdu) zzeyVar;
                    zzj = zzdt.zzj(bArr, i13, zzdsVar);
                    int i19 = zzdsVar.zza + zzj;
                    while (zzj < i19) {
                        zzj = zzdt.zzm(bArr, zzj, zzdsVar);
                        zzduVar.zze(zzdsVar.zzb != 0);
                    }
                    if (zzj != i19) {
                        throw zzfa.zzf();
                    }
                    return zzj;
                }
                if (i6 == 0) {
                    zzdu zzduVar2 = (zzdu) zzeyVar;
                    int zzm2 = zzdt.zzm(bArr, i13, zzdsVar);
                    zzduVar2.zze(zzdsVar.zzb != 0);
                    while (zzm2 < i3) {
                        int zzj8 = zzdt.zzj(bArr, zzm2, zzdsVar);
                        if (i4 != zzdsVar.zza) {
                            return zzm2;
                        }
                        zzm2 = zzdt.zzm(bArr, zzj8, zzdsVar);
                        zzduVar2.zze(zzdsVar.zzb != 0);
                    }
                    return zzm2;
                }
                return i13;
            case 26:
                if (i6 == 2) {
                    if ((j2 & 536870912) == 0) {
                        int zzj9 = zzdt.zzj(bArr, i13, zzdsVar);
                        int i20 = zzdsVar.zza;
                        if (i20 < 0) {
                            throw zzfa.zzc();
                        }
                        if (i20 == 0) {
                            zzeyVar.add("");
                        } else {
                            zzeyVar.add(new String(bArr, zzj9, i20, zzez.zzb));
                            zzj9 += i20;
                        }
                        while (zzj9 < i3) {
                            int zzj10 = zzdt.zzj(bArr, zzj9, zzdsVar);
                            if (i4 != zzdsVar.zza) {
                                return zzj9;
                            }
                            zzj9 = zzdt.zzj(bArr, zzj10, zzdsVar);
                            int i21 = zzdsVar.zza;
                            if (i21 < 0) {
                                throw zzfa.zzc();
                            }
                            if (i21 == 0) {
                                zzeyVar.add("");
                            } else {
                                zzeyVar.add(new String(bArr, zzj9, i21, zzez.zzb));
                                zzj9 += i21;
                            }
                        }
                        return zzj9;
                    }
                    int zzj11 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i22 = zzdsVar.zza;
                    if (i22 < 0) {
                        throw zzfa.zzc();
                    }
                    if (i22 == 0) {
                        zzeyVar.add("");
                    } else {
                        int i23 = zzj11 + i22;
                        if (!zzhm.zzd(bArr, zzj11, i23)) {
                            throw zzfa.zzb();
                        }
                        zzeyVar.add(new String(bArr, zzj11, i22, zzez.zzb));
                        zzj11 = i23;
                    }
                    while (zzj11 < i3) {
                        int zzj12 = zzdt.zzj(bArr, zzj11, zzdsVar);
                        if (i4 != zzdsVar.zza) {
                            return zzj11;
                        }
                        zzj11 = zzdt.zzj(bArr, zzj12, zzdsVar);
                        int i24 = zzdsVar.zza;
                        if (i24 < 0) {
                            throw zzfa.zzc();
                        }
                        if (i24 == 0) {
                            zzeyVar.add("");
                        } else {
                            int i25 = zzj11 + i24;
                            if (!zzhm.zzd(bArr, zzj11, i25)) {
                                throw zzfa.zzb();
                            }
                            zzeyVar.add(new String(bArr, zzj11, i24, zzez.zzb));
                            zzj11 = i25;
                        }
                    }
                    return zzj11;
                }
                return i13;
            case 27:
                if (i6 == 2) {
                    return zzdt.zze(zzy(i7), i4, bArr, i2, i3, zzeyVar, zzdsVar);
                }
                return i13;
            case 28:
                if (i6 == 2) {
                    int zzj13 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i26 = zzdsVar.zza;
                    if (i26 < 0) {
                        throw zzfa.zzc();
                    }
                    if (i26 > bArr.length - zzj13) {
                        throw zzfa.zzf();
                    }
                    if (i26 == 0) {
                        zzeyVar.add(zzee.zzb);
                    } else {
                        zzeyVar.add(zzee.zzk(bArr, zzj13, i26));
                        zzj13 += i26;
                    }
                    while (zzj13 < i3) {
                        int zzj14 = zzdt.zzj(bArr, zzj13, zzdsVar);
                        if (i4 != zzdsVar.zza) {
                            return zzj13;
                        }
                        zzj13 = zzdt.zzj(bArr, zzj14, zzdsVar);
                        int i27 = zzdsVar.zza;
                        if (i27 < 0) {
                            throw zzfa.zzc();
                        }
                        if (i27 > bArr.length - zzj13) {
                            throw zzfa.zzf();
                        }
                        if (i27 == 0) {
                            zzeyVar.add(zzee.zzb);
                        } else {
                            zzeyVar.add(zzee.zzk(bArr, zzj13, i27));
                            zzj13 += i27;
                        }
                    }
                    return zzj13;
                }
                return i13;
            case 30:
            case 44:
                if (i6 != 2) {
                    if (i6 == 0) {
                        zzj = zzdt.zzl(i4, bArr, i2, i3, zzeyVar, zzdsVar);
                    }
                    return i13;
                }
                zzj = zzdt.zzf(bArr, i13, zzeyVar, zzdsVar);
                zzeu zzeuVar = (zzeu) obj;
                zzgz zzgzVar = zzeuVar.zzc;
                if (zzgzVar == zzgz.zza()) {
                    zzgzVar = null;
                }
                Object zzd = zzgj.zzd(i5, zzeyVar, zzx(i7), zzgzVar, this.zzm);
                if (zzd != null) {
                    zzeuVar.zzc = (zzgz) zzd;
                    return zzj;
                }
                return zzj;
            case 33:
            case 47:
                if (i6 == 2) {
                    zzev zzevVar3 = (zzev) zzeyVar;
                    int zzj15 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i28 = zzdsVar.zza + zzj15;
                    while (zzj15 < i28) {
                        zzj15 = zzdt.zzj(bArr, zzj15, zzdsVar);
                        zzevVar3.zze(zzei.zzb(zzdsVar.zza));
                    }
                    if (zzj15 == i28) {
                        return zzj15;
                    }
                    throw zzfa.zzf();
                }
                if (i6 == 0) {
                    zzev zzevVar4 = (zzev) zzeyVar;
                    int zzj16 = zzdt.zzj(bArr, i13, zzdsVar);
                    zzevVar4.zze(zzei.zzb(zzdsVar.zza));
                    while (zzj16 < i3) {
                        int zzj17 = zzdt.zzj(bArr, zzj16, zzdsVar);
                        if (i4 != zzdsVar.zza) {
                            return zzj16;
                        }
                        zzj16 = zzdt.zzj(bArr, zzj17, zzdsVar);
                        zzevVar4.zze(zzei.zzb(zzdsVar.zza));
                    }
                    return zzj16;
                }
                return i13;
            case 34:
            case 48:
                if (i6 == 2) {
                    zzfl zzflVar5 = (zzfl) zzeyVar;
                    int zzj18 = zzdt.zzj(bArr, i13, zzdsVar);
                    int i29 = zzdsVar.zza + zzj18;
                    while (zzj18 < i29) {
                        zzj18 = zzdt.zzm(bArr, zzj18, zzdsVar);
                        zzflVar5.zze(zzei.zzc(zzdsVar.zzb));
                    }
                    if (zzj18 == i29) {
                        return zzj18;
                    }
                    throw zzfa.zzf();
                }
                if (i6 == 0) {
                    zzfl zzflVar6 = (zzfl) zzeyVar;
                    int zzm3 = zzdt.zzm(bArr, i13, zzdsVar);
                    zzflVar6.zze(zzei.zzc(zzdsVar.zzb));
                    while (zzm3 < i3) {
                        int zzj19 = zzdt.zzj(bArr, zzm3, zzdsVar);
                        if (i4 != zzdsVar.zza) {
                            return zzm3;
                        }
                        zzm3 = zzdt.zzm(bArr, zzj19, zzdsVar);
                        zzflVar6.zze(zzei.zzc(zzdsVar.zzb));
                    }
                    return zzm3;
                }
                return i13;
            default:
                if (i6 == 3) {
                    zzgh zzy = zzy(i7);
                    int i30 = (i4 & (-8)) | 4;
                    int zzc = zzdt.zzc(zzy, bArr, i2, i3, i30, zzdsVar);
                    zzeyVar.add(zzdsVar.zzc);
                    while (zzc < i3) {
                        int zzj20 = zzdt.zzj(bArr, zzc, zzdsVar);
                        if (i4 != zzdsVar.zza) {
                            return zzc;
                        }
                        zzc = zzdt.zzc(zzy, bArr, zzj20, i3, i30, zzdsVar);
                        zzeyVar.add(zzdsVar.zzc);
                    }
                    return zzc;
                }
                return i13;
        }
    }

    private final int zzq(int i2) {
        if (i2 < this.zze || i2 > this.zzf) {
            return -1;
        }
        return zzt(i2, 0);
    }

    private final int zzr(int i2, int i3) {
        if (i2 < this.zze || i2 > this.zzf) {
            return -1;
        }
        return zzt(i2, i3);
    }

    private final int zzs(int i2) {
        return this.zzc[i2 + 2];
    }

    private final int zzt(int i2, int i3) {
        int length = (this.zzc.length / 3) - 1;
        while (i3 <= length) {
            int i4 = (length + i3) >>> 1;
            int i5 = i4 * 3;
            int i6 = this.zzc[i5];
            if (i2 == i6) {
                return i5;
            }
            if (i2 < i6) {
                length = i4 - 1;
            } else {
                i3 = i4 + 1;
            }
        }
        return -1;
    }

    private static int zzu(int i2) {
        return (i2 >>> 20) & 255;
    }

    private final int zzv(int i2) {
        return this.zzc[i2 + 1];
    }

    private static long zzw(Object obj, long j2) {
        return ((Long) zzhi.zzf(obj, j2)).longValue();
    }

    private final zzex zzx(int i2) {
        int i3 = i2 / 3;
        return (zzex) this.zzd[i3 + i3 + 1];
    }

    private final zzgh zzy(int i2) {
        int i3 = i2 / 3;
        int i4 = i3 + i3;
        zzgh zzghVar = (zzgh) this.zzd[i4];
        if (zzghVar != null) {
            return zzghVar;
        }
        zzgh zzb2 = zzge.zza().zzb((Class) this.zzd[i4 + 1]);
        this.zzd[i4] = zzb2;
        return zzb2;
    }

    private final Object zzz(int i2) {
        int i3 = i2 / 3;
        return this.zzd[i3 + i3];
    }

    @Override // com.google.android.gms.internal.auth.zzgh
    public final int zza(Object obj) {
        int i2;
        int zzc;
        int length = this.zzc.length;
        int i3 = 0;
        for (int i4 = 0; i4 < length; i4 += 3) {
            int zzv = zzv(i4);
            int i5 = this.zzc[i4];
            long j2 = 1048575 & zzv;
            int i6 = 37;
            switch (zzu(zzv)) {
                case 0:
                    i2 = i3 * 53;
                    zzc = zzez.zzc(Double.doubleToLongBits(zzhi.zza(obj, j2)));
                    i3 = i2 + zzc;
                    break;
                case 1:
                    i2 = i3 * 53;
                    zzc = Float.floatToIntBits(zzhi.zzb(obj, j2));
                    i3 = i2 + zzc;
                    break;
                case 2:
                    i2 = i3 * 53;
                    zzc = zzez.zzc(zzhi.zzd(obj, j2));
                    i3 = i2 + zzc;
                    break;
                case 3:
                    i2 = i3 * 53;
                    zzc = zzez.zzc(zzhi.zzd(obj, j2));
                    i3 = i2 + zzc;
                    break;
                case 4:
                    i2 = i3 * 53;
                    zzc = zzhi.zzc(obj, j2);
                    i3 = i2 + zzc;
                    break;
                case 5:
                    i2 = i3 * 53;
                    zzc = zzez.zzc(zzhi.zzd(obj, j2));
                    i3 = i2 + zzc;
                    break;
                case 6:
                    i2 = i3 * 53;
                    zzc = zzhi.zzc(obj, j2);
                    i3 = i2 + zzc;
                    break;
                case 7:
                    i2 = i3 * 53;
                    zzc = zzez.zza(zzhi.zzt(obj, j2));
                    i3 = i2 + zzc;
                    break;
                case 8:
                    i2 = i3 * 53;
                    zzc = ((String) zzhi.zzf(obj, j2)).hashCode();
                    i3 = i2 + zzc;
                    break;
                case 9:
                    Object zzf = zzhi.zzf(obj, j2);
                    if (zzf != null) {
                        i6 = zzf.hashCode();
                    }
                    i3 = (i3 * 53) + i6;
                    break;
                case 10:
                    i2 = i3 * 53;
                    zzc = zzhi.zzf(obj, j2).hashCode();
                    i3 = i2 + zzc;
                    break;
                case 11:
                    i2 = i3 * 53;
                    zzc = zzhi.zzc(obj, j2);
                    i3 = i2 + zzc;
                    break;
                case 12:
                    i2 = i3 * 53;
                    zzc = zzhi.zzc(obj, j2);
                    i3 = i2 + zzc;
                    break;
                case 13:
                    i2 = i3 * 53;
                    zzc = zzhi.zzc(obj, j2);
                    i3 = i2 + zzc;
                    break;
                case 14:
                    i2 = i3 * 53;
                    zzc = zzez.zzc(zzhi.zzd(obj, j2));
                    i3 = i2 + zzc;
                    break;
                case 15:
                    i2 = i3 * 53;
                    zzc = zzhi.zzc(obj, j2);
                    i3 = i2 + zzc;
                    break;
                case 16:
                    i2 = i3 * 53;
                    zzc = zzez.zzc(zzhi.zzd(obj, j2));
                    i3 = i2 + zzc;
                    break;
                case 17:
                    Object zzf2 = zzhi.zzf(obj, j2);
                    if (zzf2 != null) {
                        i6 = zzf2.hashCode();
                    }
                    i3 = (i3 * 53) + i6;
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    i2 = i3 * 53;
                    zzc = zzhi.zzf(obj, j2).hashCode();
                    i3 = i2 + zzc;
                    break;
                case 50:
                    i2 = i3 * 53;
                    zzc = zzhi.zzf(obj, j2).hashCode();
                    i3 = i2 + zzc;
                    break;
                case 51:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzez.zzc(Double.doubleToLongBits(((Double) zzhi.zzf(obj, j2)).doubleValue()));
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = Float.floatToIntBits(((Float) zzhi.zzf(obj, j2)).floatValue());
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzez.zzc(zzw(obj, j2));
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzez.zzc(zzw(obj, j2));
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzl(obj, j2);
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzez.zzc(zzw(obj, j2));
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzl(obj, j2);
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzez.zza(((Boolean) zzhi.zzf(obj, j2)).booleanValue());
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = ((String) zzhi.zzf(obj, j2)).hashCode();
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 60:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzhi.zzf(obj, j2).hashCode();
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzhi.zzf(obj, j2).hashCode();
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzl(obj, j2);
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzl(obj, j2);
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzl(obj, j2);
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzez.zzc(zzw(obj, j2));
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzl(obj, j2);
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzez.zzc(zzw(obj, j2));
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (zzJ(obj, i5, i4)) {
                        i2 = i3 * 53;
                        zzc = zzhi.zzf(obj, j2).hashCode();
                        i3 = i2 + zzc;
                        break;
                    } else {
                        break;
                    }
            }
        }
        return (i3 * 53) + this.zzm.zza(obj).hashCode();
    }

    /* JADX WARN: Code restructure failed: missing block: B:74:0x0335, code lost:
    
        if (r0 != r20) goto L115;
     */
    /* JADX WARN: Code restructure failed: missing block: B:75:0x0337, code lost:
    
        r15 = r29;
        r14 = r30;
        r12 = r31;
        r13 = r33;
        r11 = r34;
        r9 = r35;
        r1 = r17;
        r2 = r19;
        r3 = r21;
        r5 = r22;
        r6 = r25;
     */
    /* JADX WARN: Code restructure failed: missing block: B:76:0x034f, code lost:
    
        r7 = r34;
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:82:0x0372, code lost:
    
        if (r0 != r15) goto L115;
     */
    /* JADX WARN: Code restructure failed: missing block: B:84:0x0398, code lost:
    
        if (r0 != r15) goto L115;
     */
    /* JADX WARN: Failed to find 'out' block for switch in B:93:0x008e. Please report as an issue. */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    final int zzb(java.lang.Object r30, byte[] r31, int r32, int r33, int r34, com.google.android.gms.internal.auth.zzds r35) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 1104
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.auth.zzfz.zzb(java.lang.Object, byte[], int, int, int, com.google.android.gms.internal.auth.zzds):int");
    }

    @Override // com.google.android.gms.internal.auth.zzgh
    public final Object zzd() {
        return ((zzeu) this.zzg).zzi(4, null, null);
    }

    @Override // com.google.android.gms.internal.auth.zzgh
    public final void zze(Object obj) {
        int i2;
        int i3 = this.zzj;
        while (true) {
            i2 = this.zzk;
            if (i3 >= i2) {
                break;
            }
            long zzv = zzv(this.zzi[i3]) & ErrorCode.ERR_UNKNOWN;
            Object zzf = zzhi.zzf(obj, zzv);
            if (zzf != null) {
                ((zzfq) zzf).zzc();
                zzhi.zzp(obj, zzv, zzf);
            }
            i3++;
        }
        int length = this.zzi.length;
        while (i2 < length) {
            this.zzl.zza(obj, this.zzi[i2]);
            i2++;
        }
        this.zzm.zze(obj);
    }

    @Override // com.google.android.gms.internal.auth.zzgh
    public final void zzg(Object obj, byte[] bArr, int i2, int i3, zzds zzdsVar) throws IOException {
        if (this.zzh) {
            zzo(obj, bArr, i2, i3, zzdsVar);
        } else {
            zzb(obj, bArr, i2, i3, 0, zzdsVar);
        }
    }

    @Override // com.google.android.gms.internal.auth.zzgh
    public final boolean zzh(Object obj, Object obj2) {
        boolean zzh;
        int length = this.zzc.length;
        for (int i2 = 0; i2 < length; i2 += 3) {
            int zzv = zzv(i2);
            long j2 = zzv & ErrorCode.ERR_UNKNOWN;
            switch (zzu(zzv)) {
                case 0:
                    if (zzF(obj, obj2, i2) && Double.doubleToLongBits(zzhi.zza(obj, j2)) == Double.doubleToLongBits(zzhi.zza(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 1:
                    if (zzF(obj, obj2, i2) && Float.floatToIntBits(zzhi.zzb(obj, j2)) == Float.floatToIntBits(zzhi.zzb(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 2:
                    if (zzF(obj, obj2, i2) && zzhi.zzd(obj, j2) == zzhi.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 3:
                    if (zzF(obj, obj2, i2) && zzhi.zzd(obj, j2) == zzhi.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 4:
                    if (zzF(obj, obj2, i2) && zzhi.zzc(obj, j2) == zzhi.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 5:
                    if (zzF(obj, obj2, i2) && zzhi.zzd(obj, j2) == zzhi.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 6:
                    if (zzF(obj, obj2, i2) && zzhi.zzc(obj, j2) == zzhi.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 7:
                    if (zzF(obj, obj2, i2) && zzhi.zzt(obj, j2) == zzhi.zzt(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 8:
                    if (zzF(obj, obj2, i2) && zzgj.zzh(zzhi.zzf(obj, j2), zzhi.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 9:
                    if (zzF(obj, obj2, i2) && zzgj.zzh(zzhi.zzf(obj, j2), zzhi.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 10:
                    if (zzF(obj, obj2, i2) && zzgj.zzh(zzhi.zzf(obj, j2), zzhi.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 11:
                    if (zzF(obj, obj2, i2) && zzhi.zzc(obj, j2) == zzhi.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 12:
                    if (zzF(obj, obj2, i2) && zzhi.zzc(obj, j2) == zzhi.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 13:
                    if (zzF(obj, obj2, i2) && zzhi.zzc(obj, j2) == zzhi.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 14:
                    if (zzF(obj, obj2, i2) && zzhi.zzd(obj, j2) == zzhi.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 15:
                    if (zzF(obj, obj2, i2) && zzhi.zzc(obj, j2) == zzhi.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 16:
                    if (zzF(obj, obj2, i2) && zzhi.zzd(obj, j2) == zzhi.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 17:
                    if (zzF(obj, obj2, i2) && zzgj.zzh(zzhi.zzf(obj, j2), zzhi.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    zzh = zzgj.zzh(zzhi.zzf(obj, j2), zzhi.zzf(obj2, j2));
                    break;
                case 50:
                    zzh = zzgj.zzh(zzhi.zzf(obj, j2), zzhi.zzf(obj2, j2));
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                case 60:
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                case 68:
                    long zzs = zzs(i2) & ErrorCode.ERR_UNKNOWN;
                    if (zzhi.zzc(obj, zzs) == zzhi.zzc(obj2, zzs) && zzgj.zzh(zzhi.zzf(obj, j2), zzhi.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                default:
            }
            if (!zzh) {
                return false;
            }
        }
        return this.zzm.zza(obj).equals(this.zzm.zza(obj2));
    }

    @Override // com.google.android.gms.internal.auth.zzgh
    public final boolean zzi(Object obj) {
        int i2;
        int i3;
        int i4 = 1048575;
        int i5 = 0;
        int i6 = 0;
        while (i6 < this.zzj) {
            int i7 = this.zzi[i6];
            int i8 = this.zzc[i7];
            int zzv = zzv(i7);
            int i9 = this.zzc[i7 + 2];
            int i10 = i9 & ErrorCode.ERR_UNKNOWN;
            int i11 = 1 << (i9 >>> 20);
            if (i10 != i4) {
                if (i10 != 1048575) {
                    i5 = zzb.getInt(obj, i10);
                }
                i3 = i5;
                i2 = i10;
            } else {
                i2 = i4;
                i3 = i5;
            }
            if ((268435456 & zzv) != 0 && !zzH(obj, i7, i2, i3, i11)) {
                return false;
            }
            int zzu = zzu(zzv);
            if (zzu != 9 && zzu != 17) {
                if (zzu != 27) {
                    if (zzu == 60 || zzu == 68) {
                        if (zzJ(obj, i8, i7) && !zzI(obj, zzv, zzy(i7))) {
                            return false;
                        }
                    } else if (zzu != 49) {
                        if (zzu == 50 && !((zzfq) zzhi.zzf(obj, zzv & ErrorCode.ERR_UNKNOWN)).isEmpty()) {
                            throw null;
                        }
                    }
                }
                List list = (List) zzhi.zzf(obj, zzv & ErrorCode.ERR_UNKNOWN);
                if (list.isEmpty()) {
                    continue;
                } else {
                    zzgh zzy = zzy(i7);
                    for (int i12 = 0; i12 < list.size(); i12++) {
                        if (!zzy.zzi(list.get(i12))) {
                            return false;
                        }
                    }
                }
            } else if (zzH(obj, i7, i2, i3, i11) && !zzI(obj, zzv, zzy(i7))) {
                return false;
            }
            i6++;
            i4 = i2;
            i5 = i3;
        }
        return true;
    }

    @Override // com.google.android.gms.internal.auth.zzgh
    public final void zzf(Object obj, Object obj2) {
        obj2.getClass();
        for (int i2 = 0; i2 < this.zzc.length; i2 += 3) {
            int zzv = zzv(i2);
            long j2 = 1048575 & zzv;
            int i3 = this.zzc[i2];
            switch (zzu(zzv)) {
                case 0:
                    if (zzG(obj2, i2)) {
                        zzhi.zzl(obj, j2, zzhi.zza(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (zzG(obj2, i2)) {
                        zzhi.zzm(obj, j2, zzhi.zzb(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (zzG(obj2, i2)) {
                        zzhi.zzo(obj, j2, zzhi.zzd(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (zzG(obj2, i2)) {
                        zzhi.zzo(obj, j2, zzhi.zzd(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (zzG(obj2, i2)) {
                        zzhi.zzn(obj, j2, zzhi.zzc(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (zzG(obj2, i2)) {
                        zzhi.zzo(obj, j2, zzhi.zzd(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (zzG(obj2, i2)) {
                        zzhi.zzn(obj, j2, zzhi.zzc(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (zzG(obj2, i2)) {
                        zzhi.zzk(obj, j2, zzhi.zzt(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (zzG(obj2, i2)) {
                        zzhi.zzp(obj, j2, zzhi.zzf(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 9:
                    zzB(obj, obj2, i2);
                    break;
                case 10:
                    if (zzG(obj2, i2)) {
                        zzhi.zzp(obj, j2, zzhi.zzf(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (zzG(obj2, i2)) {
                        zzhi.zzn(obj, j2, zzhi.zzc(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (zzG(obj2, i2)) {
                        zzhi.zzn(obj, j2, zzhi.zzc(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (zzG(obj2, i2)) {
                        zzhi.zzn(obj, j2, zzhi.zzc(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (zzG(obj2, i2)) {
                        zzhi.zzo(obj, j2, zzhi.zzd(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (zzG(obj2, i2)) {
                        zzhi.zzn(obj, j2, zzhi.zzc(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (zzG(obj2, i2)) {
                        zzhi.zzo(obj, j2, zzhi.zzd(obj2, j2));
                        zzD(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 17:
                    zzB(obj, obj2, i2);
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    this.zzl.zzb(obj, obj2, j2);
                    break;
                case 50:
                    zzgj.zzi(this.zzp, obj, obj2, j2);
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                    if (zzJ(obj2, i3, i2)) {
                        zzhi.zzp(obj, j2, zzhi.zzf(obj2, j2));
                        zzE(obj, i3, i2);
                        break;
                    } else {
                        break;
                    }
                case 60:
                    zzC(obj, obj2, i2);
                    break;
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                    if (zzJ(obj2, i3, i2)) {
                        zzhi.zzp(obj, j2, zzhi.zzf(obj2, j2));
                        zzE(obj, i3, i2);
                        break;
                    } else {
                        break;
                    }
                case 68:
                    zzC(obj, obj2, i2);
                    break;
            }
        }
        zzgj.zzf(this.zzm, obj, obj2);
    }
}
