package com.google.android.gms.internal.location;

import com.amap.api.col.p0003sl.jr;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import java.text.SimpleDateFormat;
import java.util.Locale;
import org.apache.commons.lang3.time.DateUtils;

/* compiled from: com.google.android.gms:play-services-location@@21.0.1 */
/* loaded from: classes2.dex */
public final class zzdj {
    private static final SimpleDateFormat zza = new SimpleDateFormat("MM-dd HH:mm:ss.SSS", Locale.ROOT);
    private static final SimpleDateFormat zzb = new SimpleDateFormat("MM-dd HH:mm:ss", Locale.ROOT);
    private static final StringBuilder zzc = new StringBuilder(33);

    public static String zza(long j2) {
        String sb;
        StringBuilder sb2 = zzc;
        synchronized (sb2) {
            sb2.setLength(0);
            zzb(j2, sb2);
            sb = sb2.toString();
        }
        return sb;
    }

    public static void zzb(long j2, StringBuilder sb) {
        if (j2 == 0) {
            sb.append("0s");
            return;
        }
        sb.ensureCapacity(sb.length() + 27);
        boolean z = false;
        if (j2 < 0) {
            sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
            if (j2 != Long.MIN_VALUE) {
                j2 = -j2;
            } else {
                j2 = Long.MAX_VALUE;
                z = true;
            }
        }
        if (j2 >= DateUtils.MILLIS_PER_DAY) {
            sb.append(j2 / DateUtils.MILLIS_PER_DAY);
            sb.append("d");
            j2 %= DateUtils.MILLIS_PER_DAY;
        }
        if (true == z) {
            j2 = 25975808;
        }
        if (j2 >= DateUtils.MILLIS_PER_HOUR) {
            sb.append(j2 / DateUtils.MILLIS_PER_HOUR);
            sb.append(jr.f1342g);
            j2 %= DateUtils.MILLIS_PER_HOUR;
        }
        if (j2 >= DateUtils.MILLIS_PER_MINUTE) {
            sb.append(j2 / DateUtils.MILLIS_PER_MINUTE);
            sb.append("m");
            j2 %= DateUtils.MILLIS_PER_MINUTE;
        }
        if (j2 >= 1000) {
            sb.append(j2 / 1000);
            sb.append("s");
            j2 %= 1000;
        }
        if (j2 > 0) {
            sb.append(j2);
            sb.append("ms");
        }
    }
}
