package com.google.android.gms.internal.measurement;

import com.google.firebase.crashlytics.buildtools.reloc.com.google.common.base.Ascii;
import java.io.IOException;

/* compiled from: com.google.android.gms:play-services-measurement-base@@21.3.0 */
/* loaded from: classes2.dex */
final class zzjo {
    static int zza(byte[] bArr, int i2, zzjn zzjnVar) throws zzll {
        int zzj = zzj(bArr, i2, zzjnVar);
        int i3 = zzjnVar.zza;
        if (i3 < 0) {
            throw zzll.zzd();
        }
        if (i3 > bArr.length - zzj) {
            throw zzll.zzf();
        }
        if (i3 == 0) {
            zzjnVar.zzc = zzka.zzb;
            return zzj;
        }
        zzjnVar.zzc = zzka.zzl(bArr, zzj, i3);
        return zzj + i3;
    }

    static int zzb(byte[] bArr, int i2) {
        int i3 = bArr[i2] & 255;
        int i4 = bArr[i2 + 1] & 255;
        int i5 = bArr[i2 + 2] & 255;
        return ((bArr[i2 + 3] & 255) << 24) | (i4 << 8) | i3 | (i5 << 16);
    }

    static int zzc(zzmt zzmtVar, byte[] bArr, int i2, int i3, int i4, zzjn zzjnVar) throws IOException {
        Object zze = zzmtVar.zze();
        int zzn = zzn(zze, zzmtVar, bArr, i2, i3, i4, zzjnVar);
        zzmtVar.zzf(zze);
        zzjnVar.zzc = zze;
        return zzn;
    }

    static int zzd(zzmt zzmtVar, byte[] bArr, int i2, int i3, zzjn zzjnVar) throws IOException {
        Object zze = zzmtVar.zze();
        int zzo = zzo(zze, zzmtVar, bArr, i2, i3, zzjnVar);
        zzmtVar.zzf(zze);
        zzjnVar.zzc = zze;
        return zzo;
    }

    static int zze(zzmt zzmtVar, int i2, byte[] bArr, int i3, int i4, zzli zzliVar, zzjn zzjnVar) throws IOException {
        int zzd = zzd(zzmtVar, bArr, i3, i4, zzjnVar);
        zzliVar.add(zzjnVar.zzc);
        while (zzd < i4) {
            int zzj = zzj(bArr, zzd, zzjnVar);
            if (i2 != zzjnVar.zza) {
                break;
            }
            zzd = zzd(zzmtVar, bArr, zzj, i4, zzjnVar);
            zzliVar.add(zzjnVar.zzc);
        }
        return zzd;
    }

    static int zzf(byte[] bArr, int i2, zzli zzliVar, zzjn zzjnVar) throws IOException {
        zzlc zzlcVar = (zzlc) zzliVar;
        int zzj = zzj(bArr, i2, zzjnVar);
        int i3 = zzjnVar.zza + zzj;
        while (zzj < i3) {
            zzj = zzj(bArr, zzj, zzjnVar);
            zzlcVar.zzh(zzjnVar.zza);
        }
        if (zzj == i3) {
            return zzj;
        }
        throw zzll.zzf();
    }

    static int zzg(byte[] bArr, int i2, zzjn zzjnVar) throws zzll {
        int zzj = zzj(bArr, i2, zzjnVar);
        int i3 = zzjnVar.zza;
        if (i3 < 0) {
            throw zzll.zzd();
        }
        if (i3 == 0) {
            zzjnVar.zzc = "";
            return zzj;
        }
        zzjnVar.zzc = new String(bArr, zzj, i3, zzlj.zzb);
        return zzj + i3;
    }

    static int zzh(byte[] bArr, int i2, zzjn zzjnVar) throws zzll {
        int zzj = zzj(bArr, i2, zzjnVar);
        int i3 = zzjnVar.zza;
        if (i3 < 0) {
            throw zzll.zzd();
        }
        if (i3 == 0) {
            zzjnVar.zzc = "";
            return zzj;
        }
        int i4 = zznz.zza;
        int length = bArr.length;
        if ((((length - zzj) - i3) | zzj | i3) < 0) {
            throw new ArrayIndexOutOfBoundsException(String.format("buffer length=%d, index=%d, size=%d", Integer.valueOf(length), Integer.valueOf(zzj), Integer.valueOf(i3)));
        }
        int i5 = zzj + i3;
        char[] cArr = new char[i3];
        int i6 = 0;
        while (zzj < i5) {
            byte b2 = bArr[zzj];
            if (!zznv.zzd(b2)) {
                break;
            }
            zzj++;
            cArr[i6] = (char) b2;
            i6++;
        }
        while (zzj < i5) {
            int i7 = zzj + 1;
            byte b3 = bArr[zzj];
            if (zznv.zzd(b3)) {
                int i8 = i6 + 1;
                cArr[i6] = (char) b3;
                zzj = i7;
                while (true) {
                    i6 = i8;
                    if (zzj < i5) {
                        byte b4 = bArr[zzj];
                        if (zznv.zzd(b4)) {
                            zzj++;
                            i8 = i6 + 1;
                            cArr[i6] = (char) b4;
                        }
                    }
                }
            } else if (b3 < -32) {
                if (i7 >= i5) {
                    throw zzll.zzc();
                }
                zznv.zzc(b3, bArr[i7], cArr, i6);
                zzj = i7 + 1;
                i6++;
            } else if (b3 < -16) {
                if (i7 >= i5 - 1) {
                    throw zzll.zzc();
                }
                int i9 = i7 + 1;
                zznv.zzb(b3, bArr[i7], bArr[i9], cArr, i6);
                zzj = i9 + 1;
                i6++;
            } else {
                if (i7 >= i5 - 2) {
                    throw zzll.zzc();
                }
                int i10 = i7 + 1;
                byte b5 = bArr[i7];
                int i11 = i10 + 1;
                zznv.zza(b3, b5, bArr[i10], bArr[i11], cArr, i6);
                i6 += 2;
                zzj = i11 + 1;
            }
        }
        zzjnVar.zzc = new String(cArr, 0, i6);
        return i5;
    }

    static int zzi(int i2, byte[] bArr, int i3, int i4, zznl zznlVar, zzjn zzjnVar) throws zzll {
        if ((i2 >>> 3) == 0) {
            throw zzll.zzb();
        }
        int i5 = i2 & 7;
        if (i5 == 0) {
            int zzm = zzm(bArr, i3, zzjnVar);
            zznlVar.zzj(i2, Long.valueOf(zzjnVar.zzb));
            return zzm;
        }
        if (i5 == 1) {
            zznlVar.zzj(i2, Long.valueOf(zzp(bArr, i3)));
            return i3 + 8;
        }
        if (i5 == 2) {
            int zzj = zzj(bArr, i3, zzjnVar);
            int i6 = zzjnVar.zza;
            if (i6 < 0) {
                throw zzll.zzd();
            }
            if (i6 > bArr.length - zzj) {
                throw zzll.zzf();
            }
            if (i6 == 0) {
                zznlVar.zzj(i2, zzka.zzb);
            } else {
                zznlVar.zzj(i2, zzka.zzl(bArr, zzj, i6));
            }
            return zzj + i6;
        }
        if (i5 != 3) {
            if (i5 != 5) {
                throw zzll.zzb();
            }
            zznlVar.zzj(i2, Integer.valueOf(zzb(bArr, i3)));
            return i3 + 4;
        }
        int i7 = (i2 & (-8)) | 4;
        zznl zzf = zznl.zzf();
        int i8 = 0;
        while (true) {
            if (i3 >= i4) {
                break;
            }
            int zzj2 = zzj(bArr, i3, zzjnVar);
            int i9 = zzjnVar.zza;
            i8 = i9;
            if (i9 == i7) {
                i3 = zzj2;
                break;
            }
            int zzi = zzi(i8, bArr, zzj2, i4, zzf, zzjnVar);
            i8 = i9;
            i3 = zzi;
        }
        if (i3 > i4 || i8 != i7) {
            throw zzll.zze();
        }
        zznlVar.zzj(i2, zzf);
        return i3;
    }

    static int zzj(byte[] bArr, int i2, zzjn zzjnVar) {
        int i3 = i2 + 1;
        byte b2 = bArr[i2];
        if (b2 < 0) {
            return zzk(b2, bArr, i3, zzjnVar);
        }
        zzjnVar.zza = b2;
        return i3;
    }

    static int zzk(int i2, byte[] bArr, int i3, zzjn zzjnVar) {
        byte b2 = bArr[i3];
        int i4 = i3 + 1;
        int i5 = i2 & 127;
        if (b2 >= 0) {
            zzjnVar.zza = i5 | (b2 << 7);
            return i4;
        }
        int i6 = i5 | ((b2 & Byte.MAX_VALUE) << 7);
        int i7 = i4 + 1;
        byte b3 = bArr[i4];
        if (b3 >= 0) {
            zzjnVar.zza = i6 | (b3 << 14);
            return i7;
        }
        int i8 = i6 | ((b3 & Byte.MAX_VALUE) << 14);
        int i9 = i7 + 1;
        byte b4 = bArr[i7];
        if (b4 >= 0) {
            zzjnVar.zza = i8 | (b4 << Ascii.NAK);
            return i9;
        }
        int i10 = i8 | ((b4 & Byte.MAX_VALUE) << 21);
        int i11 = i9 + 1;
        byte b5 = bArr[i9];
        if (b5 >= 0) {
            zzjnVar.zza = i10 | (b5 << Ascii.FS);
            return i11;
        }
        int i12 = i10 | ((b5 & Byte.MAX_VALUE) << 28);
        while (true) {
            int i13 = i11 + 1;
            if (bArr[i11] >= 0) {
                zzjnVar.zza = i12;
                return i13;
            }
            i11 = i13;
        }
    }

    static int zzl(int i2, byte[] bArr, int i3, int i4, zzli zzliVar, zzjn zzjnVar) {
        zzlc zzlcVar = (zzlc) zzliVar;
        int zzj = zzj(bArr, i3, zzjnVar);
        zzlcVar.zzh(zzjnVar.zza);
        while (zzj < i4) {
            int zzj2 = zzj(bArr, zzj, zzjnVar);
            if (i2 != zzjnVar.zza) {
                break;
            }
            zzj = zzj(bArr, zzj2, zzjnVar);
            zzlcVar.zzh(zzjnVar.zza);
        }
        return zzj;
    }

    static int zzm(byte[] bArr, int i2, zzjn zzjnVar) {
        long j2 = bArr[i2];
        int i3 = i2 + 1;
        if (j2 >= 0) {
            zzjnVar.zzb = j2;
            return i3;
        }
        int i4 = i3 + 1;
        byte b2 = bArr[i3];
        long j3 = (j2 & 127) | ((b2 & Byte.MAX_VALUE) << 7);
        int i5 = 7;
        while (b2 < 0) {
            int i6 = i4 + 1;
            byte b3 = bArr[i4];
            i5 += 7;
            j3 |= (b3 & Byte.MAX_VALUE) << i5;
            i4 = i6;
            b2 = b3;
        }
        zzjnVar.zzb = j3;
        return i4;
    }

    static int zzn(Object obj, zzmt zzmtVar, byte[] bArr, int i2, int i3, int i4, zzjn zzjnVar) throws IOException {
        int zzc = ((zzml) zzmtVar).zzc(obj, bArr, i2, i3, i4, zzjnVar);
        zzjnVar.zzc = obj;
        return zzc;
    }

    static int zzo(Object obj, zzmt zzmtVar, byte[] bArr, int i2, int i3, zzjn zzjnVar) throws IOException {
        int i4 = i2 + 1;
        int i5 = bArr[i2];
        if (i5 < 0) {
            i4 = zzk(i5, bArr, i4, zzjnVar);
            i5 = zzjnVar.zza;
        }
        int i6 = i4;
        if (i5 < 0 || i5 > i3 - i6) {
            throw zzll.zzf();
        }
        int i7 = i5 + i6;
        zzmtVar.zzh(obj, bArr, i6, i7, zzjnVar);
        zzjnVar.zzc = obj;
        return i7;
    }

    static long zzp(byte[] bArr, int i2) {
        return (bArr[i2] & 255) | ((bArr[i2 + 1] & 255) << 8) | ((bArr[i2 + 2] & 255) << 16) | ((bArr[i2 + 3] & 255) << 24) | ((bArr[i2 + 4] & 255) << 32) | ((bArr[i2 + 5] & 255) << 40) | ((bArr[i2 + 6] & 255) << 48) | ((bArr[i2 + 7] & 255) << 56);
    }
}
