package com.google.android.gms.internal.measurement;

import com.jieli.jl_bt_ota.constant.ErrorCode;
import java.io.IOException;
import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.RandomAccess;
import sun.misc.Unsafe;

/* compiled from: com.google.android.gms:play-services-measurement-base@@21.3.0 */
/* loaded from: classes2.dex */
final class zzml<T> implements zzmt<T> {
    private static final int[] zza = new int[0];
    private static final Unsafe zzb = zznu.zzg();
    private final int[] zzc;
    private final Object[] zzd;
    private final int zze;
    private final int zzf;
    private final zzmi zzg;
    private final boolean zzh;
    private final boolean zzi;
    private final int[] zzj;
    private final int zzk;
    private final int zzl;
    private final zzlw zzm;
    private final zznk zzn;
    private final zzko zzo;
    private final zzmn zzp;
    private final zzmd zzq;

    private zzml(int[] iArr, Object[] objArr, int i2, int i3, zzmi zzmiVar, boolean z, boolean z2, int[] iArr2, int i4, int i5, zzmn zzmnVar, zzlw zzlwVar, zznk zznkVar, zzko zzkoVar, zzmd zzmdVar) {
        this.zzc = iArr;
        this.zzd = objArr;
        this.zze = i2;
        this.zzf = i3;
        this.zzi = z;
        boolean z3 = false;
        if (zzkoVar != null && zzkoVar.zzc(zzmiVar)) {
            z3 = true;
        }
        this.zzh = z3;
        this.zzj = iArr2;
        this.zzk = i4;
        this.zzl = i5;
        this.zzp = zzmnVar;
        this.zzm = zzlwVar;
        this.zzn = zznkVar;
        this.zzo = zzkoVar;
        this.zzg = zzmiVar;
        this.zzq = zzmdVar;
    }

    private final zzlf zzA(int i2) {
        int i3 = i2 / 3;
        return (zzlf) this.zzd[i3 + i3 + 1];
    }

    private final zzmt zzB(int i2) {
        int i3 = i2 / 3;
        int i4 = i3 + i3;
        zzmt zzmtVar = (zzmt) this.zzd[i4];
        if (zzmtVar != null) {
            return zzmtVar;
        }
        zzmt zzb2 = zzmq.zza().zzb((Class) this.zzd[i4 + 1]);
        this.zzd[i4] = zzb2;
        return zzb2;
    }

    private final Object zzC(int i2) {
        int i3 = i2 / 3;
        return this.zzd[i3 + i3];
    }

    private final Object zzD(Object obj, int i2) {
        zzmt zzB = zzB(i2);
        int zzy = zzy(i2) & ErrorCode.ERR_UNKNOWN;
        if (!zzP(obj, i2)) {
            return zzB.zze();
        }
        Object object = zzb.getObject(obj, zzy);
        if (zzS(object)) {
            return object;
        }
        Object zze = zzB.zze();
        if (object != null) {
            zzB.zzg(zze, object);
        }
        return zze;
    }

    private final Object zzE(Object obj, int i2, int i3) {
        zzmt zzB = zzB(i3);
        if (!zzT(obj, i2, i3)) {
            return zzB.zze();
        }
        Object object = zzb.getObject(obj, zzy(i3) & ErrorCode.ERR_UNKNOWN);
        if (zzS(object)) {
            return object;
        }
        Object zze = zzB.zze();
        if (object != null) {
            zzB.zzg(zze, object);
        }
        return zze;
    }

    private static Field zzF(Class cls, String str) {
        try {
            return cls.getDeclaredField(str);
        } catch (NoSuchFieldException unused) {
            Field[] declaredFields = cls.getDeclaredFields();
            for (Field field : declaredFields) {
                if (str.equals(field.getName())) {
                    return field;
                }
            }
            throw new RuntimeException("Field " + str + " for " + cls.getName() + " not found. Known fields are " + Arrays.toString(declaredFields));
        }
    }

    private static void zzG(Object obj) {
        if (!zzS(obj)) {
            throw new IllegalArgumentException("Mutating immutable message: ".concat(String.valueOf(String.valueOf(obj))));
        }
    }

    private final void zzH(Object obj, Object obj2, int i2) {
        if (zzP(obj2, i2)) {
            int zzy = zzy(i2) & ErrorCode.ERR_UNKNOWN;
            Unsafe unsafe = zzb;
            long j2 = zzy;
            Object object = unsafe.getObject(obj2, j2);
            if (object == null) {
                throw new IllegalStateException("Source subfield " + this.zzc[i2] + " is present but null: " + obj2.toString());
            }
            zzmt zzB = zzB(i2);
            if (!zzP(obj, i2)) {
                if (zzS(object)) {
                    Object zze = zzB.zze();
                    zzB.zzg(zze, object);
                    unsafe.putObject(obj, j2, zze);
                } else {
                    unsafe.putObject(obj, j2, object);
                }
                zzJ(obj, i2);
                return;
            }
            Object object2 = unsafe.getObject(obj, j2);
            if (!zzS(object2)) {
                Object zze2 = zzB.zze();
                zzB.zzg(zze2, object2);
                unsafe.putObject(obj, j2, zze2);
                object2 = zze2;
            }
            zzB.zzg(object2, object);
        }
    }

    private final void zzI(Object obj, Object obj2, int i2) {
        int i3 = this.zzc[i2];
        if (zzT(obj2, i3, i2)) {
            int zzy = zzy(i2) & ErrorCode.ERR_UNKNOWN;
            Unsafe unsafe = zzb;
            long j2 = zzy;
            Object object = unsafe.getObject(obj2, j2);
            if (object == null) {
                throw new IllegalStateException("Source subfield " + this.zzc[i2] + " is present but null: " + obj2.toString());
            }
            zzmt zzB = zzB(i2);
            if (!zzT(obj, i3, i2)) {
                if (zzS(object)) {
                    Object zze = zzB.zze();
                    zzB.zzg(zze, object);
                    unsafe.putObject(obj, j2, zze);
                } else {
                    unsafe.putObject(obj, j2, object);
                }
                zzK(obj, i3, i2);
                return;
            }
            Object object2 = unsafe.getObject(obj, j2);
            if (!zzS(object2)) {
                Object zze2 = zzB.zze();
                zzB.zzg(zze2, object2);
                unsafe.putObject(obj, j2, zze2);
                object2 = zze2;
            }
            zzB.zzg(object2, object);
        }
    }

    private final void zzJ(Object obj, int i2) {
        int zzv = zzv(i2);
        long j2 = 1048575 & zzv;
        if (j2 == 1048575) {
            return;
        }
        zznu.zzq(obj, j2, (1 << (zzv >>> 20)) | zznu.zzc(obj, j2));
    }

    private final void zzK(Object obj, int i2, int i3) {
        zznu.zzq(obj, zzv(i3) & ErrorCode.ERR_UNKNOWN, i2);
    }

    private final void zzL(Object obj, int i2, Object obj2) {
        zzb.putObject(obj, zzy(i2) & ErrorCode.ERR_UNKNOWN, obj2);
        zzJ(obj, i2);
    }

    private final void zzM(Object obj, int i2, int i3, Object obj2) {
        zzb.putObject(obj, zzy(i3) & ErrorCode.ERR_UNKNOWN, obj2);
        zzK(obj, i2, i3);
    }

    private final void zzN(zzoc zzocVar, int i2, Object obj, int i3) throws IOException {
        if (obj == null) {
            return;
        }
        throw null;
    }

    private final boolean zzO(Object obj, Object obj2, int i2) {
        return zzP(obj, i2) == zzP(obj2, i2);
    }

    private final boolean zzP(Object obj, int i2) {
        int zzv = zzv(i2);
        long j2 = zzv & ErrorCode.ERR_UNKNOWN;
        if (j2 != 1048575) {
            return (zznu.zzc(obj, j2) & (1 << (zzv >>> 20))) != 0;
        }
        int zzy = zzy(i2);
        long j3 = zzy & ErrorCode.ERR_UNKNOWN;
        switch (zzx(zzy)) {
            case 0:
                return Double.doubleToRawLongBits(zznu.zza(obj, j3)) != 0;
            case 1:
                return Float.floatToRawIntBits(zznu.zzb(obj, j3)) != 0;
            case 2:
                return zznu.zzd(obj, j3) != 0;
            case 3:
                return zznu.zzd(obj, j3) != 0;
            case 4:
                return zznu.zzc(obj, j3) != 0;
            case 5:
                return zznu.zzd(obj, j3) != 0;
            case 6:
                return zznu.zzc(obj, j3) != 0;
            case 7:
                return zznu.zzw(obj, j3);
            case 8:
                Object zzf = zznu.zzf(obj, j3);
                if (zzf instanceof String) {
                    return !((String) zzf).isEmpty();
                }
                if (zzf instanceof zzka) {
                    return !zzka.zzb.equals(zzf);
                }
                throw new IllegalArgumentException();
            case 9:
                return zznu.zzf(obj, j3) != null;
            case 10:
                return !zzka.zzb.equals(zznu.zzf(obj, j3));
            case 11:
                return zznu.zzc(obj, j3) != 0;
            case 12:
                return zznu.zzc(obj, j3) != 0;
            case 13:
                return zznu.zzc(obj, j3) != 0;
            case 14:
                return zznu.zzd(obj, j3) != 0;
            case 15:
                return zznu.zzc(obj, j3) != 0;
            case 16:
                return zznu.zzd(obj, j3) != 0;
            case 17:
                return zznu.zzf(obj, j3) != null;
            default:
                throw new IllegalArgumentException();
        }
    }

    private final boolean zzQ(Object obj, int i2, int i3, int i4, int i5) {
        return i3 == 1048575 ? zzP(obj, i2) : (i4 & i5) != 0;
    }

    private static boolean zzR(Object obj, int i2, zzmt zzmtVar) {
        return zzmtVar.zzk(zznu.zzf(obj, i2 & ErrorCode.ERR_UNKNOWN));
    }

    private static boolean zzS(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj instanceof zzlb) {
            return ((zzlb) obj).zzbR();
        }
        return true;
    }

    private final boolean zzT(Object obj, int i2, int i3) {
        return zznu.zzc(obj, (long) (zzv(i3) & ErrorCode.ERR_UNKNOWN)) == i2;
    }

    private static boolean zzU(Object obj, long j2) {
        return ((Boolean) zznu.zzf(obj, j2)).booleanValue();
    }

    private static final void zzV(int i2, Object obj, zzoc zzocVar) throws IOException {
        if (obj instanceof String) {
            zzocVar.zzF(i2, (String) obj);
        } else {
            zzocVar.zzd(i2, (zzka) obj);
        }
    }

    static zznl zzd(Object obj) {
        zzlb zzlbVar = (zzlb) obj;
        zznl zznlVar = zzlbVar.zzc;
        if (zznlVar != zznl.zzc()) {
            return zznlVar;
        }
        zznl zzf = zznl.zzf();
        zzlbVar.zzc = zzf;
        return zzf;
    }

    /* JADX WARN: Removed duplicated region for block: B:65:0x026d  */
    /* JADX WARN: Removed duplicated region for block: B:68:0x0285  */
    /* JADX WARN: Removed duplicated region for block: B:81:0x0288  */
    /* JADX WARN: Removed duplicated region for block: B:82:0x0270  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    static com.google.android.gms.internal.measurement.zzml zzl(java.lang.Class r31, com.google.android.gms.internal.measurement.zzmf r32, com.google.android.gms.internal.measurement.zzmn r33, com.google.android.gms.internal.measurement.zzlw r34, com.google.android.gms.internal.measurement.zznk r35, com.google.android.gms.internal.measurement.zzko r36, com.google.android.gms.internal.measurement.zzmd r37) {
        /*
            Method dump skipped, instructions count: 990
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.zzml.zzl(java.lang.Class, com.google.android.gms.internal.measurement.zzmf, com.google.android.gms.internal.measurement.zzmn, com.google.android.gms.internal.measurement.zzlw, com.google.android.gms.internal.measurement.zznk, com.google.android.gms.internal.measurement.zzko, com.google.android.gms.internal.measurement.zzmd):com.google.android.gms.internal.measurement.zzml");
    }

    private static double zzm(Object obj, long j2) {
        return ((Double) zznu.zzf(obj, j2)).doubleValue();
    }

    private static float zzn(Object obj, long j2) {
        return ((Float) zznu.zzf(obj, j2)).floatValue();
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    private final int zzo(Object obj) {
        int i2;
        int zzx;
        int zzx2;
        int zzy;
        int zzx3;
        int zzx4;
        int zzx5;
        int zzx6;
        int zzt;
        boolean z;
        int zzc;
        int zzh;
        int zzx7;
        int zzx8;
        int i3;
        int zzx9;
        int zzx10;
        int zzx11;
        int zzx12;
        Unsafe unsafe = zzb;
        int i4 = ErrorCode.ERR_UNKNOWN;
        int i5 = 1048575;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        while (i6 < this.zzc.length) {
            int zzy2 = zzy(i6);
            int[] iArr = this.zzc;
            int i9 = iArr[i6];
            int zzx13 = zzx(zzy2);
            if (zzx13 <= 17) {
                int i10 = iArr[i6 + 2];
                int i11 = i10 & i4;
                int i12 = i10 >>> 20;
                if (i11 != i5) {
                    i8 = unsafe.getInt(obj, i11);
                    i5 = i11;
                }
                i2 = 1 << i12;
            } else {
                i2 = 0;
            }
            long j2 = zzy2 & i4;
            switch (zzx13) {
                case 0:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx = zzki.zzx(i9 << 3);
                        zzx4 = zzx + 8;
                        i7 += zzx4;
                        break;
                    }
                case 1:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx2 = zzki.zzx(i9 << 3);
                        zzx4 = zzx2 + 4;
                        i7 += zzx4;
                        break;
                    }
                case 2:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzy = zzki.zzy(unsafe.getLong(obj, j2));
                        zzx3 = zzki.zzx(i9 << 3);
                        i7 += zzx3 + zzy;
                        break;
                    }
                case 3:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzy = zzki.zzy(unsafe.getLong(obj, j2));
                        zzx3 = zzki.zzx(i9 << 3);
                        i7 += zzx3 + zzy;
                        break;
                    }
                case 4:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzy = zzki.zzu(unsafe.getInt(obj, j2));
                        zzx3 = zzki.zzx(i9 << 3);
                        i7 += zzx3 + zzy;
                        break;
                    }
                case 5:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx = zzki.zzx(i9 << 3);
                        zzx4 = zzx + 8;
                        i7 += zzx4;
                        break;
                    }
                case 6:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx2 = zzki.zzx(i9 << 3);
                        zzx4 = zzx2 + 4;
                        i7 += zzx4;
                        break;
                    }
                case 7:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx4 = zzki.zzx(i9 << 3) + 1;
                        i7 += zzx4;
                        break;
                    }
                case 8:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        Object object = unsafe.getObject(obj, j2);
                        if (!(object instanceof zzka)) {
                            zzy = zzki.zzw((String) object);
                            zzx3 = zzki.zzx(i9 << 3);
                            i7 += zzx3 + zzy;
                            break;
                        } else {
                            int i13 = zzki.zzb;
                            int zzd = ((zzka) object).zzd();
                            zzx5 = zzki.zzx(zzd) + zzd;
                            zzx6 = zzki.zzx(i9 << 3);
                            zzx4 = zzx6 + zzx5;
                            i7 += zzx4;
                            break;
                        }
                    }
                case 9:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx4 = zzmv.zzn(i9, unsafe.getObject(obj, j2), zzB(i6));
                        i7 += zzx4;
                        break;
                    }
                case 10:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzka zzkaVar = (zzka) unsafe.getObject(obj, j2);
                        int i14 = zzki.zzb;
                        int zzd2 = zzkaVar.zzd();
                        zzx5 = zzki.zzx(zzd2) + zzd2;
                        zzx6 = zzki.zzx(i9 << 3);
                        zzx4 = zzx6 + zzx5;
                        i7 += zzx4;
                        break;
                    }
                case 11:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzy = zzki.zzx(unsafe.getInt(obj, j2));
                        zzx3 = zzki.zzx(i9 << 3);
                        i7 += zzx3 + zzy;
                        break;
                    }
                case 12:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzy = zzki.zzu(unsafe.getInt(obj, j2));
                        zzx3 = zzki.zzx(i9 << 3);
                        i7 += zzx3 + zzy;
                        break;
                    }
                case 13:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx2 = zzki.zzx(i9 << 3);
                        zzx4 = zzx2 + 4;
                        i7 += zzx4;
                        break;
                    }
                case 14:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx = zzki.zzx(i9 << 3);
                        zzx4 = zzx + 8;
                        i7 += zzx4;
                        break;
                    }
                case 15:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        int i15 = unsafe.getInt(obj, j2);
                        zzx3 = zzki.zzx(i9 << 3);
                        zzy = zzki.zzx((i15 >> 31) ^ (i15 + i15));
                        i7 += zzx3 + zzy;
                        break;
                    }
                case 16:
                    if ((i2 & i8) == 0) {
                        break;
                    } else {
                        long j3 = unsafe.getLong(obj, j2);
                        i7 += zzki.zzx(i9 << 3) + zzki.zzy((j3 >> 63) ^ (j3 + j3));
                        break;
                    }
                case 17:
                    if ((i8 & i2) == 0) {
                        break;
                    } else {
                        zzx4 = zzki.zzt(i9, (zzmi) unsafe.getObject(obj, j2), zzB(i6));
                        i7 += zzx4;
                        break;
                    }
                case 18:
                    zzx4 = zzmv.zzg(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzx4;
                    break;
                case 19:
                    zzx4 = zzmv.zze(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzx4;
                    break;
                case 20:
                    zzx4 = zzmv.zzl(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzx4;
                    break;
                case 21:
                    zzx4 = zzmv.zzw(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzx4;
                    break;
                case 22:
                    zzx4 = zzmv.zzj(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzx4;
                    break;
                case 23:
                    zzx4 = zzmv.zzg(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzx4;
                    break;
                case 24:
                    zzx4 = zzmv.zze(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzx4;
                    break;
                case 25:
                    zzx4 = zzmv.zza(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzx4;
                    break;
                case 26:
                    zzt = zzmv.zzt(i9, (List) unsafe.getObject(obj, j2));
                    i7 += zzt;
                    break;
                case 27:
                    zzt = zzmv.zzo(i9, (List) unsafe.getObject(obj, j2), zzB(i6));
                    i7 += zzt;
                    break;
                case 28:
                    zzt = zzmv.zzb(i9, (List) unsafe.getObject(obj, j2));
                    i7 += zzt;
                    break;
                case 29:
                    zzt = zzmv.zzu(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzt;
                    break;
                case 30:
                    z = false;
                    zzc = zzmv.zzc(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 31:
                    z = false;
                    zzc = zzmv.zze(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 32:
                    z = false;
                    zzc = zzmv.zzg(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 33:
                    z = false;
                    zzc = zzmv.zzp(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 34:
                    z = false;
                    zzc = zzmv.zzr(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 35:
                    zzh = zzmv.zzh((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 36:
                    zzh = zzmv.zzf((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 37:
                    zzh = zzmv.zzm((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 38:
                    zzh = zzmv.zzx((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 39:
                    zzh = zzmv.zzk((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 40:
                    zzh = zzmv.zzh((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 41:
                    zzh = zzmv.zzf((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 42:
                    List list = (List) unsafe.getObject(obj, j2);
                    int i16 = zzmv.zza;
                    zzh = list.size();
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 43:
                    zzh = zzmv.zzv((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 44:
                    zzh = zzmv.zzd((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 45:
                    zzh = zzmv.zzf((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 46:
                    zzh = zzmv.zzh((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 47:
                    zzh = zzmv.zzq((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 48:
                    zzh = zzmv.zzs((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzx7 = zzki.zzx(zzh);
                        zzx8 = zzki.zzx(i9 << 3);
                        i3 = zzx8 + zzx7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 49:
                    zzt = zzmv.zzi(i9, (List) unsafe.getObject(obj, j2), zzB(i6));
                    i7 += zzt;
                    break;
                case 50:
                    zzmd.zza(i9, unsafe.getObject(obj, j2), zzC(i6));
                    break;
                case 51:
                    if (zzT(obj, i9, i6)) {
                        zzx9 = zzki.zzx(i9 << 3);
                        zzt = zzx9 + 8;
                        i7 += zzt;
                    }
                    break;
                case 52:
                    if (zzT(obj, i9, i6)) {
                        zzx10 = zzki.zzx(i9 << 3);
                        zzt = zzx10 + 4;
                        i7 += zzt;
                    }
                    break;
                case 53:
                    if (zzT(obj, i9, i6)) {
                        zzh = zzki.zzy(zzz(obj, j2));
                        i3 = zzki.zzx(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 54:
                    if (zzT(obj, i9, i6)) {
                        zzh = zzki.zzy(zzz(obj, j2));
                        i3 = zzki.zzx(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 55:
                    if (zzT(obj, i9, i6)) {
                        zzh = zzki.zzu(zzp(obj, j2));
                        i3 = zzki.zzx(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 56:
                    if (zzT(obj, i9, i6)) {
                        zzx9 = zzki.zzx(i9 << 3);
                        zzt = zzx9 + 8;
                        i7 += zzt;
                    }
                    break;
                case 57:
                    if (zzT(obj, i9, i6)) {
                        zzx10 = zzki.zzx(i9 << 3);
                        zzt = zzx10 + 4;
                        i7 += zzt;
                    }
                    break;
                case 58:
                    if (zzT(obj, i9, i6)) {
                        zzt = zzki.zzx(i9 << 3) + 1;
                        i7 += zzt;
                    }
                    break;
                case 59:
                    if (zzT(obj, i9, i6)) {
                        Object object2 = unsafe.getObject(obj, j2);
                        if (object2 instanceof zzka) {
                            int i17 = zzki.zzb;
                            int zzd3 = ((zzka) object2).zzd();
                            zzx11 = zzki.zzx(zzd3) + zzd3;
                            zzx12 = zzki.zzx(i9 << 3);
                            zzt = zzx12 + zzx11;
                            i7 += zzt;
                        } else {
                            zzh = zzki.zzw((String) object2);
                            i3 = zzki.zzx(i9 << 3);
                            i7 += i3 + zzh;
                        }
                    }
                    break;
                case 60:
                    if (zzT(obj, i9, i6)) {
                        zzt = zzmv.zzn(i9, unsafe.getObject(obj, j2), zzB(i6));
                        i7 += zzt;
                    }
                    break;
                case 61:
                    if (zzT(obj, i9, i6)) {
                        zzka zzkaVar2 = (zzka) unsafe.getObject(obj, j2);
                        int i18 = zzki.zzb;
                        int zzd4 = zzkaVar2.zzd();
                        zzx11 = zzki.zzx(zzd4) + zzd4;
                        zzx12 = zzki.zzx(i9 << 3);
                        zzt = zzx12 + zzx11;
                        i7 += zzt;
                    }
                    break;
                case 62:
                    if (zzT(obj, i9, i6)) {
                        zzh = zzki.zzx(zzp(obj, j2));
                        i3 = zzki.zzx(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 63:
                    if (zzT(obj, i9, i6)) {
                        zzh = zzki.zzu(zzp(obj, j2));
                        i3 = zzki.zzx(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 64:
                    if (zzT(obj, i9, i6)) {
                        zzx10 = zzki.zzx(i9 << 3);
                        zzt = zzx10 + 4;
                        i7 += zzt;
                    }
                    break;
                case 65:
                    if (zzT(obj, i9, i6)) {
                        zzx9 = zzki.zzx(i9 << 3);
                        zzt = zzx9 + 8;
                        i7 += zzt;
                    }
                    break;
                case 66:
                    if (zzT(obj, i9, i6)) {
                        int zzp = zzp(obj, j2);
                        i3 = zzki.zzx(i9 << 3);
                        zzh = zzki.zzx((zzp >> 31) ^ (zzp + zzp));
                        i7 += i3 + zzh;
                    }
                    break;
                case 67:
                    if (zzT(obj, i9, i6)) {
                        long zzz = zzz(obj, j2);
                        i7 += zzki.zzx(i9 << 3) + zzki.zzy((zzz >> 63) ^ (zzz + zzz));
                    }
                    break;
                case 68:
                    if (zzT(obj, i9, i6)) {
                        zzt = zzki.zzt(i9, (zzmi) unsafe.getObject(obj, j2), zzB(i6));
                        i7 += zzt;
                    }
                    break;
            }
            i6 += 3;
            i4 = ErrorCode.ERR_UNKNOWN;
        }
        zznk zznkVar = this.zzn;
        int zza2 = i7 + zznkVar.zza(zznkVar.zzd(obj));
        if (!this.zzh) {
            return zza2;
        }
        this.zzo.zza(obj);
        throw null;
    }

    private static int zzp(Object obj, long j2) {
        return ((Integer) zznu.zzf(obj, j2)).intValue();
    }

    private final int zzq(Object obj, byte[] bArr, int i2, int i3, int i4, long j2, zzjn zzjnVar) throws IOException {
        Unsafe unsafe = zzb;
        Object zzC = zzC(i4);
        Object object = unsafe.getObject(obj, j2);
        if (!((zzmc) object).zze()) {
            zzmc zzb2 = zzmc.zza().zzb();
            zzmd.zzb(zzb2, object);
            unsafe.putObject(obj, j2, zzb2);
        }
        throw null;
    }

    private final int zzr(Object obj, byte[] bArr, int i2, int i3, int i4, int i5, int i6, int i7, int i8, long j2, int i9, zzjn zzjnVar) throws IOException {
        Unsafe unsafe = zzb;
        long j3 = this.zzc[i9 + 2] & ErrorCode.ERR_UNKNOWN;
        switch (i8) {
            case 51:
                if (i6 == 1) {
                    unsafe.putObject(obj, j2, Double.valueOf(Double.longBitsToDouble(zzjo.zzp(bArr, i2))));
                    int i10 = i2 + 8;
                    unsafe.putInt(obj, j3, i5);
                    return i10;
                }
                break;
            case 52:
                if (i6 == 5) {
                    unsafe.putObject(obj, j2, Float.valueOf(Float.intBitsToFloat(zzjo.zzb(bArr, i2))));
                    int i11 = i2 + 4;
                    unsafe.putInt(obj, j3, i5);
                    return i11;
                }
                break;
            case 53:
            case 54:
                if (i6 == 0) {
                    int zzm = zzjo.zzm(bArr, i2, zzjnVar);
                    unsafe.putObject(obj, j2, Long.valueOf(zzjnVar.zzb));
                    unsafe.putInt(obj, j3, i5);
                    return zzm;
                }
                break;
            case 55:
            case 62:
                if (i6 == 0) {
                    int zzj = zzjo.zzj(bArr, i2, zzjnVar);
                    unsafe.putObject(obj, j2, Integer.valueOf(zzjnVar.zza));
                    unsafe.putInt(obj, j3, i5);
                    return zzj;
                }
                break;
            case 56:
            case 65:
                if (i6 == 1) {
                    unsafe.putObject(obj, j2, Long.valueOf(zzjo.zzp(bArr, i2)));
                    int i12 = i2 + 8;
                    unsafe.putInt(obj, j3, i5);
                    return i12;
                }
                break;
            case 57:
            case 64:
                if (i6 == 5) {
                    unsafe.putObject(obj, j2, Integer.valueOf(zzjo.zzb(bArr, i2)));
                    int i13 = i2 + 4;
                    unsafe.putInt(obj, j3, i5);
                    return i13;
                }
                break;
            case 58:
                if (i6 == 0) {
                    int zzm2 = zzjo.zzm(bArr, i2, zzjnVar);
                    unsafe.putObject(obj, j2, Boolean.valueOf(zzjnVar.zzb != 0));
                    unsafe.putInt(obj, j3, i5);
                    return zzm2;
                }
                break;
            case 59:
                if (i6 == 2) {
                    int zzj2 = zzjo.zzj(bArr, i2, zzjnVar);
                    int i14 = zzjnVar.zza;
                    if (i14 == 0) {
                        unsafe.putObject(obj, j2, "");
                    } else {
                        if ((i7 & 536870912) != 0 && !zznz.zze(bArr, zzj2, zzj2 + i14)) {
                            throw zzll.zzc();
                        }
                        unsafe.putObject(obj, j2, new String(bArr, zzj2, i14, zzlj.zzb));
                        zzj2 += i14;
                    }
                    unsafe.putInt(obj, j3, i5);
                    return zzj2;
                }
                break;
            case 60:
                if (i6 == 2) {
                    Object zzE = zzE(obj, i5, i9);
                    int zzo = zzjo.zzo(zzE, zzB(i9), bArr, i2, i3, zzjnVar);
                    zzM(obj, i5, i9, zzE);
                    return zzo;
                }
                break;
            case 61:
                if (i6 == 2) {
                    int zza2 = zzjo.zza(bArr, i2, zzjnVar);
                    unsafe.putObject(obj, j2, zzjnVar.zzc);
                    unsafe.putInt(obj, j3, i5);
                    return zza2;
                }
                break;
            case 63:
                if (i6 == 0) {
                    int zzj3 = zzjo.zzj(bArr, i2, zzjnVar);
                    int i15 = zzjnVar.zza;
                    zzlf zzA = zzA(i9);
                    if (zzA == null || zzA.zza(i15)) {
                        unsafe.putObject(obj, j2, Integer.valueOf(i15));
                        unsafe.putInt(obj, j3, i5);
                    } else {
                        zzd(obj).zzj(i4, Long.valueOf(i15));
                    }
                    return zzj3;
                }
                break;
            case 66:
                if (i6 == 0) {
                    int zzj4 = zzjo.zzj(bArr, i2, zzjnVar);
                    unsafe.putObject(obj, j2, Integer.valueOf(zzke.zzb(zzjnVar.zza)));
                    unsafe.putInt(obj, j3, i5);
                    return zzj4;
                }
                break;
            case 67:
                if (i6 == 0) {
                    int zzm3 = zzjo.zzm(bArr, i2, zzjnVar);
                    unsafe.putObject(obj, j2, Long.valueOf(zzke.zzc(zzjnVar.zzb)));
                    unsafe.putInt(obj, j3, i5);
                    return zzm3;
                }
                break;
            case 68:
                if (i6 == 3) {
                    Object zzE2 = zzE(obj, i5, i9);
                    int zzn = zzjo.zzn(zzE2, zzB(i9), bArr, i2, i3, (i4 & (-8)) | 4, zzjnVar);
                    zzM(obj, i5, i9, zzE2);
                    return zzn;
                }
                break;
        }
        return i2;
    }

    private final int zzs(Object obj, byte[] bArr, int i2, int i3, int i4, int i5, int i6, int i7, long j2, int i8, long j3, zzjn zzjnVar) throws IOException {
        int i9;
        int i10;
        int i11;
        int i12;
        int zzl;
        int i13 = i2;
        Unsafe unsafe = zzb;
        zzli zzliVar = (zzli) unsafe.getObject(obj, j3);
        if (!zzliVar.zzc()) {
            int size = zzliVar.size();
            zzliVar = zzliVar.zzd(size == 0 ? 10 : size + size);
            unsafe.putObject(obj, j3, zzliVar);
        }
        switch (i8) {
            case 18:
            case 35:
                if (i6 == 2) {
                    zzkk zzkkVar = (zzkk) zzliVar;
                    int zzj = zzjo.zzj(bArr, i13, zzjnVar);
                    int i14 = zzjnVar.zza + zzj;
                    while (zzj < i14) {
                        zzkkVar.zze(Double.longBitsToDouble(zzjo.zzp(bArr, zzj)));
                        zzj += 8;
                    }
                    if (zzj == i14) {
                        return zzj;
                    }
                    throw zzll.zzf();
                }
                if (i6 == 1) {
                    zzkk zzkkVar2 = (zzkk) zzliVar;
                    zzkkVar2.zze(Double.longBitsToDouble(zzjo.zzp(bArr, i2)));
                    while (true) {
                        i9 = i13 + 8;
                        if (i9 < i3) {
                            i13 = zzjo.zzj(bArr, i9, zzjnVar);
                            if (i4 == zzjnVar.zza) {
                                zzkkVar2.zze(Double.longBitsToDouble(zzjo.zzp(bArr, i13)));
                            }
                        }
                    }
                    return i9;
                }
                break;
            case 19:
            case 36:
                if (i6 == 2) {
                    zzku zzkuVar = (zzku) zzliVar;
                    int zzj2 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i15 = zzjnVar.zza + zzj2;
                    while (zzj2 < i15) {
                        zzkuVar.zze(Float.intBitsToFloat(zzjo.zzb(bArr, zzj2)));
                        zzj2 += 4;
                    }
                    if (zzj2 == i15) {
                        return zzj2;
                    }
                    throw zzll.zzf();
                }
                if (i6 == 5) {
                    zzku zzkuVar2 = (zzku) zzliVar;
                    zzkuVar2.zze(Float.intBitsToFloat(zzjo.zzb(bArr, i2)));
                    while (true) {
                        i10 = i13 + 4;
                        if (i10 < i3) {
                            i13 = zzjo.zzj(bArr, i10, zzjnVar);
                            if (i4 == zzjnVar.zza) {
                                zzkuVar2.zze(Float.intBitsToFloat(zzjo.zzb(bArr, i13)));
                            }
                        }
                    }
                    return i10;
                }
                break;
            case 20:
            case 21:
            case 37:
            case 38:
                if (i6 == 2) {
                    zzlx zzlxVar = (zzlx) zzliVar;
                    int zzj3 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i16 = zzjnVar.zza + zzj3;
                    while (zzj3 < i16) {
                        zzj3 = zzjo.zzm(bArr, zzj3, zzjnVar);
                        zzlxVar.zzg(zzjnVar.zzb);
                    }
                    if (zzj3 == i16) {
                        return zzj3;
                    }
                    throw zzll.zzf();
                }
                if (i6 == 0) {
                    zzlx zzlxVar2 = (zzlx) zzliVar;
                    int zzm = zzjo.zzm(bArr, i13, zzjnVar);
                    zzlxVar2.zzg(zzjnVar.zzb);
                    while (zzm < i3) {
                        int zzj4 = zzjo.zzj(bArr, zzm, zzjnVar);
                        if (i4 != zzjnVar.zza) {
                            return zzm;
                        }
                        zzm = zzjo.zzm(bArr, zzj4, zzjnVar);
                        zzlxVar2.zzg(zzjnVar.zzb);
                    }
                    return zzm;
                }
                break;
            case 22:
            case 29:
            case 39:
            case 43:
                if (i6 == 2) {
                    return zzjo.zzf(bArr, i13, zzliVar, zzjnVar);
                }
                if (i6 == 0) {
                    return zzjo.zzl(i4, bArr, i2, i3, zzliVar, zzjnVar);
                }
                break;
            case 23:
            case 32:
            case 40:
            case 46:
                if (i6 == 2) {
                    zzlx zzlxVar3 = (zzlx) zzliVar;
                    int zzj5 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i17 = zzjnVar.zza + zzj5;
                    while (zzj5 < i17) {
                        zzlxVar3.zzg(zzjo.zzp(bArr, zzj5));
                        zzj5 += 8;
                    }
                    if (zzj5 == i17) {
                        return zzj5;
                    }
                    throw zzll.zzf();
                }
                if (i6 == 1) {
                    zzlx zzlxVar4 = (zzlx) zzliVar;
                    zzlxVar4.zzg(zzjo.zzp(bArr, i2));
                    while (true) {
                        i11 = i13 + 8;
                        if (i11 < i3) {
                            i13 = zzjo.zzj(bArr, i11, zzjnVar);
                            if (i4 == zzjnVar.zza) {
                                zzlxVar4.zzg(zzjo.zzp(bArr, i13));
                            }
                        }
                    }
                    return i11;
                }
                break;
            case 24:
            case 31:
            case 41:
            case 45:
                if (i6 == 2) {
                    zzlc zzlcVar = (zzlc) zzliVar;
                    int zzj6 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i18 = zzjnVar.zza + zzj6;
                    while (zzj6 < i18) {
                        zzlcVar.zzh(zzjo.zzb(bArr, zzj6));
                        zzj6 += 4;
                    }
                    if (zzj6 == i18) {
                        return zzj6;
                    }
                    throw zzll.zzf();
                }
                if (i6 == 5) {
                    zzlc zzlcVar2 = (zzlc) zzliVar;
                    zzlcVar2.zzh(zzjo.zzb(bArr, i2));
                    while (true) {
                        i12 = i13 + 4;
                        if (i12 < i3) {
                            i13 = zzjo.zzj(bArr, i12, zzjnVar);
                            if (i4 == zzjnVar.zza) {
                                zzlcVar2.zzh(zzjo.zzb(bArr, i13));
                            }
                        }
                    }
                    return i12;
                }
                break;
            case 25:
            case 42:
                if (i6 == 2) {
                    zzjp zzjpVar = (zzjp) zzliVar;
                    int zzj7 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i19 = zzjnVar.zza + zzj7;
                    while (zzj7 < i19) {
                        zzj7 = zzjo.zzm(bArr, zzj7, zzjnVar);
                        zzjpVar.zze(zzjnVar.zzb != 0);
                    }
                    if (zzj7 == i19) {
                        return zzj7;
                    }
                    throw zzll.zzf();
                }
                if (i6 == 0) {
                    zzjp zzjpVar2 = (zzjp) zzliVar;
                    int zzm2 = zzjo.zzm(bArr, i13, zzjnVar);
                    zzjpVar2.zze(zzjnVar.zzb != 0);
                    while (zzm2 < i3) {
                        int zzj8 = zzjo.zzj(bArr, zzm2, zzjnVar);
                        if (i4 != zzjnVar.zza) {
                            return zzm2;
                        }
                        zzm2 = zzjo.zzm(bArr, zzj8, zzjnVar);
                        zzjpVar2.zze(zzjnVar.zzb != 0);
                    }
                    return zzm2;
                }
                break;
            case 26:
                if (i6 == 2) {
                    if ((j2 & 536870912) == 0) {
                        int zzj9 = zzjo.zzj(bArr, i13, zzjnVar);
                        int i20 = zzjnVar.zza;
                        if (i20 < 0) {
                            throw zzll.zzd();
                        }
                        if (i20 == 0) {
                            zzliVar.add("");
                        } else {
                            zzliVar.add(new String(bArr, zzj9, i20, zzlj.zzb));
                            zzj9 += i20;
                        }
                        while (zzj9 < i3) {
                            int zzj10 = zzjo.zzj(bArr, zzj9, zzjnVar);
                            if (i4 != zzjnVar.zza) {
                                return zzj9;
                            }
                            zzj9 = zzjo.zzj(bArr, zzj10, zzjnVar);
                            int i21 = zzjnVar.zza;
                            if (i21 < 0) {
                                throw zzll.zzd();
                            }
                            if (i21 == 0) {
                                zzliVar.add("");
                            } else {
                                zzliVar.add(new String(bArr, zzj9, i21, zzlj.zzb));
                                zzj9 += i21;
                            }
                        }
                        return zzj9;
                    }
                    int zzj11 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i22 = zzjnVar.zza;
                    if (i22 < 0) {
                        throw zzll.zzd();
                    }
                    if (i22 == 0) {
                        zzliVar.add("");
                    } else {
                        int i23 = zzj11 + i22;
                        if (!zznz.zze(bArr, zzj11, i23)) {
                            throw zzll.zzc();
                        }
                        zzliVar.add(new String(bArr, zzj11, i22, zzlj.zzb));
                        zzj11 = i23;
                    }
                    while (zzj11 < i3) {
                        int zzj12 = zzjo.zzj(bArr, zzj11, zzjnVar);
                        if (i4 != zzjnVar.zza) {
                            return zzj11;
                        }
                        zzj11 = zzjo.zzj(bArr, zzj12, zzjnVar);
                        int i24 = zzjnVar.zza;
                        if (i24 < 0) {
                            throw zzll.zzd();
                        }
                        if (i24 == 0) {
                            zzliVar.add("");
                        } else {
                            int i25 = zzj11 + i24;
                            if (!zznz.zze(bArr, zzj11, i25)) {
                                throw zzll.zzc();
                            }
                            zzliVar.add(new String(bArr, zzj11, i24, zzlj.zzb));
                            zzj11 = i25;
                        }
                    }
                    return zzj11;
                }
                break;
            case 27:
                if (i6 == 2) {
                    return zzjo.zze(zzB(i7), i4, bArr, i2, i3, zzliVar, zzjnVar);
                }
                break;
            case 28:
                if (i6 == 2) {
                    int zzj13 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i26 = zzjnVar.zza;
                    if (i26 < 0) {
                        throw zzll.zzd();
                    }
                    if (i26 > bArr.length - zzj13) {
                        throw zzll.zzf();
                    }
                    if (i26 == 0) {
                        zzliVar.add(zzka.zzb);
                    } else {
                        zzliVar.add(zzka.zzl(bArr, zzj13, i26));
                        zzj13 += i26;
                    }
                    while (zzj13 < i3) {
                        int zzj14 = zzjo.zzj(bArr, zzj13, zzjnVar);
                        if (i4 != zzjnVar.zza) {
                            return zzj13;
                        }
                        zzj13 = zzjo.zzj(bArr, zzj14, zzjnVar);
                        int i27 = zzjnVar.zza;
                        if (i27 < 0) {
                            throw zzll.zzd();
                        }
                        if (i27 > bArr.length - zzj13) {
                            throw zzll.zzf();
                        }
                        if (i27 == 0) {
                            zzliVar.add(zzka.zzb);
                        } else {
                            zzliVar.add(zzka.zzl(bArr, zzj13, i27));
                            zzj13 += i27;
                        }
                    }
                    return zzj13;
                }
                break;
            case 30:
            case 44:
                if (i6 == 2) {
                    zzl = zzjo.zzf(bArr, i13, zzliVar, zzjnVar);
                } else if (i6 == 0) {
                    zzl = zzjo.zzl(i4, bArr, i2, i3, zzliVar, zzjnVar);
                }
                zzlf zzA = zzA(i7);
                zznk zznkVar = this.zzn;
                int i28 = zzmv.zza;
                if (zzA != null) {
                    Object obj2 = null;
                    if (zzliVar instanceof RandomAccess) {
                        int size2 = zzliVar.size();
                        int i29 = 0;
                        for (int i30 = 0; i30 < size2; i30++) {
                            int intValue = ((Integer) zzliVar.get(i30)).intValue();
                            if (zzA.zza(intValue)) {
                                if (i30 != i29) {
                                    zzliVar.set(i29, Integer.valueOf(intValue));
                                }
                                i29++;
                            } else {
                                obj2 = zzmv.zzA(obj, i5, intValue, obj2, zznkVar);
                            }
                        }
                        if (i29 != size2) {
                            zzliVar.subList(i29, size2).clear();
                            return zzl;
                        }
                    } else {
                        Iterator it2 = zzliVar.iterator();
                        while (it2.hasNext()) {
                            int intValue2 = ((Integer) it2.next()).intValue();
                            if (!zzA.zza(intValue2)) {
                                obj2 = zzmv.zzA(obj, i5, intValue2, obj2, zznkVar);
                                it2.remove();
                            }
                        }
                    }
                }
                return zzl;
            case 33:
            case 47:
                if (i6 == 2) {
                    zzlc zzlcVar3 = (zzlc) zzliVar;
                    int zzj15 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i31 = zzjnVar.zza + zzj15;
                    while (zzj15 < i31) {
                        zzj15 = zzjo.zzj(bArr, zzj15, zzjnVar);
                        zzlcVar3.zzh(zzke.zzb(zzjnVar.zza));
                    }
                    if (zzj15 == i31) {
                        return zzj15;
                    }
                    throw zzll.zzf();
                }
                if (i6 == 0) {
                    zzlc zzlcVar4 = (zzlc) zzliVar;
                    int zzj16 = zzjo.zzj(bArr, i13, zzjnVar);
                    zzlcVar4.zzh(zzke.zzb(zzjnVar.zza));
                    while (zzj16 < i3) {
                        int zzj17 = zzjo.zzj(bArr, zzj16, zzjnVar);
                        if (i4 != zzjnVar.zza) {
                            return zzj16;
                        }
                        zzj16 = zzjo.zzj(bArr, zzj17, zzjnVar);
                        zzlcVar4.zzh(zzke.zzb(zzjnVar.zza));
                    }
                    return zzj16;
                }
                break;
            case 34:
            case 48:
                if (i6 == 2) {
                    zzlx zzlxVar5 = (zzlx) zzliVar;
                    int zzj18 = zzjo.zzj(bArr, i13, zzjnVar);
                    int i32 = zzjnVar.zza + zzj18;
                    while (zzj18 < i32) {
                        zzj18 = zzjo.zzm(bArr, zzj18, zzjnVar);
                        zzlxVar5.zzg(zzke.zzc(zzjnVar.zzb));
                    }
                    if (zzj18 == i32) {
                        return zzj18;
                    }
                    throw zzll.zzf();
                }
                if (i6 == 0) {
                    zzlx zzlxVar6 = (zzlx) zzliVar;
                    int zzm3 = zzjo.zzm(bArr, i13, zzjnVar);
                    zzlxVar6.zzg(zzke.zzc(zzjnVar.zzb));
                    while (zzm3 < i3) {
                        int zzj19 = zzjo.zzj(bArr, zzm3, zzjnVar);
                        if (i4 != zzjnVar.zza) {
                            return zzm3;
                        }
                        zzm3 = zzjo.zzm(bArr, zzj19, zzjnVar);
                        zzlxVar6.zzg(zzke.zzc(zzjnVar.zzb));
                    }
                    return zzm3;
                }
                break;
            default:
                if (i6 == 3) {
                    zzmt zzB = zzB(i7);
                    int i33 = (i4 & (-8)) | 4;
                    int zzc = zzjo.zzc(zzB, bArr, i2, i3, i33, zzjnVar);
                    zzliVar.add(zzjnVar.zzc);
                    while (zzc < i3) {
                        int zzj20 = zzjo.zzj(bArr, zzc, zzjnVar);
                        if (i4 != zzjnVar.zza) {
                            return zzc;
                        }
                        zzc = zzjo.zzc(zzB, bArr, zzj20, i3, i33, zzjnVar);
                        zzliVar.add(zzjnVar.zzc);
                    }
                    return zzc;
                }
                break;
        }
        return i13;
    }

    private final int zzt(int i2) {
        if (i2 < this.zze || i2 > this.zzf) {
            return -1;
        }
        return zzw(i2, 0);
    }

    private final int zzu(int i2, int i3) {
        if (i2 < this.zze || i2 > this.zzf) {
            return -1;
        }
        return zzw(i2, i3);
    }

    private final int zzv(int i2) {
        return this.zzc[i2 + 2];
    }

    private final int zzw(int i2, int i3) {
        int length = (this.zzc.length / 3) - 1;
        while (i3 <= length) {
            int i4 = (length + i3) >>> 1;
            int i5 = i4 * 3;
            int i6 = this.zzc[i5];
            if (i2 == i6) {
                return i5;
            }
            if (i2 < i6) {
                length = i4 - 1;
            } else {
                i3 = i4 + 1;
            }
        }
        return -1;
    }

    private static int zzx(int i2) {
        return (i2 >>> 20) & 255;
    }

    private final int zzy(int i2) {
        return this.zzc[i2 + 1];
    }

    private static long zzz(Object obj, long j2) {
        return ((Long) zznu.zzf(obj, j2)).longValue();
    }

    @Override // com.google.android.gms.internal.measurement.zzmt
    public final int zza(Object obj) {
        int zzx;
        int zzx2;
        int zzy;
        int zzx3;
        int zzx4;
        int zzx5;
        int zzx6;
        int zzn;
        int zzx7;
        int zzy2;
        int zzx8;
        int zzx9;
        if (!this.zzi) {
            return zzo(obj);
        }
        Unsafe unsafe = zzb;
        int i2 = 0;
        for (int i3 = 0; i3 < this.zzc.length; i3 += 3) {
            int zzy3 = zzy(i3);
            int zzx10 = zzx(zzy3);
            int i4 = this.zzc[i3];
            int i5 = zzy3 & ErrorCode.ERR_UNKNOWN;
            if (zzx10 >= zzkt.DOUBLE_LIST_PACKED.zza() && zzx10 <= zzkt.SINT64_LIST_PACKED.zza()) {
                int i6 = this.zzc[i3 + 2];
            }
            long j2 = i5;
            switch (zzx10) {
                case 0:
                    if (zzP(obj, i3)) {
                        zzx = zzki.zzx(i4 << 3);
                        zzn = zzx + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (zzP(obj, i3)) {
                        zzx2 = zzki.zzx(i4 << 3);
                        zzn = zzx2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (zzP(obj, i3)) {
                        zzy = zzki.zzy(zznu.zzd(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (zzP(obj, i3)) {
                        zzy = zzki.zzy(zznu.zzd(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (zzP(obj, i3)) {
                        zzy = zzki.zzu(zznu.zzc(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (zzP(obj, i3)) {
                        zzx = zzki.zzx(i4 << 3);
                        zzn = zzx + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (zzP(obj, i3)) {
                        zzx2 = zzki.zzx(i4 << 3);
                        zzn = zzx2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (zzP(obj, i3)) {
                        zzx4 = zzki.zzx(i4 << 3);
                        zzn = zzx4 + 1;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (zzP(obj, i3)) {
                        Object zzf = zznu.zzf(obj, j2);
                        if (zzf instanceof zzka) {
                            int i7 = i4 << 3;
                            int i8 = zzki.zzb;
                            int zzd = ((zzka) zzf).zzd();
                            zzx5 = zzki.zzx(zzd) + zzd;
                            zzx6 = zzki.zzx(i7);
                            zzn = zzx6 + zzx5;
                            i2 += zzn;
                            break;
                        } else {
                            zzy = zzki.zzw((String) zzf);
                            zzx3 = zzki.zzx(i4 << 3);
                            i2 += zzx3 + zzy;
                            break;
                        }
                    } else {
                        break;
                    }
                case 9:
                    if (zzP(obj, i3)) {
                        zzn = zzmv.zzn(i4, zznu.zzf(obj, j2), zzB(i3));
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 10:
                    if (zzP(obj, i3)) {
                        zzka zzkaVar = (zzka) zznu.zzf(obj, j2);
                        int i9 = i4 << 3;
                        int i10 = zzki.zzb;
                        int zzd2 = zzkaVar.zzd();
                        zzx5 = zzki.zzx(zzd2) + zzd2;
                        zzx6 = zzki.zzx(i9);
                        zzn = zzx6 + zzx5;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (zzP(obj, i3)) {
                        zzy = zzki.zzx(zznu.zzc(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (zzP(obj, i3)) {
                        zzy = zzki.zzu(zznu.zzc(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (zzP(obj, i3)) {
                        zzx2 = zzki.zzx(i4 << 3);
                        zzn = zzx2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (zzP(obj, i3)) {
                        zzx = zzki.zzx(i4 << 3);
                        zzn = zzx + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (zzP(obj, i3)) {
                        int zzc = zznu.zzc(obj, j2);
                        zzx3 = zzki.zzx(i4 << 3);
                        zzy = zzki.zzx((zzc >> 31) ^ (zzc + zzc));
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (zzP(obj, i3)) {
                        long zzd3 = zznu.zzd(obj, j2);
                        zzx7 = zzki.zzx(i4 << 3);
                        zzy2 = zzki.zzy((zzd3 + zzd3) ^ (zzd3 >> 63));
                        zzn = zzx7 + zzy2;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 17:
                    if (zzP(obj, i3)) {
                        zzn = zzki.zzt(i4, (zzmi) zznu.zzf(obj, j2), zzB(i3));
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 18:
                    zzn = zzmv.zzg(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 19:
                    zzn = zzmv.zze(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 20:
                    zzn = zzmv.zzl(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 21:
                    zzn = zzmv.zzw(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 22:
                    zzn = zzmv.zzj(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 23:
                    zzn = zzmv.zzg(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 24:
                    zzn = zzmv.zze(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 25:
                    zzn = zzmv.zza(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 26:
                    zzn = zzmv.zzt(i4, (List) zznu.zzf(obj, j2));
                    i2 += zzn;
                    break;
                case 27:
                    zzn = zzmv.zzo(i4, (List) zznu.zzf(obj, j2), zzB(i3));
                    i2 += zzn;
                    break;
                case 28:
                    zzn = zzmv.zzb(i4, (List) zznu.zzf(obj, j2));
                    i2 += zzn;
                    break;
                case 29:
                    zzn = zzmv.zzu(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 30:
                    zzn = zzmv.zzc(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 31:
                    zzn = zzmv.zze(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 32:
                    zzn = zzmv.zzg(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 33:
                    zzn = zzmv.zzp(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 34:
                    zzn = zzmv.zzr(i4, (List) zznu.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 35:
                    zzy = zzmv.zzh((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i11 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i11);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 36:
                    zzy = zzmv.zzf((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i12 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i12);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 37:
                    zzy = zzmv.zzm((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i13 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i13);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 38:
                    zzy = zzmv.zzx((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i14 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i14);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 39:
                    zzy = zzmv.zzk((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i15 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i15);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 40:
                    zzy = zzmv.zzh((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i16 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i16);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 41:
                    zzy = zzmv.zzf((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i17 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i17);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 42:
                    List list = (List) unsafe.getObject(obj, j2);
                    int i18 = zzmv.zza;
                    zzy = list.size();
                    if (zzy > 0) {
                        int i19 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i19);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 43:
                    zzy = zzmv.zzv((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i20 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i20);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 44:
                    zzy = zzmv.zzd((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i21 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i21);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 45:
                    zzy = zzmv.zzf((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i22 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i22);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 46:
                    zzy = zzmv.zzh((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i23 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i23);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 47:
                    zzy = zzmv.zzq((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i24 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i24);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 48:
                    zzy = zzmv.zzs((List) unsafe.getObject(obj, j2));
                    if (zzy > 0) {
                        int i25 = i4 << 3;
                        zzx8 = zzki.zzx(zzy);
                        zzx9 = zzki.zzx(i25);
                        zzx3 = zzx9 + zzx8;
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 49:
                    zzn = zzmv.zzi(i4, (List) zznu.zzf(obj, j2), zzB(i3));
                    i2 += zzn;
                    break;
                case 50:
                    zzmd.zza(i4, zznu.zzf(obj, j2), zzC(i3));
                    break;
                case 51:
                    if (zzT(obj, i4, i3)) {
                        zzx = zzki.zzx(i4 << 3);
                        zzn = zzx + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (zzT(obj, i4, i3)) {
                        zzx2 = zzki.zzx(i4 << 3);
                        zzn = zzx2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (zzT(obj, i4, i3)) {
                        zzy = zzki.zzy(zzz(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (zzT(obj, i4, i3)) {
                        zzy = zzki.zzy(zzz(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (zzT(obj, i4, i3)) {
                        zzy = zzki.zzu(zzp(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (zzT(obj, i4, i3)) {
                        zzx = zzki.zzx(i4 << 3);
                        zzn = zzx + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (zzT(obj, i4, i3)) {
                        zzx2 = zzki.zzx(i4 << 3);
                        zzn = zzx2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (zzT(obj, i4, i3)) {
                        zzx4 = zzki.zzx(i4 << 3);
                        zzn = zzx4 + 1;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (zzT(obj, i4, i3)) {
                        Object zzf2 = zznu.zzf(obj, j2);
                        if (zzf2 instanceof zzka) {
                            int i26 = i4 << 3;
                            int i27 = zzki.zzb;
                            int zzd4 = ((zzka) zzf2).zzd();
                            zzx5 = zzki.zzx(zzd4) + zzd4;
                            zzx6 = zzki.zzx(i26);
                            zzn = zzx6 + zzx5;
                            i2 += zzn;
                            break;
                        } else {
                            zzy = zzki.zzw((String) zzf2);
                            zzx3 = zzki.zzx(i4 << 3);
                            i2 += zzx3 + zzy;
                            break;
                        }
                    } else {
                        break;
                    }
                case 60:
                    if (zzT(obj, i4, i3)) {
                        zzn = zzmv.zzn(i4, zznu.zzf(obj, j2), zzB(i3));
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (zzT(obj, i4, i3)) {
                        zzka zzkaVar2 = (zzka) zznu.zzf(obj, j2);
                        int i28 = i4 << 3;
                        int i29 = zzki.zzb;
                        int zzd5 = zzkaVar2.zzd();
                        zzx5 = zzki.zzx(zzd5) + zzd5;
                        zzx6 = zzki.zzx(i28);
                        zzn = zzx6 + zzx5;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (zzT(obj, i4, i3)) {
                        zzy = zzki.zzx(zzp(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (zzT(obj, i4, i3)) {
                        zzy = zzki.zzu(zzp(obj, j2));
                        zzx3 = zzki.zzx(i4 << 3);
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (zzT(obj, i4, i3)) {
                        zzx2 = zzki.zzx(i4 << 3);
                        zzn = zzx2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (zzT(obj, i4, i3)) {
                        zzx = zzki.zzx(i4 << 3);
                        zzn = zzx + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (zzT(obj, i4, i3)) {
                        int zzp = zzp(obj, j2);
                        zzx3 = zzki.zzx(i4 << 3);
                        zzy = zzki.zzx((zzp >> 31) ^ (zzp + zzp));
                        i2 += zzx3 + zzy;
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (zzT(obj, i4, i3)) {
                        long zzz = zzz(obj, j2);
                        zzx7 = zzki.zzx(i4 << 3);
                        zzy2 = zzki.zzy((zzz + zzz) ^ (zzz >> 63));
                        zzn = zzx7 + zzy2;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (zzT(obj, i4, i3)) {
                        zzn = zzki.zzt(i4, (zzmi) zznu.zzf(obj, j2), zzB(i3));
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
            }
        }
        zznk zznkVar = this.zzn;
        return i2 + zznkVar.zza(zznkVar.zzd(obj));
    }

    @Override // com.google.android.gms.internal.measurement.zzmt
    public final int zzb(Object obj) {
        int i2;
        long doubleToLongBits;
        int floatToIntBits;
        int length = this.zzc.length;
        int i3 = 0;
        for (int i4 = 0; i4 < length; i4 += 3) {
            int zzy = zzy(i4);
            int i5 = this.zzc[i4];
            long j2 = 1048575 & zzy;
            int i6 = 37;
            switch (zzx(zzy)) {
                case 0:
                    i2 = i3 * 53;
                    doubleToLongBits = Double.doubleToLongBits(zznu.zza(obj, j2));
                    byte[] bArr = zzlj.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 1:
                    i2 = i3 * 53;
                    floatToIntBits = Float.floatToIntBits(zznu.zzb(obj, j2));
                    i3 = i2 + floatToIntBits;
                    break;
                case 2:
                    i2 = i3 * 53;
                    doubleToLongBits = zznu.zzd(obj, j2);
                    byte[] bArr2 = zzlj.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 3:
                    i2 = i3 * 53;
                    doubleToLongBits = zznu.zzd(obj, j2);
                    byte[] bArr3 = zzlj.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 4:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 5:
                    i2 = i3 * 53;
                    doubleToLongBits = zznu.zzd(obj, j2);
                    byte[] bArr4 = zzlj.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 6:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 7:
                    i2 = i3 * 53;
                    floatToIntBits = zzlj.zza(zznu.zzw(obj, j2));
                    i3 = i2 + floatToIntBits;
                    break;
                case 8:
                    i2 = i3 * 53;
                    floatToIntBits = ((String) zznu.zzf(obj, j2)).hashCode();
                    i3 = i2 + floatToIntBits;
                    break;
                case 9:
                    Object zzf = zznu.zzf(obj, j2);
                    if (zzf != null) {
                        i6 = zzf.hashCode();
                    }
                    i3 = (i3 * 53) + i6;
                    break;
                case 10:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzf(obj, j2).hashCode();
                    i3 = i2 + floatToIntBits;
                    break;
                case 11:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 12:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 13:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 14:
                    i2 = i3 * 53;
                    doubleToLongBits = zznu.zzd(obj, j2);
                    byte[] bArr5 = zzlj.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 15:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 16:
                    i2 = i3 * 53;
                    doubleToLongBits = zznu.zzd(obj, j2);
                    byte[] bArr6 = zzlj.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 17:
                    Object zzf2 = zznu.zzf(obj, j2);
                    if (zzf2 != null) {
                        i6 = zzf2.hashCode();
                    }
                    i3 = (i3 * 53) + i6;
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzf(obj, j2).hashCode();
                    i3 = i2 + floatToIntBits;
                    break;
                case 50:
                    i2 = i3 * 53;
                    floatToIntBits = zznu.zzf(obj, j2).hashCode();
                    i3 = i2 + floatToIntBits;
                    break;
                case 51:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = Double.doubleToLongBits(zzm(obj, j2));
                        byte[] bArr7 = zzlj.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = Float.floatToIntBits(zzn(obj, j2));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzz(obj, j2);
                        byte[] bArr8 = zzlj.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzz(obj, j2);
                        byte[] bArr9 = zzlj.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzz(obj, j2);
                        byte[] bArr10 = zzlj.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzlj.zza(zzU(obj, j2));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = ((String) zznu.zzf(obj, j2)).hashCode();
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 60:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zznu.zzf(obj, j2).hashCode();
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zznu.zzf(obj, j2).hashCode();
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzz(obj, j2);
                        byte[] bArr11 = zzlj.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzz(obj, j2);
                        byte[] bArr12 = zzlj.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (zzT(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zznu.zzf(obj, j2).hashCode();
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
            }
        }
        int hashCode = (i3 * 53) + this.zzn.zzd(obj).hashCode();
        if (!this.zzh) {
            return hashCode;
        }
        this.zzo.zza(obj);
        throw null;
    }

    /* JADX WARN: Code restructure failed: missing block: B:38:0x0403, code lost:
    
        if (r6 == 1048575) goto L144;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x0405, code lost:
    
        r27.putInt(r12, r6, r5);
     */
    /* JADX WARN: Code restructure failed: missing block: B:40:0x040b, code lost:
    
        r2 = r8.zzk;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x040f, code lost:
    
        if (r2 >= r8.zzl) goto L209;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0411, code lost:
    
        r4 = r8.zzj[r2];
        r5 = r8.zzc[r4];
        r5 = com.google.android.gms.internal.measurement.zznu.zzf(r12, r8.zzy(r4) & com.jieli.jl_bt_ota.constant.ErrorCode.ERR_UNKNOWN);
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0423, code lost:
    
        if (r5 != null) goto L150;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x042a, code lost:
    
        if (r8.zzA(r4) != null) goto L208;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x042f, code lost:
    
        r5 = (com.google.android.gms.internal.measurement.zzmc) r5;
        r0 = (com.google.android.gms.internal.measurement.zzmb) r8.zzC(r4);
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x0437, code lost:
    
        throw null;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x042c, code lost:
    
        r2 = r2 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x0438, code lost:
    
        if (r9 != 0) goto L161;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x043c, code lost:
    
        if (r0 != r32) goto L159;
     */
    /* JADX WARN: Code restructure failed: missing block: B:59:0x0443, code lost:
    
        throw com.google.android.gms.internal.measurement.zzll.zze();
     */
    /* JADX WARN: Code restructure failed: missing block: B:60:0x044a, code lost:
    
        return r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:62:0x0446, code lost:
    
        if (r0 > r32) goto L165;
     */
    /* JADX WARN: Code restructure failed: missing block: B:63:0x0448, code lost:
    
        if (r3 != r9) goto L165;
     */
    /* JADX WARN: Code restructure failed: missing block: B:65:0x044f, code lost:
    
        throw com.google.android.gms.internal.measurement.zzll.zze();
     */
    /* JADX WARN: Code restructure failed: missing block: B:86:0x030e, code lost:
    
        if (r0 != r22) goto L110;
     */
    /* JADX WARN: Code restructure failed: missing block: B:87:0x0310, code lost:
    
        r15 = r28;
        r14 = r29;
        r12 = r30;
        r1 = r31;
        r13 = r32;
        r11 = r33;
        r9 = r34;
        r8 = r19;
        r5 = r20;
        r3 = r21;
        r2 = r22;
        r6 = r24;
     */
    /* JADX WARN: Code restructure failed: missing block: B:88:0x032c, code lost:
    
        r2 = r0;
        r7 = r21;
        r6 = r24;
        r0 = r33;
     */
    /* JADX WARN: Code restructure failed: missing block: B:94:0x0360, code lost:
    
        if (r0 != r15) goto L110;
     */
    /* JADX WARN: Code restructure failed: missing block: B:96:0x0388, code lost:
    
        if (r0 != r15) goto L110;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    final int zzc(java.lang.Object r29, byte[] r30, int r31, int r32, int r33, com.google.android.gms.internal.measurement.zzjn r34) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 1142
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.zzml.zzc(java.lang.Object, byte[], int, int, int, com.google.android.gms.internal.measurement.zzjn):int");
    }

    @Override // com.google.android.gms.internal.measurement.zzmt
    public final Object zze() {
        return ((zzlb) this.zzg).zzbD();
    }

    @Override // com.google.android.gms.internal.measurement.zzmt
    public final void zzf(Object obj) {
        if (zzS(obj)) {
            if (obj instanceof zzlb) {
                zzlb zzlbVar = (zzlb) obj;
                zzlbVar.zzbP(Integer.MAX_VALUE);
                zzlbVar.zzb = 0;
                zzlbVar.zzbN();
            }
            int length = this.zzc.length;
            for (int i2 = 0; i2 < length; i2 += 3) {
                int zzy = zzy(i2);
                int i3 = 1048575 & zzy;
                int zzx = zzx(zzy);
                long j2 = i3;
                if (zzx != 9) {
                    if (zzx != 60 && zzx != 68) {
                        switch (zzx) {
                            case 18:
                            case 19:
                            case 20:
                            case 21:
                            case 22:
                            case 23:
                            case 24:
                            case 25:
                            case 26:
                            case 27:
                            case 28:
                            case 29:
                            case 30:
                            case 31:
                            case 32:
                            case 33:
                            case 34:
                            case 35:
                            case 36:
                            case 37:
                            case 38:
                            case 39:
                            case 40:
                            case 41:
                            case 42:
                            case 43:
                            case 44:
                            case 45:
                            case 46:
                            case 47:
                            case 48:
                            case 49:
                                this.zzm.zza(obj, j2);
                                break;
                            case 50:
                                Unsafe unsafe = zzb;
                                Object object = unsafe.getObject(obj, j2);
                                if (object != null) {
                                    ((zzmc) object).zzc();
                                    unsafe.putObject(obj, j2, object);
                                    break;
                                } else {
                                    break;
                                }
                        }
                    } else if (zzT(obj, this.zzc[i2], i2)) {
                        zzB(i2).zzf(zzb.getObject(obj, j2));
                    }
                }
                if (zzP(obj, i2)) {
                    zzB(i2).zzf(zzb.getObject(obj, j2));
                }
            }
            this.zzn.zzg(obj);
            if (this.zzh) {
                this.zzo.zzb(obj);
            }
        }
    }

    @Override // com.google.android.gms.internal.measurement.zzmt
    public final void zzg(Object obj, Object obj2) {
        zzG(obj);
        obj2.getClass();
        for (int i2 = 0; i2 < this.zzc.length; i2 += 3) {
            int zzy = zzy(i2);
            int i3 = this.zzc[i2];
            long j2 = 1048575 & zzy;
            switch (zzx(zzy)) {
                case 0:
                    if (zzP(obj2, i2)) {
                        zznu.zzo(obj, j2, zznu.zza(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (zzP(obj2, i2)) {
                        zznu.zzp(obj, j2, zznu.zzb(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (zzP(obj2, i2)) {
                        zznu.zzr(obj, j2, zznu.zzd(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (zzP(obj2, i2)) {
                        zznu.zzr(obj, j2, zznu.zzd(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (zzP(obj2, i2)) {
                        zznu.zzq(obj, j2, zznu.zzc(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (zzP(obj2, i2)) {
                        zznu.zzr(obj, j2, zznu.zzd(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (zzP(obj2, i2)) {
                        zznu.zzq(obj, j2, zznu.zzc(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (zzP(obj2, i2)) {
                        zznu.zzm(obj, j2, zznu.zzw(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (zzP(obj2, i2)) {
                        zznu.zzs(obj, j2, zznu.zzf(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 9:
                    zzH(obj, obj2, i2);
                    break;
                case 10:
                    if (zzP(obj2, i2)) {
                        zznu.zzs(obj, j2, zznu.zzf(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (zzP(obj2, i2)) {
                        zznu.zzq(obj, j2, zznu.zzc(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (zzP(obj2, i2)) {
                        zznu.zzq(obj, j2, zznu.zzc(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (zzP(obj2, i2)) {
                        zznu.zzq(obj, j2, zznu.zzc(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (zzP(obj2, i2)) {
                        zznu.zzr(obj, j2, zznu.zzd(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (zzP(obj2, i2)) {
                        zznu.zzq(obj, j2, zznu.zzc(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (zzP(obj2, i2)) {
                        zznu.zzr(obj, j2, zznu.zzd(obj2, j2));
                        zzJ(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 17:
                    zzH(obj, obj2, i2);
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    this.zzm.zzb(obj, obj2, j2);
                    break;
                case 50:
                    int i4 = zzmv.zza;
                    zznu.zzs(obj, j2, zzmd.zzb(zznu.zzf(obj, j2), zznu.zzf(obj2, j2)));
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                    if (zzT(obj2, i3, i2)) {
                        zznu.zzs(obj, j2, zznu.zzf(obj2, j2));
                        zzK(obj, i3, i2);
                        break;
                    } else {
                        break;
                    }
                case 60:
                    zzI(obj, obj2, i2);
                    break;
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                    if (zzT(obj2, i3, i2)) {
                        zznu.zzs(obj, j2, zznu.zzf(obj2, j2));
                        zzK(obj, i3, i2);
                        break;
                    } else {
                        break;
                    }
                case 68:
                    zzI(obj, obj2, i2);
                    break;
            }
        }
        zzmv.zzB(this.zzn, obj, obj2);
        if (this.zzh) {
            this.zzo.zza(obj2);
            throw null;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:43:0x02e8, code lost:
    
        if (r0 != r24) goto L102;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x02ea, code lost:
    
        r14 = r31;
        r12 = r32;
        r13 = r34;
        r11 = r35;
        r2 = r15;
        r10 = r18;
        r1 = r23;
        r6 = r25;
        r7 = r26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x02fd, code lost:
    
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0329, code lost:
    
        if (r0 != r14) goto L102;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x034c, code lost:
    
        if (r0 != r14) goto L102;
     */
    /* JADX WARN: Failed to find 'out' block for switch in B:63:0x0095. Please report as an issue. */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v12, types: [int] */
    @Override // com.google.android.gms.internal.measurement.zzmt
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void zzh(java.lang.Object r31, byte[] r32, int r33, int r34, com.google.android.gms.internal.measurement.zzjn r35) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 970
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.measurement.zzml.zzh(java.lang.Object, byte[], int, int, com.google.android.gms.internal.measurement.zzjn):void");
    }

    @Override // com.google.android.gms.internal.measurement.zzmt
    public final boolean zzj(Object obj, Object obj2) {
        boolean zzV;
        int length = this.zzc.length;
        for (int i2 = 0; i2 < length; i2 += 3) {
            int zzy = zzy(i2);
            long j2 = zzy & ErrorCode.ERR_UNKNOWN;
            switch (zzx(zzy)) {
                case 0:
                    if (zzO(obj, obj2, i2) && Double.doubleToLongBits(zznu.zza(obj, j2)) == Double.doubleToLongBits(zznu.zza(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 1:
                    if (zzO(obj, obj2, i2) && Float.floatToIntBits(zznu.zzb(obj, j2)) == Float.floatToIntBits(zznu.zzb(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 2:
                    if (zzO(obj, obj2, i2) && zznu.zzd(obj, j2) == zznu.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 3:
                    if (zzO(obj, obj2, i2) && zznu.zzd(obj, j2) == zznu.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 4:
                    if (zzO(obj, obj2, i2) && zznu.zzc(obj, j2) == zznu.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 5:
                    if (zzO(obj, obj2, i2) && zznu.zzd(obj, j2) == zznu.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 6:
                    if (zzO(obj, obj2, i2) && zznu.zzc(obj, j2) == zznu.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 7:
                    if (zzO(obj, obj2, i2) && zznu.zzw(obj, j2) == zznu.zzw(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 8:
                    if (zzO(obj, obj2, i2) && zzmv.zzV(zznu.zzf(obj, j2), zznu.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 9:
                    if (zzO(obj, obj2, i2) && zzmv.zzV(zznu.zzf(obj, j2), zznu.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 10:
                    if (zzO(obj, obj2, i2) && zzmv.zzV(zznu.zzf(obj, j2), zznu.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 11:
                    if (zzO(obj, obj2, i2) && zznu.zzc(obj, j2) == zznu.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 12:
                    if (zzO(obj, obj2, i2) && zznu.zzc(obj, j2) == zznu.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 13:
                    if (zzO(obj, obj2, i2) && zznu.zzc(obj, j2) == zznu.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 14:
                    if (zzO(obj, obj2, i2) && zznu.zzd(obj, j2) == zznu.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 15:
                    if (zzO(obj, obj2, i2) && zznu.zzc(obj, j2) == zznu.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 16:
                    if (zzO(obj, obj2, i2) && zznu.zzd(obj, j2) == zznu.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 17:
                    if (zzO(obj, obj2, i2) && zzmv.zzV(zznu.zzf(obj, j2), zznu.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    zzV = zzmv.zzV(zznu.zzf(obj, j2), zznu.zzf(obj2, j2));
                    break;
                case 50:
                    zzV = zzmv.zzV(zznu.zzf(obj, j2), zznu.zzf(obj2, j2));
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                case 60:
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                case 68:
                    long zzv = zzv(i2) & ErrorCode.ERR_UNKNOWN;
                    if (zznu.zzc(obj, zzv) == zznu.zzc(obj2, zzv) && zzmv.zzV(zznu.zzf(obj, j2), zznu.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                default:
            }
            if (!zzV) {
                return false;
            }
        }
        if (!this.zzn.zzd(obj).equals(this.zzn.zzd(obj2))) {
            return false;
        }
        if (!this.zzh) {
            return true;
        }
        this.zzo.zza(obj);
        this.zzo.zza(obj2);
        throw null;
    }

    @Override // com.google.android.gms.internal.measurement.zzmt
    public final boolean zzk(Object obj) {
        int i2;
        int i3;
        int i4 = 0;
        int i5 = 0;
        int i6 = 1048575;
        while (i5 < this.zzk) {
            int i7 = this.zzj[i5];
            int i8 = this.zzc[i7];
            int zzy = zzy(i7);
            int i9 = this.zzc[i7 + 2];
            int i10 = i9 & ErrorCode.ERR_UNKNOWN;
            int i11 = 1 << (i9 >>> 20);
            if (i10 != i6) {
                if (i10 != 1048575) {
                    i4 = zzb.getInt(obj, i10);
                }
                i3 = i4;
                i2 = i10;
            } else {
                i2 = i6;
                i3 = i4;
            }
            if ((268435456 & zzy) != 0 && !zzQ(obj, i7, i2, i3, i11)) {
                return false;
            }
            int zzx = zzx(zzy);
            if (zzx != 9 && zzx != 17) {
                if (zzx != 27) {
                    if (zzx == 60 || zzx == 68) {
                        if (zzT(obj, i8, i7) && !zzR(obj, zzy, zzB(i7))) {
                            return false;
                        }
                    } else if (zzx != 49) {
                        if (zzx == 50 && !((zzmc) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN)).isEmpty()) {
                            throw null;
                        }
                    }
                }
                List list = (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN);
                if (list.isEmpty()) {
                    continue;
                } else {
                    zzmt zzB = zzB(i7);
                    for (int i12 = 0; i12 < list.size(); i12++) {
                        if (!zzB.zzk(list.get(i12))) {
                            return false;
                        }
                    }
                }
            } else if (zzQ(obj, i7, i2, i3, i11) && !zzR(obj, zzy, zzB(i7))) {
                return false;
            }
            i5++;
            i6 = i2;
            i4 = i3;
        }
        if (!this.zzh) {
            return true;
        }
        this.zzo.zza(obj);
        throw null;
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // com.google.android.gms.internal.measurement.zzmt
    public final void zzi(Object obj, zzoc zzocVar) throws IOException {
        int i2;
        int i3;
        int i4;
        boolean z = this.zzi;
        int i5 = 0;
        int i6 = ErrorCode.ERR_UNKNOWN;
        if (z) {
            if (this.zzh) {
                this.zzo.zza(obj);
                throw null;
            }
            int length = this.zzc.length;
            for (int i7 = 0; i7 < length; i7 += 3) {
                int zzy = zzy(i7);
                int i8 = this.zzc[i7];
                switch (zzx(zzy)) {
                    case 0:
                        if (zzP(obj, i7)) {
                            zzocVar.zzf(i8, zznu.zza(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 1:
                        if (zzP(obj, i7)) {
                            zzocVar.zzo(i8, zznu.zzb(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 2:
                        if (zzP(obj, i7)) {
                            zzocVar.zzt(i8, zznu.zzd(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 3:
                        if (zzP(obj, i7)) {
                            zzocVar.zzJ(i8, zznu.zzd(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 4:
                        if (zzP(obj, i7)) {
                            zzocVar.zzr(i8, zznu.zzc(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 5:
                        if (zzP(obj, i7)) {
                            zzocVar.zzm(i8, zznu.zzd(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 6:
                        if (zzP(obj, i7)) {
                            zzocVar.zzk(i8, zznu.zzc(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 7:
                        if (zzP(obj, i7)) {
                            zzocVar.zzb(i8, zznu.zzw(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 8:
                        if (zzP(obj, i7)) {
                            zzV(i8, zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar);
                            break;
                        } else {
                            break;
                        }
                    case 9:
                        if (zzP(obj, i7)) {
                            zzocVar.zzv(i8, zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzB(i7));
                            break;
                        } else {
                            break;
                        }
                    case 10:
                        if (zzP(obj, i7)) {
                            zzocVar.zzd(i8, (zzka) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 11:
                        if (zzP(obj, i7)) {
                            zzocVar.zzH(i8, zznu.zzc(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 12:
                        if (zzP(obj, i7)) {
                            zzocVar.zzi(i8, zznu.zzc(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 13:
                        if (zzP(obj, i7)) {
                            zzocVar.zzw(i8, zznu.zzc(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 14:
                        if (zzP(obj, i7)) {
                            zzocVar.zzy(i8, zznu.zzd(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 15:
                        if (zzP(obj, i7)) {
                            zzocVar.zzA(i8, zznu.zzc(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 16:
                        if (zzP(obj, i7)) {
                            zzocVar.zzC(i8, zznu.zzd(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 17:
                        if (zzP(obj, i7)) {
                            zzocVar.zzq(i8, zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzB(i7));
                            break;
                        } else {
                            break;
                        }
                    case 18:
                        zzmv.zzF(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 19:
                        zzmv.zzJ(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 20:
                        zzmv.zzM(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 21:
                        zzmv.zzU(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 22:
                        zzmv.zzL(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 23:
                        zzmv.zzI(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 24:
                        zzmv.zzH(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 25:
                        zzmv.zzD(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 26:
                        zzmv.zzS(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar);
                        break;
                    case 27:
                        zzmv.zzN(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, zzB(i7));
                        break;
                    case 28:
                        zzmv.zzE(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar);
                        break;
                    case 29:
                        zzmv.zzT(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 30:
                        zzmv.zzG(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 31:
                        zzmv.zzO(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 32:
                        zzmv.zzP(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 33:
                        zzmv.zzQ(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 34:
                        zzmv.zzR(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, false);
                        break;
                    case 35:
                        zzmv.zzF(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 36:
                        zzmv.zzJ(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 37:
                        zzmv.zzM(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 38:
                        zzmv.zzU(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 39:
                        zzmv.zzL(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 40:
                        zzmv.zzI(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 41:
                        zzmv.zzH(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 42:
                        zzmv.zzD(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 43:
                        zzmv.zzT(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 44:
                        zzmv.zzG(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 45:
                        zzmv.zzO(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 46:
                        zzmv.zzP(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 47:
                        zzmv.zzQ(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 48:
                        zzmv.zzR(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, true);
                        break;
                    case 49:
                        zzmv.zzK(i8, (List) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar, zzB(i7));
                        break;
                    case 50:
                        zzN(zzocVar, i8, zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), i7);
                        break;
                    case 51:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzf(i8, zzm(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 52:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzo(i8, zzn(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 53:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzt(i8, zzz(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 54:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzJ(i8, zzz(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 55:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzr(i8, zzp(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 56:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzm(i8, zzz(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 57:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzk(i8, zzp(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 58:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzb(i8, zzU(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 59:
                        if (zzT(obj, i8, i7)) {
                            zzV(i8, zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzocVar);
                            break;
                        } else {
                            break;
                        }
                    case 60:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzv(i8, zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzB(i7));
                            break;
                        } else {
                            break;
                        }
                    case 61:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzd(i8, (zzka) zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 62:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzH(i8, zzp(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 63:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzi(i8, zzp(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 64:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzw(i8, zzp(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 65:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzy(i8, zzz(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 66:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzA(i8, zzp(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 67:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzC(i8, zzz(obj, zzy & ErrorCode.ERR_UNKNOWN));
                            break;
                        } else {
                            break;
                        }
                    case 68:
                        if (zzT(obj, i8, i7)) {
                            zzocVar.zzq(i8, zznu.zzf(obj, zzy & ErrorCode.ERR_UNKNOWN), zzB(i7));
                            break;
                        } else {
                            break;
                        }
                }
            }
            zznk zznkVar = this.zzn;
            zznkVar.zzi(zznkVar.zzd(obj), zzocVar);
            return;
        }
        if (this.zzh) {
            this.zzo.zza(obj);
            throw null;
        }
        int length2 = this.zzc.length;
        Unsafe unsafe = zzb;
        int i9 = 0;
        int i10 = 0;
        int i11 = 1048575;
        while (i9 < length2) {
            int zzy2 = zzy(i9);
            int[] iArr = this.zzc;
            int i12 = iArr[i9];
            int zzx = zzx(zzy2);
            if (zzx <= 17) {
                int i13 = iArr[i9 + 2];
                int i14 = i13 & i6;
                if (i14 != i11) {
                    i10 = unsafe.getInt(obj, i14);
                    i11 = i14;
                }
                i2 = 1 << (i13 >>> 20);
            } else {
                i2 = i5;
            }
            long j2 = zzy2 & i6;
            switch (zzx) {
                case 0:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzf(i12, zznu.zza(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 1:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzo(i12, zznu.zzb(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 2:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzt(i12, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 3:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzJ(i12, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 4:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzr(i12, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 5:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzm(i12, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 6:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzk(i12, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 7:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzb(i12, zznu.zzw(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 8:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzV(i12, unsafe.getObject(obj, j2), zzocVar);
                        break;
                    } else {
                        break;
                    }
                case 9:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzv(i12, unsafe.getObject(obj, j2), zzB(i9));
                        break;
                    } else {
                        break;
                    }
                case 10:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzd(i12, (zzka) unsafe.getObject(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 11:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzH(i12, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 12:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzi(i12, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 13:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzw(i12, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 14:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzy(i12, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 15:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzA(i12, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 16:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzC(i12, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 17:
                    i3 = 0;
                    if ((i10 & i2) != 0) {
                        zzocVar.zzq(i12, unsafe.getObject(obj, j2), zzB(i9));
                        break;
                    } else {
                        break;
                    }
                case 18:
                    i3 = 0;
                    zzmv.zzF(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    break;
                case 19:
                    i3 = 0;
                    zzmv.zzJ(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    break;
                case 20:
                    i3 = 0;
                    zzmv.zzM(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    break;
                case 21:
                    i3 = 0;
                    zzmv.zzU(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    break;
                case 22:
                    i3 = 0;
                    zzmv.zzL(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    break;
                case 23:
                    i3 = 0;
                    zzmv.zzI(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    break;
                case 24:
                    i3 = 0;
                    zzmv.zzH(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    break;
                case 25:
                    i3 = 0;
                    zzmv.zzD(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    break;
                case 26:
                    zzmv.zzS(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar);
                    i3 = 0;
                    break;
                case 27:
                    zzmv.zzN(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, zzB(i9));
                    i3 = 0;
                    break;
                case 28:
                    zzmv.zzE(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar);
                    i3 = 0;
                    break;
                case 29:
                    i4 = 0;
                    zzmv.zzT(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    i3 = i4;
                    break;
                case 30:
                    i4 = 0;
                    zzmv.zzG(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    i3 = i4;
                    break;
                case 31:
                    i4 = 0;
                    zzmv.zzO(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    i3 = i4;
                    break;
                case 32:
                    i4 = 0;
                    zzmv.zzP(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    i3 = i4;
                    break;
                case 33:
                    i4 = 0;
                    zzmv.zzQ(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    i3 = i4;
                    break;
                case 34:
                    i4 = 0;
                    zzmv.zzR(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, false);
                    i3 = i4;
                    break;
                case 35:
                    zzmv.zzF(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 36:
                    zzmv.zzJ(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 37:
                    zzmv.zzM(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 38:
                    zzmv.zzU(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 39:
                    zzmv.zzL(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 40:
                    zzmv.zzI(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 41:
                    zzmv.zzH(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 42:
                    zzmv.zzD(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 43:
                    zzmv.zzT(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 44:
                    zzmv.zzG(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 45:
                    zzmv.zzO(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 46:
                    zzmv.zzP(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 47:
                    zzmv.zzQ(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 48:
                    zzmv.zzR(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, true);
                    i3 = 0;
                    break;
                case 49:
                    zzmv.zzK(this.zzc[i9], (List) unsafe.getObject(obj, j2), zzocVar, zzB(i9));
                    i3 = 0;
                    break;
                case 50:
                    zzN(zzocVar, i12, unsafe.getObject(obj, j2), i9);
                    i3 = 0;
                    break;
                case 51:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzf(i12, zzm(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 52:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzo(i12, zzn(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 53:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzt(i12, zzz(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 54:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzJ(i12, zzz(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 55:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzr(i12, zzp(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 56:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzm(i12, zzz(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 57:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzk(i12, zzp(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 58:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzb(i12, zzU(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 59:
                    if (zzT(obj, i12, i9)) {
                        zzV(i12, unsafe.getObject(obj, j2), zzocVar);
                    }
                    i3 = 0;
                    break;
                case 60:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzv(i12, unsafe.getObject(obj, j2), zzB(i9));
                    }
                    i3 = 0;
                    break;
                case 61:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzd(i12, (zzka) unsafe.getObject(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 62:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzH(i12, zzp(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 63:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzi(i12, zzp(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 64:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzw(i12, zzp(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 65:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzy(i12, zzz(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 66:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzA(i12, zzp(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 67:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzC(i12, zzz(obj, j2));
                    }
                    i3 = 0;
                    break;
                case 68:
                    if (zzT(obj, i12, i9)) {
                        zzocVar.zzq(i12, unsafe.getObject(obj, j2), zzB(i9));
                    }
                    i3 = 0;
                    break;
                default:
                    i3 = 0;
                    break;
            }
            i9 += 3;
            i5 = i3;
            i6 = ErrorCode.ERR_UNKNOWN;
        }
        zznk zznkVar2 = this.zzn;
        zznkVar2.zzi(zznkVar2.zzd(obj), zzocVar);
    }
}
