package com.google.android.gms.internal.p003firebaseauthapi;

import com.google.firebase.crashlytics.buildtools.reloc.com.google.common.base.Ascii;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

/* compiled from: com.google.firebase:firebase-auth@@22.1.2 */
/* loaded from: classes2.dex */
final class zzajj extends zzajl {
    private final InputStream zze;
    private final byte[] zzf;
    private int zzg;
    private int zzh;
    private int zzi;
    private int zzj;
    private int zzk;
    private int zzl;

    /* synthetic */ zzajj(InputStream inputStream, int i2, zzaji zzajiVar) {
        super(null);
        this.zzl = Integer.MAX_VALUE;
        byte[] bArr = zzakq.zzd;
        this.zze = inputStream;
        this.zzf = new byte[4096];
        this.zzg = 0;
        this.zzi = 0;
        this.zzk = 0;
    }

    private final List zzI(int i2) throws IOException {
        ArrayList arrayList = new ArrayList();
        while (i2 > 0) {
            int min = Math.min(i2, 4096);
            byte[] bArr = new byte[min];
            int i3 = 0;
            while (i3 < min) {
                int read = this.zze.read(bArr, i3, min - i3);
                if (read == -1) {
                    throw zzaks.zzj();
                }
                this.zzk += read;
                i3 += read;
            }
            i2 -= min;
            arrayList.add(bArr);
        }
        return arrayList;
    }

    private final void zzJ() {
        int i2 = this.zzg + this.zzh;
        this.zzg = i2;
        int i3 = this.zzk + i2;
        int i4 = this.zzl;
        if (i3 <= i4) {
            this.zzh = 0;
            return;
        }
        int i5 = i3 - i4;
        this.zzh = i5;
        this.zzg = i2 - i5;
    }

    private final void zzK(int i2) throws IOException {
        if (zzL(i2)) {
            return;
        }
        if (i2 <= (Integer.MAX_VALUE - this.zzk) - this.zzi) {
            throw zzaks.zzj();
        }
        throw zzaks.zzi();
    }

    private final boolean zzL(int i2) throws IOException {
        int i3 = this.zzi;
        int i4 = i3 + i2;
        int i5 = this.zzg;
        if (i4 <= i5) {
            throw new IllegalStateException("refillBuffer() called when " + i2 + " bytes were already available in buffer");
        }
        int i6 = this.zzk;
        if (i2 > (Integer.MAX_VALUE - i6) - i3 || i6 + i3 + i2 > this.zzl) {
            return false;
        }
        if (i3 > 0) {
            if (i5 > i3) {
                byte[] bArr = this.zzf;
                System.arraycopy(bArr, i3, bArr, 0, i5 - i3);
            }
            i6 = this.zzk + i3;
            this.zzk = i6;
            i5 = this.zzg - i3;
            this.zzg = i5;
            this.zzi = 0;
        }
        try {
            int read = this.zze.read(this.zzf, i5, Math.min(4096 - i5, (Integer.MAX_VALUE - i6) - i5));
            if (read == 0 || read < -1 || read > 4096) {
                throw new IllegalStateException(String.valueOf(this.zze.getClass()) + "#read(byte[]) returned invalid result: " + read + "\nThe InputStream implementation is buggy.");
            }
            if (read <= 0) {
                return false;
            }
            this.zzg += read;
            zzJ();
            if (this.zzg >= i2) {
                return true;
            }
            return zzL(i2);
        } catch (zzaks e2) {
            e2.zzk();
            throw e2;
        }
    }

    private final byte[] zzM(int i2, boolean z) throws IOException {
        byte[] zzN = zzN(i2);
        if (zzN != null) {
            return zzN;
        }
        int i3 = this.zzi;
        int i4 = this.zzg;
        int i5 = i4 - i3;
        this.zzk += i4;
        this.zzi = 0;
        this.zzg = 0;
        List<byte[]> zzI = zzI(i2 - i5);
        byte[] bArr = new byte[i2];
        System.arraycopy(this.zzf, i3, bArr, 0, i5);
        for (byte[] bArr2 : zzI) {
            int length = bArr2.length;
            System.arraycopy(bArr2, 0, bArr, i5, length);
            i5 += length;
        }
        return bArr;
    }

    private final byte[] zzN(int i2) throws IOException {
        if (i2 == 0) {
            return zzakq.zzd;
        }
        if (i2 < 0) {
            throw zzaks.zzf();
        }
        int i3 = this.zzk;
        int i4 = this.zzi;
        int i5 = i3 + i4 + i2;
        if ((-2147483647) + i5 > 0) {
            throw zzaks.zzi();
        }
        int i6 = this.zzl;
        if (i5 > i6) {
            zzB((i6 - i3) - i4);
            throw zzaks.zzj();
        }
        int i7 = this.zzg - i4;
        int i8 = i2 - i7;
        if (i8 >= 4096) {
            try {
                if (i8 > this.zze.available()) {
                    return null;
                }
            } catch (zzaks e2) {
                e2.zzk();
                throw e2;
            }
        }
        byte[] bArr = new byte[i2];
        System.arraycopy(this.zzf, this.zzi, bArr, 0, i7);
        this.zzk += this.zzg;
        this.zzi = 0;
        this.zzg = 0;
        while (i7 < i2) {
            try {
                int read = this.zze.read(bArr, i7, i2 - i7);
                if (read == -1) {
                    throw zzaks.zzj();
                }
                this.zzk += read;
                i7 += read;
            } catch (zzaks e3) {
                e3.zzk();
                throw e3;
            }
        }
        return bArr;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final void zzA(int i2) {
        this.zzl = i2;
        zzJ();
    }

    public final void zzB(int i2) throws IOException {
        int i3 = this.zzg;
        int i4 = this.zzi;
        int i5 = i3 - i4;
        if (i2 <= i5 && i2 >= 0) {
            this.zzi = i4 + i2;
            return;
        }
        if (i2 < 0) {
            throw zzaks.zzf();
        }
        int i6 = this.zzk;
        int i7 = i6 + i4;
        int i8 = this.zzl;
        if (i7 + i2 > i8) {
            zzB((i8 - i6) - i4);
            throw zzaks.zzj();
        }
        this.zzk = i7;
        this.zzg = 0;
        this.zzi = 0;
        while (i5 < i2) {
            try {
                long j2 = i2 - i5;
                try {
                    long skip = this.zze.skip(j2);
                    if (skip < 0 || skip > j2) {
                        throw new IllegalStateException(String.valueOf(this.zze.getClass()) + "#skip returned invalid result: " + skip + "\nThe InputStream implementation is buggy.");
                    }
                    if (skip == 0) {
                        break;
                    } else {
                        i5 += (int) skip;
                    }
                } catch (zzaks e2) {
                    e2.zzk();
                    throw e2;
                }
            } finally {
                this.zzk += i5;
                zzJ();
            }
        }
        if (i5 >= i2) {
            return;
        }
        int i9 = this.zzg;
        int i10 = i9 - this.zzi;
        this.zzi = i9;
        zzK(1);
        while (true) {
            int i11 = i2 - i10;
            int i12 = this.zzg;
            if (i11 <= i12) {
                this.zzi = i11;
                return;
            } else {
                i10 += i12;
                this.zzi = i12;
                zzK(1);
            }
        }
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final boolean zzC() throws IOException {
        return this.zzi == this.zzg && !zzL(1);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final boolean zzD() throws IOException {
        return zzr() != 0;
    }

    public final byte zza() throws IOException {
        if (this.zzi == this.zzg) {
            zzK(1);
        }
        byte[] bArr = this.zzf;
        int i2 = this.zzi;
        this.zzi = i2 + 1;
        return bArr[i2];
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final double zzb() throws IOException {
        return Double.longBitsToDouble(zzq());
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final float zzc() throws IOException {
        return Float.intBitsToFloat(zzi());
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zzd() {
        return this.zzk + this.zzi;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zze(int i2) throws zzaks {
        if (i2 < 0) {
            throw zzaks.zzf();
        }
        int i3 = this.zzk + this.zzi;
        int i4 = this.zzl;
        int i5 = i2 + i3;
        if (i5 > i4) {
            throw zzaks.zzj();
        }
        this.zzl = i5;
        zzJ();
        return i4;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zzf() throws IOException {
        return zzj();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zzg() throws IOException {
        return zzi();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zzh() throws IOException {
        return zzj();
    }

    public final int zzi() throws IOException {
        int i2 = this.zzi;
        if (this.zzg - i2 < 4) {
            zzK(4);
            i2 = this.zzi;
        }
        byte[] bArr = this.zzf;
        this.zzi = i2 + 4;
        int i3 = bArr[i2] & 255;
        int i4 = bArr[i2 + 1] & 255;
        int i5 = bArr[i2 + 2] & 255;
        return ((bArr[i2 + 3] & 255) << 24) | (i4 << 8) | i3 | (i5 << 16);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zzk() throws IOException {
        return zzi();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zzl() throws IOException {
        return zzF(zzj());
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zzm() throws IOException {
        if (zzC()) {
            this.zzj = 0;
            return 0;
        }
        int zzj = zzj();
        this.zzj = zzj;
        if ((zzj >>> 3) != 0) {
            return zzj;
        }
        throw zzaks.zzc();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final int zzn() throws IOException {
        return zzj();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final long zzo() throws IOException {
        return zzq();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final long zzp() throws IOException {
        return zzr();
    }

    public final long zzq() throws IOException {
        int i2 = this.zzi;
        if (this.zzg - i2 < 8) {
            zzK(8);
            i2 = this.zzi;
        }
        byte[] bArr = this.zzf;
        this.zzi = i2 + 8;
        long j2 = bArr[i2];
        long j3 = bArr[i2 + 2];
        long j4 = bArr[i2 + 3];
        return ((bArr[i2 + 7] & 255) << 56) | (j2 & 255) | ((bArr[i2 + 1] & 255) << 8) | ((j3 & 255) << 16) | ((j4 & 255) << 24) | ((bArr[i2 + 4] & 255) << 32) | ((bArr[i2 + 5] & 255) << 40) | ((bArr[i2 + 6] & 255) << 48);
    }

    final long zzs() throws IOException {
        long j2 = 0;
        for (int i2 = 0; i2 < 64; i2 += 7) {
            j2 |= (r3 & Byte.MAX_VALUE) << i2;
            if ((zza() & 128) == 0) {
                return j2;
            }
        }
        throw zzaks.zze();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final long zzt() throws IOException {
        return zzq();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final long zzu() throws IOException {
        return zzG(zzr());
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final long zzv() throws IOException {
        return zzr();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final zzajf zzw() throws IOException {
        int zzj = zzj();
        int i2 = this.zzg;
        int i3 = this.zzi;
        if (zzj <= i2 - i3 && zzj > 0) {
            zzajf zzn = zzajf.zzn(this.zzf, i3, zzj);
            this.zzi += zzj;
            return zzn;
        }
        if (zzj == 0) {
            return zzajf.zzb;
        }
        byte[] zzN = zzN(zzj);
        if (zzN != null) {
            return zzajf.zzn(zzN, 0, zzN.length);
        }
        int i4 = this.zzi;
        int i5 = this.zzg;
        int i6 = i5 - i4;
        this.zzk += i5;
        this.zzi = 0;
        this.zzg = 0;
        List<byte[]> zzI = zzI(zzj - i6);
        byte[] bArr = new byte[zzj];
        System.arraycopy(this.zzf, i4, bArr, 0, i6);
        for (byte[] bArr2 : zzI) {
            int length = bArr2.length;
            System.arraycopy(bArr2, 0, bArr, i6, length);
            i6 += length;
        }
        return new zzajc(bArr);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final String zzx() throws IOException {
        int zzj = zzj();
        if (zzj > 0) {
            int i2 = this.zzg;
            int i3 = this.zzi;
            if (zzj <= i2 - i3) {
                String str = new String(this.zzf, i3, zzj, zzakq.zzb);
                this.zzi += zzj;
                return str;
            }
        }
        if (zzj == 0) {
            return "";
        }
        if (zzj > this.zzg) {
            return new String(zzM(zzj, false), zzakq.zzb);
        }
        zzK(zzj);
        String str2 = new String(this.zzf, this.zzi, zzj, zzakq.zzb);
        this.zzi += zzj;
        return str2;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final String zzy() throws IOException {
        byte[] zzM;
        int zzj = zzj();
        int i2 = this.zzi;
        int i3 = this.zzg;
        if (zzj <= i3 - i2 && zzj > 0) {
            zzM = this.zzf;
            this.zzi = i2 + zzj;
        } else {
            if (zzj == 0) {
                return "";
            }
            i2 = 0;
            if (zzj <= i3) {
                zzK(zzj);
                zzM = this.zzf;
                this.zzi = zzj;
            } else {
                zzM = zzM(zzj, false);
            }
        }
        return zzank.zzd(zzM, i2, zzj);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final void zzz(int i2) throws zzaks {
        if (this.zzj != i2) {
            throw zzaks.zzb();
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:33:0x0067, code lost:
    
        if (r2[r3] < 0) goto L36;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final int zzj() throws java.io.IOException {
        /*
            r5 = this;
            int r0 = r5.zzi
            int r1 = r5.zzg
            if (r1 != r0) goto L7
            goto L6d
        L7:
            byte[] r2 = r5.zzf
            int r3 = r0 + 1
            r0 = r2[r0]
            if (r0 < 0) goto L12
            r5.zzi = r3
            return r0
        L12:
            int r1 = r1 - r3
            r4 = 9
            if (r1 < r4) goto L6d
            int r1 = r3 + 1
            r3 = r2[r3]
            int r3 = r3 << 7
            r0 = r0 ^ r3
            if (r0 >= 0) goto L23
            r0 = r0 ^ (-128(0xffffffffffffff80, float:NaN))
            goto L6a
        L23:
            int r3 = r1 + 1
            r1 = r2[r1]
            int r1 = r1 << 14
            r0 = r0 ^ r1
            if (r0 < 0) goto L30
            r0 = r0 ^ 16256(0x3f80, float:2.278E-41)
        L2e:
            r1 = r3
            goto L6a
        L30:
            int r1 = r3 + 1
            r3 = r2[r3]
            int r3 = r3 << 21
            r0 = r0 ^ r3
            if (r0 >= 0) goto L3e
            r2 = -2080896(0xffffffffffe03f80, float:NaN)
            r0 = r0 ^ r2
            goto L6a
        L3e:
            int r3 = r1 + 1
            r1 = r2[r1]
            int r4 = r1 << 28
            r0 = r0 ^ r4
            r4 = 266354560(0xfe03f80, float:2.2112565E-29)
            r0 = r0 ^ r4
            if (r1 >= 0) goto L2e
            int r1 = r3 + 1
            r3 = r2[r3]
            if (r3 >= 0) goto L6a
            int r3 = r1 + 1
            r1 = r2[r1]
            if (r1 >= 0) goto L2e
            int r1 = r3 + 1
            r3 = r2[r3]
            if (r3 >= 0) goto L6a
            int r3 = r1 + 1
            r1 = r2[r1]
            if (r1 >= 0) goto L2e
            int r1 = r3 + 1
            r2 = r2[r3]
            if (r2 >= 0) goto L6a
            goto L6d
        L6a:
            r5.zzi = r1
            return r0
        L6d:
            long r0 = r5.zzs()
            int r0 = (int) r0
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.p003firebaseauthapi.zzajj.zzj():int");
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzajl
    public final boolean zzE(int i2) throws IOException {
        int zzm;
        int i3 = i2 & 7;
        int i4 = 0;
        if (i3 == 0) {
            if (this.zzg - this.zzi < 10) {
                while (i4 < 10) {
                    if (zza() < 0) {
                        i4++;
                    }
                }
                throw zzaks.zze();
            }
            while (i4 < 10) {
                byte[] bArr = this.zzf;
                int i5 = this.zzi;
                this.zzi = i5 + 1;
                if (bArr[i5] < 0) {
                    i4++;
                }
            }
            throw zzaks.zze();
            return true;
        }
        if (i3 == 1) {
            zzB(8);
            return true;
        }
        if (i3 == 2) {
            zzB(zzj());
            return true;
        }
        if (i3 != 3) {
            if (i3 == 4) {
                return false;
            }
            if (i3 != 5) {
                throw zzaks.zza();
            }
            zzB(4);
            return true;
        }
        do {
            zzm = zzm();
            if (zzm == 0) {
                break;
            }
        } while (zzE(zzm));
        zzz(((i2 >>> 3) << 3) | 4);
        return true;
    }

    public final long zzr() throws IOException {
        long j2;
        long j3;
        long j4;
        long j5;
        int i2;
        int i3 = this.zzi;
        int i4 = this.zzg;
        if (i4 != i3) {
            byte[] bArr = this.zzf;
            int i5 = i3 + 1;
            byte b2 = bArr[i3];
            if (b2 >= 0) {
                this.zzi = i5;
                return b2;
            }
            if (i4 - i5 >= 9) {
                int i6 = i5 + 1;
                int i7 = b2 ^ (bArr[i5] << 7);
                if (i7 >= 0) {
                    int i8 = i6 + 1;
                    int i9 = i7 ^ (bArr[i6] << 14);
                    if (i9 >= 0) {
                        j2 = i9 ^ 16256;
                    } else {
                        i6 = i8 + 1;
                        int i10 = i9 ^ (bArr[i8] << Ascii.NAK);
                        if (i10 < 0) {
                            i2 = i10 ^ (-2080896);
                        } else {
                            i8 = i6 + 1;
                            long j6 = i10 ^ (bArr[i6] << 28);
                            if (j6 < 0) {
                                int i11 = i8 + 1;
                                long j7 = j6 ^ (bArr[i8] << 35);
                                if (j7 < 0) {
                                    j4 = -34093383808L;
                                } else {
                                    i8 = i11 + 1;
                                    j6 = j7 ^ (bArr[i11] << 42);
                                    if (j6 >= 0) {
                                        j5 = 4363953127296L;
                                    } else {
                                        i11 = i8 + 1;
                                        j7 = j6 ^ (bArr[i8] << 49);
                                        if (j7 < 0) {
                                            j4 = -558586000294016L;
                                        } else {
                                            i8 = i11 + 1;
                                            j2 = (j7 ^ (bArr[i11] << 56)) ^ 71499008037633920L;
                                            if (j2 < 0) {
                                                i11 = i8 + 1;
                                                if (bArr[i8] >= 0) {
                                                    j3 = j2;
                                                    i6 = i11;
                                                    this.zzi = i6;
                                                    return j3;
                                                }
                                            }
                                        }
                                    }
                                }
                                j3 = j4 ^ j7;
                                i6 = i11;
                                this.zzi = i6;
                                return j3;
                            }
                            j5 = 266354560;
                            j2 = j6 ^ j5;
                        }
                    }
                    i6 = i8;
                    j3 = j2;
                    this.zzi = i6;
                    return j3;
                }
                i2 = i7 ^ (-128);
                j3 = i2;
                this.zzi = i6;
                return j3;
            }
        }
        return zzs();
    }
}
