package com.google.android.gms.internal.p003firebaseauthapi;

import com.google.android.gms.internal.p003firebaseauthapi.zzakg;
import com.google.android.gms.internal.p003firebaseauthapi.zzakk;
import java.io.IOException;
import java.io.InputStream;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/* compiled from: com.google.firebase:firebase-auth@@22.1.2 */
/* loaded from: classes2.dex */
public abstract class zzakk<MessageType extends zzakk<MessageType, BuilderType>, BuilderType extends zzakg<MessageType, BuilderType>> extends zzaip<MessageType, BuilderType> {
    private static final Map zzb = new ConcurrentHashMap();
    private int zzd = -1;
    protected zzamw zzc = zzamw.zzc();

    protected static zzakp zzA() {
        return zzaly.zze();
    }

    protected static zzakp zzB(zzakp zzakpVar) {
        int size = zzakpVar.size();
        return zzakpVar.zzd(size == 0 ? 10 : size + size);
    }

    static Object zzD(Method method, Object obj, Object... objArr) {
        try {
            return method.invoke(obj, objArr);
        } catch (IllegalAccessException e2) {
            throw new RuntimeException("Couldn't use Java reflection to implement protocol message reflection.", e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            if (cause instanceof RuntimeException) {
                throw ((RuntimeException) cause);
            }
            if (cause instanceof Error) {
                throw ((Error) cause);
            }
            throw new RuntimeException("Unexpected exception thrown by generated accessor method.", cause);
        }
    }

    protected static Object zzE(zzalp zzalpVar, String str, Object[] objArr) {
        return new zzalz(zzalpVar, str, objArr);
    }

    protected static void zzH(Class cls, zzakk zzakkVar) {
        zzakkVar.zzG();
        zzb.put(cls, zzakkVar);
    }

    private final int zza(zzamb zzambVar) {
        return zzalx.zza().zzb(getClass()).zza(this);
    }

    private static zzakk zzb(zzakk zzakkVar) throws zzaks {
        if (zzakkVar == null || zzakkVar.zzK()) {
            return zzakkVar;
        }
        zzaks zza = new zzamu(zzakkVar).zza();
        zza.zzh(zzakkVar);
        throw zza;
    }

    private static zzakk zzc(zzakk zzakkVar, byte[] bArr, int i2, int i3, zzajx zzajxVar) throws zzaks {
        zzakk zzw = zzakkVar.zzw();
        try {
            zzamb zzb2 = zzalx.zza().zzb(zzw.getClass());
            zzb2.zzi(zzw, bArr, 0, i3, new zzais(zzajxVar));
            zzb2.zzf(zzw);
            return zzw;
        } catch (zzaks e2) {
            e = e2;
            if (e.zzl()) {
                e = new zzaks(e);
            }
            e.zzh(zzw);
            throw e;
        } catch (zzamu e3) {
            zzaks zza = e3.zza();
            zza.zzh(zzw);
            throw zza;
        } catch (IOException e4) {
            if (e4.getCause() instanceof zzaks) {
                throw ((zzaks) e4.getCause());
            }
            zzaks zzaksVar = new zzaks(e4);
            zzaksVar.zzh(zzw);
            throw zzaksVar;
        } catch (IndexOutOfBoundsException unused) {
            zzaks zzj = zzaks.zzj();
            zzj.zzh(zzw);
            throw zzj;
        }
    }

    static zzakk zzv(Class cls) {
        Map map = zzb;
        zzakk zzakkVar = (zzakk) map.get(cls);
        if (zzakkVar == null) {
            try {
                Class.forName(cls.getName(), true, cls.getClassLoader());
                zzakkVar = (zzakk) map.get(cls);
            } catch (ClassNotFoundException e2) {
                throw new IllegalStateException("Class initialization cannot fail.", e2);
            }
        }
        if (zzakkVar == null) {
            zzakkVar = (zzakk) ((zzakk) zzanf.zze(cls)).zzj(6, null, null);
            if (zzakkVar == null) {
                throw new IllegalStateException();
            }
            map.put(cls, zzakkVar);
        }
        return zzakkVar;
    }

    protected static zzakk zzx(zzakk zzakkVar, zzajf zzajfVar, zzajx zzajxVar) throws zzaks {
        zzajl zzh = zzajfVar.zzh();
        zzakk zzw = zzakkVar.zzw();
        try {
            zzamb zzb2 = zzalx.zza().zzb(zzw.getClass());
            zzb2.zzh(zzw, zzajm.zzq(zzh), zzajxVar);
            zzb2.zzf(zzw);
            try {
                zzh.zzz(0);
                zzb(zzw);
                return zzw;
            } catch (zzaks e2) {
                e2.zzh(zzw);
                throw e2;
            }
        } catch (zzaks e3) {
            e = e3;
            if (e.zzl()) {
                e = new zzaks(e);
            }
            e.zzh(zzw);
            throw e;
        } catch (zzamu e4) {
            zzaks zza = e4.zza();
            zza.zzh(zzw);
            throw zza;
        } catch (IOException e5) {
            if (e5.getCause() instanceof zzaks) {
                throw ((zzaks) e5.getCause());
            }
            zzaks zzaksVar = new zzaks(e5);
            zzaksVar.zzh(zzw);
            throw zzaksVar;
        } catch (RuntimeException e6) {
            if (e6.getCause() instanceof zzaks) {
                throw ((zzaks) e6.getCause());
            }
            throw e6;
        }
    }

    protected static zzakk zzy(zzakk zzakkVar, InputStream inputStream, zzajx zzajxVar) throws zzaks {
        zzajj zzajjVar = new zzajj(inputStream, 4096, null);
        zzakk zzw = zzakkVar.zzw();
        try {
            zzamb zzb2 = zzalx.zza().zzb(zzw.getClass());
            zzb2.zzh(zzw, zzajm.zzq(zzajjVar), zzajxVar);
            zzb2.zzf(zzw);
            zzb(zzw);
            return zzw;
        } catch (zzaks e2) {
            e = e2;
            if (e.zzl()) {
                e = new zzaks(e);
            }
            e.zzh(zzw);
            throw e;
        } catch (zzamu e3) {
            zzaks zza = e3.zza();
            zza.zzh(zzw);
            throw zza;
        } catch (IOException e4) {
            if (e4.getCause() instanceof zzaks) {
                throw ((zzaks) e4.getCause());
            }
            zzaks zzaksVar = new zzaks(e4);
            zzaksVar.zzh(zzw);
            throw zzaksVar;
        } catch (RuntimeException e5) {
            if (e5.getCause() instanceof zzaks) {
                throw ((zzaks) e5.getCause());
            }
            throw e5;
        }
    }

    protected static zzakk zzz(zzakk zzakkVar, byte[] bArr, zzajx zzajxVar) throws zzaks {
        zzakk zzc = zzc(zzakkVar, bArr, 0, bArr.length, zzajxVar);
        zzb(zzc);
        return zzc;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        return zzalx.zza().zzb(getClass()).zzj(this, (zzakk) obj);
    }

    public final int hashCode() {
        if (zzL()) {
            return zzr();
        }
        int i2 = this.zza;
        if (i2 != 0) {
            return i2;
        }
        int zzr = zzr();
        this.zza = zzr;
        return zzr;
    }

    public final String toString() {
        return zzalr.zza(this, super.toString());
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzalp
    public final /* synthetic */ zzalo zzC() {
        return (zzakg) zzj(5, null, null);
    }

    protected final void zzF() {
        zzalx.zza().zzb(getClass()).zzf(this);
        zzG();
    }

    final void zzG() {
        this.zzd &= Integer.MAX_VALUE;
    }

    final void zzI(int i2) {
        this.zzd = (this.zzd & Integer.MIN_VALUE) | Integer.MAX_VALUE;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzalp
    public final void zzJ(zzajs zzajsVar) throws IOException {
        zzalx.zza().zzb(getClass()).zzm(this, zzajt.zza(zzajsVar));
    }

    public final boolean zzK() {
        Boolean bool = Boolean.TRUE;
        byte byteValue = ((Byte) zzj(1, null, null)).byteValue();
        if (byteValue == 1) {
            return true;
        }
        if (byteValue == 0) {
            return false;
        }
        boolean zzk = zzalx.zza().zzb(getClass()).zzk(this);
        zzj(2, true != zzk ? null : this, null);
        return zzk;
    }

    final boolean zzL() {
        return (this.zzd & Integer.MIN_VALUE) != 0;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzalq
    public final /* synthetic */ zzalp zzM() {
        return (zzakk) zzj(6, null, null);
    }

    protected abstract Object zzj(int i2, Object obj, Object obj2);

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzaip
    final int zzn(zzamb zzambVar) {
        if (zzL()) {
            int zza = zzambVar.zza(this);
            if (zza >= 0) {
                return zza;
            }
            throw new IllegalStateException("serialized size must be non-negative, was " + zza);
        }
        int i2 = this.zzd & Integer.MAX_VALUE;
        if (i2 != Integer.MAX_VALUE) {
            return i2;
        }
        int zza2 = zzambVar.zza(this);
        if (zza2 >= 0) {
            this.zzd = (this.zzd & Integer.MIN_VALUE) | zza2;
            return zza2;
        }
        throw new IllegalStateException("serialized size must be non-negative, was " + zza2);
    }

    final int zzr() {
        return zzalx.zza().zzb(getClass()).zzb(this);
    }

    protected final zzakg zzt() {
        return (zzakg) zzj(5, null, null);
    }

    public final zzakg zzu() {
        zzakg zzakgVar = (zzakg) zzj(5, null, null);
        zzakgVar.zzh(this);
        return zzakgVar;
    }

    final zzakk zzw() {
        return (zzakk) zzj(4, null, null);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzalp
    public final int zzs() {
        int i2;
        if (zzL()) {
            i2 = zza(null);
            if (i2 < 0) {
                throw new IllegalStateException("serialized size must be non-negative, was " + i2);
            }
        } else {
            i2 = this.zzd & Integer.MAX_VALUE;
            if (i2 == Integer.MAX_VALUE) {
                i2 = zza(null);
                if (i2 < 0) {
                    throw new IllegalStateException("serialized size must be non-negative, was " + i2);
                }
                this.zzd = (this.zzd & Integer.MIN_VALUE) | i2;
            }
        }
        return i2;
    }
}
