package com.google.android.gms.internal.p003firebaseauthapi;

import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;
import org.apache.commons.text.StringSubstitutor;

/* compiled from: com.google.firebase:firebase-auth@@22.1.2 */
/* loaded from: classes2.dex */
final class zzalr {
    private static final char[] zza;

    static {
        char[] cArr = new char[80];
        zza = cArr;
        Arrays.fill(cArr, ' ');
    }

    static String zza(zzalp zzalpVar, String str) {
        StringBuilder sb = new StringBuilder();
        sb.append("# ");
        sb.append(str);
        zzd(zzalpVar, sb, 0);
        return sb.toString();
    }

    static void zzb(StringBuilder sb, int i2, String str, Object obj) {
        if (obj instanceof List) {
            Iterator it2 = ((List) obj).iterator();
            while (it2.hasNext()) {
                zzb(sb, i2, str, it2.next());
            }
            return;
        }
        if (obj instanceof Map) {
            Iterator it3 = ((Map) obj).entrySet().iterator();
            while (it3.hasNext()) {
                zzb(sb, i2, str, (Map.Entry) it3.next());
            }
            return;
        }
        sb.append('\n');
        zzc(i2, sb);
        if (!str.isEmpty()) {
            StringBuilder sb2 = new StringBuilder();
            sb2.append(Character.toLowerCase(str.charAt(0)));
            for (int i3 = 1; i3 < str.length(); i3++) {
                char charAt = str.charAt(i3);
                if (Character.isUpperCase(charAt)) {
                    sb2.append("_");
                }
                sb2.append(Character.toLowerCase(charAt));
            }
            str = sb2.toString();
        }
        sb.append(str);
        if (obj instanceof String) {
            sb.append(": \"");
            sb.append(zzamq.zza(new zzajc(((String) obj).getBytes(zzakq.zzb))));
            sb.append('\"');
            return;
        }
        if (obj instanceof zzajf) {
            sb.append(": \"");
            sb.append(zzamq.zza((zzajf) obj));
            sb.append('\"');
            return;
        }
        if (obj instanceof zzakk) {
            sb.append(" {");
            zzd((zzakk) obj, sb, i2 + 2);
            sb.append("\n");
            zzc(i2, sb);
            sb.append(StringSubstitutor.DEFAULT_VAR_END);
            return;
        }
        if (!(obj instanceof Map.Entry)) {
            sb.append(": ");
            sb.append(obj);
            return;
        }
        int i4 = i2 + 2;
        sb.append(" {");
        Map.Entry entry = (Map.Entry) obj;
        zzb(sb, i4, "key", entry.getKey());
        zzb(sb, i4, "value", entry.getValue());
        sb.append("\n");
        zzc(i2, sb);
        sb.append(StringSubstitutor.DEFAULT_VAR_END);
    }

    private static void zzc(int i2, StringBuilder sb) {
        while (i2 > 0) {
            int i3 = 80;
            if (i2 <= 80) {
                i3 = i2;
            }
            sb.append(zza, 0, i3);
            i2 -= i3;
        }
    }

    private static void zzd(zzalp zzalpVar, StringBuilder sb, int i2) {
        int i3;
        boolean equals;
        Method method;
        Method method2;
        HashSet hashSet = new HashSet();
        HashMap hashMap = new HashMap();
        TreeMap treeMap = new TreeMap();
        Method[] declaredMethods = zzalpVar.getClass().getDeclaredMethods();
        int length = declaredMethods.length;
        int i4 = 0;
        while (true) {
            i3 = 3;
            if (i4 >= length) {
                break;
            }
            Method method3 = declaredMethods[i4];
            if (!Modifier.isStatic(method3.getModifiers()) && method3.getName().length() >= 3) {
                if (method3.getName().startsWith("set")) {
                    hashSet.add(method3.getName());
                } else if (Modifier.isPublic(method3.getModifiers()) && method3.getParameterTypes().length == 0) {
                    if (method3.getName().startsWith("has")) {
                        hashMap.put(method3.getName(), method3);
                    } else if (method3.getName().startsWith("get")) {
                        treeMap.put(method3.getName(), method3);
                    }
                }
            }
            i4++;
        }
        for (Map.Entry entry : treeMap.entrySet()) {
            String substring = ((String) entry.getKey()).substring(i3);
            if (substring.endsWith("List") && !substring.endsWith("OrBuilderList") && !substring.equals("List") && (method2 = (Method) entry.getValue()) != null && method2.getReturnType().equals(List.class)) {
                zzb(sb, i2, substring.substring(0, substring.length() - 4), zzakk.zzD(method2, zzalpVar, new Object[0]));
            } else if (substring.endsWith("Map") && !substring.equals("Map") && (method = (Method) entry.getValue()) != null && method.getReturnType().equals(Map.class) && !method.isAnnotationPresent(Deprecated.class) && Modifier.isPublic(method.getModifiers())) {
                zzb(sb, i2, substring.substring(0, substring.length() - 3), zzakk.zzD(method, zzalpVar, new Object[0]));
            } else if (hashSet.contains("set".concat(String.valueOf(substring))) && (!substring.endsWith("Bytes") || !treeMap.containsKey("get".concat(String.valueOf(substring.substring(0, substring.length() - 5)))))) {
                Method method4 = (Method) entry.getValue();
                Method method5 = (Method) hashMap.get("has".concat(String.valueOf(substring)));
                if (method4 != null) {
                    Object zzD = zzakk.zzD(method4, zzalpVar, new Object[0]);
                    if (method5 != null) {
                        if (!((Boolean) zzakk.zzD(method5, zzalpVar, new Object[0])).booleanValue()) {
                        }
                        zzb(sb, i2, substring, zzD);
                    } else if (zzD instanceof Boolean) {
                        if (!((Boolean) zzD).booleanValue()) {
                        }
                        zzb(sb, i2, substring, zzD);
                    } else if (zzD instanceof Integer) {
                        if (((Integer) zzD).intValue() == 0) {
                        }
                        zzb(sb, i2, substring, zzD);
                    } else if (zzD instanceof Float) {
                        if (Float.floatToRawIntBits(((Float) zzD).floatValue()) == 0) {
                        }
                        zzb(sb, i2, substring, zzD);
                    } else if (zzD instanceof Double) {
                        if (Double.doubleToRawLongBits(((Double) zzD).doubleValue()) == 0) {
                        }
                        zzb(sb, i2, substring, zzD);
                    } else {
                        if (zzD instanceof String) {
                            equals = zzD.equals("");
                        } else if (zzD instanceof zzajf) {
                            equals = zzD.equals(zzajf.zzb);
                        } else if (zzD instanceof zzalp) {
                            if (zzD == ((zzalp) zzD).zzM()) {
                            }
                            zzb(sb, i2, substring, zzD);
                        } else {
                            if ((zzD instanceof Enum) && ((Enum) zzD).ordinal() == 0) {
                            }
                            zzb(sb, i2, substring, zzD);
                        }
                        if (equals) {
                        }
                        zzb(sb, i2, substring, zzD);
                    }
                }
            }
            i3 = 3;
        }
        if (zzalpVar instanceof zzakh) {
            zzakc zzakcVar = ((zzakh) zzalpVar).zzb;
            throw null;
        }
        zzamw zzamwVar = ((zzakk) zzalpVar).zzc;
        if (zzamwVar != null) {
            zzamwVar.zzi(sb, i2);
        }
    }
}
