package com.google.android.gms.internal.p003firebaseauthapi;

import com.jieli.jl_bt_ota.constant.ErrorCode;
import java.io.IOException;
import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import sun.misc.Unsafe;

/* compiled from: com.google.firebase:firebase-auth@@22.1.2 */
/* loaded from: classes2.dex */
final class zzals<T> implements zzamb<T> {
    private static final int[] zza = new int[0];
    private static final Unsafe zzb = zzanf.zzg();
    private final int[] zzc;
    private final Object[] zzd;
    private final int zze;
    private final int zzf;
    private final zzalp zzg;
    private final boolean zzh;
    private final boolean zzi;
    private final int[] zzj;
    private final int zzk;
    private final int zzl;
    private final zzald zzm;
    private final zzamv zzn;
    private final zzajy zzo;
    private final zzalu zzp;
    private final zzalk zzq;

    private zzals(int[] iArr, Object[] objArr, int i2, int i3, zzalp zzalpVar, int i4, boolean z, int[] iArr2, int i5, int i6, zzalu zzaluVar, zzald zzaldVar, zzamv zzamvVar, zzajy zzajyVar, zzalk zzalkVar) {
        this.zzc = iArr;
        this.zzd = objArr;
        this.zze = i2;
        this.zzf = i3;
        this.zzi = zzalpVar instanceof zzakk;
        boolean z2 = false;
        if (zzajyVar != null && zzajyVar.zzh(zzalpVar)) {
            z2 = true;
        }
        this.zzh = z2;
        this.zzj = iArr2;
        this.zzk = i5;
        this.zzl = i6;
        this.zzp = zzaluVar;
        this.zzm = zzaldVar;
        this.zzn = zzamvVar;
        this.zzo = zzajyVar;
        this.zzg = zzalpVar;
        this.zzq = zzalkVar;
    }

    private final Object zzA(Object obj, int i2) {
        zzamb zzx = zzx(i2);
        int zzu = zzu(i2) & ErrorCode.ERR_UNKNOWN;
        if (!zzN(obj, i2)) {
            return zzx.zze();
        }
        Object object = zzb.getObject(obj, zzu);
        if (zzQ(object)) {
            return object;
        }
        Object zze = zzx.zze();
        if (object != null) {
            zzx.zzg(zze, object);
        }
        return zze;
    }

    private final Object zzB(Object obj, int i2, int i3) {
        zzamb zzx = zzx(i3);
        if (!zzR(obj, i2, i3)) {
            return zzx.zze();
        }
        Object object = zzb.getObject(obj, zzu(i3) & ErrorCode.ERR_UNKNOWN);
        if (zzQ(object)) {
            return object;
        }
        Object zze = zzx.zze();
        if (object != null) {
            zzx.zzg(zze, object);
        }
        return zze;
    }

    private static Field zzC(Class cls, String str) {
        try {
            return cls.getDeclaredField(str);
        } catch (NoSuchFieldException unused) {
            Field[] declaredFields = cls.getDeclaredFields();
            for (Field field : declaredFields) {
                if (str.equals(field.getName())) {
                    return field;
                }
            }
            throw new RuntimeException("Field " + str + " for " + cls.getName() + " not found. Known fields are " + Arrays.toString(declaredFields));
        }
    }

    private static void zzD(Object obj) {
        if (!zzQ(obj)) {
            throw new IllegalArgumentException("Mutating immutable message: ".concat(String.valueOf(String.valueOf(obj))));
        }
    }

    private final void zzE(Object obj, Object obj2, int i2) {
        if (zzN(obj2, i2)) {
            int zzu = zzu(i2) & ErrorCode.ERR_UNKNOWN;
            Unsafe unsafe = zzb;
            long j2 = zzu;
            Object object = unsafe.getObject(obj2, j2);
            if (object == null) {
                throw new IllegalStateException("Source subfield " + this.zzc[i2] + " is present but null: " + obj2.toString());
            }
            zzamb zzx = zzx(i2);
            if (!zzN(obj, i2)) {
                if (zzQ(object)) {
                    Object zze = zzx.zze();
                    zzx.zzg(zze, object);
                    unsafe.putObject(obj, j2, zze);
                } else {
                    unsafe.putObject(obj, j2, object);
                }
                zzH(obj, i2);
                return;
            }
            Object object2 = unsafe.getObject(obj, j2);
            if (!zzQ(object2)) {
                Object zze2 = zzx.zze();
                zzx.zzg(zze2, object2);
                unsafe.putObject(obj, j2, zze2);
                object2 = zze2;
            }
            zzx.zzg(object2, object);
        }
    }

    private final void zzF(Object obj, Object obj2, int i2) {
        int i3 = this.zzc[i2];
        if (zzR(obj2, i3, i2)) {
            int zzu = zzu(i2) & ErrorCode.ERR_UNKNOWN;
            Unsafe unsafe = zzb;
            long j2 = zzu;
            Object object = unsafe.getObject(obj2, j2);
            if (object == null) {
                throw new IllegalStateException("Source subfield " + this.zzc[i2] + " is present but null: " + obj2.toString());
            }
            zzamb zzx = zzx(i2);
            if (!zzR(obj, i3, i2)) {
                if (zzQ(object)) {
                    Object zze = zzx.zze();
                    zzx.zzg(zze, object);
                    unsafe.putObject(obj, j2, zze);
                } else {
                    unsafe.putObject(obj, j2, object);
                }
                zzI(obj, i3, i2);
                return;
            }
            Object object2 = unsafe.getObject(obj, j2);
            if (!zzQ(object2)) {
                Object zze2 = zzx.zze();
                zzx.zzg(zze2, object2);
                unsafe.putObject(obj, j2, zze2);
                object2 = zze2;
            }
            zzx.zzg(object2, object);
        }
    }

    private final void zzG(Object obj, int i2, zzama zzamaVar) throws IOException {
        boolean zzM = zzM(i2);
        long j2 = i2 & ErrorCode.ERR_UNKNOWN;
        if (zzM) {
            zzanf.zzs(obj, j2, zzamaVar.zzs());
        } else if (this.zzi) {
            zzanf.zzs(obj, j2, zzamaVar.zzr());
        } else {
            zzanf.zzs(obj, j2, zzamaVar.zzp());
        }
    }

    private final void zzH(Object obj, int i2) {
        int zzr = zzr(i2);
        long j2 = 1048575 & zzr;
        if (j2 == 1048575) {
            return;
        }
        zzanf.zzq(obj, j2, (1 << (zzr >>> 20)) | zzanf.zzc(obj, j2));
    }

    private final void zzI(Object obj, int i2, int i3) {
        zzanf.zzq(obj, zzr(i3) & ErrorCode.ERR_UNKNOWN, i2);
    }

    private final void zzJ(Object obj, int i2, Object obj2) {
        zzb.putObject(obj, zzu(i2) & ErrorCode.ERR_UNKNOWN, obj2);
        zzH(obj, i2);
    }

    private final void zzK(Object obj, int i2, int i3, Object obj2) {
        zzb.putObject(obj, zzu(i3) & ErrorCode.ERR_UNKNOWN, obj2);
        zzI(obj, i2, i3);
    }

    private final boolean zzL(Object obj, Object obj2, int i2) {
        return zzN(obj, i2) == zzN(obj2, i2);
    }

    private static boolean zzM(int i2) {
        return (i2 & 536870912) != 0;
    }

    private final boolean zzN(Object obj, int i2) {
        int zzr = zzr(i2);
        long j2 = zzr & ErrorCode.ERR_UNKNOWN;
        if (j2 != 1048575) {
            return (zzanf.zzc(obj, j2) & (1 << (zzr >>> 20))) != 0;
        }
        int zzu = zzu(i2);
        long j3 = zzu & ErrorCode.ERR_UNKNOWN;
        switch (zzt(zzu)) {
            case 0:
                return Double.doubleToRawLongBits(zzanf.zza(obj, j3)) != 0;
            case 1:
                return Float.floatToRawIntBits(zzanf.zzb(obj, j3)) != 0;
            case 2:
                return zzanf.zzd(obj, j3) != 0;
            case 3:
                return zzanf.zzd(obj, j3) != 0;
            case 4:
                return zzanf.zzc(obj, j3) != 0;
            case 5:
                return zzanf.zzd(obj, j3) != 0;
            case 6:
                return zzanf.zzc(obj, j3) != 0;
            case 7:
                return zzanf.zzw(obj, j3);
            case 8:
                Object zzf = zzanf.zzf(obj, j3);
                if (zzf instanceof String) {
                    return !((String) zzf).isEmpty();
                }
                if (zzf instanceof zzajf) {
                    return !zzajf.zzb.equals(zzf);
                }
                throw new IllegalArgumentException();
            case 9:
                return zzanf.zzf(obj, j3) != null;
            case 10:
                return !zzajf.zzb.equals(zzanf.zzf(obj, j3));
            case 11:
                return zzanf.zzc(obj, j3) != 0;
            case 12:
                return zzanf.zzc(obj, j3) != 0;
            case 13:
                return zzanf.zzc(obj, j3) != 0;
            case 14:
                return zzanf.zzd(obj, j3) != 0;
            case 15:
                return zzanf.zzc(obj, j3) != 0;
            case 16:
                return zzanf.zzd(obj, j3) != 0;
            case 17:
                return zzanf.zzf(obj, j3) != null;
            default:
                throw new IllegalArgumentException();
        }
    }

    private final boolean zzO(Object obj, int i2, int i3, int i4, int i5) {
        return i3 == 1048575 ? zzN(obj, i2) : (i4 & i5) != 0;
    }

    private static boolean zzP(Object obj, int i2, zzamb zzambVar) {
        return zzambVar.zzk(zzanf.zzf(obj, i2 & ErrorCode.ERR_UNKNOWN));
    }

    private static boolean zzQ(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj instanceof zzakk) {
            return ((zzakk) obj).zzL();
        }
        return true;
    }

    private final boolean zzR(Object obj, int i2, int i3) {
        return zzanf.zzc(obj, (long) (zzr(i3) & ErrorCode.ERR_UNKNOWN)) == i2;
    }

    private static boolean zzS(Object obj, long j2) {
        return ((Boolean) zzanf.zzf(obj, j2)).booleanValue();
    }

    private static final void zzT(int i2, Object obj, zzajt zzajtVar) throws IOException {
        if (obj instanceof String) {
            zzajtVar.zzF(i2, (String) obj);
        } else {
            zzajtVar.zzd(i2, (zzajf) obj);
        }
    }

    static zzamw zzd(Object obj) {
        zzakk zzakkVar = (zzakk) obj;
        zzamw zzamwVar = zzakkVar.zzc;
        if (zzamwVar != zzamw.zzc()) {
            return zzamwVar;
        }
        zzamw zzf = zzamw.zzf();
        zzakkVar.zzc = zzf;
        return zzf;
    }

    /* JADX WARN: Removed duplicated region for block: B:65:0x0265  */
    /* JADX WARN: Removed duplicated region for block: B:68:0x027f  */
    /* JADX WARN: Removed duplicated region for block: B:84:0x0282  */
    /* JADX WARN: Removed duplicated region for block: B:85:0x0268  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    static com.google.android.gms.internal.p003firebaseauthapi.zzals zzl(java.lang.Class r33, com.google.android.gms.internal.p003firebaseauthapi.zzalm r34, com.google.android.gms.internal.p003firebaseauthapi.zzalu r35, com.google.android.gms.internal.p003firebaseauthapi.zzald r36, com.google.android.gms.internal.p003firebaseauthapi.zzamv r37, com.google.android.gms.internal.p003firebaseauthapi.zzajy r38, com.google.android.gms.internal.p003firebaseauthapi.zzalk r39) {
        /*
            Method dump skipped, instructions count: 1030
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.p003firebaseauthapi.zzals.zzl(java.lang.Class, com.google.android.gms.internal.firebase-auth-api.zzalm, com.google.android.gms.internal.firebase-auth-api.zzalu, com.google.android.gms.internal.firebase-auth-api.zzald, com.google.android.gms.internal.firebase-auth-api.zzamv, com.google.android.gms.internal.firebase-auth-api.zzajy, com.google.android.gms.internal.firebase-auth-api.zzalk):com.google.android.gms.internal.firebase-auth-api.zzals");
    }

    private static double zzn(Object obj, long j2) {
        return ((Double) zzanf.zzf(obj, j2)).doubleValue();
    }

    private static float zzo(Object obj, long j2) {
        return ((Float) zzanf.zzf(obj, j2)).floatValue();
    }

    private static int zzp(Object obj, long j2) {
        return ((Integer) zzanf.zzf(obj, j2)).intValue();
    }

    private final int zzq(int i2) {
        if (i2 < this.zze || i2 > this.zzf) {
            return -1;
        }
        return zzs(i2, 0);
    }

    private final int zzr(int i2) {
        return this.zzc[i2 + 2];
    }

    private final int zzs(int i2, int i3) {
        int length = (this.zzc.length / 3) - 1;
        while (i3 <= length) {
            int i4 = (length + i3) >>> 1;
            int i5 = i4 * 3;
            int i6 = this.zzc[i5];
            if (i2 == i6) {
                return i5;
            }
            if (i2 < i6) {
                length = i4 - 1;
            } else {
                i3 = i4 + 1;
            }
        }
        return -1;
    }

    private static int zzt(int i2) {
        return (i2 >>> 20) & 255;
    }

    private final int zzu(int i2) {
        return this.zzc[i2 + 1];
    }

    private static long zzv(Object obj, long j2) {
        return ((Long) zzanf.zzf(obj, j2)).longValue();
    }

    private final zzako zzw(int i2) {
        int i3 = i2 / 3;
        return (zzako) this.zzd[i3 + i3 + 1];
    }

    private final zzamb zzx(int i2) {
        Object[] objArr = this.zzd;
        int i3 = i2 / 3;
        int i4 = i3 + i3;
        zzamb zzambVar = (zzamb) objArr[i4];
        if (zzambVar != null) {
            return zzambVar;
        }
        zzamb zzb2 = zzalx.zza().zzb((Class) objArr[i4 + 1]);
        this.zzd[i4] = zzb2;
        return zzb2;
    }

    private final Object zzy(Object obj, int i2, Object obj2, zzamv zzamvVar, Object obj3) {
        int i3 = this.zzc[i2];
        Object zzf = zzanf.zzf(obj, zzu(i2) & ErrorCode.ERR_UNKNOWN);
        if (zzf == null || zzw(i2) == null) {
            return obj2;
        }
        throw null;
    }

    private final Object zzz(int i2) {
        int i3 = i2 / 3;
        return this.zzd[i3 + i3];
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v108, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v109, types: [com.google.android.gms.internal.firebase-auth-api.zzakx] */
    /* JADX WARN: Type inference failed for: r0v111, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v113, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v130 */
    /* JADX WARN: Type inference failed for: r0v178, types: [java.util.List] */
    /* JADX WARN: Type inference failed for: r0v248, types: [int] */
    /* JADX WARN: Type inference failed for: r0v255, types: [int] */
    /* JADX WARN: Type inference failed for: r0v260 */
    /* JADX WARN: Type inference failed for: r0v261 */
    /* JADX WARN: Type inference failed for: r0v262 */
    /* JADX WARN: Type inference failed for: r0v263 */
    /* JADX WARN: Type inference failed for: r0v264 */
    /* JADX WARN: Type inference failed for: r0v265 */
    /* JADX WARN: Type inference failed for: r0v266 */
    /* JADX WARN: Type inference failed for: r0v267 */
    /* JADX WARN: Type inference failed for: r0v268 */
    /* JADX WARN: Type inference failed for: r0v269 */
    /* JADX WARN: Type inference failed for: r0v270 */
    /* JADX WARN: Type inference failed for: r0v271 */
    /* JADX WARN: Type inference failed for: r0v272 */
    /* JADX WARN: Type inference failed for: r0v273 */
    /* JADX WARN: Type inference failed for: r0v274 */
    /* JADX WARN: Type inference failed for: r0v275 */
    /* JADX WARN: Type inference failed for: r1v0 */
    /* JADX WARN: Type inference failed for: r1v1 */
    /* JADX WARN: Type inference failed for: r1v110, types: [int] */
    /* JADX WARN: Type inference failed for: r1v113, types: [int] */
    /* JADX WARN: Type inference failed for: r1v149 */
    /* JADX WARN: Type inference failed for: r1v152 */
    /* JADX WARN: Type inference failed for: r1v153 */
    /* JADX WARN: Type inference failed for: r1v154 */
    /* JADX WARN: Type inference failed for: r1v155 */
    /* JADX WARN: Type inference failed for: r1v70, types: [int] */
    /* JADX WARN: Type inference failed for: r1v72 */
    /* JADX WARN: Type inference failed for: r2v30, types: [int] */
    /* JADX WARN: Type inference failed for: r2v35 */
    /* JADX WARN: Type inference failed for: r2v36, types: [int] */
    /* JADX WARN: Type inference failed for: r2v40, types: [int] */
    /* JADX WARN: Type inference failed for: r2v44, types: [int] */
    /* JADX WARN: Type inference failed for: r2v52 */
    /* JADX WARN: Type inference failed for: r2v53, types: [int] */
    /* JADX WARN: Type inference failed for: r2v90 */
    /* JADX WARN: Type inference failed for: r2v91 */
    /* JADX WARN: Type inference failed for: r2v92 */
    /* JADX WARN: Type inference failed for: r2v93 */
    /* JADX WARN: Type inference failed for: r2v94 */
    /* JADX WARN: Type inference failed for: r3v22 */
    /* JADX WARN: Type inference failed for: r3v23, types: [int] */
    /* JADX WARN: Type inference failed for: r3v25 */
    /* JADX WARN: Type inference failed for: r3v26, types: [int] */
    /* JADX WARN: Type inference failed for: r3v31 */
    /* JADX WARN: Type inference failed for: r3v35, types: [int] */
    /* JADX WARN: Type inference failed for: r3v36 */
    /* JADX WARN: Type inference failed for: r3v42, types: [int] */
    /* JADX WARN: Type inference failed for: r3v47 */
    /* JADX WARN: Type inference failed for: r3v48 */
    /* JADX WARN: Type inference failed for: r3v49 */
    /* JADX WARN: Type inference failed for: r3v50 */
    /* JADX WARN: Type inference failed for: r3v51 */
    /* JADX WARN: Type inference failed for: r3v52 */
    /* JADX WARN: Type inference failed for: r4v29 */
    /* JADX WARN: Type inference failed for: r4v30, types: [int] */
    /* JADX WARN: Type inference failed for: r4v34 */
    /* JADX WARN: Type inference failed for: r4v35 */
    /* JADX WARN: Type inference failed for: r4v37, types: [int] */
    /* JADX WARN: Type inference failed for: r4v38 */
    /* JADX WARN: Type inference failed for: r4v40 */
    /* JADX WARN: Type inference failed for: r4v41 */
    /* JADX WARN: Type inference failed for: r5v2 */
    /* JADX WARN: Type inference failed for: r5v20 */
    /* JADX WARN: Type inference failed for: r5v3, types: [int] */
    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final int zza(Object obj) {
        int i2;
        int i3;
        ?? r5;
        int zzA;
        int zzA2;
        int zzB;
        int zzA3;
        int zzA4;
        int zzA5;
        int zzA6;
        ?? zzg;
        int size;
        int zzA7;
        int zzz;
        int zzz2;
        ?? r3;
        int zzy;
        ?? r1;
        ?? r0;
        int zze;
        int zzA8;
        int zzA9;
        ?? r4;
        Unsafe unsafe = zzb;
        boolean z = false;
        int i4 = ErrorCode.ERR_UNKNOWN;
        ?? r12 = 0;
        int i5 = 0;
        int i6 = 0;
        int i7 = 1048575;
        while (i5 < this.zzc.length) {
            int zzu = zzu(i5);
            int zzt = zzt(zzu);
            int[] iArr = this.zzc;
            int i8 = iArr[i5];
            int i9 = iArr[i5 + 2];
            int i10 = i9 & i4;
            if (zzt <= 17) {
                if (i10 != i7) {
                    r12 = i10 == i4 ? z : unsafe.getInt(obj, i10);
                    i7 = i10;
                }
                i2 = i7;
                i3 = r12;
                r5 = 1 << (i9 >>> 20);
            } else {
                i2 = i7;
                i3 = r12;
                r5 = z;
            }
            int i11 = zzu & i4;
            if (zzt >= zzakd.DOUBLE_LIST_PACKED.zza()) {
                zzakd.SINT64_LIST_PACKED.zza();
            }
            long j2 = i11;
            switch (zzt) {
                case 0:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzA = zzajs.zzA(i8 << 3);
                        r0 = zzA + 8;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 1:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzA2 = zzajs.zzA(i8 << 3);
                        r0 = zzA2 + 4;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 2:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzB = zzajs.zzB(unsafe.getLong(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 3:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzB = zzajs.zzB(unsafe.getLong(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 4:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzB = zzajs.zzx(unsafe.getInt(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 5:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzA = zzajs.zzA(i8 << 3);
                        r0 = zzA + 8;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 6:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzA2 = zzajs.zzA(i8 << 3);
                        r0 = zzA2 + 4;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 7:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzA4 = zzajs.zzA(i8 << 3);
                        r0 = zzA4 + 1;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 8:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        int i12 = i8 << 3;
                        Object object = unsafe.getObject(obj, j2);
                        if (object instanceof zzajf) {
                            int i13 = zzajs.zzf;
                            int zzd = ((zzajf) object).zzd();
                            zzA5 = zzajs.zzA(zzd) + zzd;
                            zzA6 = zzajs.zzA(i12);
                            r0 = zzA6 + zzA5;
                            i6 += r0;
                            i5 += 3;
                            i7 = i2;
                            r12 = i3;
                            z = false;
                            i4 = ErrorCode.ERR_UNKNOWN;
                        } else {
                            zzB = zzajs.zzz((String) object);
                            zzA3 = zzajs.zzA(i12);
                            r0 = zzA3 + zzB;
                            i6 += r0;
                            i5 += 3;
                            i7 = i2;
                            r12 = i3;
                            z = false;
                            i4 = ErrorCode.ERR_UNKNOWN;
                        }
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 9:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        r0 = zzamd.zzh(i8, unsafe.getObject(obj, j2), zzx(i5));
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 10:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzajf zzajfVar = (zzajf) unsafe.getObject(obj, j2);
                        int i14 = zzajs.zzf;
                        int zzd2 = zzajfVar.zzd();
                        zzA5 = zzajs.zzA(zzd2) + zzd2;
                        zzA6 = zzajs.zzA(i8 << 3);
                        r0 = zzA6 + zzA5;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 11:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzB = zzajs.zzA(unsafe.getInt(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 12:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzB = zzajs.zzx(unsafe.getInt(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 13:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzA2 = zzajs.zzA(i8 << 3);
                        r0 = zzA2 + 4;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 14:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        zzA = zzajs.zzA(i8 << 3);
                        r0 = zzA + 8;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 15:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        int i15 = unsafe.getInt(obj, j2);
                        zzA3 = zzajs.zzA(i8 << 3);
                        zzB = zzajs.zzA((i15 >> 31) ^ (i15 + i15));
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 16:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        long j3 = unsafe.getLong(obj, j2);
                        zzA3 = zzajs.zzA(i8 << 3);
                        zzB = zzajs.zzB((j3 >> 63) ^ (j3 + j3));
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 17:
                    if (zzO(obj, i5, i2, i3, r5)) {
                        r0 = zzajs.zzw(i8, (zzalp) unsafe.getObject(obj, j2), zzx(i5));
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 18:
                    r0 = zzamd.zzd(i8, (List) unsafe.getObject(obj, j2), z);
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 19:
                    r0 = zzamd.zzb(i8, (List) unsafe.getObject(obj, j2), z);
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 20:
                    List list = (List) unsafe.getObject(obj, j2);
                    int i16 = zzamd.zza;
                    if (list.size() != 0) {
                        zzg = zzamd.zzg(list) + (list.size() * zzajs.zzA(i8 << 3));
                        i6 += zzg;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    zzg = z;
                    i6 += zzg;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 21:
                    List list2 = (List) unsafe.getObject(obj, j2);
                    int i17 = zzamd.zza;
                    size = list2.size();
                    if (size != 0) {
                        zzA3 = zzamd.zzl(list2);
                        zzA7 = zzajs.zzA(i8 << 3);
                        zzB = size * zzA7;
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    r0 = z;
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 22:
                    List list3 = (List) unsafe.getObject(obj, j2);
                    int i18 = zzamd.zza;
                    size = list3.size();
                    if (size != 0) {
                        zzA3 = zzamd.zzf(list3);
                        zzA7 = zzajs.zzA(i8 << 3);
                        zzB = size * zzA7;
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    r0 = z;
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 23:
                    r0 = zzamd.zzd(i8, (List) unsafe.getObject(obj, j2), z);
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 24:
                    r0 = zzamd.zzb(i8, (List) unsafe.getObject(obj, j2), z);
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 25:
                    List list4 = (List) unsafe.getObject(obj, j2);
                    int i19 = zzamd.zza;
                    int size2 = list4.size();
                    if (size2 != 0) {
                        r0 = size2 * (zzajs.zzA(i8 << 3) + 1);
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    r0 = z;
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 26:
                    ?? r02 = (List) unsafe.getObject(obj, j2);
                    int i20 = zzamd.zza;
                    int size3 = r02.size();
                    if (size3 != 0) {
                        boolean z2 = r02 instanceof zzakx;
                        int zzA10 = zzajs.zzA(i8 << 3) * size3;
                        if (z2) {
                            ?? r03 = (zzakx) r02;
                            zzg = zzA10;
                            for (?? r32 = z; r32 < size3; r32++) {
                                Object zzf = r03.zzf(r32);
                                if (zzf instanceof zzajf) {
                                    int zzd3 = ((zzajf) zzf).zzd();
                                    zzz2 = zzg + zzajs.zzA(zzd3) + zzd3;
                                } else {
                                    zzz2 = zzg + zzajs.zzz((String) zzf);
                                }
                                zzg = zzz2;
                            }
                        } else {
                            zzg = zzA10;
                            for (?? r33 = z; r33 < size3; r33++) {
                                Object obj2 = r02.get(r33);
                                if (obj2 instanceof zzajf) {
                                    int zzd4 = ((zzajf) obj2).zzd();
                                    zzz = zzg + zzajs.zzA(zzd4) + zzd4;
                                } else {
                                    zzz = zzg + zzajs.zzz((String) obj2);
                                }
                                zzg = zzz;
                            }
                        }
                        i6 += zzg;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    zzg = z;
                    i6 += zzg;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 27:
                    ?? r04 = (List) unsafe.getObject(obj, j2);
                    zzamb zzx = zzx(i5);
                    int i21 = zzamd.zza;
                    int size4 = r04.size();
                    if (size4 == 0) {
                        r3 = z;
                    } else {
                        r3 = zzajs.zzA(i8 << 3) * size4;
                        for (?? r42 = z; r42 < size4; r42++) {
                            Object obj3 = r04.get(r42);
                            if (obj3 instanceof zzakv) {
                                int zza2 = ((zzakv) obj3).zza();
                                zzy = (r3 == true ? 1 : 0) + zzajs.zzA(zza2) + zza2;
                            } else {
                                zzy = (r3 == true ? 1 : 0) + zzajs.zzy((zzalp) obj3, zzx);
                            }
                            r3 = zzy;
                        }
                    }
                    i6 += r3;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 28:
                    ?? r05 = (List) unsafe.getObject(obj, j2);
                    int i22 = zzamd.zza;
                    int size5 = r05.size();
                    if (size5 == 0) {
                        r1 = z;
                    } else {
                        r1 = size5 * zzajs.zzA(i8 << 3);
                        for (?? r2 = z; r2 < r05.size(); r2++) {
                            int zzd5 = ((zzajf) r05.get(r2)).zzd();
                            r1 += zzajs.zzA(zzd5) + zzd5;
                        }
                    }
                    i6 += r1;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 29:
                    List list5 = (List) unsafe.getObject(obj, j2);
                    int i23 = zzamd.zza;
                    size = list5.size();
                    if (size != 0) {
                        zzA3 = zzamd.zzk(list5);
                        zzA7 = zzajs.zzA(i8 << 3);
                        zzB = size * zzA7;
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    r0 = z;
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 30:
                    List list6 = (List) unsafe.getObject(obj, j2);
                    int i24 = zzamd.zza;
                    size = list6.size();
                    if (size != 0) {
                        zzA3 = zzamd.zza(list6);
                        zzA7 = zzajs.zzA(i8 << 3);
                        zzB = size * zzA7;
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    r0 = z;
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 31:
                    r0 = zzamd.zzb(i8, (List) unsafe.getObject(obj, j2), z);
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 32:
                    r0 = zzamd.zzd(i8, (List) unsafe.getObject(obj, j2), z);
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 33:
                    List list7 = (List) unsafe.getObject(obj, j2);
                    int i25 = zzamd.zza;
                    size = list7.size();
                    if (size != 0) {
                        zzA3 = zzamd.zzi(list7);
                        zzA7 = zzajs.zzA(i8 << 3);
                        zzB = size * zzA7;
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    r0 = z;
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 34:
                    List list8 = (List) unsafe.getObject(obj, j2);
                    int i26 = zzamd.zza;
                    size = list8.size();
                    if (size != 0) {
                        zzA3 = zzamd.zzj(list8);
                        zzA7 = zzajs.zzA(i8 << 3);
                        zzB = size * zzA7;
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                    r0 = z;
                    i6 += r0;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 35:
                    zze = zzamd.zze((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 36:
                    zze = zzamd.zzc((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 37:
                    zze = zzamd.zzg((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 38:
                    zze = zzamd.zzl((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 39:
                    zze = zzamd.zzf((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 40:
                    zze = zzamd.zze((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 41:
                    zze = zzamd.zzc((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 42:
                    List list9 = (List) unsafe.getObject(obj, j2);
                    int i27 = zzamd.zza;
                    zze = list9.size();
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 43:
                    zze = zzamd.zzk((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 44:
                    zze = zzamd.zza((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 45:
                    zze = zzamd.zzc((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 46:
                    zze = zzamd.zze((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 47:
                    zze = zzamd.zzi((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 48:
                    zze = zzamd.zzj((List) unsafe.getObject(obj, j2));
                    if (zze > 0) {
                        zzA8 = zzajs.zzA(zze);
                        zzA9 = zzajs.zzA(i8 << 3);
                        r1 = zzA9 + zzA8 + zze;
                        i6 += r1;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 49:
                    ?? r06 = (List) unsafe.getObject(obj, j2);
                    zzamb zzx2 = zzx(i5);
                    int i28 = zzamd.zza;
                    int size6 = r06.size();
                    if (size6 == 0) {
                        r4 = z;
                    } else {
                        boolean z3 = z;
                        r4 = z3;
                        ?? r34 = z3;
                        while (r34 < size6) {
                            int zzw = zzajs.zzw(i8, (zzalp) r06.get(r34), zzx2);
                            r34++;
                            r4 = (r4 == true ? 1 : 0) + zzw;
                        }
                    }
                    i6 += r4;
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 50:
                    zzalj zzaljVar = (zzalj) unsafe.getObject(obj, j2);
                    if (zzaljVar.isEmpty()) {
                        continue;
                    } else {
                        Iterator it2 = zzaljVar.entrySet().iterator();
                        if (it2.hasNext()) {
                            Map.Entry entry = (Map.Entry) it2.next();
                            entry.getKey();
                            entry.getValue();
                            throw null;
                        }
                    }
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
                case 51:
                    if (zzR(obj, i8, i5)) {
                        zzA = zzajs.zzA(i8 << 3);
                        r0 = zzA + 8;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 52:
                    if (zzR(obj, i8, i5)) {
                        zzA2 = zzajs.zzA(i8 << 3);
                        r0 = zzA2 + 4;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 53:
                    if (zzR(obj, i8, i5)) {
                        zzB = zzajs.zzB(zzv(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 54:
                    if (zzR(obj, i8, i5)) {
                        zzB = zzajs.zzB(zzv(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 55:
                    if (zzR(obj, i8, i5)) {
                        zzB = zzajs.zzx(zzp(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 56:
                    if (zzR(obj, i8, i5)) {
                        zzA = zzajs.zzA(i8 << 3);
                        r0 = zzA + 8;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 57:
                    if (zzR(obj, i8, i5)) {
                        zzA2 = zzajs.zzA(i8 << 3);
                        r0 = zzA2 + 4;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 58:
                    if (zzR(obj, i8, i5)) {
                        zzA4 = zzajs.zzA(i8 << 3);
                        r0 = zzA4 + 1;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 59:
                    if (zzR(obj, i8, i5)) {
                        int i29 = i8 << 3;
                        Object object2 = unsafe.getObject(obj, j2);
                        if (object2 instanceof zzajf) {
                            int i30 = zzajs.zzf;
                            int zzd6 = ((zzajf) object2).zzd();
                            zzA5 = zzajs.zzA(zzd6) + zzd6;
                            zzA6 = zzajs.zzA(i29);
                            r0 = zzA6 + zzA5;
                            i6 += r0;
                            i5 += 3;
                            i7 = i2;
                            r12 = i3;
                            z = false;
                            i4 = ErrorCode.ERR_UNKNOWN;
                        } else {
                            zzB = zzajs.zzz((String) object2);
                            zzA3 = zzajs.zzA(i29);
                            r0 = zzA3 + zzB;
                            i6 += r0;
                            i5 += 3;
                            i7 = i2;
                            r12 = i3;
                            z = false;
                            i4 = ErrorCode.ERR_UNKNOWN;
                        }
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 60:
                    if (zzR(obj, i8, i5)) {
                        r0 = zzamd.zzh(i8, unsafe.getObject(obj, j2), zzx(i5));
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 61:
                    if (zzR(obj, i8, i5)) {
                        zzajf zzajfVar2 = (zzajf) unsafe.getObject(obj, j2);
                        int i31 = zzajs.zzf;
                        int zzd7 = zzajfVar2.zzd();
                        zzA5 = zzajs.zzA(zzd7) + zzd7;
                        zzA6 = zzajs.zzA(i8 << 3);
                        r0 = zzA6 + zzA5;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 62:
                    if (zzR(obj, i8, i5)) {
                        zzB = zzajs.zzA(zzp(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 63:
                    if (zzR(obj, i8, i5)) {
                        zzB = zzajs.zzx(zzp(obj, j2));
                        zzA3 = zzajs.zzA(i8 << 3);
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 64:
                    if (zzR(obj, i8, i5)) {
                        zzA2 = zzajs.zzA(i8 << 3);
                        r0 = zzA2 + 4;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 65:
                    if (zzR(obj, i8, i5)) {
                        zzA = zzajs.zzA(i8 << 3);
                        r0 = zzA + 8;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 66:
                    if (zzR(obj, i8, i5)) {
                        int zzp = zzp(obj, j2);
                        zzA3 = zzajs.zzA(i8 << 3);
                        zzB = zzajs.zzA((zzp >> 31) ^ (zzp + zzp));
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 67:
                    if (zzR(obj, i8, i5)) {
                        long zzv = zzv(obj, j2);
                        zzA3 = zzajs.zzA(i8 << 3);
                        zzB = zzajs.zzB((zzv >> 63) ^ (zzv + zzv));
                        r0 = zzA3 + zzB;
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                case 68:
                    if (zzR(obj, i8, i5)) {
                        r0 = zzajs.zzw(i8, (zzalp) unsafe.getObject(obj, j2), zzx(i5));
                        i6 += r0;
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    } else {
                        i5 += 3;
                        i7 = i2;
                        r12 = i3;
                        z = false;
                        i4 = ErrorCode.ERR_UNKNOWN;
                    }
                default:
                    i5 += 3;
                    i7 = i2;
                    r12 = i3;
                    z = false;
                    i4 = ErrorCode.ERR_UNKNOWN;
            }
        }
        zzamv zzamvVar = this.zzn;
        int zza3 = i6 + zzamvVar.zza(zzamvVar.zzd(obj));
        if (!this.zzh) {
            return zza3;
        }
        this.zzo.zza(obj);
        throw null;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final int zzb(Object obj) {
        int i2;
        long doubleToLongBits;
        int floatToIntBits;
        int i3;
        int i4 = 0;
        for (int i5 = 0; i5 < this.zzc.length; i5 += 3) {
            int zzu = zzu(i5);
            int[] iArr = this.zzc;
            int i6 = 1048575 & zzu;
            int zzt = zzt(zzu);
            int i7 = iArr[i5];
            long j2 = i6;
            int i8 = 37;
            switch (zzt) {
                case 0:
                    i2 = i4 * 53;
                    doubleToLongBits = Double.doubleToLongBits(zzanf.zza(obj, j2));
                    byte[] bArr = zzakq.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i4 = i2 + floatToIntBits;
                    break;
                case 1:
                    i2 = i4 * 53;
                    floatToIntBits = Float.floatToIntBits(zzanf.zzb(obj, j2));
                    i4 = i2 + floatToIntBits;
                    break;
                case 2:
                    i2 = i4 * 53;
                    doubleToLongBits = zzanf.zzd(obj, j2);
                    byte[] bArr2 = zzakq.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i4 = i2 + floatToIntBits;
                    break;
                case 3:
                    i2 = i4 * 53;
                    doubleToLongBits = zzanf.zzd(obj, j2);
                    byte[] bArr3 = zzakq.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i4 = i2 + floatToIntBits;
                    break;
                case 4:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzc(obj, j2);
                    i4 = i2 + floatToIntBits;
                    break;
                case 5:
                    i2 = i4 * 53;
                    doubleToLongBits = zzanf.zzd(obj, j2);
                    byte[] bArr4 = zzakq.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i4 = i2 + floatToIntBits;
                    break;
                case 6:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzc(obj, j2);
                    i4 = i2 + floatToIntBits;
                    break;
                case 7:
                    i2 = i4 * 53;
                    floatToIntBits = zzakq.zza(zzanf.zzw(obj, j2));
                    i4 = i2 + floatToIntBits;
                    break;
                case 8:
                    i2 = i4 * 53;
                    floatToIntBits = ((String) zzanf.zzf(obj, j2)).hashCode();
                    i4 = i2 + floatToIntBits;
                    break;
                case 9:
                    i3 = i4 * 53;
                    Object zzf = zzanf.zzf(obj, j2);
                    if (zzf != null) {
                        i8 = zzf.hashCode();
                    }
                    i4 = i3 + i8;
                    break;
                case 10:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzf(obj, j2).hashCode();
                    i4 = i2 + floatToIntBits;
                    break;
                case 11:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzc(obj, j2);
                    i4 = i2 + floatToIntBits;
                    break;
                case 12:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzc(obj, j2);
                    i4 = i2 + floatToIntBits;
                    break;
                case 13:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzc(obj, j2);
                    i4 = i2 + floatToIntBits;
                    break;
                case 14:
                    i2 = i4 * 53;
                    doubleToLongBits = zzanf.zzd(obj, j2);
                    byte[] bArr5 = zzakq.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i4 = i2 + floatToIntBits;
                    break;
                case 15:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzc(obj, j2);
                    i4 = i2 + floatToIntBits;
                    break;
                case 16:
                    i2 = i4 * 53;
                    doubleToLongBits = zzanf.zzd(obj, j2);
                    byte[] bArr6 = zzakq.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i4 = i2 + floatToIntBits;
                    break;
                case 17:
                    i3 = i4 * 53;
                    Object zzf2 = zzanf.zzf(obj, j2);
                    if (zzf2 != null) {
                        i8 = zzf2.hashCode();
                    }
                    i4 = i3 + i8;
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzf(obj, j2).hashCode();
                    i4 = i2 + floatToIntBits;
                    break;
                case 50:
                    i2 = i4 * 53;
                    floatToIntBits = zzanf.zzf(obj, j2).hashCode();
                    i4 = i2 + floatToIntBits;
                    break;
                case 51:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        doubleToLongBits = Double.doubleToLongBits(zzn(obj, j2));
                        byte[] bArr7 = zzakq.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = Float.floatToIntBits(zzo(obj, j2));
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        doubleToLongBits = zzv(obj, j2);
                        byte[] bArr8 = zzakq.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        doubleToLongBits = zzv(obj, j2);
                        byte[] bArr9 = zzakq.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        doubleToLongBits = zzv(obj, j2);
                        byte[] bArr10 = zzakq.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzakq.zza(zzS(obj, j2));
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = ((String) zzanf.zzf(obj, j2)).hashCode();
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 60:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzanf.zzf(obj, j2).hashCode();
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzanf.zzf(obj, j2).hashCode();
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        doubleToLongBits = zzv(obj, j2);
                        byte[] bArr11 = zzakq.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzp(obj, j2);
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        doubleToLongBits = zzv(obj, j2);
                        byte[] bArr12 = zzakq.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (zzR(obj, i7, i5)) {
                        i2 = i4 * 53;
                        floatToIntBits = zzanf.zzf(obj, j2).hashCode();
                        i4 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
            }
        }
        int hashCode = (i4 * 53) + this.zzn.zzd(obj).hashCode();
        if (!this.zzh) {
            return hashCode;
        }
        this.zzo.zza(obj);
        throw null;
    }

    /* JADX WARN: Code restructure failed: missing block: B:41:0x0b68, code lost:
    
        if (r5 == r0) goto L486;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x0b6a, code lost:
    
        r14.putInt(r7, r5, r4);
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0b6e, code lost:
    
        r11 = r12.zzk;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x0b73, code lost:
    
        if (r11 >= r12.zzl) goto L592;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x0b75, code lost:
    
        zzy(r34, r12.zzj[r11], null, r12.zzn, r34);
        r11 = r11 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0b88, code lost:
    
        if (r9 != 0) goto L495;
     */
    /* JADX WARN: Code restructure failed: missing block: B:49:0x0b8a, code lost:
    
        if (r6 != r10) goto L493;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0b91, code lost:
    
        throw com.google.android.gms.internal.p003firebaseauthapi.zzaks.zzg();
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x0b96, code lost:
    
        return r6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x0b92, code lost:
    
        if (r6 > r10) goto L498;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x0b94, code lost:
    
        if (r8 != r9) goto L498;
     */
    /* JADX WARN: Code restructure failed: missing block: B:57:0x0b9b, code lost:
    
        throw com.google.android.gms.internal.p003firebaseauthapi.zzaks.zzg();
     */
    /* JADX WARN: Removed duplicated region for block: B:167:0x0836 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:170:0x0847 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:31:0x0ae3 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:35:0x0af6 A[SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    final int zzc(java.lang.Object r34, byte[] r35, int r36, int r37, int r38, com.google.android.gms.internal.p003firebaseauthapi.zzais r39) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 3116
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.p003firebaseauthapi.zzals.zzc(java.lang.Object, byte[], int, int, int, com.google.android.gms.internal.firebase-auth-api.zzais):int");
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final Object zze() {
        return ((zzakk) this.zzg).zzw();
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final void zzf(Object obj) {
        if (zzQ(obj)) {
            if (obj instanceof zzakk) {
                zzakk zzakkVar = (zzakk) obj;
                zzakkVar.zzI(Integer.MAX_VALUE);
                zzakkVar.zza = 0;
                zzakkVar.zzG();
            }
            int[] iArr = this.zzc;
            for (int i2 = 0; i2 < iArr.length; i2 += 3) {
                int zzu = zzu(i2);
                int i3 = 1048575 & zzu;
                int zzt = zzt(zzu);
                long j2 = i3;
                if (zzt != 9) {
                    if (zzt != 60 && zzt != 68) {
                        switch (zzt) {
                            case 18:
                            case 19:
                            case 20:
                            case 21:
                            case 22:
                            case 23:
                            case 24:
                            case 25:
                            case 26:
                            case 27:
                            case 28:
                            case 29:
                            case 30:
                            case 31:
                            case 32:
                            case 33:
                            case 34:
                            case 35:
                            case 36:
                            case 37:
                            case 38:
                            case 39:
                            case 40:
                            case 41:
                            case 42:
                            case 43:
                            case 44:
                            case 45:
                            case 46:
                            case 47:
                            case 48:
                            case 49:
                                this.zzm.zzb(obj, j2);
                                break;
                            case 50:
                                Unsafe unsafe = zzb;
                                Object object = unsafe.getObject(obj, j2);
                                if (object != null) {
                                    ((zzalj) object).zzc();
                                    unsafe.putObject(obj, j2, object);
                                    break;
                                } else {
                                    break;
                                }
                        }
                    } else if (zzR(obj, this.zzc[i2], i2)) {
                        zzx(i2).zzf(zzb.getObject(obj, j2));
                    }
                }
                if (zzN(obj, i2)) {
                    zzx(i2).zzf(zzb.getObject(obj, j2));
                }
            }
            this.zzn.zzm(obj);
            if (this.zzh) {
                this.zzo.zze(obj);
            }
        }
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final void zzg(Object obj, Object obj2) {
        zzD(obj);
        obj2.getClass();
        for (int i2 = 0; i2 < this.zzc.length; i2 += 3) {
            int zzu = zzu(i2);
            int i3 = 1048575 & zzu;
            int[] iArr = this.zzc;
            int zzt = zzt(zzu);
            int i4 = iArr[i2];
            long j2 = i3;
            switch (zzt) {
                case 0:
                    if (zzN(obj2, i2)) {
                        zzanf.zzo(obj, j2, zzanf.zza(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (zzN(obj2, i2)) {
                        zzanf.zzp(obj, j2, zzanf.zzb(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (zzN(obj2, i2)) {
                        zzanf.zzr(obj, j2, zzanf.zzd(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (zzN(obj2, i2)) {
                        zzanf.zzr(obj, j2, zzanf.zzd(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (zzN(obj2, i2)) {
                        zzanf.zzq(obj, j2, zzanf.zzc(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (zzN(obj2, i2)) {
                        zzanf.zzr(obj, j2, zzanf.zzd(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (zzN(obj2, i2)) {
                        zzanf.zzq(obj, j2, zzanf.zzc(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (zzN(obj2, i2)) {
                        zzanf.zzm(obj, j2, zzanf.zzw(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (zzN(obj2, i2)) {
                        zzanf.zzs(obj, j2, zzanf.zzf(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 9:
                    zzE(obj, obj2, i2);
                    break;
                case 10:
                    if (zzN(obj2, i2)) {
                        zzanf.zzs(obj, j2, zzanf.zzf(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (zzN(obj2, i2)) {
                        zzanf.zzq(obj, j2, zzanf.zzc(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (zzN(obj2, i2)) {
                        zzanf.zzq(obj, j2, zzanf.zzc(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (zzN(obj2, i2)) {
                        zzanf.zzq(obj, j2, zzanf.zzc(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (zzN(obj2, i2)) {
                        zzanf.zzr(obj, j2, zzanf.zzd(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (zzN(obj2, i2)) {
                        zzanf.zzq(obj, j2, zzanf.zzc(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (zzN(obj2, i2)) {
                        zzanf.zzr(obj, j2, zzanf.zzd(obj2, j2));
                        zzH(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 17:
                    zzE(obj, obj2, i2);
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    this.zzm.zzc(obj, obj2, j2);
                    break;
                case 50:
                    int i5 = zzamd.zza;
                    zzanf.zzs(obj, j2, zzalk.zzb(zzanf.zzf(obj, j2), zzanf.zzf(obj2, j2)));
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                    if (zzR(obj2, i4, i2)) {
                        zzanf.zzs(obj, j2, zzanf.zzf(obj2, j2));
                        zzI(obj, i4, i2);
                        break;
                    } else {
                        break;
                    }
                case 60:
                    zzF(obj, obj2, i2);
                    break;
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                    if (zzR(obj2, i4, i2)) {
                        zzanf.zzs(obj, j2, zzanf.zzf(obj2, j2));
                        zzI(obj, i4, i2);
                        break;
                    } else {
                        break;
                    }
                case 68:
                    zzF(obj, obj2, i2);
                    break;
            }
        }
        zzamd.zzq(this.zzn, obj, obj2);
        if (this.zzh) {
            this.zzo.zza(obj2);
            throw null;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:40:0x0655 A[LOOP:2: B:38:0x0651->B:40:0x0655, LOOP_END] */
    /* JADX WARN: Removed duplicated region for block: B:43:0x0669  */
    /* JADX WARN: Removed duplicated region for block: B:48:0x061d A[Catch: all -> 0x0612, TryCatch #0 {all -> 0x0612, blocks: (B:17:0x05eb, B:46:0x0618, B:48:0x061d, B:49:0x0622), top: B:16:0x05eb }] */
    /* JADX WARN: Removed duplicated region for block: B:51:0x0628 A[SYNTHETIC] */
    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void zzh(java.lang.Object r18, com.google.android.gms.internal.p003firebaseauthapi.zzama r19, com.google.android.gms.internal.p003firebaseauthapi.zzajx r20) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 1788
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.p003firebaseauthapi.zzals.zzh(java.lang.Object, com.google.android.gms.internal.firebase-auth-api.zzama, com.google.android.gms.internal.firebase-auth-api.zzajx):void");
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final void zzi(Object obj, byte[] bArr, int i2, int i3, zzais zzaisVar) throws IOException {
        zzc(obj, bArr, i2, i3, 0, zzaisVar);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final boolean zzj(Object obj, Object obj2) {
        boolean zzs;
        for (int i2 = 0; i2 < this.zzc.length; i2 += 3) {
            int zzu = zzu(i2);
            long j2 = zzu & ErrorCode.ERR_UNKNOWN;
            switch (zzt(zzu)) {
                case 0:
                    if (zzL(obj, obj2, i2) && Double.doubleToLongBits(zzanf.zza(obj, j2)) == Double.doubleToLongBits(zzanf.zza(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 1:
                    if (zzL(obj, obj2, i2) && Float.floatToIntBits(zzanf.zzb(obj, j2)) == Float.floatToIntBits(zzanf.zzb(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 2:
                    if (zzL(obj, obj2, i2) && zzanf.zzd(obj, j2) == zzanf.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 3:
                    if (zzL(obj, obj2, i2) && zzanf.zzd(obj, j2) == zzanf.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 4:
                    if (zzL(obj, obj2, i2) && zzanf.zzc(obj, j2) == zzanf.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 5:
                    if (zzL(obj, obj2, i2) && zzanf.zzd(obj, j2) == zzanf.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 6:
                    if (zzL(obj, obj2, i2) && zzanf.zzc(obj, j2) == zzanf.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 7:
                    if (zzL(obj, obj2, i2) && zzanf.zzw(obj, j2) == zzanf.zzw(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 8:
                    if (zzL(obj, obj2, i2) && zzamd.zzs(zzanf.zzf(obj, j2), zzanf.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 9:
                    if (zzL(obj, obj2, i2) && zzamd.zzs(zzanf.zzf(obj, j2), zzanf.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 10:
                    if (zzL(obj, obj2, i2) && zzamd.zzs(zzanf.zzf(obj, j2), zzanf.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 11:
                    if (zzL(obj, obj2, i2) && zzanf.zzc(obj, j2) == zzanf.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 12:
                    if (zzL(obj, obj2, i2) && zzanf.zzc(obj, j2) == zzanf.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 13:
                    if (zzL(obj, obj2, i2) && zzanf.zzc(obj, j2) == zzanf.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 14:
                    if (zzL(obj, obj2, i2) && zzanf.zzd(obj, j2) == zzanf.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 15:
                    if (zzL(obj, obj2, i2) && zzanf.zzc(obj, j2) == zzanf.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 16:
                    if (zzL(obj, obj2, i2) && zzanf.zzd(obj, j2) == zzanf.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 17:
                    if (zzL(obj, obj2, i2) && zzamd.zzs(zzanf.zzf(obj, j2), zzanf.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    zzs = zzamd.zzs(zzanf.zzf(obj, j2), zzanf.zzf(obj2, j2));
                    break;
                case 50:
                    zzs = zzamd.zzs(zzanf.zzf(obj, j2), zzanf.zzf(obj2, j2));
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                case 60:
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                case 68:
                    long zzr = zzr(i2) & ErrorCode.ERR_UNKNOWN;
                    if (zzanf.zzc(obj, zzr) == zzanf.zzc(obj2, zzr) && zzamd.zzs(zzanf.zzf(obj, j2), zzanf.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                default:
            }
            if (!zzs) {
                return false;
            }
        }
        if (!this.zzn.zzd(obj).equals(this.zzn.zzd(obj2))) {
            return false;
        }
        if (!this.zzh) {
            return true;
        }
        this.zzo.zza(obj);
        this.zzo.zza(obj2);
        throw null;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final boolean zzk(Object obj) {
        int i2;
        int i3;
        int i4 = 0;
        int i5 = 0;
        int i6 = 1048575;
        while (i5 < this.zzk) {
            int[] iArr = this.zzj;
            int[] iArr2 = this.zzc;
            int i7 = iArr[i5];
            int i8 = iArr2[i7];
            int zzu = zzu(i7);
            int i9 = this.zzc[i7 + 2];
            int i10 = i9 & ErrorCode.ERR_UNKNOWN;
            int i11 = 1 << (i9 >>> 20);
            if (i10 != i6) {
                if (i10 != 1048575) {
                    i4 = zzb.getInt(obj, i10);
                }
                i3 = i4;
                i2 = i10;
            } else {
                i2 = i6;
                i3 = i4;
            }
            if ((268435456 & zzu) != 0 && !zzO(obj, i7, i2, i3, i11)) {
                return false;
            }
            int zzt = zzt(zzu);
            if (zzt != 9 && zzt != 17) {
                if (zzt != 27) {
                    if (zzt == 60 || zzt == 68) {
                        if (zzR(obj, i8, i7) && !zzP(obj, zzu, zzx(i7))) {
                            return false;
                        }
                    } else if (zzt != 49) {
                        if (zzt == 50 && !((zzalj) zzanf.zzf(obj, zzu & ErrorCode.ERR_UNKNOWN)).isEmpty()) {
                            throw null;
                        }
                    }
                }
                List list = (List) zzanf.zzf(obj, zzu & ErrorCode.ERR_UNKNOWN);
                if (list.isEmpty()) {
                    continue;
                } else {
                    zzamb zzx = zzx(i7);
                    for (int i12 = 0; i12 < list.size(); i12++) {
                        if (!zzx.zzk(list.get(i12))) {
                            return false;
                        }
                    }
                }
            } else if (zzO(obj, i7, i2, i3, i11) && !zzP(obj, zzu, zzx(i7))) {
                return false;
            }
            i5++;
            i6 = i2;
            i4 = i3;
        }
        if (!this.zzh) {
            return true;
        }
        this.zzo.zza(obj);
        throw null;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzamb
    public final void zzm(Object obj, zzajt zzajtVar) throws IOException {
        int i2;
        int i3;
        int i4;
        if (this.zzh) {
            this.zzo.zza(obj);
            throw null;
        }
        int[] iArr = this.zzc;
        Unsafe unsafe = zzb;
        int i5 = ErrorCode.ERR_UNKNOWN;
        int i6 = 1048575;
        int i7 = 0;
        int i8 = 0;
        while (i8 < iArr.length) {
            int zzu = zzu(i8);
            int[] iArr2 = this.zzc;
            int zzt = zzt(zzu);
            int i9 = iArr2[i8];
            if (zzt <= 17) {
                int i10 = iArr2[i8 + 2];
                int i11 = i10 & i5;
                if (i11 != i6) {
                    i7 = i11 == i5 ? 0 : unsafe.getInt(obj, i11);
                    i6 = i11;
                }
                i2 = i6;
                i3 = i7;
                i4 = 1 << (i10 >>> 20);
            } else {
                i2 = i6;
                i3 = i7;
                i4 = 0;
            }
            long j2 = zzu & i5;
            switch (zzt) {
                case 0:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzf(i9, zzanf.zza(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzo(i9, zzanf.zzb(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzt(i9, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzJ(i9, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzr(i9, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzm(i9, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzk(i9, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzb(i9, zzanf.zzw(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzT(i9, unsafe.getObject(obj, j2), zzajtVar);
                        break;
                    } else {
                        break;
                    }
                case 9:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzv(i9, unsafe.getObject(obj, j2), zzx(i8));
                        break;
                    } else {
                        break;
                    }
                case 10:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzd(i9, (zzajf) unsafe.getObject(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzH(i9, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzi(i9, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzw(i9, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzy(i9, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzA(i9, unsafe.getInt(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzC(i9, unsafe.getLong(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 17:
                    if (zzO(obj, i8, i2, i3, i4)) {
                        zzajtVar.zzq(i9, unsafe.getObject(obj, j2), zzx(i8));
                        break;
                    } else {
                        break;
                    }
                case 18:
                    zzamd.zzu(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 19:
                    zzamd.zzy(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 20:
                    zzamd.zzA(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 21:
                    zzamd.zzG(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 22:
                    zzamd.zzz(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 23:
                    zzamd.zzx(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 24:
                    zzamd.zzw(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 25:
                    zzamd.zzt(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 26:
                    int i12 = this.zzc[i8];
                    List list = (List) unsafe.getObject(obj, j2);
                    int i13 = zzamd.zza;
                    if (list != null && !list.isEmpty()) {
                        zzajtVar.zzG(i12, list);
                        break;
                    }
                    break;
                case 27:
                    int i14 = this.zzc[i8];
                    List list2 = (List) unsafe.getObject(obj, j2);
                    zzamb zzx = zzx(i8);
                    int i15 = zzamd.zza;
                    if (list2 != null && !list2.isEmpty()) {
                        for (int i16 = 0; i16 < list2.size(); i16++) {
                            zzajtVar.zzv(i14, list2.get(i16), zzx);
                        }
                        break;
                    }
                    break;
                case 28:
                    int i17 = this.zzc[i8];
                    List list3 = (List) unsafe.getObject(obj, j2);
                    int i18 = zzamd.zza;
                    if (list3 != null && !list3.isEmpty()) {
                        zzajtVar.zze(i17, list3);
                        break;
                    }
                    break;
                case 29:
                    zzamd.zzF(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 30:
                    zzamd.zzv(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 31:
                    zzamd.zzB(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 32:
                    zzamd.zzC(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 33:
                    zzamd.zzD(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 34:
                    zzamd.zzE(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, false);
                    break;
                case 35:
                    zzamd.zzu(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 36:
                    zzamd.zzy(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 37:
                    zzamd.zzA(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 38:
                    zzamd.zzG(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 39:
                    zzamd.zzz(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 40:
                    zzamd.zzx(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 41:
                    zzamd.zzw(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 42:
                    zzamd.zzt(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 43:
                    zzamd.zzF(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 44:
                    zzamd.zzv(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 45:
                    zzamd.zzB(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 46:
                    zzamd.zzC(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 47:
                    zzamd.zzD(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 48:
                    zzamd.zzE(this.zzc[i8], (List) unsafe.getObject(obj, j2), zzajtVar, true);
                    break;
                case 49:
                    int i19 = this.zzc[i8];
                    List list4 = (List) unsafe.getObject(obj, j2);
                    zzamb zzx2 = zzx(i8);
                    int i20 = zzamd.zza;
                    if (list4 != null && !list4.isEmpty()) {
                        for (int i21 = 0; i21 < list4.size(); i21++) {
                            zzajtVar.zzq(i19, list4.get(i21), zzx2);
                        }
                        break;
                    }
                    break;
                case 50:
                    if (unsafe.getObject(obj, j2) != null) {
                        throw null;
                    }
                    break;
                case 51:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzf(i9, zzn(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzo(i9, zzo(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzt(i9, zzv(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzJ(i9, zzv(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzr(i9, zzp(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzm(i9, zzv(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzk(i9, zzp(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzb(i9, zzS(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (zzR(obj, i9, i8)) {
                        zzT(i9, unsafe.getObject(obj, j2), zzajtVar);
                        break;
                    } else {
                        break;
                    }
                case 60:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzv(i9, unsafe.getObject(obj, j2), zzx(i8));
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzd(i9, (zzajf) unsafe.getObject(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzH(i9, zzp(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzi(i9, zzp(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzw(i9, zzp(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzy(i9, zzv(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzA(i9, zzp(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzC(i9, zzv(obj, j2));
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (zzR(obj, i9, i8)) {
                        zzajtVar.zzq(i9, unsafe.getObject(obj, j2), zzx(i8));
                        break;
                    } else {
                        break;
                    }
            }
            i8 += 3;
            i6 = i2;
            i7 = i3;
            i5 = ErrorCode.ERR_UNKNOWN;
        }
        zzamv zzamvVar = this.zzn;
        zzamvVar.zzr(zzamvVar.zzd(obj), zzajtVar);
    }
}
