package com.google.android.gms.internal.p003firebaseauthapi;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.security.GeneralSecurityException;
import java.security.InvalidKeyException;

/* compiled from: com.google.firebase:firebase-auth@@22.1.2 */
/* loaded from: classes2.dex */
abstract class zzib {
    int[] zza;
    private final int zzb;

    public zzib(byte[] bArr, int i2) throws InvalidKeyException {
        if (bArr.length != 32) {
            throw new InvalidKeyException("The key length in bytes must be 32.");
        }
        this.zza = zzhx.zzd(bArr);
        this.zzb = i2;
    }

    abstract int zza();

    abstract int[] zzb(int[] iArr, int i2);

    final ByteBuffer zzc(byte[] bArr, int i2) {
        int[] zzb = zzb(zzhx.zzd(bArr), i2);
        int[] iArr = (int[]) zzb.clone();
        zzhx.zzc(iArr);
        for (int i3 = 0; i3 < 16; i3++) {
            zzb[i3] = zzb[i3] + iArr[i3];
        }
        ByteBuffer order = ByteBuffer.allocate(64).order(ByteOrder.LITTLE_ENDIAN);
        order.asIntBuffer().put(zzb, 0, 16);
        return order;
    }

    public final byte[] zzd(byte[] bArr, ByteBuffer byteBuffer) throws GeneralSecurityException {
        ByteBuffer allocate = ByteBuffer.allocate(byteBuffer.remaining());
        if (bArr.length != zza()) {
            throw new GeneralSecurityException("The nonce length (in bytes) must be " + zza());
        }
        int remaining = byteBuffer.remaining();
        int i2 = remaining / 64;
        int i3 = 0;
        while (true) {
            int i4 = i2 + 1;
            if (i3 >= i4) {
                return allocate.array();
            }
            ByteBuffer zzc = zzc(bArr, this.zzb + i3);
            if (i3 == i4 - 1) {
                zzyf.zza(allocate, byteBuffer, zzc, remaining % 64);
            } else {
                zzyf.zza(allocate, byteBuffer, zzc, 64);
            }
            i3++;
        }
    }
}
