package com.google.android.gms.internal.p003firebaseauthapi;

import java.security.GeneralSecurityException;
import java.util.Arrays;

/* compiled from: com.google.firebase:firebase-auth@@22.1.2 */
/* loaded from: classes2.dex */
final class zzlk implements zzyh {
    private final String zza;
    private final int zzb;
    private zztg zzc;
    private zzsi zzd;
    private int zze;
    private zzts zzf;

    zzlk(zzwn zzwnVar) throws GeneralSecurityException {
        String zzg = zzwnVar.zzg();
        this.zza = zzg;
        if (zzg.equals(zzcu.zzb)) {
            try {
                zztj zze = zztj.zze(zzwnVar.zzf(), zzajx.zza());
                this.zzc = zztg.zzd(zzcq.zzb(zzwnVar).zze(), zzajx.zza());
                this.zzb = zze.zza();
                return;
            } catch (zzaks e2) {
                throw new GeneralSecurityException("invalid KeyFormat protobuf, expected AesGcmKeyFormat", e2);
            }
        }
        if (zzg.equals(zzcu.zza)) {
            try {
                zzsl zzc = zzsl.zzc(zzwnVar.zzf(), zzajx.zza());
                this.zzd = zzsi.zzd(zzcq.zzb(zzwnVar).zze(), zzajx.zza());
                this.zze = zzc.zzd().zza();
                this.zzb = this.zze + zzc.zze().zza();
                return;
            } catch (zzaks e3) {
                throw new GeneralSecurityException("invalid KeyFormat protobuf, expected AesCtrHmacAeadKeyFormat", e3);
            }
        }
        if (!zzg.equals(zzjc.zza)) {
            throw new GeneralSecurityException("unsupported AEAD DEM key type: ".concat(String.valueOf(zzg)));
        }
        try {
            zztv zze2 = zztv.zze(zzwnVar.zzf(), zzajx.zza());
            this.zzf = zzts.zzd(zzcq.zzb(zzwnVar).zze(), zzajx.zza());
            this.zzb = zze2.zza();
        } catch (zzaks e4) {
            throw new GeneralSecurityException("invalid KeyFormat protobuf, expected AesCtrHmacAeadKeyFormat", e4);
        }
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzyh
    public final int zza() {
        return this.zzb;
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzyh
    public final zzmg zzb(byte[] bArr) throws GeneralSecurityException {
        if (bArr.length != this.zzb) {
            throw new GeneralSecurityException("Symmetric key has incorrect length");
        }
        if (this.zza.equals(zzcu.zzb)) {
            zztf zzb = zztg.zzb();
            zzb.zzh(this.zzc);
            zzb.zza(zzajf.zzn(bArr, 0, this.zzb));
            return new zzmg((zzbd) zzcq.zze(this.zza, ((zztg) zzb.zzi()).zzo(), zzbd.class));
        }
        if (!this.zza.equals(zzcu.zza)) {
            if (!this.zza.equals(zzjc.zza)) {
                throw new GeneralSecurityException("unknown DEM key type");
            }
            zztr zzb2 = zzts.zzb();
            zzb2.zzh(this.zzf);
            zzb2.zza(zzajf.zzn(bArr, 0, this.zzb));
            return new zzmg((zzbj) zzcq.zze(this.zza, ((zzts) zzb2.zzi()).zzo(), zzbj.class));
        }
        byte[] copyOfRange = Arrays.copyOfRange(bArr, 0, this.zze);
        byte[] copyOfRange2 = Arrays.copyOfRange(bArr, this.zze, this.zzb);
        zzsn zzb3 = zzso.zzb();
        zzb3.zzh(this.zzd.zze());
        zzajf zzajfVar = zzajf.zzb;
        zzb3.zza(zzajf.zzn(copyOfRange, 0, copyOfRange.length));
        zzso zzsoVar = (zzso) zzb3.zzi();
        zzve zzb4 = zzvf.zzb();
        zzb4.zzh(this.zzd.zzf());
        zzb4.zza(zzajf.zzn(copyOfRange2, 0, copyOfRange2.length));
        zzvf zzvfVar = (zzvf) zzb4.zzi();
        zzsh zzb5 = zzsi.zzb();
        zzb5.zzc(this.zzd.zza());
        zzb5.zza(zzsoVar);
        zzb5.zzb(zzvfVar);
        return new zzmg((zzbd) zzcq.zze(this.zza, ((zzsi) zzb5.zzi()).zzo(), zzbd.class));
    }
}
