package com.google.android.gms.internal.p003firebaseauthapi;

import java.security.GeneralSecurityException;
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;

/* compiled from: com.google.firebase:firebase-auth@@22.1.2 */
/* loaded from: classes2.dex */
final class zzln implements zzls {
    private final String zza;

    zzln(String str) {
        this.zza = str;
    }

    private final byte[] zzf(byte[] bArr, byte[] bArr2, int i2) throws GeneralSecurityException {
        Mac mac = (Mac) zzyv.zzb.zza(this.zza);
        if (i2 > mac.getMacLength() * 255) {
            throw new GeneralSecurityException("size too large");
        }
        byte[] bArr3 = new byte[i2];
        mac.init(new SecretKeySpec(bArr, this.zza));
        byte[] bArr4 = new byte[0];
        int i3 = 1;
        int i4 = 0;
        while (true) {
            mac.update(bArr4);
            mac.update(bArr2);
            mac.update((byte) i3);
            bArr4 = mac.doFinal();
            int length = bArr4.length;
            int i5 = i4 + length;
            if (i5 >= i2) {
                System.arraycopy(bArr4, 0, bArr3, i4, i2 - i4);
                return bArr3;
            }
            System.arraycopy(bArr4, 0, bArr3, i4, length);
            i3++;
            i4 = i5;
        }
    }

    private final byte[] zzg(byte[] bArr, byte[] bArr2) throws GeneralSecurityException {
        Mac mac = (Mac) zzyv.zzb.zza(this.zza);
        if (bArr2 == null || bArr2.length == 0) {
            mac.init(new SecretKeySpec(new byte[mac.getMacLength()], this.zza));
        } else {
            mac.init(new SecretKeySpec(bArr2, this.zza));
        }
        return mac.doFinal(bArr);
    }

    final int zza() throws GeneralSecurityException {
        return Mac.getInstance(this.zza).getMacLength();
    }

    public final byte[] zzb(byte[] bArr, byte[] bArr2, String str, byte[] bArr3, String str2, byte[] bArr4, int i2) throws GeneralSecurityException {
        return zzf(zzg(zzmb.zzf("eae_prk", bArr2, bArr4), null), zzmb.zzg("shared_secret", bArr3, bArr4, i2), i2);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzls
    public final byte[] zzd(byte[] bArr, byte[] bArr2, String str, byte[] bArr3, int i2) throws GeneralSecurityException {
        return zzf(bArr, zzmb.zzg(str, bArr2, bArr3, i2), i2);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzls
    public final byte[] zze(byte[] bArr, byte[] bArr2, String str, byte[] bArr3) throws GeneralSecurityException {
        return zzg(zzmb.zzf(str, bArr2, bArr3), bArr);
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzls
    public final byte[] zzc() throws GeneralSecurityException {
        char c2;
        String str = this.zza;
        int hashCode = str.hashCode();
        if (hashCode == 984523022) {
            if (str.equals("HmacSha256")) {
                c2 = 0;
            }
            c2 = 65535;
        } else if (hashCode != 984524074) {
            if (hashCode == 984525777 && str.equals("HmacSha512")) {
                c2 = 2;
            }
            c2 = 65535;
        } else {
            if (str.equals("HmacSha384")) {
                c2 = 1;
            }
            c2 = 65535;
        }
        if (c2 == 0) {
            return zzmb.zzg;
        }
        if (c2 == 1) {
            return zzmb.zzh;
        }
        if (c2 == 2) {
            return zzmb.zzi;
        }
        throw new GeneralSecurityException("Could not determine HPKE KDF ID");
    }
}
