package com.google.android.gms.internal.p003firebaseauthapi;

import java.security.GeneralSecurityException;
import java.security.InvalidAlgorithmParameterException;
import java.util.Arrays;
import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.spec.SecretKeySpec;

/* compiled from: com.google.firebase:firebase-auth@@22.1.2 */
/* loaded from: classes2.dex */
public final class zzzg implements zzrw {
    private final SecretKey zza;
    private final byte[] zzb;
    private final byte[] zzc;

    public zzzg(byte[] bArr) throws GeneralSecurityException {
        zzzl.zzb(bArr.length);
        SecretKeySpec secretKeySpec = new SecretKeySpec(bArr, "AES");
        this.zza = secretKeySpec;
        Cipher zzb = zzb();
        zzb.init(1, secretKeySpec);
        byte[] zzb2 = zzrd.zzb(zzb.doFinal(new byte[16]));
        this.zzb = zzb2;
        this.zzc = zzrd.zzb(zzb2);
    }

    private static Cipher zzb() throws GeneralSecurityException {
        if (zzij.zza(1)) {
            return (Cipher) zzyv.zza.zza("AES/ECB/NoPadding");
        }
        throw new GeneralSecurityException("Can not use AES-CMAC in FIPS-mode.");
    }

    @Override // com.google.android.gms.internal.p003firebaseauthapi.zzrw
    public final byte[] zza(byte[] bArr, int i2) throws GeneralSecurityException {
        if (i2 > 16) {
            throw new InvalidAlgorithmParameterException("outputLength too large, max is 16 bytes");
        }
        SecretKey secretKey = this.zza;
        Cipher zzb = zzb();
        zzb.init(1, secretKey);
        int length = bArr.length;
        int max = Math.max(1, (int) Math.ceil(length / 16.0d));
        int i3 = max - 1;
        int i4 = i3 * 16;
        byte[] zzd = max * 16 == length ? zzyf.zzd(bArr, i4, this.zzb, 0, 16) : zzyf.zzc(zzrd.zza(Arrays.copyOfRange(bArr, i4, length)), this.zzc);
        byte[] bArr2 = new byte[16];
        for (int i5 = 0; i5 < i3; i5++) {
            bArr2 = zzb.doFinal(zzyf.zzd(bArr2, 0, bArr, i5 * 16, 16));
        }
        return Arrays.copyOf(zzb.doFinal(zzyf.zzc(zzd, bArr2)), i2);
    }
}
