package com.google.android.gms.internal.places;

import java.io.IOException;
import java.util.Iterator;
import java.util.Map;

/* loaded from: classes2.dex */
final class zzcq<T> implements zzda<T> {
    private final zzck zzkw;
    private final boolean zzkx;
    private final zzds<?, ?> zzlg;
    private final zzar<?> zzlh;

    private zzcq(zzds<?, ?> zzdsVar, zzar<?> zzarVar, zzck zzckVar) {
        this.zzlg = zzdsVar;
        this.zzkx = zzarVar.zzf(zzckVar);
        this.zzlh = zzarVar;
        this.zzkw = zzckVar;
    }

    static <T> zzcq<T> zzb(zzds<?, ?> zzdsVar, zzar<?> zzarVar, zzck zzckVar) {
        return new zzcq<>(zzdsVar, zzarVar, zzckVar);
    }

    @Override // com.google.android.gms.internal.places.zzda
    public final T newInstance() {
        return (T) this.zzkw.zzbl().zzbe();
    }

    @Override // com.google.android.gms.internal.places.zzda
    public final boolean equals(T t, T t2) {
        if (!this.zzlg.zzr(t).equals(this.zzlg.zzr(t2))) {
            return false;
        }
        if (this.zzkx) {
            return this.zzlh.zzb(t).equals(this.zzlh.zzb(t2));
        }
        return true;
    }

    @Override // com.google.android.gms.internal.places.zzda
    public final int hashCode(T t) {
        int hashCode = this.zzlg.zzr(t).hashCode();
        return this.zzkx ? (hashCode * 53) + this.zzlh.zzb(t).hashCode() : hashCode;
    }

    @Override // com.google.android.gms.internal.places.zzda
    public final void zzd(T t, T t2) {
        zzdc.zzb(this.zzlg, t, t2);
        if (this.zzkx) {
            zzdc.zzb(this.zzlh, t, t2);
        }
    }

    @Override // com.google.android.gms.internal.places.zzda
    public final void zzb(T t, zzel zzelVar) throws IOException {
        Iterator<Map.Entry<?, Object>> it2 = this.zzlh.zzb(t).iterator();
        while (it2.hasNext()) {
            Map.Entry<?, Object> next = it2.next();
            zzax zzaxVar = (zzax) next.getKey();
            if (zzaxVar.zzay() != zzem.MESSAGE || zzaxVar.zzaz() || zzaxVar.zzba()) {
                throw new IllegalStateException("Found invalid MessageSet item.");
            }
            if (next instanceof zzbn) {
                zzelVar.zzb(zzaxVar.zzaw(), (Object) ((zzbn) next).zzbx().zzv());
            } else {
                zzelVar.zzb(zzaxVar.zzaw(), next.getValue());
            }
        }
        zzds<?, ?> zzdsVar = this.zzlg;
        zzdsVar.zzd(zzdsVar.zzr(t), zzelVar);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:22:0x0094  */
    /* JADX WARN: Removed duplicated region for block: B:24:0x0099 A[EDGE_INSN: B:24:0x0099->B:25:0x0099 BREAK  A[LOOP:1: B:10:0x0053->B:18:0x0053], SYNTHETIC] */
    @Override // com.google.android.gms.internal.places.zzda
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void zzb(T r10, byte[] r11, int r12, int r13, com.google.android.gms.internal.places.zzr r14) throws java.io.IOException {
        /*
            r9 = this;
            r0 = r10
            com.google.android.gms.internal.places.zzbc r0 = (com.google.android.gms.internal.places.zzbc) r0
            com.google.android.gms.internal.places.zzdr r1 = r0.zzih
            com.google.android.gms.internal.places.zzdr r2 = com.google.android.gms.internal.places.zzdr.zzdh()
            if (r1 != r2) goto L11
            com.google.android.gms.internal.places.zzdr r1 = com.google.android.gms.internal.places.zzdr.zzdi()
            r0.zzih = r1
        L11:
            com.google.android.gms.internal.places.zzbc$zzc r10 = (com.google.android.gms.internal.places.zzbc.zzc) r10
            r10.zzbm()
            r10 = 0
            r0 = r10
        L18:
            if (r12 >= r13) goto La4
            int r4 = com.google.android.gms.internal.places.zzs.zzb(r11, r12, r14)
            int r2 = r14.zzdz
            r12 = 11
            r3 = 2
            if (r2 == r12) goto L51
            r12 = r2 & 7
            if (r12 != r3) goto L4c
            com.google.android.gms.internal.places.zzar<?> r12 = r9.zzlh
            com.google.android.gms.internal.places.zzap r0 = r14.zzec
            com.google.android.gms.internal.places.zzck r3 = r9.zzkw
            int r5 = r2 >>> 3
            java.lang.Object r12 = r12.zzb(r0, r3, r5)
            r0 = r12
            com.google.android.gms.internal.places.zzbc$zzf r0 = (com.google.android.gms.internal.places.zzbc.zzf) r0
            if (r0 != 0) goto L43
            r3 = r11
            r5 = r13
            r6 = r1
            r7 = r14
            int r12 = com.google.android.gms.internal.places.zzs.zzb(r2, r3, r4, r5, r6, r7)
            goto L18
        L43:
            com.google.android.gms.internal.places.zzcv.zzcq()
            java.lang.NoSuchMethodError r10 = new java.lang.NoSuchMethodError
            r10.<init>()
            throw r10
        L4c:
            int r12 = com.google.android.gms.internal.places.zzs.zzb(r2, r11, r4, r13, r14)
            goto L18
        L51:
            r12 = 0
            r2 = r10
        L53:
            if (r4 >= r13) goto L99
            int r4 = com.google.android.gms.internal.places.zzs.zzb(r11, r4, r14)
            int r5 = r14.zzdz
            int r6 = r5 >>> 3
            r7 = r5 & 7
            if (r6 == r3) goto L7b
            r8 = 3
            if (r6 == r8) goto L65
            goto L90
        L65:
            if (r0 != 0) goto L72
            if (r7 != r3) goto L90
            int r4 = com.google.android.gms.internal.places.zzs.zzf(r11, r4, r14)
            java.lang.Object r2 = r14.zzeb
            com.google.android.gms.internal.places.zzw r2 = (com.google.android.gms.internal.places.zzw) r2
            goto L53
        L72:
            com.google.android.gms.internal.places.zzcv.zzcq()
            java.lang.NoSuchMethodError r10 = new java.lang.NoSuchMethodError
            r10.<init>()
            throw r10
        L7b:
            if (r7 != 0) goto L90
            int r4 = com.google.android.gms.internal.places.zzs.zzb(r11, r4, r14)
            int r12 = r14.zzdz
            com.google.android.gms.internal.places.zzar<?> r0 = r9.zzlh
            com.google.android.gms.internal.places.zzap r5 = r14.zzec
            com.google.android.gms.internal.places.zzck r6 = r9.zzkw
            java.lang.Object r0 = r0.zzb(r5, r6, r12)
            com.google.android.gms.internal.places.zzbc$zzf r0 = (com.google.android.gms.internal.places.zzbc.zzf) r0
            goto L53
        L90:
            r6 = 12
            if (r5 == r6) goto L99
            int r4 = com.google.android.gms.internal.places.zzs.zzb(r5, r11, r4, r13, r14)
            goto L53
        L99:
            if (r2 == 0) goto La1
            int r12 = r12 << 3
            r12 = r12 | r3
            r1.zzc(r12, r2)
        La1:
            r12 = r4
            goto L18
        La4:
            if (r12 != r13) goto La7
            return
        La7:
            com.google.android.gms.internal.places.zzbk r10 = com.google.android.gms.internal.places.zzbk.zzbt()
            throw r10
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.gms.internal.places.zzcq.zzb(java.lang.Object, byte[], int, int, com.google.android.gms.internal.places.zzr):void");
    }

    @Override // com.google.android.gms.internal.places.zzda
    public final void zzd(T t) {
        this.zzlg.zzd(t);
        this.zzlh.zzd(t);
    }

    @Override // com.google.android.gms.internal.places.zzda
    public final boolean zzp(T t) {
        return this.zzlh.zzb(t).isInitialized();
    }

    @Override // com.google.android.gms.internal.places.zzda
    public final int zzn(T t) {
        zzds<?, ?> zzdsVar = this.zzlg;
        int zzs = zzdsVar.zzs(zzdsVar.zzr(t)) + 0;
        return this.zzkx ? zzs + this.zzlh.zzb(t).zzav() : zzs;
    }
}
