package com.google.android.gms.location.places;

import com.google.android.gms.common.api.CommonStatusCodes;
import com.google.android.gms.common.api.Status;
import com.google.android.gms.common.internal.Preconditions;

@Deprecated
/* loaded from: classes2.dex */
public class PlacesStatusCodes extends CommonStatusCodes {
    public static final int ACCESS_NOT_CONFIGURED = 9003;
    public static final int DEVICE_RATE_LIMIT_EXCEEDED = 9006;
    public static final int INVALID_APP = 9008;
    public static final int INVALID_ARGUMENT = 9004;
    public static final int KEY_EXPIRED = 9007;
    public static final int KEY_INVALID = 9002;
    public static final int RATE_LIMIT_EXCEEDED = 9005;
    public static final int USAGE_LIMIT_EXCEEDED = 9001;

    public static String getStatusCodeString(int i2) {
        if (i2 == 9051) {
            return "PLACE_ALIAS_NOT_FOUND";
        }
        if (i2 == 9150) {
            return "PLACEFENCING_NOT_AVAILABLE";
        }
        if (i2 == 9101) {
            return "PLACE_PROXIMITY_UNKNOWN";
        }
        if (i2 == 9102) {
            return "NEARBY_ALERTS_NOT_AVAILABLE";
        }
        if (i2 == 9201) {
            return "PLACES_API_PERSONALIZED_DATA_ACCESS_APPROVED";
        }
        if (i2 == 9202) {
            return "PLACES_API_PERSONALIZED_DATA_ACCESS_REJECTED";
        }
        switch (i2) {
            case 9000:
                return "PLACES_API_QUOTA_FAILED";
            case USAGE_LIMIT_EXCEEDED /* 9001 */:
                return "PLACES_API_USAGE_LIMIT_EXCEEDED";
            case KEY_INVALID /* 9002 */:
                return "PLACES_API_KEY_INVALID";
            case ACCESS_NOT_CONFIGURED /* 9003 */:
                return "PLACES_API_ACCESS_NOT_CONFIGURED";
            case INVALID_ARGUMENT /* 9004 */:
                return "PLACES_API_INVALID_ARGUMENT";
            case RATE_LIMIT_EXCEEDED /* 9005 */:
                return "PLACES_API_RATE_LIMIT_EXCEEDED";
            case DEVICE_RATE_LIMIT_EXCEEDED /* 9006 */:
                return "PLACES_API_DEVICE_RATE_LIMIT_EXCEEDED";
            case KEY_EXPIRED /* 9007 */:
                return "PLACES_API_KEY_EXPIRED";
            case INVALID_APP /* 9008 */:
                return "PLACES_API_INVALID_APP";
            case 9009:
                return "INSUFFICIENT_LOCATION_PERMISSION_FOR_BACKGROUND_PLACES";
            default:
                return CommonStatusCodes.getStatusCodeString(i2);
        }
    }

    private PlacesStatusCodes() {
    }

    public static Status zzb(int i2) {
        String statusCodeString = getStatusCodeString(i2);
        Preconditions.checkNotNull(statusCodeString);
        return new Status(i2, statusCodeString);
    }
}
