package com.google.android.material.color;

/* loaded from: classes2.dex */
final class MathUtils {
    public static float lerp(float f2, float f3, float f4) {
        return ((1.0f - f4) * f2) + (f4 * f3);
    }

    public static float sanitizeDegrees(float f2) {
        return f2 < 0.0f ? (f2 % 360.0f) + 360.0f : f2 >= 360.0f ? f2 % 360.0f : f2;
    }

    static float toDegrees(float f2) {
        return (f2 * 180.0f) / 3.1415927f;
    }

    static float toRadians(float f2) {
        return (f2 / 180.0f) * 3.1415927f;
    }

    private MathUtils() {
    }

    static float clamp(float f2, float f3, float f4) {
        return Math.min(Math.max(f4, f2), f3);
    }

    public static float differenceDegrees(float f2, float f3) {
        return 180.0f - Math.abs(Math.abs(f2 - f3) - 180.0f);
    }

    public static int sanitizeDegrees(int i2) {
        if (i2 < 0) {
            return (i2 % 360) + 360;
        }
        return i2 >= 360 ? i2 % 360 : i2;
    }
}
