package com.google.android.play.integrity.internal;

import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Handler;
import android.os.HandlerThread;
import android.os.IBinder;
import android.os.IInterface;
import android.os.RemoteException;
import com.google.android.gms.tasks.OnCompleteListener;
import com.google.android.gms.tasks.Task;
import com.google.android.gms.tasks.TaskCompletionSource;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.atomic.AtomicInteger;

/* compiled from: com.google.android.play:integrity@@1.1.0 */
/* loaded from: classes2.dex */
public final class v {

    /* renamed from: a, reason: collision with root package name */
    private static final Map f3289a = new HashMap();

    /* renamed from: b, reason: collision with root package name */
    private final Context f3290b;

    /* renamed from: c, reason: collision with root package name */
    private final k f3291c;

    /* renamed from: h, reason: collision with root package name */
    private boolean f3296h;

    /* renamed from: i, reason: collision with root package name */
    private final Intent f3297i;
    private ServiceConnection m;
    private IInterface n;
    private final com.google.android.play.core.integrity.q o;

    /* renamed from: e, reason: collision with root package name */
    private final List f3293e = new ArrayList();

    /* renamed from: f, reason: collision with root package name */
    private final Set f3294f = new HashSet();

    /* renamed from: g, reason: collision with root package name */
    private final Object f3295g = new Object();
    private final IBinder.DeathRecipient k = new IBinder.DeathRecipient() { // from class: com.google.android.play.integrity.internal.n
        @Override // android.os.IBinder.DeathRecipient
        public final void binderDied() {
            v.h(v.this);
        }
    };
    private final AtomicInteger l = new AtomicInteger(0);

    /* renamed from: d, reason: collision with root package name */
    private final String f3292d = "IntegrityService";

    /* renamed from: j, reason: collision with root package name */
    private final WeakReference f3298j = new WeakReference(null);

    public v(Context context, k kVar, String str, Intent intent, com.google.android.play.core.integrity.q qVar, q qVar2, byte[] bArr) {
        this.f3290b = context;
        this.f3291c = kVar;
        this.f3297i = intent;
        this.o = qVar;
    }

    public static /* synthetic */ void h(v vVar) {
        vVar.f3291c.d("reportBinderDeath", new Object[0]);
        q qVar = (q) vVar.f3298j.get();
        if (qVar != null) {
            vVar.f3291c.d("calling onBinderDied", new Object[0]);
            qVar.a();
        } else {
            vVar.f3291c.d("%s : Binder has died.", vVar.f3292d);
            Iterator it2 = vVar.f3293e.iterator();
            while (it2.hasNext()) {
                ((l) it2.next()).a(vVar.s());
            }
            vVar.f3293e.clear();
        }
        vVar.t();
    }

    static /* bridge */ /* synthetic */ void n(v vVar) {
        vVar.f3291c.d("linkToDeath", new Object[0]);
        try {
            vVar.n.asBinder().linkToDeath(vVar.k, 0);
        } catch (RemoteException e2) {
            vVar.f3291c.c(e2, "linkToDeath failed", new Object[0]);
        }
    }

    static /* bridge */ /* synthetic */ void o(v vVar) {
        vVar.f3291c.d("unlinkToDeath", new Object[0]);
        vVar.n.asBinder().unlinkToDeath(vVar.k, 0);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public final void t() {
        synchronized (this.f3295g) {
            Iterator it2 = this.f3294f.iterator();
            while (it2.hasNext()) {
                ((TaskCompletionSource) it2.next()).trySetException(s());
            }
            this.f3294f.clear();
        }
    }

    public final Handler c() {
        Handler handler;
        Map map = f3289a;
        synchronized (map) {
            if (!map.containsKey(this.f3292d)) {
                HandlerThread handlerThread = new HandlerThread(this.f3292d, 10);
                handlerThread.start();
                map.put(this.f3292d, new Handler(handlerThread.getLooper()));
            }
            handler = (Handler) map.get(this.f3292d);
        }
        return handler;
    }

    public final IInterface e() {
        return this.n;
    }

    public final void p(l lVar, final TaskCompletionSource taskCompletionSource) {
        synchronized (this.f3295g) {
            this.f3294f.add(taskCompletionSource);
            taskCompletionSource.getTask().addOnCompleteListener(new OnCompleteListener() { // from class: com.google.android.play.integrity.internal.m
                @Override // com.google.android.gms.tasks.OnCompleteListener
                public final void onComplete(Task task) {
                    v.this.q(taskCompletionSource, task);
                }
            });
        }
        synchronized (this.f3295g) {
            if (this.l.getAndIncrement() > 0) {
                this.f3291c.a("Already connected to the service.", new Object[0]);
            }
        }
        c().post(new o(this, lVar.c(), lVar));
    }

    final /* synthetic */ void q(TaskCompletionSource taskCompletionSource, Task task) {
        synchronized (this.f3295g) {
            this.f3294f.remove(taskCompletionSource);
        }
    }

    public final void r(TaskCompletionSource taskCompletionSource) {
        synchronized (this.f3295g) {
            this.f3294f.remove(taskCompletionSource);
        }
        synchronized (this.f3295g) {
            if (this.l.get() > 0 && this.l.decrementAndGet() > 0) {
                this.f3291c.d("Leaving the connection open for other ongoing calls.", new Object[0]);
            } else {
                c().post(new p(this));
            }
        }
    }

    private final RemoteException s() {
        return new RemoteException(String.valueOf(this.f3292d).concat(" : Binder has died."));
    }

    static /* bridge */ /* synthetic */ void m(v vVar, l lVar) {
        if (vVar.n != null || vVar.f3296h) {
            if (!vVar.f3296h) {
                lVar.run();
                return;
            } else {
                vVar.f3291c.d("Waiting to bind to the service.", new Object[0]);
                vVar.f3293e.add(lVar);
                return;
            }
        }
        vVar.f3291c.d("Initiate binding to the service.", new Object[0]);
        vVar.f3293e.add(lVar);
        u uVar = new u(vVar, null);
        vVar.m = uVar;
        vVar.f3296h = true;
        if (vVar.f3290b.bindService(vVar.f3297i, uVar, 1)) {
            return;
        }
        vVar.f3291c.d("Failed to bind to the service.", new Object[0]);
        vVar.f3296h = false;
        Iterator it2 = vVar.f3293e.iterator();
        while (it2.hasNext()) {
            ((l) it2.next()).a(new w());
        }
        vVar.f3293e.clear();
    }
}
