package com.google.android.recaptcha.internal;

import java.util.Iterator;
import java.util.Map;

/* compiled from: com.google.android.recaptcha:recaptcha@@18.1.2 */
/* loaded from: classes2.dex */
final class zzge {
    private static final zzge zzb = new zzge(true);
    final zziy zza = new zzio(16);
    private boolean zzc;
    private boolean zzd;

    private zzge() {
    }

    public static int zza(zzgd zzgdVar, Object obj) {
        int zzd;
        int zzy;
        zzjv zzd2 = zzgdVar.zzd();
        int zza = zzgdVar.zza();
        zzgdVar.zzg();
        int i2 = zzfk.zzb;
        int zzy2 = zzfk.zzy(zza << 3);
        if (zzd2 == zzjv.GROUP) {
            zzhy zzhyVar = (zzhy) obj;
            byte[] bArr = zzgw.zzd;
            if (zzhyVar instanceof zzej) {
                throw null;
            }
            zzy2 += zzy2;
        }
        zzjw zzjwVar = zzjw.INT;
        int i3 = 4;
        switch (zzd2) {
            case DOUBLE:
                ((Double) obj).doubleValue();
                i3 = 8;
                return zzy2 + i3;
            case FLOAT:
                ((Float) obj).floatValue();
                return zzy2 + i3;
            case INT64:
                i3 = zzfk.zzz(((Long) obj).longValue());
                return zzy2 + i3;
            case UINT64:
                i3 = zzfk.zzz(((Long) obj).longValue());
                return zzy2 + i3;
            case INT32:
                i3 = zzfk.zzu(((Integer) obj).intValue());
                return zzy2 + i3;
            case FIXED64:
                ((Long) obj).longValue();
                i3 = 8;
                return zzy2 + i3;
            case FIXED32:
                ((Integer) obj).intValue();
                return zzy2 + i3;
            case BOOL:
                ((Boolean) obj).booleanValue();
                i3 = 1;
                return zzy2 + i3;
            case STRING:
                if (!(obj instanceof zzez)) {
                    i3 = zzfk.zzx((String) obj);
                    return zzy2 + i3;
                }
                zzd = ((zzez) obj).zzd();
                zzy = zzfk.zzy(zzd);
                i3 = zzy + zzd;
                return zzy2 + i3;
            case GROUP:
                i3 = ((zzhy) obj).zzn();
                return zzy2 + i3;
            case MESSAGE:
                if (!(obj instanceof zzhd)) {
                    i3 = zzfk.zzv((zzhy) obj);
                    return zzy2 + i3;
                }
                zzd = ((zzhd) obj).zza();
                zzy = zzfk.zzy(zzd);
                i3 = zzy + zzd;
                return zzy2 + i3;
            case BYTES:
                if (obj instanceof zzez) {
                    zzd = ((zzez) obj).zzd();
                    zzy = zzfk.zzy(zzd);
                } else {
                    zzd = ((byte[]) obj).length;
                    zzy = zzfk.zzy(zzd);
                }
                i3 = zzy + zzd;
                return zzy2 + i3;
            case UINT32:
                i3 = zzfk.zzy(((Integer) obj).intValue());
                return zzy2 + i3;
            case ENUM:
                i3 = obj instanceof zzgq ? zzfk.zzu(((zzgq) obj).zza()) : zzfk.zzu(((Integer) obj).intValue());
                return zzy2 + i3;
            case SFIXED32:
                ((Integer) obj).intValue();
                return zzy2 + i3;
            case SFIXED64:
                ((Long) obj).longValue();
                i3 = 8;
                return zzy2 + i3;
            case SINT32:
                int intValue = ((Integer) obj).intValue();
                i3 = zzfk.zzy((intValue >> 31) ^ (intValue + intValue));
                return zzy2 + i3;
            case SINT64:
                long longValue = ((Long) obj).longValue();
                i3 = zzfk.zzz((longValue >> 63) ^ (longValue + longValue));
                return zzy2 + i3;
            default:
                throw new RuntimeException("There is no way to get here, but the compiler thinks otherwise.");
        }
    }

    public static zzge zzd() {
        return zzb;
    }

    private static Object zzl(Object obj) {
        if (obj instanceof zzid) {
            return ((zzid) obj).zzd();
        }
        if (!(obj instanceof byte[])) {
            return obj;
        }
        byte[] bArr = (byte[]) obj;
        int length = bArr.length;
        byte[] bArr2 = new byte[length];
        System.arraycopy(bArr, 0, bArr2, 0, length);
        return bArr2;
    }

    private final void zzm(Map.Entry entry) {
        zzhy zzj;
        zzgd zzgdVar = (zzgd) entry.getKey();
        Object value = entry.getValue();
        if (value instanceof zzhd) {
            throw null;
        }
        zzgdVar.zzg();
        if (zzgdVar.zze() != zzjw.MESSAGE) {
            this.zza.put(zzgdVar, zzl(value));
            return;
        }
        Object zze = zze(zzgdVar);
        if (zze == null) {
            this.zza.put(zzgdVar, zzl(value));
            return;
        }
        if (zze instanceof zzid) {
            zzj = zzgdVar.zzc((zzid) zze, (zzid) value);
        } else {
            zzhx zzW = ((zzhy) zze).zzW();
            zzgdVar.zzb(zzW, (zzhy) value);
            zzj = zzW.zzj();
        }
        this.zza.put(zzgdVar, zzj);
    }

    private static boolean zzn(Map.Entry entry) {
        zzgd zzgdVar = (zzgd) entry.getKey();
        if (zzgdVar.zze() != zzjw.MESSAGE) {
            return true;
        }
        zzgdVar.zzg();
        Object value = entry.getValue();
        if (value instanceof zzhz) {
            return ((zzhz) value).zzo();
        }
        if (value instanceof zzhd) {
            return true;
        }
        throw new IllegalArgumentException("Wrong object type used with protocol message reflection.");
    }

    private static final int zzo(Map.Entry entry) {
        zzgd zzgdVar = (zzgd) entry.getKey();
        Object value = entry.getValue();
        if (zzgdVar.zze() != zzjw.MESSAGE) {
            return zza(zzgdVar, value);
        }
        zzgdVar.zzg();
        zzgdVar.zzf();
        if (!(value instanceof zzhd)) {
            int zzy = zzfk.zzy(((zzgd) entry.getKey()).zza());
            int zzy2 = zzfk.zzy(24) + zzfk.zzv((zzhy) value);
            int zzy3 = zzfk.zzy(16);
            int zzy4 = zzfk.zzy(8);
            return zzy4 + zzy4 + zzy3 + zzy + zzy2;
        }
        int zzy5 = zzfk.zzy(((zzgd) entry.getKey()).zza());
        int zza = ((zzhd) value).zza();
        int zzy6 = zzfk.zzy(zza) + zza;
        int zzy7 = zzfk.zzy(24);
        int zzy8 = zzfk.zzy(16);
        int zzy9 = zzfk.zzy(8);
        return zzy9 + zzy9 + zzy8 + zzy5 + zzy7 + zzy6;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj instanceof zzge) {
            return this.zza.equals(((zzge) obj).zza);
        }
        return false;
    }

    public final int hashCode() {
        return this.zza.hashCode();
    }

    public final int zzb() {
        int i2 = 0;
        for (int i3 = 0; i3 < this.zza.zzb(); i3++) {
            i2 += zzo(this.zza.zzg(i3));
        }
        Iterator it2 = this.zza.zzc().iterator();
        while (it2.hasNext()) {
            i2 += zzo((Map.Entry) it2.next());
        }
        return i2;
    }

    /* renamed from: zzc, reason: merged with bridge method [inline-methods] */
    public final zzge clone() {
        zzge zzgeVar = new zzge();
        for (int i2 = 0; i2 < this.zza.zzb(); i2++) {
            Map.Entry zzg = this.zza.zzg(i2);
            zzgeVar.zzi((zzgd) zzg.getKey(), zzg.getValue());
        }
        for (Map.Entry entry : this.zza.zzc()) {
            zzgeVar.zzi((zzgd) entry.getKey(), entry.getValue());
        }
        zzgeVar.zzd = this.zzd;
        return zzgeVar;
    }

    public final Object zze(zzgd zzgdVar) {
        Object obj = this.zza.get(zzgdVar);
        if (!(obj instanceof zzhd)) {
            return obj;
        }
        throw null;
    }

    public final Iterator zzf() {
        return this.zzd ? new zzhc(this.zza.entrySet().iterator()) : this.zza.entrySet().iterator();
    }

    public final void zzg() {
        if (this.zzc) {
            return;
        }
        for (int i2 = 0; i2 < this.zza.zzb(); i2++) {
            Map.Entry zzg = this.zza.zzg(i2);
            if (zzg.getValue() instanceof zzgo) {
                ((zzgo) zzg.getValue()).zzA();
            }
        }
        this.zza.zza();
        this.zzc = true;
    }

    public final void zzh(zzge zzgeVar) {
        for (int i2 = 0; i2 < zzgeVar.zza.zzb(); i2++) {
            zzm(zzgeVar.zza.zzg(i2));
        }
        Iterator it2 = zzgeVar.zza.zzc().iterator();
        while (it2.hasNext()) {
            zzm((Map.Entry) it2.next());
        }
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Code restructure failed: missing block: B:16:0x002c, code lost:
    
        if ((r7 instanceof com.google.android.recaptcha.internal.zzgq) == false) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x0035, code lost:
    
        if ((r7 instanceof byte[]) == false) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:0x0049, code lost:
    
        if (r0 == false) goto L32;
     */
    /* JADX WARN: Code restructure failed: missing block: B:6:0x0023, code lost:
    
        if ((r7 instanceof com.google.android.recaptcha.internal.zzhd) == false) goto L32;
     */
    /* JADX WARN: Removed duplicated region for block: B:9:0x004f  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void zzi(com.google.android.recaptcha.internal.zzgd r6, java.lang.Object r7) {
        /*
            r5 = this;
            r6.zzg()
            com.google.android.recaptcha.internal.zzjv r0 = r6.zzd()
            byte[] r1 = com.google.android.recaptcha.internal.zzgw.zzd
            r7.getClass()
            com.google.android.recaptcha.internal.zzjv r1 = com.google.android.recaptcha.internal.zzjv.DOUBLE
            com.google.android.recaptcha.internal.zzjw r1 = com.google.android.recaptcha.internal.zzjw.INT
            com.google.android.recaptcha.internal.zzjw r0 = r0.zza()
            int r0 = r0.ordinal()
            r1 = 1
            switch(r0) {
                case 0: goto L47;
                case 1: goto L44;
                case 2: goto L41;
                case 3: goto L3e;
                case 4: goto L3b;
                case 5: goto L38;
                case 6: goto L2f;
                case 7: goto L26;
                case 8: goto L1d;
                default: goto L1c;
            }
        L1c:
            goto L57
        L1d:
            boolean r0 = r7 instanceof com.google.android.recaptcha.internal.zzhy
            if (r0 != 0) goto L4b
            boolean r0 = r7 instanceof com.google.android.recaptcha.internal.zzhd
            if (r0 == 0) goto L57
            goto L4b
        L26:
            boolean r0 = r7 instanceof java.lang.Integer
            if (r0 != 0) goto L4b
            boolean r0 = r7 instanceof com.google.android.recaptcha.internal.zzgq
            if (r0 == 0) goto L57
            goto L4b
        L2f:
            boolean r0 = r7 instanceof com.google.android.recaptcha.internal.zzez
            if (r0 != 0) goto L4b
            boolean r0 = r7 instanceof byte[]
            if (r0 == 0) goto L57
            goto L4b
        L38:
            boolean r0 = r7 instanceof java.lang.String
            goto L49
        L3b:
            boolean r0 = r7 instanceof java.lang.Boolean
            goto L49
        L3e:
            boolean r0 = r7 instanceof java.lang.Double
            goto L49
        L41:
            boolean r0 = r7 instanceof java.lang.Float
            goto L49
        L44:
            boolean r0 = r7 instanceof java.lang.Long
            goto L49
        L47:
            boolean r0 = r7 instanceof java.lang.Integer
        L49:
            if (r0 == 0) goto L57
        L4b:
            boolean r0 = r7 instanceof com.google.android.recaptcha.internal.zzhd
            if (r0 == 0) goto L51
            r5.zzd = r1
        L51:
            com.google.android.recaptcha.internal.zziy r0 = r5.zza
            r0.put(r6, r7)
            return
        L57:
            java.lang.IllegalArgumentException r0 = new java.lang.IllegalArgumentException
            r2 = 3
            java.lang.Object[] r2 = new java.lang.Object[r2]
            int r3 = r6.zza()
            java.lang.Integer r3 = java.lang.Integer.valueOf(r3)
            r4 = 0
            r2[r4] = r3
            com.google.android.recaptcha.internal.zzjv r6 = r6.zzd()
            com.google.android.recaptcha.internal.zzjw r6 = r6.zza()
            r2[r1] = r6
            java.lang.Class r6 = r7.getClass()
            java.lang.String r6 = r6.getName()
            r7 = 2
            r2[r7] = r6
            java.lang.String r6 = "Wrong object type used with protocol message reflection.\nField number: %d, field java type: %s, value type: %s\n"
            java.lang.String r6 = java.lang.String.format(r6, r2)
            r0.<init>(r6)
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.recaptcha.internal.zzge.zzi(com.google.android.recaptcha.internal.zzgd, java.lang.Object):void");
    }

    public final boolean zzj() {
        return this.zzc;
    }

    public final boolean zzk() {
        for (int i2 = 0; i2 < this.zza.zzb(); i2++) {
            if (!zzn(this.zza.zzg(i2))) {
                return false;
            }
        }
        Iterator it2 = this.zza.zzc().iterator();
        while (it2.hasNext()) {
            if (!zzn((Map.Entry) it2.next())) {
                return false;
            }
        }
        return true;
    }

    private zzge(boolean z) {
        zzg();
        zzg();
    }
}
