package com.google.android.recaptcha.internal;

import com.jieli.jl_bt_ota.constant.ErrorCode;
import java.io.IOException;
import java.lang.reflect.Field;
import java.util.Arrays;
import java.util.List;
import java.util.Map;
import sun.misc.Unsafe;

/* compiled from: com.google.android.recaptcha:recaptcha@@18.1.2 */
/* loaded from: classes2.dex */
final class zzib<T> implements zzil<T> {
    private static final int[] zza = new int[0];
    private static final Unsafe zzb = zzjp.zzg();
    private final int[] zzc;
    private final Object[] zzd;
    private final int zze;
    private final int zzf;
    private final zzhy zzg;
    private final boolean zzh;
    private final boolean zzi;
    private final boolean zzj;
    private final int[] zzk;
    private final int zzl;
    private final int zzm;
    private final zzhm zzn;
    private final zzjf zzo;
    private final zzga zzp;
    private final zzie zzq;
    private final zzht zzr;

    private zzib(int[] iArr, Object[] objArr, int i2, int i3, zzhy zzhyVar, boolean z, boolean z2, int[] iArr2, int i4, int i5, zzie zzieVar, zzhm zzhmVar, zzjf zzjfVar, zzga zzgaVar, zzht zzhtVar) {
        this.zzc = iArr;
        this.zzd = objArr;
        this.zze = i2;
        this.zzf = i3;
        this.zzi = zzhyVar instanceof zzgo;
        this.zzj = z;
        boolean z3 = false;
        if (zzgaVar != null && zzgaVar.zzj(zzhyVar)) {
            z3 = true;
        }
        this.zzh = z3;
        this.zzk = iArr2;
        this.zzl = i4;
        this.zzm = i5;
        this.zzq = zzieVar;
        this.zzn = zzhmVar;
        this.zzo = zzjfVar;
        this.zzp = zzgaVar;
        this.zzg = zzhyVar;
        this.zzr = zzhtVar;
    }

    private static long zzA(Object obj, long j2) {
        return ((Long) zzjp.zzf(obj, j2)).longValue();
    }

    private final zzgs zzB(int i2) {
        int i3 = i2 / 3;
        return (zzgs) this.zzd[i3 + i3 + 1];
    }

    private final zzil zzC(int i2) {
        int i3 = i2 / 3;
        int i4 = i3 + i3;
        zzil zzilVar = (zzil) this.zzd[i4];
        if (zzilVar != null) {
            return zzilVar;
        }
        zzil zzb2 = zzih.zza().zzb((Class) this.zzd[i4 + 1]);
        this.zzd[i4] = zzb2;
        return zzb2;
    }

    private final Object zzD(Object obj, int i2, Object obj2, zzjf zzjfVar, Object obj3) {
        int i3 = this.zzc[i2];
        Object zzf = zzjp.zzf(obj, zzz(i2) & ErrorCode.ERR_UNKNOWN);
        if (zzf == null || zzB(i2) == null) {
            return obj2;
        }
        throw null;
    }

    private final Object zzE(int i2) {
        int i3 = i2 / 3;
        return this.zzd[i3 + i3];
    }

    private final Object zzF(Object obj, int i2) {
        zzil zzC = zzC(i2);
        int zzz = zzz(i2) & ErrorCode.ERR_UNKNOWN;
        if (!zzT(obj, i2)) {
            return zzC.zze();
        }
        Object object = zzb.getObject(obj, zzz);
        if (zzW(object)) {
            return object;
        }
        Object zze = zzC.zze();
        if (object != null) {
            zzC.zzg(zze, object);
        }
        return zze;
    }

    private final Object zzG(Object obj, int i2, int i3) {
        zzil zzC = zzC(i3);
        if (!zzX(obj, i2, i3)) {
            return zzC.zze();
        }
        Object object = zzb.getObject(obj, zzz(i3) & ErrorCode.ERR_UNKNOWN);
        if (zzW(object)) {
            return object;
        }
        Object zze = zzC.zze();
        if (object != null) {
            zzC.zzg(zze, object);
        }
        return zze;
    }

    private static Field zzH(Class cls, String str) {
        try {
            return cls.getDeclaredField(str);
        } catch (NoSuchFieldException unused) {
            Field[] declaredFields = cls.getDeclaredFields();
            for (Field field : declaredFields) {
                if (str.equals(field.getName())) {
                    return field;
                }
            }
            throw new RuntimeException("Field " + str + " for " + cls.getName() + " not found. Known fields are " + Arrays.toString(declaredFields));
        }
    }

    private static void zzI(Object obj) {
        if (!zzW(obj)) {
            throw new IllegalArgumentException("Mutating immutable message: ".concat(String.valueOf(String.valueOf(obj))));
        }
    }

    private final void zzJ(Object obj, Object obj2, int i2) {
        if (zzT(obj2, i2)) {
            int zzz = zzz(i2) & ErrorCode.ERR_UNKNOWN;
            Unsafe unsafe = zzb;
            long j2 = zzz;
            Object object = unsafe.getObject(obj2, j2);
            if (object == null) {
                throw new IllegalStateException("Source subfield " + this.zzc[i2] + " is present but null: " + obj2.toString());
            }
            zzil zzC = zzC(i2);
            if (!zzT(obj, i2)) {
                if (zzW(object)) {
                    Object zze = zzC.zze();
                    zzC.zzg(zze, object);
                    unsafe.putObject(obj, j2, zze);
                } else {
                    unsafe.putObject(obj, j2, object);
                }
                zzM(obj, i2);
                return;
            }
            Object object2 = unsafe.getObject(obj, j2);
            if (!zzW(object2)) {
                Object zze2 = zzC.zze();
                zzC.zzg(zze2, object2);
                unsafe.putObject(obj, j2, zze2);
                object2 = zze2;
            }
            zzC.zzg(object2, object);
        }
    }

    private final void zzK(Object obj, Object obj2, int i2) {
        int i3 = this.zzc[i2];
        if (zzX(obj2, i3, i2)) {
            int zzz = zzz(i2) & ErrorCode.ERR_UNKNOWN;
            Unsafe unsafe = zzb;
            long j2 = zzz;
            Object object = unsafe.getObject(obj2, j2);
            if (object == null) {
                throw new IllegalStateException("Source subfield " + this.zzc[i2] + " is present but null: " + obj2.toString());
            }
            zzil zzC = zzC(i2);
            if (!zzX(obj, i3, i2)) {
                if (zzW(object)) {
                    Object zze = zzC.zze();
                    zzC.zzg(zze, object);
                    unsafe.putObject(obj, j2, zze);
                } else {
                    unsafe.putObject(obj, j2, object);
                }
                zzN(obj, i3, i2);
                return;
            }
            Object object2 = unsafe.getObject(obj, j2);
            if (!zzW(object2)) {
                Object zze2 = zzC.zze();
                zzC.zzg(zze2, object2);
                unsafe.putObject(obj, j2, zze2);
                object2 = zze2;
            }
            zzC.zzg(object2, object);
        }
    }

    private final void zzL(Object obj, int i2, zzik zzikVar) throws IOException {
        if (zzS(i2)) {
            zzjp.zzs(obj, i2 & ErrorCode.ERR_UNKNOWN, zzikVar.zzs());
        } else if (this.zzi) {
            zzjp.zzs(obj, i2 & ErrorCode.ERR_UNKNOWN, zzikVar.zzr());
        } else {
            zzjp.zzs(obj, i2 & ErrorCode.ERR_UNKNOWN, zzikVar.zzp());
        }
    }

    private final void zzM(Object obj, int i2) {
        int zzw = zzw(i2);
        long j2 = 1048575 & zzw;
        if (j2 == 1048575) {
            return;
        }
        zzjp.zzq(obj, j2, (1 << (zzw >>> 20)) | zzjp.zzc(obj, j2));
    }

    private final void zzN(Object obj, int i2, int i3) {
        zzjp.zzq(obj, zzw(i3) & ErrorCode.ERR_UNKNOWN, i2);
    }

    private final void zzO(Object obj, int i2, Object obj2) {
        zzb.putObject(obj, zzz(i2) & ErrorCode.ERR_UNKNOWN, obj2);
        zzM(obj, i2);
    }

    private final void zzP(Object obj, int i2, int i3, Object obj2) {
        zzb.putObject(obj, zzz(i3) & ErrorCode.ERR_UNKNOWN, obj2);
        zzN(obj, i2, i3);
    }

    private final void zzQ(zzjx zzjxVar, int i2, Object obj, int i3) throws IOException {
        if (obj == null) {
            return;
        }
        throw null;
    }

    private final boolean zzR(Object obj, Object obj2, int i2) {
        return zzT(obj, i2) == zzT(obj2, i2);
    }

    private static boolean zzS(int i2) {
        return (i2 & 536870912) != 0;
    }

    private final boolean zzT(Object obj, int i2) {
        int zzw = zzw(i2);
        long j2 = zzw & ErrorCode.ERR_UNKNOWN;
        if (j2 != 1048575) {
            return (zzjp.zzc(obj, j2) & (1 << (zzw >>> 20))) != 0;
        }
        int zzz = zzz(i2);
        long j3 = zzz & ErrorCode.ERR_UNKNOWN;
        switch (zzy(zzz)) {
            case 0:
                return Double.doubleToRawLongBits(zzjp.zza(obj, j3)) != 0;
            case 1:
                return Float.floatToRawIntBits(zzjp.zzb(obj, j3)) != 0;
            case 2:
                return zzjp.zzd(obj, j3) != 0;
            case 3:
                return zzjp.zzd(obj, j3) != 0;
            case 4:
                return zzjp.zzc(obj, j3) != 0;
            case 5:
                return zzjp.zzd(obj, j3) != 0;
            case 6:
                return zzjp.zzc(obj, j3) != 0;
            case 7:
                return zzjp.zzw(obj, j3);
            case 8:
                Object zzf = zzjp.zzf(obj, j3);
                if (zzf instanceof String) {
                    return !((String) zzf).isEmpty();
                }
                if (zzf instanceof zzez) {
                    return !zzez.zzb.equals(zzf);
                }
                throw new IllegalArgumentException();
            case 9:
                return zzjp.zzf(obj, j3) != null;
            case 10:
                return !zzez.zzb.equals(zzjp.zzf(obj, j3));
            case 11:
                return zzjp.zzc(obj, j3) != 0;
            case 12:
                return zzjp.zzc(obj, j3) != 0;
            case 13:
                return zzjp.zzc(obj, j3) != 0;
            case 14:
                return zzjp.zzd(obj, j3) != 0;
            case 15:
                return zzjp.zzc(obj, j3) != 0;
            case 16:
                return zzjp.zzd(obj, j3) != 0;
            case 17:
                return zzjp.zzf(obj, j3) != null;
            default:
                throw new IllegalArgumentException();
        }
    }

    private final boolean zzU(Object obj, int i2, int i3, int i4, int i5) {
        return i3 == 1048575 ? zzT(obj, i2) : (i4 & i5) != 0;
    }

    private static boolean zzV(Object obj, int i2, zzil zzilVar) {
        return zzilVar.zzl(zzjp.zzf(obj, i2 & ErrorCode.ERR_UNKNOWN));
    }

    private static boolean zzW(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj instanceof zzgo) {
            return ((zzgo) obj).zzF();
        }
        return true;
    }

    private final boolean zzX(Object obj, int i2, int i3) {
        return zzjp.zzc(obj, (long) (zzw(i3) & ErrorCode.ERR_UNKNOWN)) == i2;
    }

    private static boolean zzY(Object obj, long j2) {
        return ((Boolean) zzjp.zzf(obj, j2)).booleanValue();
    }

    private static final void zzZ(int i2, Object obj, zzjx zzjxVar) throws IOException {
        if (obj instanceof String) {
            zzjxVar.zzG(i2, (String) obj);
        } else {
            zzjxVar.zzd(i2, (zzez) obj);
        }
    }

    static zzjg zzd(Object obj) {
        zzgo zzgoVar = (zzgo) obj;
        zzjg zzjgVar = zzgoVar.zzc;
        if (zzjgVar != zzjg.zzc()) {
            return zzjgVar;
        }
        zzjg zzf = zzjg.zzf();
        zzgoVar.zzc = zzf;
        return zzf;
    }

    /* JADX WARN: Removed duplicated region for block: B:65:0x026d  */
    /* JADX WARN: Removed duplicated region for block: B:68:0x0285  */
    /* JADX WARN: Removed duplicated region for block: B:81:0x0288  */
    /* JADX WARN: Removed duplicated region for block: B:82:0x0270  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    static com.google.android.recaptcha.internal.zzib zzm(java.lang.Class r31, com.google.android.recaptcha.internal.zzhv r32, com.google.android.recaptcha.internal.zzie r33, com.google.android.recaptcha.internal.zzhm r34, com.google.android.recaptcha.internal.zzjf r35, com.google.android.recaptcha.internal.zzga r36, com.google.android.recaptcha.internal.zzht r37) {
        /*
            Method dump skipped, instructions count: 990
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.recaptcha.internal.zzib.zzm(java.lang.Class, com.google.android.recaptcha.internal.zzhv, com.google.android.recaptcha.internal.zzie, com.google.android.recaptcha.internal.zzhm, com.google.android.recaptcha.internal.zzjf, com.google.android.recaptcha.internal.zzga, com.google.android.recaptcha.internal.zzht):com.google.android.recaptcha.internal.zzib");
    }

    private static double zzn(Object obj, long j2) {
        return ((Double) zzjp.zzf(obj, j2)).doubleValue();
    }

    private static float zzo(Object obj, long j2) {
        return ((Float) zzjp.zzf(obj, j2)).floatValue();
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    private final int zzp(Object obj) {
        int i2;
        int zzy;
        int zzy2;
        int zzz;
        int zzy3;
        int zzy4;
        int zzy5;
        int zzy6;
        int zzt;
        boolean z;
        int zzc;
        int zzh;
        int zzy7;
        int zzy8;
        int i3;
        int zzy9;
        int zzy10;
        int zzy11;
        int zzy12;
        Unsafe unsafe = zzb;
        int i4 = ErrorCode.ERR_UNKNOWN;
        int i5 = 1048575;
        int i6 = 0;
        int i7 = 0;
        int i8 = 0;
        while (i6 < this.zzc.length) {
            int zzz2 = zzz(i6);
            int[] iArr = this.zzc;
            int i9 = iArr[i6];
            int zzy13 = zzy(zzz2);
            if (zzy13 <= 17) {
                int i10 = iArr[i6 + 2];
                int i11 = i10 & i4;
                int i12 = i10 >>> 20;
                if (i11 != i5) {
                    i8 = unsafe.getInt(obj, i11);
                    i5 = i11;
                }
                i2 = 1 << i12;
            } else {
                i2 = 0;
            }
            long j2 = zzz2 & i4;
            switch (zzy13) {
                case 0:
                    if ((i8 & i2) != 0) {
                        zzy = zzfk.zzy(i9 << 3);
                        zzy4 = zzy + 8;
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if ((i8 & i2) != 0) {
                        zzy2 = zzfk.zzy(i9 << 3);
                        zzy4 = zzy2 + 4;
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if ((i8 & i2) != 0) {
                        zzz = zzfk.zzz(unsafe.getLong(obj, j2));
                        zzy3 = zzfk.zzy(i9 << 3);
                        i7 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if ((i8 & i2) != 0) {
                        zzz = zzfk.zzz(unsafe.getLong(obj, j2));
                        zzy3 = zzfk.zzy(i9 << 3);
                        i7 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if ((i8 & i2) != 0) {
                        zzz = zzfk.zzu(unsafe.getInt(obj, j2));
                        zzy3 = zzfk.zzy(i9 << 3);
                        i7 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if ((i8 & i2) != 0) {
                        zzy = zzfk.zzy(i9 << 3);
                        zzy4 = zzy + 8;
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if ((i8 & i2) != 0) {
                        zzy2 = zzfk.zzy(i9 << 3);
                        zzy4 = zzy2 + 4;
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if ((i8 & i2) != 0) {
                        zzy4 = zzfk.zzy(i9 << 3) + 1;
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if ((i8 & i2) != 0) {
                        Object object = unsafe.getObject(obj, j2);
                        if (object instanceof zzez) {
                            int i13 = zzfk.zzb;
                            int zzd = ((zzez) object).zzd();
                            zzy5 = zzfk.zzy(zzd) + zzd;
                            zzy6 = zzfk.zzy(i9 << 3);
                            zzy4 = zzy6 + zzy5;
                            i7 += zzy4;
                            break;
                        } else {
                            zzz = zzfk.zzx((String) object);
                            zzy3 = zzfk.zzy(i9 << 3);
                            i7 += zzy3 + zzz;
                            break;
                        }
                    } else {
                        break;
                    }
                case 9:
                    if ((i8 & i2) != 0) {
                        zzy4 = zzin.zzn(i9, unsafe.getObject(obj, j2), zzC(i6));
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 10:
                    if ((i8 & i2) != 0) {
                        zzez zzezVar = (zzez) unsafe.getObject(obj, j2);
                        int i14 = zzfk.zzb;
                        int zzd2 = zzezVar.zzd();
                        zzy5 = zzfk.zzy(zzd2) + zzd2;
                        zzy6 = zzfk.zzy(i9 << 3);
                        zzy4 = zzy6 + zzy5;
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if ((i8 & i2) != 0) {
                        zzz = zzfk.zzy(unsafe.getInt(obj, j2));
                        zzy3 = zzfk.zzy(i9 << 3);
                        i7 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if ((i8 & i2) != 0) {
                        zzz = zzfk.zzu(unsafe.getInt(obj, j2));
                        zzy3 = zzfk.zzy(i9 << 3);
                        i7 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if ((i8 & i2) != 0) {
                        zzy2 = zzfk.zzy(i9 << 3);
                        zzy4 = zzy2 + 4;
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if ((i8 & i2) != 0) {
                        zzy = zzfk.zzy(i9 << 3);
                        zzy4 = zzy + 8;
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if ((i8 & i2) != 0) {
                        int i15 = unsafe.getInt(obj, j2);
                        zzy3 = zzfk.zzy(i9 << 3);
                        zzz = zzfk.zzy((i15 >> 31) ^ (i15 + i15));
                        i7 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if ((i2 & i8) != 0) {
                        long j3 = unsafe.getLong(obj, j2);
                        i7 += zzfk.zzy(i9 << 3) + zzfk.zzz((j3 >> 63) ^ (j3 + j3));
                        break;
                    } else {
                        break;
                    }
                case 17:
                    if ((i8 & i2) != 0) {
                        zzy4 = zzfk.zzt(i9, (zzhy) unsafe.getObject(obj, j2), zzC(i6));
                        i7 += zzy4;
                        break;
                    } else {
                        break;
                    }
                case 18:
                    zzy4 = zzin.zzg(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzy4;
                    break;
                case 19:
                    zzy4 = zzin.zze(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzy4;
                    break;
                case 20:
                    zzy4 = zzin.zzl(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzy4;
                    break;
                case 21:
                    zzy4 = zzin.zzw(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzy4;
                    break;
                case 22:
                    zzy4 = zzin.zzj(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzy4;
                    break;
                case 23:
                    zzy4 = zzin.zzg(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzy4;
                    break;
                case 24:
                    zzy4 = zzin.zze(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzy4;
                    break;
                case 25:
                    zzy4 = zzin.zza(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzy4;
                    break;
                case 26:
                    zzt = zzin.zzt(i9, (List) unsafe.getObject(obj, j2));
                    i7 += zzt;
                    break;
                case 27:
                    zzt = zzin.zzo(i9, (List) unsafe.getObject(obj, j2), zzC(i6));
                    i7 += zzt;
                    break;
                case 28:
                    zzt = zzin.zzb(i9, (List) unsafe.getObject(obj, j2));
                    i7 += zzt;
                    break;
                case 29:
                    zzt = zzin.zzu(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzt;
                    break;
                case 30:
                    z = false;
                    zzc = zzin.zzc(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 31:
                    z = false;
                    zzc = zzin.zze(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 32:
                    z = false;
                    zzc = zzin.zzg(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 33:
                    z = false;
                    zzc = zzin.zzp(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 34:
                    z = false;
                    zzc = zzin.zzr(i9, (List) unsafe.getObject(obj, j2), false);
                    i7 += zzc;
                    break;
                case 35:
                    zzh = zzin.zzh((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 36:
                    zzh = zzin.zzf((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 37:
                    zzh = zzin.zzm((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 38:
                    zzh = zzin.zzx((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 39:
                    zzh = zzin.zzk((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 40:
                    zzh = zzin.zzh((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 41:
                    zzh = zzin.zzf((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 42:
                    List list = (List) unsafe.getObject(obj, j2);
                    int i16 = zzin.zza;
                    zzh = list.size();
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 43:
                    zzh = zzin.zzv((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 44:
                    zzh = zzin.zzd((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 45:
                    zzh = zzin.zzf((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 46:
                    zzh = zzin.zzh((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 47:
                    zzh = zzin.zzq((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 48:
                    zzh = zzin.zzs((List) unsafe.getObject(obj, j2));
                    if (zzh > 0) {
                        zzy7 = zzfk.zzy(zzh);
                        zzy8 = zzfk.zzy(i9 << 3);
                        i3 = zzy8 + zzy7;
                        i7 += i3 + zzh;
                    }
                    break;
                case 49:
                    zzt = zzin.zzi(i9, (List) unsafe.getObject(obj, j2), zzC(i6));
                    i7 += zzt;
                    break;
                case 50:
                    zzht.zza(i9, unsafe.getObject(obj, j2), zzE(i6));
                    break;
                case 51:
                    if (zzX(obj, i9, i6)) {
                        zzy9 = zzfk.zzy(i9 << 3);
                        zzt = zzy9 + 8;
                        i7 += zzt;
                    }
                    break;
                case 52:
                    if (zzX(obj, i9, i6)) {
                        zzy10 = zzfk.zzy(i9 << 3);
                        zzt = zzy10 + 4;
                        i7 += zzt;
                    }
                    break;
                case 53:
                    if (zzX(obj, i9, i6)) {
                        zzh = zzfk.zzz(zzA(obj, j2));
                        i3 = zzfk.zzy(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 54:
                    if (zzX(obj, i9, i6)) {
                        zzh = zzfk.zzz(zzA(obj, j2));
                        i3 = zzfk.zzy(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 55:
                    if (zzX(obj, i9, i6)) {
                        zzh = zzfk.zzu(zzq(obj, j2));
                        i3 = zzfk.zzy(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 56:
                    if (zzX(obj, i9, i6)) {
                        zzy9 = zzfk.zzy(i9 << 3);
                        zzt = zzy9 + 8;
                        i7 += zzt;
                    }
                    break;
                case 57:
                    if (zzX(obj, i9, i6)) {
                        zzy10 = zzfk.zzy(i9 << 3);
                        zzt = zzy10 + 4;
                        i7 += zzt;
                    }
                    break;
                case 58:
                    if (zzX(obj, i9, i6)) {
                        zzt = zzfk.zzy(i9 << 3) + 1;
                        i7 += zzt;
                    }
                    break;
                case 59:
                    if (zzX(obj, i9, i6)) {
                        Object object2 = unsafe.getObject(obj, j2);
                        if (object2 instanceof zzez) {
                            int i17 = zzfk.zzb;
                            int zzd3 = ((zzez) object2).zzd();
                            zzy11 = zzfk.zzy(zzd3) + zzd3;
                            zzy12 = zzfk.zzy(i9 << 3);
                            zzt = zzy12 + zzy11;
                            i7 += zzt;
                        } else {
                            zzh = zzfk.zzx((String) object2);
                            i3 = zzfk.zzy(i9 << 3);
                            i7 += i3 + zzh;
                        }
                    }
                    break;
                case 60:
                    if (zzX(obj, i9, i6)) {
                        zzt = zzin.zzn(i9, unsafe.getObject(obj, j2), zzC(i6));
                        i7 += zzt;
                    }
                    break;
                case 61:
                    if (zzX(obj, i9, i6)) {
                        zzez zzezVar2 = (zzez) unsafe.getObject(obj, j2);
                        int i18 = zzfk.zzb;
                        int zzd4 = zzezVar2.zzd();
                        zzy11 = zzfk.zzy(zzd4) + zzd4;
                        zzy12 = zzfk.zzy(i9 << 3);
                        zzt = zzy12 + zzy11;
                        i7 += zzt;
                    }
                    break;
                case 62:
                    if (zzX(obj, i9, i6)) {
                        zzh = zzfk.zzy(zzq(obj, j2));
                        i3 = zzfk.zzy(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 63:
                    if (zzX(obj, i9, i6)) {
                        zzh = zzfk.zzu(zzq(obj, j2));
                        i3 = zzfk.zzy(i9 << 3);
                        i7 += i3 + zzh;
                    }
                    break;
                case 64:
                    if (zzX(obj, i9, i6)) {
                        zzy10 = zzfk.zzy(i9 << 3);
                        zzt = zzy10 + 4;
                        i7 += zzt;
                    }
                    break;
                case 65:
                    if (zzX(obj, i9, i6)) {
                        zzy9 = zzfk.zzy(i9 << 3);
                        zzt = zzy9 + 8;
                        i7 += zzt;
                    }
                    break;
                case 66:
                    if (zzX(obj, i9, i6)) {
                        int zzq = zzq(obj, j2);
                        i3 = zzfk.zzy(i9 << 3);
                        zzh = zzfk.zzy((zzq >> 31) ^ (zzq + zzq));
                        i7 += i3 + zzh;
                    }
                    break;
                case 67:
                    if (zzX(obj, i9, i6)) {
                        long zzA = zzA(obj, j2);
                        i7 += zzfk.zzy(i9 << 3) + zzfk.zzz((zzA >> 63) ^ (zzA + zzA));
                    }
                    break;
                case 68:
                    if (zzX(obj, i9, i6)) {
                        zzt = zzfk.zzt(i9, (zzhy) unsafe.getObject(obj, j2), zzC(i6));
                        i7 += zzt;
                    }
                    break;
            }
            i6 += 3;
            i4 = ErrorCode.ERR_UNKNOWN;
        }
        int i19 = 0;
        zzjf zzjfVar = this.zzo;
        int zza2 = i7 + zzjfVar.zza(zzjfVar.zzd(obj));
        if (!this.zzh) {
            return zza2;
        }
        zzge zzb2 = this.zzp.zzb(obj);
        for (int i20 = 0; i20 < zzb2.zza.zzb(); i20++) {
            Map.Entry zzg = zzb2.zza.zzg(i20);
            i19 += zzge.zza((zzgd) zzg.getKey(), zzg.getValue());
        }
        for (Map.Entry entry : zzb2.zza.zzc()) {
            i19 += zzge.zza((zzgd) entry.getKey(), entry.getValue());
        }
        return zza2 + i19;
    }

    private static int zzq(Object obj, long j2) {
        return ((Integer) zzjp.zzf(obj, j2)).intValue();
    }

    private final int zzr(Object obj, byte[] bArr, int i2, int i3, int i4, long j2, zzem zzemVar) throws IOException {
        Unsafe unsafe = zzb;
        Object zzE = zzE(i4);
        Object object = unsafe.getObject(obj, j2);
        if (zzht.zzb(object)) {
            zzhs zzb2 = zzhs.zza().zzb();
            zzht.zzc(zzb2, object);
            unsafe.putObject(obj, j2, zzb2);
        }
        throw null;
    }

    private final int zzs(Object obj, byte[] bArr, int i2, int i3, int i4, int i5, int i6, int i7, int i8, long j2, int i9, zzem zzemVar) throws IOException {
        Unsafe unsafe = zzb;
        long j3 = this.zzc[i9 + 2] & ErrorCode.ERR_UNKNOWN;
        switch (i8) {
            case 51:
                if (i6 == 1) {
                    unsafe.putObject(obj, j2, Double.valueOf(Double.longBitsToDouble(zzen.zzq(bArr, i2))));
                    int i10 = i2 + 8;
                    unsafe.putInt(obj, j3, i5);
                    return i10;
                }
                break;
            case 52:
                if (i6 == 5) {
                    unsafe.putObject(obj, j2, Float.valueOf(Float.intBitsToFloat(zzen.zzb(bArr, i2))));
                    int i11 = i2 + 4;
                    unsafe.putInt(obj, j3, i5);
                    return i11;
                }
                break;
            case 53:
            case 54:
                if (i6 == 0) {
                    int zzm = zzen.zzm(bArr, i2, zzemVar);
                    unsafe.putObject(obj, j2, Long.valueOf(zzemVar.zzb));
                    unsafe.putInt(obj, j3, i5);
                    return zzm;
                }
                break;
            case 55:
            case 62:
                if (i6 == 0) {
                    int zzj = zzen.zzj(bArr, i2, zzemVar);
                    unsafe.putObject(obj, j2, Integer.valueOf(zzemVar.zza));
                    unsafe.putInt(obj, j3, i5);
                    return zzj;
                }
                break;
            case 56:
            case 65:
                if (i6 == 1) {
                    unsafe.putObject(obj, j2, Long.valueOf(zzen.zzq(bArr, i2)));
                    int i12 = i2 + 8;
                    unsafe.putInt(obj, j3, i5);
                    return i12;
                }
                break;
            case 57:
            case 64:
                if (i6 == 5) {
                    unsafe.putObject(obj, j2, Integer.valueOf(zzen.zzb(bArr, i2)));
                    int i13 = i2 + 4;
                    unsafe.putInt(obj, j3, i5);
                    return i13;
                }
                break;
            case 58:
                if (i6 == 0) {
                    int zzm2 = zzen.zzm(bArr, i2, zzemVar);
                    unsafe.putObject(obj, j2, Boolean.valueOf(zzemVar.zzb != 0));
                    unsafe.putInt(obj, j3, i5);
                    return zzm2;
                }
                break;
            case 59:
                if (i6 == 2) {
                    int zzj2 = zzen.zzj(bArr, i2, zzemVar);
                    int i14 = zzemVar.zza;
                    if (i14 == 0) {
                        unsafe.putObject(obj, j2, "");
                    } else {
                        if ((i7 & 536870912) != 0 && !zzju.zzf(bArr, zzj2, zzj2 + i14)) {
                            throw zzgy.zzd();
                        }
                        unsafe.putObject(obj, j2, new String(bArr, zzj2, i14, zzgw.zzb));
                        zzj2 += i14;
                    }
                    unsafe.putInt(obj, j3, i5);
                    return zzj2;
                }
                break;
            case 60:
                if (i6 == 2) {
                    Object zzG = zzG(obj, i5, i9);
                    int zzo = zzen.zzo(zzG, zzC(i9), bArr, i2, i3, zzemVar);
                    zzP(obj, i5, i9, zzG);
                    return zzo;
                }
                break;
            case 61:
                if (i6 == 2) {
                    int zza2 = zzen.zza(bArr, i2, zzemVar);
                    unsafe.putObject(obj, j2, zzemVar.zzc);
                    unsafe.putInt(obj, j3, i5);
                    return zza2;
                }
                break;
            case 63:
                if (i6 == 0) {
                    int zzj3 = zzen.zzj(bArr, i2, zzemVar);
                    int i15 = zzemVar.zza;
                    zzgs zzB = zzB(i9);
                    if (zzB == null || zzB.zza()) {
                        unsafe.putObject(obj, j2, Integer.valueOf(i15));
                        unsafe.putInt(obj, j3, i5);
                    } else {
                        zzd(obj).zzj(i4, Long.valueOf(i15));
                    }
                    return zzj3;
                }
                break;
            case 66:
                if (i6 == 0) {
                    int zzj4 = zzen.zzj(bArr, i2, zzemVar);
                    unsafe.putObject(obj, j2, Integer.valueOf(zzff.zzF(zzemVar.zza)));
                    unsafe.putInt(obj, j3, i5);
                    return zzj4;
                }
                break;
            case 67:
                if (i6 == 0) {
                    int zzm3 = zzen.zzm(bArr, i2, zzemVar);
                    unsafe.putObject(obj, j2, Long.valueOf(zzff.zzG(zzemVar.zzb)));
                    unsafe.putInt(obj, j3, i5);
                    return zzm3;
                }
                break;
            case 68:
                if (i6 == 3) {
                    Object zzG2 = zzG(obj, i5, i9);
                    int zzn = zzen.zzn(zzG2, zzC(i9), bArr, i2, i3, (i4 & (-8)) | 4, zzemVar);
                    zzP(obj, i5, i9, zzG2);
                    return zzn;
                }
                break;
        }
        return i2;
    }

    private final int zzt(Object obj, byte[] bArr, int i2, int i3, int i4, int i5, int i6, int i7, long j2, int i8, long j3, zzem zzemVar) throws IOException {
        int i9;
        int i10;
        int i11;
        int i12;
        int zzj;
        int i13 = i2;
        Unsafe unsafe = zzb;
        zzgv zzgvVar = (zzgv) unsafe.getObject(obj, j3);
        if (!zzgvVar.zzc()) {
            int size = zzgvVar.size();
            zzgvVar = zzgvVar.zzd(size == 0 ? 10 : size + size);
            unsafe.putObject(obj, j3, zzgvVar);
        }
        switch (i8) {
            case 18:
            case 35:
                if (i6 == 2) {
                    zzft zzftVar = (zzft) zzgvVar;
                    int zzj2 = zzen.zzj(bArr, i13, zzemVar);
                    int i14 = zzemVar.zza + zzj2;
                    while (zzj2 < i14) {
                        zzftVar.zze(Double.longBitsToDouble(zzen.zzq(bArr, zzj2)));
                        zzj2 += 8;
                    }
                    if (zzj2 == i14) {
                        return zzj2;
                    }
                    throw zzgy.zzj();
                }
                if (i6 == 1) {
                    zzft zzftVar2 = (zzft) zzgvVar;
                    zzftVar2.zze(Double.longBitsToDouble(zzen.zzq(bArr, i2)));
                    while (true) {
                        i9 = i13 + 8;
                        if (i9 < i3) {
                            i13 = zzen.zzj(bArr, i9, zzemVar);
                            if (i4 == zzemVar.zza) {
                                zzftVar2.zze(Double.longBitsToDouble(zzen.zzq(bArr, i13)));
                            }
                        }
                    }
                    return i9;
                }
                return i13;
            case 19:
            case 36:
                if (i6 == 2) {
                    zzgg zzggVar = (zzgg) zzgvVar;
                    int zzj3 = zzen.zzj(bArr, i13, zzemVar);
                    int i15 = zzemVar.zza + zzj3;
                    while (zzj3 < i15) {
                        zzggVar.zze(Float.intBitsToFloat(zzen.zzb(bArr, zzj3)));
                        zzj3 += 4;
                    }
                    if (zzj3 == i15) {
                        return zzj3;
                    }
                    throw zzgy.zzj();
                }
                if (i6 == 5) {
                    zzgg zzggVar2 = (zzgg) zzgvVar;
                    zzggVar2.zze(Float.intBitsToFloat(zzen.zzb(bArr, i2)));
                    while (true) {
                        i10 = i13 + 4;
                        if (i10 < i3) {
                            i13 = zzen.zzj(bArr, i10, zzemVar);
                            if (i4 == zzemVar.zza) {
                                zzggVar2.zze(Float.intBitsToFloat(zzen.zzb(bArr, i13)));
                            }
                        }
                    }
                    return i10;
                }
                return i13;
            case 20:
            case 21:
            case 37:
            case 38:
                if (i6 == 2) {
                    zzhn zzhnVar = (zzhn) zzgvVar;
                    int zzj4 = zzen.zzj(bArr, i13, zzemVar);
                    int i16 = zzemVar.zza + zzj4;
                    while (zzj4 < i16) {
                        zzj4 = zzen.zzm(bArr, zzj4, zzemVar);
                        zzhnVar.zzf(zzemVar.zzb);
                    }
                    if (zzj4 == i16) {
                        return zzj4;
                    }
                    throw zzgy.zzj();
                }
                if (i6 == 0) {
                    zzhn zzhnVar2 = (zzhn) zzgvVar;
                    int zzm = zzen.zzm(bArr, i13, zzemVar);
                    zzhnVar2.zzf(zzemVar.zzb);
                    while (zzm < i3) {
                        int zzj5 = zzen.zzj(bArr, zzm, zzemVar);
                        if (i4 != zzemVar.zza) {
                            return zzm;
                        }
                        zzm = zzen.zzm(bArr, zzj5, zzemVar);
                        zzhnVar2.zzf(zzemVar.zzb);
                    }
                    return zzm;
                }
                return i13;
            case 22:
            case 29:
            case 39:
            case 43:
                if (i6 == 2) {
                    return zzen.zzf(bArr, i13, zzgvVar, zzemVar);
                }
                if (i6 == 0) {
                    return zzen.zzl(i4, bArr, i2, i3, zzgvVar, zzemVar);
                }
                return i13;
            case 23:
            case 32:
            case 40:
            case 46:
                if (i6 == 2) {
                    zzhn zzhnVar3 = (zzhn) zzgvVar;
                    int zzj6 = zzen.zzj(bArr, i13, zzemVar);
                    int i17 = zzemVar.zza + zzj6;
                    while (zzj6 < i17) {
                        zzhnVar3.zzf(zzen.zzq(bArr, zzj6));
                        zzj6 += 8;
                    }
                    if (zzj6 == i17) {
                        return zzj6;
                    }
                    throw zzgy.zzj();
                }
                if (i6 == 1) {
                    zzhn zzhnVar4 = (zzhn) zzgvVar;
                    zzhnVar4.zzf(zzen.zzq(bArr, i2));
                    while (true) {
                        i11 = i13 + 8;
                        if (i11 < i3) {
                            i13 = zzen.zzj(bArr, i11, zzemVar);
                            if (i4 == zzemVar.zza) {
                                zzhnVar4.zzf(zzen.zzq(bArr, i13));
                            }
                        }
                    }
                    return i11;
                }
                return i13;
            case 24:
            case 31:
            case 41:
            case 45:
                if (i6 == 2) {
                    zzgp zzgpVar = (zzgp) zzgvVar;
                    int zzj7 = zzen.zzj(bArr, i13, zzemVar);
                    int i18 = zzemVar.zza + zzj7;
                    while (zzj7 < i18) {
                        zzgpVar.zzg(zzen.zzb(bArr, zzj7));
                        zzj7 += 4;
                    }
                    if (zzj7 == i18) {
                        return zzj7;
                    }
                    throw zzgy.zzj();
                }
                if (i6 == 5) {
                    zzgp zzgpVar2 = (zzgp) zzgvVar;
                    zzgpVar2.zzg(zzen.zzb(bArr, i2));
                    while (true) {
                        i12 = i13 + 4;
                        if (i12 < i3) {
                            i13 = zzen.zzj(bArr, i12, zzemVar);
                            if (i4 == zzemVar.zza) {
                                zzgpVar2.zzg(zzen.zzb(bArr, i13));
                            }
                        }
                    }
                    return i12;
                }
                return i13;
            case 25:
            case 42:
                if (i6 == 2) {
                    zzeo zzeoVar = (zzeo) zzgvVar;
                    zzj = zzen.zzj(bArr, i13, zzemVar);
                    int i19 = zzemVar.zza + zzj;
                    while (zzj < i19) {
                        zzj = zzen.zzm(bArr, zzj, zzemVar);
                        zzeoVar.zze(zzemVar.zzb != 0);
                    }
                    if (zzj != i19) {
                        throw zzgy.zzj();
                    }
                    return zzj;
                }
                if (i6 == 0) {
                    zzeo zzeoVar2 = (zzeo) zzgvVar;
                    int zzm2 = zzen.zzm(bArr, i13, zzemVar);
                    zzeoVar2.zze(zzemVar.zzb != 0);
                    while (zzm2 < i3) {
                        int zzj8 = zzen.zzj(bArr, zzm2, zzemVar);
                        if (i4 != zzemVar.zza) {
                            return zzm2;
                        }
                        zzm2 = zzen.zzm(bArr, zzj8, zzemVar);
                        zzeoVar2.zze(zzemVar.zzb != 0);
                    }
                    return zzm2;
                }
                return i13;
            case 26:
                if (i6 == 2) {
                    if ((j2 & 536870912) == 0) {
                        int zzj9 = zzen.zzj(bArr, i13, zzemVar);
                        int i20 = zzemVar.zza;
                        if (i20 < 0) {
                            throw zzgy.zzf();
                        }
                        if (i20 == 0) {
                            zzgvVar.add("");
                        } else {
                            zzgvVar.add(new String(bArr, zzj9, i20, zzgw.zzb));
                            zzj9 += i20;
                        }
                        while (zzj9 < i3) {
                            int zzj10 = zzen.zzj(bArr, zzj9, zzemVar);
                            if (i4 != zzemVar.zza) {
                                return zzj9;
                            }
                            zzj9 = zzen.zzj(bArr, zzj10, zzemVar);
                            int i21 = zzemVar.zza;
                            if (i21 < 0) {
                                throw zzgy.zzf();
                            }
                            if (i21 == 0) {
                                zzgvVar.add("");
                            } else {
                                zzgvVar.add(new String(bArr, zzj9, i21, zzgw.zzb));
                                zzj9 += i21;
                            }
                        }
                        return zzj9;
                    }
                    int zzj11 = zzen.zzj(bArr, i13, zzemVar);
                    int i22 = zzemVar.zza;
                    if (i22 < 0) {
                        throw zzgy.zzf();
                    }
                    if (i22 == 0) {
                        zzgvVar.add("");
                    } else {
                        int i23 = zzj11 + i22;
                        if (!zzju.zzf(bArr, zzj11, i23)) {
                            throw zzgy.zzd();
                        }
                        zzgvVar.add(new String(bArr, zzj11, i22, zzgw.zzb));
                        zzj11 = i23;
                    }
                    while (zzj11 < i3) {
                        int zzj12 = zzen.zzj(bArr, zzj11, zzemVar);
                        if (i4 != zzemVar.zza) {
                            return zzj11;
                        }
                        zzj11 = zzen.zzj(bArr, zzj12, zzemVar);
                        int i24 = zzemVar.zza;
                        if (i24 < 0) {
                            throw zzgy.zzf();
                        }
                        if (i24 == 0) {
                            zzgvVar.add("");
                        } else {
                            int i25 = zzj11 + i24;
                            if (!zzju.zzf(bArr, zzj11, i25)) {
                                throw zzgy.zzd();
                            }
                            zzgvVar.add(new String(bArr, zzj11, i24, zzgw.zzb));
                            zzj11 = i25;
                        }
                    }
                    return zzj11;
                }
                return i13;
            case 27:
                if (i6 == 2) {
                    return zzen.zze(zzC(i7), i4, bArr, i2, i3, zzgvVar, zzemVar);
                }
                return i13;
            case 28:
                if (i6 == 2) {
                    int zzj13 = zzen.zzj(bArr, i13, zzemVar);
                    int i26 = zzemVar.zza;
                    if (i26 < 0) {
                        throw zzgy.zzf();
                    }
                    if (i26 > bArr.length - zzj13) {
                        throw zzgy.zzj();
                    }
                    if (i26 == 0) {
                        zzgvVar.add(zzez.zzb);
                    } else {
                        zzgvVar.add(zzez.zzm(bArr, zzj13, i26));
                        zzj13 += i26;
                    }
                    while (zzj13 < i3) {
                        int zzj14 = zzen.zzj(bArr, zzj13, zzemVar);
                        if (i4 != zzemVar.zza) {
                            return zzj13;
                        }
                        zzj13 = zzen.zzj(bArr, zzj14, zzemVar);
                        int i27 = zzemVar.zza;
                        if (i27 < 0) {
                            throw zzgy.zzf();
                        }
                        if (i27 > bArr.length - zzj13) {
                            throw zzgy.zzj();
                        }
                        if (i27 == 0) {
                            zzgvVar.add(zzez.zzb);
                        } else {
                            zzgvVar.add(zzez.zzm(bArr, zzj13, i27));
                            zzj13 += i27;
                        }
                    }
                    return zzj13;
                }
                return i13;
            case 30:
            case 44:
                if (i6 != 2) {
                    if (i6 == 0) {
                        zzj = zzen.zzl(i4, bArr, i2, i3, zzgvVar, zzemVar);
                    }
                    return i13;
                }
                zzj = zzen.zzf(bArr, i13, zzgvVar, zzemVar);
                zzin.zzB(obj, i5, zzgvVar, zzB(i7), null, this.zzo);
                return zzj;
            case 33:
            case 47:
                if (i6 == 2) {
                    zzgp zzgpVar3 = (zzgp) zzgvVar;
                    int zzj15 = zzen.zzj(bArr, i13, zzemVar);
                    int i28 = zzemVar.zza + zzj15;
                    while (zzj15 < i28) {
                        zzj15 = zzen.zzj(bArr, zzj15, zzemVar);
                        zzgpVar3.zzg(zzff.zzF(zzemVar.zza));
                    }
                    if (zzj15 == i28) {
                        return zzj15;
                    }
                    throw zzgy.zzj();
                }
                if (i6 == 0) {
                    zzgp zzgpVar4 = (zzgp) zzgvVar;
                    int zzj16 = zzen.zzj(bArr, i13, zzemVar);
                    zzgpVar4.zzg(zzff.zzF(zzemVar.zza));
                    while (zzj16 < i3) {
                        int zzj17 = zzen.zzj(bArr, zzj16, zzemVar);
                        if (i4 != zzemVar.zza) {
                            return zzj16;
                        }
                        zzj16 = zzen.zzj(bArr, zzj17, zzemVar);
                        zzgpVar4.zzg(zzff.zzF(zzemVar.zza));
                    }
                    return zzj16;
                }
                return i13;
            case 34:
            case 48:
                if (i6 == 2) {
                    zzhn zzhnVar5 = (zzhn) zzgvVar;
                    int zzj18 = zzen.zzj(bArr, i13, zzemVar);
                    int i29 = zzemVar.zza + zzj18;
                    while (zzj18 < i29) {
                        zzj18 = zzen.zzm(bArr, zzj18, zzemVar);
                        zzhnVar5.zzf(zzff.zzG(zzemVar.zzb));
                    }
                    if (zzj18 == i29) {
                        return zzj18;
                    }
                    throw zzgy.zzj();
                }
                if (i6 == 0) {
                    zzhn zzhnVar6 = (zzhn) zzgvVar;
                    int zzm3 = zzen.zzm(bArr, i13, zzemVar);
                    zzhnVar6.zzf(zzff.zzG(zzemVar.zzb));
                    while (zzm3 < i3) {
                        int zzj19 = zzen.zzj(bArr, zzm3, zzemVar);
                        if (i4 != zzemVar.zza) {
                            return zzm3;
                        }
                        zzm3 = zzen.zzm(bArr, zzj19, zzemVar);
                        zzhnVar6.zzf(zzff.zzG(zzemVar.zzb));
                    }
                    return zzm3;
                }
                return i13;
            default:
                if (i6 == 3) {
                    zzil zzC = zzC(i7);
                    int i30 = (i4 & (-8)) | 4;
                    int zzc = zzen.zzc(zzC, bArr, i2, i3, i30, zzemVar);
                    zzgvVar.add(zzemVar.zzc);
                    while (zzc < i3) {
                        int zzj20 = zzen.zzj(bArr, zzc, zzemVar);
                        if (i4 != zzemVar.zza) {
                            return zzc;
                        }
                        zzc = zzen.zzc(zzC, bArr, zzj20, i3, i30, zzemVar);
                        zzgvVar.add(zzemVar.zzc);
                    }
                    return zzc;
                }
                return i13;
        }
    }

    private final int zzu(int i2) {
        if (i2 < this.zze || i2 > this.zzf) {
            return -1;
        }
        return zzx(i2, 0);
    }

    private final int zzv(int i2, int i3) {
        if (i2 < this.zze || i2 > this.zzf) {
            return -1;
        }
        return zzx(i2, i3);
    }

    private final int zzw(int i2) {
        return this.zzc[i2 + 2];
    }

    private final int zzx(int i2, int i3) {
        int length = (this.zzc.length / 3) - 1;
        while (i3 <= length) {
            int i4 = (length + i3) >>> 1;
            int i5 = i4 * 3;
            int i6 = this.zzc[i5];
            if (i2 == i6) {
                return i5;
            }
            if (i2 < i6) {
                length = i4 - 1;
            } else {
                i3 = i4 + 1;
            }
        }
        return -1;
    }

    private static int zzy(int i2) {
        return (i2 >>> 20) & 255;
    }

    private final int zzz(int i2) {
        return this.zzc[i2 + 1];
    }

    @Override // com.google.android.recaptcha.internal.zzil
    public final int zza(Object obj) {
        int zzy;
        int zzy2;
        int zzz;
        int zzy3;
        int zzy4;
        int zzy5;
        int zzy6;
        int zzn;
        int zzy7;
        int zzz2;
        int zzy8;
        int zzy9;
        if (!this.zzj) {
            return zzp(obj);
        }
        Unsafe unsafe = zzb;
        int i2 = 0;
        for (int i3 = 0; i3 < this.zzc.length; i3 += 3) {
            int zzz3 = zzz(i3);
            int zzy10 = zzy(zzz3);
            int i4 = this.zzc[i3];
            int i5 = zzz3 & ErrorCode.ERR_UNKNOWN;
            if (zzy10 >= zzgf.DOUBLE_LIST_PACKED.zza() && zzy10 <= zzgf.SINT64_LIST_PACKED.zza()) {
                int i6 = this.zzc[i3 + 2];
            }
            long j2 = i5;
            switch (zzy10) {
                case 0:
                    if (zzT(obj, i3)) {
                        zzy = zzfk.zzy(i4 << 3);
                        zzn = zzy + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (zzT(obj, i3)) {
                        zzy2 = zzfk.zzy(i4 << 3);
                        zzn = zzy2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (zzT(obj, i3)) {
                        zzz = zzfk.zzz(zzjp.zzd(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (zzT(obj, i3)) {
                        zzz = zzfk.zzz(zzjp.zzd(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (zzT(obj, i3)) {
                        zzz = zzfk.zzu(zzjp.zzc(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (zzT(obj, i3)) {
                        zzy = zzfk.zzy(i4 << 3);
                        zzn = zzy + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (zzT(obj, i3)) {
                        zzy2 = zzfk.zzy(i4 << 3);
                        zzn = zzy2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (zzT(obj, i3)) {
                        zzy4 = zzfk.zzy(i4 << 3);
                        zzn = zzy4 + 1;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (zzT(obj, i3)) {
                        Object zzf = zzjp.zzf(obj, j2);
                        if (zzf instanceof zzez) {
                            int i7 = i4 << 3;
                            int i8 = zzfk.zzb;
                            int zzd = ((zzez) zzf).zzd();
                            zzy5 = zzfk.zzy(zzd) + zzd;
                            zzy6 = zzfk.zzy(i7);
                            zzn = zzy6 + zzy5;
                            i2 += zzn;
                            break;
                        } else {
                            zzz = zzfk.zzx((String) zzf);
                            zzy3 = zzfk.zzy(i4 << 3);
                            i2 += zzy3 + zzz;
                            break;
                        }
                    } else {
                        break;
                    }
                case 9:
                    if (zzT(obj, i3)) {
                        zzn = zzin.zzn(i4, zzjp.zzf(obj, j2), zzC(i3));
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 10:
                    if (zzT(obj, i3)) {
                        zzez zzezVar = (zzez) zzjp.zzf(obj, j2);
                        int i9 = i4 << 3;
                        int i10 = zzfk.zzb;
                        int zzd2 = zzezVar.zzd();
                        zzy5 = zzfk.zzy(zzd2) + zzd2;
                        zzy6 = zzfk.zzy(i9);
                        zzn = zzy6 + zzy5;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (zzT(obj, i3)) {
                        zzz = zzfk.zzy(zzjp.zzc(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (zzT(obj, i3)) {
                        zzz = zzfk.zzu(zzjp.zzc(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (zzT(obj, i3)) {
                        zzy2 = zzfk.zzy(i4 << 3);
                        zzn = zzy2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (zzT(obj, i3)) {
                        zzy = zzfk.zzy(i4 << 3);
                        zzn = zzy + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (zzT(obj, i3)) {
                        int zzc = zzjp.zzc(obj, j2);
                        zzy3 = zzfk.zzy(i4 << 3);
                        zzz = zzfk.zzy((zzc >> 31) ^ (zzc + zzc));
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (zzT(obj, i3)) {
                        long zzd3 = zzjp.zzd(obj, j2);
                        zzy7 = zzfk.zzy(i4 << 3);
                        zzz2 = zzfk.zzz((zzd3 + zzd3) ^ (zzd3 >> 63));
                        zzn = zzy7 + zzz2;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 17:
                    if (zzT(obj, i3)) {
                        zzn = zzfk.zzt(i4, (zzhy) zzjp.zzf(obj, j2), zzC(i3));
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 18:
                    zzn = zzin.zzg(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 19:
                    zzn = zzin.zze(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 20:
                    zzn = zzin.zzl(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 21:
                    zzn = zzin.zzw(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 22:
                    zzn = zzin.zzj(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 23:
                    zzn = zzin.zzg(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 24:
                    zzn = zzin.zze(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 25:
                    zzn = zzin.zza(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 26:
                    zzn = zzin.zzt(i4, (List) zzjp.zzf(obj, j2));
                    i2 += zzn;
                    break;
                case 27:
                    zzn = zzin.zzo(i4, (List) zzjp.zzf(obj, j2), zzC(i3));
                    i2 += zzn;
                    break;
                case 28:
                    zzn = zzin.zzb(i4, (List) zzjp.zzf(obj, j2));
                    i2 += zzn;
                    break;
                case 29:
                    zzn = zzin.zzu(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 30:
                    zzn = zzin.zzc(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 31:
                    zzn = zzin.zze(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 32:
                    zzn = zzin.zzg(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 33:
                    zzn = zzin.zzp(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 34:
                    zzn = zzin.zzr(i4, (List) zzjp.zzf(obj, j2), false);
                    i2 += zzn;
                    break;
                case 35:
                    zzz = zzin.zzh((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i11 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i11);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 36:
                    zzz = zzin.zzf((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i12 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i12);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 37:
                    zzz = zzin.zzm((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i13 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i13);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 38:
                    zzz = zzin.zzx((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i14 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i14);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 39:
                    zzz = zzin.zzk((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i15 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i15);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 40:
                    zzz = zzin.zzh((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i16 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i16);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 41:
                    zzz = zzin.zzf((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i17 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i17);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 42:
                    List list = (List) unsafe.getObject(obj, j2);
                    int i18 = zzin.zza;
                    zzz = list.size();
                    if (zzz > 0) {
                        int i19 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i19);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 43:
                    zzz = zzin.zzv((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i20 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i20);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 44:
                    zzz = zzin.zzd((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i21 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i21);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 45:
                    zzz = zzin.zzf((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i22 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i22);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 46:
                    zzz = zzin.zzh((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i23 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i23);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 47:
                    zzz = zzin.zzq((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i24 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i24);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 48:
                    zzz = zzin.zzs((List) unsafe.getObject(obj, j2));
                    if (zzz > 0) {
                        int i25 = i4 << 3;
                        zzy8 = zzfk.zzy(zzz);
                        zzy9 = zzfk.zzy(i25);
                        zzy3 = zzy9 + zzy8;
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 49:
                    zzn = zzin.zzi(i4, (List) zzjp.zzf(obj, j2), zzC(i3));
                    i2 += zzn;
                    break;
                case 50:
                    zzht.zza(i4, zzjp.zzf(obj, j2), zzE(i3));
                    break;
                case 51:
                    if (zzX(obj, i4, i3)) {
                        zzy = zzfk.zzy(i4 << 3);
                        zzn = zzy + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (zzX(obj, i4, i3)) {
                        zzy2 = zzfk.zzy(i4 << 3);
                        zzn = zzy2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (zzX(obj, i4, i3)) {
                        zzz = zzfk.zzz(zzA(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (zzX(obj, i4, i3)) {
                        zzz = zzfk.zzz(zzA(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (zzX(obj, i4, i3)) {
                        zzz = zzfk.zzu(zzq(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (zzX(obj, i4, i3)) {
                        zzy = zzfk.zzy(i4 << 3);
                        zzn = zzy + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (zzX(obj, i4, i3)) {
                        zzy2 = zzfk.zzy(i4 << 3);
                        zzn = zzy2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (zzX(obj, i4, i3)) {
                        zzy4 = zzfk.zzy(i4 << 3);
                        zzn = zzy4 + 1;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (zzX(obj, i4, i3)) {
                        Object zzf2 = zzjp.zzf(obj, j2);
                        if (zzf2 instanceof zzez) {
                            int i26 = i4 << 3;
                            int i27 = zzfk.zzb;
                            int zzd4 = ((zzez) zzf2).zzd();
                            zzy5 = zzfk.zzy(zzd4) + zzd4;
                            zzy6 = zzfk.zzy(i26);
                            zzn = zzy6 + zzy5;
                            i2 += zzn;
                            break;
                        } else {
                            zzz = zzfk.zzx((String) zzf2);
                            zzy3 = zzfk.zzy(i4 << 3);
                            i2 += zzy3 + zzz;
                            break;
                        }
                    } else {
                        break;
                    }
                case 60:
                    if (zzX(obj, i4, i3)) {
                        zzn = zzin.zzn(i4, zzjp.zzf(obj, j2), zzC(i3));
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (zzX(obj, i4, i3)) {
                        zzez zzezVar2 = (zzez) zzjp.zzf(obj, j2);
                        int i28 = i4 << 3;
                        int i29 = zzfk.zzb;
                        int zzd5 = zzezVar2.zzd();
                        zzy5 = zzfk.zzy(zzd5) + zzd5;
                        zzy6 = zzfk.zzy(i28);
                        zzn = zzy6 + zzy5;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (zzX(obj, i4, i3)) {
                        zzz = zzfk.zzy(zzq(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (zzX(obj, i4, i3)) {
                        zzz = zzfk.zzu(zzq(obj, j2));
                        zzy3 = zzfk.zzy(i4 << 3);
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (zzX(obj, i4, i3)) {
                        zzy2 = zzfk.zzy(i4 << 3);
                        zzn = zzy2 + 4;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (zzX(obj, i4, i3)) {
                        zzy = zzfk.zzy(i4 << 3);
                        zzn = zzy + 8;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (zzX(obj, i4, i3)) {
                        int zzq = zzq(obj, j2);
                        zzy3 = zzfk.zzy(i4 << 3);
                        zzz = zzfk.zzy((zzq >> 31) ^ (zzq + zzq));
                        i2 += zzy3 + zzz;
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (zzX(obj, i4, i3)) {
                        long zzA = zzA(obj, j2);
                        zzy7 = zzfk.zzy(i4 << 3);
                        zzz2 = zzfk.zzz((zzA + zzA) ^ (zzA >> 63));
                        zzn = zzy7 + zzz2;
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (zzX(obj, i4, i3)) {
                        zzn = zzfk.zzt(i4, (zzhy) zzjp.zzf(obj, j2), zzC(i3));
                        i2 += zzn;
                        break;
                    } else {
                        break;
                    }
            }
        }
        zzjf zzjfVar = this.zzo;
        return i2 + zzjfVar.zza(zzjfVar.zzd(obj));
    }

    @Override // com.google.android.recaptcha.internal.zzil
    public final int zzb(Object obj) {
        int i2;
        long doubleToLongBits;
        int floatToIntBits;
        int length = this.zzc.length;
        int i3 = 0;
        for (int i4 = 0; i4 < length; i4 += 3) {
            int zzz = zzz(i4);
            int i5 = this.zzc[i4];
            long j2 = 1048575 & zzz;
            int i6 = 37;
            switch (zzy(zzz)) {
                case 0:
                    i2 = i3 * 53;
                    doubleToLongBits = Double.doubleToLongBits(zzjp.zza(obj, j2));
                    byte[] bArr = zzgw.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 1:
                    i2 = i3 * 53;
                    floatToIntBits = Float.floatToIntBits(zzjp.zzb(obj, j2));
                    i3 = i2 + floatToIntBits;
                    break;
                case 2:
                    i2 = i3 * 53;
                    doubleToLongBits = zzjp.zzd(obj, j2);
                    byte[] bArr2 = zzgw.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 3:
                    i2 = i3 * 53;
                    doubleToLongBits = zzjp.zzd(obj, j2);
                    byte[] bArr3 = zzgw.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 4:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 5:
                    i2 = i3 * 53;
                    doubleToLongBits = zzjp.zzd(obj, j2);
                    byte[] bArr4 = zzgw.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 6:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 7:
                    i2 = i3 * 53;
                    floatToIntBits = zzgw.zza(zzjp.zzw(obj, j2));
                    i3 = i2 + floatToIntBits;
                    break;
                case 8:
                    i2 = i3 * 53;
                    floatToIntBits = ((String) zzjp.zzf(obj, j2)).hashCode();
                    i3 = i2 + floatToIntBits;
                    break;
                case 9:
                    Object zzf = zzjp.zzf(obj, j2);
                    if (zzf != null) {
                        i6 = zzf.hashCode();
                    }
                    i3 = (i3 * 53) + i6;
                    break;
                case 10:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzf(obj, j2).hashCode();
                    i3 = i2 + floatToIntBits;
                    break;
                case 11:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 12:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 13:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 14:
                    i2 = i3 * 53;
                    doubleToLongBits = zzjp.zzd(obj, j2);
                    byte[] bArr5 = zzgw.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 15:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzc(obj, j2);
                    i3 = i2 + floatToIntBits;
                    break;
                case 16:
                    i2 = i3 * 53;
                    doubleToLongBits = zzjp.zzd(obj, j2);
                    byte[] bArr6 = zzgw.zzd;
                    floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                    i3 = i2 + floatToIntBits;
                    break;
                case 17:
                    Object zzf2 = zzjp.zzf(obj, j2);
                    if (zzf2 != null) {
                        i6 = zzf2.hashCode();
                    }
                    i3 = (i3 * 53) + i6;
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzf(obj, j2).hashCode();
                    i3 = i2 + floatToIntBits;
                    break;
                case 50:
                    i2 = i3 * 53;
                    floatToIntBits = zzjp.zzf(obj, j2).hashCode();
                    i3 = i2 + floatToIntBits;
                    break;
                case 51:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = Double.doubleToLongBits(zzn(obj, j2));
                        byte[] bArr7 = zzgw.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 52:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = Float.floatToIntBits(zzo(obj, j2));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 53:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzA(obj, j2);
                        byte[] bArr8 = zzgw.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 54:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzA(obj, j2);
                        byte[] bArr9 = zzgw.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 55:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzq(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 56:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzA(obj, j2);
                        byte[] bArr10 = zzgw.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 57:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzq(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 58:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzgw.zza(zzY(obj, j2));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 59:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = ((String) zzjp.zzf(obj, j2)).hashCode();
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 60:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzjp.zzf(obj, j2).hashCode();
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 61:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzjp.zzf(obj, j2).hashCode();
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 62:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzq(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 63:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzq(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 64:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzq(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 65:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzA(obj, j2);
                        byte[] bArr11 = zzgw.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 66:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzq(obj, j2);
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 67:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        doubleToLongBits = zzA(obj, j2);
                        byte[] bArr12 = zzgw.zzd;
                        floatToIntBits = (int) (doubleToLongBits ^ (doubleToLongBits >>> 32));
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
                case 68:
                    if (zzX(obj, i5, i4)) {
                        i2 = i3 * 53;
                        floatToIntBits = zzjp.zzf(obj, j2).hashCode();
                        i3 = i2 + floatToIntBits;
                        break;
                    } else {
                        break;
                    }
            }
        }
        int hashCode = (i3 * 53) + this.zzo.zzd(obj).hashCode();
        return this.zzh ? (hashCode * 53) + this.zzp.zzb(obj).zza.hashCode() : hashCode;
    }

    /* JADX WARN: Code restructure failed: missing block: B:32:0x04f3, code lost:
    
        if (r0 == r1) goto L173;
     */
    /* JADX WARN: Code restructure failed: missing block: B:33:0x04f5, code lost:
    
        r31.putInt(r12, r0, r5);
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:0x04fb, code lost:
    
        r10 = r9.zzl;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x0500, code lost:
    
        if (r10 >= r9.zzm) goto L259;
     */
    /* JADX WARN: Code restructure failed: missing block: B:37:0x0502, code lost:
    
        zzD(r34, r9.zzk[r10], null, r9.zzo, r34);
        r10 = r10 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:39:0x0515, code lost:
    
        if (r7 != 0) goto L183;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x0519, code lost:
    
        if (r6 != r37) goto L181;
     */
    /* JADX WARN: Code restructure failed: missing block: B:43:0x0520, code lost:
    
        throw com.google.android.recaptcha.internal.zzgy.zzg();
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x0527, code lost:
    
        return r6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x0523, code lost:
    
        if (r6 > r37) goto L187;
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0525, code lost:
    
        if (r8 != r7) goto L187;
     */
    /* JADX WARN: Code restructure failed: missing block: B:50:0x052c, code lost:
    
        throw com.google.android.recaptcha.internal.zzgy.zzg();
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    final int zzc(java.lang.Object r34, byte[] r35, int r36, int r37, int r38, com.google.android.recaptcha.internal.zzem r39) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 1404
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.recaptcha.internal.zzib.zzc(java.lang.Object, byte[], int, int, int, com.google.android.recaptcha.internal.zzem):int");
    }

    @Override // com.google.android.recaptcha.internal.zzil
    public final Object zze() {
        return ((zzgo) this.zzg).zzs();
    }

    @Override // com.google.android.recaptcha.internal.zzil
    public final void zzf(Object obj) {
        if (zzW(obj)) {
            if (obj instanceof zzgo) {
                zzgo zzgoVar = (zzgo) obj;
                zzgoVar.zzD(Integer.MAX_VALUE);
                zzgoVar.zza = 0;
                zzgoVar.zzB();
            }
            int length = this.zzc.length;
            for (int i2 = 0; i2 < length; i2 += 3) {
                int zzz = zzz(i2);
                int i3 = 1048575 & zzz;
                int zzy = zzy(zzz);
                long j2 = i3;
                if (zzy != 9) {
                    if (zzy != 60 && zzy != 68) {
                        switch (zzy) {
                            case 18:
                            case 19:
                            case 20:
                            case 21:
                            case 22:
                            case 23:
                            case 24:
                            case 25:
                            case 26:
                            case 27:
                            case 28:
                            case 29:
                            case 30:
                            case 31:
                            case 32:
                            case 33:
                            case 34:
                            case 35:
                            case 36:
                            case 37:
                            case 38:
                            case 39:
                            case 40:
                            case 41:
                            case 42:
                            case 43:
                            case 44:
                            case 45:
                            case 46:
                            case 47:
                            case 48:
                            case 49:
                                this.zzn.zzb(obj, j2);
                                break;
                            case 50:
                                Unsafe unsafe = zzb;
                                Object object = unsafe.getObject(obj, j2);
                                if (object != null) {
                                    ((zzhs) object).zzc();
                                    unsafe.putObject(obj, j2, object);
                                    break;
                                } else {
                                    break;
                                }
                        }
                    } else if (zzX(obj, this.zzc[i2], i2)) {
                        zzC(i2).zzf(zzb.getObject(obj, j2));
                    }
                }
                if (zzT(obj, i2)) {
                    zzC(i2).zzf(zzb.getObject(obj, j2));
                }
            }
            this.zzo.zzm(obj);
            if (this.zzh) {
                this.zzp.zzf(obj);
            }
        }
    }

    @Override // com.google.android.recaptcha.internal.zzil
    public final void zzg(Object obj, Object obj2) {
        zzI(obj);
        obj2.getClass();
        for (int i2 = 0; i2 < this.zzc.length; i2 += 3) {
            int zzz = zzz(i2);
            int i3 = this.zzc[i2];
            long j2 = 1048575 & zzz;
            switch (zzy(zzz)) {
                case 0:
                    if (zzT(obj2, i2)) {
                        zzjp.zzo(obj, j2, zzjp.zza(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 1:
                    if (zzT(obj2, i2)) {
                        zzjp.zzp(obj, j2, zzjp.zzb(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 2:
                    if (zzT(obj2, i2)) {
                        zzjp.zzr(obj, j2, zzjp.zzd(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 3:
                    if (zzT(obj2, i2)) {
                        zzjp.zzr(obj, j2, zzjp.zzd(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 4:
                    if (zzT(obj2, i2)) {
                        zzjp.zzq(obj, j2, zzjp.zzc(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 5:
                    if (zzT(obj2, i2)) {
                        zzjp.zzr(obj, j2, zzjp.zzd(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 6:
                    if (zzT(obj2, i2)) {
                        zzjp.zzq(obj, j2, zzjp.zzc(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 7:
                    if (zzT(obj2, i2)) {
                        zzjp.zzm(obj, j2, zzjp.zzw(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 8:
                    if (zzT(obj2, i2)) {
                        zzjp.zzs(obj, j2, zzjp.zzf(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 9:
                    zzJ(obj, obj2, i2);
                    break;
                case 10:
                    if (zzT(obj2, i2)) {
                        zzjp.zzs(obj, j2, zzjp.zzf(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 11:
                    if (zzT(obj2, i2)) {
                        zzjp.zzq(obj, j2, zzjp.zzc(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 12:
                    if (zzT(obj2, i2)) {
                        zzjp.zzq(obj, j2, zzjp.zzc(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 13:
                    if (zzT(obj2, i2)) {
                        zzjp.zzq(obj, j2, zzjp.zzc(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 14:
                    if (zzT(obj2, i2)) {
                        zzjp.zzr(obj, j2, zzjp.zzd(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 15:
                    if (zzT(obj2, i2)) {
                        zzjp.zzq(obj, j2, zzjp.zzc(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 16:
                    if (zzT(obj2, i2)) {
                        zzjp.zzr(obj, j2, zzjp.zzd(obj2, j2));
                        zzM(obj, i2);
                        break;
                    } else {
                        break;
                    }
                case 17:
                    zzJ(obj, obj2, i2);
                    break;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    this.zzn.zzc(obj, obj2, j2);
                    break;
                case 50:
                    int i4 = zzin.zza;
                    zzjp.zzs(obj, j2, zzht.zzc(zzjp.zzf(obj, j2), zzjp.zzf(obj2, j2)));
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                    if (zzX(obj2, i3, i2)) {
                        zzjp.zzs(obj, j2, zzjp.zzf(obj2, j2));
                        zzN(obj, i3, i2);
                        break;
                    } else {
                        break;
                    }
                case 60:
                    zzK(obj, obj2, i2);
                    break;
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                    if (zzX(obj2, i3, i2)) {
                        zzjp.zzs(obj, j2, zzjp.zzf(obj2, j2));
                        zzN(obj, i3, i2);
                        break;
                    } else {
                        break;
                    }
                case 68:
                    zzK(obj, obj2, i2);
                    break;
            }
        }
        zzin.zzE(this.zzo, obj, obj2);
        if (this.zzh) {
            zzin.zzD(this.zzp, obj, obj2);
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:53:0x064e A[LOOP:3: B:51:0x064a->B:53:0x064e, LOOP_END] */
    /* JADX WARN: Removed duplicated region for block: B:56:0x0662  */
    @Override // com.google.android.recaptcha.internal.zzil
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void zzh(java.lang.Object r18, com.google.android.recaptcha.internal.zzik r19, com.google.android.recaptcha.internal.zzfz r20) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 1780
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.recaptcha.internal.zzib.zzh(java.lang.Object, com.google.android.recaptcha.internal.zzik, com.google.android.recaptcha.internal.zzfz):void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:43:0x02e8, code lost:
    
        if (r0 != r24) goto L102;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x02ea, code lost:
    
        r14 = r31;
        r12 = r32;
        r13 = r34;
        r11 = r35;
        r2 = r15;
        r10 = r18;
        r1 = r23;
        r6 = r25;
        r7 = r26;
     */
    /* JADX WARN: Code restructure failed: missing block: B:45:0x02fd, code lost:
    
        r2 = r0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0329, code lost:
    
        if (r0 != r14) goto L102;
     */
    /* JADX WARN: Code restructure failed: missing block: B:53:0x034c, code lost:
    
        if (r0 != r14) goto L102;
     */
    /* JADX WARN: Failed to find 'out' block for switch in B:63:0x0095. Please report as an issue. */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v12, types: [int] */
    @Override // com.google.android.recaptcha.internal.zzil
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void zzi(java.lang.Object r31, byte[] r32, int r33, int r34, com.google.android.recaptcha.internal.zzem r35) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 970
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.recaptcha.internal.zzib.zzi(java.lang.Object, byte[], int, int, com.google.android.recaptcha.internal.zzem):void");
    }

    @Override // com.google.android.recaptcha.internal.zzil
    public final boolean zzk(Object obj, Object obj2) {
        boolean zzY;
        int length = this.zzc.length;
        for (int i2 = 0; i2 < length; i2 += 3) {
            int zzz = zzz(i2);
            long j2 = zzz & ErrorCode.ERR_UNKNOWN;
            switch (zzy(zzz)) {
                case 0:
                    if (zzR(obj, obj2, i2) && Double.doubleToLongBits(zzjp.zza(obj, j2)) == Double.doubleToLongBits(zzjp.zza(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 1:
                    if (zzR(obj, obj2, i2) && Float.floatToIntBits(zzjp.zzb(obj, j2)) == Float.floatToIntBits(zzjp.zzb(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 2:
                    if (zzR(obj, obj2, i2) && zzjp.zzd(obj, j2) == zzjp.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 3:
                    if (zzR(obj, obj2, i2) && zzjp.zzd(obj, j2) == zzjp.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 4:
                    if (zzR(obj, obj2, i2) && zzjp.zzc(obj, j2) == zzjp.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 5:
                    if (zzR(obj, obj2, i2) && zzjp.zzd(obj, j2) == zzjp.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 6:
                    if (zzR(obj, obj2, i2) && zzjp.zzc(obj, j2) == zzjp.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 7:
                    if (zzR(obj, obj2, i2) && zzjp.zzw(obj, j2) == zzjp.zzw(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 8:
                    if (zzR(obj, obj2, i2) && zzin.zzY(zzjp.zzf(obj, j2), zzjp.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 9:
                    if (zzR(obj, obj2, i2) && zzin.zzY(zzjp.zzf(obj, j2), zzjp.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 10:
                    if (zzR(obj, obj2, i2) && zzin.zzY(zzjp.zzf(obj, j2), zzjp.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 11:
                    if (zzR(obj, obj2, i2) && zzjp.zzc(obj, j2) == zzjp.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 12:
                    if (zzR(obj, obj2, i2) && zzjp.zzc(obj, j2) == zzjp.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 13:
                    if (zzR(obj, obj2, i2) && zzjp.zzc(obj, j2) == zzjp.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 14:
                    if (zzR(obj, obj2, i2) && zzjp.zzd(obj, j2) == zzjp.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 15:
                    if (zzR(obj, obj2, i2) && zzjp.zzc(obj, j2) == zzjp.zzc(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 16:
                    if (zzR(obj, obj2, i2) && zzjp.zzd(obj, j2) == zzjp.zzd(obj2, j2)) {
                        continue;
                    }
                    return false;
                case 17:
                    if (zzR(obj, obj2, i2) && zzin.zzY(zzjp.zzf(obj, j2), zzjp.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                case 18:
                case 19:
                case 20:
                case 21:
                case 22:
                case 23:
                case 24:
                case 25:
                case 26:
                case 27:
                case 28:
                case 29:
                case 30:
                case 31:
                case 32:
                case 33:
                case 34:
                case 35:
                case 36:
                case 37:
                case 38:
                case 39:
                case 40:
                case 41:
                case 42:
                case 43:
                case 44:
                case 45:
                case 46:
                case 47:
                case 48:
                case 49:
                    zzY = zzin.zzY(zzjp.zzf(obj, j2), zzjp.zzf(obj2, j2));
                    break;
                case 50:
                    zzY = zzin.zzY(zzjp.zzf(obj, j2), zzjp.zzf(obj2, j2));
                    break;
                case 51:
                case 52:
                case 53:
                case 54:
                case 55:
                case 56:
                case 57:
                case 58:
                case 59:
                case 60:
                case 61:
                case 62:
                case 63:
                case 64:
                case 65:
                case 66:
                case 67:
                case 68:
                    long zzw = zzw(i2) & ErrorCode.ERR_UNKNOWN;
                    if (zzjp.zzc(obj, zzw) == zzjp.zzc(obj2, zzw) && zzin.zzY(zzjp.zzf(obj, j2), zzjp.zzf(obj2, j2))) {
                        continue;
                    }
                    return false;
                default:
            }
            if (!zzY) {
                return false;
            }
        }
        if (!this.zzo.zzd(obj).equals(this.zzo.zzd(obj2))) {
            return false;
        }
        if (this.zzh) {
            return this.zzp.zzb(obj).equals(this.zzp.zzb(obj2));
        }
        return true;
    }

    @Override // com.google.android.recaptcha.internal.zzil
    public final boolean zzl(Object obj) {
        int i2;
        int i3;
        int i4 = 0;
        int i5 = 0;
        int i6 = 1048575;
        while (i5 < this.zzl) {
            int i7 = this.zzk[i5];
            int i8 = this.zzc[i7];
            int zzz = zzz(i7);
            int i9 = this.zzc[i7 + 2];
            int i10 = i9 & ErrorCode.ERR_UNKNOWN;
            int i11 = 1 << (i9 >>> 20);
            if (i10 != i6) {
                if (i10 != 1048575) {
                    i4 = zzb.getInt(obj, i10);
                }
                i3 = i4;
                i2 = i10;
            } else {
                i2 = i6;
                i3 = i4;
            }
            if ((268435456 & zzz) != 0 && !zzU(obj, i7, i2, i3, i11)) {
                return false;
            }
            int zzy = zzy(zzz);
            if (zzy != 9 && zzy != 17) {
                if (zzy != 27) {
                    if (zzy == 60 || zzy == 68) {
                        if (zzX(obj, i8, i7) && !zzV(obj, zzz, zzC(i7))) {
                            return false;
                        }
                    } else if (zzy != 49) {
                        if (zzy == 50 && !((zzhs) zzjp.zzf(obj, zzz & ErrorCode.ERR_UNKNOWN)).isEmpty()) {
                            throw null;
                        }
                    }
                }
                List list = (List) zzjp.zzf(obj, zzz & ErrorCode.ERR_UNKNOWN);
                if (list.isEmpty()) {
                    continue;
                } else {
                    zzil zzC = zzC(i7);
                    for (int i12 = 0; i12 < list.size(); i12++) {
                        if (!zzC.zzl(list.get(i12))) {
                            return false;
                        }
                    }
                }
            } else if (zzU(obj, i7, i2, i3, i11) && !zzV(obj, zzz, zzC(i7))) {
                return false;
            }
            i5++;
            i6 = i2;
            i4 = i3;
        }
        return !this.zzh || this.zzp.zzb(obj).zzk();
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Removed duplicated region for block: B:10:0x0034  */
    /* JADX WARN: Removed duplicated region for block: B:277:0x050c  */
    /* JADX WARN: Removed duplicated region for block: B:298:0x0554  */
    /* JADX WARN: Removed duplicated region for block: B:509:0x09e5  */
    @Override // com.google.android.recaptcha.internal.zzil
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void zzj(java.lang.Object r18, com.google.android.recaptcha.internal.zzjx r19) throws java.io.IOException {
        /*
            Method dump skipped, instructions count: 2848
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.android.recaptcha.internal.zzib.zzj(java.lang.Object, com.google.android.recaptcha.internal.zzjx):void");
    }
}
