package com.google.firebase.crashlytics.buildtools.ndk.internal.dwarf;

import com.google.firebase.crashlytics.buildtools.utils.io.ByteReader;
import java.io.IOException;

/* loaded from: classes2.dex */
public class SpecialOpcode implements DebugLineOpcode {
    private final int _opcode;

    public SpecialOpcode(int i2) {
        this._opcode = i2;
    }

    @Override // com.google.firebase.crashlytics.buildtools.ndk.internal.dwarf.DebugLineOpcode
    public boolean process(DebugLineContext debugLineContext, ByteReader byteReader) throws IOException {
        int i2 = this._opcode - debugLineContext.header.opcodeBase;
        int i3 = i2 / debugLineContext.header.lineRange;
        int i4 = debugLineContext.header.minInstructionLength * ((debugLineContext.reg.opIndex + i3) / debugLineContext.header.maximumOperationsPerInstruction);
        int i5 = debugLineContext.header.lineBase + (i2 % debugLineContext.header.lineRange);
        debugLineContext.reg.opIndex = (debugLineContext.reg.opIndex + i3) % debugLineContext.header.maximumOperationsPerInstruction;
        debugLineContext.reg.address += i4;
        debugLineContext.reg.line += i5;
        debugLineContext.reg.isBasicBlock = false;
        return true;
    }
}
