package com.google.firebase.crashlytics.buildtools.reloc.com.google.common.collect;

import com.android.tools.r8.annotations.SynthesizedClassV2;
import com.google.firebase.crashlytics.buildtools.reloc.org.checkerframework.checker.nullness.compatqual.NullableDecl;
import java.lang.Comparable;
import java.util.Iterator;
import java.util.Set;

/* loaded from: classes3.dex */
public interface RangeSet<C extends Comparable> {
    void add(Range<C> range);

    void addAll(RangeSet<C> rangeSet);

    void addAll(Iterable<Range<C>> iterable);

    Set<Range<C>> asDescendingSetOfRanges();

    Set<Range<C>> asRanges();

    void clear();

    RangeSet<C> complement();

    boolean contains(C c2);

    boolean encloses(Range<C> range);

    boolean enclosesAll(RangeSet<C> rangeSet);

    boolean enclosesAll(Iterable<Range<C>> iterable);

    boolean equals(@NullableDecl Object obj);

    int hashCode();

    boolean intersects(Range<C> range);

    boolean isEmpty();

    Range<C> rangeContaining(C c2);

    void remove(Range<C> range);

    void removeAll(RangeSet<C> rangeSet);

    void removeAll(Iterable<Range<C>> iterable);

    Range<C> span();

    RangeSet<C> subRangeSet(Range<C> range);

    String toString();

    @SynthesizedClassV2(kind = 8, versionHash = "7a5b85d3ee2e0991ca3502602e9389a98f55c0576b887125894a7ec03823f8d3")
    /* renamed from: com.google.firebase.crashlytics.buildtools.reloc.com.google.common.collect.RangeSet$-CC, reason: invalid class name */
    public final /* synthetic */ class CC<C extends Comparable> {
        public static boolean $default$enclosesAll(RangeSet _this, Iterable iterable) {
            Iterator it2 = iterable.iterator();
            while (it2.hasNext()) {
                if (!_this.encloses((Range) it2.next())) {
                    return false;
                }
            }
            return true;
        }

        public static void $default$addAll(RangeSet _this, Iterable iterable) {
            Iterator it2 = iterable.iterator();
            while (it2.hasNext()) {
                _this.add((Range) it2.next());
            }
        }

        public static void $default$removeAll(RangeSet _this, Iterable iterable) {
            Iterator it2 = iterable.iterator();
            while (it2.hasNext()) {
                _this.remove((Range) it2.next());
            }
        }
    }
}
