package com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli;

/* loaded from: classes3.dex */
final class OptionValidator {
    OptionValidator() {
    }

    static void validateOption(String str) throws IllegalArgumentException {
        if (str == null) {
            return;
        }
        if (str.length() == 1) {
            char charAt = str.charAt(0);
            if (isValidOpt(charAt)) {
                return;
            }
            throw new IllegalArgumentException("Illegal option name '" + charAt + "'");
        }
        for (char c2 : str.toCharArray()) {
            if (!isValidChar(c2)) {
                throw new IllegalArgumentException("The option '" + str + "' contains an illegal character : '" + c2 + "'");
            }
        }
    }

    private static boolean isValidOpt(char c2) {
        return isValidChar(c2) || c2 == '?' || c2 == '@';
    }

    private static boolean isValidChar(char c2) {
        return Character.isJavaIdentifierPart(c2);
    }
}
