package com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli;

import java.io.File;
import java.io.FileInputStream;
import java.net.URL;
import java.util.Date;

/* loaded from: classes3.dex */
public class PatternOptionBuilder {
    public static final Class<String> STRING_VALUE = String.class;
    public static final Class<Object> OBJECT_VALUE = Object.class;
    public static final Class<Number> NUMBER_VALUE = Number.class;
    public static final Class<Date> DATE_VALUE = Date.class;
    public static final Class<?> CLASS_VALUE = Class.class;
    public static final Class<FileInputStream> EXISTING_FILE_VALUE = FileInputStream.class;
    public static final Class<File> FILE_VALUE = File.class;
    public static final Class<File[]> FILES_VALUE = File[].class;
    public static final Class<URL> URL_VALUE = URL.class;

    public static boolean isValueCode(char c2) {
        return c2 == '@' || c2 == ':' || c2 == '%' || c2 == '+' || c2 == '#' || c2 == '<' || c2 == '>' || c2 == '*' || c2 == '/' || c2 == '!';
    }

    public static Object getValueClass(char c2) {
        if (c2 == '#') {
            return DATE_VALUE;
        }
        if (c2 == '%') {
            return NUMBER_VALUE;
        }
        if (c2 == '/') {
            return URL_VALUE;
        }
        if (c2 == ':') {
            return STRING_VALUE;
        }
        if (c2 == '<') {
            return EXISTING_FILE_VALUE;
        }
        if (c2 == '>') {
            return FILE_VALUE;
        }
        if (c2 == '@') {
            return OBJECT_VALUE;
        }
        if (c2 == '*') {
            return FILES_VALUE;
        }
        if (c2 != '+') {
            return null;
        }
        return CLASS_VALUE;
    }

    public static Options parsePattern(String str) {
        Options options = new Options();
        char c2 = ' ';
        int i2 = 0;
        boolean z = false;
        Class<?> cls = null;
        while (true) {
            if (i2 >= str.length()) {
                break;
            }
            char charAt = str.charAt(i2);
            if (!isValueCode(charAt)) {
                if (c2 != ' ') {
                    options.addOption(Option.builder(String.valueOf(c2)).hasArg(cls != null).required(z).type(cls).build());
                    z = false;
                    cls = null;
                }
                c2 = charAt;
            } else if (charAt == '!') {
                z = true;
            } else {
                cls = (Class) getValueClass(charAt);
            }
            i2++;
        }
        if (c2 != ' ') {
            options.addOption(Option.builder(String.valueOf(c2)).hasArg(cls != null).required(z).type(cls).build());
        }
        return options;
    }
}
