package com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.io.output;

import java.io.FilterWriter;
import java.io.IOException;
import java.io.Writer;

/* loaded from: classes3.dex */
public class ProxyWriter extends FilterWriter {
    protected void afterWrite(int i2) throws IOException {
    }

    protected void beforeWrite(int i2) throws IOException {
    }

    public ProxyWriter(Writer writer) {
        super(writer);
    }

    @Override // java.io.Writer, java.lang.Appendable
    public Writer append(char c2) throws IOException {
        try {
            beforeWrite(1);
            this.out.append(c2);
            afterWrite(1);
        } catch (IOException e2) {
            handleIOException(e2);
        }
        return this;
    }

    @Override // java.io.Writer, java.lang.Appendable
    public Writer append(CharSequence charSequence, int i2, int i3) throws IOException {
        int i4 = i3 - i2;
        try {
            beforeWrite(i4);
            this.out.append(charSequence, i2, i3);
            afterWrite(i4);
        } catch (IOException e2) {
            handleIOException(e2);
        }
        return this;
    }

    @Override // java.io.Writer, java.lang.Appendable
    public Writer append(CharSequence charSequence) throws IOException {
        int length;
        if (charSequence != null) {
            try {
                length = charSequence.length();
            } catch (IOException e2) {
                handleIOException(e2);
            }
        } else {
            length = 0;
        }
        beforeWrite(length);
        this.out.append(charSequence);
        afterWrite(length);
        return this;
    }

    @Override // java.io.FilterWriter, java.io.Writer
    public void write(int i2) throws IOException {
        try {
            beforeWrite(1);
            this.out.write(i2);
            afterWrite(1);
        } catch (IOException e2) {
            handleIOException(e2);
        }
    }

    @Override // java.io.Writer
    public void write(char[] cArr) throws IOException {
        int length;
        if (cArr != null) {
            try {
                length = cArr.length;
            } catch (IOException e2) {
                handleIOException(e2);
                return;
            }
        } else {
            length = 0;
        }
        beforeWrite(length);
        this.out.write(cArr);
        afterWrite(length);
    }

    @Override // java.io.FilterWriter, java.io.Writer
    public void write(char[] cArr, int i2, int i3) throws IOException {
        try {
            beforeWrite(i3);
            this.out.write(cArr, i2, i3);
            afterWrite(i3);
        } catch (IOException e2) {
            handleIOException(e2);
        }
    }

    @Override // java.io.Writer
    public void write(String str) throws IOException {
        int length;
        if (str != null) {
            try {
                length = str.length();
            } catch (IOException e2) {
                handleIOException(e2);
                return;
            }
        } else {
            length = 0;
        }
        beforeWrite(length);
        this.out.write(str);
        afterWrite(length);
    }

    @Override // java.io.FilterWriter, java.io.Writer
    public void write(String str, int i2, int i3) throws IOException {
        try {
            beforeWrite(i3);
            this.out.write(str, i2, i3);
            afterWrite(i3);
        } catch (IOException e2) {
            handleIOException(e2);
        }
    }

    @Override // java.io.FilterWriter, java.io.Writer, java.io.Flushable
    public void flush() throws IOException {
        try {
            this.out.flush();
        } catch (IOException e2) {
            handleIOException(e2);
        }
    }

    @Override // java.io.FilterWriter, java.io.Writer, java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        try {
            this.out.close();
        } catch (IOException e2) {
            handleIOException(e2);
        }
    }

    protected void handleIOException(IOException iOException) throws IOException {
        throw iOException;
    }
}
