package com.google.maps;

import com.google.maps.errors.ApiException;
import java.io.IOException;

/* loaded from: classes3.dex */
public interface PendingResult<T> {

    public interface Callback<T> {
        void onFailure(Throwable th);

        void onResult(T t);
    }

    T await() throws ApiException, InterruptedException, IOException;

    T awaitIgnoreError();

    void cancel();

    void setCallback(Callback<T> callback);
}
