package com.google.maps;

import com.google.maps.ImageResult;
import com.google.maps.internal.ApiConfig;

/* loaded from: classes3.dex */
public class PhotoRequest extends PendingResultBase<ImageResult, PhotoRequest, ImageResult.Response> {
    static final ApiConfig API_CONFIG = new ApiConfig("/maps/api/place/photo");

    public PhotoRequest(GeoApiContext geoApiContext) {
        super(geoApiContext, API_CONFIG, ImageResult.Response.class);
    }

    @Override // com.google.maps.PendingResultBase
    protected void validateRequest() {
        if (!params().containsKey("photoreference")) {
            throw new IllegalArgumentException("Request must contain 'photoReference'.");
        }
        if (!params().containsKey("maxheight") && !params().containsKey("maxwidth")) {
            throw new IllegalArgumentException("Request must contain 'maxHeight' or 'maxWidth'.");
        }
    }

    public PhotoRequest photoReference(String str) {
        return param("photoreference", str);
    }

    public PhotoRequest maxHeight(int i2) {
        return param("maxheight", String.valueOf(i2));
    }

    public PhotoRequest maxWidth(int i2) {
        return param("maxwidth", String.valueOf(i2));
    }
}
