package com.google.maps.model;

import com.dd.plist.ASCIIPropertyListParser;
import com.google.maps.internal.StringJoin;

/* loaded from: classes3.dex */
public class ComponentFilter implements StringJoin.UrlValue {
    public final String component;
    public final String value;

    public ComponentFilter(String str, String str2) {
        this.component = str;
        this.value = str2;
    }

    public String toString() {
        return toUrlValue();
    }

    @Override // com.google.maps.internal.StringJoin.UrlValue
    public String toUrlValue() {
        return StringJoin.join(ASCIIPropertyListParser.DATE_TIME_FIELD_DELIMITER, this.component, this.value);
    }

    public static ComponentFilter route(String str) {
        return new ComponentFilter("route", str);
    }

    public static ComponentFilter locality(String str) {
        return new ComponentFilter("locality", str);
    }

    public static ComponentFilter administrativeArea(String str) {
        return new ComponentFilter("administrative_area", str);
    }

    public static ComponentFilter postalCode(String str) {
        return new ComponentFilter("postal_code", str);
    }

    public static ComponentFilter country(String str) {
        return new ComponentFilter("country", str);
    }
}
