package com.google.maps.model;

import com.facebook.internal.AnalyticsEvents;
import com.google.maps.internal.StringJoin;
import com.tencent.connect.common.Constants;

/* loaded from: classes3.dex */
public enum PriceLevel implements StringJoin.UrlValue {
    FREE("0"),
    INEXPENSIVE("1"),
    MODERATE("2"),
    EXPENSIVE("3"),
    VERY_EXPENSIVE(Constants.VIA_TO_TYPE_QZONE),
    UNKNOWN(AnalyticsEvents.PARAMETER_DIALOG_OUTCOME_VALUE_UNKNOWN);

    private final String priceLevel;

    PriceLevel(String str) {
        this.priceLevel = str;
    }

    @Override // java.lang.Enum
    public String toString() {
        return this.priceLevel;
    }

    @Override // com.google.maps.internal.StringJoin.UrlValue
    public String toUrlValue() {
        if (this == UNKNOWN) {
            throw new UnsupportedOperationException("Shouldn't use PriceLevel.UNKNOWN in a request.");
        }
        return this.priceLevel;
    }
}
