package com.google.zxing.common;

/* loaded from: classes3.dex */
public final class BitSource {
    private int bitOffset;
    private int byteOffset;
    private final byte[] bytes;

    public BitSource(byte[] bArr) {
        this.bytes = bArr;
    }

    public int getBitOffset() {
        return this.bitOffset;
    }

    public int getByteOffset() {
        return this.byteOffset;
    }

    public int readBits(int i2) {
        if (i2 < 1 || i2 > 32 || i2 > available()) {
            throw new IllegalArgumentException(String.valueOf(i2));
        }
        int i3 = this.bitOffset;
        int i4 = 0;
        if (i3 > 0) {
            int i5 = 8 - i3;
            int min = Math.min(i2, i5);
            int i6 = i5 - min;
            byte[] bArr = this.bytes;
            int i7 = this.byteOffset;
            int i8 = (((255 >> (8 - min)) << i6) & bArr[i7]) >> i6;
            i2 -= min;
            int i9 = this.bitOffset + min;
            this.bitOffset = i9;
            if (i9 == 8) {
                this.bitOffset = 0;
                this.byteOffset = i7 + 1;
            }
            i4 = i8;
        }
        if (i2 <= 0) {
            return i4;
        }
        while (i2 >= 8) {
            int i10 = i4 << 8;
            byte[] bArr2 = this.bytes;
            int i11 = this.byteOffset;
            i4 = (bArr2[i11] & 255) | i10;
            this.byteOffset = i11 + 1;
            i2 -= 8;
        }
        if (i2 <= 0) {
            return i4;
        }
        int i12 = 8 - i2;
        int i13 = (i4 << i2) | ((((255 >> i12) << i12) & this.bytes[this.byteOffset]) >> i12);
        this.bitOffset += i2;
        return i13;
    }

    public int available() {
        return ((this.bytes.length - this.byteOffset) * 8) - this.bitOffset;
    }
}
