package com.google.zxing.oned;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Iterator;
import java.util.Map;

/* loaded from: classes3.dex */
public final class Code128Writer extends OneDimensionalCodeWriter {
    private static final int CODE_CODE_A = 101;
    private static final int CODE_CODE_B = 100;
    private static final int CODE_CODE_C = 99;
    private static final int CODE_FNC_1 = 102;
    private static final int CODE_FNC_2 = 97;
    private static final int CODE_FNC_3 = 96;
    private static final int CODE_FNC_4_A = 101;
    private static final int CODE_FNC_4_B = 100;
    private static final int CODE_START_A = 103;
    private static final int CODE_START_B = 104;
    private static final int CODE_START_C = 105;
    private static final int CODE_STOP = 106;
    private static final char ESCAPE_FNC_1 = 241;
    private static final char ESCAPE_FNC_2 = 242;
    private static final char ESCAPE_FNC_3 = 243;
    private static final char ESCAPE_FNC_4 = 244;

    private enum CType {
        UNCODABLE,
        ONE_DIGIT,
        TWO_DIGITS,
        FNC_1
    }

    @Override // com.google.zxing.oned.OneDimensionalCodeWriter
    protected Collection<BarcodeFormat> getSupportedWriteFormats() {
        return Collections.singleton(BarcodeFormat.CODE_128);
    }

    @Override // com.google.zxing.oned.OneDimensionalCodeWriter
    public boolean[] encode(String str) {
        return encode(str, null);
    }

    @Override // com.google.zxing.oned.OneDimensionalCodeWriter
    public boolean[] encode(String str, Map<EncodeHintType, ?> map) {
        return map != null && map.containsKey(EncodeHintType.CODE128_COMPACT) && Boolean.parseBoolean(map.get(EncodeHintType.CODE128_COMPACT).toString()) ? new MinimalEncoder(null).encode(str) : encodeFast(str, check(str, map));
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x003e, code lost:
    
        if (r6.equals("B") == false) goto L12;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private static int check(java.lang.String r5, java.util.Map<com.google.zxing.EncodeHintType, ?> r6) {
        /*
            Method dump skipped, instructions count: 304
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.google.zxing.oned.Code128Writer.check(java.lang.String, java.util.Map):int");
    }

    private static boolean[] encodeFast(String str, int i2) {
        int length = str.length();
        ArrayList arrayList = new ArrayList();
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        int i6 = 1;
        while (i3 < length) {
            int chooseCode = i2 == -1 ? chooseCode(str, i3, i5) : i2;
            int i7 = 100;
            if (chooseCode == i5) {
                switch (str.charAt(i3)) {
                    case 241:
                        i7 = 102;
                        break;
                    case 242:
                        i7 = 97;
                        break;
                    case 243:
                        i7 = 96;
                        break;
                    case 244:
                        if (i5 == 101) {
                            i7 = 101;
                            break;
                        }
                        break;
                    default:
                        if (i5 == 100) {
                            i7 = str.charAt(i3) - ' ';
                            break;
                        } else if (i5 == 101) {
                            i7 = str.charAt(i3) - ' ';
                            if (i7 < 0) {
                                i7 += 96;
                                break;
                            }
                        } else {
                            int i8 = i3 + 1;
                            if (i8 == length) {
                                throw new IllegalArgumentException("Bad number of characters for digit only encoding.");
                            }
                            i7 = Integer.parseInt(str.substring(i3, i3 + 2));
                            i3 = i8;
                            break;
                        }
                        break;
                }
                i3++;
            } else {
                if (i5 == 0) {
                    i7 = chooseCode != 100 ? chooseCode != 101 ? 105 : 103 : 104;
                } else {
                    i7 = chooseCode;
                }
                i5 = chooseCode;
            }
            arrayList.add(Code128Reader.CODE_PATTERNS[i7]);
            i4 += i7 * i6;
            if (i3 != 0) {
                i6++;
            }
        }
        return produceResult(arrayList, i4);
    }

    static boolean[] produceResult(Collection<int[]> collection, int i2) {
        collection.add(Code128Reader.CODE_PATTERNS[i2 % 103]);
        collection.add(Code128Reader.CODE_PATTERNS[106]);
        int i3 = 0;
        int i4 = 0;
        for (int[] iArr : collection) {
            for (int i5 : iArr) {
                i4 += i5;
            }
        }
        boolean[] zArr = new boolean[i4];
        Iterator<int[]> it2 = collection.iterator();
        while (it2.hasNext()) {
            i3 += appendPattern(zArr, i3, it2.next(), true);
        }
        return zArr;
    }

    private static CType findCType(CharSequence charSequence, int i2) {
        int length = charSequence.length();
        if (i2 >= length) {
            return CType.UNCODABLE;
        }
        char charAt = charSequence.charAt(i2);
        if (charAt == 241) {
            return CType.FNC_1;
        }
        if (charAt < '0' || charAt > '9') {
            return CType.UNCODABLE;
        }
        int i3 = i2 + 1;
        if (i3 >= length) {
            return CType.ONE_DIGIT;
        }
        char charAt2 = charSequence.charAt(i3);
        if (charAt2 < '0' || charAt2 > '9') {
            return CType.ONE_DIGIT;
        }
        return CType.TWO_DIGITS;
    }

    private static int chooseCode(CharSequence charSequence, int i2, int i3) {
        CType findCType;
        CType findCType2;
        char charAt;
        CType findCType3 = findCType(charSequence, i2);
        if (findCType3 == CType.ONE_DIGIT) {
            return i3 == 101 ? 101 : 100;
        }
        if (findCType3 == CType.UNCODABLE) {
            return (i2 >= charSequence.length() || ((charAt = charSequence.charAt(i2)) >= ' ' && (i3 != 101 || (charAt >= '`' && (charAt < 241 || charAt > 244))))) ? 100 : 101;
        }
        if (i3 == 101 && findCType3 == CType.FNC_1) {
            return 101;
        }
        if (i3 == 99) {
            return 99;
        }
        if (i3 == 100) {
            if (findCType3 == CType.FNC_1 || (findCType = findCType(charSequence, i2 + 2)) == CType.UNCODABLE || findCType == CType.ONE_DIGIT) {
                return 100;
            }
            if (findCType == CType.FNC_1) {
                return findCType(charSequence, i2 + 3) == CType.TWO_DIGITS ? 99 : 100;
            }
            int i4 = i2 + 4;
            while (true) {
                findCType2 = findCType(charSequence, i4);
                if (findCType2 != CType.TWO_DIGITS) {
                    break;
                }
                i4 += 2;
            }
            return findCType2 == CType.ONE_DIGIT ? 100 : 99;
        }
        if (findCType3 == CType.FNC_1) {
            findCType3 = findCType(charSequence, i2 + 1);
        }
        return findCType3 == CType.TWO_DIGITS ? 99 : 100;
    }

    private static final class MinimalEncoder {
        static final /* synthetic */ boolean $assertionsDisabled = false;
        static final String A = " !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_\u0000\u0001\u0002\u0003\u0004\u0005\u0006\u0007\b\t\n\u000b\f\r\u000e\u000f\u0010\u0011\u0012\u0013\u0014\u0015\u0016\u0017\u0018\u0019\u001a\u001b\u001c\u001d\u001e\u001fÿ";
        static final String B = " !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~\u007fÿ";
        private static final int CODE_SHIFT = 98;
        private int[][] memoizedCost;
        private Latch[][] minPath;

        private enum Charset {
            A,
            B,
            C,
            NONE
        }

        private enum Latch {
            A,
            B,
            C,
            SHIFT,
            NONE
        }

        private static boolean isDigit(char c2) {
            return c2 >= '0' && c2 <= '9';
        }

        private MinimalEncoder() {
        }

        /* synthetic */ MinimalEncoder(AnonymousClass1 anonymousClass1) {
            this();
        }

        /* JADX INFO: Access modifiers changed from: private */
        /* JADX WARN: Removed duplicated region for block: B:12:0x009c  */
        /* JADX WARN: Removed duplicated region for block: B:22:0x00bb  */
        /*
            Code decompiled incorrectly, please refer to instructions dump.
            To view partially-correct code enable 'Show inconsistent code' option in preferences
        */
        public boolean[] encode(java.lang.String r17) {
            /*
                Method dump skipped, instructions count: 278
                To view this dump change 'Code comments level' option to 'DEBUG'
            */
            throw new UnsupportedOperationException("Method not decompiled: com.google.zxing.oned.Code128Writer.MinimalEncoder.encode(java.lang.String):boolean[]");
        }

        private static void addPattern(Collection<int[]> collection, int i2, int[] iArr, int[] iArr2, int i3) {
            collection.add(Code128Reader.CODE_PATTERNS[i2]);
            if (i3 != 0) {
                iArr2[0] = iArr2[0] + 1;
            }
            iArr[0] = iArr[0] + (i2 * iArr2[0]);
        }

        private boolean canEncode(CharSequence charSequence, Charset charset, int i2) {
            int i3;
            char charAt = charSequence.charAt(i2);
            int i4 = AnonymousClass1.$SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Charset[charset.ordinal()];
            if (i4 == 1) {
                return charAt == 241 || charAt == 242 || charAt == 243 || charAt == 244 || A.indexOf(charAt) >= 0;
            }
            if (i4 == 2) {
                return charAt == 241 || charAt == 242 || charAt == 243 || charAt == 244 || B.indexOf(charAt) >= 0;
            }
            if (i4 != 3) {
                return false;
            }
            return charAt == 241 || ((i3 = i2 + 1) < charSequence.length() && isDigit(charAt) && isDigit(charSequence.charAt(i3)));
        }

        private int encode(CharSequence charSequence, Charset charset, int i2) {
            int i3;
            int i4;
            int i5 = this.memoizedCost[charset.ordinal()][i2];
            if (i5 > 0) {
                return i5;
            }
            Latch latch = Latch.NONE;
            int i6 = i2 + 1;
            boolean z = i6 >= charSequence.length();
            Charset[] charsetArr = {Charset.A, Charset.B};
            int i7 = Integer.MAX_VALUE;
            for (int i8 = 0; i8 <= 1; i8++) {
                if (canEncode(charSequence, charsetArr[i8], i2)) {
                    Latch latch2 = Latch.NONE;
                    Charset charset2 = charsetArr[i8];
                    if (charset != charset2) {
                        latch2 = Latch.valueOf(charset2.toString());
                        i4 = 2;
                    } else {
                        i4 = 1;
                    }
                    if (!z) {
                        i4 += encode(charSequence, charsetArr[i8], i6);
                    }
                    if (i4 < i7) {
                        latch = latch2;
                        i7 = i4;
                    }
                    if (charset == charsetArr[(i8 + 1) % 2]) {
                        Latch latch3 = Latch.SHIFT;
                        int encode = !z ? encode(charSequence, charset, i6) + 2 : 2;
                        if (encode < i7) {
                            latch = latch3;
                            i7 = encode;
                        }
                    }
                }
            }
            if (canEncode(charSequence, Charset.C, i2)) {
                Latch latch4 = Latch.NONE;
                if (charset != Charset.C) {
                    latch4 = Latch.C;
                    i3 = 2;
                } else {
                    i3 = 1;
                }
                int i9 = (charSequence.charAt(i2) != 241 ? 2 : 1) + i2;
                if (i9 < charSequence.length()) {
                    i3 += encode(charSequence, Charset.C, i9);
                }
                if (i3 < i7) {
                    latch = latch4;
                    i7 = i3;
                }
            }
            if (i7 == Integer.MAX_VALUE) {
                throw new IllegalArgumentException("Bad character in input: ASCII value=" + ((int) charSequence.charAt(i2)));
            }
            this.memoizedCost[charset.ordinal()][i2] = i7;
            this.minPath[charset.ordinal()][i2] = latch;
            return i7;
        }
    }

    /* renamed from: com.google.zxing.oned.Code128Writer$1, reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Charset;
        static final /* synthetic */ int[] $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Latch;

        static {
            int[] iArr = new int[MinimalEncoder.Charset.values().length];
            $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Charset = iArr;
            try {
                iArr[MinimalEncoder.Charset.A.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Charset[MinimalEncoder.Charset.B.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Charset[MinimalEncoder.Charset.C.ordinal()] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr2 = new int[MinimalEncoder.Latch.values().length];
            $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Latch = iArr2;
            try {
                iArr2[MinimalEncoder.Latch.A.ordinal()] = 1;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Latch[MinimalEncoder.Latch.B.ordinal()] = 2;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Latch[MinimalEncoder.Latch.C.ordinal()] = 3;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                $SwitchMap$com$google$zxing$oned$Code128Writer$MinimalEncoder$Latch[MinimalEncoder.Latch.SHIFT.ordinal()] = 4;
            } catch (NoSuchFieldError unused7) {
            }
        }
    }
}
