package com.jieli.jl_bt_ota.model;

import android.text.TextUtils;
import org.apache.commons.text.StringSubstitutor;
import org.json.JSONException;
import org.json.JSONObject;

/* loaded from: classes3.dex */
public class ErrorMsg {
    private static final String KEY_CODE = "code";
    private static final String KEY_DESC = "desc";
    private static final String KEY_MESSAGE = "message";
    private static final String KEY_SUB_CODE = "sub_code";
    private final int code;
    private final String codeDesc;
    private final int subCode;
    private String subMessage;

    public ErrorMsg(int i2, String str, int i3, String str2) {
        this.code = i2;
        this.codeDesc = str;
        this.subCode = i3;
        this.subMessage = str2;
    }

    public static ErrorMsg parseJson(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            JSONObject jSONObject = new JSONObject(str);
            if (jSONObject.has(KEY_CODE) && jSONObject.has(KEY_SUB_CODE)) {
                return new ErrorMsg(jSONObject.getInt(KEY_CODE), jSONObject.has("desc") ? jSONObject.getString("desc") : null, jSONObject.getInt(KEY_SUB_CODE), jSONObject.has("message") ? jSONObject.getString("message") : null);
            }
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        return null;
    }

    private String toJsonString() {
        StringBuilder sb = new StringBuilder("{\"code\":");
        sb.append(this.code);
        if (!TextUtils.isEmpty(this.codeDesc)) {
            sb.append(", \"desc\":\"");
            sb.append(this.codeDesc);
            sb.append("\"");
        }
        sb.append(", \"sub_code\":");
        sb.append(this.subCode);
        if (!TextUtils.isEmpty(this.subMessage)) {
            sb.append(", \"message\":\"");
            sb.append(this.subMessage);
            sb.append("\"");
        }
        sb.append(StringSubstitutor.DEFAULT_VAR_END);
        return sb.toString();
    }

    public Integer getCode() {
        return Integer.valueOf(this.code);
    }

    public String getCodeDesc() {
        return this.codeDesc;
    }

    public int getSubCode() {
        return this.subCode;
    }

    public String getSubMessage() {
        return this.subMessage;
    }

    public void setSubMessage(String str) {
        this.subMessage = str;
    }

    public String toString() {
        return toJsonString();
    }
}
