package com.jieli.jl_bt_ota.model;

import android.bluetooth.BluetoothAdapter;
import com.dd.plist.ASCIIPropertyListParser;
import java.util.Objects;

/* loaded from: classes3.dex */
public class ReConnectDevMsg {
    public static final int STATE_CONNECTING = 2;
    public static final int STATE_IDLE = 0;
    public static final int STATE_SCANNING = 1;
    private String address;
    private boolean isUseADV;
    private int state;
    private int way;

    public ReConnectDevMsg(int i2, String str) {
        this(i2, str, false);
    }

    public boolean checkIsValid() {
        return BluetoothAdapter.checkBluetoothAddress(this.address);
    }

    public ReConnectDevMsg cloneObject() {
        return new ReConnectDevMsg(this.way, this.address, this.isUseADV).setState(this.state);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        ReConnectDevMsg reConnectDevMsg = (ReConnectDevMsg) obj;
        return this.way == reConnectDevMsg.way && Objects.equals(this.address, reConnectDevMsg.address);
    }

    public String getAddress() {
        return this.address;
    }

    public int getState() {
        return this.state;
    }

    public int getWay() {
        return this.way;
    }

    public int hashCode() {
        return Objects.hash(Integer.valueOf(this.way), this.address);
    }

    public boolean isUseADV() {
        return this.isUseADV;
    }

    public ReConnectDevMsg setAddress(String str) {
        this.address = str;
        return this;
    }

    public ReConnectDevMsg setState(int i2) {
        this.state = i2;
        return this;
    }

    public ReConnectDevMsg setUseADV(boolean z) {
        this.isUseADV = z;
        return this;
    }

    public ReConnectDevMsg setWay(int i2) {
        this.way = i2;
        return this;
    }

    public String toString() {
        return "ReConnectDevMsg{way=" + this.way + ", address='" + this.address + "', isUseADV=" + this.isUseADV + ", state=" + this.state + ASCIIPropertyListParser.DICTIONARY_END_TOKEN;
    }

    public ReConnectDevMsg(int i2, String str, boolean z) {
        setWay(i2).setAddress(str).setUseADV(z);
    }
}
