package com.jieli.jl_bt_ota.tool;

import android.bluetooth.BluetoothDevice;
import com.jieli.jl_bt_ota.model.base.BasePacket;
import com.jieli.jl_bt_ota.model.base.CommandBase;
import com.jieli.jl_bt_ota.util.CommonUtil;
import java.util.HashMap;

/* loaded from: classes3.dex */
public final class CommandCache {

    /* renamed from: a, reason: collision with root package name */
    private final HashMap<String, CommandBase> f3385a = new HashMap<>();

    public static String getCacheCommandKey(BluetoothDevice bluetoothDevice, int i2, int i3) {
        return getCacheCommandKey(bluetoothDevice == null ? "00:00:00:00:00:00" : bluetoothDevice.getAddress(), i2, i3);
    }

    public CommandBase getCommand(BluetoothDevice bluetoothDevice, int i2, int i3) {
        return this.f3385a.get(getCacheCommandKey(bluetoothDevice, i2, i3));
    }

    public void putCommandBase(BluetoothDevice bluetoothDevice, CommandBase commandBase) {
        if (commandBase != null) {
            if (commandBase.getType() == 2 || commandBase.getType() == 3) {
                this.f3385a.put(getCacheCommandKey(bluetoothDevice, commandBase.getId(), commandBase.getOpCodeSn()), commandBase);
            }
        }
    }

    public void release() {
        this.f3385a.clear();
    }

    public void removeCommandBase(BluetoothDevice bluetoothDevice, BasePacket basePacket) {
        if (basePacket != null) {
            removeCommandBase(bluetoothDevice, basePacket.getOpCode(), basePacket.getOpCodeSn());
        }
    }

    public void removeCommandBase(BluetoothDevice bluetoothDevice, int i2, int i3) {
        this.f3385a.remove(getCacheCommandKey(bluetoothDevice, i2, i3));
    }

    public static String getCacheCommandKey(String str, int i2, int i3) {
        return CommonUtil.formatString("%s-%s-%s", str, Integer.valueOf(i2), Integer.valueOf(i3));
    }
}
