package com.jieli.jl_bt_ota.tool;

import android.bluetooth.BluetoothDevice;
import com.jieli.jl_bt_ota.interfaces.rcsp.ICmdSnGenerator;
import java.util.HashMap;
import java.util.Map;
import java.util.Random;

/* loaded from: classes3.dex */
public class SnGenerator implements ICmdSnGenerator {

    /* renamed from: b, reason: collision with root package name */
    private final Map<String, Integer> f3452b = new HashMap();

    /* renamed from: a, reason: collision with root package name */
    private int f3451a = (new Random().nextInt(255) + 1) % 256;

    public synchronized int autoIncSN(BluetoothDevice bluetoothDevice) {
        int cmdSequence;
        cmdSequence = getCmdSequence(bluetoothDevice);
        int i2 = 0;
        if (bluetoothDevice != null) {
            int i3 = cmdSequence + 1;
            if (i3 < 256) {
                i2 = i3;
            }
            this.f3452b.put(bluetoothDevice.getAddress(), Integer.valueOf(i2));
        } else {
            int i4 = cmdSequence + 1;
            if (i4 < 256) {
                i2 = i4;
            }
            this.f3451a = i2;
        }
        return cmdSequence;
    }

    public void destroy() {
        this.f3452b.clear();
    }

    public int getCmdSequence(BluetoothDevice bluetoothDevice) {
        if (bluetoothDevice == null) {
            return this.f3451a;
        }
        Integer num = this.f3452b.get(bluetoothDevice.getAddress());
        return num == null ? this.f3451a : num.intValue();
    }

    @Override // com.jieli.jl_bt_ota.interfaces.rcsp.ICmdSnGenerator
    public int getRcspCmdSeq(BluetoothDevice bluetoothDevice) {
        return autoIncSN(bluetoothDevice);
    }

    public void removeCmdSequence(BluetoothDevice bluetoothDevice) {
        if (bluetoothDevice == null || this.f3452b.isEmpty()) {
            return;
        }
        this.f3452b.remove(bluetoothDevice.getAddress());
    }
}
