package com.jieli.jl_fatfs.tool;

import com.jieli.jl_fatfs.model.PackFileInfo;
import com.jieli.jl_rcsp.util.JL_Log;
import com.jieli.jl_rcsp.util.RcspUtil;
import java.util.ArrayList;
import java.util.Iterator;

/* loaded from: classes3.dex */
public class PackResFormat {

    /* renamed from: b, reason: collision with root package name */
    private static final String f3486b = "PackResFormat";

    /* renamed from: a, reason: collision with root package name */
    private volatile long f3487a;

    static {
        try {
            System.loadLibrary("jl_pack_format");
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public PackResFormat() {
        this.f3487a = 0L;
        this.f3487a = libInit();
        if (this.f3487a == 0) {
            throw new RuntimeException("init lib failed.");
        }
    }

    public void destroy() {
        libDestroy(this.f3487a);
        this.f3487a = 0L;
    }

    public native byte[] getFileData(long j2, String str);

    public byte[] getFileData(String str) {
        return getFileData(this.f3487a, str);
    }

    public native void libDestroy(long j2);

    public native long libInit();

    public native ArrayList<PackFileInfo> uncompressData(long j2, byte[] bArr);

    public ArrayList<PackFileInfo> uncompressPackDataFile(byte[] bArr) {
        return uncompressData(this.f3487a, bArr);
    }

    public byte[] getFileData(byte[] bArr, String str) {
        ArrayList<PackFileInfo> uncompressPackDataFile = uncompressPackDataFile(bArr);
        if (uncompressPackDataFile == null || uncompressPackDataFile.isEmpty()) {
            JL_Log.e(f3486b, "Did not extract the file.");
            return null;
        }
        JL_Log.i(f3486b, RcspUtil.formatString("========= Unzip file :[%d], target : %s =========", Integer.valueOf(uncompressPackDataFile.size()), str));
        Iterator<PackFileInfo> it2 = uncompressPackDataFile.iterator();
        while (it2.hasNext()) {
            JL_Log.d(f3486b, it2.next().toString());
        }
        JL_Log.i(f3486b, "================= Unzip file End ===============");
        return getFileData(str);
    }
}
