package com.jieli.jl_fatfs.utils;

import com.jieli.jl_fatfs.model.CallInfo;
import com.jieli.jl_rcsp.constant.WatchError;
import com.jieli.jl_rcsp.util.WatchFileUtil;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes3.dex */
public class FatUtil {
    public static byte[] getCallInfoData(List<CallInfo> list) {
        if (list == null || list.isEmpty()) {
            return new byte[20];
        }
        byte[] bArr = new byte[list.size() * 40];
        Iterator<CallInfo> it2 = list.iterator();
        int i2 = 0;
        while (it2.hasNext()) {
            byte[] bytes = it2.next().getBytes();
            if (bytes != null) {
                System.arraycopy(bytes, 0, bArr, i2, bytes.length);
                i2 += bytes.length;
            }
        }
        return bArr;
    }

    public static String getFatFilePath(String str) {
        return getFatFilePath("/", str);
    }

    public static String getFatFsErrorCodeMsg(int i2) {
        return WatchError.getErrorDesc(WatchError.fatfsToWatchErr(i2));
    }

    public static String getFatFsName(String str) {
        return getFatFsName(12, str);
    }

    public static List<CallInfo> parseCallInfoList(byte[] bArr) {
        if (bArr == null || bArr.length < 40) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        int i2 = 0;
        while (bArr.length - i2 >= 40) {
            String trim = new String(bArr, i2, 20).trim();
            int i3 = i2 + 20;
            String trim2 = new String(bArr, i3, 20).trim();
            i2 = i3 + 20;
            arrayList.add(new CallInfo(trim, trim2));
        }
        return arrayList;
    }

    public static String getFatFilePath(String str, String str2) {
        String fileName = WatchFileUtil.getFileName(str2);
        if (fileName == null || str == null) {
            return null;
        }
        String fatFsName = getFatFsName(fileName);
        if (str.equalsIgnoreCase(fatFsName)) {
            return str;
        }
        if (str.equalsIgnoreCase("/")) {
            return str + fatFsName;
        }
        return str + "/" + fatFsName;
    }

    public static String getFatFsName(int i2, String str) {
        if (str == null || str.isEmpty()) {
            return null;
        }
        if (str.length() > i2) {
            int lastIndexOf = str.lastIndexOf(".");
            if (lastIndexOf != -1) {
                String substring = str.substring(0, lastIndexOf);
                String substring2 = str.substring(lastIndexOf + 1);
                int length = (i2 - 1) - substring2.length();
                if (length > substring.length()) {
                    length = substring.length();
                }
                str = substring.substring(0, length).replaceAll("\\.", "_") + "." + substring2;
            } else {
                str = str.substring(0, i2);
            }
        }
        return str.toUpperCase();
    }
}
