package com.jieli.jl_filebrowse;

import android.bluetooth.BluetoothDevice;
import android.content.Context;
import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.jieli.jl_filebrowse.bean.File;
import com.jieli.jl_filebrowse.bean.FileStruct;
import com.jieli.jl_filebrowse.bean.Folder;
import com.jieli.jl_filebrowse.bean.PathData;
import com.jieli.jl_filebrowse.bean.RegFile;
import com.jieli.jl_filebrowse.bean.SDCardBean;
import com.jieli.jl_filebrowse.interfaces.DeleteCallback;
import com.jieli.jl_filebrowse.interfaces.FileBrowseOperator;
import com.jieli.jl_filebrowse.interfaces.FileObserver;
import com.jieli.jl_filebrowse.interfaces.LrcDecoder;
import com.jieli.jl_filebrowse.interfaces.OnFileBrowseCallback;
import com.jieli.jl_filebrowse.interfaces.OperatCallback;
import com.jieli.jl_filebrowse.interfaces.lrc.LrcReadObserver;
import com.jieli.jl_filebrowse.interfaces.lrc.LrcReadOperator;
import com.jieli.jl_filebrowse.interfaces.lrc.OnLrcCallback;
import com.jieli.jl_filebrowse.tool.FileObserverHelper;
import com.jieli.jl_filebrowse.tool.LrcReadObserverHelper;
import com.jieli.jl_rcsp.impl.OnFileBrowseCallbackImpl;
import com.jieli.jl_rcsp.impl.RcspOpImpl;
import com.jieli.jl_rcsp.interfaces.rcsp.OnRcspCallback;
import com.jieli.jl_rcsp.tool.filebrowse.FileBrowseOperatorImpl;
import com.jieli.jl_rcsp.tool.filebrowse.LrcReadOperatorImpl;
import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.JL_Log;
import com.jieli.jl_rcsp.util.RcspUtil;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* loaded from: classes3.dex */
public class FileBrowseManager implements OnFileBrowseCallback, OnLrcCallback {
    private static String A = null;
    private static final String w = "FileBrowseManager";
    private static final int x = 4096;
    private static volatile FileBrowseManager y = null;
    private static final int z = 3072;

    /* renamed from: a, reason: collision with root package name */
    private FileBrowseOperator f3493a;

    /* renamed from: g, reason: collision with root package name */
    private int f3499g;

    /* renamed from: h, reason: collision with root package name */
    private SDCardBean f3500h;

    /* renamed from: i, reason: collision with root package name */
    private List<SDCardBean> f3501i;
    private volatile RcspOpImpl l;
    private LrcReadOperator m;
    private PathData n;
    private Context o;
    private OnRcspCallback q;
    private byte[] r;
    private FileStruct t;
    private LrcDecoder u;

    /* renamed from: d, reason: collision with root package name */
    private int f3496d = 10;

    /* renamed from: e, reason: collision with root package name */
    private final Map<String, Folder> f3497e = new HashMap();
    private volatile boolean k = false;
    private boolean p = false;
    private int s = 0;
    private boolean v = true;

    /* renamed from: f, reason: collision with root package name */
    private final byte[] f3498f = new byte[4096];

    /* renamed from: j, reason: collision with root package name */
    private final Handler f3502j = new Handler(Looper.getMainLooper());

    /* renamed from: b, reason: collision with root package name */
    private final FileObserverHelper f3494b = new FileObserverHelper();

    /* renamed from: c, reason: collision with root package name */
    private final LrcReadObserverHelper f3495c = new LrcReadObserverHelper();

    private FileBrowseManager() {
    }

    private boolean b(SDCardBean sDCardBean) {
        List<SDCardBean> list;
        if (sDCardBean != null && (list = this.f3501i) != null && list.size() >= 1) {
            Iterator<SDCardBean> it2 = getOnlineDev().iterator();
            while (it2.hasNext()) {
                if (it2.next().getIndex() == sDCardBean.getIndex()) {
                    return true;
                }
            }
        }
        return false;
    }

    private void c(boolean z2) {
        this.k = z2;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void d() {
        this.n.setRepeatTimes(r0.getRepeatTimes() - 1);
        a(this.n);
    }

    public static FileBrowseManager getInstance() {
        if (y == null) {
            synchronized (FileBrowseManager.class) {
                y = new FileBrowseManager();
            }
        }
        return y;
    }

    @Override // com.jieli.jl_filebrowse.interfaces.OnFileBrowseCallback
    public void OnFlayCallback(boolean z2) {
        JL_Log.d(w, "OnFlayCallback -->" + z2);
        c(false);
        b(z2);
    }

    public void addFileObserver(FileObserver fileObserver) {
        this.f3494b.addFileObserver(fileObserver);
    }

    public void addLrcReadObserver(LrcReadObserver lrcReadObserver) {
        this.f3495c.addLrcReadObserver(lrcReadObserver);
    }

    public int appenBrowse(FileStruct fileStruct, SDCardBean sDCardBean) {
        if (!b(sDCardBean)) {
            return 16384;
        }
        String a2 = a(sDCardBean);
        Folder folder = this.f3497e.get(a2);
        if (folder == null) {
            return 16387;
        }
        Folder folder2 = (Folder) folder.getChildFile(fileStruct.getCluster());
        if (folder2 == null) {
            folder2 = new Folder();
            folder2.setFileStruct(fileStruct);
            folder2.setParent(folder);
        }
        if (folder2.getLevel() > 8) {
            return 16388;
        }
        if (isReading() && folder2.getChildCount() < 1) {
            return 16385;
        }
        this.f3500h = sDCardBean;
        this.f3497e.put(a2, folder2);
        if (folder2.getChildCount() > 0) {
            a(folder2.getChildFileStructs());
            a(folder2.isLoadFinished(false));
            return 0;
        }
        c(true);
        a(FileBrowseUtil.covertFileToPathData(folder2, sDCardBean.getDevHandler(), (byte) this.f3496d));
        return 0;
    }

    public int backBrowse(SDCardBean sDCardBean) {
        return backBrowse(sDCardBean, true);
    }

    public void cleanCache() {
        List<SDCardBean> list = this.f3501i;
        if (list != null) {
            Iterator<SDCardBean> it2 = list.iterator();
            while (it2.hasNext()) {
                cleanCache(it2.next());
            }
        }
    }

    public int deleteFile(SDCardBean sDCardBean, List<FileStruct> list, DeleteCallback deleteCallback) {
        return deleteFile(sDCardBean, list, true, deleteCallback);
    }

    public int formatDevice(final SDCardBean sDCardBean, final OperatCallback operatCallback) {
        if (sDCardBean == null) {
            return 4097;
        }
        if (isReading()) {
            return 12291;
        }
        if (getOnlineDev() == null || getOnlineDev().size() < 1 || !sDCardBean.isOnline()) {
            return 16384;
        }
        this.f3493a.formatDevice(sDCardBean.getDevHandler(), new OperatCallback() { // from class: com.jieli.jl_filebrowse.FileBrowseManager.4
            @Override // com.jieli.jl_filebrowse.interfaces.OperatCallback
            public void onError(int i2) {
                OperatCallback operatCallback2 = operatCallback;
                if (operatCallback2 != null) {
                    operatCallback2.onError(i2);
                }
            }

            @Override // com.jieli.jl_filebrowse.interfaces.OperatCallback
            public void onSuccess() {
                FileBrowseManager.this.cleanCache(sDCardBean);
                OperatCallback operatCallback2 = operatCallback;
                if (operatCallback2 != null) {
                    operatCallback2.onSuccess();
                }
            }
        });
        return 0;
    }

    public List<FileStruct> getCurrentFileStructs(SDCardBean sDCardBean) {
        if (b(sDCardBean)) {
            return getCurrentReadFile(sDCardBean).getChildFileStructs();
        }
        return null;
    }

    public Folder getCurrentReadFile(SDCardBean sDCardBean) {
        if (b(sDCardBean)) {
            return this.f3497e.get(a(sDCardBean));
        }
        JL_Log.e(w, "-getCurrentReadFile- offline,  sdCardBean = " + sDCardBean);
        return null;
    }

    public List<SDCardBean> getOnlineDev() {
        ArrayList arrayList = new ArrayList();
        List<SDCardBean> list = this.f3501i;
        if (list != null && !list.isEmpty()) {
            Iterator it2 = new ArrayList(this.f3501i).iterator();
            while (it2.hasNext()) {
                SDCardBean sDCardBean = (SDCardBean) it2.next();
                if (sDCardBean.isOnline()) {
                    arrayList.add(sDCardBean);
                }
            }
        }
        return arrayList;
    }

    public List<SDCardBean> getSdCardBeans() {
        return this.f3501i == null ? new ArrayList() : new ArrayList(this.f3501i);
    }

    public void init(RcspOpImpl rcspOpImpl) {
        if (this.p) {
            throw new RuntimeException("It cannot be initialize morn than once!");
        }
        this.l = rcspOpImpl;
        setLrcReadOperator(new LrcReadOperatorImpl(rcspOpImpl));
        setFileBrowseOperator(new FileBrowseOperatorImpl(rcspOpImpl));
        OnFileBrowseCallbackImpl onFileBrowseCallbackImpl = new OnFileBrowseCallbackImpl(rcspOpImpl, this, this);
        this.q = onFileBrowseCallbackImpl;
        rcspOpImpl.registerOnRcspCallback(onFileBrowseCallbackImpl);
        this.p = true;
    }

    public boolean isInit() {
        return this.p;
    }

    public boolean isOnline(int i2) {
        List<SDCardBean> list = this.f3501i;
        if (list == null) {
            return false;
        }
        for (SDCardBean sDCardBean : list) {
            if (sDCardBean.getIndex() == i2) {
                return sDCardBean.isOnline();
            }
        }
        return false;
    }

    public boolean isOpenLrcCache() {
        return this.v;
    }

    public boolean isReading() {
        return this.k;
    }

    public int loadMore(SDCardBean sDCardBean) {
        if (!b(sDCardBean)) {
            return 16384;
        }
        if (isReading()) {
            return 16385;
        }
        this.f3500h = sDCardBean;
        Folder folder = this.f3497e.get(a(sDCardBean));
        if (folder == null) {
            return 16387;
        }
        if (folder.isLoadFinished(false)) {
            return 16386;
        }
        c(true);
        a(FileBrowseUtil.covertFileToPathData(folder, sDCardBean.getDevHandler(), (byte) this.f3496d));
        return 0;
    }

    @Override // com.jieli.jl_filebrowse.interfaces.OnFileBrowseCallback
    public void onBluetoothConnectionChange(BluetoothDevice bluetoothDevice, int i2) {
        if (bluetoothDevice == null) {
            return;
        }
        JL_Log.i(w, "onBluetoothConnectionChange " + RcspUtil.printBtDeviceInfo(bluetoothDevice));
        cleanCache(bluetoothDevice);
    }

    @Override // com.jieli.jl_filebrowse.interfaces.OnFileBrowseCallback
    public void onFileDataReceive(byte[] bArr) {
        if (isReading()) {
            System.arraycopy(bArr, 0, this.f3498f, this.f3499g, bArr.length);
            this.f3499g += bArr.length;
        }
    }

    @Override // com.jieli.jl_filebrowse.interfaces.OnFileBrowseCallback
    public void onFileReadFailed(int i2) {
        PathData pathData;
        JL_Log.i(w, "onFileReadFailed:" + i2 + "\tcurrentPathData.getRepeatTimes()=" + this.n);
        c(false);
        if (i2 != 3 || (pathData = this.n) == null || pathData.getRepeatTimes() <= 0) {
            this.f3494b.onFileReadFailed(i2);
        } else {
            this.f3502j.postDelayed(new Runnable() { // from class: com.jieli.jl_filebrowse.FileBrowseManager$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    FileBrowseManager.this.d();
                }
            }, 500L);
        }
    }

    @Override // com.jieli.jl_filebrowse.interfaces.OnFileBrowseCallback
    public void onFileReadStart() {
        this.f3494b.onFileReadStart();
    }

    @Override // com.jieli.jl_filebrowse.interfaces.OnFileBrowseCallback
    public void onFileReadStop(boolean z2) {
        String str = w;
        JL_Log.d(str, "---------onFileReadStop------" + this.f3499g + "\tisEnd=" + z2);
        Folder folder = this.f3497e.get(a(this.f3500h));
        if (folder == null) {
            c(false);
            JL_Log.e(str, "---------onFileReadStop------ currentSDCardBean = " + this.f3500h + "\tisEnd=" + z2);
            return;
        }
        folder.setLoadFinished(z2);
        int i2 = this.f3499g;
        if (i2 > 0) {
            byte[] bArr = new byte[i2];
            this.f3499g = 0;
            System.arraycopy(this.f3498f, 0, bArr, 0, i2);
            List<FileStruct> parseData = !this.f3493a.dataHasPacket() ? FileBrowseUtil.parseData(bArr) : FileBrowseUtil.parseDataHasPacket(bArr);
            if (parseData.size() > 0) {
                if (parseData.get(0).getDevIndex() != this.f3500h.getIndex()) {
                    a(this.n);
                    JL_Log.w(str, "----------file  is not match-------------" + this.f3500h.toString());
                    return;
                }
                if (folder.getChildCount() > 0) {
                    if (parseData.get(0).getFileNum() != folder.getChildFileStructs().get(folder.getChildCount() - 1).getFileNum() + 1 && folder.isLoadFinished(false)) {
                        c(false);
                        return;
                    }
                }
                ArrayList arrayList = new ArrayList();
                for (FileStruct fileStruct : parseData) {
                    File regFile = fileStruct.isFile() ? new RegFile() : new Folder();
                    regFile.setFileStruct(fileStruct);
                    regFile.setParent(folder);
                    arrayList.add(regFile);
                }
                folder.addChild(arrayList);
            }
            a(parseData);
        }
        c(false);
        a(z2);
    }

    @Override // com.jieli.jl_filebrowse.interfaces.lrc.OnLrcCallback
    public void onLrcDataReceive(byte[] bArr) {
        byte[] bArr2 = this.r;
        if (bArr2 != null) {
            int i2 = this.s;
            if (bArr.length + i2 > bArr2.length) {
                byte[] bArr3 = new byte[bArr2.length * 2];
                System.arraycopy(bArr2, 0, bArr3, 0, i2);
                this.r = bArr3;
            }
            String str = w;
            StringBuilder sb = new StringBuilder("lrcBuffer   --->");
            byte[] bArr4 = this.r;
            sb.append(CHexConver.byte2HexStr(bArr4, bArr4.length));
            JL_Log.d(str, sb.toString());
            System.arraycopy(bArr, 3, this.r, this.s, bArr.length - 3);
            this.s += bArr.length - 3;
            if ((bArr[0] & 255) == 255) {
                onLrcReadStop();
            }
        }
    }

    @Override // com.jieli.jl_filebrowse.interfaces.lrc.OnLrcCallback
    public void onLrcReadFailed(int i2) {
        JL_Log.d(w, "onLrcReadFailed  reason=" + i2);
        this.s = 0;
        this.r = null;
        this.f3495c.onLrcReadFailed(i2);
    }

    @Override // com.jieli.jl_filebrowse.interfaces.lrc.OnLrcCallback
    public void onLrcReadStart() {
        this.s = 0;
        this.r = new byte[3072];
        this.f3495c.onLrcReadStart();
    }

    /* JADX WARN: Removed duplicated region for block: B:45:0x00a1 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    @Override // com.jieli.jl_filebrowse.interfaces.lrc.OnLrcCallback
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void onLrcReadStop() {
        /*
            r6 = this;
            byte[] r0 = r6.r
            r1 = -1
            if (r0 == 0) goto Laa
            int r2 = r6.s
            r3 = 5
            if (r2 >= r3) goto Lc
            goto Laa
        Lc:
            byte[] r3 = new byte[r2]
            r4 = 0
            java.lang.System.arraycopy(r0, r4, r3, r4, r2)
            com.jieli.jl_filebrowse.interfaces.LrcDecoder r0 = r6.u
            if (r0 == 0) goto L1a
            byte[] r3 = r0.decode(r3)
        L1a:
            r0 = r3[r4]
            if (r0 != r1) goto L22
            java.lang.String r0 = "utf_16le"
            goto L45
        L22:
            r2 = -2
            r5 = 1
            if (r0 != r2) goto L2e
            r2 = r3[r5]
            if (r2 != r1) goto L2e
            java.lang.String r0 = "utf_16be"
            goto L45
        L2e:
            r1 = -17
            if (r0 != r1) goto L43
            r0 = r3[r5]
            r1 = -69
            if (r0 != r1) goto L43
            r0 = 2
            r0 = r3[r0]
            r1 = -65
            if (r0 != r1) goto L43
            java.lang.String r0 = "utf-8"
            goto L45
        L43:
            java.lang.String r0 = "gbk"
        L45:
            java.lang.String r1 = new java.lang.String     // Catch: java.io.UnsupportedEncodingException -> L51
            r1.<init>(r3, r0)     // Catch: java.io.UnsupportedEncodingException -> L51
            java.nio.charset.Charset r0 = java.nio.charset.StandardCharsets.UTF_8     // Catch: java.io.UnsupportedEncodingException -> L51
            byte[] r3 = r1.getBytes(r0)     // Catch: java.io.UnsupportedEncodingException -> L51
            goto L55
        L51:
            r0 = move-exception
            r0.printStackTrace()
        L55:
            r0 = 0
            java.io.FileOutputStream r1 = new java.io.FileOutputStream     // Catch: java.lang.Throwable -> L7c java.lang.Exception -> L80
            com.jieli.jl_filebrowse.bean.FileStruct r2 = r6.t     // Catch: java.lang.Throwable -> L7c java.lang.Exception -> L80
            java.lang.String r2 = r6.a(r2)     // Catch: java.lang.Throwable -> L7c java.lang.Exception -> L80
            r1.<init>(r2)     // Catch: java.lang.Throwable -> L7c java.lang.Exception -> L80
            r1.write(r3)     // Catch: java.lang.Exception -> L7a java.lang.Throwable -> L9a
            r6.s = r4
            r6.r = r0
            r1.close()     // Catch: java.io.IOException -> L6c
            goto L70
        L6c:
            r0 = move-exception
            r0.printStackTrace()
        L70:
            com.jieli.jl_filebrowse.bean.FileStruct r0 = r6.t
            java.lang.String r0 = r6.a(r0)
            r6.a(r0)
            return
        L7a:
            r2 = move-exception
            goto L83
        L7c:
            r1 = move-exception
            r2 = r1
            r1 = r0
            goto L9b
        L80:
            r1 = move-exception
            r2 = r1
            r1 = r0
        L83:
            r2.printStackTrace()     // Catch: java.lang.Throwable -> L9a
            r2 = 16389(0x4005, float:2.2966E-41)
            r6.onLrcReadFailed(r2)     // Catch: java.lang.Throwable -> L9a
            r6.s = r4
            r6.r = r0
            if (r1 == 0) goto L99
            r1.close()     // Catch: java.io.IOException -> L95
            goto L99
        L95:
            r0 = move-exception
            r0.printStackTrace()
        L99:
            return
        L9a:
            r2 = move-exception
        L9b:
            r6.s = r4
            r6.r = r0
            if (r1 == 0) goto La9
            r1.close()     // Catch: java.io.IOException -> La5
            goto La9
        La5:
            r0 = move-exception
            r0.printStackTrace()
        La9:
            throw r2
        Laa:
            r6.onLrcReadFailed(r1)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.jieli.jl_filebrowse.FileBrowseManager.onLrcReadStop():void");
    }

    @Override // com.jieli.jl_filebrowse.interfaces.OnFileBrowseCallback
    public void onSdCardChange(List<SDCardBean> list) {
        this.f3501i = list;
        c(false);
        this.f3502j.removeCallbacksAndMessages(null);
        this.n = null;
        Iterator it2 = new ArrayList(this.f3501i).iterator();
        while (it2.hasNext()) {
            SDCardBean sDCardBean = (SDCardBean) it2.next();
            if (!sDCardBean.isOnline()) {
                cleanCache(sDCardBean);
            } else if (getCurrentReadFile(sDCardBean) == null) {
                Folder folder = new Folder();
                FileStruct fileStruct = new FileStruct();
                fileStruct.setName(FileBrowseUtil.getDevName(sDCardBean.getIndex()));
                fileStruct.setFile(false);
                fileStruct.setUnicode(true);
                fileStruct.setCluster(0);
                folder.setFileStruct(fileStruct);
                this.f3497e.put(a(sDCardBean), folder);
            }
        }
        c();
    }

    public int playFile(FileStruct fileStruct, SDCardBean sDCardBean) {
        if (!b(sDCardBean)) {
            return 16384;
        }
        if (isReading()) {
            return 16385;
        }
        c(true);
        RegFile regFile = new RegFile();
        regFile.setFileStruct(fileStruct);
        a(FileBrowseUtil.covertFileToPathData(regFile, sDCardBean.getDevHandler(), (byte) this.f3496d));
        return 0;
    }

    public void release() {
        this.p = false;
        this.f3502j.removeCallbacksAndMessages(null);
        this.f3494b.release();
        this.f3495c.release();
        if (this.l != null) {
            this.l.unregisterOnRcspCallback(this.q);
        }
        cleanCache();
        this.f3497e.clear();
        y = null;
    }

    public void removeFileObserver(FileObserver fileObserver) {
        this.f3494b.removeFileObserver(fileObserver);
    }

    public void removeLrcReadObserver(LrcReadObserver lrcReadObserver) {
        this.f3495c.removeLrcReadObserver(lrcReadObserver);
    }

    public void setContext(Context context) {
        this.o = context;
    }

    public void setFileBrowseOperator(FileBrowseOperator fileBrowseOperator) {
        this.f3493a = fileBrowseOperator;
    }

    public void setLrcDecoder(LrcDecoder lrcDecoder) {
        this.u = lrcDecoder;
    }

    public void setLrcReadOperator(LrcReadOperator lrcReadOperator) {
        this.m = lrcReadOperator;
    }

    public void setOpenLrcCache(boolean z2) {
        this.v = z2;
    }

    public void setPageSize(int i2) {
        this.f3496d = i2;
    }

    public void startLrcRead(FileStruct fileStruct) {
        if (this.m != null) {
            java.io.File file = new java.io.File(a(fileStruct));
            JL_Log.d(w, "startLrcRead:: " + file.getPath());
            if (file.exists()) {
                if (isOpenLrcCache()) {
                    a(file.getPath());
                    return;
                }
                file.delete();
            }
            this.t = fileStruct;
            this.m.startLrcRead(new OperatCallback() { // from class: com.jieli.jl_filebrowse.FileBrowseManager.5
                @Override // com.jieli.jl_filebrowse.interfaces.OperatCallback
                public void onError(int i2) {
                    FileBrowseManager.this.onLrcReadFailed(i2);
                }

                @Override // com.jieli.jl_filebrowse.interfaces.OperatCallback
                public void onSuccess() {
                    FileBrowseManager.this.onLrcReadStart();
                }
            });
        }
    }

    private void c() {
        this.f3494b.onSdCardStatusChange(getOnlineDev());
    }

    public int backBrowse(SDCardBean sDCardBean, boolean z2) {
        if (!b(sDCardBean)) {
            return 16384;
        }
        String a2 = a(sDCardBean);
        Folder folder = this.f3497e.get(a2);
        if (folder == null) {
            return 16387;
        }
        Folder folder2 = (Folder) folder.getParent();
        if (folder2 != null) {
            folder = folder2;
        }
        this.f3500h = sDCardBean;
        this.f3497e.put(a2, folder);
        if (z2) {
            if (folder.getChildCount() > 0) {
                a(folder.getChildFileStructs());
                a(folder.isLoadFinished(false));
                return 0;
            }
            if (isReading()) {
                return 16385;
            }
            c(true);
            a(FileBrowseUtil.covertFileToPathData(folder, sDCardBean.getDevHandler(), (byte) this.f3496d));
        }
        return 0;
    }

    public int deleteFile(final SDCardBean sDCardBean, List<FileStruct> list, boolean z2, final DeleteCallback deleteCallback) {
        if (!b(sDCardBean)) {
            return 16384;
        }
        if (isReading()) {
            return 12291;
        }
        if (list == null || list.size() < 1) {
            return 4097;
        }
        return a(sDCardBean, new ArrayList(list), z2, new DeleteCallback() { // from class: com.jieli.jl_filebrowse.FileBrowseManager.1
            @Override // com.jieli.jl_filebrowse.interfaces.DeleteCallback
            public void onError(int i2, FileStruct fileStruct) {
                DeleteCallback deleteCallback2 = deleteCallback;
                if (deleteCallback2 != null) {
                    deleteCallback2.onError(i2, fileStruct);
                }
            }

            @Override // com.jieli.jl_filebrowse.interfaces.DeleteCallback
            public void onFinish() {
                DeleteCallback deleteCallback2 = deleteCallback;
                if (deleteCallback2 != null) {
                    deleteCallback2.onFinish();
                }
            }

            @Override // com.jieli.jl_filebrowse.interfaces.DeleteCallback
            public void onSuccess(FileStruct fileStruct) {
                boolean a2 = FileBrowseManager.this.a(sDCardBean, fileStruct);
                JL_Log.i(FileBrowseManager.w, "-deleteFile- removeFileCache = " + a2 + ", " + fileStruct);
                DeleteCallback deleteCallback2 = deleteCallback;
                if (deleteCallback2 != null) {
                    deleteCallback2.onSuccess(fileStruct);
                }
            }
        });
    }

    public void cleanCache(BluetoothDevice bluetoothDevice) {
        Folder value;
        for (Map.Entry<String, Folder> entry : this.f3497e.entrySet()) {
            if (entry.getKey().endsWith(bluetoothDevice.getAddress()) && (value = entry.getValue()) != null) {
                while (value.getParent() != null) {
                    value.clean();
                    value = (Folder) value.getParent();
                }
                value.clean();
                value.setLoadFinished(false);
                entry.setValue(value);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean a(SDCardBean sDCardBean, FileStruct fileStruct) {
        File childFile;
        boolean z2 = false;
        if (sDCardBean != null && fileStruct != null) {
            Folder currentReadFile = getCurrentReadFile(sDCardBean);
            if (currentReadFile == null) {
                return false;
            }
            z2 = currentReadFile.getChildFileStructs().remove(fileStruct);
            while (!z2) {
                currentReadFile = (Folder) currentReadFile.getParent();
                if (currentReadFile == null) {
                    break;
                }
                z2 = currentReadFile.getChildFileStructs().remove(fileStruct);
            }
            if (z2 && (childFile = currentReadFile.getChildFile(fileStruct.getCluster())) != null) {
                currentReadFile.removeChild(childFile);
            }
        }
        return z2;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(boolean z2) {
        c(false);
        this.f3494b.OnFlayCallback(z2);
    }

    private String b() {
        if (this.o == null) {
            return "";
        }
        if (TextUtils.isEmpty(A)) {
            String path = this.o.getFilesDir().getPath();
            StringBuilder sb = new StringBuilder();
            sb.append(path);
            String str = java.io.File.separator;
            sb.append(str);
            sb.append(this.o.getPackageName());
            sb.append(str);
            sb.append("lrcCache");
            A = sb.toString();
        }
        java.io.File file = new java.io.File(A);
        if (!file.exists() && !file.mkdirs()) {
            JL_Log.w(w, "can not create lrc cache path");
            return "";
        }
        return file.getPath();
    }

    public void cleanCache(SDCardBean sDCardBean) {
        String a2 = a(sDCardBean);
        Folder folder = this.f3497e.get(a2);
        if (folder == null) {
            return;
        }
        while (folder.getParent() != null) {
            folder.clean();
            folder = (Folder) folder.getParent();
        }
        folder.clean();
        folder.setLoadFinished(false);
        this.f3497e.put(a2, folder);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public int a(final SDCardBean sDCardBean, final List<FileStruct> list, final boolean z2, final DeleteCallback deleteCallback) {
        if (list.size() < 1) {
            return 0;
        }
        boolean z3 = list.size() == 1;
        final FileStruct remove = list.remove(list.size() - 1);
        final boolean z4 = z3;
        this.f3493a.deleteFile(sDCardBean.getDevHandler(), remove.isFile() ? (byte) 1 : (byte) 0, remove.getCluster(), z3, z2, new OperatCallback() { // from class: com.jieli.jl_filebrowse.FileBrowseManager.2
            @Override // com.jieli.jl_filebrowse.interfaces.OperatCallback
            public void onError(int i2) {
                FileBrowseManager.this.a(sDCardBean, list, z2, deleteCallback);
                deleteCallback.onError(i2, remove);
                if (z4) {
                    deleteCallback.onFinish();
                }
            }

            @Override // com.jieli.jl_filebrowse.interfaces.OperatCallback
            public void onSuccess() {
                FileBrowseManager.this.a(sDCardBean, list, z2, deleteCallback);
                deleteCallback.onSuccess(remove);
                if (z4) {
                    deleteCallback.onFinish();
                }
            }
        });
        return 0;
    }

    private void a(final PathData pathData) {
        byte[] coverPathDataToCmd = FileBrowseUtil.coverPathDataToCmd(pathData);
        this.n = pathData;
        this.f3493a.sendPathDataCmd(pathData, coverPathDataToCmd, new OperatCallback() { // from class: com.jieli.jl_filebrowse.FileBrowseManager.3
            @Override // com.jieli.jl_filebrowse.interfaces.OperatCallback
            public void onError(int i2) {
                if (pathData.getType() == 0) {
                    FileBrowseManager.this.onFileReadFailed(i2);
                } else {
                    FileBrowseManager.this.b(false);
                }
            }

            @Override // com.jieli.jl_filebrowse.interfaces.OperatCallback
            public void onSuccess() {
                if (pathData.getType() == 0) {
                    FileBrowseManager.this.onFileReadStart();
                } else {
                    JL_Log.d(FileBrowseManager.w, "---------play file cmd send success------");
                }
            }
        });
    }

    private void a(List<FileStruct> list) {
        this.f3494b.onFileReceiver(list);
    }

    private void a(boolean z2) {
        this.f3494b.onFileReadStop(z2);
    }

    private String a(SDCardBean sDCardBean) {
        if (sDCardBean == null) {
            return "";
        }
        return sDCardBean.getName() + HelpFormatter.DEFAULT_OPT_PREFIX + sDCardBean.getDevice().getAddress();
    }

    private void a(String str) {
        this.f3495c.onLrcReadStop(str);
    }

    private String a(FileStruct fileStruct) {
        if (fileStruct == null) {
            return "lrc_Default";
        }
        return b() + java.io.File.separator + fileStruct.getName() + fileStruct.getCluster();
    }
}
