package com.jieli.jl_filebrowse;

import androidx.exifinterface.media.ExifInterface;
import com.google.firebase.crashlytics.buildtools.reloc.com.google.common.base.Ascii;
import com.jieli.jl_filebrowse.bean.File;
import com.jieli.jl_filebrowse.bean.FileStruct;
import com.jieli.jl_filebrowse.bean.PathData;
import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.JL_Log;
import java.io.UnsupportedEncodingException;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes3.dex */
public class FileBrowseUtil {

    /* renamed from: a, reason: collision with root package name */
    private static final String f3519a = "FileBrowseUtil";

    /* renamed from: b, reason: collision with root package name */
    public static byte f3520b = 0;

    /* renamed from: c, reason: collision with root package name */
    private static final byte[] f3521c = {-2, -36, -70};

    /* renamed from: d, reason: collision with root package name */
    private static final byte f3522d = -17;

    public static byte[] coverPathDataToCmd(PathData pathData) {
        if (pathData == null || pathData.toParamData() == null || pathData.toParamData().length < 1) {
            return null;
        }
        byte[] paramData = pathData.toParamData();
        short length = (short) (paramData.length + 1);
        int i2 = length + 8;
        byte[] bArr = new byte[i2];
        System.arraycopy(f3521c, 0, bArr, 0, 3);
        bArr[3] = -64;
        bArr[4] = 12;
        bArr[5] = (byte) (length >> 8);
        bArr[6] = (byte) (length & 255);
        byte b2 = f3520b;
        f3520b = (byte) (b2 + 1);
        bArr[7] = b2;
        System.arraycopy(paramData, 0, bArr, 8, paramData.length);
        bArr[i2 - 1] = -17;
        JL_Log.d(f3519a, "coverPathDataToCmd" + CHexConver.byte2HexStr(bArr, i2));
        return bArr;
    }

    public static PathData covertFileToPathData(File file, int i2, byte b2) {
        PathData pathData = new PathData();
        pathData.setType(file.getFileStruct().isFile() ? (byte) 1 : (byte) 0);
        pathData.setDevHandler(i2);
        pathData.setReadNum(b2);
        pathData.setStartIndex((short) file.getStartIndex());
        ArrayList arrayList = new ArrayList();
        File file2 = file;
        while (file2.getParent() != null) {
            file2 = file2.getParent();
            arrayList.add(0, Integer.valueOf(file2.getFileStruct().getCluster()));
        }
        arrayList.add(Integer.valueOf(file.getFileStruct().getCluster()));
        pathData.setPath(arrayList);
        return pathData;
    }

    public static String getDevName(int i2) {
        return i2 == 1 ? "SD Card 0" : i2 == 2 ? "SD Card 1" : i2 == 0 ? "USB" : i2 == 3 ? ExifInterface.TAG_FLASH : i2 == 4 ? "LineIn" : i2 == 5 ? "Flash2" : "未知类型设备";
    }

    public static List<FileStruct> parseData(byte[] bArr) {
        String str;
        ArrayList arrayList = new ArrayList();
        int i2 = 0;
        while (i2 + 8 <= bArr.length) {
            byte b2 = bArr[i2];
            int i3 = i2 + 1;
            boolean z = (b2 & 1) == 1;
            boolean z2 = (b2 & 2) == 2;
            byte b3 = (byte) ((b2 & Ascii.FS) >> 2);
            byte[] bArr2 = new byte[4];
            System.arraycopy(bArr, i3, bArr2, 0, 4);
            int bytesToInt = CHexConver.bytesToInt(bArr2);
            int i4 = i3 + 4;
            short bytesToInt2 = (short) CHexConver.bytesToInt(bArr[i4], bArr[i4 + 1]);
            int i5 = i4 + 2;
            int byteToInt = CHexConver.byteToInt(bArr[i5]);
            int i6 = i5 + 1;
            if (byteToInt > 0 && i6 + byteToInt <= bArr.length) {
                byte[] bArr3 = new byte[byteToInt];
                System.arraycopy(bArr, i6, bArr3, 0, byteToInt);
                try {
                    str = new String(bArr3, z2 ? "gbk" : "utf-16le");
                } catch (UnsupportedEncodingException e2) {
                    e2.printStackTrace();
                }
                JL_Log.d(f3519a, "parseData : name=" + str + "\tisAnsi=" + z2 + "\tfileNum=" + ((int) bytesToInt2) + "\tdevIndex=" + ((int) b3));
                i2 = i6 + byteToInt;
                FileStruct fileStruct = new FileStruct();
                fileStruct.setFile(z);
                fileStruct.setUnicode(z2 ^ true);
                fileStruct.setCluster(bytesToInt);
                fileStruct.setFileNum(bytesToInt2);
                fileStruct.setDevIndex(b3);
                fileStruct.setName(str);
                arrayList.add(fileStruct);
            }
            str = "";
            JL_Log.d(f3519a, "parseData : name=" + str + "\tisAnsi=" + z2 + "\tfileNum=" + ((int) bytesToInt2) + "\tdevIndex=" + ((int) b3));
            i2 = i6 + byteToInt;
            FileStruct fileStruct2 = new FileStruct();
            fileStruct2.setFile(z);
            fileStruct2.setUnicode(z2 ^ true);
            fileStruct2.setCluster(bytesToInt);
            fileStruct2.setFileNum(bytesToInt2);
            fileStruct2.setDevIndex(b3);
            fileStruct2.setName(str);
            arrayList.add(fileStruct2);
        }
        return arrayList;
    }

    public static List<FileStruct> parseDataHasPacket(byte[] bArr) {
        if (bArr == null || bArr.length < 10) {
            return new ArrayList();
        }
        int length = bArr.length - 10;
        byte[] bArr2 = new byte[length];
        System.arraycopy(bArr, 9, bArr2, 0, length);
        return parseData(bArr2);
    }
}
