package com.jieli.jl_rcsp.impl;

import android.bluetooth.BluetoothDevice;
import com.jieli.jl_rcsp.interfaces.IHandleResult;
import com.jieli.jl_rcsp.interfaces.OnOperationCallback;
import com.jieli.jl_rcsp.interfaces.nfc.INfcOp;
import com.jieli.jl_rcsp.interfaces.nfc.OnNfcEventCallback;
import com.jieli.jl_rcsp.interfaces.nfc.OnSyncNfcMsgListener;
import com.jieli.jl_rcsp.interfaces.rcsp.OnRcspCallback;
import com.jieli.jl_rcsp.model.base.BaseError;
import com.jieli.jl_rcsp.model.base.CommandBase;
import com.jieli.jl_rcsp.model.command.nfc.NFCOperationCmd;
import com.jieli.jl_rcsp.model.command.nfc.NFCOperationNoResponseCmd;
import com.jieli.jl_rcsp.model.device.NfcMsg;
import com.jieli.jl_rcsp.task.ITask;
import com.jieli.jl_rcsp.task.SimpleTaskListener;
import com.jieli.jl_rcsp.task.TaskListener;
import com.jieli.jl_rcsp.task.TransferTask;
import com.jieli.jl_rcsp.task.nfc.NfcSyncTask;
import com.jieli.jl_rcsp.tool.BooleanNfcActionCallback;
import com.jieli.jl_rcsp.tool.CustomRcspActionCallback;
import com.jieli.jl_rcsp.tool.NfcEventCbHelper;
import com.jieli.jl_rcsp.util.CommandBuilder;
import com.jieli.jl_rcsp.util.JL_Log;
import java.io.File;
import java.util.List;

/* loaded from: classes3.dex */
public class NfcOpImpl implements INfcOp {

    /* renamed from: g, reason: collision with root package name */
    private static final String f3553g = "NfcOpImpl";

    /* renamed from: a, reason: collision with root package name */
    private final RcspOpImpl f3554a;

    /* renamed from: c, reason: collision with root package name */
    private ITask f3556c;

    /* renamed from: d, reason: collision with root package name */
    private List<NfcMsg> f3557d;

    /* renamed from: f, reason: collision with root package name */
    private final OnRcspCallback f3559f;

    /* renamed from: b, reason: collision with root package name */
    private final NfcEventCbHelper f3555b = new NfcEventCbHelper();

    /* renamed from: e, reason: collision with root package name */
    private short f3558e = 255;

    /* renamed from: com.jieli.jl_rcsp.impl.NfcOpImpl$7, reason: invalid class name */
    public class AnonymousClass7 implements TaskListener {

        /* renamed from: a, reason: collision with root package name */
        public final /* synthetic */ TaskListener f3581a;

        /* renamed from: b, reason: collision with root package name */
        public final /* synthetic */ BluetoothDevice f3582b;

        /* renamed from: c, reason: collision with root package name */
        public final /* synthetic */ int f3583c;

        /* renamed from: d, reason: collision with root package name */
        public final /* synthetic */ String f3584d;

        public AnonymousClass7(TaskListener taskListener, BluetoothDevice bluetoothDevice, int i2, String str) {
            this.f3581a = taskListener;
            this.f3582b = bluetoothDevice;
            this.f3583c = i2;
            this.f3584d = str;
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onBegin() {
            JL_Log.e(NfcOpImpl.f3553g, "-startTransferTask- onBegin >> ");
            TaskListener taskListener = this.f3581a;
            if (taskListener != null) {
                taskListener.onBegin();
            }
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onCancel(int i2) {
            TaskListener taskListener = this.f3581a;
            if (taskListener != null) {
                taskListener.onCancel(i2);
            }
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onError(int i2, String str) {
            JL_Log.e(NfcOpImpl.f3553g, "-startTransferTask- onError = " + i2 + ", msg = " + str);
            NfcOpImpl.this.f3556c = null;
            TaskListener taskListener = this.f3581a;
            if (taskListener != null) {
                taskListener.onError(i2, str);
            }
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onFinish() {
            JL_Log.e(NfcOpImpl.f3553g, "-startTransferTask- onFinish >> ");
            NfcOpImpl.this.f3556c = null;
            NfcOpImpl.this.f3554a.sendRcspCommand(this.f3582b, CommandBuilder.buildInsertNfcFileEndCmd(this.f3583c, NfcOpImpl.this.a(this.f3584d)), new BooleanNfcActionCallback("InsertNfcFileEnd", new OnOperationCallback<Boolean>() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.7.1
                @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
                public void onFailed(BaseError baseError) {
                    TaskListener taskListener = AnonymousClass7.this.f3581a;
                    if (taskListener != null) {
                        taskListener.onError(baseError.getSubCode(), baseError.getMessage());
                    }
                }

                @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
                public void onSuccess(Boolean bool) {
                    AnonymousClass7 anonymousClass7 = AnonymousClass7.this;
                    NfcOpImpl.this.syncNfcMsg(anonymousClass7.f3582b, anonymousClass7.f3583c, new OnSyncNfcMsgListener() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.7.1.1
                        @Override // com.jieli.jl_rcsp.interfaces.nfc.OnSyncNfcMsgListener
                        public void onError(BaseError baseError) {
                            TaskListener taskListener = AnonymousClass7.this.f3581a;
                            if (taskListener != null) {
                                taskListener.onError(baseError.getSubCode(), baseError.getMessage());
                            }
                        }

                        @Override // com.jieli.jl_rcsp.interfaces.nfc.OnSyncNfcMsgListener
                        public void onFinish(List<NfcMsg> list) {
                            JL_Log.e("zzc_nfc", "-startTransferTask- success >> list = " + list.size());
                            TaskListener taskListener = AnonymousClass7.this.f3581a;
                            if (taskListener != null) {
                                taskListener.onFinish();
                            }
                        }

                        @Override // com.jieli.jl_rcsp.interfaces.nfc.OnSyncNfcMsgListener
                        public void onStart() {
                        }
                    });
                }
            }));
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onProgress(int i2) {
            TaskListener taskListener = this.f3581a;
            if (taskListener != null) {
                taskListener.onProgress(i2);
            }
        }
    }

    public NfcOpImpl(RcspOpImpl rcspOpImpl) {
        OnRcspCallback onRcspCallback = new OnRcspCallback() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.9
            /* JADX WARN: Multi-variable type inference failed */
            @Override // com.jieli.jl_rcsp.interfaces.rcsp.OnRcspCallback
            public void onRcspCommand(BluetoothDevice bluetoothDevice, CommandBase commandBase) {
                if (commandBase.getId() == 164 && (commandBase instanceof NFCOperationNoResponseCmd)) {
                    NFCOperationNoResponseCmd.Param param = (NFCOperationNoResponseCmd.Param) ((NFCOperationNoResponseCmd) commandBase).getParam();
                    if (param instanceof NFCOperationNoResponseCmd.NotifyDefaultNfcParam) {
                        NfcOpImpl.this.f3558e = ((NFCOperationNoResponseCmd.NotifyDefaultNfcParam) param).getId();
                        NfcOpImpl.this.f3555b.onDefaultNfc(bluetoothDevice, NfcOpImpl.this.f3558e);
                    }
                }
            }
        };
        this.f3559f = onRcspCallback;
        if (rcspOpImpl == null) {
            throw new NullPointerException("RcspOpImpl can not be null.");
        }
        this.f3554a = rcspOpImpl;
        rcspOpImpl.registerOnRcspCallback(onRcspCallback);
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.INfcOp
    public void addNfcFile(final BluetoothDevice bluetoothDevice, final String str, final int i2, final TaskListener taskListener) {
        JL_Log.i(f3553g, "-addNfcFile- " + str);
        File file = new File(str);
        if (file.exists() && file.isFile()) {
            this.f3554a.sendRcspCommand(bluetoothDevice, CommandBuilder.buildInsertNfcFileCmd(i2, (int) file.length(), file.getName()), new BooleanNfcActionCallback("addNfcFile", new OnOperationCallback<Boolean>() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.2
                @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
                public void onFailed(BaseError baseError) {
                    JL_Log.i(NfcOpImpl.f3553g, "-addNfcFile- send error " + baseError);
                    TaskListener taskListener2 = taskListener;
                    if (taskListener2 != null) {
                        taskListener2.onError(baseError.getSubCode(), baseError.getMessage());
                    }
                }

                @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
                public void onSuccess(Boolean bool) {
                    JL_Log.i(NfcOpImpl.f3553g, "-addNfcFile- send cmd " + bool);
                    NfcOpImpl.this.a(bluetoothDevice, str, i2, taskListener);
                }
            }));
        } else if (taskListener != null) {
            taskListener.onError(4, "File not found.");
        }
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.INfcOp
    public void addOnNfcEventCallback(OnNfcEventCallback onNfcEventCallback) {
        this.f3555b.addOnNfcEventCallback(onNfcEventCallback);
    }

    public void destroy() {
        b();
        this.f3554a.unregisterOnRcspCallback(this.f3559f);
        this.f3555b.release();
        this.f3557d.clear();
        this.f3558e = (short) 255;
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.INfcOp
    public void getDefaultNfc(BluetoothDevice bluetoothDevice, int i2, OnOperationCallback<Short> onOperationCallback) {
        this.f3554a.sendRcspCommand(bluetoothDevice, CommandBuilder.buildGetDefaultNfcOpCmd(i2), new CustomRcspActionCallback("getDefaultNfc", onOperationCallback, new IHandleResult<Short, NFCOperationCmd>() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.5
            /* JADX WARN: Multi-variable type inference failed */
            @Override // com.jieli.jl_rcsp.interfaces.IHandleResult
            public Short handleResult(BluetoothDevice bluetoothDevice2, NFCOperationCmd nFCOperationCmd) {
                NfcOpImpl.this.f3558e = ((NFCOperationCmd.GetDefaultNfcResponse) nFCOperationCmd.getResponse()).getId();
                NfcOpImpl.this.f3555b.onDefaultNfc(bluetoothDevice2, NfcOpImpl.this.f3558e);
                return Short.valueOf(NfcOpImpl.this.f3558e);
            }

            /* JADX WARN: Multi-variable type inference failed */
            @Override // com.jieli.jl_rcsp.interfaces.IHandleResult
            public int hasResult(BluetoothDevice bluetoothDevice2, NFCOperationCmd nFCOperationCmd) {
                if (nFCOperationCmd == null) {
                    return 1;
                }
                if (nFCOperationCmd.getStatus() != 1) {
                    return nFCOperationCmd.getStatus();
                }
                if (nFCOperationCmd.getResponse() == 0) {
                    return 1;
                }
                return ((NFCOperationCmd.Response) nFCOperationCmd.getResponse()).getResult();
            }
        }));
    }

    public short getDefaultNfcId() {
        return this.f3558e;
    }

    public NfcMsg getNfcMsgByID(short s) {
        List<NfcMsg> list = this.f3557d;
        if (list == null) {
            return null;
        }
        for (NfcMsg nfcMsg : list) {
            if (nfcMsg.getId() == s) {
                return nfcMsg;
            }
        }
        return null;
    }

    public List<NfcMsg> getNfcMsgList() {
        return this.f3557d;
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.INfcOp
    public void modifyNfcMsg(final BluetoothDevice bluetoothDevice, final NFCOperationCmd.ModifyMsgParam modifyMsgParam, final OnOperationCallback<Boolean> onOperationCallback) {
        this.f3554a.sendRcspCommand(bluetoothDevice, CommandBuilder.buildModifyNFCInfoCmd(modifyMsgParam), new BooleanNfcActionCallback("modifyNfcMsg", new OnOperationCallback<Boolean>() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.3
            @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
            public void onFailed(BaseError baseError) {
                OnOperationCallback onOperationCallback2 = onOperationCallback;
                if (onOperationCallback2 != null) {
                    onOperationCallback2.onFailed(baseError);
                }
            }

            @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
            public void onSuccess(Boolean bool) {
                NfcOpImpl.this.a(bluetoothDevice, modifyMsgParam);
                OnOperationCallback onOperationCallback2 = onOperationCallback;
                if (onOperationCallback2 != null) {
                    onOperationCallback2.onSuccess(bool);
                }
            }
        }));
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.INfcOp
    public void removeNfcMsg(final BluetoothDevice bluetoothDevice, int i2, final short s, final OnOperationCallback<Boolean> onOperationCallback) {
        this.f3554a.sendRcspCommand(bluetoothDevice, CommandBuilder.buildDeleteNFCInfoSyncCmd(i2, s), new BooleanNfcActionCallback("removeNfcMsg", new OnOperationCallback<Boolean>() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.4
            @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
            public void onFailed(BaseError baseError) {
                OnOperationCallback onOperationCallback2 = onOperationCallback;
                if (onOperationCallback2 != null) {
                    onOperationCallback2.onFailed(baseError);
                }
            }

            @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
            public void onSuccess(Boolean bool) {
                NfcOpImpl.this.a(bluetoothDevice, s);
                OnOperationCallback onOperationCallback2 = onOperationCallback;
                if (onOperationCallback2 != null) {
                    onOperationCallback2.onSuccess(bool);
                }
            }
        }));
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.INfcOp
    public void removeOnNfcEventCallback(OnNfcEventCallback onNfcEventCallback) {
        this.f3555b.removeOnNfcEventCallback(onNfcEventCallback);
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.INfcOp
    public void setDefaultNfc(final BluetoothDevice bluetoothDevice, int i2, final short s, final OnOperationCallback<Boolean> onOperationCallback) {
        this.f3554a.sendRcspCommand(bluetoothDevice, CommandBuilder.buildSetDefaultNfcOpCmd(i2, s), new BooleanNfcActionCallback("setDefaultNfc", new OnOperationCallback<Boolean>() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.6
            @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
            public void onFailed(BaseError baseError) {
                OnOperationCallback onOperationCallback2 = onOperationCallback;
                if (onOperationCallback2 != null) {
                    onOperationCallback2.onFailed(baseError);
                }
            }

            @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
            public void onSuccess(Boolean bool) {
                NfcOpImpl.this.f3558e = s;
                NfcOpImpl.this.f3555b.onDefaultNfc(bluetoothDevice, NfcOpImpl.this.f3558e);
                OnOperationCallback onOperationCallback2 = onOperationCallback;
                if (onOperationCallback2 != null) {
                    onOperationCallback2.onSuccess(bool);
                }
            }
        }));
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.INfcOp
    public void syncNfcMsg(final BluetoothDevice bluetoothDevice, int i2, final OnSyncNfcMsgListener onSyncNfcMsgListener) {
        a(bluetoothDevice, i2, new OnSyncNfcMsgListener() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.1
            @Override // com.jieli.jl_rcsp.interfaces.nfc.OnSyncNfcMsgListener
            public void onError(BaseError baseError) {
                OnSyncNfcMsgListener onSyncNfcMsgListener2 = onSyncNfcMsgListener;
                if (onSyncNfcMsgListener2 != null) {
                    onSyncNfcMsgListener2.onError(baseError);
                }
            }

            @Override // com.jieli.jl_rcsp.interfaces.nfc.OnSyncNfcMsgListener
            public void onFinish(List<NfcMsg> list) {
                NfcOpImpl.this.f3557d = list;
                OnSyncNfcMsgListener onSyncNfcMsgListener2 = onSyncNfcMsgListener;
                if (onSyncNfcMsgListener2 != null) {
                    onSyncNfcMsgListener2.onFinish(list);
                }
                NfcOpImpl.this.f3555b.onNfcMsgChange(bluetoothDevice, list);
                JL_Log.e(NfcOpImpl.f3553g, "-syncNfcMsg- onFinish =  " + list.size());
            }

            @Override // com.jieli.jl_rcsp.interfaces.nfc.OnSyncNfcMsgListener
            public void onStart() {
                JL_Log.i(NfcOpImpl.f3553g, "-syncNfcMsg- onStart =  ");
                OnSyncNfcMsgListener onSyncNfcMsgListener2 = onSyncNfcMsgListener;
                if (onSyncNfcMsgListener2 != null) {
                    onSyncNfcMsgListener2.onStart();
                }
            }
        });
    }

    private void b() {
        ITask iTask = this.f3556c;
        if (iTask != null) {
            if (iTask.isRun()) {
                this.f3556c.cancel((byte) 0);
            }
            this.f3556c = null;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(BluetoothDevice bluetoothDevice, String str, int i2, TaskListener taskListener) {
        ITask iTask = this.f3556c;
        if (iTask != null && iTask.isRun()) {
            if (this.f3556c.isRun()) {
                if (taskListener != null) {
                    taskListener.onError(4352, "Operation is in operation.");
                    return;
                }
                return;
            }
        } else {
            TransferTask.Param param = new TransferTask.Param();
            param.devHandler = i2;
            this.f3556c = new TransferTask(this.f3554a, str, param);
        }
        this.f3556c.setListener(new AnonymousClass7(taskListener, bluetoothDevice, i2, str));
        ((TransferTask) this.f3556c).setPath(str);
        JL_Log.e(f3553g, "-startTransferTask- mTask =  " + this.f3556c + " start");
        this.f3556c.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public String a(String str) {
        if (str == null) {
            return "";
        }
        int lastIndexOf = str.lastIndexOf("/");
        return lastIndexOf == -1 ? str : lastIndexOf == str.length() + (-1) ? "" : str.substring(lastIndexOf + 1);
    }

    private void a(BluetoothDevice bluetoothDevice, int i2, final OnSyncNfcMsgListener onSyncNfcMsgListener) {
        ITask iTask = this.f3556c;
        if (iTask == null || !iTask.isRun()) {
            NfcSyncTask nfcSyncTask = new NfcSyncTask(this.f3554a, bluetoothDevice, i2);
            this.f3556c = nfcSyncTask;
            nfcSyncTask.setListener(new SimpleTaskListener() { // from class: com.jieli.jl_rcsp.impl.NfcOpImpl.8
                @Override // com.jieli.jl_rcsp.task.SimpleTaskListener, com.jieli.jl_rcsp.task.TaskListener
                public void onBegin() {
                    OnSyncNfcMsgListener onSyncNfcMsgListener2 = onSyncNfcMsgListener;
                    if (onSyncNfcMsgListener2 != null) {
                        onSyncNfcMsgListener2.onStart();
                    }
                }

                @Override // com.jieli.jl_rcsp.task.SimpleTaskListener, com.jieli.jl_rcsp.task.TaskListener
                public void onError(int i3, String str) {
                    OnSyncNfcMsgListener onSyncNfcMsgListener2 = onSyncNfcMsgListener;
                    if (onSyncNfcMsgListener2 != null) {
                        onSyncNfcMsgListener2.onError(new BaseError(i3, str));
                    }
                }

                @Override // com.jieli.jl_rcsp.task.SimpleTaskListener, com.jieli.jl_rcsp.task.TaskListener
                public void onFinish() {
                    OnSyncNfcMsgListener onSyncNfcMsgListener2 = onSyncNfcMsgListener;
                    if (onSyncNfcMsgListener2 != null) {
                        onSyncNfcMsgListener2.onFinish(((NfcSyncTask) NfcOpImpl.this.f3556c).getNfcMsgs());
                    }
                }
            });
        }
        this.f3556c.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Removed duplicated region for block: B:29:0x00d9  */
    /* JADX WARN: Removed duplicated region for block: B:31:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void a(android.bluetooth.BluetoothDevice r12, com.jieli.jl_rcsp.model.command.nfc.NFCOperationCmd.ModifyMsgParam r13) {
        /*
            Method dump skipped, instructions count: 249
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.jieli.jl_rcsp.impl.NfcOpImpl.a(android.bluetooth.BluetoothDevice, com.jieli.jl_rcsp.model.command.nfc.NFCOperationCmd$ModifyMsgParam):void");
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(BluetoothDevice bluetoothDevice, short s) {
        NfcMsg nfcMsgByID;
        if (this.f3557d == null || (nfcMsgByID = getNfcMsgByID(s)) == null || !this.f3557d.remove(nfcMsgByID)) {
            return;
        }
        this.f3555b.onNfcMsgChange(bluetoothDevice, this.f3557d);
    }
}
