package com.jieli.jl_rcsp.model.base;

import android.text.TextUtils;
import org.apache.commons.text.StringSubstitutor;
import org.json.JSONException;
import org.json.JSONObject;

/* loaded from: classes3.dex */
public class CmdError {
    private static final String KEY_CMD = "cmd";
    private static final String KEY_CODE = "code";
    private static final String KEY_DESC = "desc";
    private static final String KEY_SUB_CODE = "sub_code";
    private static final String KEY_SUB_DESC = "sub_desc";
    private final int cmdId;
    private final int code;
    private String desc;
    private final int subCode;
    private String subDesc;

    public CmdError(int i2, int i3) {
        this(i2, i3, 0);
    }

    public static CmdError parseCmdError(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        try {
            JSONObject jSONObject = new JSONObject(str);
            if (!jSONObject.has(KEY_CMD) || !jSONObject.has(KEY_CODE) || !jSONObject.has(KEY_SUB_CODE)) {
                return null;
            }
            CmdError cmdError = new CmdError(jSONObject.getInt(KEY_CMD), jSONObject.getInt(KEY_CODE), jSONObject.getInt(KEY_SUB_CODE));
            if (jSONObject.has("desc")) {
                cmdError.setDesc(jSONObject.getString("desc"));
            }
            if (jSONObject.has(KEY_SUB_DESC)) {
                cmdError.setSubDesc(jSONObject.getString(KEY_SUB_DESC));
            }
            return cmdError;
        } catch (JSONException e2) {
            throw new RuntimeException(e2);
        }
    }

    public int getCmdId() {
        return this.cmdId;
    }

    public int getCode() {
        return this.code;
    }

    public String getDesc() {
        return this.desc;
    }

    public int getSubCode() {
        return this.subCode;
    }

    public String getSubDesc() {
        return this.subDesc;
    }

    public void setDesc(String str) {
        this.desc = str;
    }

    public void setSubDesc(String str) {
        this.subDesc = str;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("{\"cmd\":");
        sb.append(this.cmdId);
        sb.append(", \"code\":");
        sb.append(this.code);
        if (!TextUtils.isEmpty(this.desc)) {
            sb.append(", \"desc\":\"");
            sb.append(this.desc);
            sb.append("\"");
        }
        sb.append(", \"sub_code\":");
        sb.append(this.subCode);
        if (!TextUtils.isEmpty(this.subDesc)) {
            sb.append(", \"sub_desc\":\"");
            sb.append(this.subDesc);
            sb.append("\"");
        }
        sb.append(StringSubstitutor.DEFAULT_VAR_END);
        return sb.toString();
    }

    public CmdError(int i2, int i3, int i4) {
        this.cmdId = i2;
        this.code = i3;
        this.subCode = i4;
    }
}
