package com.jieli.jl_rcsp.model.cmdHandler;

import android.bluetooth.BluetoothDevice;
import com.jieli.jl_rcsp.interfaces.cmd.ICmdHandler;
import com.jieli.jl_rcsp.model.base.BasePacket;
import com.jieli.jl_rcsp.model.base.CommandBase;
import com.jieli.jl_rcsp.model.command.data.DataTransferCmd;
import com.jieli.jl_rcsp.tool.CommandHelper;

/* loaded from: classes3.dex */
public class DataTransferCmdHandler implements ICmdHandler {
    @Override // com.jieli.jl_rcsp.interfaces.cmd.ICmdHandler
    public CommandBase parseDataToCmd(BluetoothDevice bluetoothDevice, BasePacket basePacket) {
        if (basePacket == null || basePacket.getOpCode() != 48) {
            return null;
        }
        int i2 = basePacket.getHasResponse() == 0 ? 1 : 2;
        byte[] paramData = basePacket.getParamData();
        if (basePacket.getType() == 1) {
            return new DataTransferCmd(i2, new DataTransferCmd.Param(paramData).getOp() == 1 ? new DataTransferCmd.DataTransferParam(paramData) : new DataTransferCmd.TransferParam(paramData).getWay() == 1 ? new DataTransferCmd.SendDataParam(paramData) : new DataTransferCmd.ReadDataParam(paramData)).setOpCodeSn(basePacket.getOpCodeSn());
        }
        CommandBase command = CommandHelper.getInstance().getCommand(bluetoothDevice, basePacket.getOpCode(), basePacket.getOpCodeSn());
        DataTransferCmd dataTransferCmd = command == null ? new DataTransferCmd(new DataTransferCmd.Param(new byte[0])) : (DataTransferCmd) command;
        dataTransferCmd.setResponse(new DataTransferCmd.Response(paramData).getOp() == 1 ? new DataTransferCmd.DataTransferResponse(paramData) : new DataTransferCmd.TransferParamResponse(paramData).getWay() == 1 ? new DataTransferCmd.SendDataResponse(paramData) : new DataTransferCmd.ReadDataResponse(paramData));
        dataTransferCmd.setStatus(basePacket.getStatus());
        dataTransferCmd.setOpCodeSn(basePacket.getOpCodeSn());
        return dataTransferCmd;
    }
}
