package com.jieli.jl_rcsp.model.cmdHandler;

import android.bluetooth.BluetoothDevice;
import com.jieli.jl_rcsp.interfaces.cmd.ICmdHandler;
import com.jieli.jl_rcsp.model.base.BasePacket;
import com.jieli.jl_rcsp.model.base.CommandBase;
import com.jieli.jl_rcsp.model.command.tws.GetLowLatencySettingsCmd;
import com.jieli.jl_rcsp.model.response.GetLowLatencySettingsResponse;
import com.jieli.jl_rcsp.tool.CommandHelper;
import com.jieli.jl_rcsp.util.CHexConver;

/* loaded from: classes3.dex */
public class GetLowLatencySettingsCmdHandler implements ICmdHandler {
    @Override // com.jieli.jl_rcsp.interfaces.cmd.ICmdHandler
    public CommandBase parseDataToCmd(BluetoothDevice bluetoothDevice, BasePacket basePacket) {
        int i2;
        if (basePacket == null || basePacket.getOpCode() != 213) {
            return null;
        }
        byte[] paramData = basePacket.getParamData();
        if (basePacket.getType() == 1) {
            return new GetLowLatencySettingsCmd().setOpCodeSn(basePacket.getOpCodeSn());
        }
        CommandBase command = CommandHelper.getInstance().getCommand(bluetoothDevice, basePacket.getOpCode(), basePacket.getOpCodeSn());
        int i3 = 50;
        if (paramData == null || paramData.length <= 1) {
            i2 = 20;
        } else {
            i2 = CHexConver.bytesToInt(paramData, 0, 2);
            if (paramData.length > 5) {
                i3 = CHexConver.bytesToInt(paramData, 2, 4);
            }
        }
        GetLowLatencySettingsResponse getLowLatencySettingsResponse = new GetLowLatencySettingsResponse(i2, i3);
        getLowLatencySettingsResponse.setRawData(paramData);
        if (command != null) {
            GetLowLatencySettingsCmd getLowLatencySettingsCmd = (GetLowLatencySettingsCmd) command;
            getLowLatencySettingsCmd.setResponse(getLowLatencySettingsResponse);
            getLowLatencySettingsCmd.setStatus(basePacket.getStatus());
            return getLowLatencySettingsCmd;
        }
        GetLowLatencySettingsCmd getLowLatencySettingsCmd2 = new GetLowLatencySettingsCmd();
        getLowLatencySettingsCmd2.setOpCodeSn(basePacket.getOpCodeSn());
        getLowLatencySettingsCmd2.setResponse(getLowLatencySettingsResponse);
        getLowLatencySettingsCmd2.setStatus(basePacket.getStatus());
        return getLowLatencySettingsCmd2;
    }
}
