package com.jieli.jl_rcsp.model.command;

import com.jieli.jl_rcsp.constant.Command;
import com.jieli.jl_rcsp.model.base.BaseParameter;
import com.jieli.jl_rcsp.model.base.CommandWithParamAndResponse;
import com.jieli.jl_rcsp.model.base.CommonResponse;
import com.jieli.jl_rcsp.util.CHexConver;
import java.io.ByteArrayOutputStream;
import java.io.IOException;

/* loaded from: classes3.dex */
public class SetDevStorageCmd extends CommandWithParamAndResponse<SetDevStorageParam, CommonResponse> {

    public static class SetDevStorageParam extends BaseParameter {
        private final int devHandler;

        public SetDevStorageParam(int i2) {
            this.devHandler = i2;
        }

        public int getDevHandler() {
            return this.devHandler;
        }

        @Override // com.jieli.jl_rcsp.model.base.BaseParameter, com.jieli.jl_rcsp.interfaces.cmd.IParamBase
        public byte[] getParamData() {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            try {
                byteArrayOutputStream.write(CHexConver.intToBigBytes(this.devHandler));
            } catch (IOException e2) {
                e2.printStackTrace();
            }
            return byteArrayOutputStream.toByteArray();
        }
    }

    public SetDevStorageCmd(int i2) {
        super(Command.CMD_SET_DEVICE_STORAGE, "SetDevStorageCmd", new SetDevStorageParam(i2));
    }
}
