package com.jieli.jl_rcsp.model.device;

import com.dd.plist.ASCIIPropertyListParser;
import com.jieli.jl_rcsp.util.CHexConver;

/* loaded from: classes3.dex */
public class DevStorageInfo {
    private int flash2Handler;
    private int flash2Status;
    private int flashHandler;
    private int flashStatus;
    private boolean isStorageReuse;
    private int lineInStatus;
    private int sd0Handler;
    private int sd0Status;
    private int sd1Handler;
    private int sd1Status;
    private int status;
    private int ubsStatus;
    private int usbHandler;

    public int getFlash2Handler() {
        return this.flash2Handler;
    }

    public int getFlash2Status() {
        return this.flash2Status;
    }

    public int getFlashHandler() {
        return this.flashHandler;
    }

    public int getFlashStatus() {
        return this.flashStatus;
    }

    public int getLineInStatus() {
        return this.lineInStatus;
    }

    public int getSd0Handler() {
        return this.sd0Handler;
    }

    public int getSd0Status() {
        return this.sd0Status;
    }

    public int getSd1Handler() {
        return this.sd1Handler;
    }

    public int getSd1Status() {
        return this.sd1Status;
    }

    public int getStatus() {
        return this.status;
    }

    public int getUbsStatus() {
        return this.ubsStatus;
    }

    public int getUsbHandler() {
        return this.usbHandler;
    }

    public boolean isStorageReuse() {
        return this.isStorageReuse;
    }

    public void parseData(byte[] bArr) {
        if (bArr != null) {
            if (bArr.length < 1) {
                return;
            }
            byte b2 = bArr[0];
            setStatus(CHexConver.byteToInt(b2));
            setUbsStatus(b2 & 1);
            setSd0Status(b2 & 2);
            setSd1Status(b2 & 4);
            setFlashStatus(b2 & 8);
            setLineInStatus(b2 & 16);
            setFlash2Status(b2 & 32);
            int i2 = 5;
            if (bArr.length >= 5) {
                setUsbHandler(CHexConver.bytesToInt(bArr, 1, 4));
            } else {
                i2 = 1;
            }
            int i3 = i2 + 4;
            if (bArr.length >= i3) {
                setSd0Status(CHexConver.bytesToInt(bArr, i2, 4));
                i2 = i3;
            }
            int i4 = i2 + 4;
            if (bArr.length >= i4) {
                setSd1Status(CHexConver.bytesToInt(bArr, i2, 4));
                i2 = i4;
            }
            int i5 = i2 + 4;
            if (bArr.length >= i5) {
                setFlashHandler(CHexConver.bytesToInt(bArr, i2, 4));
                i2 = i5;
            }
            int i6 = i2 + 4;
            if (bArr.length >= i6) {
                setFlash2Handler(CHexConver.bytesToInt(bArr, i2, 4));
                i2 = i6;
            }
            if (bArr.length >= i2 + 1) {
                setStorageReuse(CHexConver.byteToInt(bArr[i2]) == 1);
            }
        }
    }

    public DevStorageInfo setFlash2Handler(int i2) {
        this.flash2Handler = i2;
        return this;
    }

    public DevStorageInfo setFlash2Status(int i2) {
        this.flash2Status = i2;
        return this;
    }

    public DevStorageInfo setFlashHandler(int i2) {
        this.flashHandler = i2;
        return this;
    }

    public DevStorageInfo setFlashStatus(int i2) {
        this.flashStatus = i2;
        return this;
    }

    public DevStorageInfo setLineInStatus(int i2) {
        this.lineInStatus = i2;
        return this;
    }

    public DevStorageInfo setSd0Handler(int i2) {
        this.sd0Handler = i2;
        return this;
    }

    public DevStorageInfo setSd0Status(int i2) {
        this.sd0Status = i2;
        return this;
    }

    public DevStorageInfo setSd1Handler(int i2) {
        this.sd1Handler = i2;
        return this;
    }

    public DevStorageInfo setSd1Status(int i2) {
        this.sd1Status = i2;
        return this;
    }

    public DevStorageInfo setStatus(int i2) {
        this.status = i2;
        return this;
    }

    public DevStorageInfo setStorageReuse(boolean z) {
        this.isStorageReuse = z;
        return this;
    }

    public DevStorageInfo setUbsStatus(int i2) {
        this.ubsStatus = i2;
        return this;
    }

    public DevStorageInfo setUsbHandler(int i2) {
        this.usbHandler = i2;
        return this;
    }

    public String toString() {
        return "DevStorageInfo{ubsStatus=" + this.ubsStatus + ", sd0Status=" + this.sd0Status + ", sd1Status=" + this.sd1Status + ", flashStatus=" + this.flashStatus + ", usbHandler=" + this.usbHandler + ", sd0Handler=" + this.sd0Handler + ", sd1Handler=" + this.sd1Handler + ", flashHandler=" + this.flashHandler + ", lineInStatus=" + this.lineInStatus + ", flash2Handler=" + this.flash2Handler + ", isStorageReuse=" + this.isStorageReuse + ASCIIPropertyListParser.DICTIONARY_END_TOKEN;
    }
}
