package com.jieli.jl_rcsp.model.device.health;

import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.JL_Log;

/* loaded from: classes3.dex */
public class AirPressure extends HealthData {
    private static final int DATA_INTERVAL = 2;
    private int maxValue;
    private int minValue;
    private int realTimeValue;

    public AirPressure(int i2, byte b2, byte[] bArr) {
        super(1, b2, bArr, i2);
        parseAirPressureData(i2, b2, bArr);
    }

    private int getValueFromData(int i2, byte[] bArr) {
        if (bArr == null || i2 + 2 > bArr.length) {
            return 0;
        }
        return CHexConver.bytesToInt(bArr, i2, 2);
    }

    private void parseAirPressureData(int i2, byte b2, byte[] bArr) {
        if (i2 != 0) {
            JL_Log.e("AirPressure", "no support version : " + i2);
            return;
        }
        byte[] booleanArrayBig = CHexConver.getBooleanArrayBig(b2);
        int i3 = 0;
        for (int i4 = 0; i4 < booleanArrayBig.length; i4++) {
            if (booleanArrayBig[i4] == 1) {
                if (i4 == 0) {
                    this.realTimeValue = getValueFromData(i3, bArr);
                } else if (i4 == 1) {
                    this.minValue = getValueFromData(i3, bArr);
                } else if (i4 == 2) {
                    this.maxValue = getValueFromData(i3, bArr);
                }
                i3 += 2;
            }
        }
    }

    public int getMaxValue() {
        return this.maxValue;
    }

    public int getMinValue() {
        return this.minValue;
    }

    public int getRealTimeValue() {
        return this.realTimeValue;
    }

    @Override // com.jieli.jl_rcsp.model.device.health.HealthData
    public String toString() {
        return "AirPressure{realTimeValue=" + this.realTimeValue + ", minValue=" + this.minValue + ", maxValue=" + this.maxValue + "} " + super.toString();
    }
}
