package com.jieli.jl_rcsp.model.device.health;

import android.text.TextUtils;
import com.dd.plist.ASCIIPropertyListParser;
import com.jieli.jl_rcsp.model.device.AttrBean;
import com.jieli.jl_rcsp.util.CHexConver;
import java.io.ByteArrayOutputStream;
import java.io.IOException;

/* loaded from: classes3.dex */
public class FallDetection implements IHealthSettingToAttr {
    public static final byte MODE_BRIGHT = 0;
    public static final byte MODE_CALL = 2;
    public static final byte MODE_SHAKE = 1;
    private String contact;
    private boolean enable;
    private byte mode;

    public FallDetection(byte[] bArr) {
        parseData(bArr);
    }

    private void parseData(byte[] bArr) {
        if (bArr == null || bArr.length == 0) {
            return;
        }
        int i2 = 0;
        int i3 = 1;
        this.enable = CHexConver.byteToInt(bArr[0]) == 1;
        if (bArr.length >= 2) {
            this.mode = bArr[1];
            i3 = 2;
        }
        this.contact = "";
        if (this.mode == 2) {
            int i4 = i3 + 1;
            if (bArr.length >= i4) {
                i2 = Math.min(CHexConver.byteToInt(bArr[i3]), bArr.length - i4);
                i3 = i4;
            }
            if (i2 <= 0 || bArr.length < i3 + i2) {
                return;
            }
            this.contact = new String(bArr, i3, i2).trim();
        }
    }

    private byte[] toData() {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        try {
            byteArrayOutputStream.write(new byte[]{this.enable ? (byte) 1 : (byte) 0, this.mode});
        } catch (IOException e2) {
            e2.printStackTrace();
        }
        if (this.mode == 2 && !TextUtils.isEmpty(this.contact)) {
            try {
                byteArrayOutputStream.write(this.contact.getBytes().length);
                byteArrayOutputStream.write(this.contact.getBytes());
            } catch (IOException e3) {
                e3.printStackTrace();
            }
        }
        return byteArrayOutputStream.toByteArray();
    }

    public String getContact() {
        return this.contact;
    }

    public byte getMode() {
        return this.mode;
    }

    @Override // com.jieli.jl_rcsp.model.device.health.IHealthSettingToAttr
    public int getType() {
        return 7;
    }

    public boolean isEnable() {
        return this.enable;
    }

    public FallDetection setContact(String str) {
        this.contact = str;
        return this;
    }

    public FallDetection setEnable(boolean z) {
        this.enable = z;
        return this;
    }

    public FallDetection setMode(byte b2) {
        this.mode = b2;
        return this;
    }

    @Override // com.jieli.jl_rcsp.model.device.health.IHealthSettingToAttr
    public AttrBean toAttr() {
        return new AttrBean().setAttrData(toData()).setType((byte) getType());
    }

    public String toString() {
        return "FallDetection{contact='" + this.contact + "', enable=" + this.enable + ", mode=" + ((int) this.mode) + ASCIIPropertyListParser.DICTIONARY_END_TOKEN;
    }
}
