package com.jieli.jl_rcsp.model.device.health;

import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.JL_Log;

/* loaded from: classes3.dex */
public class HeartRate extends HealthData {
    private static final int DATA_INTERVAL = 1;
    private int maxValue;
    private int realTimeValue;
    private int restingValue;
    private int singleTestValue;

    public HeartRate(int i2, byte b2, byte[] bArr) {
        super(0, b2, bArr, i2);
        parseHeartRateData(i2, b2, bArr);
    }

    private int getValueFromData(int i2, byte[] bArr) {
        if (bArr == null || i2 + 1 > bArr.length) {
            return 0;
        }
        return CHexConver.byteToInt(bArr[i2]);
    }

    private void parseHeartRateData(int i2, byte b2, byte[] bArr) {
        if (i2 != 0) {
            JL_Log.e("HeartRate", "no support version : " + i2);
            return;
        }
        byte[] booleanArrayBig = CHexConver.getBooleanArrayBig(b2);
        int i3 = 0;
        for (int i4 = 0; i4 < booleanArrayBig.length; i4++) {
            if (booleanArrayBig[i4] == 1) {
                if (i4 == 0) {
                    this.realTimeValue = getValueFromData(i3, bArr);
                } else if (i4 == 1) {
                    this.restingValue = getValueFromData(i3, bArr);
                } else if (i4 == 2) {
                    this.maxValue = getValueFromData(i3, bArr);
                } else if (i4 == 3) {
                    this.singleTestValue = getValueFromData(i3, bArr);
                }
                i3++;
            }
        }
    }

    public int getMaxValue() {
        return this.maxValue;
    }

    public int getRealTimeValue() {
        return this.realTimeValue;
    }

    public int getRestingValue() {
        return this.restingValue;
    }

    public int getSingleTestValue() {
        return this.singleTestValue;
    }

    @Override // com.jieli.jl_rcsp.model.device.health.HealthData
    public String toString() {
        return "HeartRate{realTimeValue=" + this.realTimeValue + ", restingValue=" + this.restingValue + ", maxValue=" + this.maxValue + ", singleTestValue=" + this.singleTestValue + "} " + super.toString();
    }
}
