package com.jieli.jl_rcsp.model.device.health;

import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.JL_Log;

/* loaded from: classes3.dex */
public class PressureDetection extends HealthData {
    private int detectionValue;

    public PressureDetection(int i2, byte b2, byte[] bArr) {
        super(5, b2, bArr, i2);
        parsePressureDetectionData(i2, b2, bArr);
    }

    private void parsePressureDetectionData(int i2, byte b2, byte[] bArr) {
        if (i2 != 0) {
            JL_Log.e("PressureDetection", "no support version : " + i2);
            return;
        }
        byte[] booleanArrayBig = CHexConver.getBooleanArrayBig(b2);
        int i3 = 0;
        for (int i4 = 0; i4 < booleanArrayBig.length; i4++) {
            if (booleanArrayBig[i4] == 1 && i4 == 0) {
                this.detectionValue = CHexConver.byteToInt(bArr[i3]);
                i3++;
            }
        }
    }

    public int getDetectionValue() {
        return this.detectionValue;
    }

    @Override // com.jieli.jl_rcsp.model.device.health.HealthData
    public String toString() {
        return "PressureDetection{detectionValue=" + this.detectionValue + "} " + super.toString();
    }
}
