package com.jieli.jl_rcsp.model.device.health;

import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.JL_Log;

/* loaded from: classes3.dex */
public class SportsSteps extends HealthData {
    private int calorie;
    private int distance;
    private int stepNum;

    public SportsSteps(int i2, byte b2, byte[] bArr) {
        super(3, b2, bArr, i2);
        parseSportsStepsData(i2, b2, bArr);
    }

    private int getValueFromData(int i2, int i3, byte[] bArr) {
        if (bArr == null || i2 + i3 > bArr.length) {
            return 0;
        }
        return CHexConver.bytesToInt(bArr, i2, i3);
    }

    private void parseSportsStepsData(int i2, byte b2, byte[] bArr) {
        if (i2 != 0) {
            JL_Log.e("SportsSteps", "no support version : " + i2);
            return;
        }
        byte[] booleanArrayBig = CHexConver.getBooleanArrayBig(b2);
        int i3 = 0;
        for (int i4 = 0; i4 < booleanArrayBig.length; i4++) {
            if (booleanArrayBig[i4] == 1) {
                if (i4 != 0) {
                    if (i4 == 1) {
                        this.distance = getValueFromData(i3, 2, bArr);
                    } else if (i4 == 2) {
                        this.calorie = getValueFromData(i3, 2, bArr);
                    }
                    i3 += 2;
                } else {
                    this.stepNum = getValueFromData(i3, 4, bArr);
                    i3 += 4;
                }
            }
        }
    }

    public int getCalorie() {
        return this.calorie;
    }

    public int getDistance() {
        return this.distance;
    }

    public int getStepNum() {
        return this.stepNum;
    }

    @Override // com.jieli.jl_rcsp.model.device.health.HealthData
    public String toString() {
        return "SportsSteps{stepNum=" + this.stepNum + ", distance=" + this.distance + ", calorie=" + this.calorie + "} " + super.toString();
    }
}
