package com.jieli.jl_rcsp.model.device.health;

import com.dd.plist.ASCIIPropertyListParser;
import com.jieli.jl_rcsp.model.device.AttrBean;
import com.jieli.jl_rcsp.util.CHexConver;
import java.nio.ByteBuffer;

/* loaded from: classes3.dex */
public class UserInfo implements IHealthSettingToAttr {
    public static final int SEX_MAN = 1;
    public static final int SEX_WOMAN = 0;
    private byte birthDay;
    private byte birthMonth;
    private int birthYear;
    private short height;
    private byte sex;
    private short weight;

    public UserInfo(byte[] bArr) {
        parseData(bArr);
    }

    private void parseData(byte[] bArr) {
        if (bArr == null || bArr.length == 0) {
            return;
        }
        int i2 = 2;
        if (bArr.length >= 2) {
            this.height = CHexConver.bytesToShort(bArr[0], bArr[1]);
        } else {
            i2 = 0;
        }
        int i3 = i2 + 2;
        if (bArr.length >= i3) {
            this.weight = CHexConver.bytesToShort(bArr[i2], bArr[i2 + 1]);
            i2 = i3;
        }
        int i4 = i2 + 2;
        if (bArr.length >= i4) {
            this.birthYear = CHexConver.bytesToInt(bArr[i2], bArr[i2 + 1]);
            i2 = i4;
        }
        int i5 = i2 + 1;
        if (bArr.length >= i5) {
            this.birthMonth = bArr[i2];
            i2 = i5;
        }
        int i6 = i2 + 1;
        if (bArr.length >= i6) {
            this.birthDay = bArr[i2];
            i2 = i6;
        }
        if (bArr.length >= i2 + 1) {
            this.sex = bArr[i2];
        }
    }

    private byte[] toData() {
        return ByteBuffer.allocate(9).putShort(this.height).putShort(this.weight).putShort((short) this.birthYear).put(this.birthMonth).put(this.birthDay).put(this.sex).array();
    }

    public byte getBirthDay() {
        return this.birthDay;
    }

    public byte getBirthMonth() {
        return this.birthMonth;
    }

    public int getBirthYear() {
        return this.birthYear;
    }

    public short getHeight() {
        return this.height;
    }

    public byte getSex() {
        return this.sex;
    }

    @Override // com.jieli.jl_rcsp.model.device.health.IHealthSettingToAttr
    public int getType() {
        return 9;
    }

    public short getWeight() {
        return this.weight;
    }

    public UserInfo setBirthDay(byte b2) {
        this.birthDay = b2;
        return this;
    }

    public UserInfo setBirthMonth(byte b2) {
        this.birthMonth = b2;
        return this;
    }

    public UserInfo setBirthYear(int i2) {
        this.birthYear = i2;
        return this;
    }

    public UserInfo setHeight(short s) {
        this.height = s;
        return this;
    }

    public UserInfo setSex(byte b2) {
        this.sex = b2;
        return this;
    }

    public UserInfo setWeight(short s) {
        this.weight = s;
        return this;
    }

    @Override // com.jieli.jl_rcsp.model.device.health.IHealthSettingToAttr
    public AttrBean toAttr() {
        return new AttrBean().setType((byte) getType()).setAttrData(toData());
    }

    public String toString() {
        return "UserInfo{height=" + ((int) this.height) + ", weight=" + ((int) this.weight) + ", year=" + this.birthYear + ", month=" + ((int) this.birthMonth) + ", day=" + ((int) this.birthDay) + ", sex=" + ((int) this.sex) + ASCIIPropertyListParser.DICTIONARY_END_TOKEN;
    }
}
