package com.jieli.jl_rcsp.model.parameter;

import android.text.TextUtils;
import com.jieli.jl_rcsp.model.command.nfc.NFCOperationCmd;
import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.JL_Log;
import com.jieli.jl_rcsp.util.RcspUtil;
import java.io.ByteArrayOutputStream;

/* loaded from: classes3.dex */
public class ModifyNfcMsgParam extends NFCOperationCmd.ModifyMsgParam {
    private final String nickName;
    private final long updateTime;

    public ModifyNfcMsgParam(int i2, short s, long j2, String str) {
        super(i2, s, getMask(j2, str), getMaskData(j2, str));
        this.updateTime = j2;
        this.nickName = new String(RcspUtil.getData(str, 24));
    }

    private static int getMask(long j2, String str) {
        int i2 = j2 > 0 ? 1 : 0;
        return !TextUtils.isEmpty(str) ? i2 | 2 : i2;
    }

    private static byte[] getMaskData(long j2, String str) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        if (j2 > 0) {
            try {
                byteArrayOutputStream.write(CHexConver.intToBigBytes(RcspUtil.time2Int(j2)));
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        if (!TextUtils.isEmpty(str)) {
            byte[] bArr = new byte[24];
            System.arraycopy(str.getBytes(), 0, bArr, 0, str.getBytes().length);
            JL_Log.i("zzc_nfc", "modify name : " + str + ", data = " + CHexConver.byte2HexStr(bArr));
            byteArrayOutputStream.write(bArr);
        }
        return byteArrayOutputStream.toByteArray();
    }

    public String getNickName() {
        return this.nickName;
    }

    public long getUpdateTime() {
        return this.updateTime;
    }
}
