package com.jieli.jl_rcsp.task.contacts;

import android.text.TextUtils;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes3.dex */
public class DeviceContacts {

    /* renamed from: a, reason: collision with root package name */
    private short f3713a;

    /* renamed from: b, reason: collision with root package name */
    private String f3714b;

    /* renamed from: c, reason: collision with root package name */
    private String f3715c;

    public DeviceContacts(short s, String str, String str2) {
        this.f3713a = s;
        this.f3714b = str;
        this.f3715c = str2;
    }

    public static List<DeviceContacts> fromData(short s, byte[] bArr) {
        ArrayList arrayList = new ArrayList();
        if (bArr != null && bArr.length >= 40) {
            for (int i2 = 0; i2 <= bArr.length - 40; i2 += 40) {
                byte[] bArr2 = new byte[20];
                byte[] bArr3 = new byte[20];
                System.arraycopy(bArr, i2, bArr2, 0, 20);
                System.arraycopy(bArr, i2 + 20, bArr3, 0, 20);
                arrayList.add(new DeviceContacts(s, new String(bArr2).trim(), new String(bArr3).trim()));
            }
        }
        return arrayList;
    }

    public static byte[] getTextData(String str) {
        if (TextUtils.isEmpty(str)) {
            return new byte[0];
        }
        byte[] bytes = str.getBytes();
        while (bytes.length > 20) {
            str = str.substring(0, str.length() - 1);
            bytes = str.getBytes();
        }
        return bytes;
    }

    public static String toString(List<DeviceContacts> list) {
        if (list == null || list.size() < 1) {
            return "no contacts";
        }
        StringBuilder sb = new StringBuilder();
        Iterator<DeviceContacts> it2 = list.iterator();
        while (it2.hasNext()) {
            sb.append(it2.next().toString());
        }
        return sb.toString();
    }

    public short getFileId() {
        return this.f3713a;
    }

    public String getMobile() {
        return this.f3715c;
    }

    public String getName() {
        return this.f3714b;
    }

    public void setMobile(String str) {
        this.f3715c = str;
    }

    public void setName(String str) {
        this.f3714b = str;
    }

    public byte[] toData() {
        byte[] textData = getTextData(this.f3714b);
        byte[] textData2 = getTextData(this.f3715c);
        return ByteBuffer.allocate(40).put(textData).put(new byte[20 - textData.length]).put(textData2).put(new byte[20 - textData2.length]).array();
    }

    public static byte[] toData(List<DeviceContacts> list) {
        ByteBuffer allocate = ByteBuffer.allocate(list.size() * 40);
        Iterator<DeviceContacts> it2 = list.iterator();
        while (it2.hasNext()) {
            allocate.put(it2.next().toData());
        }
        return allocate.array();
    }

    public String toString() {
        return "DeviceContacts{fileId=" + ((int) this.f3713a) + ", name='" + this.f3714b + "', mobile='" + this.f3715c + "'}";
    }
}
