package com.jieli.jl_rcsp.task.format;

import android.content.Context;
import com.jieli.jl_filebrowse.bean.SDCardBean;
import com.jieli.jl_rcsp.impl.RcspOpImpl;
import com.jieli.jl_rcsp.task.CallTransferTask;
import com.jieli.jl_rcsp.task.GetFileByNameTask;
import com.jieli.jl_rcsp.task.ITask;
import com.jieli.jl_rcsp.task.TaskBase;
import com.jieli.jl_rcsp.task.TaskListener;
import com.jieli.jl_rcsp.task.TransferTask;
import com.jieli.jl_rcsp.util.JL_Log;
import java.io.File;
import java.util.Queue;
import java.util.concurrent.ArrayBlockingQueue;

/* loaded from: classes3.dex */
public class FormatTask extends TaskBase {

    /* renamed from: b, reason: collision with root package name */
    private final Context f3741b;

    /* renamed from: c, reason: collision with root package name */
    private final SDCardBean f3742c;

    /* renamed from: d, reason: collision with root package name */
    private final Queue<ITask> f3743d;

    public class AddTaskListener extends NextListener {

        /* renamed from: c, reason: collision with root package name */
        private final ITask f3744c;

        public AddTaskListener(ITask iTask, String str) {
            super(str);
            this.f3744c = iTask;
        }

        @Override // com.jieli.jl_rcsp.task.format.FormatTask.NextListener, com.jieli.jl_rcsp.task.TaskListener
        public void onFinish() {
            FormatTask.this.f3743d.add(this.f3744c);
            super.onFinish();
        }
    }

    public class ErrorStopListener extends NextListener {
        public ErrorStopListener(String str) {
            super(str);
        }

        @Override // com.jieli.jl_rcsp.task.format.FormatTask.NextListener, com.jieli.jl_rcsp.task.TaskListener
        public void onError(int i2, String str) {
            JL_Log.w(FormatTask.this.tag, "Formatting process stopped：task is --》" + this.f3747a);
            FormatTask.this.callbackError(i2, str);
        }
    }

    public class NextListener implements TaskListener {

        /* renamed from: a, reason: collision with root package name */
        public String f3747a;

        public NextListener(String str) {
            this.f3747a = str;
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onBegin() {
            JL_Log.i(FormatTask.this.tag, " Task begin :" + this.f3747a);
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onCancel(int i2) {
            onError(i2, "cancel");
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onError(int i2, String str) {
            JL_Log.w(FormatTask.this.tag, "The formatting task is error, do next task: error task --》" + this.f3747a);
            FormatTask.this.a();
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onFinish() {
            FormatTask.this.a();
        }

        @Override // com.jieli.jl_rcsp.task.TaskListener
        public void onProgress(int i2) {
        }
    }

    public FormatTask(RcspOpImpl rcspOpImpl, Context context, SDCardBean sDCardBean) throws RuntimeException {
        super(rcspOpImpl);
        this.f3743d = new ArrayBlockingQueue(6);
        if (context == null) {
            throw new RuntimeException("Context can not be null.");
        }
        if (sDCardBean == null) {
            throw new RuntimeException("Device storage can not be null.");
        }
        this.f3741b = context;
        this.f3742c = sDCardBean;
    }

    @Override // com.jieli.jl_rcsp.task.ITask
    public void cancel(byte b2) {
        throw new RuntimeException("can not cancel");
    }

    @Override // com.jieli.jl_rcsp.task.ITask
    public void start() {
        callbackBegin();
        int devHandler = this.f3742c.getDevHandler();
        FormatBatchCmdTask formatBatchCmdTask = new FormatBatchCmdTask(this.mRcspOp, (byte) 0);
        FormatBatchCmdTask formatBatchCmdTask2 = new FormatBatchCmdTask(this.mRcspOp, Byte.MIN_VALUE);
        FormatCmdTask formatCmdTask = new FormatCmdTask(this.mRcspOp, Byte.MIN_VALUE, devHandler);
        StringBuilder sb = new StringBuilder();
        sb.append(this.f3741b.getCacheDir());
        String str = File.separator;
        sb.append(str);
        sb.append("WMEM.BIN");
        String sb2 = sb.toString();
        GetFileByNameTask getFileByNameTask = new GetFileByNameTask(this.mRcspOp, new GetFileByNameTask.Param(devHandler, "WMEM.BIN", sb2, false));
        String str2 = this.f3741b.getCacheDir() + str + "call.txt";
        GetFileByNameTask getFileByNameTask2 = new GetFileByNameTask(this.mRcspOp, new GetFileByNameTask.Param(devHandler, "call.txt", str2, false));
        TransferTask.Param param = new TransferTask.Param();
        param.devHandler = devHandler;
        param.useFlash = this.f3742c.getType() == 2 || this.f3742c.getType() == 4;
        TransferTask transferTask = new TransferTask(this.mRcspOp, sb2, param);
        transferTask.setListener(new NextListener("wmenSave task"));
        CallTransferTask callTransferTask = new CallTransferTask(this.mRcspOp, str2, param);
        callTransferTask.setListener(new NextListener("callSave task"));
        this.f3743d.add(formatBatchCmdTask);
        this.f3743d.add(getFileByNameTask);
        this.f3743d.add(getFileByNameTask2);
        this.f3743d.add(formatCmdTask);
        formatBatchCmdTask.setListener(new ErrorStopListener("start format batch cmd task"));
        getFileByNameTask.setListener(new AddTaskListener(transferTask, "wmen read task"));
        getFileByNameTask2.setListener(new AddTaskListener(callTransferTask, "call read  task"));
        formatCmdTask.setListener(new AddTaskListener(formatBatchCmdTask2, "  format cmd task"));
        formatBatchCmdTask2.setListener(new ErrorStopListener("stop format batch cmd task"));
        a();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a() {
        ITask peek = this.f3743d.peek();
        if (peek != null) {
            peek.start();
            this.f3743d.poll();
        } else {
            callbackFinish();
        }
    }
}
