package com.jieli.jl_rcsp.tool;

import android.bluetooth.BluetoothDevice;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.jieli.jl_rcsp.model.base.BasePacket;
import com.jieli.jl_rcsp.model.base.CommandBase;
import java.util.HashMap;

/* loaded from: classes3.dex */
public class CommandHelper {

    /* renamed from: b, reason: collision with root package name */
    private static volatile CommandHelper f3800b;

    /* renamed from: a, reason: collision with root package name */
    private final HashMap<String, CommandBase> f3801a = new HashMap<>();

    private CommandHelper() {
    }

    public static String getCacheCommandKey(BluetoothDevice bluetoothDevice, int i2, int i3) {
        String str;
        if (bluetoothDevice != null) {
            str = bluetoothDevice.getAddress() + HelpFormatter.DEFAULT_OPT_PREFIX;
        } else {
            str = "";
        }
        String str2 = str + String.valueOf(i2);
        if (i3 < 0) {
            return str2;
        }
        return str2 + HelpFormatter.DEFAULT_OPT_PREFIX + i3;
    }

    public static CommandHelper getInstance() {
        if (f3800b == null) {
            synchronized (CommandHelper.class) {
                if (f3800b == null) {
                    f3800b = new CommandHelper();
                }
            }
        }
        return f3800b;
    }

    public CommandBase getCommand(BluetoothDevice bluetoothDevice, int i2, int i3) {
        return this.f3801a.get(getCacheCommandKey(bluetoothDevice, i2, i3));
    }

    public void putCommandBase(BluetoothDevice bluetoothDevice, CommandBase commandBase) {
        if (commandBase != null) {
            if (commandBase.getType() == 2 || commandBase.getType() == 3) {
                this.f3801a.put(getCacheCommandKey(bluetoothDevice, commandBase.getId(), commandBase.getOpCodeSn()), commandBase);
            }
        }
    }

    public void release() {
        this.f3801a.clear();
        f3800b = null;
    }

    public void removeCommandBase(BluetoothDevice bluetoothDevice, BasePacket basePacket) {
        if (basePacket != null) {
            removeCommandBase(bluetoothDevice, basePacket.getOpCode(), basePacket.getOpCodeSn());
        }
    }

    public void removeCommandBase(BluetoothDevice bluetoothDevice, int i2, int i3) {
        this.f3801a.remove(getCacheCommandKey(bluetoothDevice, i2, i3));
    }
}
