package com.jieli.jl_rcsp.tool;

import android.bluetooth.BluetoothDevice;
import com.jieli.jl_rcsp.tool.datahandles.DataHandler;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* loaded from: classes3.dex */
public class DataHandlerCache {

    /* renamed from: c, reason: collision with root package name */
    private static volatile DataHandlerCache f3802c;

    /* renamed from: a, reason: collision with root package name */
    private final Map<String, DataHandler> f3803a = Collections.synchronizedMap(new HashMap());

    /* renamed from: b, reason: collision with root package name */
    private final List<BluetoothDevice> f3804b = Collections.synchronizedList(new ArrayList());

    private DataHandlerCache() {
    }

    private void a() {
        Iterator it2 = new HashSet(this.f3803a.keySet()).iterator();
        while (it2.hasNext()) {
            DataHandler dataHandler = this.f3803a.get((String) it2.next());
            if (dataHandler != null) {
                dataHandler.release();
            }
        }
        this.f3803a.clear();
        this.f3804b.clear();
    }

    public static DataHandlerCache getInstance() {
        if (f3802c == null) {
            synchronized (DataHandlerCache.class) {
                if (f3802c == null) {
                    f3802c = new DataHandlerCache();
                }
            }
        }
        return f3802c;
    }

    public void addDataHandler(BluetoothDevice bluetoothDevice, DataHandler dataHandler) {
        if (bluetoothDevice == null || dataHandler == null) {
            return;
        }
        if (!this.f3804b.contains(bluetoothDevice)) {
            this.f3804b.add(bluetoothDevice);
        }
        if (this.f3803a.containsKey(bluetoothDevice.getAddress())) {
            return;
        }
        this.f3803a.put(bluetoothDevice.getAddress(), dataHandler);
    }

    public void destroy() {
        a();
        f3802c = null;
    }

    public DataHandler getDataHandler(BluetoothDevice bluetoothDevice) {
        if (bluetoothDevice == null) {
            return null;
        }
        return this.f3803a.get(bluetoothDevice.getAddress());
    }

    public List<BluetoothDevice> getDeviceList() {
        return this.f3804b;
    }

    public void removeDataHandler(BluetoothDevice bluetoothDevice) {
        DataHandler remove;
        if (bluetoothDevice == null || (remove = this.f3803a.remove(bluetoothDevice.getAddress())) == null) {
            return;
        }
        this.f3804b.remove(bluetoothDevice);
        remove.release();
    }
}
