package com.jieli.jl_rcsp.tool;

import android.bluetooth.BluetoothDevice;
import android.os.Handler;
import android.os.Looper;
import com.jieli.jl_rcsp.interfaces.nfc.OnNfcEventCallback;
import com.jieli.jl_rcsp.model.device.NfcMsg;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes3.dex */
public class NfcEventCbHelper implements OnNfcEventCallback {

    /* renamed from: a, reason: collision with root package name */
    private final List<OnNfcEventCallback> f3812a = new ArrayList();

    /* renamed from: b, reason: collision with root package name */
    private final Handler f3813b = new Handler(Looper.getMainLooper());

    public static abstract class NfcEventCbImpl {
        private NfcEventCbImpl() {
        }

        public abstract void onPost(OnNfcEventCallback onNfcEventCallback);
    }

    public class NfcEventRunnable implements Runnable {

        /* renamed from: a, reason: collision with root package name */
        private final NfcEventCbImpl f3825a;

        public NfcEventRunnable(NfcEventCbImpl nfcEventCbImpl) {
            this.f3825a = nfcEventCbImpl;
        }

        @Override // java.lang.Runnable
        public void run() {
            if (this.f3825a == null || NfcEventCbHelper.this.f3812a.isEmpty()) {
                return;
            }
            Iterator it2 = new ArrayList(NfcEventCbHelper.this.f3812a).iterator();
            while (it2.hasNext()) {
                this.f3825a.onPost((OnNfcEventCallback) it2.next());
            }
        }
    }

    public void addOnNfcEventCallback(OnNfcEventCallback onNfcEventCallback) {
        if (onNfcEventCallback == null || this.f3812a.contains(onNfcEventCallback)) {
            return;
        }
        this.f3812a.add(onNfcEventCallback);
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.OnNfcEventCallback
    public void onDefaultNfc(final BluetoothDevice bluetoothDevice, final short s) {
        a(new NfcEventCbImpl() { // from class: com.jieli.jl_rcsp.tool.NfcEventCbHelper.3
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super();
            }

            @Override // com.jieli.jl_rcsp.tool.NfcEventCbHelper.NfcEventCbImpl
            public void onPost(OnNfcEventCallback onNfcEventCallback) {
                onNfcEventCallback.onDefaultNfc(bluetoothDevice, s);
            }
        });
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.OnNfcEventCallback
    public void onModifyNfcMsg(final BluetoothDevice bluetoothDevice, final NfcMsg nfcMsg) {
        a(new NfcEventCbImpl() { // from class: com.jieli.jl_rcsp.tool.NfcEventCbHelper.2
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super();
            }

            @Override // com.jieli.jl_rcsp.tool.NfcEventCbHelper.NfcEventCbImpl
            public void onPost(OnNfcEventCallback onNfcEventCallback) {
                onNfcEventCallback.onModifyNfcMsg(bluetoothDevice, nfcMsg);
            }
        });
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.OnNfcEventCallback
    public void onNfcMsgChange(final BluetoothDevice bluetoothDevice, final List<NfcMsg> list) {
        a(new NfcEventCbImpl() { // from class: com.jieli.jl_rcsp.tool.NfcEventCbHelper.1
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super();
            }

            @Override // com.jieli.jl_rcsp.tool.NfcEventCbHelper.NfcEventCbImpl
            public void onPost(OnNfcEventCallback onNfcEventCallback) {
                onNfcEventCallback.onNfcMsgChange(bluetoothDevice, list);
            }
        });
    }

    @Override // com.jieli.jl_rcsp.interfaces.nfc.OnNfcEventCallback
    public void onRequestSynNfcMsg(final BluetoothDevice bluetoothDevice) {
        a(new NfcEventCbImpl() { // from class: com.jieli.jl_rcsp.tool.NfcEventCbHelper.4
            /* JADX WARN: 'super' call moved to the top of the method (can break code semantics) */
            {
                super();
            }

            @Override // com.jieli.jl_rcsp.tool.NfcEventCbHelper.NfcEventCbImpl
            public void onPost(OnNfcEventCallback onNfcEventCallback) {
                onNfcEventCallback.onRequestSynNfcMsg(bluetoothDevice);
            }
        });
    }

    public void release() {
        this.f3812a.clear();
        this.f3813b.removeCallbacksAndMessages(null);
    }

    public void removeOnNfcEventCallback(OnNfcEventCallback onNfcEventCallback) {
        if (onNfcEventCallback == null || this.f3812a.isEmpty()) {
            return;
        }
        this.f3812a.remove(onNfcEventCallback);
    }

    private void a(NfcEventCbImpl nfcEventCbImpl) {
        if (nfcEventCbImpl == null) {
            return;
        }
        NfcEventRunnable nfcEventRunnable = new NfcEventRunnable(nfcEventCbImpl);
        if (Thread.currentThread().getId() != Looper.getMainLooper().getThread().getId()) {
            this.f3813b.post(nfcEventRunnable);
        } else {
            nfcEventRunnable.run();
        }
    }
}
