package com.jieli.jl_rcsp.tool;

import android.os.Handler;
import android.os.Looper;
import android.text.TextUtils;
import com.jieli.jl_fatfs.interfaces.OnFatFileProgressListener;
import com.jieli.jl_fatfs.model.FatFile;
import com.jieli.jl_fatfs.utils.FatUtil;
import com.jieli.jl_fatfs.utils.ZipUtil;
import com.jieli.jl_rcsp.constant.WatchConstant;
import com.jieli.jl_rcsp.interfaces.listener.ThreadStateListener;
import com.jieli.jl_rcsp.interfaces.watch.OnUpdateResourceCallback;
import com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback;
import com.jieli.jl_rcsp.model.WatchFileContent;
import com.jieli.jl_rcsp.model.base.BaseError;
import com.jieli.jl_rcsp.util.CryptoUtil;
import com.jieli.jl_rcsp.util.JL_Log;
import com.jieli.jl_rcsp.util.WatchFileUtil;
import com.jieli.jl_rcsp.watch.rcsp.RcspWatch;
import com.yucheng.ycbtsdk.jl.JLOTAManager;
import java.io.File;
import java.util.ArrayList;
import java.util.Iterator;

/* loaded from: classes3.dex */
public class UpdateResourceTask extends Thread {
    private static final String n = "UpdateResourceTask";

    /* renamed from: a, reason: collision with root package name */
    private final RcspWatch f3861a;

    /* renamed from: b, reason: collision with root package name */
    private final String f3862b;

    /* renamed from: c, reason: collision with root package name */
    private final OnUpdateResourceCallback f3863c;

    /* renamed from: d, reason: collision with root package name */
    private final ThreadStateListener f3864d;

    /* renamed from: f, reason: collision with root package name */
    private boolean f3866f;

    /* renamed from: h, reason: collision with root package name */
    private String f3868h;

    /* renamed from: i, reason: collision with root package name */
    private String f3869i;

    /* renamed from: j, reason: collision with root package name */
    private int f3870j;
    private WatchFileContent k;
    private BaseError m;

    /* renamed from: e, reason: collision with root package name */
    private final Object f3865e = new Object();

    /* renamed from: g, reason: collision with root package name */
    private final Handler f3867g = new Handler(Looper.getMainLooper());
    private long l = 0;

    public class MyProgressListener implements OnFatFileProgressListener {
        public String funcName;
        public int index;
        public String taskPath;

        private MyProgressListener() {
        }

        @Override // com.jieli.jl_fatfs.interfaces.OnFatFileProgressListener
        public void onProgress(float f2) {
            JL_Log.d(UpdateResourceTask.n, this.funcName + " :: onProgress >> " + f2);
            UpdateResourceTask.this.b(this.index, this.taskPath, f2);
        }

        @Override // com.jieli.jl_fatfs.interfaces.OnFatFileProgressListener
        public void onStart(String str) {
            JL_Log.d(UpdateResourceTask.n, this.funcName + " :: onStart >> " + str);
            UpdateResourceTask.this.b(this.index, this.taskPath, 0.0f);
        }

        @Override // com.jieli.jl_fatfs.interfaces.OnFatFileProgressListener
        public void onStop(int i2) {
            JL_Log.e(UpdateResourceTask.n, this.funcName + " :: onStop >> " + i2);
            UpdateResourceTask.this.f3870j = i2;
            if (UpdateResourceTask.this.f3870j == 0) {
                UpdateResourceTask.this.b(this.index, this.taskPath, 100.0f);
            }
            UpdateResourceTask.this.f();
        }
    }

    public static class Task {
        public static final int OP_CREATE_FILE = 1;
        public static final int OP_REPLACE_FILE = 2;
        public String filePath;
        public long needSize;
        public int op;

        private Task() {
        }
    }

    public UpdateResourceTask(RcspWatch rcspWatch, String str, OnUpdateResourceCallback onUpdateResourceCallback, ThreadStateListener threadStateListener) {
        this.f3861a = rcspWatch;
        this.f3862b = str;
        this.f3863c = onUpdateResourceCallback;
        this.f3864d = threadStateListener;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void f() {
        synchronized (this.f3865e) {
            if (this.f3866f) {
                this.f3865e.notifyAll();
            }
        }
    }

    private void g() {
        File file = new File(this.f3869i);
        ArrayList<Task> arrayList = new ArrayList<>();
        File[] listFiles = file.listFiles();
        if (listFiles != null) {
            for (File file2 : listFiles) {
                try {
                    Task a2 = a(file2);
                    if (a2 != null) {
                        arrayList.add(a2);
                    }
                } catch (RuntimeException e2) {
                    a(a(e2));
                    return;
                }
            }
        }
        String str = n;
        JL_Log.e(str, "updateResource >>>>>>> taskList = " + arrayList.size());
        ArrayList<Task> b2 = b(arrayList);
        try {
            if (!a(b2)) {
                a(16897);
                return;
            }
            if (!this.f3861a.isOTAResource()) {
                this.f3861a.writeResourceOTAFlag(false, new OnWatchOpCallback<Boolean>() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask.1
                    @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                    public void onFailed(BaseError baseError) {
                        UpdateResourceTask.this.m = baseError;
                        UpdateResourceTask.this.f();
                    }

                    @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                    public void onSuccess(Boolean bool) {
                        UpdateResourceTask.this.f();
                    }
                });
                d();
                if (!this.f3861a.isOTAResource()) {
                    c(b(), c());
                    return;
                }
            }
            JL_Log.i(str, "updateResource >> " + b2.size());
            if (b2.size() == 0) {
                e();
                return;
            }
            b(this.f3869i, b2.size());
            for (int i2 = 0; i2 < b2.size(); i2++) {
                Task task = b2.get(i2);
                if (this.f3870j != 0) {
                    break;
                }
                JL_Log.i(n, "updateResource :: task >> op = " + task.op + ", filePath = " + task.filePath);
                if (task.op == 2) {
                    MyProgressListener myProgressListener = new MyProgressListener();
                    myProgressListener.index = i2;
                    String str2 = task.filePath;
                    myProgressListener.taskPath = str2;
                    myProgressListener.funcName = "replaceWatchFile";
                    this.f3861a.replaceWatchFile(str2, myProgressListener);
                    if (this.f3870j != 0) {
                        break;
                    }
                    d();
                } else {
                    MyProgressListener myProgressListener2 = new MyProgressListener();
                    myProgressListener2.index = i2;
                    String str3 = task.filePath;
                    myProgressListener2.taskPath = str3;
                    myProgressListener2.funcName = "createWatchFile";
                    this.f3861a.createWatchFile(str3, true, myProgressListener2);
                    if (this.f3870j != 0) {
                        break;
                    }
                    d();
                }
            }
            JL_Log.e(n, "updateResource :: end >> " + this.f3870j);
            int i3 = this.f3870j;
            if (i3 == 0) {
                e();
            } else {
                a(i3);
            }
        } catch (RuntimeException e3) {
            a(a(e3));
        }
    }

    @Override // java.lang.Thread, java.lang.Runnable
    public void run() {
        ThreadStateListener threadStateListener = this.f3864d;
        if (threadStateListener != null) {
            threadStateListener.onStart(getId());
        }
        if (this.f3862b == null) {
            a(5);
            return;
        }
        File file = new File(this.f3862b);
        if (!file.exists()) {
            a(5);
            return;
        }
        String str = this.f3862b;
        int i2 = 0;
        this.f3868h = str.substring(0, str.lastIndexOf("/"));
        String fileName = WatchFileUtil.getFileName(this.f3862b);
        JL_Log.i(n, "-UpdateResourceTask- dirPath = " + this.f3868h + ", fileName = " + fileName);
        if (fileName.endsWith(JLOTAManager.OTA_ZIP_SUFFIX)) {
            try {
                ZipUtil.unZipFolder(this.f3862b, this.f3868h);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            File[] listFiles = new File(this.f3868h).listFiles();
            if (listFiles != null) {
                int length = listFiles.length;
                while (true) {
                    if (i2 >= length) {
                        break;
                    }
                    File file2 = listFiles[i2];
                    if (file2.isDirectory() && WatchConstant.RES_DIR_NAME.equalsIgnoreCase(file2.getName())) {
                        this.f3869i = file2.getPath();
                        break;
                    }
                    i2++;
                }
            }
        } else if (file.isDirectory() && WatchConstant.RES_DIR_NAME.equalsIgnoreCase(fileName)) {
            this.f3869i = this.f3862b;
        }
        if (this.f3869i != null) {
            g();
            return;
        }
        String obtainUpdateFilePath = WatchFileUtil.obtainUpdateFilePath(this.f3868h, JLOTAManager.OTA_FILE_SUFFIX);
        if (obtainUpdateFilePath == null) {
            a(4);
        } else {
            b(obtainUpdateFilePath);
        }
    }

    public void stopThread() {
        this.f3870j = 4098;
        f();
    }

    private String c() {
        BaseError baseError = this.m;
        return baseError == null ? "" : baseError.getMessage();
    }

    private void d() {
        synchronized (this.f3865e) {
            try {
                if (!this.f3866f) {
                    this.f3866f = true;
                    this.f3865e.wait();
                }
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
            this.f3866f = false;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void e() {
        final String obtainUpdateFilePath = WatchFileUtil.obtainUpdateFilePath(this.f3868h, JLOTAManager.OTA_FILE_SUFFIX);
        if (obtainUpdateFilePath == null) {
            if (this.f3861a.isOTAResource()) {
                this.f3861a.writeResourceOTAFlag(true, new OnWatchOpCallback<Boolean>() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask.4
                    @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                    public void onFailed(BaseError baseError) {
                        UpdateResourceTask.this.a(baseError.getSubCode());
                    }

                    @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                    public void onSuccess(Boolean bool) {
                        UpdateResourceTask.this.e();
                    }
                });
                return;
            }
            WatchFileUtil.deleteFile(WatchFileUtil.obtainUpdateFilePath(this.f3868h, JLOTAManager.OTA_ZIP_SUFFIX));
        }
        WatchFileUtil.deleteFile(this.f3868h + "/res.ori");
        this.f3861a.reLoadFolder(new OnWatchOpCallback<ArrayList<FatFile>>() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask.5
            @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
            public void onFailed(BaseError baseError) {
                UpdateResourceTask.this.a(baseError.getSubCode());
            }

            @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
            public void onSuccess(ArrayList<FatFile> arrayList) {
                UpdateResourceTask.this.b(obtainUpdateFilePath);
            }
        });
    }

    private ArrayList<Task> b(ArrayList<Task> arrayList) {
        if (arrayList == null || arrayList.size() <= 1) {
            return arrayList;
        }
        ArrayList<Task> arrayList2 = new ArrayList<>();
        ArrayList arrayList3 = new ArrayList();
        Iterator<Task> it2 = arrayList.iterator();
        while (it2.hasNext()) {
            Task next = it2.next();
            if (next.op == 2) {
                arrayList2.add(next);
            } else {
                arrayList3.add(next);
            }
        }
        if (!arrayList3.isEmpty()) {
            arrayList2.addAll(arrayList3);
        }
        return arrayList2;
    }

    private void c(int i2, String str) {
        if (TextUtils.isEmpty(str)) {
            str = FatUtil.getFatFsErrorCodeMsg(i2);
        }
        b(i2, str);
    }

    private Task a(File file) throws RuntimeException {
        byte[] readFileData = WatchFileUtil.readFileData(file.getPath());
        if (readFileData != null && readFileData.length >= 512) {
            FatFile watchFileByPath = this.f3861a.getWatchFileByPath(file.getPath());
            if (watchFileByPath == null) {
                Task task = new Task();
                task.filePath = file.getPath();
                task.needSize = file.length();
                task.op = 1;
                return task;
            }
            this.k = null;
            String str = n;
            JL_Log.d(str, "-convertTask- ExternalFlashGetFileMsgCmd >>> " + watchFileByPath.getPath());
            this.f3861a.getWatchFileSize(watchFileByPath.getPath(), new OnWatchOpCallback<WatchFileContent>() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask.2
                @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                public void onFailed(BaseError baseError) {
                    JL_Log.e(UpdateResourceTask.n, "-convertTask- getWatchFileSize : onFailed = " + baseError);
                    UpdateResourceTask.this.m = baseError;
                    UpdateResourceTask.this.f();
                }

                @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                public void onSuccess(WatchFileContent watchFileContent) {
                    JL_Log.d(UpdateResourceTask.n, "-convertTask- getWatchFileSize >>> " + UpdateResourceTask.this.k);
                    UpdateResourceTask.this.k = watchFileContent;
                    UpdateResourceTask.this.f();
                }
            });
            d();
            if (this.k != null) {
                short CRC16 = CryptoUtil.CRC16(readFileData, (short) 0);
                JL_Log.e(str, "-convertTask- fileCrc16 = " + ((int) CRC16) + ", flashFileCrc16 = " + ((int) this.k.getCrc()));
                if (CRC16 == this.k.getCrc()) {
                    return null;
                }
                Task task2 = new Task();
                task2.filePath = file.getPath();
                task2.needSize = file.length() - this.k.getFileSize();
                task2.op = 2;
                return task2;
            }
            throw new RuntimeException(String.valueOf(b()));
        }
        JL_Log.e(n, "-convertTask- 文件无效 >>> ");
        return null;
    }

    private int b() {
        BaseError baseError = this.m;
        if (baseError == null) {
            return 12288;
        }
        return baseError.getSubCode();
    }

    private void b(final String str, final int i2) {
        if (this.f3863c != null) {
            this.f3867g.post(new Runnable() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask$$ExternalSyntheticLambda3
                @Override // java.lang.Runnable
                public final void run() {
                    UpdateResourceTask.this.a(str, i2);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(final String str) {
        if (this.f3863c != null) {
            this.f3867g.post(new Runnable() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask$$ExternalSyntheticLambda1
                @Override // java.lang.Runnable
                public final void run() {
                    UpdateResourceTask.this.a(str);
                }
            });
        }
        ThreadStateListener threadStateListener = this.f3864d;
        if (threadStateListener != null) {
            threadStateListener.onFinish(getId());
        }
    }

    private void b(final int i2, final String str) {
        if (this.f3863c != null) {
            this.f3867g.post(new Runnable() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    UpdateResourceTask.this.a(i2, str);
                }
            });
        }
        ThreadStateListener threadStateListener = this.f3864d;
        if (threadStateListener != null) {
            threadStateListener.onFinish(getId());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(final int i2, final String str, final float f2) {
        if (this.f3863c != null) {
            this.f3867g.post(new Runnable() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask$$ExternalSyntheticLambda2
                @Override // java.lang.Runnable
                public final void run() {
                    UpdateResourceTask.this.a(i2, str, f2);
                }
            });
        }
    }

    private boolean a(ArrayList<Task> arrayList) throws RuntimeException {
        if (arrayList == null || arrayList.isEmpty()) {
            return true;
        }
        this.l = -1L;
        JL_Log.d(n, "-hasEnoughSpace- GetLeftSpaceCmd >>> ");
        this.f3861a.getWatchSysLeftSize(new OnWatchOpCallback<Long>() { // from class: com.jieli.jl_rcsp.tool.UpdateResourceTask.3
            @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
            public void onFailed(BaseError baseError) {
                UpdateResourceTask.this.m = baseError;
                UpdateResourceTask.this.f();
            }

            @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
            public void onSuccess(Long l) {
                UpdateResourceTask.this.l = l.longValue();
                JL_Log.d(UpdateResourceTask.n, "-hasEnoughSpace- getWatchSysLeftSize >>> " + UpdateResourceTask.this.l);
                UpdateResourceTask.this.f();
            }
        });
        d();
        long j2 = this.l;
        if (j2 != -1) {
            Iterator<Task> it2 = arrayList.iterator();
            while (it2.hasNext()) {
                j2 -= it2.next().needSize;
            }
            boolean z = j2 >= 0;
            JL_Log.e(n, "-hasEnoughSpace- ret = " + z + ", leftSize = " + j2);
            return z;
        }
        throw new RuntimeException(String.valueOf(b()));
    }

    private int a(RuntimeException runtimeException) {
        if (runtimeException == null) {
            return 12288;
        }
        try {
            if (TextUtils.isEmpty(runtimeException.getMessage()) || !TextUtils.isDigitsOnly(runtimeException.getMessage())) {
                return 12288;
            }
            return Integer.parseInt(runtimeException.getMessage());
        } catch (Exception e2) {
            e2.printStackTrace();
            return 12288;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void a(String str, int i2) {
        this.f3863c.onStart(str, i2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void a(String str) {
        this.f3863c.onStop(str);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void a(int i2, String str) {
        this.f3863c.onError(i2, str);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void a(int i2, String str, float f2) {
        this.f3863c.onProgress(i2, str, f2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(int i2) {
        c(i2, FatUtil.getFatFsErrorCodeMsg(i2));
    }
}
