package com.jieli.jl_rcsp.tool;

import android.bluetooth.BluetoothDevice;
import java.util.HashMap;
import java.util.Map;

/* loaded from: classes3.dex */
public class WatchCacheManager {

    /* renamed from: a, reason: collision with root package name */
    private final Map<String, WatchCache> f3901a = new HashMap();

    public static class WatchCache {

        /* renamed from: a, reason: collision with root package name */
        private int f3902a;

        /* renamed from: b, reason: collision with root package name */
        private int f3903b;

        /* renamed from: c, reason: collision with root package name */
        private boolean f3904c;

        /* renamed from: d, reason: collision with root package name */
        private short f3905d;

        public short getCrc16() {
            return this.f3905d;
        }

        public int getWriteLen() {
            return this.f3903b;
        }

        public int getWriteOffset() {
            return this.f3902a;
        }

        public boolean isNeedCheckReadData() {
            return this.f3904c;
        }

        public WatchCache setCrc16(short s) {
            this.f3905d = s;
            return this;
        }

        public WatchCache setNeedCheckReadData(boolean z) {
            this.f3904c = z;
            return this;
        }

        public WatchCache setWriteLen(int i2) {
            this.f3903b = i2;
            return this;
        }

        public WatchCache setWriteOffset(int i2) {
            this.f3902a = i2;
            return this;
        }
    }

    public void destroy() {
        this.f3901a.clear();
    }

    public WatchCache getWatchCache(String str) {
        return this.f3901a.get(str);
    }

    public WatchCache getWatchCacheByDevice(BluetoothDevice bluetoothDevice) {
        if (bluetoothDevice == null) {
            return null;
        }
        return getWatchCache(bluetoothDevice.getAddress());
    }

    public boolean isNeedCheckReadData(BluetoothDevice bluetoothDevice) {
        WatchCache watchCacheByDevice = getWatchCacheByDevice(bluetoothDevice);
        if (watchCacheByDevice == null) {
            return false;
        }
        return watchCacheByDevice.isNeedCheckReadData();
    }

    public void putWatchCache(String str, WatchCache watchCache) {
        this.f3901a.put(str, watchCache);
    }

    public void putWatchCacheByDevice(BluetoothDevice bluetoothDevice, WatchCache watchCache) {
        if (bluetoothDevice == null) {
            return;
        }
        putWatchCache(bluetoothDevice.getAddress(), watchCache);
    }

    public WatchCache removeWatchCache(String str) {
        return this.f3901a.remove(str);
    }

    public WatchCache removeWatchCacheByDevice(BluetoothDevice bluetoothDevice) {
        if (bluetoothDevice == null) {
            return null;
        }
        return removeWatchCache(bluetoothDevice.getAddress());
    }
}
