package com.jieli.jl_rcsp.tool.datahandles;

import com.jieli.jl_rcsp.model.base.BasePacket;
import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.JL_Log;
import com.jieli.jl_rcsp.util.RcspUtil;
import java.io.ByteArrayOutputStream;
import java.util.ArrayList;
import java.util.Arrays;

/* loaded from: classes3.dex */
public class BasePacketParse {

    /* renamed from: a, reason: collision with root package name */
    private final String f3914a = "BasePacketParse";

    /* renamed from: b, reason: collision with root package name */
    private final ByteArrayOutputStream f3915b = new ByteArrayOutputStream();

    /* renamed from: c, reason: collision with root package name */
    private final byte[] f3916c = {-2, -36, -70};

    private byte[] a(byte[] bArr) {
        int length = bArr.length;
        byte[] byteArray = this.f3915b.toByteArray();
        int length2 = byteArray.length;
        if (length2 <= 0) {
            return (byte[]) bArr.clone();
        }
        byte[] bArr2 = new byte[length2 + length];
        System.arraycopy(byteArray, 0, bArr2, 0, length2);
        System.arraycopy(bArr, 0, bArr2, length2, length);
        this.f3915b.reset();
        return bArr2;
    }

    private BasePacket b(byte[] bArr) {
        if (bArr != null) {
            int i2 = 4;
            if (bArr.length >= 4) {
                byte[] booleanArrayBig = CHexConver.getBooleanArrayBig(bArr[0]);
                int byteToInt = CHexConver.byteToInt(bArr[1]);
                int bytesToInt = CHexConver.bytesToInt(bArr, 2, 2);
                BasePacket basePacket = new BasePacket();
                int byteToInt2 = CHexConver.byteToInt(booleanArrayBig[7]);
                int byteToInt3 = CHexConver.byteToInt(booleanArrayBig[6]);
                basePacket.setType(byteToInt2);
                basePacket.setHasResponse(byteToInt3);
                basePacket.setOpCode(byteToInt);
                basePacket.setParamLen(bytesToInt);
                if (bytesToInt <= 0) {
                    return basePacket;
                }
                if (byteToInt2 == 0) {
                    basePacket.setStatus(CHexConver.byteToInt(bArr[4]));
                    i2 = 5;
                }
                basePacket.setOpCodeSn(CHexConver.byteToInt(bArr[i2]));
                int i3 = i2 + 1;
                if (byteToInt == 1) {
                    basePacket.setXmOpCode(CHexConver.byteToInt(bArr[i3]));
                    i3++;
                }
                int i4 = bytesToInt - (i3 - 4);
                byte[] bArr2 = new byte[i4];
                System.arraycopy(bArr, i3, bArr2, 0, i4);
                basePacket.setParamData(bArr2);
                JL_Log.d(this.f3914a, RcspUtil.formatString("-parsePacketData- packet type : %d, opCode : %d, sn :%d", Integer.valueOf(basePacket.getType()), Integer.valueOf(basePacket.getOpCode()), Integer.valueOf(basePacket.getOpCodeSn())));
                return basePacket;
            }
        }
        return null;
    }

    public ArrayList<BasePacket> findPacketData(int i2, byte[] bArr) {
        if (i2 == 0 || bArr == null || bArr.length == 0) {
            return null;
        }
        ArrayList<BasePacket> arrayList = new ArrayList<>();
        byte[] a2 = a(bArr);
        int length = a2.length;
        JL_Log.i(this.f3914a, "-findPacketData- mtu = " + i2);
        int i3 = 0;
        while (true) {
            if (i3 >= length) {
                break;
            }
            int a3 = a(a2, i3, i2);
            if (a3 < this.f3916c.length) {
                JL_Log.w(this.f3914a, "-findPacketData- not find head data : ");
                break;
            }
            int bytesToInt = CHexConver.bytesToInt(a2, a3 + 2, 2);
            JL_Log.i(this.f3914a, "-findPacketData- prefixIndex = " + a3 + ", paramLen = " + bytesToInt);
            int i4 = bytesToInt + 4;
            byte[] bArr2 = new byte[i4];
            System.arraycopy(a2, a3, bArr2, 0, i4);
            BasePacket b2 = b(bArr2);
            if (b2 != null) {
                arrayList.add(b2);
            }
            i3 = a3 + 4 + bytesToInt + 1;
        }
        return arrayList;
    }

    public void release() {
        this.f3915b.reset();
    }

    private int a(byte[] bArr, int i2, int i3) {
        int length = bArr.length;
        while (i2 < length) {
            if (bArr[i2] == -2) {
                int i4 = length - i2;
                byte[] bArr2 = this.f3916c;
                if (i4 < bArr2.length) {
                    b(bArr, i2, i4);
                    return -1;
                }
                int length2 = bArr2.length;
                byte[] bArr3 = new byte[length2];
                System.arraycopy(bArr, i2, bArr3, 0, length2);
                if (Arrays.equals(bArr3, this.f3916c)) {
                    byte[] bArr4 = this.f3916c;
                    if (i4 <= bArr4.length + 4) {
                        b(bArr, i2, i4);
                        return -1;
                    }
                    int length3 = bArr4.length + i2;
                    byte[] bArr5 = new byte[2];
                    System.arraycopy(bArr, length3 + 2, bArr5, 0, 2);
                    int bytesToInt = CHexConver.bytesToInt(bArr5[0], bArr5[1]);
                    if (bytesToInt > i3 - 8) {
                        JL_Log.e(this.f3914a, RcspUtil.formatString("findPacketData :: data length[%d] over MAX_RECEIVE_MTU[%d], cast away", Integer.valueOf(bytesToInt), Integer.valueOf(i3)));
                    } else {
                        if (i4 <= this.f3916c.length + 4 + bytesToInt) {
                            b(bArr, i2, i4);
                            return -1;
                        }
                        if (bArr[length3 + 4 + bytesToInt] == -17) {
                            return length3;
                        }
                    }
                    i2 = length3 - 1;
                } else {
                    continue;
                }
            }
            i2++;
        }
        return -1;
    }

    private void b(byte[] bArr, int i2, int i3) {
        int i4;
        if (bArr == null || bArr.length <= 0 || i2 < 0 || i3 <= 0 || (i4 = i3 + i2) > bArr.length) {
            return;
        }
        try {
            this.f3915b.write(Arrays.copyOfRange(bArr, i2, i4));
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }
}
