package com.jieli.jl_rcsp.util;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Process;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.lang.Thread;
import java.lang.reflect.Field;
import java.util.HashMap;
import java.util.Map;

/* loaded from: classes3.dex */
public class CrashHandler implements Thread.UncaughtExceptionHandler {
    public static final String TAG = "CrashHandler";

    /* renamed from: e, reason: collision with root package name */
    private static volatile CrashHandler f3976e;

    /* renamed from: a, reason: collision with root package name */
    private Thread.UncaughtExceptionHandler f3977a;

    /* renamed from: b, reason: collision with root package name */
    private Context f3978b;

    /* renamed from: c, reason: collision with root package name */
    private final Map<String, String> f3979c = new HashMap();

    /* renamed from: d, reason: collision with root package name */
    private OnExceptionListener f3980d;

    public interface OnExceptionListener {
        void onException(Throwable th);
    }

    private CrashHandler() {
    }

    private boolean a(Throwable th) {
        if (th == null) {
            return false;
        }
        OnExceptionListener onExceptionListener = this.f3980d;
        if (onExceptionListener != null) {
            onExceptionListener.onException(th);
        }
        a(this.f3978b);
        b(th);
        return true;
    }

    private String b(Throwable th) {
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, String> entry : this.f3979c.entrySet()) {
            String key = entry.getKey();
            String value = entry.getValue();
            sb.append(key);
            sb.append("=");
            sb.append(value);
            sb.append("\n");
        }
        StringWriter stringWriter = new StringWriter();
        PrintWriter printWriter = new PrintWriter(stringWriter);
        th.printStackTrace(printWriter);
        for (Throwable cause = th.getCause(); cause != null; cause = cause.getCause()) {
            cause.printStackTrace(printWriter);
        }
        printWriter.close();
        sb.append(stringWriter.toString());
        JL_Log.e(TAG, sb.toString());
        return null;
    }

    public static CrashHandler getInstance() {
        if (f3976e == null) {
            synchronized (CrashHandler.class) {
                if (f3976e == null) {
                    f3976e = new CrashHandler();
                }
            }
        }
        return f3976e;
    }

    public void init(Context context) {
        this.f3978b = context;
        if (this.f3977a == null) {
            this.f3977a = Thread.getDefaultUncaughtExceptionHandler();
            Thread.setDefaultUncaughtExceptionHandler(this);
        }
    }

    public void setOnExceptionListener(OnExceptionListener onExceptionListener) {
        this.f3980d = onExceptionListener;
    }

    @Override // java.lang.Thread.UncaughtExceptionHandler
    public void uncaughtException(Thread thread, Throwable th) {
        Thread.UncaughtExceptionHandler uncaughtExceptionHandler;
        if (thread == null || th == null) {
            return;
        }
        if (!a(th) && (uncaughtExceptionHandler = this.f3977a) != null) {
            uncaughtExceptionHandler.uncaughtException(thread, th);
            return;
        }
        try {
            Thread.sleep(3000L);
        } catch (InterruptedException e2) {
            JL_Log.e(TAG, "InterruptedException error : " + a((Exception) e2));
        }
        this.f3977a = null;
        this.f3978b = null;
        Process.killProcess(Process.myPid());
        System.exit(0);
    }

    private void a(Context context) {
        PackageManager packageManager;
        if (context == null) {
            return;
        }
        try {
            packageManager = context.getPackageManager();
        } catch (PackageManager.NameNotFoundException e2) {
            JL_Log.e(TAG, "an error occured when collect package info : " + a((Exception) e2));
        }
        if (packageManager == null) {
            return;
        }
        PackageInfo packageInfo = packageManager.getPackageInfo(context.getPackageName(), 1);
        if (packageInfo != null) {
            String str = packageInfo.versionName;
            if (str == null) {
                str = "null";
            }
            String str2 = packageInfo.versionCode + "";
            this.f3979c.put("versionName", str);
            this.f3979c.put("versionCode", str2);
        }
        for (Field field : Build.class.getDeclaredFields()) {
            try {
                field.setAccessible(true);
                if (field.get(null) != null) {
                    this.f3979c.put(field.getName(), field.get(null).toString());
                    JL_Log.d(TAG, field.getName() + " : " + field.get(null));
                }
            } catch (Exception e3) {
                JL_Log.e(TAG, "an error occured when collect crash info : " + a(e3));
            }
        }
    }

    private String a(Exception exc) {
        if (exc == null) {
            return null;
        }
        return exc.toString();
    }
}
