package com.jieli.jl_rcsp.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

/* loaded from: classes3.dex */
public class WatchFileUtil {

    /* renamed from: a, reason: collision with root package name */
    private static final String f3996a = "WatchFileUtil";

    public static boolean deleteFile(String str) {
        if (str == null) {
            return false;
        }
        File file = new File(str);
        if (!file.exists()) {
            return false;
        }
        if (file.isFile()) {
            return file.delete();
        }
        if (!file.isDirectory()) {
            return false;
        }
        File[] listFiles = file.listFiles();
        if (listFiles != null && listFiles.length != 0) {
            for (File file2 : listFiles) {
                deleteFile(file2.getPath());
            }
        }
        return file.delete();
    }

    public static String getFileName(String str) {
        int i2;
        if (str == null || str.equals("/")) {
            return null;
        }
        if (str.endsWith("/")) {
            str = str.substring(0, str.lastIndexOf("/"));
        }
        int lastIndexOf = str.lastIndexOf("/");
        return (lastIndexOf == -1 || (i2 = lastIndexOf + 1) >= str.length()) ? str : str.substring(i2);
    }

    public static String getJsonFileName(String str) {
        String fileName = getFileName(str);
        if (fileName != null) {
            if (fileName.contains(".")) {
                fileName = fileName.substring(fileName.lastIndexOf("."));
            }
            fileName = fileName + ".json";
        }
        JL_Log.d(f3996a, "getJsonFileName : filePath = " + str + ", jsonName = " + fileName);
        return fileName;
    }

    public static boolean isFileExist(String str) {
        if (str == null) {
            return false;
        }
        File file = new File(str);
        return file.exists() && file.isFile();
    }

    public static String obtainUpdateFilePath(String str, String str2) {
        File[] listFiles;
        String str3 = null;
        if (str == null) {
            return null;
        }
        File file = new File(str);
        if (!file.exists()) {
            return null;
        }
        if (file.isFile()) {
            if (str.endsWith(str2)) {
                return str;
            }
            return null;
        }
        if (file.isDirectory() && (listFiles = file.listFiles()) != null) {
            for (File file2 : listFiles) {
                str3 = obtainUpdateFilePath(file2.getPath(), str2);
                if (str3 != null) {
                    break;
                }
            }
        }
        return str3;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r6v10 */
    /* JADX WARN: Type inference failed for: r6v12 */
    /* JADX WARN: Type inference failed for: r6v13 */
    /* JADX WARN: Type inference failed for: r6v14 */
    /* JADX WARN: Type inference failed for: r6v15 */
    /* JADX WARN: Type inference failed for: r6v16 */
    /* JADX WARN: Type inference failed for: r6v18 */
    /* JADX WARN: Type inference failed for: r6v19 */
    /* JADX WARN: Type inference failed for: r6v21 */
    /* JADX WARN: Type inference failed for: r6v22 */
    /* JADX WARN: Type inference failed for: r6v3, types: [boolean] */
    /* JADX WARN: Type inference failed for: r6v4 */
    public static byte[] readFileData(String str) {
        IOException e2;
        Throwable th;
        IOException e3;
        FileNotFoundException e4;
        FileInputStream fileInputStream = null;
        r1 = null;
        byte[] bArr = null;
        FileInputStream fileInputStream2 = null;
        FileInputStream fileInputStream3 = null;
        if (str == null) {
            return null;
        }
        File file = new File(str);
        if (file.exists()) {
            byte[] isFile = file.isFile();
            try {
                try {
                    if (isFile != 0) {
                        try {
                            FileInputStream fileInputStream4 = new FileInputStream(file);
                            try {
                                byte[] bArr2 = new byte[fileInputStream4.available()];
                                int read = fileInputStream4.read(bArr2);
                                bArr = new byte[read];
                                System.arraycopy(bArr2, 0, bArr, 0, read);
                                try {
                                    fileInputStream4.close();
                                    return bArr;
                                } catch (IOException e5) {
                                    e2 = e5;
                                    e2.printStackTrace();
                                    return bArr;
                                }
                            } catch (FileNotFoundException e6) {
                                e4 = e6;
                                byte[] bArr3 = bArr;
                                fileInputStream2 = fileInputStream4;
                                isFile = bArr3;
                                e4.printStackTrace();
                                JL_Log.w(f3996a, "file not found");
                                if (fileInputStream2 != null) {
                                    fileInputStream2.close();
                                    isFile = isFile;
                                }
                                return isFile;
                            } catch (IOException e7) {
                                e3 = e7;
                                byte[] bArr4 = bArr;
                                fileInputStream3 = fileInputStream4;
                                isFile = bArr4;
                                e3.printStackTrace();
                                JL_Log.w(f3996a, "error : " + e3.getMessage());
                                if (fileInputStream3 != null) {
                                    fileInputStream3.close();
                                    isFile = isFile;
                                }
                                return isFile;
                            } catch (Throwable th2) {
                                th = th2;
                                fileInputStream = fileInputStream4;
                                if (fileInputStream != null) {
                                    try {
                                        fileInputStream.close();
                                    } catch (IOException e8) {
                                        e8.printStackTrace();
                                    }
                                }
                                throw th;
                            }
                        } catch (FileNotFoundException e9) {
                            e4 = e9;
                            isFile = 0;
                        } catch (IOException e10) {
                            e3 = e10;
                            isFile = 0;
                        }
                    }
                } catch (IOException e11) {
                    bArr = isFile;
                    e2 = e11;
                }
            } catch (Throwable th3) {
                th = th3;
            }
        }
        JL_Log.w(f3996a, "file path not exist.");
        return null;
    }
}
