package com.jieli.jl_rcsp.watch.rcsp;

import android.bluetooth.BluetoothDevice;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import com.google.gson.GsonBuilder;
import com.jieli.jl_fatfs.FatFileSystem;
import com.jieli.jl_fatfs.interfaces.OnFatFileProgressListener;
import com.jieli.jl_fatfs.model.FatFile;
import com.jieli.jl_fatfs.model.FileExtMsg;
import com.jieli.jl_fatfs.tool.PackResFormat;
import com.jieli.jl_fatfs.utils.FatUtil;
import com.jieli.jl_filebrowse.FileBrowseManager;
import com.jieli.jl_filebrowse.bean.FileStruct;
import com.jieli.jl_filebrowse.bean.Folder;
import com.jieli.jl_filebrowse.bean.SDCardBean;
import com.jieli.jl_filebrowse.interfaces.DeleteCallback;
import com.jieli.jl_filebrowse.interfaces.FileObserver;
import com.jieli.jl_rcsp.constant.RcspErrorCode;
import com.jieli.jl_rcsp.constant.WatchError;
import com.jieli.jl_rcsp.impl.RcspOpImpl;
import com.jieli.jl_rcsp.interfaces.IHandleResult;
import com.jieli.jl_rcsp.interfaces.OnOperationCallback;
import com.jieli.jl_rcsp.interfaces.listener.ThreadStateListener;
import com.jieli.jl_rcsp.interfaces.watch.IWatchManager;
import com.jieli.jl_rcsp.interfaces.watch.OnUpdateResourceCallback;
import com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback;
import com.jieli.jl_rcsp.model.WatchFileContent;
import com.jieli.jl_rcsp.model.base.BaseError;
import com.jieli.jl_rcsp.model.base.CmdError;
import com.jieli.jl_rcsp.model.command.external_flash.ExternalFlashIOCtrlCmd;
import com.jieli.jl_rcsp.model.device.DeviceInfo;
import com.jieli.jl_rcsp.model.response.ExternalFlashIOCtrlResponse;
import com.jieli.jl_rcsp.model.response.ExternalFlashMsgResponse;
import com.jieli.jl_rcsp.task.GetFileByClusterTask;
import com.jieli.jl_rcsp.task.GetFileTask;
import com.jieli.jl_rcsp.task.ITask;
import com.jieli.jl_rcsp.task.TaskListener;
import com.jieli.jl_rcsp.task.TransferTask;
import com.jieli.jl_rcsp.tool.CustomRcspActionCallback;
import com.jieli.jl_rcsp.tool.UpdateResourceTask;
import com.jieli.jl_rcsp.tool.WatchCallbackManager;
import com.jieli.jl_rcsp.util.CHexConver;
import com.jieli.jl_rcsp.util.CommandBuilder;
import com.jieli.jl_rcsp.util.JL_Log;
import com.jieli.jl_rcsp.util.WatchFileUtil;
import com.jieli.jl_rcsp.watch.WatchBase;
import com.jieli.jl_rcsp.watch.WatchProgressHandler;
import com.jieli.jl_rcsp.watch.rcsp.RcspWatch;
import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/* loaded from: classes3.dex */
public class RcspWatch extends WatchBase implements IWatchManager, TaskListener {
    private static final int l = 4114;

    /* renamed from: c, reason: collision with root package name */
    private OnFatFileProgressListener f4070c;

    /* renamed from: d, reason: collision with root package name */
    private OnWatchOpCallback<byte[]> f4071d;

    /* renamed from: e, reason: collision with root package name */
    private PackResFormat f4072e;

    /* renamed from: f, reason: collision with root package name */
    private ITask f4073f;

    /* renamed from: g, reason: collision with root package name */
    private UpdateResourceTask f4074g;

    /* renamed from: h, reason: collision with root package name */
    private volatile boolean f4075h;

    /* renamed from: i, reason: collision with root package name */
    private final ExecutorService f4076i;

    /* renamed from: j, reason: collision with root package name */
    private final Handler f4077j;
    private final FileObserver k;

    /* renamed from: com.jieli.jl_rcsp.watch.rcsp.RcspWatch$1, reason: invalid class name */
    public class AnonymousClass1 implements OnWatchOpCallback<ArrayList<FatFile>> {

        /* renamed from: a, reason: collision with root package name */
        public int f4078a;

        public AnonymousClass1() {
        }

        /* JADX INFO: Access modifiers changed from: private */
        public /* synthetic */ void a() {
            RcspWatch.this.listWatchList(this);
        }

        @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
        public void onFailed(BaseError baseError) {
            int i2;
            if (baseError.getSubCode() == 16385 && (i2 = this.f4078a) < 2) {
                this.f4078a = i2 + 1;
                RcspWatch.this.f4077j.postDelayed(new Runnable() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch$1$$ExternalSyntheticLambda0
                    @Override // java.lang.Runnable
                    public final void run() {
                        RcspWatch.AnonymousClass1.this.a();
                    }
                }, 500L);
                return;
            }
            JL_Log.e(RcspWatch.this.TAG, "-listWatchList- onFailed = " + baseError);
            this.f4078a = 0;
            RcspWatch.this.b(baseError.getSubCode());
        }

        @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
        public void onSuccess(ArrayList<FatFile> arrayList) {
            JL_Log.w(RcspWatch.this.TAG, "-listWatchList- onSuccess = " + arrayList);
            this.f4078a = 0;
            RcspWatch.this.b(0);
        }
    }

    public class ListDirObserver implements FileObserver {

        /* renamed from: a, reason: collision with root package name */
        private final OnWatchOpCallback<ArrayList<FatFile>> f4096a;

        public /* synthetic */ ListDirObserver(RcspWatch rcspWatch, OnWatchOpCallback onWatchOpCallback, AnonymousClass1 anonymousClass1) {
            this(onWatchOpCallback);
        }

        @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
        public void OnFlayCallback(boolean z) {
        }

        @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
        public void onFileReadFailed(int i2) {
            OnWatchOpCallback<ArrayList<FatFile>> onWatchOpCallback = this.f4096a;
            if (onWatchOpCallback != null) {
                onWatchOpCallback.onFailed(RcspErrorCode.buildJsonError(13, 12293, i2, null));
            }
            FileBrowseManager.getInstance().removeFileObserver(this);
        }

        @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
        public void onFileReadStart() {
        }

        @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
        public void onFileReadStop(boolean z) {
            if (z) {
                RcspWatch.this.listWatchList(this.f4096a);
            } else {
                FileBrowseManager.getInstance().loadMore(RcspWatch.this.e());
            }
            if (z) {
                FileBrowseManager.getInstance().removeFileObserver(this);
            }
        }

        @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
        public void onFileReceiver(List<FileStruct> list) {
        }

        @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
        public void onSdCardStatusChange(List<SDCardBean> list) {
        }

        private ListDirObserver(OnWatchOpCallback<ArrayList<FatFile>> onWatchOpCallback) {
            this.f4096a = onWatchOpCallback;
        }
    }

    public RcspWatch(RcspOpImpl rcspOpImpl, WatchCallbackManager watchCallbackManager) {
        super(rcspOpImpl, watchCallbackManager);
        this.f4076i = Executors.newSingleThreadExecutor();
        this.f4077j = new Handler(Looper.getMainLooper(), new Handler.Callback() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch$$ExternalSyntheticLambda2
            @Override // android.os.Handler.Callback
            public final boolean handleMessage(Message message) {
                boolean a2;
                a2 = RcspWatch.this.a(message);
                return a2;
            }
        });
        this.k = new FileObserver() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.8
            @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
            public void OnFlayCallback(boolean z) {
            }

            @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
            public void onFileReadFailed(int i2) {
            }

            @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
            public void onFileReadStart() {
            }

            @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
            public void onFileReadStop(boolean z) {
            }

            @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
            public void onFileReceiver(List<FileStruct> list) {
            }

            @Override // com.jieli.jl_filebrowse.interfaces.FileObserver
            public void onSdCardStatusChange(List<SDCardBean> list) {
                RcspWatch.this.f4077j.removeMessages(4114);
                RcspWatch.this.f4077j.sendEmptyMessage(4114);
            }
        };
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public boolean cancelTransfer() {
        return d();
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void createWatchFile(String str, boolean z, OnFatFileProgressListener onFatFileProgressListener) {
        if (e() == null) {
            if (onFatFileProgressListener != null) {
                onFatFileProgressListener.onStop(16384);
                return;
            }
            return;
        }
        File file = new File(str);
        if (!file.exists() || !file.isFile()) {
            if (onFatFileProgressListener != null) {
                onFatFileProgressListener.onStop(5);
                return;
            }
            return;
        }
        String fatFilePath = FatUtil.getFatFilePath(str);
        JL_Log.d(this.TAG, "-createWatchFile- fatFilePath : " + fatFilePath + ", OnFatFileProgressListener = " + onFatFileProgressListener);
        a(str, z, new WatchProgressHandler(this, 1, onFatFileProgressListener));
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void deleteWatchFile(String str, final OnFatFileProgressListener onFatFileProgressListener) {
        final SDCardBean e2 = e();
        if (e2 == null) {
            if (onFatFileProgressListener != null) {
                onFatFileProgressListener.onStop(16384);
                return;
            }
            return;
        }
        final FileStruct a2 = a(str);
        if (a2 == null) {
            if (onFatFileProgressListener != null) {
                onFatFileProgressListener.onStop(4);
            }
        } else {
            if (onFatFileProgressListener != null) {
                onFatFileProgressListener.onStart(a2.getName());
                onFatFileProgressListener.onProgress(0.0f);
            }
            deleteFileStart("/" + a2.getName(), new OnWatchOpCallback<Boolean>() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.5
                @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                public void onFailed(BaseError baseError) {
                    OnFatFileProgressListener onFatFileProgressListener2 = onFatFileProgressListener;
                    if (onFatFileProgressListener2 != null) {
                        onFatFileProgressListener2.onStop(baseError.getSubCode());
                    }
                }

                @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                public void onSuccess(Boolean bool) {
                    RcspWatch.this.a(e2, a2, onFatFileProgressListener);
                }
            });
        }
    }

    @Override // com.jieli.jl_rcsp.watch.WatchBase, com.jieli.jl_rcsp.interfaces.watch.IWatchManager
    public void destroy() {
        super.destroy();
        this.f4075h = false;
        d();
        this.f4077j.removeCallbacksAndMessages(null);
        if (!this.f4076i.isShutdown()) {
            this.f4076i.shutdownNow();
        }
        UpdateResourceTask updateResourceTask = this.f4074g;
        if (updateResourceTask != null) {
            updateResourceTask.stopThread();
        }
        FileBrowseManager.getInstance().removeFileObserver(this.k);
        PackResFormat packResFormat = this.f4072e;
        if (packResFormat != null) {
            packResFormat.destroy();
            this.f4072e = null;
        }
        this.f4073f = null;
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public String getCurrentBrowsePath() {
        Folder currentReadFile;
        SDCardBean e2 = e();
        if (e2 == null || (currentReadFile = FileBrowseManager.getInstance().getCurrentReadFile(e2)) == null) {
            return null;
        }
        return currentReadFile.getPathString();
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchManager
    public FatFile getWatchFileByPath(String str) {
        FileStruct a2 = a(str);
        if (a2 == null) {
            return null;
        }
        return FatFile.create(a2);
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void getWatchFileSize(String str, OnWatchOpCallback<WatchFileContent> onWatchOpCallback) {
        if (str != null) {
            RcspOpImpl rcspOpImpl = this.mRcspOp;
            rcspOpImpl.sendRcspCommand(rcspOpImpl.getTargetDevice(), CommandBuilder.buildExternalFlashGetFileMsgCmd(str), 5000, new WatchBase.HandleRcspCallback("getWatchFileSize", onWatchOpCallback, new IHandleResult<WatchFileContent, ExternalFlashIOCtrlCmd>() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.7
                /* JADX WARN: Multi-variable type inference failed */
                @Override // com.jieli.jl_rcsp.interfaces.IHandleResult
                public WatchFileContent handleResult(BluetoothDevice bluetoothDevice, ExternalFlashIOCtrlCmd externalFlashIOCtrlCmd) {
                    if (externalFlashIOCtrlCmd.getResponse() == 0) {
                        return null;
                    }
                    return new WatchFileContent(((ExternalFlashIOCtrlResponse) externalFlashIOCtrlCmd.getResponse()).getSize(), ((ExternalFlashIOCtrlResponse) externalFlashIOCtrlCmd.getResponse()).getCrc16());
                }

                /* JADX WARN: Multi-variable type inference failed */
                @Override // com.jieli.jl_rcsp.interfaces.IHandleResult
                public int hasResult(BluetoothDevice bluetoothDevice, ExternalFlashIOCtrlCmd externalFlashIOCtrlCmd) {
                    if (externalFlashIOCtrlCmd == null) {
                        return 1;
                    }
                    if (externalFlashIOCtrlCmd.getStatus() != 0) {
                        return externalFlashIOCtrlCmd.getStatus();
                    }
                    if (externalFlashIOCtrlCmd.getResponse() == 0) {
                        return 1;
                    }
                    return ((ExternalFlashIOCtrlResponse) externalFlashIOCtrlCmd.getResponse()).getResult();
                }
            }));
        } else if (onWatchOpCallback != null) {
            onWatchOpCallback.onFailed(new BaseError(19, FatUtil.getFatFsErrorCodeMsg(19)));
        }
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void getWatchSysLeftSize(OnWatchOpCallback<Long> onWatchOpCallback) {
        RcspOpImpl rcspOpImpl = this.mRcspOp;
        rcspOpImpl.sendRcspCommand(rcspOpImpl.getTargetDevice(), CommandBuilder.buildExternalFlashGetLeftSpaceCmd(), new WatchBase.HandleRcspCallback("getWatchSysLeftSize", onWatchOpCallback, new IHandleResult<Long, ExternalFlashIOCtrlCmd>() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.6
            /* JADX WARN: Multi-variable type inference failed */
            @Override // com.jieli.jl_rcsp.interfaces.IHandleResult
            public Long handleResult(BluetoothDevice bluetoothDevice, ExternalFlashIOCtrlCmd externalFlashIOCtrlCmd) {
                if (externalFlashIOCtrlCmd.getResponse() == 0) {
                    return 0L;
                }
                return Long.valueOf(((ExternalFlashIOCtrlResponse) externalFlashIOCtrlCmd.getResponse()).getSize() * 1024);
            }

            /* JADX WARN: Multi-variable type inference failed */
            @Override // com.jieli.jl_rcsp.interfaces.IHandleResult
            public int hasResult(BluetoothDevice bluetoothDevice, ExternalFlashIOCtrlCmd externalFlashIOCtrlCmd) {
                if (externalFlashIOCtrlCmd == null) {
                    return 1;
                }
                if (externalFlashIOCtrlCmd.getStatus() != 0) {
                    return externalFlashIOCtrlCmd.getStatus();
                }
                if (externalFlashIOCtrlCmd.getResponse() == 0) {
                    return 1;
                }
                return ((ExternalFlashIOCtrlResponse) externalFlashIOCtrlCmd.getResponse()).getResult();
            }
        }));
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchManager
    public void init() {
        this.f4075h = false;
        FileBrowseManager.getInstance().addFileObserver(this.k);
        this.f4072e = new PackResFormat();
        BluetoothDevice targetDevice = this.mRcspOp.getTargetDevice();
        DeviceInfo deviceInfo = this.mRcspOp.getDeviceInfo(targetDevice);
        JL_Log.w(this.TAG, "init = " + deviceInfo);
        if (deviceInfo != null) {
            ExternalFlashMsgResponse extFlashMsg = this.mStatusManager.getExtFlashMsg(targetDevice);
            if (extFlashMsg != null) {
                setSysException(extFlashMsg.getSysStatus() != 0);
                JL_Log.w(this.TAG, "isSysException = " + this.isSysException);
                if (this.isSysException) {
                    b(extFlashMsg.getSysStatus());
                    return;
                }
            }
            setOTAResource(deviceInfo.getExpandMode() == 1);
            JL_Log.w(this.TAG, "isOTAResource = " + this.isOTAResource);
            if (this.isOTAResource) {
                this.mWatchCallbackManager.onResourceUpdateUnfinished(targetDevice);
            } else {
                this.f4077j.removeMessages(4114);
                this.f4077j.sendEmptyMessageDelayed(4114, 1000L);
            }
        }
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchManager
    public boolean isInit() {
        ExternalFlashMsgResponse externalFlashMsg;
        return getConnectedDevice() != null && (externalFlashMsg = getExternalFlashMsg(getConnectedDevice())) != null && externalFlashMsg.getSysStatus() == 0 && this.f4075h;
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void listWatchList(OnWatchOpCallback<ArrayList<FatFile>> onWatchOpCallback) {
        SDCardBean e2 = e();
        JL_Log.d(this.TAG, "-listWatchList- flash = " + e2);
        if (e2 == null) {
            onCallbackError(onWatchOpCallback, 16384);
            return;
        }
        Folder currentReadFile = FileBrowseManager.getInstance().getCurrentReadFile(e2);
        JL_Log.d(this.TAG, "-listWatchList- folder = " + currentReadFile);
        if (currentReadFile == null) {
            onCallbackError(onWatchOpCallback, 16387);
            return;
        }
        boolean isReading = FileBrowseManager.getInstance().isReading();
        JL_Log.d(this.TAG, "-listWatchList- isReading = " + isReading);
        if (isReading) {
            onCallbackError(onWatchOpCallback, 16385);
            return;
        }
        List<FileStruct> childFileStructs = currentReadFile.getChildFileStructs();
        if (!currentReadFile.isLoadFinished(false)) {
            FileBrowseManager.getInstance().addFileObserver(new ListDirObserver(this, onWatchOpCallback, null));
            FileBrowseManager.getInstance().loadMore(e2);
            JL_Log.d(this.TAG, "-listWatchList- loadMore >>>>>>>>>>>");
            return;
        }
        ArrayList<FatFile> arrayList = new ArrayList<>();
        for (FileStruct fileStruct : childFileStructs) {
            if (!FatFileSystem.isIgnoreFile(fileStruct.getName())) {
                arrayList.add(FatFile.create(fileStruct));
            }
        }
        JL_Log.d(this.TAG, "-listWatchList- callback >>>>>>>>>>>" + arrayList.size());
        if (onWatchOpCallback != null) {
            onWatchOpCallback.onSuccess(arrayList);
        }
    }

    @Override // com.jieli.jl_rcsp.task.TaskListener
    public void onBegin() {
        c();
    }

    @Override // com.jieli.jl_rcsp.task.TaskListener
    public void onCancel(int i2) {
        JL_Log.w(this.TAG, "-Transfer- onCancel ==== >>> reason = " + i2);
        a(4098);
    }

    @Override // com.jieli.jl_rcsp.task.TaskListener
    public void onError(int i2, String str) {
        CmdError parseCmdError;
        JL_Log.e(this.TAG, "-Transfer- onError ==== >>> code = " + i2 + ", message = " + str);
        if (i2 == 12293 && (parseCmdError = CmdError.parseCmdError(str)) != null && (parseCmdError.getCmdId() == 27 || parseCmdError.getCmdId() == 28)) {
            int subCode = parseCmdError.getSubCode();
            if (subCode == 3) {
                i2 = 12544;
            } else if (subCode == 4) {
                i2 = 20;
            }
        }
        a(i2);
    }

    @Override // com.jieli.jl_rcsp.task.TaskListener
    public void onFinish() {
        JL_Log.i(this.TAG, "-Transfer- onFinish ==== >>> ");
        a(0);
    }

    @Override // com.jieli.jl_rcsp.task.TaskListener
    public void onProgress(int i2) {
        a(i2);
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void openWatchFile(String str, OnWatchOpCallback<byte[]> onWatchOpCallback) {
        if (e() == null) {
            onCallbackError(onWatchOpCallback, 16384);
            return;
        }
        FileStruct a2 = a(str);
        if (a2 != null) {
            this.f4071d = onWatchOpCallback;
            d(a2.getCluster());
        } else if (onWatchOpCallback != null) {
            onWatchOpCallback.onFailed(new BaseError(4, FatUtil.getFatFsErrorCodeMsg(4)));
        }
    }

    public void reLoadFolder(OnWatchOpCallback<ArrayList<FatFile>> onWatchOpCallback) {
        SDCardBean e2 = e();
        if (e2 != null) {
            FileBrowseManager.getInstance().cleanCache(e2);
        }
        listWatchList(onWatchOpCallback);
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void replaceWatchFile(String str, OnFatFileProgressListener onFatFileProgressListener) {
        if (e() == null) {
            if (onFatFileProgressListener != null) {
                onFatFileProgressListener.onStop(16384);
            }
        } else if (WatchFileUtil.isFileExist(str)) {
            createWatchFile(str, true, onFatFileProgressListener);
        } else if (onFatFileProgressListener != null) {
            onFatFileProgressListener.onStop(5);
        }
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void restoreWatchSystem(OnFatFileProgressListener onFatFileProgressListener) {
        if (e() == null) {
            if (onFatFileProgressListener != null) {
                onFatFileProgressListener.onStop(16384);
            }
        } else {
            if (onFatFileProgressListener != null) {
                onFatFileProgressListener.onStart("/");
                onFatFileProgressListener.onProgress(0.0f);
            }
            final WatchProgressHandler watchProgressHandler = new WatchProgressHandler(this, 4, onFatFileProgressListener);
            this.mRcspOp.sendRcspCommand(getConnectedDevice(), CommandBuilder.buildExternalFlashRestoreSystemCmd(), 5000, new CustomRcspActionCallback("restoreWatchSystem", new OnOperationCallback<Boolean>() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.2
                @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
                public void onFailed(BaseError baseError) {
                    watchProgressHandler.onStop(baseError.getSubCode());
                }

                @Override // com.jieli.jl_rcsp.interfaces.OnOperationCallback
                public void onSuccess(Boolean bool) {
                    watchProgressHandler.onProgress(100.0f);
                    watchProgressHandler.onStop(0);
                }
            }, new IHandleResult<Boolean, ExternalFlashIOCtrlCmd>() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.3
                @Override // com.jieli.jl_rcsp.interfaces.IHandleResult
                public Boolean handleResult(BluetoothDevice bluetoothDevice, ExternalFlashIOCtrlCmd externalFlashIOCtrlCmd) {
                    return Boolean.TRUE;
                }

                /* JADX WARN: Multi-variable type inference failed */
                @Override // com.jieli.jl_rcsp.interfaces.IHandleResult
                public int hasResult(BluetoothDevice bluetoothDevice, ExternalFlashIOCtrlCmd externalFlashIOCtrlCmd) {
                    ExternalFlashIOCtrlResponse externalFlashIOCtrlResponse;
                    if (externalFlashIOCtrlCmd == null || (externalFlashIOCtrlResponse = (ExternalFlashIOCtrlResponse) externalFlashIOCtrlCmd.getResponse()) == null) {
                        return -1;
                    }
                    return externalFlashIOCtrlResponse.getResult();
                }
            }));
        }
    }

    @Override // com.jieli.jl_rcsp.interfaces.watch.IWatchOp
    public void updateWatchResource(final String str, final OnUpdateResourceCallback onUpdateResourceCallback) {
        if (e() != null) {
            listWatchList(new OnWatchOpCallback<ArrayList<FatFile>>() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.4
                @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                public void onFailed(BaseError baseError) {
                    OnUpdateResourceCallback onUpdateResourceCallback2 = onUpdateResourceCallback;
                    if (onUpdateResourceCallback2 != null) {
                        onUpdateResourceCallback2.onError(baseError.getSubCode(), WatchError.getErrorDesc(baseError.getSubCode()));
                    }
                }

                @Override // com.jieli.jl_rcsp.interfaces.watch.OnWatchOpCallback
                public void onSuccess(ArrayList<FatFile> arrayList) {
                    if (RcspWatch.this.f4074g == null) {
                        RcspWatch.this.f4074g = new UpdateResourceTask(RcspWatch.this, str, onUpdateResourceCallback, new ThreadStateListener() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.4.1
                            @Override // com.jieli.jl_rcsp.interfaces.listener.ThreadStateListener
                            public void onFinish(long j2) {
                                if (RcspWatch.this.f4074g == null || RcspWatch.this.f4074g.getId() != j2) {
                                    return;
                                }
                                RcspWatch.this.f4074g = null;
                            }

                            @Override // com.jieli.jl_rcsp.interfaces.listener.ThreadStateListener
                            public void onStart(long j2) {
                            }
                        });
                        RcspWatch.this.f4074g.start();
                    }
                }
            });
        } else if (onUpdateResourceCallback != null) {
            onUpdateResourceCallback.onError(16384, WatchError.getErrorDesc(16384));
        }
    }

    private void b(String str) {
        if (e() == null) {
            a(16384);
            return;
        }
        ITask iTask = this.f4073f;
        if (iTask == null || !iTask.isRun()) {
            TransferTask.Param param = new TransferTask.Param();
            param.devHandler = e().getDevHandler();
            param.useFlash = true;
            this.f4073f = new TransferTask(this.mRcspOp, str, param);
        } else if (this.f4073f.isRun()) {
            a(4352);
            return;
        }
        this.f4073f.setListener(this);
        ((TransferTask) this.f4073f).setPath(str);
        this.f4073f.start();
    }

    private void c() {
        this.f4077j.post(new Runnable() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch$$ExternalSyntheticLambda3
            @Override // java.lang.Runnable
            public final void run() {
                RcspWatch.this.g();
            }
        });
    }

    private void d(int i2) {
        if (e() == null) {
            a(16384);
            return;
        }
        ITask iTask = this.f4073f;
        if (iTask == null || !iTask.isRun()) {
            this.f4073f = new GetFileByClusterTask(this.mRcspOp, new GetFileByClusterTask.Param(e().getDevHandler(), 0, i2, GetFileTask.BYTE_ARRAY_STREAM));
        } else if (this.f4073f.isRun()) {
            a(4352);
            return;
        }
        this.f4073f.setListener(this);
        this.f4073f.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public SDCardBean e() {
        return a(FileBrowseManager.getInstance().getOnlineDev());
    }

    private boolean f() {
        ITask iTask = this.f4073f;
        return iTask != null && iTask.isRun();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void g() {
        if (this.f4070c != null) {
            ITask iTask = this.f4073f;
            this.f4070c.onStart((iTask == null || !(iTask instanceof TransferTask)) ? null : ((TransferTask) iTask).getPath());
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void c(int i2) {
        OnWatchOpCallback<byte[]> onWatchOpCallback;
        JL_Log.i(this.TAG, "-callbackProgressStop- result = " + i2);
        OnFatFileProgressListener onFatFileProgressListener = this.f4070c;
        if (onFatFileProgressListener != null) {
            onFatFileProgressListener.onStop(i2);
            this.f4070c = null;
        }
        ITask iTask = this.f4073f;
        if (!(iTask instanceof GetFileByClusterTask) || (onWatchOpCallback = this.f4071d) == null) {
            return;
        }
        if (i2 == 0) {
            this.f4071d.onSuccess(((GetFileByClusterTask) iTask).getCacheData());
        } else {
            onWatchOpCallback.onFailed(new BaseError(i2, WatchError.getErrorDesc(i2)));
        }
        this.f4071d = null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ boolean a(Message message) {
        if (message.what != 4114) {
            return true;
        }
        SDCardBean e2 = e();
        JL_Log.w(this.TAG, "-MSG_INIT_WATCH- flash = " + e2);
        if (e2 != null && e2.isOnline()) {
            listWatchList(new AnonymousClass1());
            return true;
        }
        b(16384);
        return true;
    }

    private SDCardBean a(List<SDCardBean> list) {
        for (SDCardBean sDCardBean : list) {
            if (sDCardBean.getType() == 2) {
                return sDCardBean;
            }
        }
        return null;
    }

    private FileStruct a(String str) {
        SDCardBean e2;
        Folder currentReadFile;
        String fileName = WatchFileUtil.getFileName(str);
        if (fileName == null || (e2 = e()) == null || (currentReadFile = FileBrowseManager.getInstance().getCurrentReadFile(e2)) == null) {
            return null;
        }
        for (FileStruct fileStruct : currentReadFile.getChildFileStructs()) {
            if (fileName.equalsIgnoreCase(fileStruct.getName())) {
                return fileStruct;
            }
        }
        return null;
    }

    private boolean d() {
        ITask iTask = this.f4073f;
        if (iTask == null || !iTask.isRun()) {
            return false;
        }
        this.f4073f.cancel((byte) 0);
        return true;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(int i2) {
        this.f4075h = i2 == 0;
        JL_Log.i(this.TAG, "callbackWatchSystemInit >> " + i2 + ", isInit = " + this.f4075h);
        this.mWatchCallbackManager.onWatchSystemInit(i2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(SDCardBean sDCardBean, FileStruct fileStruct, final OnFatFileProgressListener onFatFileProgressListener) {
        ArrayList arrayList = new ArrayList();
        arrayList.add(fileStruct);
        int deleteFile = FileBrowseManager.getInstance().deleteFile(sDCardBean, arrayList, new DeleteCallback() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch.9
            @Override // com.jieli.jl_filebrowse.interfaces.DeleteCallback
            public void onError(int i2, FileStruct fileStruct2) {
                JL_Log.w(RcspWatch.this.TAG, "deleteFlashFile : onError >> code = " + i2 + ", " + fileStruct2);
                OnFatFileProgressListener onFatFileProgressListener2 = onFatFileProgressListener;
                if (onFatFileProgressListener2 != null) {
                    onFatFileProgressListener2.onStop(i2);
                }
            }

            @Override // com.jieli.jl_filebrowse.interfaces.DeleteCallback
            public void onFinish() {
                OnFatFileProgressListener onFatFileProgressListener2 = onFatFileProgressListener;
                if (onFatFileProgressListener2 != null) {
                    onFatFileProgressListener2.onProgress(100.0f);
                    onFatFileProgressListener.onStop(0);
                }
            }

            @Override // com.jieli.jl_filebrowse.interfaces.DeleteCallback
            public void onSuccess(FileStruct fileStruct2) {
                JL_Log.i(RcspWatch.this.TAG, "deleteFlashFile : onSuccess >> " + fileStruct2);
            }
        });
        JL_Log.w(this.TAG, "-deleteFlashFile- delResult = " + deleteFile);
        if (deleteFile == 0 || onFatFileProgressListener == null) {
            return;
        }
        onFatFileProgressListener.onStop(deleteFile);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void b(float f2) {
        OnFatFileProgressListener onFatFileProgressListener = this.f4070c;
        if (onFatFileProgressListener != null) {
            onFatFileProgressListener.onProgress(f2);
        }
    }

    private boolean a(String str, byte[] bArr) {
        String jsonFileName = WatchFileUtil.getJsonFileName(str);
        PackResFormat packResFormat = this.f4072e;
        if (packResFormat != null && jsonFileName != null && bArr != null && bArr.length != 0) {
            byte[] fileData = packResFormat.getFileData(bArr, jsonFileName);
            String str2 = this.TAG;
            StringBuilder sb = new StringBuilder("isMatchVersion :: data = ");
            sb.append(CHexConver.byte2HexStr(fileData));
            sb.append(", text = ");
            sb.append(fileData == null ? "" : new String(fileData));
            JL_Log.d(str2, sb.toString());
            if (fileData == null) {
                return false;
            }
            try {
                FileExtMsg fileExtMsg = (FileExtMsg) new GsonBuilder().create().fromJson(new String(fileData).trim(), FileExtMsg.class);
                JL_Log.d(this.TAG, "isMatchVersion :: fileExtMsg = " + fileExtMsg);
                if (fileExtMsg == null) {
                    return false;
                }
                String[] matchVersions = getExternalFlashMsg(this.mRcspOp.getTargetDevice()) != null ? getExternalFlashMsg(this.mRcspOp.getTargetDevice()).getMatchVersions() : null;
                String str3 = this.TAG;
                StringBuilder sb2 = new StringBuilder("isMatchVersion :: matchVersions = ");
                sb2.append(matchVersions == null ? "null" : Arrays.toString(matchVersions));
                JL_Log.d(str3, sb2.toString());
                if (matchVersions == null || matchVersions.length <= 0) {
                    return true;
                }
                for (String str4 : matchVersions) {
                    JL_Log.d(this.TAG, "isMatchVersion :: version = " + str4);
                    if (str4.equalsIgnoreCase(fileExtMsg.getVersionID())) {
                        return true;
                    }
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return false;
    }

    private void a(final String str, final boolean z, OnFatFileProgressListener onFatFileProgressListener) {
        if (!f()) {
            this.f4070c = onFatFileProgressListener;
            this.f4076i.submit(new Runnable() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch$$ExternalSyntheticLambda0
                @Override // java.lang.Runnable
                public final void run() {
                    RcspWatch.this.a(str, z);
                }
            });
        } else if (onFatFileProgressListener != null) {
            onFatFileProgressListener.onStop(4352);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public /* synthetic */ void a(String str, boolean z) {
        byte[] readFileData = WatchFileUtil.readFileData(str);
        if (readFileData != null && readFileData.length != 0) {
            if (!z && !a(str, readFileData)) {
                a(16896);
                return;
            } else {
                b(str);
                return;
            }
        }
        a(4);
    }

    private void a(final float f2) {
        this.f4077j.post(new Runnable() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                RcspWatch.this.b(f2);
            }
        });
    }

    private void a(final int i2) {
        this.f4077j.post(new Runnable() { // from class: com.jieli.jl_rcsp.watch.rcsp.RcspWatch$$ExternalSyntheticLambda4
            @Override // java.lang.Runnable
            public final void run() {
                RcspWatch.this.c(i2);
            }
        });
    }
}
