package com.realsil.sdk.core;

import android.content.Context;
import android.os.Build;
import android.util.Log;
import com.realsil.sdk.core.RtkConfigure;
import com.realsil.sdk.core.bluetooth.GlobalGatt;
import com.realsil.sdk.core.bluetooth.connection.le.BluetoothGattManager;
import com.realsil.sdk.core.logger.WriteLog;
import com.realsil.sdk.core.logger.ZLogger;
import java.util.Arrays;
import me.jessyan.autosize.BuildConfig;

/* loaded from: classes3.dex */
public final class RtkCore {
    public static boolean DEBUG = false;
    public static boolean VDBG = false;

    /* renamed from: a, reason: collision with root package name */
    public static Context f4131a;

    public static String getVersion() {
        return BuildConfig.VERSION_NAME;
    }

    public static synchronized void init(Context context) {
        synchronized (RtkCore.class) {
            initialize(context, new RtkConfigure.Builder().build());
        }
    }

    public static synchronized void initialize(Context context, RtkConfigure rtkConfigure) {
        synchronized (RtkCore.class) {
            if (f4131a == null) {
                f4131a = context.getApplicationContext();
            }
            if (rtkConfigure == null) {
                rtkConfigure = new RtkConfigure.Builder().build();
            }
            Log.d("Realtek", rtkConfigure.toString());
            DEBUG = rtkConfigure.isDebugEnabled();
            ZLogger.initialize(rtkConfigure.getLogTag(), rtkConfigure.isPrintLog(), rtkConfigure.getGlobalLogLevel());
            if (WriteLog.getInstance() == null) {
                WriteLog.install(context);
            }
            if (GlobalGatt.getInstance() == null) {
                GlobalGatt.initial(f4131a);
            }
            if (BluetoothGattManager.getInstance() == null) {
                BluetoothGattManager.initial(f4131a);
            }
            ZLogger.v(String.format("%s:%s:%s", com.realsil.sdk.bbpro.core.BuildConfig.GROUP_ID, "rtk-core", BuildConfig.VERSION_NAME));
            StringBuilder sb = new StringBuilder();
            sb.append("SDK_INT: " + Build.VERSION.SDK_INT);
            sb.append("\nDevice name: " + Build.DEVICE);
            sb.append("\nAndroid Version: " + Build.VERSION.RELEASE);
            sb.append("\nManufacture: " + Build.MANUFACTURER);
            sb.append("\nModel: " + Build.MODEL);
            sb.append("\nsupportedABIS: " + Arrays.toString(Build.SUPPORTED_ABIS));
            ZLogger.d(sb.toString());
        }
    }

    public static boolean isBluetoothSupported() {
        return BluetoothGattManager.getInstance().isBluetoothSupported();
    }

    public static synchronized void init(Context context, boolean z, boolean z2) {
        synchronized (RtkCore.class) {
            initialize(context, new RtkConfigure.Builder().build());
        }
    }

    public static synchronized void initialize(Context context, boolean z) {
        synchronized (RtkCore.class) {
            initialize(context, new RtkConfigure.Builder().debugEnabled(z).build());
        }
    }

    public static synchronized void initialize(Context context) {
        synchronized (RtkCore.class) {
            initialize(context, new RtkConfigure.Builder().build());
        }
    }
}
