package com.realsil.sdk.core.a;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.HandlerThread;
import android.text.TextUtils;
import com.realsil.sdk.core.RtkCore;
import com.realsil.sdk.core.bluetooth.scanner.ExtendedBluetoothDevice;
import com.realsil.sdk.core.bluetooth.scanner.ScannerCallback;
import com.realsil.sdk.core.bluetooth.scanner.ScannerParams;
import com.realsil.sdk.core.logger.ZLogger;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import java.util.Locale;
import java.util.Objects;

/* loaded from: classes3.dex */
public abstract class a {
    public static final int STATE_DISCOVERY_FINISHED = 3;
    public static final int STATE_DISCOVERY_STARTED = 2;
    public static final int STATE_DISCOVERY_START_PROCESS = 1;
    public static final int STATE_IDLE = 0;

    /* renamed from: c, reason: collision with root package name */
    public Context f4134c;

    /* renamed from: d, reason: collision with root package name */
    public ScannerParams f4135d;

    /* renamed from: e, reason: collision with root package name */
    public ScannerCallback f4136e;

    /* renamed from: f, reason: collision with root package name */
    public Handler f4137f;

    /* renamed from: g, reason: collision with root package name */
    public BluetoothAdapter f4138g;

    /* renamed from: a, reason: collision with root package name */
    public boolean f4132a = false;

    /* renamed from: b, reason: collision with root package name */
    public boolean f4133b = false;

    /* renamed from: h, reason: collision with root package name */
    public int f4139h = 0;

    /* renamed from: i, reason: collision with root package name */
    public boolean f4140i = false;

    /* renamed from: j, reason: collision with root package name */
    public long f4141j = 0;
    public final BroadcastReceiver k = new C0051a();
    public Runnable l = new b();
    public Runnable m = new c();
    public Runnable n = new d();

    /* renamed from: com.realsil.sdk.core.a.a$a, reason: collision with other inner class name */
    public class C0051a extends BroadcastReceiver {

        /* renamed from: com.realsil.sdk.core.a.a$a$a, reason: collision with other inner class name */
        public class RunnableC0052a implements Runnable {
            public RunnableC0052a() {
            }

            @Override // java.lang.Runnable
            public void run() {
                a.this.stopScan();
            }
        }

        public C0051a() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if ("android.bluetooth.adapter.action.STATE_CHANGED".equals(action)) {
                int intExtra = intent.getIntExtra("android.bluetooth.adapter.extra.STATE", -1);
                ZLogger.v(String.format(Locale.US, "[%s] %d -> %d", action, Integer.valueOf(intent.getIntExtra("android.bluetooth.adapter.extra.PREVIOUS_STATE", -1)), Integer.valueOf(intExtra)));
                if (intExtra == 10 && a.this.isScanning()) {
                    new Thread(new RunnableC0052a()).start();
                }
            }
        }
    }

    public class b implements Runnable {
        public b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            long timeInMillis = Calendar.getInstance().getTimeInMillis();
            a aVar = a.this;
            if (timeInMillis < aVar.f4141j) {
                aVar.f4141j = 0L;
            }
            long j2 = timeInMillis - aVar.f4141j;
            int i2 = aVar.f4139h;
            if (i2 == 1) {
                if (j2 > 30000) {
                    ZLogger.d(String.format(Locale.US, "no scan response received after start scan for %d ms", 30000L));
                    a.this.stopScan();
                    return;
                }
                return;
            }
            if (i2 == 2) {
                if (j2 <= 30000) {
                    a.a(aVar);
                    return;
                } else {
                    ZLogger.d(String.format(Locale.US, "exceed %d ms , no scan response received since last time", 30000L));
                    a.this.stopScan();
                    return;
                }
            }
            ZLogger.v(aVar.f4133b, "ignore state:" + a.this.f4139h);
            a.a(a.this);
        }
    }

    public class c implements Runnable {
        public c() {
        }

        @Override // java.lang.Runnable
        public void run() {
            ZLogger.v("scan delay time reached");
            a.this.stopScan();
        }
    }

    public class d implements Runnable {
        public d() {
        }

        @Override // java.lang.Runnable
        public void run() {
            a aVar = a.this;
            ScannerCallback scannerCallback = aVar.f4136e;
            if (scannerCallback != null) {
                scannerCallback.onAutoScanTrigger();
            } else {
                ZLogger.v(aVar.f4133b, "no callback registed");
            }
            a.this.startScan();
        }
    }

    public void a(int i2) {
        ZLogger.v(String.format(Locale.US, "ScanState 0x%02X >> 0x%02X", Integer.valueOf(this.f4139h), Integer.valueOf(i2)));
        if (this.f4139h != i2) {
            this.f4139h = i2;
            ScannerCallback scannerCallback = this.f4136e;
            if (scannerCallback != null) {
                scannerCallback.onScanStateChanged(i2);
            } else {
                ZLogger.v(this.f4133b, "no callback registed");
            }
        }
        int i3 = this.f4139h;
        if (i3 == 0 || i3 == 3) {
            this.f4137f.removeCallbacks(this.m);
            this.f4137f.removeCallbacks(this.l);
            this.f4137f.removeCallbacks(this.n);
            if (!isAutoDiscovery()) {
                ZLogger.v(String.format("isAutoDiscovery=%b", Boolean.valueOf(isAutoDiscovery())));
            } else {
                ZLogger.v("wait to start auto scan");
                this.f4137f.postDelayed(this.n, this.f4135d.getAutoScanDelay());
            }
        }
    }

    public boolean a(ExtendedBluetoothDevice extendedBluetoothDevice) {
        return true;
    }

    public BluetoothAdapter getBluetoothAdapter() {
        return this.f4138g;
    }

    public List<ExtendedBluetoothDevice> getPairedDevices() {
        if (this.f4138g == null) {
            return null;
        }
        if (!this.f4135d.isReusePaiedDeviceEnabled()) {
            ZLogger.v("don't reuse paired device");
            return null;
        }
        ArrayList arrayList = new ArrayList();
        for (BluetoothDevice bluetoothDevice : this.f4138g.getBondedDevices()) {
            if (a(bluetoothDevice)) {
                arrayList.add(new ExtendedBluetoothDevice(bluetoothDevice, bluetoothDevice.getName(), -1000, bluetoothDevice.getBondState() == 12, false));
            }
        }
        return arrayList;
    }

    public int getState() {
        return this.f4139h;
    }

    public boolean init() {
        if (this.f4140i) {
            ZLogger.w("please call onDestroy() method first");
            return false;
        }
        this.f4132a = RtkCore.DEBUG;
        this.f4133b = RtkCore.VDBG;
        BluetoothManager bluetoothManager = (BluetoothManager) this.f4134c.getSystemService("bluetooth");
        if (bluetoothManager != null) {
            this.f4138g = bluetoothManager.getAdapter();
        }
        if (this.f4135d == null) {
            ZLogger.d(this.f4132a, "create new ScannerParams");
            this.f4135d = new ScannerParams();
        }
        if (this.f4137f == null) {
            HandlerThread handlerThread = new HandlerThread("ScannerPresenter");
            handlerThread.start();
            this.f4137f = new Handler(handlerThread.getLooper());
        }
        if (this.f4136e == null) {
            ZLogger.d(this.f4132a, "callback is null");
        }
        this.f4134c.registerReceiver(this.k, new IntentFilter("android.bluetooth.adapter.action.STATE_CHANGED"));
        this.f4140i = true;
        ZLogger.v("initialized");
        return true;
    }

    public boolean isAutoDiscovery() {
        ScannerParams scannerParams = this.f4135d;
        if (scannerParams != null) {
            return scannerParams.isAutoDiscovery();
        }
        return false;
    }

    public boolean isBluetoothEnabled() {
        BluetoothAdapter bluetoothAdapter = this.f4138g;
        return bluetoothAdapter != null && bluetoothAdapter.isEnabled();
    }

    public boolean isBluetoothSupported() {
        return this.f4138g != null;
    }

    public boolean isScanning() {
        int i2 = this.f4139h;
        return i2 == 2 || i2 == 1;
    }

    public void onDestroy() {
        Context context = this.f4134c;
        if (context != null) {
            try {
                context.unregisterReceiver(this.k);
            } catch (Exception e2) {
                ZLogger.e(this.f4133b, e2.toString());
            }
        }
        this.f4136e = null;
        Handler handler = this.f4137f;
        if (handler != null) {
            handler.removeCallbacks(this.m);
            this.f4137f.removeCallbacks(this.n);
            this.f4137f.removeCallbacks(this.l);
        }
        stopScan();
        this.f4140i = false;
    }

    public synchronized boolean scanDevice(boolean z) {
        if (z) {
            return startScan();
        }
        return stopScan();
    }

    public void setScanMode(int i2) {
        ScannerParams scannerParams = this.f4135d;
        if (scannerParams != null) {
            scannerParams.setScanMode(i2);
        }
    }

    public void setScannerCallback(ScannerCallback scannerCallback) {
        this.f4136e = scannerCallback;
        if (scannerCallback == null) {
            ZLogger.v(this.f4133b, "callback is null");
        }
    }

    public void setScannerParams(ScannerParams scannerParams) {
        this.f4135d = scannerParams;
    }

    public abstract boolean startScan();

    public boolean startScanInner() {
        int i2 = this.f4139h;
        if (i2 != 1 && i2 != 2) {
            a(1);
            this.f4137f.removeCallbacks(this.m);
            this.f4137f.removeCallbacks(this.l);
            this.f4137f.removeCallbacks(this.n);
            this.f4141j = 0L;
            return true;
        }
        long timeInMillis = Calendar.getInstance().getTimeInMillis();
        if (timeInMillis < this.f4141j) {
            this.f4141j = 0L;
        }
        if (timeInMillis - this.f4141j > 30000) {
            ZLogger.d(String.format(Locale.US, "exceed %d ms , no scan response received since last time", 30000L));
            stopScan();
        } else {
            a();
        }
        return false;
    }

    public abstract boolean stopScan();

    public boolean stopScanInner() {
        Handler handler = this.f4137f;
        if (handler == null) {
            return true;
        }
        handler.removeCallbacks(this.m);
        this.f4137f.removeCallbacks(this.l);
        this.f4137f.removeCallbacks(this.n);
        return true;
    }

    public synchronized boolean scanDevice(boolean z, boolean z2) {
        if (z) {
            return startScan();
        }
        return stopScan();
    }

    public boolean a(BluetoothDevice bluetoothDevice) {
        if (bluetoothDevice == null) {
            return false;
        }
        if (this.f4135d.getScanMode() == 18) {
            if (bluetoothDevice.getType() != 2) {
                if (this.f4133b) {
                    ZLogger.v(String.format(Locale.US, "filter, invalid type: %d, expect type is %d", Integer.valueOf(bluetoothDevice.getType()), 2));
                }
                return false;
            }
        } else if (this.f4135d.getScanMode() == 17) {
            if (bluetoothDevice.getType() != 2 && bluetoothDevice.getType() != 3 && bluetoothDevice.getType() != 0) {
                if (this.f4133b) {
                    ZLogger.v(String.format(Locale.US, "filter, invalid type: %d, expect type is %d/%d/%d", Integer.valueOf(bluetoothDevice.getType()), 0, 2, 3));
                }
                return false;
            }
        } else if (this.f4135d.getScanMode() == 33) {
            if (bluetoothDevice.getType() != 1) {
                if (this.f4133b) {
                    ZLogger.v(String.format(Locale.US, "filter, invalid type: %d, expect type is %d", Integer.valueOf(bluetoothDevice.getType()), 1));
                }
                return false;
            }
        } else if (this.f4135d.getScanMode() == 32 && bluetoothDevice.getType() != 1 && bluetoothDevice.getType() != 3 && bluetoothDevice.getType() != 0) {
            if (this.f4133b) {
                ZLogger.v(String.format(Locale.US, "filter, invalid type: %d, expect type is %d/%d/%d", Integer.valueOf(bluetoothDevice.getType()), 0, 1, 3));
            }
            return false;
        }
        if (!TextUtils.isEmpty(this.f4135d.getNameFilter())) {
            if (!Objects.equals(this.f4135d.getNameFilter(), bluetoothDevice.getName())) {
                if (this.f4135d.isNameFuzzyMatchEnable()) {
                    if (bluetoothDevice.getName() == null || !bluetoothDevice.getName().contains(this.f4135d.getNameFilter())) {
                        if (this.f4132a) {
                            ZLogger.v(String.format("conflict name: %s", bluetoothDevice.getName()));
                        }
                        return false;
                    }
                } else {
                    if (this.f4132a) {
                        ZLogger.v(String.format("conflict name: %s", bluetoothDevice.getName()));
                    }
                    return false;
                }
            }
        } else if (!this.f4135d.isNameNullable() && TextUtils.isEmpty(bluetoothDevice.getName())) {
            if (this.f4133b) {
                ZLogger.v("name is null, ignore");
            }
            return false;
        }
        if (TextUtils.isEmpty(this.f4135d.getAddressFilter()) || Objects.equals(this.f4135d.getAddressFilter(), bluetoothDevice.getAddress())) {
            return true;
        }
        if (this.f4133b) {
            ZLogger.v("address not match:" + bluetoothDevice.getAddress());
        }
        return false;
    }

    public boolean a() {
        if (this.f4137f != null) {
            ZLogger.v(this.f4133b, "wait to check state:" + this.f4139h);
            this.f4137f.removeCallbacks(this.l);
            return this.f4137f.postDelayed(this.l, 30000L);
        }
        ZLogger.v(this.f4133b, "mHandler == null");
        return false;
    }

    public boolean a(BluetoothDevice bluetoothDevice, int i2, byte[] bArr) {
        boolean a2;
        this.f4141j = Calendar.getInstance().getTimeInMillis();
        int i3 = this.f4139h;
        if (i3 == 1) {
            a(2);
        } else if (i3 != 2) {
            ZLogger.v(String.format("stop to calibration state: 0x%04X", Integer.valueOf(i3)));
            stopScan();
            return false;
        }
        if (bluetoothDevice == null) {
            ZLogger.d("ignore, device is null");
            return false;
        }
        if (this.f4135d.getRssiFilter() > -1000 && this.f4135d.getRssiFilter() > i2) {
            ZLogger.w("filter, low rssi:" + i2);
            a2 = false;
        } else {
            a2 = a(bluetoothDevice);
        }
        if (!a2) {
            return false;
        }
        ExtendedBluetoothDevice extendedBluetoothDevice = new ExtendedBluetoothDevice(bluetoothDevice, bluetoothDevice.getName(), i2, bluetoothDevice.getBondState() == 12, false, bArr);
        if (!a(extendedBluetoothDevice)) {
            return false;
        }
        ScannerCallback scannerCallback = this.f4136e;
        if (scannerCallback != null) {
            scannerCallback.onNewDevice(extendedBluetoothDevice);
        } else {
            ZLogger.v(this.f4133b, "no callback registed");
        }
        if (this.f4135d.getScanMechanism() == 1) {
            ZLogger.d("SCAN_MECHANISM_FILTER_ONE > scanDevice(false)");
            stopScan();
        }
        return true;
    }

    public static void a(a aVar) {
        Handler handler = aVar.f4137f;
        if (handler != null) {
            handler.removeCallbacksAndMessages(aVar.m);
            aVar.f4137f.postDelayed(aVar.m, aVar.f4135d.getScanPeriod());
        } else {
            ZLogger.v(aVar.f4133b, "mHandler == null");
        }
    }
}
