package com.realsil.sdk.core.b;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.content.Context;
import android.os.ParcelUuid;
import com.realsil.sdk.core.b.a;
import com.realsil.sdk.core.bluetooth.scanner.LeScannerPresenter;
import com.realsil.sdk.core.bluetooth.scanner.ScannerParams;
import com.realsil.sdk.core.bluetooth.scanner.compat.CompatScanFilter;
import com.realsil.sdk.core.logger.ZLogger;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

/* loaded from: classes3.dex */
public class c extends com.realsil.sdk.core.b.a {

    /* renamed from: g, reason: collision with root package name */
    public BluetoothAdapter.LeScanCallback f4154g;

    public class a implements BluetoothAdapter.LeScanCallback {
        public a() {
        }

        @Override // android.bluetooth.BluetoothAdapter.LeScanCallback
        public void onLeScan(BluetoothDevice bluetoothDevice, int i2, byte[] bArr) {
            c cVar = c.this;
            a.InterfaceC0053a interfaceC0053a = cVar.f4152f;
            if (interfaceC0053a != null) {
                LeScannerPresenter.this.a(bluetoothDevice, i2, bArr);
            } else {
                ZLogger.v(cVar.f4148b, "no listeners register");
            }
        }
    }

    public c(Context context) {
        super(context);
        this.f4154g = new a();
        ZLogger.v(this.f4148b, "LeScannerV19 init");
    }

    @Override // com.realsil.sdk.core.b.a
    public boolean a(ScannerParams scannerParams) {
        UUID[] uuidArr;
        if (!super.a(scannerParams)) {
            return false;
        }
        List<CompatScanFilter> scanFilters = scannerParams.getScanFilters();
        if (scanFilters != null && scanFilters.size() > 0) {
            ZLogger.v(this.f4148b, "contains " + scanFilters.size() + " filters");
            ArrayList arrayList = new ArrayList();
            for (CompatScanFilter compatScanFilter : scanFilters) {
                ZLogger.v(compatScanFilter.toString());
                if (compatScanFilter.getServiceUuid() != null) {
                    arrayList.add(compatScanFilter.getServiceUuid());
                }
            }
            int size = arrayList.size();
            if (size > 0) {
                uuidArr = new UUID[size];
                for (int i2 = 0; i2 < size; i2++) {
                    if (arrayList.get(i2) != null) {
                        uuidArr[i2] = ((ParcelUuid) arrayList.get(i2)).getUuid();
                    }
                }
                return this.f4149c.startLeScan(uuidArr, this.f4154g);
            }
        }
        uuidArr = null;
        return this.f4149c.startLeScan(uuidArr, this.f4154g);
    }

    @Override // com.realsil.sdk.core.b.a
    public boolean a() {
        super.a();
        BluetoothAdapter bluetoothAdapter = this.f4149c;
        if (bluetoothAdapter != null && bluetoothAdapter.isEnabled()) {
            this.f4149c.stopLeScan(this.f4154g);
            return true;
        }
        ZLogger.w("BT Adapter is not turned ON");
        return true;
    }
}
