package com.realsil.sdk.core.b;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.bluetooth.le.BluetoothLeScanner;
import android.bluetooth.le.ScanCallback;
import android.bluetooth.le.ScanFilter;
import android.bluetooth.le.ScanRecord;
import android.bluetooth.le.ScanResult;
import android.bluetooth.le.ScanSettings;
import android.content.Context;
import android.os.Build;
import com.realsil.sdk.core.b.a;
import com.realsil.sdk.core.bluetooth.scanner.LeScannerPresenter;
import com.realsil.sdk.core.bluetooth.scanner.ScannerParams;
import com.realsil.sdk.core.bluetooth.scanner.compat.CompatScanFilter;
import com.realsil.sdk.core.logger.ZLogger;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes3.dex */
public class d extends com.realsil.sdk.core.b.a {

    /* renamed from: g, reason: collision with root package name */
    public BluetoothLeScanner f4156g;

    /* renamed from: h, reason: collision with root package name */
    public ScanCallback f4157h;

    public class a extends ScanCallback {
        public a() {
        }

        @Override // android.bluetooth.le.ScanCallback
        public void onBatchScanResults(List<ScanResult> list) {
            super.onBatchScanResults(list);
        }

        @Override // android.bluetooth.le.ScanCallback
        public void onScanFailed(int i2) {
            super.onScanFailed(i2);
            ZLogger.d(d.this.f4147a, "scan failed with " + i2);
        }

        @Override // android.bluetooth.le.ScanCallback
        public void onScanResult(int i2, ScanResult scanResult) {
            super.onScanResult(i2, scanResult);
            ScannerParams scannerParams = d.this.f4151e;
            if (scannerParams != null && scannerParams.isConnectable() && Build.VERSION.SDK_INT >= 26 && !scanResult.isConnectable()) {
                if (d.this.f4148b) {
                    ZLogger.v("ignore noconnectable device >> " + scanResult.toString());
                    return;
                }
                return;
            }
            if (d.this.f4147a) {
                ZLogger.v(scanResult.toString());
            }
            ScanRecord scanRecord = scanResult.getScanRecord();
            d dVar = d.this;
            BluetoothDevice device = scanResult.getDevice();
            int rssi = scanResult.getRssi();
            byte[] bytes = scanRecord != null ? scanRecord.getBytes() : new byte[0];
            a.InterfaceC0053a interfaceC0053a = dVar.f4152f;
            if (interfaceC0053a != null) {
                LeScannerPresenter.this.a(device, rssi, bytes);
            } else {
                ZLogger.v(dVar.f4148b, "no listeners register");
            }
        }
    }

    public d(Context context) {
        super(context);
        this.f4157h = new a();
        ZLogger.v(this.f4148b, "LeScannerV21 init");
        BluetoothAdapter bluetoothAdapter = this.f4149c;
        if (bluetoothAdapter != null) {
            this.f4156g = bluetoothAdapter.getBluetoothLeScanner();
        }
        if (this.f4156g == null) {
            ZLogger.d("mBluetoothLeScanner == null");
        }
    }

    @Override // com.realsil.sdk.core.b.a
    public boolean a(ScannerParams scannerParams) {
        if (!super.a(scannerParams)) {
            ZLogger.w("startScan failed");
            return false;
        }
        if (this.f4156g == null) {
            ZLogger.d("getBluetoothLeScanner...");
            this.f4156g = this.f4149c.getBluetoothLeScanner();
        }
        if (this.f4156g == null) {
            ZLogger.w("mBluetoothLeScanner is null");
            a();
            return false;
        }
        ArrayList arrayList = new ArrayList();
        List<CompatScanFilter> scanFilters = scannerParams.getScanFilters();
        if (scanFilters != null && scanFilters.size() > 0) {
            ZLogger.v(this.f4148b, "contains " + scanFilters.size() + " filters");
            for (CompatScanFilter compatScanFilter : scanFilters) {
                arrayList.add(new ScanFilter.Builder().setServiceUuid(compatScanFilter.getServiceUuid()).setDeviceAddress(compatScanFilter.getDeviceAddress()).setDeviceName(compatScanFilter.getDeviceName()).setManufacturerData(compatScanFilter.getManufacturerId(), compatScanFilter.getManufacturerData(), compatScanFilter.getManufacturerDataMask()).build());
                ZLogger.v(this.f4148b, compatScanFilter.toString());
            }
        }
        ScanSettings.Builder scanMode = new ScanSettings.Builder().setScanMode(2);
        if (Build.VERSION.SDK_INT >= 26) {
            scanMode.setPhy(scannerParams.getPhy()).setLegacy(false);
        }
        try {
            this.f4156g.startScan(arrayList, scanMode.build(), this.f4157h);
            return true;
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
            return false;
        }
    }

    @Override // com.realsil.sdk.core.b.a
    public boolean a() {
        BluetoothLeScanner bluetoothLeScanner;
        super.a();
        BluetoothAdapter bluetoothAdapter = this.f4149c;
        if (bluetoothAdapter == null || !bluetoothAdapter.isEnabled() || (bluetoothLeScanner = this.f4156g) == null) {
            return true;
        }
        bluetoothLeScanner.stopScan(this.f4157h);
        return true;
    }
}
