package com.realsil.sdk.core.base;

import java.util.concurrent.LinkedBlockingDeque;

/* loaded from: classes3.dex */
public abstract class BaseThread<T> extends Thread {

    /* renamed from: a, reason: collision with root package name */
    public volatile boolean f4161a = false;

    /* renamed from: b, reason: collision with root package name */
    public LinkedBlockingDeque<T> f4162b = new LinkedBlockingDeque<>();

    public void addQueue(T t) {
        synchronized (this.f4162b) {
            this.f4162b.add(t);
        }
    }

    public void cancel(boolean z) {
        this.f4161a = z;
    }

    public void clearQueue() {
        synchronized (this.f4162b) {
            this.f4162b.clear();
        }
    }

    public boolean isCanceled() {
        return this.f4161a;
    }

    public T peek() {
        T peek;
        synchronized (this.f4162b) {
            peek = this.f4162b.peek();
        }
        return peek;
    }

    public T poll() {
        T poll;
        synchronized (this.f4162b) {
            poll = this.f4162b.poll();
        }
        return poll;
    }

    public void push(T t) {
        synchronized (this.f4162b) {
            this.f4162b.push(t);
        }
    }

    public T take() {
        try {
            return this.f4162b.take();
        } catch (InterruptedException e2) {
            e2.printStackTrace();
            return null;
        }
    }
}
