package com.realsil.sdk.core.bluetooth.scanner;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import com.realsil.sdk.core.logger.ZLogger;
import java.util.List;

/* loaded from: classes3.dex */
public final class LegacyScannerPresenter extends com.realsil.sdk.core.a.a {
    public final BroadcastReceiver o;

    public class a extends BroadcastReceiver {
        public a() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            String action = intent.getAction();
            if ("android.bluetooth.device.action.FOUND".equals(action) || "android.bluetooth.device.action.CLASS_CHANGED".equals(action)) {
                BluetoothDevice bluetoothDevice = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                short shortExtra = intent.getShortExtra("android.bluetooth.device.extra.RSSI", (short) 0);
                if (bluetoothDevice != null) {
                    ZLogger.v(LegacyScannerPresenter.this.f4133b, String.format("%s %s/%s", action, bluetoothDevice.getName(), bluetoothDevice.toString()));
                } else {
                    ZLogger.v(String.format("%s", action));
                }
                LegacyScannerPresenter.this.a(bluetoothDevice, shortExtra, null);
                return;
            }
            if (!"android.bluetooth.device.action.NAME_CHANGED".equals(action)) {
                if ("android.bluetooth.adapter.action.DISCOVERY_STARTED".equals(action)) {
                    LegacyScannerPresenter.this.a(2);
                    return;
                } else {
                    if ("android.bluetooth.adapter.action.DISCOVERY_FINISHED".equals(action)) {
                        LegacyScannerPresenter.this.a(3);
                        return;
                    }
                    return;
                }
            }
            if (LegacyScannerPresenter.this.f4139h == 2) {
                BluetoothDevice bluetoothDevice2 = (BluetoothDevice) intent.getParcelableExtra("android.bluetooth.device.extra.DEVICE");
                short shortExtra2 = intent.getShortExtra("android.bluetooth.device.extra.RSSI", (short) 0);
                if (bluetoothDevice2 != null) {
                    ZLogger.v(LegacyScannerPresenter.this.f4133b, String.format("%s %s/%s", action, bluetoothDevice2.getName(), bluetoothDevice2.toString()));
                } else {
                    ZLogger.v(String.format("%s", action));
                }
                LegacyScannerPresenter.this.a(bluetoothDevice2, shortExtra2, null);
            }
        }
    }

    public LegacyScannerPresenter(Context context) {
        this(context, null, null, null);
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ BluetoothAdapter getBluetoothAdapter() {
        return super.getBluetoothAdapter();
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ List getPairedDevices() {
        return super.getPairedDevices();
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ int getState() {
        return super.getState();
    }

    @Override // com.realsil.sdk.core.a.a
    public boolean init() {
        if (!super.init()) {
            return false;
        }
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.bluetooth.device.action.FOUND");
        intentFilter.addAction("android.bluetooth.adapter.action.DISCOVERY_STARTED");
        intentFilter.addAction("android.bluetooth.adapter.action.DISCOVERY_FINISHED");
        this.f4134c.registerReceiver(this.o, intentFilter);
        ZLogger.v("bredr initialized");
        return true;
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ boolean isAutoDiscovery() {
        return super.isAutoDiscovery();
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ boolean isBluetoothEnabled() {
        return super.isBluetoothEnabled();
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ boolean isBluetoothSupported() {
        return super.isBluetoothSupported();
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ boolean isScanning() {
        return super.isScanning();
    }

    @Override // com.realsil.sdk.core.a.a
    public void onDestroy() {
        Context context = this.f4134c;
        if (context != null) {
            try {
                context.unregisterReceiver(this.o);
            } catch (Exception e2) {
                ZLogger.e(this.f4133b, e2.toString());
            }
        }
        super.onDestroy();
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ boolean scanDevice(boolean z) {
        return super.scanDevice(z);
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ void setScanMode(int i2) {
        super.setScanMode(i2);
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ void setScannerCallback(ScannerCallback scannerCallback) {
        super.setScannerCallback(scannerCallback);
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ void setScannerParams(ScannerParams scannerParams) {
        super.setScannerParams(scannerParams);
    }

    @Override // com.realsil.sdk.core.a.a
    public boolean startScan() {
        if (!startScanInner()) {
            return true;
        }
        if (this.f4138g.isDiscovering()) {
            this.f4138g.cancelDiscovery();
        }
        ZLogger.v("startDiscovery for " + this.f4135d.getScanPeriod() + "ms");
        if (this.f4138g.startDiscovery()) {
            a();
            return true;
        }
        ZLogger.v("startDiscovery failed");
        stopScan();
        return false;
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ boolean startScanInner() {
        return super.startScanInner();
    }

    @Override // com.realsil.sdk.core.a.a
    public boolean stopScan() {
        stopScanInner();
        if (this.f4138g.isDiscovering()) {
            ZLogger.v(this.f4133b, "cancelDiscovery");
            if (!this.f4138g.cancelDiscovery()) {
                ZLogger.d("cancelDiscovery failed");
                return false;
            }
        }
        a(0);
        return true;
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ boolean stopScanInner() {
        return super.stopScanInner();
    }

    public LegacyScannerPresenter(Context context, ScannerParams scannerParams, ScannerCallback scannerCallback) {
        this(context, null, scannerParams, scannerCallback);
    }

    @Override // com.realsil.sdk.core.a.a
    public /* bridge */ /* synthetic */ boolean scanDevice(boolean z, boolean z2) {
        return super.scanDevice(z, z2);
    }

    public LegacyScannerPresenter(Context context, Handler handler, ScannerParams scannerParams, ScannerCallback scannerCallback) {
        this.o = new a();
        this.f4134c = context.getApplicationContext();
        this.f4137f = handler;
        this.f4135d = scannerParams;
        this.f4136e = scannerCallback;
        init();
    }
}
