package com.realsil.sdk.core.bluetooth.scanner;

import android.os.Parcel;
import android.os.Parcelable;
import com.realsil.sdk.core.bluetooth.scanner.compat.CompatScanFilter;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes3.dex */
public final class ScannerParams implements Parcelable {
    public static final Parcelable.Creator<ScannerParams> CREATOR = new a();
    public static final int SCAN_MECHANISM_ALL = 0;
    public static final int SCAN_MECHANISM_FILTER_ONE = 1;
    public static final int SCAN_MODE_DUAL = 0;
    public static final int SCAN_MODE_GATT = 17;
    public static final int SCAN_MODE_GATT_STRICT = 18;
    public static final int SCAN_MODE_SPP = 32;
    public static final int SCAN_MODE_SPP_STRICT = 33;

    /* renamed from: a, reason: collision with root package name */
    public int f4267a;

    /* renamed from: b, reason: collision with root package name */
    public int f4268b;

    /* renamed from: c, reason: collision with root package name */
    public String f4269c;

    /* renamed from: d, reason: collision with root package name */
    public boolean f4270d;

    /* renamed from: e, reason: collision with root package name */
    public boolean f4271e;

    /* renamed from: f, reason: collision with root package name */
    public String f4272f;

    /* renamed from: g, reason: collision with root package name */
    public int f4273g;

    /* renamed from: h, reason: collision with root package name */
    public long f4274h;

    /* renamed from: i, reason: collision with root package name */
    public boolean f4275i;

    /* renamed from: j, reason: collision with root package name */
    public long f4276j;
    public boolean k;
    public int l;
    public boolean m;
    public List<CompatScanFilter> n;

    public static class a implements Parcelable.Creator<ScannerParams> {
        @Override // android.os.Parcelable.Creator
        public ScannerParams createFromParcel(Parcel parcel) {
            return new ScannerParams(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public ScannerParams[] newArray(int i2) {
            return new ScannerParams[i2];
        }
    }

    public ScannerParams() {
        this(0);
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public String getAddressFilter() {
        return this.f4272f;
    }

    public long getAutoScanDelay() {
        return this.f4276j;
    }

    public String getNameFilter() {
        return this.f4269c;
    }

    public int getPhy() {
        return this.l;
    }

    public int getRssiFilter() {
        return this.f4273g;
    }

    public List<CompatScanFilter> getScanFilters() {
        return this.n;
    }

    public int getScanMechanism() {
        return this.f4268b;
    }

    public int getScanMode() {
        return this.f4267a;
    }

    public long getScanPeriod() {
        return this.f4274h;
    }

    public boolean isAutoDiscovery() {
        return this.f4275i;
    }

    public boolean isConnectable() {
        return this.m;
    }

    public boolean isNameFuzzyMatchEnable() {
        return this.f4270d;
    }

    public boolean isNameNullable() {
        return this.f4271e;
    }

    public boolean isReusePaiedDeviceEnabled() {
        return this.k;
    }

    public void setAddressFilter(String str) {
        this.f4272f = str;
    }

    public void setAutoDiscovery(boolean z) {
        this.f4275i = z;
    }

    public void setAutoScanDelay(long j2) {
        this.f4276j = j2;
    }

    public void setConnectable(boolean z) {
        this.m = z;
    }

    public void setNameFilter(String str) {
        this.f4269c = str;
    }

    public void setNameFuzzyMatchEnable(boolean z) {
        this.f4270d = z;
    }

    public void setNameNullable(boolean z) {
        this.f4271e = z;
    }

    public void setPhy(int i2) {
        this.l = i2;
    }

    public void setReusePaiedDeviceEnabled(boolean z) {
        this.k = z;
    }

    public void setRssiFilter(int i2) {
        this.f4273g = i2;
    }

    public void setScanFilters(List<CompatScanFilter> list) {
        this.n = list;
    }

    public void setScanMechanism(int i2) {
        this.f4268b = i2;
    }

    public void setScanMode(int i2) {
        this.f4267a = i2;
    }

    public void setScanPeriod(long j2) {
        this.f4274h = j2;
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.f4267a);
        parcel.writeInt(this.f4268b);
        parcel.writeString(this.f4269c);
        parcel.writeByte(this.f4271e ? (byte) 1 : (byte) 0);
        parcel.writeString(this.f4272f);
        parcel.writeInt(this.f4273g);
        parcel.writeLong(this.f4274h);
        parcel.writeByte(this.f4275i ? (byte) 1 : (byte) 0);
        parcel.writeLong(this.f4276j);
        parcel.writeByte(this.k ? (byte) 1 : (byte) 0);
        parcel.writeInt(this.l);
        parcel.writeByte(this.m ? (byte) 1 : (byte) 0);
        parcel.writeTypedList(this.n);
    }

    public ScannerParams(int i2) {
        this.f4267a = 0;
        this.f4268b = 0;
        this.f4270d = false;
        this.f4271e = true;
        this.f4273g = -1000;
        this.f4274h = 10000L;
        this.f4276j = 3000L;
        this.k = true;
        this.l = 255;
        this.m = true;
        this.n = new ArrayList();
        this.f4267a = i2;
        this.f4275i = false;
        this.f4268b = 0;
    }

    public ScannerParams(Parcel parcel) {
        this.f4267a = 0;
        this.f4268b = 0;
        this.f4270d = false;
        this.f4271e = true;
        this.f4273g = -1000;
        this.f4274h = 10000L;
        this.f4276j = 3000L;
        this.k = true;
        this.l = 255;
        this.m = true;
        this.n = new ArrayList();
        this.f4267a = parcel.readInt();
        this.f4268b = parcel.readInt();
        this.f4269c = parcel.readString();
        this.f4271e = parcel.readByte() != 0;
        this.f4272f = parcel.readString();
        this.f4273g = parcel.readInt();
        this.f4274h = parcel.readLong();
        this.f4275i = parcel.readByte() != 0;
        this.f4276j = parcel.readLong();
        this.k = parcel.readByte() != 0;
        this.l = parcel.readInt();
        this.m = parcel.readByte() != 0;
        this.n = parcel.createTypedArrayList(CompatScanFilter.CREATOR);
    }
}
