package com.realsil.sdk.core.bluetooth.scanner;

import android.os.ParcelUuid;
import android.util.SparseArray;
import com.dd.plist.ASCIIPropertyListParser;
import com.realsil.sdk.core.bluetooth.utils.BluetoothUuid;
import com.realsil.sdk.core.utility.DataConverter;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

/* loaded from: classes3.dex */
public final class SpecScanRecord {

    /* renamed from: a, reason: collision with root package name */
    public final int f4277a;

    /* renamed from: b, reason: collision with root package name */
    public final List<ParcelUuid> f4278b;

    /* renamed from: c, reason: collision with root package name */
    public final SparseArray<byte[]> f4279c;

    /* renamed from: d, reason: collision with root package name */
    public final Map<ParcelUuid, byte[]> f4280d;

    /* renamed from: e, reason: collision with root package name */
    public final int f4281e;

    /* renamed from: f, reason: collision with root package name */
    public final String f4282f;

    /* renamed from: g, reason: collision with root package name */
    public final byte[] f4283g;

    public SpecScanRecord(List<ParcelUuid> list, SparseArray<byte[]> sparseArray, Map<ParcelUuid, byte[]> map, int i2, int i3, String str, byte[] bArr) {
        this.f4278b = list;
        this.f4279c = sparseArray;
        this.f4280d = map;
        this.f4282f = str;
        this.f4277a = i2;
        this.f4281e = i3;
        this.f4283g = bArr;
    }

    public static int a(byte[] bArr, int i2, int i3, int i4, List<ParcelUuid> list) {
        while (i3 > 0) {
            list.add(BluetoothUuid.parseUuidFrom(a(bArr, i2, i4)));
            i3 -= i4;
            i2 += i4;
        }
        return i2;
    }

    /* JADX WARN: Removed duplicated region for block: B:46:0x009f  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static com.realsil.sdk.core.bluetooth.scanner.SpecScanRecord parseFromBytes(byte[] r16) {
        /*
            Method dump skipped, instructions count: 234
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.core.bluetooth.scanner.SpecScanRecord.parseFromBytes(byte[]):com.realsil.sdk.core.bluetooth.scanner.SpecScanRecord");
    }

    public int getAdvertiseFlags() {
        return this.f4277a;
    }

    public byte[] getBytes() {
        return this.f4283g;
    }

    public String getDeviceName() {
        return this.f4282f;
    }

    public SparseArray<byte[]> getManufacturerSpecificData() {
        return this.f4279c;
    }

    public Map<ParcelUuid, byte[]> getServiceData() {
        return this.f4280d;
    }

    public List<ParcelUuid> getServiceUuids() {
        return this.f4278b;
    }

    public int getTxPowerLevel() {
        return this.f4281e;
    }

    public String toString() {
        String sb;
        StringBuilder sb2 = new StringBuilder("ScanRecord [mAdvertiseFlags=");
        sb2.append(this.f4277a);
        sb2.append(", mServiceUuids=");
        sb2.append(this.f4278b);
        sb2.append("\n, mManufacturerSpecificData=");
        SparseArray<byte[]> sparseArray = this.f4279c;
        String str = "{}";
        if (sparseArray == null) {
            sb = "null";
        } else if (sparseArray.size() == 0) {
            sb = "{}";
        } else {
            StringBuilder sb3 = new StringBuilder("{");
            for (int i2 = 0; i2 < sparseArray.size(); i2++) {
                byte[] valueAt = sparseArray.valueAt(i2);
                int length = valueAt != null ? valueAt.length : 0;
                sb3.append(sparseArray.keyAt(i2));
                sb3.append("=(");
                sb3.append(length);
                sb3.append(")");
                sb3.append(DataConverter.bytes2HexWithSeparate(valueAt));
            }
            sb3.append(ASCIIPropertyListParser.DICTIONARY_END_TOKEN);
            sb = sb3.toString();
        }
        sb2.append(sb);
        sb2.append(", mServiceData=");
        Map<ParcelUuid, byte[]> map = this.f4280d;
        if (map == null) {
            str = "null";
        } else if (!map.isEmpty()) {
            StringBuilder sb4 = new StringBuilder("{");
            Iterator<Map.Entry<ParcelUuid, byte[]>> it2 = map.entrySet().iterator();
            while (it2.hasNext()) {
                ParcelUuid key = it2.next().getKey();
                byte[] bArr = map.get(key);
                int length2 = bArr != null ? bArr.length : 0;
                sb4.append(key);
                sb4.append("=(");
                sb4.append(length2);
                sb4.append(")");
                sb4.append(DataConverter.bytes2HexWithSeparate(bArr));
                if (it2.hasNext()) {
                    sb4.append(", ");
                }
            }
            sb4.append(ASCIIPropertyListParser.DICTIONARY_END_TOKEN);
            str = sb4.toString();
        }
        sb2.append(str);
        sb2.append(", mTxPowerLevel=");
        sb2.append(this.f4281e);
        sb2.append(", mDeviceName=");
        sb2.append(this.f4282f);
        sb2.append("]");
        return sb2.toString();
    }

    public byte[] getManufacturerSpecificData(int i2) {
        SparseArray<byte[]> sparseArray = this.f4279c;
        if (sparseArray != null) {
            return sparseArray.get(i2);
        }
        return null;
    }

    public byte[] getServiceData(ParcelUuid parcelUuid) {
        if (parcelUuid == null) {
            return null;
        }
        return this.f4280d.get(parcelUuid);
    }

    public static byte[] a(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[i3];
        System.arraycopy(bArr, i2, bArr2, 0, i3);
        return bArr2;
    }
}
