package com.realsil.sdk.core.bluetooth.scanner.compat;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.bluetooth.le.ScanRecord;
import android.bluetooth.le.ScanResult;
import android.os.Parcel;
import android.os.ParcelUuid;
import android.os.Parcelable;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import java.util.Objects;
import java.util.UUID;

/* loaded from: classes3.dex */
public final class CompatScanFilter implements Parcelable {

    /* renamed from: a, reason: collision with root package name */
    public final String f4284a;

    /* renamed from: b, reason: collision with root package name */
    public final String f4285b;

    /* renamed from: c, reason: collision with root package name */
    public final ParcelUuid f4286c;

    /* renamed from: d, reason: collision with root package name */
    public final ParcelUuid f4287d;

    /* renamed from: e, reason: collision with root package name */
    public final ParcelUuid f4288e;

    /* renamed from: f, reason: collision with root package name */
    public final byte[] f4289f;

    /* renamed from: g, reason: collision with root package name */
    public final byte[] f4290g;

    /* renamed from: h, reason: collision with root package name */
    public final int f4291h;

    /* renamed from: i, reason: collision with root package name */
    public final byte[] f4292i;

    /* renamed from: j, reason: collision with root package name */
    public final byte[] f4293j;
    public static final CompatScanFilter EMPTY = new Builder().build();
    public static final Parcelable.Creator<CompatScanFilter> CREATOR = new Parcelable.Creator<CompatScanFilter>() { // from class: com.realsil.sdk.core.bluetooth.scanner.compat.CompatScanFilter.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public CompatScanFilter createFromParcel(Parcel parcel) {
            Builder builder = new Builder();
            if (parcel.readInt() == 1) {
                builder.setDeviceName(parcel.readString());
            }
            if (parcel.readInt() == 1) {
                builder.setDeviceAddress(parcel.readString());
            }
            if (parcel.readInt() == 1) {
                ParcelUuid parcelUuid = (ParcelUuid) parcel.readParcelable(ParcelUuid.class.getClassLoader());
                builder.setServiceUuid(parcelUuid);
                if (parcel.readInt() == 1) {
                    builder.setServiceUuid(parcelUuid, (ParcelUuid) parcel.readParcelable(ParcelUuid.class.getClassLoader()));
                }
            }
            if (parcel.readInt() == 1) {
                ParcelUuid parcelUuid2 = (ParcelUuid) parcel.readParcelable(ParcelUuid.class.getClassLoader());
                if (parcel.readInt() == 1) {
                    byte[] bArr = new byte[parcel.readInt()];
                    parcel.readByteArray(bArr);
                    if (parcel.readInt() == 0) {
                        builder.setServiceData(parcelUuid2, bArr);
                    } else {
                        byte[] bArr2 = new byte[parcel.readInt()];
                        parcel.readByteArray(bArr2);
                        builder.setServiceData(parcelUuid2, bArr, bArr2);
                    }
                }
            }
            int readInt = parcel.readInt();
            if (parcel.readInt() == 1) {
                byte[] bArr3 = new byte[parcel.readInt()];
                parcel.readByteArray(bArr3);
                if (parcel.readInt() == 0) {
                    builder.setManufacturerData(readInt, bArr3);
                } else {
                    byte[] bArr4 = new byte[parcel.readInt()];
                    parcel.readByteArray(bArr4);
                    builder.setManufacturerData(readInt, bArr3, bArr4);
                }
            }
            return builder.build();
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public CompatScanFilter[] newArray(int i2) {
            return new CompatScanFilter[i2];
        }
    };

    public CompatScanFilter(String str, String str2, ParcelUuid parcelUuid, ParcelUuid parcelUuid2, ParcelUuid parcelUuid3, byte[] bArr, byte[] bArr2, int i2, byte[] bArr3, byte[] bArr4) {
        this.f4284a = str;
        this.f4286c = parcelUuid;
        this.f4287d = parcelUuid2;
        this.f4285b = str2;
        this.f4288e = parcelUuid3;
        this.f4289f = bArr;
        this.f4290g = bArr2;
        this.f4291h = i2;
        this.f4292i = bArr3;
        this.f4293j = bArr4;
    }

    public static boolean a(UUID uuid, UUID uuid2, UUID uuid3) {
        if (uuid2 == null) {
            return Objects.equals(uuid3, uuid);
        }
        long leastSignificantBits = uuid3.getLeastSignificantBits();
        long leastSignificantBits2 = uuid.getLeastSignificantBits();
        long leastSignificantBits3 = uuid2.getLeastSignificantBits();
        if ((leastSignificantBits & leastSignificantBits3) == (leastSignificantBits2 & leastSignificantBits3)) {
            long mostSignificantBits = uuid3.getMostSignificantBits();
            long mostSignificantBits2 = uuid.getMostSignificantBits();
            long mostSignificantBits3 = uuid2.getMostSignificantBits();
            if ((mostSignificantBits & mostSignificantBits3) == (mostSignificantBits3 & mostSignificantBits2)) {
                return true;
            }
        }
        return false;
    }

    public static boolean matchesPartialData(byte[] bArr, byte[] bArr2, byte[] bArr3) {
        if (bArr3 == null || bArr3.length < bArr.length) {
            return false;
        }
        if (bArr2 == null) {
            for (int i2 = 0; i2 < bArr.length; i2++) {
                if (bArr3[i2] != bArr[i2]) {
                    return false;
                }
            }
            return true;
        }
        for (int i3 = 0; i3 < bArr.length; i3++) {
            byte b2 = bArr2[i3];
            if ((bArr3[i3] & b2) != (b2 & bArr[i3])) {
                return false;
            }
        }
        return true;
    }

    public static boolean matchesServiceUuids(ParcelUuid parcelUuid, ParcelUuid parcelUuid2, List<ParcelUuid> list) {
        if (parcelUuid == null) {
            return true;
        }
        if (list == null) {
            return false;
        }
        Iterator<ParcelUuid> it2 = list.iterator();
        while (it2.hasNext()) {
            if (a(parcelUuid.getUuid(), parcelUuid2 == null ? null : parcelUuid2.getUuid(), it2.next().getUuid())) {
                return true;
            }
        }
        return false;
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || CompatScanFilter.class != obj.getClass()) {
            return false;
        }
        CompatScanFilter compatScanFilter = (CompatScanFilter) obj;
        return Objects.equals(this.f4284a, compatScanFilter.f4284a) && Objects.equals(this.f4285b, compatScanFilter.f4285b) && this.f4291h == compatScanFilter.f4291h && Objects.deepEquals(this.f4292i, compatScanFilter.f4292i) && Objects.deepEquals(this.f4293j, compatScanFilter.f4293j) && Objects.equals(this.f4288e, compatScanFilter.f4288e) && Objects.deepEquals(this.f4289f, compatScanFilter.f4289f) && Objects.deepEquals(this.f4290g, compatScanFilter.f4290g) && Objects.equals(this.f4286c, compatScanFilter.f4286c) && Objects.equals(this.f4287d, compatScanFilter.f4287d);
    }

    public String getDeviceAddress() {
        return this.f4285b;
    }

    public String getDeviceName() {
        return this.f4284a;
    }

    public byte[] getManufacturerData() {
        return this.f4292i;
    }

    public byte[] getManufacturerDataMask() {
        return this.f4293j;
    }

    public int getManufacturerId() {
        return this.f4291h;
    }

    public byte[] getServiceData() {
        return this.f4289f;
    }

    public byte[] getServiceDataMask() {
        return this.f4290g;
    }

    public ParcelUuid getServiceDataUuid() {
        return this.f4288e;
    }

    public ParcelUuid getServiceUuid() {
        return this.f4286c;
    }

    public ParcelUuid getServiceUuidMask() {
        return this.f4287d;
    }

    public int hashCode() {
        return Objects.hash(this.f4284a, this.f4285b, Integer.valueOf(this.f4291h), Integer.valueOf(Arrays.hashCode(this.f4292i)), Integer.valueOf(Arrays.hashCode(this.f4293j)), this.f4288e, Integer.valueOf(Arrays.hashCode(this.f4289f)), Integer.valueOf(Arrays.hashCode(this.f4290g)), this.f4286c, this.f4287d);
    }

    public boolean isAllFieldsEmpty() {
        return EMPTY.equals(this);
    }

    public boolean matches(ScanResult scanResult) {
        if (scanResult == null) {
            return false;
        }
        BluetoothDevice device = scanResult.getDevice();
        String str = this.f4285b;
        if (str != null && (device == null || !str.equals(device.getAddress()))) {
            return false;
        }
        ScanRecord scanRecord = scanResult.getScanRecord();
        if (scanRecord == null && (this.f4284a != null || this.f4286c != null || this.f4292i != null || this.f4289f != null)) {
            return false;
        }
        String str2 = this.f4284a;
        if (str2 != null && !str2.equals(scanRecord.getDeviceName())) {
            return false;
        }
        ParcelUuid parcelUuid = this.f4286c;
        if (parcelUuid != null && !matchesServiceUuids(parcelUuid, this.f4287d, scanRecord.getServiceUuids())) {
            return false;
        }
        ParcelUuid parcelUuid2 = this.f4288e;
        if (parcelUuid2 != null && !matchesPartialData(this.f4289f, this.f4290g, scanRecord.getServiceData(parcelUuid2))) {
            return false;
        }
        int i2 = this.f4291h;
        return i2 < 0 || matchesPartialData(this.f4292i, this.f4293j, scanRecord.getManufacturerSpecificData(i2));
    }

    public String toString() {
        return "BluetoothLeScanFilter [mDeviceName=" + this.f4284a + ", mDeviceAddress=" + this.f4285b + ", mUuid=" + this.f4286c + ", mUuidMask=" + this.f4287d + ", mServiceDataUuid=" + Objects.toString(this.f4288e) + ", mServiceData=" + Arrays.toString(this.f4289f) + ", mServiceDataMask=" + Arrays.toString(this.f4290g) + ", mManufacturerId=" + this.f4291h + ", mManufacturerData=" + Arrays.toString(this.f4292i) + ", mManufacturerDataMask=" + Arrays.toString(this.f4293j) + "]";
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.f4284a == null ? 0 : 1);
        String str = this.f4284a;
        if (str != null) {
            parcel.writeString(str);
        }
        parcel.writeInt(this.f4285b == null ? 0 : 1);
        String str2 = this.f4285b;
        if (str2 != null) {
            parcel.writeString(str2);
        }
        parcel.writeInt(this.f4286c == null ? 0 : 1);
        ParcelUuid parcelUuid = this.f4286c;
        if (parcelUuid != null) {
            parcel.writeParcelable(parcelUuid, i2);
            parcel.writeInt(this.f4287d == null ? 0 : 1);
            ParcelUuid parcelUuid2 = this.f4287d;
            if (parcelUuid2 != null) {
                parcel.writeParcelable(parcelUuid2, i2);
            }
        }
        parcel.writeInt(this.f4288e == null ? 0 : 1);
        ParcelUuid parcelUuid3 = this.f4288e;
        if (parcelUuid3 != null) {
            parcel.writeParcelable(parcelUuid3, i2);
            parcel.writeInt(this.f4289f == null ? 0 : 1);
            byte[] bArr = this.f4289f;
            if (bArr != null) {
                parcel.writeInt(bArr.length);
                parcel.writeByteArray(this.f4289f);
                parcel.writeInt(this.f4290g == null ? 0 : 1);
                byte[] bArr2 = this.f4290g;
                if (bArr2 != null) {
                    parcel.writeInt(bArr2.length);
                    parcel.writeByteArray(this.f4290g);
                }
            }
        }
        parcel.writeInt(this.f4291h);
        parcel.writeInt(this.f4292i == null ? 0 : 1);
        byte[] bArr3 = this.f4292i;
        if (bArr3 != null) {
            parcel.writeInt(bArr3.length);
            parcel.writeByteArray(this.f4292i);
            parcel.writeInt(this.f4293j != null ? 1 : 0);
            byte[] bArr4 = this.f4293j;
            if (bArr4 != null) {
                parcel.writeInt(bArr4.length);
                parcel.writeByteArray(this.f4293j);
            }
        }
    }

    public static final class Builder {

        /* renamed from: a, reason: collision with root package name */
        public String f4294a;

        /* renamed from: b, reason: collision with root package name */
        public String f4295b;

        /* renamed from: c, reason: collision with root package name */
        public ParcelUuid f4296c;

        /* renamed from: d, reason: collision with root package name */
        public ParcelUuid f4297d;

        /* renamed from: e, reason: collision with root package name */
        public ParcelUuid f4298e;

        /* renamed from: f, reason: collision with root package name */
        public byte[] f4299f;

        /* renamed from: g, reason: collision with root package name */
        public byte[] f4300g;

        /* renamed from: h, reason: collision with root package name */
        public int f4301h = -1;

        /* renamed from: i, reason: collision with root package name */
        public byte[] f4302i;

        /* renamed from: j, reason: collision with root package name */
        public byte[] f4303j;

        public CompatScanFilter build() {
            return new CompatScanFilter(this.f4294a, this.f4295b, this.f4296c, this.f4297d, this.f4298e, this.f4299f, this.f4300g, this.f4301h, this.f4302i, this.f4303j);
        }

        public Builder setDeviceAddress(String str) {
            if (str == null || BluetoothAdapter.checkBluetoothAddress(str)) {
                this.f4295b = str;
                return this;
            }
            throw new IllegalArgumentException("invalid device address " + str);
        }

        public Builder setDeviceName(String str) {
            this.f4294a = str;
            return this;
        }

        public Builder setManufacturerData(int i2, byte[] bArr) {
            if (bArr != null && i2 < 0) {
                throw new IllegalArgumentException("invalid manufacture id");
            }
            this.f4301h = i2;
            this.f4302i = bArr;
            this.f4303j = null;
            return this;
        }

        public Builder setServiceData(ParcelUuid parcelUuid, byte[] bArr) {
            if (parcelUuid == null) {
                throw new IllegalArgumentException("serviceDataUuid is null");
            }
            this.f4298e = parcelUuid;
            this.f4299f = bArr;
            this.f4300g = null;
            return this;
        }

        public Builder setServiceUuid(ParcelUuid parcelUuid) {
            this.f4296c = parcelUuid;
            this.f4297d = null;
            return this;
        }

        public Builder setServiceUuid(ParcelUuid parcelUuid, ParcelUuid parcelUuid2) {
            if (this.f4297d != null && this.f4296c == null) {
                throw new IllegalArgumentException("uuid is null while uuidMask is not null!");
            }
            this.f4296c = parcelUuid;
            this.f4297d = parcelUuid2;
            return this;
        }

        public Builder setServiceData(ParcelUuid parcelUuid, byte[] bArr, byte[] bArr2) {
            if (parcelUuid != null) {
                byte[] bArr3 = this.f4300g;
                if (bArr3 != null) {
                    byte[] bArr4 = this.f4299f;
                    if (bArr4 != null) {
                        if (bArr4.length != bArr3.length) {
                            throw new IllegalArgumentException("size mismatch for service data and service data mask");
                        }
                    } else {
                        throw new IllegalArgumentException("serviceData is null while serviceDataMask is not null");
                    }
                }
                this.f4298e = parcelUuid;
                this.f4299f = bArr;
                this.f4300g = bArr2;
                return this;
            }
            throw new IllegalArgumentException("serviceDataUuid is null");
        }

        public Builder setManufacturerData(int i2, byte[] bArr, byte[] bArr2) {
            if (bArr != null && i2 < 0) {
                throw new IllegalArgumentException("invalid manufacture id");
            }
            byte[] bArr3 = this.f4303j;
            if (bArr3 != null) {
                byte[] bArr4 = this.f4302i;
                if (bArr4 != null) {
                    if (bArr4.length != bArr3.length) {
                        throw new IllegalArgumentException("size mismatch for manufacturerData and manufacturerDataMask");
                    }
                } else {
                    throw new IllegalArgumentException("manufacturerData is null while manufacturerDataMask is not null");
                }
            }
            this.f4301h = i2;
            this.f4302i = bArr;
            this.f4303j = bArr2;
            return this;
        }
    }
}
