package com.realsil.sdk.core.logger;

import android.content.Context;
import android.os.Environment;
import android.text.TextUtils;
import com.realsil.sdk.core.utility.FileUtils;
import com.yucheng.smarthealthpro.utils.AppDateMgr;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Locale;

/* loaded from: classes3.dex */
public class WriteLog {
    public static final int RETINTION_DAYS_DEF = 7;
    public static final int RETINTION_DAYS_INFINITE = -1;

    /* renamed from: j, reason: collision with root package name */
    public static final String[] f4304j = {"logcat", "-c"};
    public static volatile WriteLog k;

    /* renamed from: b, reason: collision with root package name */
    public String f4306b;

    /* renamed from: e, reason: collision with root package name */
    public int f4309e;

    /* renamed from: f, reason: collision with root package name */
    public String f4310f;

    /* renamed from: g, reason: collision with root package name */
    public String f4311g;

    /* renamed from: h, reason: collision with root package name */
    public Process f4312h;

    /* renamed from: i, reason: collision with root package name */
    public Context f4313i;

    /* renamed from: a, reason: collision with root package name */
    public final SimpleDateFormat f4305a = new SimpleDateFormat(AppDateMgr.DF_YYYY_MM_DD, Locale.US);

    /* renamed from: c, reason: collision with root package name */
    public String f4307c = "/saveLog/";

    /* renamed from: d, reason: collision with root package name */
    public String f4308d = "/sdcard/btsnoop_hci.log";

    public WriteLog(Context context, String str, int i2) {
        this.f4313i = context;
        this.f4306b = str;
        this.f4309e = i2;
        b();
    }

    public static WriteLog getInstance() {
        return k;
    }

    public static synchronized void install(Context context) {
        synchronized (WriteLog.class) {
            k = new WriteLog(context.getApplicationContext(), context.getPackageName(), -1);
        }
    }

    public final void a(List<String> list) {
        try {
            String[] strArr = (String[]) list.toArray(new String[list.size()]);
            Runtime.getRuntime().exec(strArr);
            ZLogger.v("[>_]" + Arrays.toString(strArr));
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
        }
    }

    public final void b() {
        String str;
        String str2;
        InputStreamReader inputStreamReader;
        BufferedReader bufferedReader;
        String readLine;
        StringBuilder sb = new StringBuilder();
        if (Environment.getExternalStorageState().equals("mounted")) {
            str = Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + this.f4306b + "/";
        } else {
            str = "/data/data/" + this.f4313i.getPackageName() + "/" + this.f4306b + "/";
        }
        sb.append(str);
        sb.append("saveLog/");
        this.f4307c = sb.toString();
        try {
            try {
                inputStreamReader = new InputStreamReader(new FileInputStream(new File("/etc/bluetooth/bt_stack.conf")), "UTF-8");
            } catch (UnsupportedEncodingException e2) {
                e2.printStackTrace();
                inputStreamReader = null;
            }
            bufferedReader = new BufferedReader(inputStreamReader);
        } catch (Exception e3) {
            ZLogger.w(e3.getMessage());
        }
        do {
            try {
                readLine = bufferedReader.readLine();
            } catch (IOException e4) {
                ZLogger.w(e4.getMessage());
            }
            if (readLine == null) {
                str2 = "/sdcard/btsnoop_hci.cfa";
                break;
            }
        } while (!readLine.contains("BtSnoopFileName="));
        ZLogger.v("line: " + readLine);
        str2 = readLine.substring(16);
        this.f4308d = str2;
        ZLogger.d(String.format(Locale.US, "mRetionDays=%d, mRootDirName=%s, mSaveLogDir=%s, mHciFilePath==%s", Integer.valueOf(this.f4309e), this.f4306b, this.f4307c, this.f4308d));
        a();
    }

    public boolean deleteLog() {
        try {
            return new File(this.f4310f).delete();
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
            return false;
        }
    }

    public void restartLog() {
        restartLog(false);
    }

    public void saveHciLog() {
        a();
        if (TextUtils.isEmpty(this.f4308d)) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add("cp");
        arrayList.add(this.f4308d);
        arrayList.add(this.f4311g);
        a(arrayList);
    }

    public void saveHciLogByTime() {
        a();
        if (TextUtils.isEmpty(this.f4308d)) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add("cp");
        arrayList.add(this.f4308d);
        arrayList.add(this.f4307c + new SimpleDateFormat("yyyy-MM-dd_HH-mm-ss", Locale.US).format(new Date()) + ".cfa");
        a(arrayList);
    }

    public void setRetentionDays(int i2) {
        this.f4309e = i2;
    }

    public void startLog() {
        a();
        String format = new SimpleDateFormat("yyyy-MM-dd_HH-mm-ss", Locale.US).format(new Date());
        this.f4310f = this.f4307c + format + ".logcat";
        this.f4311g = this.f4307c + format + "_btsnoop.cfa";
        try {
            StringBuilder sb = new StringBuilder("[>_]");
            String[] strArr = f4304j;
            sb.append(Arrays.toString(strArr));
            ZLogger.v(sb.toString());
            Runtime.getRuntime().exec(strArr).destroy();
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add("logcat");
        arrayList.add("-f");
        arrayList.add(this.f4310f);
        arrayList.add("-v");
        arrayList.add("time");
        try {
            String[] strArr2 = (String[]) arrayList.toArray(new String[arrayList.size()]);
            ZLogger.v("[>_]" + Arrays.toString(strArr2));
            this.f4312h = Runtime.getRuntime().exec(strArr2);
        } catch (Exception e3) {
            ZLogger.e(e3.toString());
        }
        if (this.f4309e <= -1) {
            ZLogger.d("mRetentionDays=： " + this.f4309e);
            return;
        }
        Calendar calendar = Calendar.getInstance();
        calendar.add(5, 0 - this.f4309e);
        calendar.set(10, 0);
        calendar.set(12, 0);
        calendar.set(13, 0);
        File file = new File(this.f4307c);
        if (!file.exists()) {
            ZLogger.d(String.format("%s not exist", file.getAbsolutePath()));
            return;
        }
        if (!file.isDirectory()) {
            ZLogger.d(String.format("%s is not a directory.", file.getAbsolutePath()));
            return;
        }
        File[] listFiles = file.listFiles();
        if (listFiles == null || listFiles.length <= 0) {
            ZLogger.d("empty log dir: " + this.f4307c);
            return;
        }
        for (File file2 : listFiles) {
            if (!file2.isDirectory()) {
                String name = file2.getName();
                String suffix = FileUtils.getSuffix(file2);
                if (!TextUtils.isEmpty(name) && name.length() >= 10 && !TextUtils.isEmpty(suffix) && ("logcat".equals(suffix) || "cfa".equals(suffix))) {
                    try {
                        if (this.f4305a.parse(name.substring(0, 10)).before(calendar.getTime())) {
                            file2.delete();
                        }
                    } catch (ParseException e4) {
                        file2.delete();
                        ZLogger.e(e4.toString());
                    }
                }
            }
        }
    }

    public void stopLog() {
        Process process = this.f4312h;
        if (process != null) {
            process.destroy();
        }
    }

    public static synchronized void install(Context context, String str) {
        synchronized (WriteLog.class) {
            k = new WriteLog(context.getApplicationContext(), str, -1);
        }
    }

    public void restartLog(boolean z) {
        stopLog();
        if (z) {
            deleteLog();
        }
        startLog();
    }

    public static synchronized void install(Context context, String str, int i2) {
        synchronized (WriteLog.class) {
            k = new WriteLog(context.getApplicationContext(), str, i2);
        }
    }

    public final boolean a() {
        File file = new File(this.f4307c);
        if (file.isDirectory()) {
            return false;
        }
        boolean mkdirs = file.mkdirs();
        ZLogger.v(String.format("mkdirs: %s, %b", this.f4307c, Boolean.valueOf(mkdirs)));
        return mkdirs;
    }
}
