package com.realsil.sdk.core.preference;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.PowerManager;
import android.preference.PreferenceManager;
import com.realsil.sdk.core.logger.ZLogger;

/* loaded from: classes3.dex */
public abstract class BaseSharedPrefes {

    /* renamed from: c, reason: collision with root package name */
    public static PowerManager.WakeLock f4316c;

    /* renamed from: a, reason: collision with root package name */
    public Context f4317a;

    /* renamed from: b, reason: collision with root package name */
    public SharedPreferences f4318b;

    public BaseSharedPrefes(Context context) {
        this.f4317a = context;
        this.f4318b = PreferenceManager.getDefaultSharedPreferences(context);
    }

    public final SharedPreferences.Editor a() {
        if (this.f4318b == null) {
            this.f4318b = PreferenceManager.getDefaultSharedPreferences(this.f4317a);
        }
        return this.f4318b.edit();
    }

    public void acquireWakeLock() {
        if (f4316c == null) {
            ZLogger.v(this.f4317a.getClass().getCanonicalName());
            PowerManager powerManager = (PowerManager) this.f4317a.getSystemService("power");
            if (powerManager != null) {
                PowerManager.WakeLock newWakeLock = powerManager.newWakeLock(6, this.f4317a.getClass().getCanonicalName());
                f4316c = newWakeLock;
                newWakeLock.acquire();
            }
        }
    }

    public void clear() {
        SharedPreferences.Editor a2 = a();
        a2.clear();
        a2.apply();
    }

    public boolean contains(String str) {
        SharedPreferences sharedPreferences = this.f4318b;
        return sharedPreferences != null && sharedPreferences.contains(str);
    }

    public boolean getBoolean(String str, boolean z) {
        SharedPreferences sharedPreferences = this.f4318b;
        return sharedPreferences == null ? z : sharedPreferences.getBoolean(str, z);
    }

    public int getInt(String str, int i2) {
        SharedPreferences sharedPreferences = this.f4318b;
        return sharedPreferences == null ? i2 : sharedPreferences.getInt(str, i2);
    }

    public Long getLong(String str, Long l) {
        SharedPreferences sharedPreferences = this.f4318b;
        return sharedPreferences == null ? l : Long.valueOf(sharedPreferences.getLong(str, l.longValue()));
    }

    public SharedPreferences getSharedPreferences() {
        return this.f4318b;
    }

    public String getString(String str, String str2) {
        SharedPreferences sharedPreferences = this.f4318b;
        return sharedPreferences == null ? str2 : sharedPreferences.getString(str, str2);
    }

    public void releaseWakeLock() {
        PowerManager.WakeLock wakeLock = f4316c;
        if (wakeLock == null || !wakeLock.isHeld()) {
            return;
        }
        f4316c.release();
        f4316c = null;
    }

    public void set(String str, boolean z) {
        SharedPreferences.Editor a2 = a();
        a2.putBoolean(str, z);
        a2.apply();
    }

    public BaseSharedPrefes(Context context, String str) {
        this.f4317a = context;
        this.f4318b = context.getSharedPreferences(str, 0);
    }

    public void set(String str, String str2) {
        SharedPreferences.Editor a2 = a();
        a2.putString(str, str2);
        a2.apply();
    }

    public void set(String str, int i2) {
        SharedPreferences.Editor a2 = a();
        a2.putInt(str, i2);
        a2.commit();
    }

    public void set(String str, long j2) {
        SharedPreferences.Editor a2 = a();
        a2.putLong(str, j2);
        a2.apply();
    }
}
