package com.realsil.sdk.dfu.d;

import android.content.Context;
import androidx.core.view.MotionEventCompat;
import androidx.core.view.ViewCompat;
import com.google.firebase.crashlytics.buildtools.reloc.com.google.common.base.Ascii;
import com.realsil.sdk.core.RtkCore;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.exception.LoadFileException;
import com.realsil.sdk.dfu.image.LoadParams;
import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;

/* loaded from: classes3.dex */
public class b extends BufferedInputStream {

    /* renamed from: f, reason: collision with root package name */
    public static boolean f4344f = RtkCore.VDBG;

    /* renamed from: a, reason: collision with root package name */
    public int f4345a;

    /* renamed from: b, reason: collision with root package name */
    public int f4346b;

    /* renamed from: c, reason: collision with root package name */
    public int f4347c;

    /* renamed from: d, reason: collision with root package name */
    public ArrayList<a> f4348d;

    /* renamed from: e, reason: collision with root package name */
    public String f4349e;

    public b(String str, InputStream inputStream) throws IOException {
        super(inputStream);
        if (available() < 12) {
            throw new IOException("The input file size is less to 12, please check!");
        }
        this.f4349e = str;
    }

    public static b a(LoadParams loadParams) {
        InputStream inputStream;
        b bVar = null;
        if (loadParams == null) {
            return null;
        }
        if (loadParams.c() == 1) {
            Context a2 = loadParams.a();
            if (a2 == null) {
                ZLogger.d("please set the context first.");
                return null;
            }
            try {
                inputStream = a2.getAssets().open(loadParams.d());
            } catch (IOException e2) {
                ZLogger.w(e2.toString());
                return null;
            }
        } else {
            try {
                inputStream = new BufferedInputStream(new FileInputStream(loadParams.d()));
            } catch (FileNotFoundException e3) {
                ZLogger.w(e3.toString());
                inputStream = null;
            }
        }
        if (inputStream == null) {
            return null;
        }
        try {
            b bVar2 = new b(loadParams.d(), inputStream);
            if (bVar2.a()) {
                bVar = bVar2;
            } else {
                bVar2.close();
            }
            try {
                inputStream.close();
            } catch (IOException e4) {
                e4.printStackTrace();
            }
            return bVar;
        } catch (IOException e5) {
            ZLogger.v(e5.toString());
            return null;
        }
    }

    public static com.realsil.sdk.dfu.e.a b(LoadParams loadParams) throws LoadFileException {
        com.realsil.sdk.dfu.e.a a2;
        Context a3 = loadParams.a();
        String d2 = loadParams.d();
        b a4 = a(loadParams);
        if (a4 == null) {
            ZLogger.v(f4344f, "multiPackManager == null");
            try {
                a2 = com.realsil.sdk.dfu.e.a.a(a3, d2, a3.getAssets().open(d2), 0L);
                if (a2 != null) {
                    if (!loadParams.o()) {
                        ZLogger.w("not support pack file.");
                        throw new LoadFileException("not support pack file.", 4107);
                    }
                } else if (!loadParams.q()) {
                    ZLogger.w("not support single file.");
                    throw new LoadFileException("not support single file.", 4108);
                }
            } catch (IOException e2) {
                ZLogger.e(e2.toString());
                e2.printStackTrace();
                return null;
            }
        } else {
            if (!loadParams.l()) {
                ZLogger.w("not support combine pack file.");
                throw new LoadFileException("not support combine pack file.", 4103);
            }
            int g2 = loadParams.g();
            ZLogger.v(a4.toString());
            a a5 = a4.a(g2);
            if (a5 == null) {
                ZLogger.w("no bud item exist, preferredBudRole=" + g2);
                throw new LoadFileException("no combine bud item exist.", 4105);
            }
            ZLogger.v(a5.toString());
            a2 = com.realsil.sdk.dfu.e.a.a(a3, d2, a5.a(a3), a5.d());
            if (a2 == null) {
                ZLogger.w("sub combined file must be a pack file, preferredBudRole=" + g2);
                throw new LoadFileException("sub combined file must be a pack file.", 4106);
            }
        }
        return a2;
    }

    public static com.realsil.sdk.dfu.e.a c(LoadParams loadParams) throws LoadFileException {
        com.realsil.sdk.dfu.e.a a2;
        loadParams.f();
        String d2 = loadParams.d();
        b a3 = a(loadParams);
        if (a3 == null) {
            ZLogger.v(f4344f, "multiPackManager == null");
            a2 = com.realsil.sdk.dfu.e.a.a(d2);
            if (a2 != null) {
                if (!loadParams.o()) {
                    ZLogger.w("not support pack file.");
                    throw new LoadFileException("not support pack file.", 4107);
                }
                ZLogger.v(f4344f, a2.toString());
            } else if (!loadParams.q()) {
                ZLogger.w("not support single file.");
                throw new LoadFileException("not support single file.", 4108);
            }
        } else {
            if (!loadParams.l()) {
                ZLogger.w("not support combine pack file.");
                throw new LoadFileException("not support combine pack file.", 4103);
            }
            int g2 = loadParams.g();
            ZLogger.v(f4344f, a3.toString());
            a a4 = a3.a(g2);
            if (a4 == null) {
                ZLogger.w("no bud item exist, preferredBudRole=" + g2);
                throw new LoadFileException("no combine bud item exist.", 4105);
            }
            ZLogger.v(f4344f, a4.toString());
            a2 = com.realsil.sdk.dfu.e.a.a(d2, a4.d(), a4.b());
            if (a2 == null) {
                ZLogger.w("sub combined file must be a pack file, preferredBudRole=" + g2);
                throw new LoadFileException("sub combined file must be a pack file.", 4106);
            }
            ZLogger.v(f4344f, a2.toString());
        }
        return a2;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("Multi-pack: signature=" + String.format("0x%04X", Integer.valueOf(this.f4345a)) + ", version=" + String.format(Locale.US, "0x%08x(%d)", Integer.valueOf(this.f4346b), Integer.valueOf(this.f4346b)) + ", num=" + String.format("0x%04x", Integer.valueOf(this.f4347c)));
        ArrayList<a> arrayList = this.f4348d;
        if (arrayList != null && arrayList.size() > 0) {
            Iterator<a> it2 = this.f4348d.iterator();
            while (it2.hasNext()) {
                sb.append("\n" + it2.next().toString());
            }
        }
        return sb.toString();
    }

    public final boolean a() throws IOException {
        byte[] bArr = new byte[12];
        read(bArr, 0, 12);
        int i2 = ((bArr[3] << Ascii.CAN) & ViewCompat.MEASURED_STATE_MASK) | ((bArr[2] << 16) & 16711680) | ((bArr[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (bArr[0] & 255);
        this.f4345a = i2;
        if (i2 != -1768442424) {
            ZLogger.v(f4344f, String.format("invalid multi-pack signature(0x%08X) ", Integer.valueOf(i2)));
            return false;
        }
        this.f4346b = ((bArr[7] << Ascii.CAN) & ViewCompat.MEASURED_STATE_MASK) | ((bArr[6] << 16) & 16711680) | ((bArr[5] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (bArr[4] & 255);
        this.f4347c = (bArr[8] & 255) | ((bArr[11] << Ascii.CAN) & ViewCompat.MEASURED_STATE_MASK) | ((bArr[10] << 16) & 16711680) | ((bArr[9] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK);
        this.f4348d = new ArrayList<>();
        int i3 = (this.f4347c * 8) + 12;
        byte[] bArr2 = new byte[8];
        for (int i4 = 0; i4 < this.f4347c; i4++) {
            read(bArr2, 0, 8);
            a a2 = a.a(this.f4349e, i3, bArr2);
            this.f4348d.add(a2);
            i3 += a2.c();
        }
        return true;
    }

    public a a(int i2) {
        ArrayList<a> arrayList = this.f4348d;
        if (arrayList == null || arrayList.size() <= 0) {
            return null;
        }
        Iterator<a> it2 = this.f4348d.iterator();
        while (it2.hasNext()) {
            a next = it2.next();
            if (next.a() == i2) {
                return next;
            }
        }
        return null;
    }
}
