package com.realsil.sdk.dfu.i;

import android.content.Context;
import android.content.res.AssetManager;
import android.text.TextUtils;
import androidx.core.app.FrameMetricsAggregator;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.FileUtils;
import com.realsil.sdk.dfu.RtkDfu;
import com.realsil.sdk.dfu.exception.LoadFileException;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.image.wrapper.BinImageWrapper;
import com.realsil.sdk.dfu.model.BinInfo;
import com.realsil.sdk.dfu.utils.DfuUtils;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Locale;

/* loaded from: classes3.dex */
public class a {
    public static final int COMPARE_VERSION_EQUAL = 0;
    public static final int COMPARE_VERSION_HIGH = 1;
    public static final int COMPARE_VERSION_LOW = -1;
    public static final int ERR_EQUAL_VERSION = 0;
    public static final int ERR_IMAGE_NOT_DEFINED = 3;
    public static final int ERR_LOW_VERSION = -1;
    public static final int ERR_SECTION_SIZE_EXCEED_LIMIT = 2;
    public static final int ERR_SUCCESS = 1;
    public static final String FILE_SUFFIX = "BIN";

    /* renamed from: a, reason: collision with root package name */
    public static boolean f4368a = true;

    /* renamed from: b, reason: collision with root package name */
    public static boolean f4369b = RtkDfu.VDBG;

    public static int a(int i2, int i3, int i4) {
        if (i3 <= 0) {
            return i2;
        }
        if (i4 == 1) {
            return (i2 >> 24) & 255;
        }
        if (i4 == 515) {
            return (i2 & 255) | ((i2 >> 8) & 255);
        }
        if (i4 == 2) {
            return i2 & 255;
        }
        if (i4 == 3) {
            return (i2 >> 27) & 31;
        }
        if (i4 == 5) {
            return (i2 >> 21) & 2047;
        }
        if (i4 == 4 || i4 == 7 || i4 != 514) {
            return i2;
        }
        return (i2 & 255) | ((i2 >> 8) & 255);
    }

    public static BinInfo a(String str, String str2) throws LoadFileException {
        if (TextUtils.isEmpty(str)) {
            throw new LoadFileException("invalid path: ", 4098);
        }
        String suffix = FileUtils.getSuffix(str);
        if (suffix == null || !suffix.equalsIgnoreCase(str2)) {
            ZLogger.w("invalid suffix: " + suffix);
            throw new LoadFileException("invalid suffix", 4099);
        }
        File file = new File(str);
        if (!file.exists()) {
            throw new LoadFileException("image file not exist", 4100);
        }
        BinInfo binInfo = new BinInfo();
        binInfo.path = file.getPath();
        binInfo.fileName = file.getName();
        binInfo.fileSize = file.length();
        return binInfo;
    }

    public static boolean a(int i2, int i3) {
        return i3 <= 3 ? i2 <= 3 : (i3 == 4 || i3 == 8 || i3 == 6) ? i2 == 4 || i2 == 8 || i2 == 6 : i3 == i2;
    }

    public static int b(int i2, int i3) {
        if (i2 > i3) {
            return 1;
        }
        return i2 == i3 ? 0 : -1;
    }

    public static BinInfo b(String str, String str2) throws LoadFileException {
        if (TextUtils.isEmpty(str)) {
            throw new LoadFileException("invalid path", 4098);
        }
        String suffix = FileUtils.getSuffix(str);
        if (suffix == null || !suffix.equalsIgnoreCase(str2)) {
            ZLogger.w("the file suffix is not right, suffix=" + suffix);
            throw new LoadFileException("invalid suffix", 4099);
        }
        BinInfo binInfo = new BinInfo();
        binInfo.path = str;
        binInfo.fileName = DfuUtils.getAssetsFileName(str);
        return binInfo;
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARN: Code restructure failed: missing block: B:102:0x023f, code lost:
    
        if (r11 != 21) goto L120;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x00d3, code lost:
    
        if (r11 != 21) goto L120;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static int checkPackImageVersion(int r11, com.realsil.sdk.dfu.image.stream.BaseBinInputStream r12, com.realsil.sdk.dfu.model.OtaDeviceInfo r13) {
        /*
            Method dump skipped, instructions count: 736
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.i.a.checkPackImageVersion(int, com.realsil.sdk.dfu.image.stream.BaseBinInputStream, com.realsil.sdk.dfu.model.OtaDeviceInfo):int");
    }

    /* JADX WARN: Code restructure failed: missing block: B:45:0x0052, code lost:
    
        if (r6.versionCheckEnabled != false) goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:55:0x006d, code lost:
    
        if (r6.versionCheckEnabled != false) goto L36;
     */
    /* JADX WARN: Removed duplicated region for block: B:20:0x0073  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static int checkSingleImageVersion(com.realsil.sdk.dfu.image.stream.BaseBinInputStream r16, com.realsil.sdk.dfu.model.OtaDeviceInfo r17) {
        /*
            Method dump skipped, instructions count: 418
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.i.a.checkSingleImageVersion(com.realsil.sdk.dfu.image.stream.BaseBinInputStream, com.realsil.sdk.dfu.model.OtaDeviceInfo):int");
    }

    public static int compareVersion(int i2, int i3, int i4, int i5, int i6) {
        ZLogger.v(String.format(Locale.US, "checkVersion: version1=%08X(%d) %s, version2=%08X(%d) %s", Integer.valueOf(i2), Integer.valueOf(i2), DfuUtils.convertVersion2Str(i3, i2, i6), Integer.valueOf(i4), Integer.valueOf(i4), DfuUtils.convertVersion2Str(i5, i4, i6)));
        if (i3 <= 0) {
            return b(i2, a(i4, i5, i6));
        }
        if (i5 <= 0) {
            return b(a(i2, i3, i6), i4);
        }
        if (i6 == 1) {
            int i7 = i2 & 255;
            int i8 = i4 & 255;
            if (i7 > i8) {
                return 1;
            }
            if (i7 == i8) {
                int i9 = (i2 >> 8) & 255;
                int i10 = (i4 >> 8) & 255;
                if (i9 > i10) {
                    return 1;
                }
                if (i9 == i10) {
                    int i11 = (i2 >> 16) & 255;
                    int i12 = (i4 >> 16) & 255;
                    if (i11 > i12) {
                        return 1;
                    }
                    if (i11 == i12) {
                        return b((i2 >> 24) & 255, (i4 >> 24) & 255);
                    }
                }
            }
            return -1;
        }
        if (i6 == 515) {
            int i13 = (i2 >> 8) & 255;
            int i14 = (i4 >> 8) & 255;
            if (i13 > i14) {
                return 1;
            }
            if (i13 == i14) {
                int i15 = (i2 >> 0) & 255;
                int i16 = (i4 >> 0) & 255;
                if (i15 > i16) {
                    return 1;
                }
                if (i15 == i16) {
                    return 0;
                }
            }
            return -1;
        }
        if (i6 == 2) {
            int i17 = (i2 >> 24) & 255;
            int i18 = (i4 >> 24) & 255;
            if (i17 > i18) {
                return 1;
            }
            if (i17 == i18) {
                int i19 = (i2 >> 16) & 255;
                int i20 = (i4 >> 16) & 255;
                if (i19 > i20) {
                    return 1;
                }
                if (i19 == i20) {
                    int i21 = (i2 >> 8) & 255;
                    int i22 = (i4 >> 8) & 255;
                    if (i21 > i22) {
                        return 1;
                    }
                    if (i21 == i22) {
                        return b(i2 & 255, i4 & 255);
                    }
                }
            }
            return -1;
        }
        if (i6 == 3) {
            int i23 = i2 & 15;
            int i24 = i4 & 15;
            if (i23 > i24) {
                return 1;
            }
            if (i23 == i24) {
                int i25 = (i2 >> 4) & 255;
                int i26 = (i4 >> 4) & 255;
                if (i25 > i26) {
                    return 1;
                }
                if (i25 == i26) {
                    int i27 = (i2 >> 12) & 32767;
                    int i28 = (i4 >> 12) & 32767;
                    if (i27 > i28) {
                        return 1;
                    }
                    if (i27 == i28) {
                        return b((i2 >> 27) & 31, (i4 >> 27) & 31);
                    }
                }
            }
            return -1;
        }
        if (i6 == 5) {
            int i29 = i2 & 15;
            int i30 = i4 & 15;
            if (i29 > i30) {
                return 1;
            }
            if (i29 == i30) {
                int i31 = (i2 >> 4) & 255;
                int i32 = (i4 >> 4) & 255;
                if (i31 > i32) {
                    return 1;
                }
                if (i31 == i32) {
                    int i33 = (i2 >> 12) & FrameMetricsAggregator.EVERY_DURATION;
                    int i34 = (i4 >> 12) & FrameMetricsAggregator.EVERY_DURATION;
                    if (i33 > i34) {
                        return 1;
                    }
                    if (i33 == i34) {
                        return b((i2 >> 21) & 32767, (i4 >> 21) & 32767);
                    }
                }
            }
            return -1;
        }
        if (i6 == 4) {
            return b(i2, i4);
        }
        if (i6 == 7) {
            return b(i2, i4);
        }
        if (i6 != 514) {
            return b(i2, i4);
        }
        int i35 = (i2 >> 8) & 255;
        int i36 = (i4 >> 8) & 255;
        if (i35 > i36) {
            return 1;
        }
        if (i35 == i36) {
            int i37 = (i2 >> 0) & 255;
            int i38 = (i4 >> 0) & 255;
            if (i37 > i38) {
                return 1;
            }
            if (i37 == i38) {
                int i39 = (i2 >> 24) & 255;
                int i40 = (i4 >> 24) & 255;
                if (i39 > i40) {
                    return 1;
                }
                if (i39 == i40) {
                    int i41 = (i2 >> 16) & 255;
                    int i42 = (i4 >> 16) & 255;
                    if (i41 > i42) {
                        return 1;
                    }
                    if (i41 == i42) {
                        return 0;
                    }
                }
            }
        }
        return -1;
    }

    public static int compareVersion2(int i2, int i3, int i4, int i5, int i6) {
        ZLogger.v(String.format(Locale.US, "checkVersion: version1=%08X(%d) %s, version2=%08X(%d) %s", Integer.valueOf(i2), Integer.valueOf(i2), DfuUtils.convertVersion2Str(i3, i2, i6), Integer.valueOf(i4), Integer.valueOf(i4), DfuUtils.convertVersion2Str(i5, i4, i6)));
        return new BinImageWrapper.Builder().setOtaVersion(i3).setImageVersion(i2).versionFormat(i6).build().compare(new BinImageWrapper.Builder().setOtaVersion(i5).setImageVersion(i4).versionFormat(i6).build());
    }

    public static BaseBinInputStream openAssetsInputStream(Context context, int i2, String str, long j2) throws IOException {
        ZLogger.v(f4369b, String.format(Locale.US, "fileName=%s, icType=%d", str, Integer.valueOf(i2)));
        AssetManager assets = context.getAssets();
        if (assets == null) {
            ZLogger.w("assetManager is null");
            return null;
        }
        InputStream open = assets.open(str);
        if (open != null) {
            return a(i2, open, j2);
        }
        ZLogger.d("open asset file failed");
        return null;
    }

    public static BaseBinInputStream openFileInputStream(int i2, String str, long j2) throws IOException {
        return a(i2, new FileInputStream(str), j2);
    }

    public static int wrapperBitNumber(int i2, int i3, int i4) {
        int i5 = (i3 >> (i2 * 2)) & 3;
        if (i5 == 0) {
            if (i4 != 2) {
                return i2;
            }
        } else if (i5 != 1) {
            return i2;
        }
        return i2 + 16;
    }

    public static BaseBinInputStream a(int i2, InputStream inputStream, long j2) throws IOException {
        if (f4369b) {
            ZLogger.v(String.format(Locale.US, "icType=0x%02X, skipOffset=%d", Integer.valueOf(i2), Long.valueOf(j2)));
        }
        inputStream.skip(j2);
        if (i2 <= 3) {
            return new com.realsil.sdk.dfu.g.b(inputStream);
        }
        if (i2 == 4 || i2 == 6 || i2 == 7 || i2 == 8 || i2 == 10 || i2 == 11) {
            return new com.realsil.sdk.dfu.g.a(inputStream);
        }
        if (i2 == 5 || i2 == 9 || i2 == 12) {
            return new com.realsil.sdk.dfu.g.c(inputStream);
        }
        ZLogger.d(String.format("not support icType=0x%02X", Integer.valueOf(i2)));
        return null;
    }
}
