package com.realsil.sdk.dfu.image;

import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.exception.LoadFileException;
import com.realsil.sdk.dfu.i.a;
import com.realsil.sdk.dfu.i.c;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.m.b;
import com.realsil.sdk.dfu.model.BinInfo;
import com.realsil.sdk.dfu.model.ImageVersionInfo;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.realsil.sdk.dfu.p.d;
import java.util.List;

/* loaded from: classes3.dex */
public class FirmwareLoaderX extends a {
    public static BinInfo a(LoadParams loadParams) throws LoadFileException {
        if (loadParams == null) {
            ZLogger.w("loadParams can not be null");
            return null;
        }
        OtaDeviceInfo f2 = loadParams.f();
        int i2 = f2 != null ? f2.protocolType : 0;
        return i2 == 16 ? b.a(loadParams) : i2 == 17 ? f2.specVersion >= 6 ? f2.isBankEnabled() ? d.b(loadParams) : d.a(loadParams) : com.realsil.sdk.dfu.p.b.a(loadParams) : c.a(loadParams);
    }

    public static BinInfo b(LoadParams loadParams) throws LoadFileException {
        if (loadParams == null) {
            ZLogger.w("loadParams can not be null");
            return null;
        }
        OtaDeviceInfo f2 = loadParams.f();
        int i2 = f2 != null ? f2.protocolType : 0;
        if (i2 == 16) {
            return b.loadImageBinInfo(loadParams);
        }
        if (i2 != 17) {
            return c.loadImageBinInfo(loadParams);
        }
        int i3 = f2.specVersion;
        return i3 >= 6 ? f2.isBankEnabled() ? loadParams.j() == 19 ? d.e(loadParams) : loadParams.j() == 20 ? d.d(loadParams) : d.c(loadParams) : d.loadImageBinInfo(loadParams) : i3 == 5 ? f2.isBankEnabled() ? loadParams.j() == 19 ? com.realsil.sdk.dfu.p.c.c(loadParams) : loadParams.j() == 20 ? com.realsil.sdk.dfu.p.c.b(loadParams) : com.realsil.sdk.dfu.p.c.b(loadParams) : com.realsil.sdk.dfu.p.c.a(loadParams) : com.realsil.sdk.dfu.p.b.loadImageBinInfo(loadParams);
    }

    public static BinInfo loadImageBinInfo(LoadParams loadParams) throws LoadFileException {
        if (loadParams == null) {
            ZLogger.w("loadParams can not be null");
            return null;
        }
        ZLogger.v(loadParams.toString());
        BinInfo a2 = loadParams.c() == 1 ? a(loadParams) : b(loadParams);
        if (a2 != null && a2.status == 0) {
            a2.status = com.realsil.sdk.dfu.c.a.a(loadParams.f(), a2);
        }
        return a2;
    }

    public static List<BaseBinInputStream> loadImageFile(LoadParams loadParams) throws LoadFileException {
        BinInfo loadImageBinInfo = loadImageBinInfo(loadParams);
        if (loadImageBinInfo == null || loadImageBinInfo.status != 0) {
            return null;
        }
        return loadImageBinInfo.supportBinInputStreams;
    }

    public int getImageVersion(OtaDeviceInfo otaDeviceInfo, int i2) {
        if (otaDeviceInfo == null) {
            return 0;
        }
        int protocolType = otaDeviceInfo.getProtocolType();
        if (protocolType == 0) {
            int i3 = otaDeviceInfo.specVersion;
            if (i3 != 0 && i3 == 1) {
                for (ImageVersionInfo imageVersionInfo : otaDeviceInfo.getExistImageVersionInfos()) {
                    if (otaDeviceInfo.icType <= 3) {
                        if (imageVersionInfo.getBitNumber() == i2) {
                            return imageVersionInfo.getVersion();
                        }
                    } else if (imageVersionInfo.getBitNumber() == i2 || imageVersionInfo.getBitNumber() == i2 + 16) {
                        return imageVersionInfo.getVersion();
                    }
                }
            }
        } else if (protocolType == 16 || protocolType == 17) {
            for (ImageVersionInfo imageVersionInfo2 : otaDeviceInfo.getExistImageVersionInfos()) {
                if (otaDeviceInfo.icType <= 3) {
                    if (imageVersionInfo2.getBitNumber() == i2) {
                        return imageVersionInfo2.getVersion();
                    }
                } else if (imageVersionInfo2.getBitNumber() == i2 || imageVersionInfo2.getBitNumber() == i2 + 16) {
                    return imageVersionInfo2.getVersion();
                }
            }
        }
        return 0;
    }
}
