package com.realsil.sdk.dfu.image.wrapper;

import android.os.Parcel;
import android.os.Parcelable;
import androidx.core.app.FrameMetricsAggregator;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.image.BinIndicator;
import com.realsil.sdk.dfu.utils.DfuUtils;
import java.util.Locale;

/* loaded from: classes3.dex */
public final class BinImageWrapper implements Parcelable {
    public static final Parcelable.Creator<BinImageWrapper> CREATOR = new Parcelable.Creator<BinImageWrapper>() { // from class: com.realsil.sdk.dfu.image.wrapper.BinImageWrapper.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public BinImageWrapper createFromParcel(Parcel parcel) {
            return new BinImageWrapper(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public BinImageWrapper[] newArray(int i2) {
            return new BinImageWrapper[i2];
        }
    };

    /* renamed from: a, reason: collision with root package name */
    public int f4400a;

    /* renamed from: b, reason: collision with root package name */
    public int f4401b;

    /* renamed from: c, reason: collision with root package name */
    public int f4402c;

    /* renamed from: d, reason: collision with root package name */
    public int f4403d;

    /* renamed from: e, reason: collision with root package name */
    public int f4404e;

    /* renamed from: f, reason: collision with root package name */
    public int f4405f;

    /* renamed from: g, reason: collision with root package name */
    public int f4406g;

    /* renamed from: h, reason: collision with root package name */
    public int f4407h;

    /* renamed from: i, reason: collision with root package name */
    public String f4408i;

    /* renamed from: j, reason: collision with root package name */
    public String f4409j;

    public static final class Builder {

        /* renamed from: a, reason: collision with root package name */
        public int f4410a;

        /* renamed from: b, reason: collision with root package name */
        public int f4411b;

        /* renamed from: c, reason: collision with root package name */
        public int f4412c;

        /* renamed from: d, reason: collision with root package name */
        public int f4413d;

        /* renamed from: e, reason: collision with root package name */
        public String f4414e;

        public BinImageWrapper build() {
            return new BinImageWrapper(this.f4410a, this.f4411b, this.f4412c, this.f4413d, this.f4414e);
        }

        public Builder setFormatWithBinId(int i2, int i3) {
            this.f4411b = i2;
            this.f4413d = DfuUtils.getImageVersionFormatWithBinId(i2, i3);
            this.f4414e = BinIndicator.parseSubBinId(i2, i3);
            return this;
        }

        public Builder setFormatWithBitNumber(int i2, int i3) {
            ZLogger.v(String.format(Locale.US, "setFormatWithBitNumber:ic=0x%02X, bitNumber=%d", Integer.valueOf(i2), Integer.valueOf(i3)));
            this.f4411b = i2;
            this.f4413d = DfuUtils.getImageVersionFormatWithBitNumber(i2, i3);
            this.f4414e = BinIndicator.parseBitNumber(i2, i3);
            return this;
        }

        public Builder setImageVersion(int i2) {
            this.f4412c = i2;
            return this;
        }

        public Builder setOtaVersion(int i2) {
            this.f4410a = i2;
            return this;
        }

        public Builder versionFormat(int i2) {
            this.f4413d = i2;
            return this;
        }
    }

    public final void a() {
        int i2 = this.f4403d;
        if (i2 == 1) {
            if (this.f4400a <= 0) {
                int i3 = this.f4402c;
                this.f4404e = i3;
                this.f4405f = 0;
                this.f4406g = 0;
                this.f4407h = 0;
                this.f4408i = String.valueOf(i3);
            } else {
                int i4 = this.f4402c;
                int i5 = i4 & 255;
                this.f4404e = i5;
                this.f4405f = (i4 >> 8) & 255;
                this.f4406g = (i4 >> 16) & 255;
                this.f4407h = (i4 >> 24) & 255;
                this.f4408i = String.format(Locale.US, "%d.%d.%d.%d", Integer.valueOf(i5), Integer.valueOf(this.f4405f), Integer.valueOf(this.f4406g), Integer.valueOf(this.f4407h));
            }
        } else if (i2 == 2) {
            if (this.f4400a <= 0) {
                int i6 = this.f4402c;
                this.f4404e = i6;
                this.f4405f = 0;
                this.f4406g = 0;
                this.f4407h = 0;
                this.f4408i = String.valueOf(i6);
            } else {
                int i7 = this.f4402c;
                int i8 = (i7 >> 24) & 255;
                this.f4404e = i8;
                this.f4405f = (i7 >> 16) & 255;
                this.f4406g = (i7 >> 8) & 255;
                this.f4407h = (i7 >> 0) & 255;
                this.f4408i = String.format(Locale.US, "%d.%d.%d.%d", Integer.valueOf(i8), Integer.valueOf(this.f4405f), Integer.valueOf(this.f4406g), Integer.valueOf(this.f4407h));
            }
        } else if (i2 == 3) {
            if (this.f4400a <= 0) {
                int i9 = this.f4402c;
                this.f4404e = i9;
                this.f4405f = 0;
                this.f4406g = 0;
                this.f4407h = 0;
                this.f4408i = String.valueOf(i9);
            } else {
                int i10 = this.f4402c;
                int i11 = (i10 >> 0) & 15;
                this.f4404e = i11;
                this.f4405f = (i10 >> 4) & 255;
                this.f4406g = (i10 >> 12) & 32767;
                this.f4407h = (i10 >> 27) & 31;
                this.f4408i = String.format(Locale.US, "%d.%d.%d.%d", Integer.valueOf(i11), Integer.valueOf(this.f4405f), Integer.valueOf(this.f4406g), Integer.valueOf(this.f4407h));
            }
        } else if (i2 == 5) {
            if (this.f4400a <= 0) {
                int i12 = this.f4402c;
                this.f4404e = i12;
                this.f4405f = 0;
                this.f4406g = 0;
                this.f4407h = 0;
                this.f4408i = String.valueOf(i12);
            } else {
                int i13 = this.f4402c;
                int i14 = (i13 >> 0) & 15;
                this.f4404e = i14;
                this.f4405f = (i13 >> 4) & 255;
                this.f4406g = (i13 >> 12) & FrameMetricsAggregator.EVERY_DURATION;
                this.f4407h = (i13 >> 21) & 2047;
                this.f4408i = String.format(Locale.US, "%d.%d.%d.%d", Integer.valueOf(i14), Integer.valueOf(this.f4405f), Integer.valueOf(this.f4406g), Integer.valueOf(this.f4407h));
            }
        } else if (i2 == 515) {
            if (this.f4400a <= 0) {
                int i15 = this.f4402c;
                this.f4404e = i15;
                this.f4405f = 0;
                this.f4406g = 0;
                this.f4407h = 0;
                this.f4408i = String.valueOf(i15);
            } else {
                this.f4404e = 0;
                this.f4405f = 0;
                int i16 = this.f4402c;
                this.f4406g = (i16 >> 8) & 255;
                this.f4407h = (i16 >> 0) & 255;
                this.f4408i = String.format(Locale.US, "%d.%d.%d.%d", 0, Integer.valueOf(this.f4405f), Integer.valueOf(this.f4406g), Integer.valueOf(this.f4407h));
            }
        } else if (i2 == 4) {
            int i17 = this.f4402c;
            this.f4404e = i17;
            this.f4405f = 0;
            this.f4406g = 0;
            this.f4407h = 0;
            this.f4408i = String.valueOf(i17);
        } else if (i2 == 7) {
            int i18 = this.f4402c;
            this.f4404e = i18;
            this.f4405f = 0;
            this.f4406g = 0;
            this.f4407h = 0;
            this.f4408i = String.valueOf(i18);
        } else if (i2 != 514) {
            int i19 = this.f4402c;
            this.f4404e = i19;
            this.f4405f = 0;
            this.f4406g = 0;
            this.f4407h = 0;
            this.f4408i = String.valueOf(i19);
        } else if (this.f4400a <= 0) {
            int i20 = this.f4402c;
            this.f4404e = i20;
            this.f4405f = 0;
            this.f4406g = 0;
            this.f4407h = 0;
            this.f4408i = String.valueOf(i20);
        } else {
            int i21 = this.f4402c;
            int i22 = (i21 >> 8) & 255;
            this.f4404e = i22;
            this.f4405f = (i21 >> 0) & 255;
            this.f4406g = (i21 >> 24) & 255;
            this.f4407h = (i21 >> 16) & 255;
            this.f4408i = String.format(Locale.US, "%d.%d.%d.%d", Integer.valueOf(i22), Integer.valueOf(this.f4405f), Integer.valueOf(this.f4406g), Integer.valueOf(this.f4407h));
        }
        if (this.f4402c == -1) {
            this.f4408i = "";
        }
    }

    public final void b() {
        if (-1 != this.f4402c) {
            c();
            return;
        }
        this.f4404e = 0;
        this.f4405f = 0;
        this.f4406g = 0;
        this.f4407h = 0;
        this.f4408i = String.format(Locale.US, "%d.%d.%d.%d", 0, Integer.valueOf(this.f4405f), Integer.valueOf(this.f4406g), Integer.valueOf(this.f4407h));
    }

    public final void c() {
        a();
    }

    public int compare(BinImageWrapper binImageWrapper) {
        if (this.f4404e > binImageWrapper.getMajor()) {
            return 1;
        }
        if (this.f4404e == binImageWrapper.getMajor()) {
            if (this.f4405f > binImageWrapper.getMinor()) {
                return 1;
            }
            if (this.f4405f == binImageWrapper.getMinor()) {
                if (this.f4406g > binImageWrapper.getRevision()) {
                    return 1;
                }
                if (this.f4406g == binImageWrapper.getRevision()) {
                    if (this.f4407h > binImageWrapper.getBuildnum()) {
                        return 1;
                    }
                    if (this.f4407h == binImageWrapper.getBuildnum()) {
                        return 0;
                    }
                }
            }
        }
        return -1;
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public int getBuildnum() {
        return this.f4407h;
    }

    public String getFlashLayoutName() {
        return this.f4409j;
    }

    public int getFormat() {
        return this.f4403d;
    }

    public String getFormatedVersion() {
        return this.f4408i;
    }

    public int getIcType() {
        return this.f4401b;
    }

    public int getImageVersion() {
        return this.f4402c;
    }

    public int getMajor() {
        return this.f4404e;
    }

    public int getMinor() {
        return this.f4405f;
    }

    public int getOtaVersion() {
        return this.f4400a;
    }

    public int getRevision() {
        return this.f4406g;
    }

    public String toString() {
        return String.format(Locale.US, "otaVersion=[%d], icType=[%02X]imageVersion=[%08X], format=[%d]\nformatedVersion=(%d.%d.%d.%d)->[%s]", Integer.valueOf(this.f4400a), Integer.valueOf(this.f4401b), Integer.valueOf(this.f4402c), Integer.valueOf(this.f4403d), Integer.valueOf(this.f4404e), Integer.valueOf(this.f4405f), Integer.valueOf(this.f4406g), Integer.valueOf(this.f4407h), this.f4408i);
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.f4400a);
        parcel.writeInt(this.f4402c);
        parcel.writeInt(this.f4403d);
        parcel.writeInt(this.f4404e);
        parcel.writeInt(this.f4405f);
        parcel.writeInt(this.f4406g);
        parcel.writeInt(this.f4407h);
        parcel.writeString(this.f4408i);
    }

    public BinImageWrapper(int i2, int i3, int i4, int i5, String str) {
        this.f4400a = i2;
        this.f4401b = i3;
        this.f4402c = i4;
        this.f4403d = i5;
        this.f4409j = str;
        b();
    }

    public BinImageWrapper(Parcel parcel) {
        this.f4400a = parcel.readInt();
        this.f4401b = parcel.readInt();
        this.f4402c = parcel.readInt();
        this.f4403d = parcel.readInt();
        this.f4404e = parcel.readInt();
        this.f4405f = parcel.readInt();
        this.f4406g = parcel.readInt();
        this.f4407h = parcel.readInt();
        parcel.readInt();
        this.f4408i = parcel.readString();
        this.f4409j = parcel.readString();
    }
}
