package com.realsil.sdk.dfu.j;

import android.bluetooth.BluetoothGatt;
import android.bluetooth.BluetoothGattCallback;
import android.bluetooth.BluetoothGattCharacteristic;
import android.bluetooth.BluetoothGattDescriptor;
import android.bluetooth.BluetoothGattService;
import com.facebook.login.widget.ToolTipPopup;
import com.realsil.sdk.core.bluetooth.GlobalGatt;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.j.c;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.realsil.sdk.dfu.model.OtaModeInfo;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import java.util.UUID;

/* loaded from: classes3.dex */
public abstract class a implements com.realsil.sdk.dfu.j.c {

    /* renamed from: e, reason: collision with root package name */
    public int f4439e;

    /* renamed from: f, reason: collision with root package name */
    public BluetoothGatt f4440f;

    /* renamed from: g, reason: collision with root package name */
    public BluetoothGattService f4441g;

    /* renamed from: h, reason: collision with root package name */
    public BluetoothGattService f4442h;

    /* renamed from: i, reason: collision with root package name */
    public BluetoothGattCharacteristic f4443i;

    /* renamed from: j, reason: collision with root package name */
    public BluetoothGattCharacteristic f4444j;
    public List<BluetoothGattCharacteristic> k;
    public OtaDeviceInfo l;
    public String n;
    public c o;
    public b p;
    public List<OtaModeInfo> m = new ArrayList();
    public final BluetoothGattCallback q = new C0057a();
    public Object r = new Object();
    public boolean s = true;
    public int t = 0;
    public Object u = new Object();

    /* renamed from: com.realsil.sdk.dfu.j.a$a, reason: collision with other inner class name */
    public class C0057a extends BluetoothGattCallback {
        public C0057a() {
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicChanged(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic) {
            a.this.a(bluetoothGatt, bluetoothGattCharacteristic);
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicRead(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, int i2) {
            a.this.a(bluetoothGatt, bluetoothGattCharacteristic, i2);
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onConnectionStateChange(BluetoothGatt bluetoothGatt, int i2, int i3) {
            if (i2 == 0 && i3 == 0 && a.this.d()) {
                a.this.b(2);
                a.this.h();
            }
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onDescriptorWrite(BluetoothGatt bluetoothGatt, BluetoothGattDescriptor bluetoothGattDescriptor, int i2) {
            super.onDescriptorWrite(bluetoothGatt, bluetoothGattDescriptor, i2);
            try {
                ZLogger.v("onDescriptorWrite: " + i2);
                synchronized (a.this.r) {
                    a.this.s = true;
                    a.this.r.notifyAll();
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                ZLogger.e(e2.toString());
            }
        }
    }

    public class b extends Thread {
        public b() {
        }

        @Override // java.lang.Thread, java.lang.Runnable
        public void run() {
            super.run();
            setName("AdapterXGBase-DeviceInfoThread");
            a.this.g();
        }

        public /* synthetic */ b(a aVar, C0057a c0057a) {
            this();
        }
    }

    public interface c {
        void a(int i2);
    }

    public void a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic) {
    }

    public void a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, int i2) {
    }

    public OtaDeviceInfo b() {
        if (this.l == null) {
            this.l = new OtaDeviceInfo(this.f4439e, 2);
        }
        return this.l;
    }

    public List<OtaModeInfo> c() {
        return this.m;
    }

    public boolean d() {
        return (this.t & 256) == 256;
    }

    public final void e() {
        BluetoothGatt bluetoothGatt = this.f4440f;
        UUID uuid = c.a.f4453a;
        BluetoothGattService service = bluetoothGatt.getService(uuid);
        if (service == null) {
            ZLogger.v("BATTERY_SERVICE not found");
            return;
        }
        ZLogger.d("find BATTERY_SERVICE: " + uuid.toString());
        UUID uuid2 = c.a.f4454b;
        BluetoothGattCharacteristic characteristic = service.getCharacteristic(uuid2);
        this.f4443i = characteristic;
        if (characteristic == null) {
            ZLogger.v("BAS_READ_CHARACTERITIC not found");
            return;
        }
        ZLogger.v("find BAS_READ_CHARACTERITIC: " + uuid2.toString());
    }

    public final void f() {
        BluetoothGatt bluetoothGatt = this.f4440f;
        UUID uuid = c.b.f4455a;
        BluetoothGattService service = bluetoothGatt.getService(uuid);
        if (service == null) {
            ZLogger.v("DEVICE_INFORMATION_SERVICE not found");
            return;
        }
        ZLogger.d("find DEVICE_INFORMATION_SERVICE: " + uuid.toString());
        UUID uuid2 = c.b.f4456b;
        BluetoothGattCharacteristic characteristic = service.getCharacteristic(uuid2);
        this.f4444j = characteristic;
        if (characteristic == null) {
            ZLogger.d("DIS_PNP_ID_CHARACTERISTIC not found");
            return;
        }
        ZLogger.d("find DIS_PNP_ID_CHARACTERISTIC: " + uuid2.toString());
    }

    public void g() {
    }

    public void h() {
        synchronized (this.u) {
            ZLogger.v("triggleSyncLock");
            this.u.notifyAll();
        }
    }

    public void i() {
        synchronized (this.u) {
            try {
                ZLogger.v("waitSyncLock");
                this.u.wait(ToolTipPopup.DEFAULT_POPUP_DISPLAY_TIME);
            } catch (InterruptedException e2) {
                ZLogger.w("wait sync data interrupted: " + e2.toString());
            }
        }
    }

    public void a(String str, BluetoothGatt bluetoothGatt, BluetoothGattService bluetoothGattService, BluetoothGattService bluetoothGattService2, c cVar) {
        this.n = str;
        this.f4440f = GlobalGatt.getInstance().getBluetoothGatt(str);
        this.f4441g = bluetoothGattService;
        this.f4442h = bluetoothGattService2;
        this.o = cVar;
        this.m = new ArrayList();
        this.k = new ArrayList();
        e();
        f();
        GlobalGatt.getInstance().registerCallback(this.n, this.q);
    }

    public void b(int i2) {
        ZLogger.d(String.format("syndata: 0x%04X >> 0x%04X", Integer.valueOf(this.t), Integer.valueOf(i2)));
        this.t = i2;
        c cVar = this.o;
        if (cVar != null) {
            cVar.a(i2);
        } else {
            ZLogger.v("no callback registed");
        }
    }

    public void a() {
        b bVar = this.p;
        if (bVar != null) {
            bVar.interrupt();
            this.p = null;
        }
        this.t = 0;
        GlobalGatt.getInstance().unRegisterCallback(this.n, this.q);
    }

    public void a(String str, BluetoothGatt bluetoothGatt, BluetoothGattService bluetoothGattService, BluetoothGattService bluetoothGattService2) {
        ZLogger.v("sync data ...");
        this.n = str;
        this.f4440f = bluetoothGatt;
        this.f4441g = bluetoothGattService;
        this.f4442h = bluetoothGattService2;
        e();
        f();
        b bVar = new b(this, null);
        this.p = bVar;
        bVar.start();
    }

    public boolean a(BluetoothGattCharacteristic bluetoothGattCharacteristic) {
        if (this.f4440f == null) {
            ZLogger.w("mBluetoothGatt is null maybe disconnected just now");
            return false;
        }
        if (bluetoothGattCharacteristic == null) {
            ZLogger.w("characteristic can not be null");
            return false;
        }
        ZLogger.v(String.format(Locale.US, "readCharacteristic:(%d) %s", Integer.valueOf(bluetoothGattCharacteristic.getInstanceId()), bluetoothGattCharacteristic.getUuid().toString()));
        if (this.f4440f.readCharacteristic(bluetoothGattCharacteristic)) {
            i();
            return this.t != 2;
        }
        ZLogger.w("readCharacteristic failed");
        return false;
    }

    public OtaModeInfo a(int i2) {
        List<OtaModeInfo> list = this.m;
        if (list != null && list.size() > 0) {
            for (OtaModeInfo otaModeInfo : this.m) {
                if (otaModeInfo.getWorkmode() == i2) {
                    return otaModeInfo;
                }
            }
            return this.m.get(0);
        }
        return new OtaModeInfo(0);
    }

    public boolean a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, boolean z) {
        int properties = bluetoothGattCharacteristic.getProperties();
        if ((properties & 16) == 0) {
            ZLogger.w("check properties failed: " + properties);
            this.s = false;
            return false;
        }
        ZLogger.v("setCharacteristicNotification() - uuid: " + bluetoothGattCharacteristic.getUuid() + " enabled: " + z);
        bluetoothGatt.setCharacteristicNotification(bluetoothGattCharacteristic, z);
        BluetoothGattDescriptor descriptor = bluetoothGattCharacteristic.getDescriptor(com.realsil.sdk.dfu.j.c.f4449a);
        if (descriptor != null) {
            boolean z2 = descriptor.getValue() != null && descriptor.getValue().length == 2 && descriptor.getValue()[0] > 0 && descriptor.getValue()[1] == 0;
            ZLogger.v(true, "current cccd state: " + z2);
            if (z && z2) {
                this.s = true;
                ZLogger.w("cccd already enabled");
                return true;
            }
            if (!z && !z2) {
                ZLogger.w("cccd already disable");
                this.s = true;
                return true;
            }
            descriptor.setValue(z ? BluetoothGattDescriptor.ENABLE_NOTIFICATION_VALUE : BluetoothGattDescriptor.DISABLE_NOTIFICATION_VALUE);
            if (bluetoothGatt.writeDescriptor(descriptor)) {
                synchronized (this.r) {
                    ZLogger.d("wait write Characteristic Notification 15000ms");
                    try {
                        this.s = false;
                        this.r.wait(30000L);
                    } catch (InterruptedException e2) {
                        ZLogger.e("wait writeDescriptor interrupted: " + e2.toString());
                    }
                }
                return this.s;
            }
        }
        return false;
    }
}
