package com.realsil.sdk.dfu.j;

import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothGatt;
import android.bluetooth.BluetoothGattCharacteristic;
import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import com.realsil.sdk.core.bluetooth.GlobalGatt;
import com.realsil.sdk.core.bluetooth.impl.BluetoothGattImpl;
import com.realsil.sdk.core.bluetooth.scanner.ExtendedBluetoothDevice;
import com.realsil.sdk.core.bluetooth.scanner.LeScannerPresenter;
import com.realsil.sdk.core.bluetooth.scanner.ScannerCallback;
import com.realsil.sdk.core.bluetooth.scanner.ScannerParams;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.exception.OtaException;
import com.realsil.sdk.dfu.internal.base.DfuThreadCallback;
import com.realsil.sdk.dfu.model.DfuConfig;
import java.util.Locale;

/* loaded from: classes3.dex */
public abstract class b extends com.realsil.sdk.dfu.i.b implements c {
    public LeScannerPresenter A;
    public volatile boolean B;
    public C0058b C;
    public GlobalGatt D;
    public BluetoothGatt E;
    public volatile byte[] F;
    public volatile boolean G;
    public volatile boolean H;
    public volatile boolean I;
    public Handler J;
    public Runnable K;

    public class a implements Runnable {
        public a() {
        }

        @Override // java.lang.Runnable
        public void run() {
            b bVar = b.this;
            if (bVar.mConnectionState == 513) {
                ZLogger.v(">> mBondState: " + bVar.a(bVar.mOtaDeviceAddress));
                b.this.l();
            }
        }
    }

    /* renamed from: com.realsil.sdk.dfu.j.b$b, reason: collision with other inner class name */
    public class C0058b extends ScannerCallback {
        public C0058b() {
        }

        @Override // com.realsil.sdk.core.bluetooth.scanner.ScannerCallback
        public void onNewDevice(ExtendedBluetoothDevice extendedBluetoothDevice) {
            super.onNewDevice(extendedBluetoothDevice);
            if (!b.this.B) {
                if (b.this.DBG) {
                    ZLogger.d("is already stop the scan, do nothing");
                }
            } else if (extendedBluetoothDevice != null) {
                b.this.a(extendedBluetoothDevice);
            } else if (b.this.DBG) {
                ZLogger.d("ignore, device == null");
            }
        }

        @Override // com.realsil.sdk.core.bluetooth.scanner.ScannerCallback
        public void onScanStateChanged(int i2) {
            super.onScanStateChanged(i2);
            if (b.this.VDBG) {
                ZLogger.v("state= " + i2);
            }
        }

        public /* synthetic */ C0058b(b bVar, a aVar) {
            this();
        }
    }

    public b(Context context, DfuConfig dfuConfig, DfuThreadCallback dfuThreadCallback) {
        super(context, dfuConfig, dfuThreadCallback);
        this.F = null;
        this.G = false;
        this.H = false;
        this.I = false;
        this.J = new Handler(Looper.getMainLooper());
        this.K = new a();
    }

    public void a(ScannerParams scannerParams, long j2) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        notifyStateChanged(519);
        this.mErrorState = 0;
        this.y = false;
        b(scannerParams);
        try {
            synchronized (this.x) {
                if (this.mErrorState == 0 && !this.y) {
                    this.x.wait(j2);
                }
            }
        } catch (InterruptedException e2) {
            ZLogger.w("scanLeDevice interrupted, e = " + e2.toString());
            this.mErrorState = 259;
        }
        if (this.mErrorState == 0 && !this.y) {
            ZLogger.w("didn't find the special device");
            this.mErrorState = 265;
        }
        if (this.mErrorState != 0) {
            throw new OtaException("Error while scan remote ota device", this.mErrorState);
        }
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public boolean abort() {
        Handler handler = this.J;
        if (handler != null) {
            handler.removeCallbacks(this.K);
        }
        return super.abort();
    }

    @Override // com.realsil.sdk.dfu.i.b
    public boolean b(ScannerParams scannerParams) {
        if (this.DBG) {
            ZLogger.v("start le scan");
        }
        this.B = true;
        LeScannerPresenter leScannerPresenter = this.A;
        if (leScannerPresenter == null) {
            c(scannerParams);
        } else {
            leScannerPresenter.setScannerParams(scannerParams);
        }
        return this.A.startScan();
    }

    public final void c(ScannerParams scannerParams) {
        if (this.C == null) {
            this.C = new C0058b(this, null);
        }
        this.A = new LeScannerPresenter(this.mContext, scannerParams, this.C);
    }

    public void d(int i2) {
        try {
            Thread.sleep(1000L);
        } catch (InterruptedException e2) {
            e2.printStackTrace();
        }
        ZLogger.d(String.format("terminateConnection, error = 0x%04X", Integer.valueOf(i2)));
        BluetoothGatt bluetoothGatt = this.E;
        if (bluetoothGatt != null) {
            b(bluetoothGatt);
            a(this.E, getDfuConfig().isErrorActionEnabled(2));
            a(this.E);
        }
    }

    @Override // com.realsil.sdk.dfu.i.b, com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void initialize() {
        super.initialize();
        this.D = GlobalGatt.getInstance();
        c((ScannerParams) null);
    }

    public boolean l() {
        if (this.E == null) {
            ZLogger.w("mBluetoothGatt == null");
            this.mErrorState = 258;
            notifyConnectionLock();
            return false;
        }
        if (this.mAborted) {
            ZLogger.w("task already aborted, ignore");
            this.mErrorState = DfuException.ERROR_DFU_ABORTED;
            return false;
        }
        if (this.DBG) {
            ZLogger.d("Attempting to start service discovery...");
        }
        boolean discoverServices = this.E.discoverServices();
        if (this.VDBG) {
            ZLogger.d("discoverServices ".concat(discoverServices ? "succeed" : "failed"));
        }
        if (!discoverServices) {
            this.mErrorState = 258;
            notifyConnectionLock();
        }
        return discoverServices;
    }

    public ScannerParams m() {
        ScannerParams scannerParams = new ScannerParams(17);
        scannerParams.setScanPeriod(31000L);
        return scannerParams;
    }

    public void n() {
        setConnectionState(513);
        if (this.J == null) {
            l();
        } else {
            ZLogger.v(String.format(Locale.US, "delay to discover service for :%d ms ", 1600));
            this.J.postDelayed(this.K, 1600L);
        }
    }

    public boolean o() {
        if (this.E == null) {
            ZLogger.w("mBluetoothGatt == null");
            return false;
        }
        if (this.mAborted) {
            ZLogger.w("task already aborted, ignore");
            return false;
        }
        if (getDfuConfig().getPhy() == 0) {
            ZLogger.v("no need to set phy");
            return true;
        }
        if (Build.VERSION.SDK_INT < 26) {
            ZLogger.d("PHY not supported");
            return true;
        }
        ZLogger.v("setPreferredPhy:" + getDfuConfig().getPhy());
        int phy = getDfuConfig().getPhy();
        if (phy == 0) {
            this.E.setPreferredPhy(1, 1, 0);
        } else if (phy == 1) {
            this.E.setPreferredPhy(2, 2, 0);
        } else if (phy == 2) {
            this.E.setPreferredPhy(4, 4, 1);
        } else if (phy != 3) {
            this.E.setPreferredPhy(2, 2, 0);
        } else {
            this.E.setPreferredPhy(4, 4, 2);
        }
        return true;
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void onDestroy() {
        super.onDestroy();
        this.B = false;
        LeScannerPresenter leScannerPresenter = this.A;
        if (leScannerPresenter != null) {
            leScannerPresenter.onDestroy();
        }
    }

    public boolean p() {
        this.B = false;
        LeScannerPresenter leScannerPresenter = this.A;
        if (leScannerPresenter == null) {
            return true;
        }
        leScannerPresenter.stopScan();
        return true;
    }

    public void c(int i2) {
        this.MAX_PACKET_SIZE = i2 + (-3) > 16 ? 16 * (i2 / 16) : 16;
        ZLogger.v("> MAX_PACKET_SIZE=" + this.MAX_PACKET_SIZE);
    }

    public void b(BluetoothGatt bluetoothGatt) {
        int i2 = this.mConnectionState;
        if (i2 == 0 || i2 == 1280) {
            if (this.DBG) {
                ZLogger.d("already disconnect");
            }
        } else {
            if (bluetoothGatt != null) {
                setConnectionState(1024);
                if (this.DBG) {
                    ZLogger.v("disconnect()");
                }
                bluetoothGatt.disconnect();
                waitUntilDisconnected();
                return;
            }
            if (this.DBG) {
                ZLogger.v("gatt == null");
            }
            setConnectionState(0);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:40:0x00d9, code lost:
    
        if (r1.equals(r5.mDeviceAddress) != false) goto L71;
     */
    /* JADX WARN: Code restructure failed: missing block: B:41:0x018b, code lost:
    
        r1 = true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:86:0x0189, code lost:
    
        if (r1.equals(r0.getAddress()) != false) goto L71;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void a(com.realsil.sdk.core.bluetooth.scanner.ExtendedBluetoothDevice r6) {
        /*
            Method dump skipped, instructions count: 484
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.j.b.a(com.realsil.sdk.core.bluetooth.scanner.ExtendedBluetoothDevice):void");
    }

    public void b(int i2) {
        if (!getDfuConfig().isBufferCheckMtuUpdateEnabled()) {
            ZLogger.d("not support update buffer check mtu size");
            return;
        }
        this.q = i2 + (-3) > 16 ? 16 * (i2 / 16) : 16;
        ZLogger.v("> mBufferCheckMtuSize=" + this.q);
    }

    public final void a(BluetoothGatt bluetoothGatt, boolean z) {
        if (z || bluetoothGatt.getDevice().getBondState() == 10) {
            BluetoothGattImpl.refresh(bluetoothGatt);
        }
    }

    public void a(BluetoothGatt bluetoothGatt) {
        if (bluetoothGatt != null) {
            BluetoothDevice device = bluetoothGatt.getDevice();
            boolean isErrorActionEnabled = getDfuConfig().isErrorActionEnabled(4);
            if (this.DBG) {
                ZLogger.v(String.format("close gatt connection: %s, closeClient=%b", device.getAddress(), Boolean.valueOf(isErrorActionEnabled)));
            }
            GlobalGatt globalGatt = this.D;
            if (globalGatt != null) {
                globalGatt.closeGatt(device.getAddress(), isErrorActionEnabled);
            } else if (isErrorActionEnabled) {
                bluetoothGatt.close();
            }
        }
        setConnectionState(1280);
    }

    public boolean a(BluetoothGatt bluetoothGatt, int i2) {
        this.mErrorState = 0;
        this.I = false;
        if (this.DBG) {
            ZLogger.d("requestMtu: " + i2);
        }
        if (!bluetoothGatt.requestMtu(i2)) {
            ZLogger.w("requestMtu failed");
            return false;
        }
        try {
            synchronized (this.m) {
                if (!this.I && this.mErrorState == 0) {
                    if (this.DBG) {
                        ZLogger.v("wait mtu request callback for 15000ms");
                    }
                    this.m.wait(15000L);
                }
            }
        } catch (InterruptedException e2) {
            ZLogger.e("requestMtu: Sleeping interrupted, e = " + e2);
        }
        if (this.I || this.mErrorState != 0) {
            return true;
        }
        if (this.DBG) {
            ZLogger.d("requestMtu No CallBack");
        }
        return false;
    }

    /* JADX WARN: Code restructure failed: missing block: B:20:0x007e, code lost:
    
        if (r9.getValue()[1] == 0) goto L24;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void a(android.bluetooth.BluetoothGatt r8, android.bluetooth.BluetoothGattCharacteristic r9, boolean r10) throws com.realsil.sdk.dfu.DfuException {
        /*
            Method dump skipped, instructions count: 340
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.j.b.a(android.bluetooth.BluetoothGatt, android.bluetooth.BluetoothGattCharacteristic, boolean):void");
    }

    public boolean a(BluetoothGattCharacteristic bluetoothGattCharacteristic, byte[] bArr, boolean z) throws DfuException {
        return a(this.E, bluetoothGattCharacteristic, bArr, z);
    }

    public final boolean a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, byte[] bArr, boolean z) throws DfuException {
        return a(bluetoothGatt, bluetoothGattCharacteristic, bArr, bArr != null ? bArr.length : -1, z);
    }

    public boolean a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, byte[] bArr, int i2, boolean z) throws DfuException {
        if (!z && this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        if (bluetoothGattCharacteristic == null) {
            ZLogger.w("characteristic == null");
            return false;
        }
        if (bArr != null && i2 >= 0) {
            this.F = null;
            this.mWriteRetransFlag = true;
            boolean z2 = false;
            int i3 = 0;
            while (this.mWriteRetransFlag) {
                this.mWriteRequestCompleted = false;
                if (i3 > 0) {
                    try {
                        if (this.DBG) {
                            ZLogger.d("re-send command just wait a while");
                        }
                        Thread.sleep(1000L);
                    } catch (InterruptedException e2) {
                        e2.printStackTrace();
                    }
                    if (!z && this.mAborted) {
                        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
                    }
                }
                long j2 = bluetoothGattCharacteristic.getWriteType() == 2 ? 30000L : 15000L;
                z2 = a(bluetoothGatt, bluetoothGattCharacteristic, bArr, i2);
                if (z2) {
                    synchronized (this.f4435g) {
                        try {
                            if (!this.mWriteRequestCompleted && this.mConnectionState == 515) {
                                this.f4435g.wait(j2);
                            } else if (this.VDBG) {
                                ZLogger.v("writePacket success");
                            }
                        } catch (InterruptedException e3) {
                            ZLogger.e("mWriteLock Sleeping interrupted,e:" + e3);
                            if (this.mErrorState == 0) {
                                this.mErrorState = 259;
                            }
                        }
                    }
                    if (this.mErrorState == 0 && !this.mWriteRequestCompleted) {
                        ZLogger.w("send command but no callback");
                        this.mErrorState = 261;
                    }
                } else {
                    ZLogger.w("writePacket failed");
                    this.mErrorState = 267;
                    z2 = false;
                }
                if (this.mErrorState != 0 || i3 <= 3) {
                    i3++;
                } else {
                    ZLogger.e("send command reach max try time");
                    this.mErrorState = 268;
                }
                if (this.mErrorState != 0) {
                    throw new OtaException("Error while send command", this.mErrorState);
                }
            }
            return z2;
        }
        ZLogger.w("value == null || size < 0");
        return false;
    }

    public final boolean a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, byte[] bArr, int i2) {
        if (bluetoothGatt == null) {
            ZLogger.w("gatt == null");
            return false;
        }
        if (bluetoothGattCharacteristic == null) {
            ZLogger.w("characteristic == null");
            return false;
        }
        if (bArr.length > i2) {
            byte[] bArr2 = new byte[i2];
            System.arraycopy(bArr, 0, bArr2, 0, i2);
            bArr = bArr2;
        }
        if (this.DBG) {
            ZLogger.v(String.format(Locale.US, "[TX] WRITE_TYPE_0x%02X, (%d)%s >> (%d)%s", Integer.valueOf(bluetoothGattCharacteristic.getWriteType()), Integer.valueOf(bluetoothGattCharacteristic.getInstanceId()), bluetoothGattCharacteristic.getUuid(), Integer.valueOf(bArr.length), DataConverter.bytes2Hex(bArr)));
        }
        bluetoothGattCharacteristic.setValue(bArr);
        return bluetoothGatt.writeCharacteristic(bluetoothGattCharacteristic);
    }

    public byte[] a(BluetoothGattCharacteristic bluetoothGattCharacteristic) throws DfuException {
        return a(this.E, bluetoothGattCharacteristic);
    }

    public byte[] a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        if (bluetoothGatt == null) {
            ZLogger.w("gatt == null");
            return null;
        }
        if (bluetoothGattCharacteristic == null) {
            ZLogger.w("characteristic == null");
            return null;
        }
        if ((bluetoothGattCharacteristic.getProperties() & 2) == 0) {
            ZLogger.w("characteristic not support PROPERTY_READ");
            return null;
        }
        ZLogger.v(String.format(Locale.US, "readCharacteristic:(handler=%d) %s", Integer.valueOf(bluetoothGattCharacteristic.getInstanceId()), bluetoothGattCharacteristic.getUuid().toString()));
        this.mErrorState = 0;
        this.mReadRxData = null;
        this.mReadRequestCompleted = false;
        if (bluetoothGatt.readCharacteristic(bluetoothGattCharacteristic)) {
            synchronized (this.mReadLock) {
                try {
                    if (this.mErrorState == 0 && !this.mReadRequestCompleted && this.mConnectionState == 515) {
                        this.mReadLock.wait(15000L);
                    }
                } catch (InterruptedException e2) {
                    ZLogger.e("mCharacteristicReadCalledLock Sleeping interrupted,e:" + e2);
                    this.mErrorState = 259;
                }
            }
            if (this.mErrorState == 0 && !this.mReadRequestCompleted) {
                ZLogger.w("read value but no callback");
                this.mErrorState = 261;
            }
        } else {
            ZLogger.d("readCharacteristic failed");
            this.mErrorState = 279;
        }
        if (this.mErrorState == 0) {
            return this.mReadRxData;
        }
        throw new OtaException("Error while send command", this.mErrorState);
    }
}
