package com.realsil.sdk.dfu.k;

import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothGatt;
import android.bluetooth.BluetoothGattCallback;
import android.bluetooth.BluetoothGattCharacteristic;
import android.bluetooth.BluetoothGattDescriptor;
import android.bluetooth.BluetoothGattService;
import android.content.Context;
import androidx.core.view.MotionEventCompat;
import com.realsil.sdk.core.bluetooth.GlobalGatt;
import com.realsil.sdk.core.bluetooth.impl.BluetoothGattImpl;
import com.realsil.sdk.core.bluetooth.scanner.LeScannerPresenter;
import com.realsil.sdk.core.bluetooth.utils.BluetoothUuid;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.DfuConstants;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.exception.OtaException;
import com.realsil.sdk.dfu.internal.base.DfuThreadCallback;
import com.realsil.sdk.dfu.j.c;
import com.realsil.sdk.dfu.model.DfuConfig;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import java.util.UUID;
import kotlin.UShort;

/* loaded from: classes3.dex */
public abstract class b extends com.realsil.sdk.dfu.j.b {
    public BluetoothGattCharacteristic L;
    public UUID M;
    public BluetoothGattService N;
    public BluetoothGattCharacteristic O;
    public BluetoothGattCharacteristic P;
    public BluetoothGattCharacteristic Q;
    public BluetoothGattCharacteristic R;
    public BluetoothGattCharacteristic S;
    public BluetoothGattCharacteristic T;
    public List<BluetoothGattCharacteristic> U;
    public UUID V;
    public UUID W;
    public UUID X;
    public BluetoothGattService Y;
    public BluetoothGattCharacteristic Z;
    public BluetoothGattCharacteristic a0;
    public final BluetoothGattCallback b0;

    public class a extends BluetoothGattCallback {
        public a() {
        }

        public final synchronized void a(byte[] bArr) {
            if (bArr != null) {
                if (bArr.length >= 2) {
                    int i2 = bArr[0] & 255;
                    int i3 = bArr[1] & 255;
                    if (b.this.DBG) {
                        ZLogger.v(String.format("responseType = %02X , requestOpCode = %02X", Integer.valueOf(i2), Integer.valueOf(i3)));
                    }
                    if (i2 == 16) {
                        if (i3 == 7) {
                            synchronized (b.this.m) {
                                ZLogger.d("ignore connection parameters notification");
                                b.this.F = bArr;
                                b.this.H = true;
                                b.this.m.notifyAll();
                            }
                        } else if (i3 != 8) {
                            synchronized (b.this.m) {
                                b.this.F = bArr;
                                b.this.H = true;
                                b.this.m.notifyAll();
                            }
                        } else {
                            byte b2 = bArr.length >= 3 ? bArr[2] : (byte) 0;
                            ZLogger.d("remote state changed, busyMode=" + ((int) b2));
                            synchronized (b.this.s) {
                                b.this.r = b2 == 1;
                                b.this.s.notifyAll();
                            }
                        }
                    }
                    return;
                }
            }
            ZLogger.w("notification data invalid");
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicChanged(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic) {
            a(bluetoothGattCharacteristic.getValue());
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicRead(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, int i2) {
            if (i2 == 0) {
                b.this.mReadRxData = bluetoothGattCharacteristic.getValue();
            } else {
                b.this.mErrorState = i2 | 1024;
                ZLogger.e(String.format(Locale.US, "read Characteristic error:0x%04X", Integer.valueOf(b.this.mErrorState)));
            }
            b.this.notifyReadLock();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicWrite(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, int i2) {
            byte[] value = bluetoothGattCharacteristic.getValue();
            if (i2 == 0) {
                b.this.mWriteRetransFlag = false;
                UUID uuid = b.this.W;
                if (uuid != null && uuid.equals(bluetoothGattCharacteristic.getUuid())) {
                    if (value != null) {
                        b.this.getDfuProgressInfo().addBytesSent(value.length);
                        b.this.notifyProcessChanged();
                    } else {
                        ZLogger.w("characteristic'value is null, exception");
                    }
                }
            } else if (i2 == 257 || i2 == 143) {
                UUID uuid2 = b.this.W;
                if (uuid2 != null && uuid2.equals(bluetoothGattCharacteristic.getUuid())) {
                    if (i2 == 143) {
                        b.this.mWriteRetransFlag = false;
                        if (value != null) {
                            b.this.getDfuProgressInfo().addBytesSent(value.length);
                            b.this.notifyProcessChanged();
                        } else {
                            ZLogger.w("characteristic'value is null, exception");
                        }
                    } else {
                        b.this.mWriteRetransFlag = true;
                        if (b.this.DBG) {
                            ZLogger.d("write image packet error, status=" + i2 + ", please retry.");
                        }
                    }
                }
            } else {
                b.this.mErrorState = i2 | 1024;
                ZLogger.w(String.format("Characteristic write error: 0x%04X", Integer.valueOf(b.this.mErrorState)));
            }
            b.this.g();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onConnectionStateChange(BluetoothGatt bluetoothGatt, int i2, int i3) {
            if (i2 != 0) {
                if (i3 == 0) {
                    b.this.setConnectionState(0);
                }
                b.this.mErrorState = i2 | 2048;
            } else if (i3 == 2) {
                b bVar = b.this;
                if (bVar.mAborted) {
                    ZLogger.w("task already aborted, ignore");
                    return;
                } else if (bVar.mConnectionState == 256) {
                    BluetoothGattImpl.refresh(bluetoothGatt);
                    b.this.n();
                    return;
                }
            } else if (i3 == 0) {
                if (b.this.mProcessState == 521) {
                    b.this.mErrorState = i2 | 2048;
                    b bVar2 = b.this;
                    if (bVar2.DBG) {
                        ZLogger.d(String.format("disconnect in OTA process, mErrorState: 0x%04X", Integer.valueOf(bVar2.mErrorState)));
                    }
                }
                b.this.setConnectionState(0);
            }
            b.this.notifyConnectionLock();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onDescriptorWrite(BluetoothGatt bluetoothGatt, BluetoothGattDescriptor bluetoothGattDescriptor, int i2) {
            if (i2 != 0) {
                b.this.mErrorState = i2 | 1024;
            } else if (com.realsil.sdk.dfu.j.c.f4449a.equals(bluetoothGattDescriptor.getUuid())) {
                b.this.G = true;
            }
            b.this.e();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onMtuChanged(BluetoothGatt bluetoothGatt, int i2, int i3) {
            if (i3 == 0) {
                ZLogger.v(b.this.VDBG, "mtu=" + i2);
                if (b.this.getDfuConfig().isMtuUpdateEnabled()) {
                    b.this.c(i2);
                }
            }
            b.this.I = true;
            b.this.e();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onPhyUpdate(BluetoothGatt bluetoothGatt, int i2, int i3, int i4) {
            super.onPhyUpdate(bluetoothGatt, i2, i3, i4);
            ZLogger.v(String.format("onPhyUpdate: mConnectionState=0x%04X", Integer.valueOf(b.this.mConnectionState)));
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onServicesDiscovered(BluetoothGatt bluetoothGatt, int i2) {
            b bVar = b.this;
            if (bVar.mAborted) {
                ZLogger.w("task already aborted, ignore");
                return;
            }
            if (i2 != 0) {
                bVar.mErrorState = i2 | 2048;
                b.this.notifyConnectionLock();
                return;
            }
            try {
                bVar.M = UUID.fromString(bVar.getDfuConfig().getOtaServiceUuid());
                b bVar2 = b.this;
                bVar2.V = UUID.fromString(bVar2.getDfuConfig().getDfuServiceUuid());
                b bVar3 = b.this;
                bVar3.W = UUID.fromString(bVar3.getDfuConfig().getDfuDataUuid());
                b bVar4 = b.this;
                bVar4.X = UUID.fromString(bVar4.getDfuConfig().getDfuControlPointUuid());
            } catch (Exception e2) {
                e2.printStackTrace();
                ZLogger.e(e2.toString());
            }
            b.this.e(bluetoothGatt);
            b.this.d(bluetoothGatt);
            b.this.c(bluetoothGatt);
            b.this.setConnectionState(515);
            b.this.notifyConnectionLock();
        }
    }

    public b(Context context, DfuConfig dfuConfig, DfuThreadCallback dfuThreadCallback) {
        super(context, dfuConfig, dfuThreadCallback);
        this.M = com.realsil.sdk.dfu.j.c.f4450b;
        this.V = e.f4458a;
        this.W = e.f4459b;
        this.X = e.f4460c;
        this.b0 = new a();
    }

    public void A() throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d("<< OPCODE_DFU_CONNECTION_PARAMETER_UPDATE(0x07)");
        a(this.Z, new byte[]{7, 6, 0, 17, 0, 0, 0, -12, 1}, false);
        try {
            if (this.DBG) {
                ZLogger.d("... waiting OPCODE_DFU_CONNECTION_PARAMETER_UPDATE(0x07) response");
            }
            t();
        } catch (DfuException e2) {
            ZLogger.w("ignore connection parameters update exception: " + e2.getMessage());
            this.mErrorState = 0;
        }
    }

    @Override // com.realsil.sdk.dfu.j.b, com.realsil.sdk.dfu.i.b, com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void initialize() {
        super.initialize();
        try {
            this.M = UUID.fromString(getDfuConfig().getOtaServiceUuid());
            this.V = UUID.fromString(getDfuConfig().getDfuServiceUuid());
            this.W = UUID.fromString(getDfuConfig().getDfuDataUuid());
            this.X = UUID.fromString(getDfuConfig().getDfuControlPointUuid());
        } catch (Exception e2) {
            e2.printStackTrace();
            ZLogger.e(e2.toString());
        }
        this.initialized = true;
    }

    public void q() throws DfuException {
        a(new byte[]{4});
    }

    public int r() {
        if (this.Y == null) {
            ZLogger.w("DFU_SERVICE not found:" + this.V.toString());
            return 262;
        }
        if (this.Z == null) {
            ZLogger.d("not found DFU_CONTROL_POINT_UUID : " + this.X.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (this.DBG) {
            ZLogger.v("find DFU_CONTROL_POINT_UUID: " + this.X.toString());
        }
        if (this.a0 == null) {
            ZLogger.d("not found DFU_DATA_UUID :" + this.W.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (!this.DBG) {
            return 0;
        }
        ZLogger.v("find DFU_DATA_UUID: " + this.W.toString());
        return 0;
    }

    public void s() throws DfuException {
        int i2;
        short s;
        int i3;
        short s2;
        if (getOtaDeviceInfo().specVersion != 0) {
            List<BluetoothGattCharacteristic> list = this.U;
            byte[] bArr = null;
            if (list == null || list.size() <= 0) {
                getOtaDeviceInfo().setActiveImageVersionValues(null);
                ZLogger.w("no ImageVersionCharacteristics to read");
                return;
            }
            for (BluetoothGattCharacteristic bluetoothGattCharacteristic : this.U) {
                if (this.DBG) {
                    ZLogger.v("read image version : " + bluetoothGattCharacteristic.getUuid().toString());
                } else {
                    ZLogger.v("read image version");
                }
                byte[] a2 = a(bluetoothGattCharacteristic);
                if (a2 != null) {
                    if (bArr == null) {
                        bArr = a2;
                    } else {
                        byte[] bArr2 = new byte[bArr.length + a2.length];
                        System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
                        System.arraycopy(a2, 0, bArr2, bArr.length, a2.length);
                        bArr = bArr2;
                    }
                }
            }
            getOtaDeviceInfo().setActiveImageVersionValues(bArr);
            return;
        }
        if (this.R != null) {
            ZLogger.v("read patch version");
            byte[] a3 = a(this.R);
            if (a3 != null) {
                try {
                    ByteBuffer wrap = ByteBuffer.wrap(a3);
                    wrap.order(ByteOrder.LITTLE_ENDIAN);
                    if (getOtaDeviceInfo().icType <= 3) {
                        s2 = wrap.getShort(0);
                    } else {
                        if (getOtaDeviceInfo().icType != 5 && getOtaDeviceInfo().icType != 9 && getOtaDeviceInfo().icType != 12) {
                            s2 = wrap.getShort(0);
                        }
                        i3 = wrap.getInt(0);
                        getOtaDeviceInfo().setPatchVersion(i3);
                    }
                    i3 = s2 & UShort.MAX_VALUE;
                    getOtaDeviceInfo().setPatchVersion(i3);
                } catch (Exception e2) {
                    ZLogger.e(e2.toString());
                }
            }
        }
        if (this.Q != null) {
            ZLogger.v("read app version");
            byte[] a4 = a(this.Q);
            if (a4 != null) {
                try {
                    ByteBuffer wrap2 = ByteBuffer.wrap(a4);
                    wrap2.order(ByteOrder.LITTLE_ENDIAN);
                    if (getOtaDeviceInfo().icType <= 3) {
                        s = wrap2.getShort(0);
                    } else {
                        if (getOtaDeviceInfo().icType != 5 && getOtaDeviceInfo().icType != 9 && getOtaDeviceInfo().icType != 12) {
                            s = wrap2.getShort(0);
                        }
                        i2 = wrap2.getInt(0);
                        getOtaDeviceInfo().setAppVersion(i2);
                    }
                    i2 = s & UShort.MAX_VALUE;
                    getOtaDeviceInfo().setAppVersion(i2);
                } catch (Exception e3) {
                    ZLogger.e(e3.toString());
                }
            }
        }
        if (this.S != null) {
            ZLogger.v("read patch extension version");
            byte[] a5 = a(this.S);
            if (a5 != null) {
                ByteBuffer wrap3 = ByteBuffer.wrap(a5);
                wrap3.order(ByteOrder.LITTLE_ENDIAN);
                getOtaDeviceInfo().setPatchExtensionVersion(wrap3.getShort(0) & UShort.MAX_VALUE);
            }
        }
    }

    public byte[] t() throws DfuException {
        return g(DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
    }

    public boolean u() throws DfuException {
        if (this.P == null) {
            return false;
        }
        if (this.DBG) {
            ZLogger.v("start to read remote dev Mac Addr info");
        }
        byte[] a2 = a(this.P);
        if (a2 == null || a2.length < 6) {
            ZLogger.w("Get remote dev Mac Addr info failed, do nothing.");
            throw new OtaException("remote dev Mac Addr info error", 277);
        }
        byte[] bArr = new byte[6];
        System.arraycopy(a2, 0, bArr, 0, 6);
        getOtaDeviceInfo().setDeviceMac(bArr);
        return true;
    }

    public void v() throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d("<<  OPCODE_DFU_REPORT_CURRENT_BUFFER_SIZE(0x0A)");
        a(this.Z, new byte[]{10}, false);
        if (this.DBG) {
            ZLogger.d("... Reading OPCODE_DFU_REPORT_CURRENT_BUFFER_SIZE notification");
        }
        byte[] t = t();
        byte b2 = t[2];
        if (b2 != 1) {
            ZLogger.w("Get remote buffer size info failed, status: " + ((int) b2));
            throw new OtaException("Get remote buffer size info failed", b2 | 512);
        }
        ByteBuffer wrap = ByteBuffer.wrap(t);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        int i2 = wrap.getInt(3);
        ZLogger.v(String.format(Locale.US, "maxBufferCheckSize=(0x%04X, %d)", Integer.valueOf(i2), Integer.valueOf(i2)));
        a(i2);
    }

    public int w() throws DfuException {
        if (this.Z == null) {
            ZLogger.w("no mControlPointCharacteristic found");
            return 0;
        }
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d("<< OPCODE_DFU_ENABLE_BUFFER_CHECK_MODE(0x09)");
        a(this.Z, new byte[]{9}, false);
        try {
            if (this.DBG) {
                ZLogger.d("... Reading OPCODE_DFU_ENABLE_BUFFER_CHECK_MODE notification");
            }
            byte[] g2 = g(1600);
            if (g2[2] == 1) {
                ByteBuffer wrap = ByteBuffer.wrap(g2);
                wrap.order(ByteOrder.LITTLE_ENDIAN);
                int i2 = (((short) (wrap.get(4) & 255)) << 8) | ((short) (wrap.get(3) & 255));
                int i3 = ((short) (wrap.get(5) & 255)) | (((short) (wrap.get(6) & 255)) << 8);
                if (this.DBG) {
                    ZLogger.v("maxBufferSize=" + i2 + ", bufferCheckMtuSize=" + i3);
                }
                a(i2);
                b(i3);
                return 1;
            }
        } catch (DfuException unused) {
            ZLogger.w("Read DFU_REPORT_OTA_FUNCTION_VERSION failed, just think remote is normal function.");
            this.mErrorState = 0;
        }
        return 0;
    }

    public int x() throws DfuException {
        byte[] g2;
        byte b2;
        if (this.Z == null) {
            ZLogger.w("no mControlPointCharacteristic found");
            return 0;
        }
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.v("<< OPCODE_DFU_REPORT_OTA_FUNCTION_VERSION(0x09)");
        a(this.Z, new byte[]{9}, false);
        try {
            if (this.DBG) {
                ZLogger.d("Reading OPCODE_DFU_REPORT_OTA_FUNCTION_VERSION notification");
            }
            g2 = g(1600);
            b2 = g2[2];
        } catch (DfuException unused) {
            ZLogger.w("Reading OPCODE_DFU_REPORT_OTA_FUNCTION_VERSION notification failed, just think remote is normal function.");
            this.mErrorState = 0;
        }
        if (b2 == 1) {
            ByteBuffer.wrap(g2).order(ByteOrder.LITTLE_ENDIAN);
            return 1;
        }
        ZLogger.w("reportOtaFunctionVersion failed, status: " + ((int) b2));
        return 0;
    }

    public void y() {
        try {
            ZLogger.d("<< OPCODE_DFU_RESET_SYSTEM (0x05)");
            a(this.Z, new byte[]{5}, true);
        } catch (DfuException e2) {
            ZLogger.e(String.format("Send OPCODE_DFU_RESET_SYSTEM failed, ignore it, errorcode= 0x%04X", Integer.valueOf(e2.getErrorNumber())));
            this.mErrorState = 0;
        }
    }

    public void z() throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.v("<< OPCODE_DFU_START_DFU(0x01)");
        byte[] bArr = new byte[16];
        System.arraycopy(this.mCurBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
        byte[] bArr2 = new byte[17];
        bArr2[0] = 1;
        if (getOtaDeviceInfo().isAesEncryptEnabled()) {
            System.arraycopy(this.f4437i.aesEncrypt(bArr, 0, 16), 0, bArr2, 1, 16);
        } else {
            System.arraycopy(bArr, 0, bArr2, 1, 16);
        }
        a(this.Z, bArr2, false);
        if (this.DBG) {
            ZLogger.v("... Reading OPCODE_DFU_START_DFU(0x01) notification");
        }
        byte b2 = t()[2];
        if (b2 == 1) {
            return;
        }
        ZLogger.e(String.format("0x%02X(not supported), start dfu failed", Byte.valueOf(b2)));
        throw new OtaException("start dfu failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
    }

    public void f(int i2) {
        a(i2, false);
    }

    public byte[] g(int i2) throws DfuException {
        this.mErrorState = 0;
        this.H = true;
        try {
            synchronized (this.m) {
                if (this.mErrorState == 0 && this.F == null && this.mConnectionState == 515) {
                    this.H = false;
                    if (this.DBG) {
                        ZLogger.v("wait for notification, wait for " + i2 + "ms");
                    }
                    this.m.wait(i2);
                }
                if (this.mErrorState == 0 && !this.H) {
                    ZLogger.w("wait for notification, but not come");
                    this.mErrorState = DfuException.ERROR_NOTIFICATION_NO_RESPONSE;
                }
            }
        } catch (InterruptedException e2) {
            ZLogger.e("readNotificationResponse interrupted, " + e2.toString());
            this.mErrorState = 259;
        }
        if (this.mErrorState == 0) {
            return this.F;
        }
        throw new OtaException("Unable to receive notification", this.mErrorState);
    }

    public void h(int i2) throws DfuException {
        int i3;
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        if (this.DBG) {
            ZLogger.d("<< OPCODE_DFU_REPORT_TARGET_IMAGE_INFO(0x06)");
        }
        a(this.Z, new byte[]{6, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255)}, false);
        if (this.DBG) {
            ZLogger.d("... Reading OPCODE_DFU_REPORT_TARGET_IMAGE_INFO(0x06) notification");
        }
        byte[] t = t();
        int length = t != null ? t.length : 0;
        if ((length > 2 ? t[2] : (byte) -2) != 1) {
            ZLogger.e(String.format("0x%02X, Get target image info failed", Integer.valueOf(DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED)));
            throw new OtaException("Get target image info failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        ByteBuffer wrap = ByteBuffer.wrap(t);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        if (length >= 11) {
            i3 = wrap.getShort(3) & UShort.MAX_VALUE;
            this.mImageUpdateOffset = wrap.getInt(7);
        } else if (length >= 9) {
            i3 = wrap.getShort(3) & UShort.MAX_VALUE;
            this.mImageUpdateOffset = wrap.getInt(5);
        } else {
            this.mImageUpdateOffset = 0;
            i3 = 0;
        }
        ZLogger.d(String.format(Locale.US, "mOriginalFwVersion=%d, mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(i3), Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
    }

    public void i(int i2) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d("<< OPCODE_DFU_VALIDATE_FW_IMAGE (0x03)");
        a(this.Z, new byte[]{3, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255)}, false);
        int i3 = getOtaDeviceInfo().icType;
        int i4 = DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME;
        if ((i3 == 5 || getOtaDeviceInfo().icType == 9 || getOtaDeviceInfo().icType == 12) && getDfuProgressInfo().getImageSizeInBytes() > 2097152) {
            i4 = Math.max(((getDfuProgressInfo().getImageSizeInBytes() / 1048576) + 1) * 4 * 1000, DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
        }
        if (this.DBG) {
            ZLogger.d("... waiting DFU_VALIDATE_FW_IMAGE response for " + i4);
        }
        byte b2 = g(i4)[2];
        if (b2 == 1) {
            return;
        }
        if (b2 == 5) {
            ZLogger.e(String.format("0x%02X, Validate FW failed, CRC check error", Byte.valueOf(b2)));
            throw new OtaException("Validate FW failed", 517);
        }
        ZLogger.e(String.format("0x%02X(not supported), Validate FW failed", Byte.valueOf(b2)));
        throw new OtaException("Validate FW failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
    }

    public final int d(BluetoothGatt bluetoothGatt) {
        BluetoothGattService service = bluetoothGatt.getService(this.V);
        this.Y = service;
        if (service == null) {
            ZLogger.w("DFU_SERVICE not found:" + this.V);
            return 262;
        }
        if (this.DBG) {
            ZLogger.d("find DFU_SERVICE: " + this.V.toString());
        }
        BluetoothGattCharacteristic characteristic = this.Y.getCharacteristic(this.X);
        this.Z = characteristic;
        if (characteristic == null) {
            ZLogger.d("not found DFU_CONTROL_POINT_UUID: " + this.X.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (this.DBG) {
            ZLogger.d("find DFU_CONTROL_POINT_UUID: " + this.X.toString());
        }
        this.Z.setWriteType(2);
        ZLogger.d(BluetoothGattImpl.parseProperty2(this.Z.getProperties()));
        BluetoothGattCharacteristic characteristic2 = this.Y.getCharacteristic(this.W);
        this.a0 = characteristic2;
        if (characteristic2 == null) {
            ZLogger.w("not found DFU_DATA_UUID: " + this.W.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (this.DBG) {
            ZLogger.d("find DFU_DATA_UUID: " + this.W.toString());
        }
        this.a0.setWriteType(1);
        ZLogger.d(BluetoothGattImpl.parseProperty2(this.a0.getProperties()));
        return 0;
    }

    public final void e(BluetoothGatt bluetoothGatt) {
        BluetoothGattService service = bluetoothGatt.getService(this.M);
        this.N = service;
        if (service == null) {
            ZLogger.w("OTA_SERVICE not found: " + this.M.toString());
            return;
        }
        if (this.DBG) {
            ZLogger.d("find OTA_SERVICE: " + this.M.toString());
        }
        BluetoothGattService bluetoothGattService = this.N;
        UUID uuid = f.f4462a;
        BluetoothGattCharacteristic characteristic = bluetoothGattService.getCharacteristic(uuid);
        this.O = characteristic;
        if (characteristic == null && this.mOtaWorkMode == 0) {
            ZLogger.w("OTA_CONTROL_ENTER_OTA_MODE_CHARACTERISTIC not found: " + uuid);
        } else if (this.DBG) {
            ZLogger.d("find OTA_CONTROL_ENTER_OTA_MODE_CHARACTERISTIC = " + uuid);
            ZLogger.d(BluetoothGattImpl.parseProperty2(this.O.getProperties()));
        }
        BluetoothGattCharacteristic bluetoothGattCharacteristic = this.O;
        if (bluetoothGattCharacteristic != null) {
            bluetoothGattCharacteristic.setWriteType(1);
        }
        BluetoothGattService bluetoothGattService2 = this.N;
        UUID uuid2 = f.f4463b;
        BluetoothGattCharacteristic characteristic2 = bluetoothGattService2.getCharacteristic(uuid2);
        this.P = characteristic2;
        if (characteristic2 == null) {
            ZLogger.w("OTA_MAC_ADDR_CHARACTERISTIC_UUID not found:" + uuid2);
        } else if (this.DBG) {
            ZLogger.d("find OTA_MAC_ADDR_CHARACTERISTIC_UUID = " + uuid2);
            ZLogger.d(BluetoothGattImpl.parseProperty2(this.O.getProperties()));
        }
        BluetoothGattService bluetoothGattService3 = this.N;
        UUID uuid3 = f.f4464c;
        BluetoothGattCharacteristic characteristic3 = bluetoothGattService3.getCharacteristic(uuid3);
        this.R = characteristic3;
        if (characteristic3 == null) {
            ZLogger.d("OTA_READ_PATCH_CHARACTERISTIC_UUID not found:" + uuid3);
        } else if (this.DBG) {
            ZLogger.d("find OTA_PATCH_VERSION_CHARACTERISTIC_UUID: " + uuid3.toString());
            ZLogger.d(BluetoothGattImpl.parseProperty2(this.R.getProperties()));
        }
        BluetoothGattService bluetoothGattService4 = this.N;
        UUID uuid4 = f.f4465d;
        BluetoothGattCharacteristic characteristic4 = bluetoothGattService4.getCharacteristic(uuid4);
        this.Q = characteristic4;
        if (characteristic4 == null) {
            ZLogger.w("OTA_READ_APP_CHARACTERISTIC_UUID not found: " + uuid4);
        } else if (this.DBG) {
            ZLogger.d("find OTA_APP_VERSION_CHARACTERISTIC_UUID: " + uuid4.toString());
            ZLogger.d(BluetoothGattImpl.parseProperty2(this.Q.getProperties()));
        }
        BluetoothGattService bluetoothGattService5 = this.N;
        UUID uuid5 = f.f4466e;
        BluetoothGattCharacteristic characteristic5 = bluetoothGattService5.getCharacteristic(uuid5);
        this.S = characteristic5;
        if (characteristic5 == null) {
            ZLogger.w("OTA_PATCH_EXTENSION_VERSION_CHARACTERISTIC_UUID not found:" + uuid5);
        } else if (this.DBG) {
            ZLogger.d("find OTA_PATCH_EXTENSION_VERSION_CHARACTERISTIC_UUID: " + uuid5.toString());
            ZLogger.d(BluetoothGattImpl.parseProperty2(this.S.getProperties()));
        }
        BluetoothGattService bluetoothGattService6 = this.N;
        UUID uuid6 = f.f4467f;
        BluetoothGattCharacteristic characteristic6 = bluetoothGattService6.getCharacteristic(uuid6);
        this.T = characteristic6;
        if (characteristic6 == null) {
            ZLogger.w("OTA_DEVICE_INFO_CHARACTERISTIC_UUID not found:" + uuid6);
        } else if (this.DBG) {
            ZLogger.d("find OTA_DEVICE_INFO_CHARACTERISTIC_UUID: " + uuid6);
            ZLogger.d(BluetoothGattImpl.parseProperty2(this.T.getProperties()));
        }
        this.U = new ArrayList();
        for (int i2 = 65504; i2 < 65519; i2++) {
            UUID fromShortValue = BluetoothUuid.fromShortValue(i2);
            BluetoothGattCharacteristic characteristic7 = this.N.getCharacteristic(fromShortValue);
            if (characteristic7 == null) {
                if (this.DBG) {
                    ZLogger.d("not found image version characteristic:" + fromShortValue.toString());
                    return;
                }
                return;
            }
            if (this.DBG) {
                ZLogger.d("find image version characteristic: " + fromShortValue.toString());
            }
            ZLogger.d(BluetoothGattImpl.parseProperty2(characteristic7.getProperties()));
            this.U.add(characteristic7);
        }
    }

    public int c(String str) {
        BluetoothDevice bluetoothDevice;
        setConnectionState(256);
        this.mErrorState = 0;
        this.isConnectedCallbackCome = false;
        if (this.DBG) {
            ZLogger.v(String.format("Connecting to device:%s, isConnectedCallbackCome=%b", str, Boolean.valueOf(this.isConnectedCallbackCome)));
        }
        BluetoothGatt bluetoothGatt = null;
        try {
            bluetoothDevice = this.w.getRemoteDevice(str);
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
            bluetoothDevice = null;
        }
        GlobalGatt globalGatt = this.D;
        if (globalGatt != null) {
            globalGatt.unRegisterCallback(str, this.b0);
            this.D.connect(str, this.b0);
            bluetoothGatt = this.D.getBluetoothGatt(str);
            this.E = bluetoothGatt;
            try {
                synchronized (this.mConnectionLock) {
                    if (this.DBG) {
                        ZLogger.v(String.format("isConnectedCallbackCome=%b, mErrorState=0x%04X", Boolean.valueOf(this.isConnectedCallbackCome), Integer.valueOf(this.mErrorState)));
                    }
                    if (!this.isConnectedCallbackCome && this.mErrorState == 0) {
                        if (this.DBG) {
                            ZLogger.d("wait for connect gatt for 32000 ms");
                        }
                        this.mConnectionLock.wait(32000L);
                    }
                }
            } catch (InterruptedException e3) {
                ZLogger.e("Sleeping interrupted : " + e3.toString());
                this.mErrorState = 259;
            }
        } else if (bluetoothDevice != null) {
            bluetoothGatt = bluetoothDevice.connectGatt(this.mContext, false, this.b0);
            this.E = bluetoothGatt;
            try {
                synchronized (this.mConnectionLock) {
                    if (!this.isConnectedCallbackCome && this.mErrorState == 0) {
                        if (this.DBG) {
                            ZLogger.d("wait for connect gatt for 32000 ms");
                        }
                        this.mConnectionLock.wait(32000L);
                    }
                }
            } catch (InterruptedException e4) {
                ZLogger.e("Sleeping interrupted : " + e4.toString());
                this.mErrorState = 259;
            }
        } else {
            ZLogger.w("device is null");
            this.E = null;
        }
        if (this.mErrorState == 0) {
            if (!this.isConnectedCallbackCome) {
                ZLogger.w("wait for connect, but can not connect with no callback");
                this.mErrorState = 260;
            } else if (bluetoothGatt == null || this.mConnectionState != 515) {
                ZLogger.w("connect with some error, please check. mConnectionState=" + this.mConnectionState);
                this.mErrorState = 264;
            }
        }
        if (this.mErrorState != 0) {
            int i2 = this.mConnectionState;
        } else if (this.DBG) {
            ZLogger.v("connected the device which going to upgrade");
        }
        return this.mErrorState;
    }

    public boolean b(byte[] bArr, int i2) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        if (bArr == null) {
            ZLogger.w("buffer == null");
            return false;
        }
        if (this.DBG) {
            ZLogger.v(String.format(Locale.US, "bufferCheck (%d) >> (%d) %s", Integer.valueOf(i2), Integer.valueOf(bArr.length), DataConverter.bytes2Hex(bArr)));
        }
        short a2 = a(bArr, i2);
        if (this.DBG) {
            ZLogger.d("<< OPCODE_DFU_REPORT_BUFFER_CRC(0x0A)");
        }
        a(this.Z, new byte[]{10, (byte) (i2 & 255), (byte) (i2 >> 8), (byte) (a2 & 255), (byte) ((a2 >> 8) & 255)}, false);
        if (this.DBG) {
            ZLogger.d("... waiting OPCODE_DFU_REPORT_BUFFER_CRC(0x0A) response");
        }
        byte[] t = t();
        byte b2 = t[2];
        ByteBuffer wrap = ByteBuffer.wrap(t);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        this.mImageUpdateOffset = wrap.getInt(3);
        if (this.DBG) {
            ZLogger.d(String.format(Locale.US, "status:0x%04X, mImageUpdateOffset=0x%08X(%d)", Byte.valueOf(b2), Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
        }
        if (b2 == 1) {
            return true;
        }
        if (b2 == 5 || b2 == 6 || b2 == 7) {
            return false;
        }
        if (b2 != 8) {
            throw new OtaException("ERROR_OPCODE_RESPONSE_NOT_SUPPORTED", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        throw new OtaException("DFU_STATUS_FLASH_ERASE_ERROR", b2 | 512);
    }

    public void a(boolean z) throws DfuException {
        if (!this.mAborted) {
            ZLogger.d("<< OPCODE_DFU_ENSURE_CURRENT_BUFFER(0x0C)");
            a(this.Z, new byte[]{12, !z ? 1 : 0}, false);
            return;
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public void a(int i2, int i3) throws DfuException {
        if (!this.mAborted) {
            ZLogger.d("<< OPCODE_DFU_RECEIVE_FW_IMAGE (0x02)");
            a(this.Z, new byte[]{2, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255), (byte) (i3 & 255), (byte) ((i3 >> 8) & 255), (byte) ((i3 >> 16) & 255), (byte) ((i3 >> 24) & 255)}, false);
            return;
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public void a(byte b2) throws DfuException {
        a(new byte[]{4, b2});
    }

    public void a(byte[] bArr) throws DfuException {
        boolean z;
        notifyStateChanged(524);
        boolean z2 = this.mAborted;
        int i2 = DfuException.ERROR_DFU_ABORTED;
        if (!z2) {
            boolean z3 = false;
            try {
                ZLogger.d("<< OPCODE_DFU_ACTIVE_IMAGE_RESET(0x04)");
                z = a(this.Z, bArr, false);
            } catch (DfuException e2) {
                if (e2.getErrCode() != 4128) {
                    if (!getDfuConfig().isWaitActiveCmdAckEnabled()) {
                        ZLogger.d("active cmd has no response, ignore");
                        z = true;
                    } else {
                        ZLogger.w("active cmd has no response, notify error");
                        i2 = e2.getErrCode();
                    }
                }
            }
            i2 = 0;
            z3 = z;
            if (z3) {
                ZLogger.d("image active success");
                d(this.mErrorState);
                closeInputStream(this.mCurBinInputStream);
                return;
            }
            throw new OtaException(i2);
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public void a(int i2, boolean z) {
        if (this.mAborted) {
            i2 = 4128;
        }
        if (i2 != 4128) {
            notifyStateChanged(260, true);
        }
        ZLogger.v(String.format("error = 0x%04X, needReset=%b", Integer.valueOf(i2), Boolean.valueOf(z)));
        if (z) {
            y();
        }
        LeScannerPresenter leScannerPresenter = this.A;
        if (leScannerPresenter != null) {
            leScannerPresenter.stopScan();
        }
        closeInputStream(this.mCurBinInputStream);
        if (getDfuConfig().isErrorActionEnabled(1)) {
            d(i2);
        }
        DfuThreadCallback dfuThreadCallback = this.mThreadCallback;
        if (dfuThreadCallback != null) {
            dfuThreadCallback.onError(i2);
        }
        this.mAborted = true;
    }

    public boolean e(int i2) throws DfuException {
        if (!this.mAborted) {
            ZLogger.d(String.format("<< OPCODE_DFU_CHECK_CURRENT_BUFFER(0x0B) , crc=0x%04X", Integer.valueOf(i2)));
            a(this.Z, new byte[]{11}, false);
            if (this.DBG) {
                ZLogger.d("... waiting CHECK_CURRENT_BUFFER response");
            }
            byte[] t = t();
            byte b2 = t[2];
            if (b2 == 1) {
                int i3 = ((t[4] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (t[3] & 255);
                if (i3 == i2) {
                    return true;
                }
                ZLogger.w("CRC check error, local: " + i2 + ", remote : " + i3);
            } else {
                ZLogger.w("check current buffer failed, status: " + ((int) b2));
            }
            return false;
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public final int c(BluetoothGatt bluetoothGatt) {
        UUID uuid = c.b.f4455a;
        BluetoothGattService service = bluetoothGatt.getService(uuid);
        if (service == null) {
            ZLogger.d("DEVICE_INFORMATION_SERVICE not found:" + uuid);
            return 262;
        }
        if (this.DBG) {
            ZLogger.d("find DEVICE_INFORMATION_SERVICE: " + uuid.toString());
        }
        UUID uuid2 = c.b.f4456b;
        BluetoothGattCharacteristic characteristic = service.getCharacteristic(uuid2);
        this.L = characteristic;
        if (characteristic == null) {
            ZLogger.d("DIS_PNP_ID_CHARACTERISTIC not found:" + uuid2);
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (!this.DBG) {
            return 0;
        }
        ZLogger.d("find DIS_PNP_ID_CHARACTERISTIC: " + uuid2.toString());
        return 0;
    }

    /* JADX WARN: Code restructure failed: missing block: B:82:0x005d, code lost:
    
        if (r4 != (getDfuProgressInfo().getBytesSent() + 12)) goto L17;
     */
    /* JADX WARN: Removed duplicated region for block: B:15:0x0070 A[Catch: IOException -> 0x01f7, TryCatch #0 {IOException -> 0x01f7, blocks: (B:79:0x004f, B:81:0x0054, B:13:0x006c, B:15:0x0070, B:17:0x0085, B:18:0x008c, B:19:0x00bf, B:21:0x00c3, B:23:0x00c7, B:24:0x00d6, B:26:0x00e0, B:28:0x00ec, B:76:0x009d, B:77:0x00ad, B:12:0x005f), top: B:78:0x004f }] */
    /* JADX WARN: Removed duplicated region for block: B:21:0x00c3 A[Catch: IOException -> 0x01f7, TRY_LEAVE, TryCatch #0 {IOException -> 0x01f7, blocks: (B:79:0x004f, B:81:0x0054, B:13:0x006c, B:15:0x0070, B:17:0x0085, B:18:0x008c, B:19:0x00bf, B:21:0x00c3, B:23:0x00c7, B:24:0x00d6, B:26:0x00e0, B:28:0x00ec, B:76:0x009d, B:77:0x00ad, B:12:0x005f), top: B:78:0x004f }] */
    /* JADX WARN: Removed duplicated region for block: B:26:0x00e0 A[Catch: IOException -> 0x01f7, TryCatch #0 {IOException -> 0x01f7, blocks: (B:79:0x004f, B:81:0x0054, B:13:0x006c, B:15:0x0070, B:17:0x0085, B:18:0x008c, B:19:0x00bf, B:21:0x00c3, B:23:0x00c7, B:24:0x00d6, B:26:0x00e0, B:28:0x00ec, B:76:0x009d, B:77:0x00ad, B:12:0x005f), top: B:78:0x004f }] */
    /* JADX WARN: Removed duplicated region for block: B:31:0x0105  */
    /* JADX WARN: Removed duplicated region for block: B:33:0x013b  */
    /* JADX WARN: Removed duplicated region for block: B:66:0x0112 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:75:0x009b  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void a(android.bluetooth.BluetoothGatt r18, android.bluetooth.BluetoothGattCharacteristic r19, com.realsil.sdk.dfu.image.stream.BaseBinInputStream r20) throws com.realsil.sdk.dfu.DfuException {
        /*
            Method dump skipped, instructions count: 521
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.k.b.a(android.bluetooth.BluetoothGatt, android.bluetooth.BluetoothGattCharacteristic, com.realsil.sdk.dfu.image.stream.BaseBinInputStream):void");
    }
}
