package com.realsil.sdk.dfu.l;

import android.bluetooth.BluetoothGatt;
import android.bluetooth.BluetoothGattCharacteristic;
import android.bluetooth.BluetoothGattService;
import com.realsil.sdk.core.bluetooth.impl.BluetoothGattImpl;
import com.realsil.sdk.core.bluetooth.utils.BluetoothUuid;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.j.a;
import com.realsil.sdk.dfu.j.c;
import com.realsil.sdk.dfu.model.OtaModeInfo;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.UUID;
import kotlin.UShort;

/* loaded from: classes3.dex */
public final class a extends com.realsil.sdk.dfu.j.a {
    public BluetoothGattCharacteristic A;
    public BluetoothGattCharacteristic B;
    public boolean C;
    public BluetoothGattCharacteristic v;
    public BluetoothGattCharacteristic w;
    public BluetoothGattCharacteristic x;
    public BluetoothGattCharacteristic y;
    public BluetoothGattCharacteristic z;

    public a(int i2, boolean z) {
        this.f4439e = i2;
        this.C = z;
    }

    @Override // com.realsil.sdk.dfu.j.a
    public void a(String str, BluetoothGatt bluetoothGatt, BluetoothGattService bluetoothGattService, BluetoothGattService bluetoothGattService2, a.c cVar) {
        super.a(str, bluetoothGatt, bluetoothGattService, bluetoothGattService2, cVar);
        if (this.C) {
            ZLogger.v("No Temp OTA, no need to check ota service");
        } else {
            k();
        }
        j();
    }

    @Override // com.realsil.sdk.dfu.j.a
    public void g() {
        super.g();
        b(257);
        if (this.f4443i != null) {
            b(258);
            ZLogger.v("read battery level :" + a(this.f4443i));
        }
        if (this.f4444j != null) {
            b(259);
            ZLogger.v("read PnP_ID :" + a(this.f4444j));
        }
        if (this.x != null) {
            b(260);
            ZLogger.v("read device info :" + a(this.x));
        }
        if (this.w != null) {
            b(261);
            ZLogger.v("read device mac :" + a(this.w));
        }
        if (b().specVersion == 0) {
            if (this.y != null) {
                b(262);
                ZLogger.v("read app version :" + a(this.y));
            }
            if (this.z != null) {
                b(DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS);
                ZLogger.v("attempt to read patch version :" + a(this.z));
            }
            if (this.A != null) {
                b(264);
                ZLogger.v("attempt to read patch extension version :" + a(this.A));
            }
        }
        BluetoothGattCharacteristic bluetoothGattCharacteristic = this.B;
        if (bluetoothGattCharacteristic != null) {
            if (a(this.f4440f, bluetoothGattCharacteristic, true)) {
                b(265);
                ZLogger.v("readTempDeviceInfo:" + l());
            } else {
                ZLogger.d("readTempDeviceInfo failed");
            }
        }
        for (BluetoothGattCharacteristic bluetoothGattCharacteristic2 : this.k) {
            int shortValue = BluetoothUuid.toShortValue(bluetoothGattCharacteristic2.getUuid());
            ZLogger.v(true, String.format("uuidShortValue=0x%4x", Integer.valueOf(shortValue)));
            if (shortValue >= 65472 && shortValue <= 65487) {
                b(266);
                ZLogger.d("read debug info :" + a(bluetoothGattCharacteristic2));
            } else if (shortValue >= 65504 && shortValue <= 65519 && b().specVersion != 0) {
                b(267);
                ZLogger.d("read image version :" + a(bluetoothGattCharacteristic2));
            }
        }
        ZLogger.v(false, "no more characteristic to read");
        ZLogger.d(b().toString());
        this.k.clear();
        b(1);
    }

    public final void j() {
        if (this.f4442h == null) {
            this.B = null;
            ZLogger.w(true, "not find DFU_SERVICE_UUID = " + g.f4470a);
            if (this.v != null) {
                this.m.add(new OtaModeInfo(0));
                return;
            }
            return;
        }
        ZLogger.d(true, "find DFU_SERVICE_UUID = " + this.f4442h.getUuid());
        if (this.C) {
            this.m.add(new OtaModeInfo(18));
            BluetoothGattService bluetoothGattService = this.f4442h;
            UUID uuid = g.f4472c;
            BluetoothGattCharacteristic characteristic = bluetoothGattService.getCharacteristic(uuid);
            this.B = characteristic;
            if (characteristic == null) {
                ZLogger.d("not found DFU_CONTROL_POINT_CHARACTERISTIC: " + uuid);
                return;
            } else {
                ZLogger.d("find DFU_CONTROL_POINT_CHARACTERISTIC: " + uuid);
                ZLogger.d(BluetoothGattImpl.parseProperty2(this.B.getProperties()));
                this.B.setWriteType(2);
                return;
            }
        }
        BluetoothGattService bluetoothGattService2 = this.f4442h;
        UUID uuid2 = g.f4473d;
        BluetoothGattCharacteristic characteristic2 = bluetoothGattService2.getCharacteristic(uuid2);
        if (characteristic2 != null) {
            ZLogger.d(true, "find DFU_EXTEND_FLASH_CHARACTERISTIC = " + uuid2);
            this.m.add(new OtaModeInfo(17));
            ZLogger.d(BluetoothGattImpl.parseProperty2(characteristic2.getProperties()));
            return;
        }
        ZLogger.w(true, "DFU_EXTEND_FLASH_CHARACTERISTIC not found");
        this.m.add(new OtaModeInfo(16));
        if (this.v != null) {
            this.m.add(new OtaModeInfo(0));
        }
    }

    public final void k() {
        BluetoothGattService bluetoothGattService = this.f4441g;
        if (bluetoothGattService == null) {
            return;
        }
        UUID uuid = h.f4474a;
        BluetoothGattCharacteristic characteristic = bluetoothGattService.getCharacteristic(uuid);
        this.v = characteristic;
        if (characteristic == null) {
            ZLogger.d("OTA_CONTROL_ENTER_OTA_MODE_CHARACTERISTIC not found");
        } else {
            ZLogger.v(true, "find OTA_CONTROL_ENTER_OTA_MODE_CHARACTERISTIC = " + uuid);
        }
        BluetoothGattService bluetoothGattService2 = this.f4441g;
        UUID uuid2 = h.f4475b;
        BluetoothGattCharacteristic characteristic2 = bluetoothGattService2.getCharacteristic(uuid2);
        this.w = characteristic2;
        if (characteristic2 == null) {
            ZLogger.d("OTA_DEVICE_MAC_CHARACTERISTIC_UUID not found");
        } else {
            ZLogger.v("find OTA_DEVICE_MAC_CHARACTERISTIC_UUID = " + uuid2);
            ZLogger.v(BluetoothGattImpl.parseProperty2(this.w.getProperties()));
        }
        BluetoothGattService bluetoothGattService3 = this.f4441g;
        UUID uuid3 = h.f4476c;
        BluetoothGattCharacteristic characteristic3 = bluetoothGattService3.getCharacteristic(uuid3);
        this.z = characteristic3;
        if (characteristic3 == null) {
            ZLogger.d("OTA_READ_PATCH_CHARACTERISTIC_UUID not found");
        } else {
            ZLogger.v("find OTA_READ_PATCH_CHARACTERISTIC_UUID = " + uuid3);
            ZLogger.v(BluetoothGattImpl.parseProperty2(this.z.getProperties()));
        }
        BluetoothGattService bluetoothGattService4 = this.f4441g;
        UUID uuid4 = h.f4477d;
        BluetoothGattCharacteristic characteristic4 = bluetoothGattService4.getCharacteristic(uuid4);
        this.y = characteristic4;
        if (characteristic4 == null) {
            ZLogger.d("OTA_APP_VERSION_CHARACTERISTIC_UUID not found");
        } else {
            ZLogger.v("find OTA_APP_VERSION_CHARACTERISTIC_UUID = " + uuid4);
            ZLogger.v(BluetoothGattImpl.parseProperty2(this.y.getProperties()));
        }
        BluetoothGattService bluetoothGattService5 = this.f4441g;
        UUID uuid5 = h.f4478e;
        BluetoothGattCharacteristic characteristic5 = bluetoothGattService5.getCharacteristic(uuid5);
        this.A = characteristic5;
        if (characteristic5 == null) {
            ZLogger.d("OTA_READ_PATCH_EXTENSION_CHARACTERISTIC_UUID not found");
        } else {
            ZLogger.v("find OTA_READ_PATCH_EXTENSION_CHARACTERISTIC_UUID = " + uuid5);
            ZLogger.v(BluetoothGattImpl.parseProperty2(this.A.getProperties()));
        }
        BluetoothGattService bluetoothGattService6 = this.f4441g;
        UUID uuid6 = h.f4479f;
        BluetoothGattCharacteristic characteristic6 = bluetoothGattService6.getCharacteristic(uuid6);
        this.x = characteristic6;
        if (characteristic6 == null) {
            ZLogger.d("OTA_DEVICE_INFO_CHARACTERISTIC_UUID not found");
        } else {
            ZLogger.v("find OTA_DEVICE_INFO_CHARACTERISTIC_UUID = " + uuid6);
            ZLogger.v(BluetoothGattImpl.parseProperty2(this.x.getProperties()));
        }
        int i2 = 65472;
        while (true) {
            if (i2 > 65487) {
                break;
            }
            UUID fromShortValue = BluetoothUuid.fromShortValue(i2);
            BluetoothGattCharacteristic characteristic7 = this.f4441g.getCharacteristic(fromShortValue);
            if (characteristic7 == null) {
                ZLogger.d("not found debug characteristic:" + fromShortValue.toString());
                break;
            } else {
                ZLogger.d(true, "find debug characteristic: " + fromShortValue.toString());
                this.k.add(characteristic7);
                i2++;
            }
        }
        for (int i3 = 65504; i3 <= 65519; i3++) {
            UUID fromShortValue2 = BluetoothUuid.fromShortValue(i3);
            BluetoothGattCharacteristic characteristic8 = this.f4441g.getCharacteristic(fromShortValue2);
            if (characteristic8 == null) {
                ZLogger.d(true, "not found image version characteristic:" + fromShortValue2.toString());
                return;
            } else {
                ZLogger.d(true, "find image version characteristic: " + fromShortValue2.toString());
                this.k.add(characteristic8);
            }
        }
    }

    public final boolean l() {
        if (this.f4440f == null || this.B == null) {
            ZLogger.w("mBtGatt is null maybe disconnected just now");
            return false;
        }
        ZLogger.v("attempt to read temp device info ....: ");
        this.B.setValue(new byte[]{13});
        boolean writeCharacteristic = this.f4440f.writeCharacteristic(this.B);
        if (writeCharacteristic) {
            i();
        }
        return writeCharacteristic;
    }

    @Override // com.realsil.sdk.dfu.j.a
    public void a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, int i2) {
        super.a(bluetoothGatt, bluetoothGattCharacteristic, i2);
        UUID uuid = bluetoothGattCharacteristic.getUuid();
        bluetoothGattCharacteristic.getValue();
        if (i2 == 0) {
            byte[] value = bluetoothGattCharacteristic.getValue();
            int length = value != null ? value.length : 0;
            if (c.a.f4454b.equals(uuid)) {
                if (length > 0) {
                    int i3 = value[0] & 255;
                    ZLogger.v("current battery: " + i3);
                    b().setBatteryLevel(i3);
                }
                h();
                return;
            }
            if (c.b.f4456b.equals(uuid)) {
                ZLogger.v("PNP_ID: " + DataConverter.bytes2Hex(value));
                b().setPnpId(value);
                h();
                return;
            }
            if (h.f4479f.equals(uuid)) {
                b().parseX0000(value);
                h();
                return;
            }
            if (h.f4475b.equals(uuid)) {
                if (length > 0) {
                    ByteBuffer wrap = ByteBuffer.wrap(value);
                    wrap.order(ByteOrder.LITTLE_ENDIAN);
                    if (length >= 6) {
                        byte[] bArr = new byte[6];
                        wrap.get(bArr, 0, 6);
                        b().setDeviceMac(bArr);
                    }
                }
                h();
                return;
            }
            if (h.f4476c.equals(uuid)) {
                if (length > 0) {
                    ByteBuffer wrap2 = ByteBuffer.wrap(value);
                    wrap2.order(ByteOrder.LITTLE_ENDIAN);
                    if (length == 2) {
                        b().setPatchVersion(wrap2.getShort(0) & UShort.MAX_VALUE);
                    } else if (length >= 4) {
                        b().setPatchVersion(wrap2.getInt(0) & 65535);
                    }
                }
                h();
                return;
            }
            if (h.f4477d.equals(uuid)) {
                if (length > 0) {
                    ByteBuffer wrap3 = ByteBuffer.wrap(value);
                    wrap3.order(ByteOrder.LITTLE_ENDIAN);
                    if (length == 2) {
                        b().setAppVersion(wrap3.getShort(0) & UShort.MAX_VALUE);
                    } else if (length >= 4) {
                        b().setAppVersion(wrap3.getInt(0));
                    }
                }
                h();
                return;
            }
            if (h.f4478e.equals(uuid)) {
                ByteBuffer wrap4 = ByteBuffer.wrap(value);
                wrap4.order(ByteOrder.LITTLE_ENDIAN);
                if (length == 1) {
                    b().setPatchExtensionVersion(wrap4.get(0));
                } else if (length == 2) {
                    b().setPatchExtensionVersion(wrap4.getShort(0) & UShort.MAX_VALUE);
                }
                h();
                return;
            }
            int shortValue = BluetoothUuid.toShortValue(uuid);
            if (shortValue >= 65504 && shortValue <= 65519) {
                b().appendActiveImageVersionBytes(value);
            } else if (shortValue >= 65472 && shortValue <= 65487) {
                b().appendDebugCharacteristicInfo(shortValue, value);
            }
            h();
            return;
        }
        ZLogger.e(true, "Characteristic read error: " + i2);
        if (h.f4479f.equals(uuid)) {
            b(2);
            h();
        } else {
            ZLogger.d("ignore exctption when read other info");
        }
    }

    @Override // com.realsil.sdk.dfu.j.a
    public void a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic) {
        super.a(bluetoothGatt, bluetoothGattCharacteristic);
        bluetoothGattCharacteristic.getUuid();
        byte[] value = bluetoothGattCharacteristic.getValue();
        if (g.f4472c.equals(bluetoothGattCharacteristic.getUuid())) {
            if (value != null && value.length >= 2) {
                int i2 = value[0] & 255;
                int i3 = value[1] & 255;
                byte b2 = value[2];
                ZLogger.v(true, String.format("responseType = %02X , requestOpCode = %02X", Integer.valueOf(i2), Integer.valueOf(i3)));
                if (i2 == 16 && i3 == 13) {
                    if (b2 == 1) {
                        b().parseX0000(value, 3);
                    } else {
                        ZLogger.e("Get temp dev info failed");
                    }
                    h();
                    return;
                }
                return;
            }
            ZLogger.w("notification data invalid");
        }
    }
}
