package com.realsil.sdk.dfu.m;

import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothGatt;
import android.bluetooth.BluetoothGattCallback;
import android.bluetooth.BluetoothGattCharacteristic;
import android.bluetooth.BluetoothGattDescriptor;
import android.bluetooth.BluetoothGattService;
import android.content.Context;
import com.realsil.sdk.core.bluetooth.GlobalGatt;
import com.realsil.sdk.core.bluetooth.impl.BluetoothGattImpl;
import com.realsil.sdk.core.bluetooth.utils.BluetoothUuid;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.DfuConstants;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.exception.OtaException;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.internal.base.DfuThreadCallback;
import com.realsil.sdk.dfu.model.DfuConfig;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import java.util.UUID;

/* loaded from: classes3.dex */
public abstract class c extends com.realsil.sdk.dfu.j.b {
    public UUID L;
    public BluetoothGattService M;
    public BluetoothGattCharacteristic N;
    public BluetoothGattCharacteristic O;
    public BluetoothGattCharacteristic P;
    public List<BluetoothGattCharacteristic> Q;
    public List<BluetoothGattCharacteristic> R;
    public UUID S;
    public UUID T;
    public UUID U;
    public BluetoothGattService V;
    public BluetoothGattCharacteristic W;
    public BluetoothGattCharacteristic X;
    public final BluetoothGattCallback Y;

    public class a extends BluetoothGattCallback {
        public a() {
        }

        public final synchronized void a(byte[] bArr) {
            if (bArr != null) {
                if (bArr.length >= 2) {
                    int i2 = bArr[0] & 255;
                    int i3 = bArr[1] & 255;
                    ZLogger.v(c.this.DBG, String.format("responseType = %02X , requestOpCode = %02X", Integer.valueOf(i2), Integer.valueOf(i3)));
                    if (i2 == 16) {
                        if (i3 == 7) {
                            synchronized (c.this.m) {
                                ZLogger.d("ignore connection parameters notification");
                                c.this.F = bArr;
                                c.this.H = true;
                                c.this.m.notifyAll();
                            }
                        } else if (i3 != 8) {
                            synchronized (c.this.m) {
                                c.this.F = bArr;
                                c.this.H = true;
                                c.this.m.notifyAll();
                            }
                        } else {
                            byte b2 = bArr.length >= 3 ? bArr[2] : (byte) 0;
                            ZLogger.d("remote state changed, busyMode=" + ((int) b2));
                            synchronized (c.this.s) {
                                c.this.r = b2 == 1;
                                c.this.s.notifyAll();
                            }
                        }
                    }
                    return;
                }
            }
            ZLogger.w("notification data invalid");
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicChanged(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic) {
            a(bluetoothGattCharacteristic.getValue());
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicRead(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, int i2) {
            if (i2 == 0) {
                c.this.mReadRxData = bluetoothGattCharacteristic.getValue();
            } else {
                c.this.mErrorState = i2 | 1024;
                ZLogger.w(String.format(Locale.US, "read Characteristic error:0x%04X", Integer.valueOf(c.this.mErrorState)));
            }
            c.this.notifyReadLock();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicWrite(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, int i2) {
            byte[] value = bluetoothGattCharacteristic.getValue();
            if (i2 == 0) {
                c.this.mWriteRetransFlag = false;
                UUID uuid = c.this.T;
                if (uuid != null && uuid.equals(bluetoothGattCharacteristic.getUuid())) {
                    if (value != null) {
                        c.this.getDfuProgressInfo().addBytesSent(value.length);
                        c.this.notifyProcessChanged();
                    } else {
                        ZLogger.w("characteristic'value is null, exception");
                    }
                }
            } else if (i2 == 257 || i2 == 143) {
                UUID uuid2 = c.this.T;
                if (uuid2 != null && uuid2.equals(bluetoothGattCharacteristic.getUuid())) {
                    if (i2 == 143) {
                        c.this.mWriteRetransFlag = false;
                        if (value != null) {
                            c.this.getDfuProgressInfo().addBytesSent(value.length);
                            c.this.notifyProcessChanged();
                        } else {
                            ZLogger.w("characteristic'value is null, exception");
                        }
                    } else {
                        c.this.mWriteRetransFlag = true;
                        if (c.this.DBG) {
                            ZLogger.d("write image packet error, status=" + i2 + ", please retry.");
                        }
                    }
                }
            } else {
                c.this.mErrorState = i2 | 1024;
                ZLogger.w(String.format("Characteristic write error: 0x%04X", Integer.valueOf(c.this.mErrorState)));
            }
            c.this.g();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onConnectionStateChange(BluetoothGatt bluetoothGatt, int i2, int i3) {
            if (i2 != 0) {
                if (i3 == 0) {
                    c.this.setConnectionState(0);
                }
                c.this.mErrorState = i2 | 2048;
            } else if (i3 == 2) {
                c cVar = c.this;
                if (cVar.mAborted) {
                    ZLogger.w("task already aborted, ignore");
                    return;
                } else if (cVar.mConnectionState == 256) {
                    BluetoothGattImpl.refresh(bluetoothGatt);
                    c.this.n();
                    return;
                }
            } else if (i3 == 0) {
                if (c.this.mProcessState == 521) {
                    c.this.mErrorState = i2 | 2048;
                    c cVar2 = c.this;
                    if (cVar2.DBG) {
                        ZLogger.d(String.format("disconnect in OTA process, mErrorState:0x%04X ", Integer.valueOf(cVar2.mErrorState)));
                    }
                }
                c.this.setConnectionState(0);
            }
            synchronized (c.this.mConnectionLock) {
                c cVar3 = c.this;
                if (cVar3.mConnectionState != 256) {
                    cVar3.isConnectedCallbackCome = true;
                }
                c.this.mConnectionLock.notifyAll();
            }
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onDescriptorWrite(BluetoothGatt bluetoothGatt, BluetoothGattDescriptor bluetoothGattDescriptor, int i2) {
            if (i2 != 0) {
                c.this.mErrorState = i2 | 1024;
            } else if (com.realsil.sdk.dfu.j.c.f4449a.equals(bluetoothGattDescriptor.getUuid())) {
                c.this.G = true;
            }
            c.this.e();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onMtuChanged(BluetoothGatt bluetoothGatt, int i2, int i3) {
            if (i3 == 0) {
                ZLogger.v(c.this.VDBG, "mtu=" + i2);
                if (c.this.getDfuConfig().isMtuUpdateEnabled()) {
                    c.this.c(i2);
                }
            }
            c.this.I = true;
            c.this.e();
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onPhyUpdate(BluetoothGatt bluetoothGatt, int i2, int i3, int i4) {
            super.onPhyUpdate(bluetoothGatt, i2, i3, i4);
            ZLogger.v(String.format("onPhyUpdate: mConnectionState=0x%04X", Integer.valueOf(c.this.mConnectionState)));
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onServicesDiscovered(BluetoothGatt bluetoothGatt, int i2) {
            c cVar = c.this;
            if (cVar.mAborted) {
                ZLogger.w("task already aborted, ignore");
                return;
            }
            if (i2 == 0) {
                cVar.d(bluetoothGatt);
                c.this.c(bluetoothGatt);
                c.this.setConnectionState(515);
                c.this.notifyConnectionLock();
            } else {
                cVar.mErrorState = i2 | 2048;
            }
            synchronized (c.this.mConnectionLock) {
                c cVar2 = c.this;
                if (cVar2.mConnectionState == 515) {
                    cVar2.isConnectedCallbackCome = true;
                }
                c.this.mConnectionLock.notifyAll();
            }
        }
    }

    public c(Context context, DfuConfig dfuConfig, DfuThreadCallback dfuThreadCallback) {
        super(context, dfuConfig, dfuThreadCallback);
        this.L = com.realsil.sdk.dfu.j.c.f4450b;
        this.S = f.f4482a;
        this.T = f.f4483b;
        this.U = f.f4484c;
        this.Y = new a();
    }

    @Override // com.realsil.sdk.dfu.j.b, com.realsil.sdk.dfu.i.b, com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void initialize() {
        super.initialize();
        try {
            this.L = UUID.fromString(getDfuConfig().getOtaServiceUuid());
            this.S = UUID.fromString(getDfuConfig().getDfuServiceUuid());
            this.T = UUID.fromString(getDfuConfig().getDfuDataUuid());
            this.U = UUID.fromString(getDfuConfig().getDfuControlPointUuid());
        } catch (Exception e2) {
            e2.printStackTrace();
            ZLogger.e(e2.toString());
        }
        this.initialized = true;
    }

    public void q() throws DfuException {
        a(new byte[]{4});
    }

    public int r() {
        if (this.V == null) {
            ZLogger.w("DFU_SERVICE not found:" + this.S.toString());
            return 262;
        }
        if (this.W == null) {
            ZLogger.d("not found DFU_CONTROL_POINT_UUID : " + this.U.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (this.DBG) {
            ZLogger.d("find DFU_CONTROL_POINT_UUID: " + this.U.toString());
        }
        if (this.X == null) {
            ZLogger.d("not found DFU_DATA_UUID :" + this.T.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (!this.DBG) {
            return 0;
        }
        ZLogger.d("find DFU_DATA_UUID: " + this.T.toString());
        return 0;
    }

    public void s() throws DfuException {
        List<BluetoothGattCharacteristic> list = this.Q;
        byte[] bArr = null;
        if (list == null || list.size() <= 0) {
            ZLogger.d("no ImageVersionCharacteristics to read");
            getOtaDeviceInfo().setActiveImageVersionValues(null);
            return;
        }
        for (BluetoothGattCharacteristic bluetoothGattCharacteristic : this.Q) {
            if (this.DBG) {
                ZLogger.v("read image version : " + bluetoothGattCharacteristic.getUuid().toString());
            } else {
                ZLogger.v("read image version");
            }
            byte[] a2 = a(bluetoothGattCharacteristic);
            if (a2 != null) {
                if (bArr == null) {
                    bArr = a2;
                } else {
                    byte[] bArr2 = new byte[bArr.length + a2.length];
                    System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
                    System.arraycopy(a2, 0, bArr2, bArr.length, a2.length);
                    bArr = bArr2;
                }
            }
        }
        getOtaDeviceInfo().setActiveImageVersionValues(bArr);
    }

    public byte[] t() throws DfuException {
        return f(DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
    }

    public boolean u() throws DfuException {
        if (this.P == null) {
            return false;
        }
        if (this.DBG) {
            ZLogger.v("start to read remote device info");
        }
        byte[] a2 = a(this.P);
        if (a2 == null) {
            if (this.DBG) {
                ZLogger.v("read device info failed");
            }
            throw new OtaException("read remote device info failed", 270);
        }
        getOtaDeviceInfo().parseX0010(a2);
        a(getOtaDeviceInfo().maxBufferchecksize);
        return true;
    }

    public boolean v() throws DfuException {
        if (this.O == null) {
            return false;
        }
        if (this.DBG) {
            ZLogger.v("start to read remote dev Mac Addr info");
        }
        byte[] a2 = a(this.O);
        if (a2 == null) {
            ZLogger.w("Get remote dev Mac Addr info failed, do nothing.");
            throw new OtaException("remote dev Mac Addr info error", 277);
        }
        if (a2.length >= 6) {
            byte[] bArr = new byte[6];
            System.arraycopy(a2, 0, bArr, 0, 6);
            getOtaDeviceInfo().setDeviceMac(bArr);
        }
        if (a2.length < 12) {
            return true;
        }
        byte[] bArr2 = new byte[6];
        System.arraycopy(a2, 6, bArr2, 0, 6);
        getOtaDeviceInfo().setRwsBdAddr(bArr2);
        return true;
    }

    public void w() throws DfuException {
        List<BluetoothGattCharacteristic> list = this.R;
        byte[] bArr = null;
        if (list == null || list.size() <= 0) {
            ZLogger.d("no ImageSectionCharacteristics to read");
            getOtaDeviceInfo().setImageSectionSizeValues(null);
            return;
        }
        for (BluetoothGattCharacteristic bluetoothGattCharacteristic : this.R) {
            if (this.DBG) {
                ZLogger.v("read image version : " + bluetoothGattCharacteristic.getUuid().toString());
            } else {
                ZLogger.v("read image version");
            }
            byte[] a2 = a(bluetoothGattCharacteristic);
            if (a2 != null) {
                if (bArr == null) {
                    bArr = a2;
                } else {
                    byte[] bArr2 = new byte[bArr.length + a2.length];
                    System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
                    System.arraycopy(a2, 0, bArr2, bArr.length, a2.length);
                    bArr = bArr2;
                }
            }
        }
        getOtaDeviceInfo().setImageSectionSizeValues(bArr);
    }

    public void x() {
        try {
            ZLogger.d("<< OPCODE_DFU_RESET_SYSTEM (0x05)");
            a(this.W, new byte[]{5}, true);
        } catch (DfuException e2) {
            ZLogger.e(String.format("Send OPCODE_DFU_RESET_SYSTEM failed, ignore it, errorcode= 0x%04X", Integer.valueOf(e2.getErrorNumber())));
            this.mErrorState = 0;
        }
    }

    public void y() throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.v("<< OPCODE_DFU_START_DFU(0x01)");
        byte[] bArr = new byte[16];
        System.arraycopy(this.mCurBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
        byte[] bArr2 = new byte[17];
        bArr2[0] = 1;
        if (getOtaDeviceInfo().isAesEncryptEnabled()) {
            System.arraycopy(this.f4437i.aesEncrypt(bArr, 0, 16), 0, bArr2, 1, 16);
        } else {
            System.arraycopy(bArr, 0, bArr2, 1, 16);
        }
        a(this.W, bArr2, false);
        if (this.DBG) {
            ZLogger.v("... Reading OPCODE_DFU_START_DFU(0x01) notification");
        }
        byte b2 = t()[2];
        if (b2 == 1) {
            return;
        }
        ZLogger.w(String.format("0x%02X(not supported), start dfu failed", Byte.valueOf(b2)));
        throw new OtaException("start dfu failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
    }

    public byte[] f(int i2) throws DfuException {
        this.mErrorState = 0;
        this.H = true;
        try {
            synchronized (this.m) {
                if (this.mErrorState == 0 && this.F == null && this.mConnectionState == 515) {
                    this.H = false;
                    if (this.DBG) {
                        ZLogger.v("wait for notification, wait for " + i2 + "ms");
                    }
                    this.m.wait(i2);
                }
                if (this.mErrorState == 0 && !this.H) {
                    ZLogger.w("wait for notification, but not come");
                    this.mErrorState = DfuException.ERROR_NOTIFICATION_NO_RESPONSE;
                }
            }
        } catch (InterruptedException e2) {
            ZLogger.e("readNotificationResponse interrupted, " + e2.toString());
            this.mErrorState = 259;
        }
        if (this.mErrorState == 0) {
            return this.F;
        }
        throw new OtaException("Unable to receive notification", this.mErrorState);
    }

    public void g(int i2) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        byte[] bArr = {3, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255)};
        if (this.DBG) {
            ZLogger.d(String.format("<< OPCODE_DFU_VALIDATE_FW_IMAGE (0x%02X)", (byte) 3));
        }
        a(this.W, bArr, false);
        if (this.DBG) {
            ZLogger.v("... waiting DFU_VALIDATE_FW_IMAGE response");
        }
        byte b2 = t()[2];
        if (b2 == 1) {
            return;
        }
        if (b2 == 5) {
            ZLogger.e(String.format("0x%02X, Validate FW failed, CRC check error", Byte.valueOf(b2)));
            throw new OtaException("Validate FW failed", 517);
        }
        ZLogger.e(String.format("0x%02X(not supported), Validate FW failed", Byte.valueOf(b2)));
        throw new OtaException("Validate FW failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
    }

    public final int c(String str) {
        BluetoothDevice bluetoothDevice;
        setConnectionState(256);
        this.mErrorState = 0;
        this.isConnectedCallbackCome = false;
        if (this.DBG) {
            ZLogger.d("Connecting to device..." + str);
        }
        BluetoothGatt bluetoothGatt = null;
        try {
            bluetoothDevice = this.w.getRemoteDevice(str);
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
            bluetoothDevice = null;
        }
        GlobalGatt globalGatt = this.D;
        if (globalGatt != null) {
            globalGatt.unRegisterCallback(str, this.Y);
            this.D.connect(str, this.Y);
            bluetoothGatt = this.D.getBluetoothGatt(str);
            this.E = bluetoothGatt;
            try {
                synchronized (this.mConnectionLock) {
                    if (!this.isConnectedCallbackCome && this.mErrorState == 0) {
                        if (this.DBG) {
                            ZLogger.d("wait for connect gatt for 32000 ms");
                        }
                        this.mConnectionLock.wait(32000L);
                    }
                }
            } catch (InterruptedException e3) {
                ZLogger.e("Sleeping interrupted : " + e3.toString());
                this.mErrorState = 259;
            }
        } else if (bluetoothDevice != null) {
            bluetoothGatt = bluetoothDevice.connectGatt(this.mContext, false, this.Y);
            this.E = bluetoothGatt;
            try {
                synchronized (this.mConnectionLock) {
                    if (!this.isConnectedCallbackCome && this.mErrorState == 0) {
                        if (this.DBG) {
                            ZLogger.d("wait for connect gatt for 32000 ms");
                        }
                        this.mConnectionLock.wait(32000L);
                    }
                }
            } catch (InterruptedException e4) {
                ZLogger.e("Sleeping interrupted : " + e4.toString());
                this.mErrorState = 259;
            }
        } else {
            ZLogger.w("device is null");
            this.E = null;
        }
        if (this.mErrorState == 0) {
            if (!this.isConnectedCallbackCome) {
                ZLogger.w("wait for connect, but can not connect with no callback");
                this.mErrorState = 260;
            } else if (bluetoothGatt == null || this.mConnectionState != 515) {
                ZLogger.w("connect with some error, please check. mConnectionState=" + this.mConnectionState);
                this.mErrorState = 264;
            }
        }
        if (this.mErrorState != 0) {
            int i2 = this.mConnectionState;
        } else if (this.DBG) {
            ZLogger.v("connected the device which going to upgrade");
        }
        return this.mErrorState;
    }

    public final void d(BluetoothGatt bluetoothGatt) {
        BluetoothGattService service = bluetoothGatt.getService(this.L);
        this.M = service;
        if (service == null) {
            ZLogger.w("OTA_SERVICE not found: " + this.L.toString());
            return;
        }
        if (this.DBG) {
            ZLogger.d("find OTA_SERVICE: " + this.L.toString());
        }
        BluetoothGattService bluetoothGattService = this.M;
        UUID uuid = g.f4485a;
        BluetoothGattCharacteristic characteristic = bluetoothGattService.getCharacteristic(uuid);
        this.N = characteristic;
        if (characteristic == null) {
            ZLogger.w("OTA_CONTROL_ENTER_OTA_MODE_CHARACTERISTIC not found: " + uuid);
        } else {
            if (this.DBG) {
                ZLogger.d("find OTA_CONTROL_ENTER_OTA_MODE_CHARACTERISTIC = " + uuid);
                ZLogger.d(BluetoothGattImpl.parseProperty2(this.N.getProperties()));
            }
            this.N.setWriteType(1);
        }
        BluetoothGattService bluetoothGattService2 = this.M;
        UUID uuid2 = g.f4486b;
        BluetoothGattCharacteristic characteristic2 = bluetoothGattService2.getCharacteristic(uuid2);
        this.O = characteristic2;
        if (characteristic2 == null) {
            ZLogger.w("OTA_MAC_ADDR_CHARACTERISTIC_UUID not found:" + uuid2);
        } else if (this.DBG) {
            ZLogger.d("find OTA_MAC_ADDR_CHARACTERISTIC_UUID = " + uuid2);
            ZLogger.d(BluetoothGattImpl.parseProperty2(this.N.getProperties()));
        }
        BluetoothGattService bluetoothGattService3 = this.M;
        UUID uuid3 = g.f4487c;
        BluetoothGattCharacteristic characteristic3 = bluetoothGattService3.getCharacteristic(uuid3);
        this.P = characteristic3;
        if (characteristic3 == null) {
            ZLogger.w("OTA_DEVICE_INFO_CHARACTERISTIC_UUID not found:" + uuid3);
        } else if (this.DBG) {
            ZLogger.d("find OTA_DEVICE_INFO_CHARACTERISTIC_UUID: " + uuid3);
            ZLogger.d(BluetoothGattImpl.parseProperty2(this.P.getProperties()));
        }
        this.Q = new ArrayList();
        int i2 = 65504;
        while (true) {
            if (i2 >= 65519) {
                break;
            }
            UUID fromShortValue = BluetoothUuid.fromShortValue(i2);
            BluetoothGattCharacteristic characteristic4 = this.M.getCharacteristic(fromShortValue);
            if (characteristic4 == null) {
                if (this.DBG) {
                    ZLogger.d("not found image version characteristic:" + fromShortValue.toString());
                }
            } else {
                if (this.DBG) {
                    ZLogger.d("find image version characteristic: " + fromShortValue.toString());
                }
                this.Q.add(characteristic4);
                i2++;
            }
        }
        this.R = new ArrayList();
        for (int i3 = 65524; i3 < 65526; i3++) {
            UUID fromShortValue2 = BluetoothUuid.fromShortValue(i3);
            BluetoothGattCharacteristic characteristic5 = this.M.getCharacteristic(fromShortValue2);
            if (characteristic5 == null) {
                if (this.DBG) {
                    ZLogger.d("not found image session size characteristic:" + fromShortValue2.toString());
                    return;
                }
                return;
            }
            if (this.DBG) {
                ZLogger.d("find image session size characteristic: " + fromShortValue2.toString());
            }
            this.R.add(characteristic5);
        }
    }

    public void e(int i2) {
        a(i2, false);
    }

    public boolean b(byte[] bArr, int i2) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        if (bArr == null) {
            ZLogger.w("buffer == null");
            return false;
        }
        if (this.DBG) {
            ZLogger.v(String.format(Locale.US, "bufferCheck (%d) >> (%d) %s", Integer.valueOf(i2), Integer.valueOf(bArr.length), DataConverter.bytes2Hex(bArr)));
        }
        short a2 = a(bArr, i2);
        if (this.DBG) {
            ZLogger.d("<< OPCODE_DFU_REPORT_BUFFER_CRC(0x0A)");
        }
        a(this.W, new byte[]{10, (byte) (i2 & 255), (byte) (i2 >> 8), (byte) (a2 & 255), (byte) ((a2 >> 8) & 255)}, false);
        if (this.DBG) {
            ZLogger.d("... waiting OPCODE_DFU_REPORT_BUFFER_CRC(0x0A) response");
        }
        byte[] t = t();
        byte b2 = t[2];
        ByteBuffer wrap = ByteBuffer.wrap(t);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        this.mImageUpdateOffset = wrap.getInt(3);
        if (this.DBG) {
            ZLogger.d(String.format(Locale.US, "status:0x%04X, mImageUpdateOffset=0x%08X(%d)", Byte.valueOf(b2), Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
        }
        if (b2 == 1) {
            return true;
        }
        if (b2 == 5 || b2 == 6 || b2 == 7) {
            return false;
        }
        if (b2 != 8) {
            throw new OtaException("ERROR_OPCODE_RESPONSE_NOT_SUPPORTED", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        throw new OtaException("DFU_STATUS_FLASH_ERASE_ERROR", b2 | 512);
    }

    public int a(String str, int i2) {
        int i3 = 0;
        while (a()) {
            int c2 = c(str);
            if (c2 == 0) {
                return 0;
            }
            if ((c2 & (-2049)) != 133) {
                b(this.E);
            } else {
                ZLogger.w("connect fail with GATT_ERROR, do not need disconnect");
            }
            a(this.E);
            try {
                Thread.sleep(1600L);
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
            i3++;
            ZLogger.d("tryConnectTime=" + i3);
            if (i3 > i2) {
                return c2;
            }
        }
        return DfuException.ERROR_DFU_ABORTED;
    }

    public void a(int i2, int i3) throws DfuException {
        if (!this.mAborted) {
            ZLogger.d("<< OPCODE_DFU_RECEIVE_FW_IMAGE (0x02)");
            a(this.W, new byte[]{2, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255), (byte) (i3 & 255), (byte) ((i3 >> 8) & 255), (byte) ((i3 >> 16) & 255), (byte) ((i3 >> 24) & 255)}, false);
            return;
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public void a(int i2, byte b2) throws DfuException {
        if (!this.mAborted) {
            byte[] bArr = {3, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255), b2};
            if (this.DBG) {
                ZLogger.d(String.format("<< OPCODE_DFU_VALIDATE_FW_IMAGE (0x%02X)", (byte) 3));
            }
            a(this.W, bArr, false);
            if (this.DBG) {
                ZLogger.v("... waiting DFU_VALIDATE_FW_IMAGE response");
            }
            byte b3 = t()[2];
            if (b3 == 1) {
                return;
            }
            if (b3 == 5) {
                ZLogger.e(String.format("0x%02X, Validate FW failed, CRC check error", Byte.valueOf(b3)));
                throw new OtaException("Validate FW failed", 517);
            }
            ZLogger.e(String.format("0x%02X(not supported), Validate FW failed", Byte.valueOf(b3)));
            throw new OtaException("Validate FW failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    /* JADX WARN: Code restructure failed: missing block: B:74:0x005b, code lost:
    
        if (r5 != (getDfuProgressInfo().getBytesSent() + 12)) goto L14;
     */
    /* JADX WARN: Removed duplicated region for block: B:12:0x006e A[Catch: IOException -> 0x01ef, TryCatch #0 {IOException -> 0x01ef, blocks: (B:71:0x004d, B:73:0x0052, B:10:0x006a, B:12:0x006e, B:14:0x0083, B:15:0x008a, B:16:0x00bd, B:18:0x00c1, B:20:0x00da, B:68:0x009b, B:69:0x00ab, B:9:0x005d), top: B:70:0x004d }] */
    /* JADX WARN: Removed duplicated region for block: B:20:0x00da A[Catch: IOException -> 0x01ef, TRY_LEAVE, TryCatch #0 {IOException -> 0x01ef, blocks: (B:71:0x004d, B:73:0x0052, B:10:0x006a, B:12:0x006e, B:14:0x0083, B:15:0x008a, B:16:0x00bd, B:18:0x00c1, B:20:0x00da, B:68:0x009b, B:69:0x00ab, B:9:0x005d), top: B:70:0x004d }] */
    /* JADX WARN: Removed duplicated region for block: B:23:0x00fd  */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0133  */
    /* JADX WARN: Removed duplicated region for block: B:58:0x010a A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:67:0x0099  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void b(android.bluetooth.BluetoothGatt r18, android.bluetooth.BluetoothGattCharacteristic r19, com.realsil.sdk.dfu.image.stream.BaseBinInputStream r20) throws com.realsil.sdk.dfu.DfuException {
        /*
            Method dump skipped, instructions count: 513
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.m.c.b(android.bluetooth.BluetoothGatt, android.bluetooth.BluetoothGattCharacteristic, com.realsil.sdk.dfu.image.stream.BaseBinInputStream):void");
    }

    public void a(byte b2) throws DfuException {
        a(new byte[]{4, b2});
    }

    public void a(byte[] bArr) throws DfuException {
        boolean z;
        notifyStateChanged(524);
        boolean z2 = this.mAborted;
        int i2 = DfuException.ERROR_DFU_ABORTED;
        if (!z2) {
            boolean z3 = false;
            try {
                ZLogger.d("<< OPCODE_DFU_ACTIVE_IMAGE_RESET(0x04)");
                z = a(this.W, bArr, false);
            } catch (DfuException e2) {
                if (e2.getErrCode() != 4128) {
                    if (!getDfuConfig().isWaitActiveCmdAckEnabled()) {
                        ZLogger.d("active cmd has no response, ignore");
                        z = true;
                    } else {
                        ZLogger.w("active cmd has no response, notify error");
                        i2 = e2.getErrCode();
                    }
                }
            }
            i2 = 0;
            z3 = z;
            if (z3) {
                ZLogger.i("image active success");
                d(this.mErrorState);
                closeInputStream(this.mCurBinInputStream);
                return;
            }
            throw new OtaException(i2);
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public final int c(BluetoothGatt bluetoothGatt) {
        try {
            this.L = UUID.fromString(getDfuConfig().getOtaServiceUuid());
            this.S = UUID.fromString(getDfuConfig().getDfuServiceUuid());
            this.T = UUID.fromString(getDfuConfig().getDfuDataUuid());
            this.U = UUID.fromString(getDfuConfig().getDfuControlPointUuid());
        } catch (Exception e2) {
            e2.printStackTrace();
            ZLogger.e(e2.toString());
        }
        BluetoothGattService service = bluetoothGatt.getService(this.S);
        this.V = service;
        if (service == null) {
            ZLogger.d("DFU_SERVICE not found:" + this.S);
            return 262;
        }
        if (this.DBG) {
            ZLogger.d("find DFU_SERVICE: " + this.S.toString());
        }
        BluetoothGattCharacteristic characteristic = this.V.getCharacteristic(this.U);
        this.W = characteristic;
        if (characteristic == null) {
            ZLogger.d("not found DFU_CONTROL_POINT_UUID: " + this.U.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (this.DBG) {
            ZLogger.d("find DFU_CONTROL_POINT_UUID: " + this.U.toString());
        }
        this.W.setWriteType(2);
        ZLogger.d(BluetoothGattImpl.parseProperty2(this.W.getProperties()));
        BluetoothGattCharacteristic characteristic2 = this.V.getCharacteristic(this.T);
        this.X = characteristic2;
        if (characteristic2 == null) {
            ZLogger.d("not found DFU_DATA_UUID: " + this.T.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        if (this.DBG) {
            ZLogger.d("find DFU_DATA_UUID: " + this.T.toString());
        }
        this.X.setWriteType(1);
        ZLogger.d(BluetoothGattImpl.parseProperty2(this.X.getProperties()));
        return 0;
    }

    public void a(int i2, boolean z) {
        if (this.mAborted) {
            i2 = 4128;
        }
        if (i2 != 4128) {
            notifyStateChanged(260, true);
        }
        ZLogger.v(String.format("error = 0x%04X, needReset=%b", Integer.valueOf(i2), Boolean.valueOf(z)));
        if (z) {
            x();
        }
        this.A.stopScan();
        closeInputStream(this.mCurBinInputStream);
        if (getDfuConfig().isErrorActionEnabled(1)) {
            d(i2);
        }
        DfuThreadCallback dfuThreadCallback = this.mThreadCallback;
        if (dfuThreadCallback != null) {
            dfuThreadCallback.onError(i2);
        }
        this.mAborted = true;
    }

    public void a(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, BaseBinInputStream baseBinInputStream) throws DfuException {
        int read;
        c();
        this.mErrorState = 0;
        this.lastPacketTransferred = false;
        int i2 = this.MAX_PACKET_SIZE;
        byte[] bArr = new byte[i2];
        while (!this.lastPacketTransferred) {
            if (!this.mAborted) {
                startSpeedControl();
                if (this.DBG) {
                    ZLogger.v(getDfuProgressInfo().toString());
                }
                try {
                    if (getDfuProgressInfo().getBytesSent() == 0) {
                        int i3 = this.MAX_PACKET_SIZE;
                        byte[] bArr2 = new byte[i3];
                        baseBinInputStream.read(bArr2, i3 - 12);
                        System.arraycopy(baseBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
                        System.arraycopy(bArr2, 0, bArr, 12, this.MAX_PACKET_SIZE - 12);
                        read = this.MAX_PACKET_SIZE;
                    } else {
                        read = baseBinInputStream.read(bArr, i2);
                    }
                    if (getDfuProgressInfo().getRemainSizeInBytes() < this.MAX_PACKET_SIZE) {
                        ZLogger.v("reach the end of the file, only read some");
                        read = getDfuProgressInfo().getRemainSizeInBytes();
                    }
                    int i4 = read;
                    if (i4 <= 0) {
                        if (getDfuProgressInfo().isFileSendOver()) {
                            ZLogger.i("image file has already been send over");
                            return;
                        }
                        ZLogger.e("Error while reading file with size: " + i4);
                        throw new OtaException("Error while reading file", 257);
                    }
                    if (getOtaDeviceInfo().isAesEncryptEnabled()) {
                        for (int i5 = i4; i5 > 0; i5 -= 16) {
                            if (i5 >= 16) {
                                int i6 = i4 - i5;
                                System.arraycopy(this.f4437i.aesEncrypt(bArr, i6, 16), 0, bArr, i6, 16);
                                if (getOtaDeviceInfo().getAesEncryptMode() == 0) {
                                    break;
                                }
                            }
                        }
                    }
                    a(bluetoothGatt, bluetoothGattCharacteristic, bArr, i4, false);
                    i();
                    blockSpeedControl();
                } catch (IOException unused) {
                    throw new OtaException("Error while reading file", 257);
                }
            } else {
                throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
            }
        }
    }
}
