package com.realsil.sdk.dfu.model;

import android.os.Parcel;
import android.os.Parcelable;
import com.realsil.sdk.core.logger.ZLogger;
import com.yucheng.smarthealthpro.customchart.utils.Utils;
import java.util.Locale;

/* loaded from: classes3.dex */
public class DfuProgressInfo implements Parcelable {
    public static final Parcelable.Creator<DfuProgressInfo> CREATOR = new Parcelable.Creator<DfuProgressInfo>() { // from class: com.realsil.sdk.dfu.model.DfuProgressInfo.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public DfuProgressInfo createFromParcel(Parcel parcel) {
            return new DfuProgressInfo(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public DfuProgressInfo[] newArray(int i2) {
            return new DfuProgressInfo[i2];
        }
    };

    /* renamed from: a, reason: collision with root package name */
    public int f4510a;

    /* renamed from: b, reason: collision with root package name */
    public int f4511b;

    /* renamed from: c, reason: collision with root package name */
    public int f4512c;

    /* renamed from: d, reason: collision with root package name */
    public int f4513d;

    /* renamed from: e, reason: collision with root package name */
    public int f4514e;

    /* renamed from: f, reason: collision with root package name */
    public int f4515f;

    /* renamed from: g, reason: collision with root package name */
    public int f4516g;

    /* renamed from: h, reason: collision with root package name */
    public int f4517h;

    /* renamed from: i, reason: collision with root package name */
    public int f4518i;

    /* renamed from: j, reason: collision with root package name */
    public int f4519j;
    public int k;
    public int l;
    public long m;
    public long n;
    public long o;
    public long p;
    public Throughput q;
    public boolean r;

    public DfuProgressInfo() {
        this.f4512c = 0;
        this.f4513d = 0;
        this.f4514e = 0;
        this.f4515f = 0;
        this.f4516g = 0;
        this.f4511b = 0;
        this.r = false;
    }

    public final void a() {
        long max = Math.max(0L, this.n - this.m);
        float f2 = max > 0 ? (this.f4511b * 1000.0f) / max : 0.0f;
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = this.f4511b;
        long j3 = j2 - this.p;
        long j4 = currentTimeMillis - this.o;
        float f3 = j4 > 0 ? (j3 * 1000.0f) / j4 : 0.0f;
        this.o = currentTimeMillis;
        this.p = j2;
        Throughput throughput = this.q;
        if (throughput != null) {
            throughput.deltaTime = max;
            throughput.speed = f2;
            throughput.realSpeed = f3;
        }
    }

    public void addBytesSent(int i2) {
        setBytesSent(this.f4511b + i2);
        this.k += i2;
    }

    public void addImageSizeInBytes(int i2) {
        setImageSizeInBytes(this.f4510a + i2);
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public int getActiveImageSize() {
        return this.l;
    }

    public int getBinId() {
        return this.f4517h;
    }

    public int getBytesSent() {
        return this.f4511b;
    }

    public int getCurImageId() {
        return this.f4518i;
    }

    public int getCurImageVersion() {
        return this.f4519j;
    }

    public int getCurrentFileIndex() {
        return this.f4514e;
    }

    public int getImageSizeInBytes() {
        return this.f4510a;
    }

    public int getLastFileIndex() {
        return this.f4515f;
    }

    public int getMaxFileCount() {
        return this.f4513d;
    }

    public int getNextFileIndex() {
        return this.f4516g;
    }

    public int getProgress() {
        return this.f4512c;
    }

    public int getRemainSizeInBytes() {
        return this.f4510a - this.f4511b;
    }

    public Throughput getThroughput() {
        return this.q;
    }

    public int getTotalBytesSent() {
        return this.k;
    }

    public int getTotalProgress() {
        int i2 = this.f4513d;
        if (i2 == 0) {
            return 0;
        }
        double d2 = 100.0f / i2;
        int i3 = this.f4510a;
        double d3 = this.f4514e + (i3 == 0 ? Utils.DOUBLE_EPSILON : (this.f4511b * 1.0d) / i3);
        if (d3 < i2) {
            return (int) (d3 * d2);
        }
        return 100;
    }

    public void initialize(int i2, int i3, int i4, int i5, boolean z) {
        this.f4517h = i2;
        this.f4518i = i3;
        this.f4519j = i4;
        this.f4510a = i5;
        this.r = z;
        setBytesSent(0);
    }

    public boolean isFileSendOver() {
        return this.f4511b >= this.f4510a;
    }

    public boolean isLastImageFile() {
        return this.f4516g >= this.f4513d;
    }

    public void sendOver() {
        this.m = System.currentTimeMillis();
        this.f4511b = this.f4510a;
        int i2 = this.f4514e;
        this.f4515f = i2;
        this.f4516g = i2 + 1;
        ZLogger.v(toString());
    }

    public void setActiveImageSize(int i2) {
        this.l = i2;
    }

    public void setBytesSent(int i2) {
        this.f4511b = i2;
        this.f4512c = (int) ((i2 * 100.0f) / this.f4510a);
        this.n = System.currentTimeMillis();
        if (this.r) {
            a();
        }
    }

    public void setCurrentFileIndex(int i2) {
        this.f4514e = i2;
    }

    public void setImageSizeInBytes(int i2) {
        this.f4510a = i2;
    }

    public void setLastFileIndex(int i2) {
        this.f4515f = i2;
    }

    public void setMaxFileCount(int i2) {
        this.f4513d = i2;
    }

    public void setNextFileIndex(int i2) {
        this.f4516g = i2;
    }

    public void start() {
        long currentTimeMillis = System.currentTimeMillis();
        this.m = currentTimeMillis;
        this.n = currentTimeMillis;
        this.o = currentTimeMillis;
        this.p = 0L;
        if (this.r) {
            this.q = new Throughput(this.f4510a, this.f4511b);
        } else {
            this.q = null;
        }
        ZLogger.v(toString());
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        Locale locale = Locale.US;
        sb.append(String.format(locale, "image: %d/%d", Integer.valueOf(this.f4514e + 1), Integer.valueOf(this.f4513d)));
        sb.append(String.format(locale, "\t{binId=0x%04X, imageId=0x%04X, version=0x%04X}", Integer.valueOf(this.f4517h), Integer.valueOf(this.f4518i), Integer.valueOf(this.f4519j)));
        sb.append(String.format(locale, "\tprogress: %d%%(%d/%d)--%d%%", Integer.valueOf(this.f4512c), Integer.valueOf(this.f4511b), Integer.valueOf(this.f4510a), Integer.valueOf(getTotalProgress())));
        return sb.toString();
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.f4510a);
        parcel.writeInt(this.f4511b);
        parcel.writeInt(this.f4512c);
        parcel.writeInt(this.f4513d);
        parcel.writeInt(this.f4514e);
        parcel.writeInt(this.f4515f);
        parcel.writeInt(this.f4516g);
        parcel.writeInt(this.f4518i);
        parcel.writeInt(this.f4519j);
        parcel.writeInt(this.k);
        parcel.writeInt(this.l);
        parcel.writeLong(this.m);
        parcel.writeLong(this.n);
        parcel.writeLong(this.o);
        parcel.writeLong(this.p);
        parcel.writeParcelable(this.q, i2);
        parcel.writeByte(this.r ? (byte) 1 : (byte) 0);
    }

    public DfuProgressInfo(Parcel parcel) {
        this.f4512c = 0;
        this.f4513d = 0;
        this.f4514e = 0;
        this.f4515f = 0;
        this.f4516g = 0;
        this.f4510a = parcel.readInt();
        this.f4511b = parcel.readInt();
        this.f4512c = parcel.readInt();
        this.f4513d = parcel.readInt();
        this.f4514e = parcel.readInt();
        this.f4515f = parcel.readInt();
        this.f4516g = parcel.readInt();
        this.f4518i = parcel.readInt();
        this.f4519j = parcel.readInt();
        this.k = parcel.readInt();
        this.l = parcel.readInt();
        this.m = parcel.readLong();
        this.n = parcel.readLong();
        this.o = parcel.readLong();
        this.p = parcel.readLong();
        this.q = (Throughput) parcel.readParcelable(Throughput.class.getClassLoader());
        this.r = parcel.readByte() != 0;
    }
}
