package com.realsil.sdk.dfu.o;

import android.bluetooth.BluetoothDevice;
import android.content.Context;
import com.jieli.jl_bt_ota.constant.BluetoothConstant;
import com.realsil.sdk.bbpro.core.transportlayer.AckPacket;
import com.realsil.sdk.bbpro.core.transportlayer.SppTransportLayer;
import com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback;
import com.realsil.sdk.bbpro.core.transportlayer.TransportLayerPacket;
import com.realsil.sdk.core.bluetooth.BluetoothProfileManager;
import com.realsil.sdk.core.bluetooth.scanner.BrEdrScannerPresenter;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.DfuConstants;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.exception.OtaException;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.internal.base.DfuThreadCallback;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.yucheng.ycbtsdk.Constants;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

/* loaded from: classes3.dex */
public class b extends com.realsil.sdk.dfu.n.b {
    public TransportLayerCallback I;

    public class a extends TransportLayerCallback {
        public a() {
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onAckReceive(AckPacket ackPacket) {
            super.onAckReceive(ackPacket);
            b.this.a(ackPacket);
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onConnectionStateChanged(BluetoothDevice bluetoothDevice, boolean z, int i2) {
            super.onConnectionStateChanged(bluetoothDevice, z, i2);
            if (i2 == 512) {
                b.this.setConnectionState(515);
            } else {
                if (i2 != 0) {
                    return;
                }
                if (b.this.mProcessState == 521) {
                    b.this.mErrorState = 2048;
                    b bVar = b.this;
                    if (bVar.DBG) {
                        ZLogger.w(String.format("disconnect in OTA process, mErrorState: 0x%04X", Integer.valueOf(bVar.mErrorState)));
                    }
                }
                b.this.setConnectionState(0);
            }
            b.this.notifyConnectionLock();
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onDataReceive(TransportLayerPacket transportLayerPacket) {
            super.onDataReceive(transportLayerPacket);
            b.this.a(transportLayerPacket);
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onError(int i2) {
            super.onError(i2);
        }
    }

    public b(Context context, DfuConfig dfuConfig, DfuThreadCallback dfuThreadCallback) {
        super(context, dfuConfig, dfuThreadCallback);
        this.I = new a();
    }

    public final void A() throws DfuException {
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_START(0x%04X)", (short) 1538));
        byte[] bArr = new byte[16];
        System.arraycopy(this.mCurBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
        if (getOtaDeviceInfo().isAesEncryptEnabled()) {
            a((short) 1538, this.f4437i.aesEncrypt(bArr, 0, 16));
        } else {
            a((short) 1538, bArr);
        }
        ZLogger.v(this.DBG, "... Reading CMD_OTA_START notification");
        byte b2 = m()[0];
        if (b2 == 1) {
            return;
        }
        ZLogger.e(String.format("0x%02X(not supported), start dfu failed", Byte.valueOf(b2)));
        throw new OtaException("start dfu failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
    }

    public final boolean B() throws DfuException {
        if (!a()) {
            d(DfuException.ERROR_DFU_ABORTED);
            return false;
        }
        notifyStateChanged(521);
        if (this.DBG) {
            ZLogger.v(String.format("mOtaWorkMode=%s, ICType=%s", DfuConstants.parseOtaMode(this.mOtaWorkMode), DfuConstants.parseIcType(getOtaDeviceInfo().icType)));
            ZLogger.v(String.format(Locale.US, "mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
        }
        if (this.DBG) {
            ZLogger.v(getDfuProgressInfo().toString());
        }
        if (getOtaDeviceInfo().icType > 3) {
            if (this.DBG) {
                ZLogger.v("isBufferCheckEnabled=" + getOtaDeviceInfo().isBufferCheckEnabled());
            }
            if (getOtaDeviceInfo().isBufferCheckEnabled()) {
                this.o = y();
            } else {
                this.o = 0;
            }
            if (this.DBG) {
                ZLogger.v("mRemoteOtaFunctionInfo=" + this.o);
            }
        } else if (this.DBG) {
            ZLogger.d("not support ic:" + getOtaDeviceInfo().icType);
        }
        if (getOtaDeviceInfo().isAesEncryptEnabled() && !b()) {
            d(4113);
            return false;
        }
        getDfuProgressInfo().start();
        e(getDfuProgressInfo().getCurImageId());
        if (!getDfuConfig().isBreakpointResumeEnabled()) {
            this.mImageUpdateOffset = 0;
        }
        if (this.mImageUpdateOffset == 0) {
            A();
        }
        if (this.mImageUpdateOffset - 12 < getDfuProgressInfo().getImageSizeInBytes()) {
            f(getDfuProgressInfo().getCurImageId());
            if (this.o == 1) {
                c(this.mCurBinInputStream);
            } else {
                b(this.mCurBinInputStream);
            }
        } else if (this.DBG) {
            ZLogger.d("Last send reach the bottom");
        }
        getDfuProgressInfo().sendOver();
        h(getDfuProgressInfo().getCurImageId());
        return true;
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public boolean activeImage(boolean z) {
        if (!super.activeImage(z)) {
            return false;
        }
        if (this.mConnectionState != 515) {
            if (this.DBG) {
                ZLogger.d("start to re-connect the RCU which going to active image, current state is: " + this.mConnectionState);
            }
            int a2 = a(this.mOtaDeviceAddress, getDfuConfig().getRetransConnectTimes());
            if (a2 != 0) {
                ZLogger.e("Something error in OTA process, errorCode: " + a2 + "mProcessState" + this.mProcessState);
                a(a2, true);
                return false;
            }
        }
        if (z) {
            try {
                o();
                if (getDfuConfig().isCompleteActionEnabled(1)) {
                    BluetoothProfileManager.getInstance().disconnectA2dpSource(this.w.getRemoteDevice(this.mOtaDeviceAddress));
                    BluetoothProfileManager.getInstance().disconnectHfp(this.mOtaDeviceAddress);
                }
                notifyStateChanged(258);
            } catch (DfuException e2) {
                e2.printStackTrace();
                d(e2.getErrCode());
            }
        } else {
            z();
            a(274, true);
        }
        return true;
    }

    public final void b(BaseBinInputStream baseBinInputStream) throws DfuException {
        int read;
        c();
        this.mErrorState = 0;
        this.lastPacketTransferred = false;
        int i2 = this.MAX_PACKET_SIZE;
        byte[] bArr = new byte[i2];
        while (!this.lastPacketTransferred) {
            if (this.mAborted) {
                throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
            }
            startSpeedControl();
            ZLogger.v(getDfuProgressInfo().toString());
            try {
                getDfuProgressInfo().getBytesSent();
                if (this.mImageUpdateOffset == 0) {
                    int i3 = this.MAX_PACKET_SIZE;
                    byte[] bArr2 = new byte[i3];
                    baseBinInputStream.read(bArr2, i3 - 12);
                    System.arraycopy(baseBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
                    System.arraycopy(bArr2, 0, bArr, 12, this.MAX_PACKET_SIZE - 12);
                    read = this.MAX_PACKET_SIZE;
                } else {
                    read = baseBinInputStream.read(bArr, i2);
                }
                if (getDfuProgressInfo().getRemainSizeInBytes() < this.MAX_PACKET_SIZE) {
                    if (this.DBG) {
                        ZLogger.v("reach the end of the file, only read some");
                    }
                    read = getDfuProgressInfo().getRemainSizeInBytes();
                }
                if (read <= 0) {
                    if (getDfuProgressInfo().isFileSendOver()) {
                        ZLogger.i("image file has already been send over");
                        return;
                    }
                    ZLogger.e("Error while reading file with size: " + read);
                    throw new OtaException("Error while reading file", 257);
                }
                if (getOtaDeviceInfo().isAesEncryptEnabled()) {
                    for (int i4 = read; i4 > 0; i4 -= 16) {
                        if (i4 >= 16) {
                            int i5 = read - i4;
                            System.arraycopy(this.f4437i.aesEncrypt(bArr, i5, 16), 0, bArr, i5, 16);
                            if (getOtaDeviceInfo().getAesEncryptMode() == 0) {
                                break;
                            }
                        }
                    }
                }
                if (a((short) 1539, bArr, read)) {
                    getDfuProgressInfo().addBytesSent(read);
                    notifyProcessChanged();
                }
                i();
                blockSpeedControl();
            } catch (IOException unused) {
                throw new OtaException("Error while reading file", 257);
            }
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:82:0x0055, code lost:
    
        if (r10 != (getDfuProgressInfo().getBytesSent() + 12)) goto L17;
     */
    /* JADX WARN: Removed duplicated region for block: B:15:0x0068 A[Catch: IOException -> 0x01ea, TryCatch #0 {IOException -> 0x01ea, blocks: (B:79:0x0047, B:81:0x004c, B:13:0x0064, B:15:0x0068, B:16:0x00b2, B:19:0x00b8, B:20:0x00c7, B:22:0x00d1, B:24:0x00dd, B:26:0x00f3, B:28:0x00f7, B:76:0x0090, B:77:0x00a0, B:12:0x0057), top: B:78:0x0047 }] */
    /* JADX WARN: Removed duplicated region for block: B:18:0x00b6  */
    /* JADX WARN: Removed duplicated region for block: B:22:0x00d1 A[Catch: IOException -> 0x01ea, TryCatch #0 {IOException -> 0x01ea, blocks: (B:79:0x0047, B:81:0x004c, B:13:0x0064, B:15:0x0068, B:16:0x00b2, B:19:0x00b8, B:20:0x00c7, B:22:0x00d1, B:24:0x00dd, B:26:0x00f3, B:28:0x00f7, B:76:0x0090, B:77:0x00a0, B:12:0x0057), top: B:78:0x0047 }] */
    /* JADX WARN: Removed duplicated region for block: B:31:0x0140  */
    /* JADX WARN: Removed duplicated region for block: B:67:0x0118 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:75:0x008e  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void c(com.realsil.sdk.dfu.image.stream.BaseBinInputStream r14) throws com.realsil.sdk.dfu.DfuException {
        /*
            Method dump skipped, instructions count: 508
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.o.b.c(com.realsil.sdk.dfu.image.stream.BaseBinInputStream):void");
    }

    public final void d(String str) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        notifyStateChanged(516);
        int a2 = a(str, getDfuConfig().getRetransConnectTimes());
        if (a2 == 0) {
            return;
        }
        if (a2 == 4128) {
            throw new OtaException("aborted, connectRemoteDevice failed", a2);
        }
        ZLogger.d("connect failed:" + a2);
        a(l());
        int a3 = a(str, getDfuConfig().getRetransConnectTimes());
        if (a3 == 0) {
            return;
        }
        if (a3 != 4128) {
            throw new OtaException("connectRemoteDevice failed", a3);
        }
        throw new OtaException("aborted, connectRemoteDevice failed", a3);
    }

    public final void e(int i2) throws DfuException {
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_IMAGE_INFO(0x%04X)", (short) 1545));
        a((short) 1545, new byte[]{(byte) (i2 & 255), (byte) ((i2 >> 8) & 255)});
        ZLogger.v(this.DBG, "... Reading CMD_OTA_IMAGE_INFO notification");
        byte[] m = m();
        int length = m != null ? m.length : 0;
        if ((length > 0 ? m[0] : (byte) -2) != 1) {
            ZLogger.w(String.format("0x%02X, Get target image info failed", Integer.valueOf(DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED)));
            throw new OtaException("Get target image info failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        ByteBuffer wrap = ByteBuffer.wrap(m);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        int i3 = length >= 5 ? wrap.getInt(1) : 0;
        if (length >= 9) {
            this.mImageUpdateOffset = wrap.getInt(5);
        } else {
            this.mImageUpdateOffset = 0;
        }
        ZLogger.d(this.DBG, String.format(Locale.US, "mOriginalFwVersion=%d, mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(i3), Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void executeOtaProcedure() {
        int innerCheck;
        super.executeOtaProcedure();
        try {
            setName("ProcessorXS0000");
            ZLogger.d("ProcessorXS0000 running.");
            innerCheck = innerCheck();
        } catch (Exception e2) {
            e2.printStackTrace();
            ZLogger.e(e2.toString());
            d(0);
        }
        if (innerCheck != 0) {
            d(innerCheck);
            return;
        }
        notifyStateChanged(514);
        this.mOtaDeviceAddress = this.mDeviceAddress;
        this.otaModeEnabled = true;
        this.mBytesSentBuffer = 0;
        if (u()) {
            if (getOtaDeviceInfo().isRwsEnabled()) {
                o();
                notifyStateChanged(522);
                this.otaModeEnabled = true;
                this.otaEnvironmentPrepared = false;
                this.mBytesSentBuffer = 0;
                ZLogger.d("wait master to handover ...");
                try {
                    Thread.sleep(getDfuConfig().getHandoverTimeout() * 1000);
                } catch (InterruptedException e3) {
                    e3.printStackTrace();
                }
                if (u()) {
                    if (this.l) {
                        o();
                        if (getDfuConfig().isCompleteActionEnabled(1)) {
                            BluetoothProfileManager.getInstance().disconnectA2dpSource(this.w.getRemoteDevice(this.mOtaDeviceAddress));
                            BluetoothProfileManager.getInstance().disconnectHfp(this.mOtaDeviceAddress);
                        }
                        notifyStateChanged(258);
                    } else {
                        notifyStateChanged(523);
                    }
                }
            } else if (this.l) {
                o();
                if (getDfuConfig().isCompleteActionEnabled(1)) {
                    BluetoothProfileManager.getInstance().disconnectA2dpSource(this.w.getRemoteDevice(this.mOtaDeviceAddress));
                    BluetoothProfileManager.getInstance().disconnectHfp(this.mOtaDeviceAddress);
                }
                notifyStateChanged(258);
            } else {
                notifyStateChanged(523);
            }
        }
        closeInputStream(this.mCurBinInputStream);
        if (this.DBG) {
            ZLogger.d("DfuThread stopped");
        }
        SppTransportLayer sppTransportLayer = this.H;
        if (sppTransportLayer != null) {
            sppTransportLayer.unregister(this.I);
        }
        if (this.mProcessState == 525) {
            notifyStateChanged(259);
        }
    }

    public final void f(int i2) throws DfuException {
        int i3 = this.mImageUpdateOffset;
        if (i3 == 0) {
            this.mImageUpdateOffset = 12;
            ZLogger.d(this.DBG, String.format(Locale.US, "First Packet, mImageUpdateOffset=0x%08X(%d)", 12, Integer.valueOf(this.mImageUpdateOffset)));
        } else {
            ZLogger.d(this.DBG, String.format(Locale.US, "mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(i3), Integer.valueOf(this.mImageUpdateOffset)));
        }
        int bytesSent = getDfuProgressInfo().getBytesSent();
        int i4 = this.mImageUpdateOffset;
        if (bytesSent == i4 || i4 == -1) {
            return;
        }
        ZLogger.w("mBytesSent != mImageUpdateOffset, reload image bin file");
        this.imageFileLoaded = false;
        k();
        alignmentSendBytes(this.mImageUpdateOffset, false);
    }

    public final void g(int i2) {
        int i3 = this.mConnectionState;
        if (i3 != 0 && i3 != 1280) {
            r();
        }
        p();
        if (this.DBG) {
            ZLogger.d(String.format("terminateConnection, error = 0x%04X", Integer.valueOf(i2)));
        }
    }

    public final void o() throws DfuException {
        if (a((byte[]) null)) {
            if (getOtaDeviceInfo().isRwsEnabled()) {
                ZLogger.v("RWS, no need to disconnect manully");
            } else {
                if (d()) {
                    waitUntilDisconnected();
                } else {
                    ZLogger.d("device already disconnected");
                }
                g(0);
            }
            closeInputStream(this.mCurBinInputStream);
        }
    }

    public final void p() {
        t().disconnect();
        t().unregister(this.I);
        setConnectionState(1280);
    }

    public final boolean q() throws DfuException {
        d(this.mOtaDeviceAddress);
        if (this.otaEnvironmentPrepared) {
            j();
        } else {
            v();
        }
        if (this.mCurBinInputStream != null) {
            return true;
        }
        d(4097);
        return false;
    }

    public final void r() {
        int i2 = this.mConnectionState;
        if (i2 != 0 && i2 != 1280) {
            t().disconnect();
            waitUntilDisconnected();
        } else if (this.DBG) {
            ZLogger.d("already disconnect");
        }
    }

    public final void s() throws DfuException {
        ZLogger.d(this.DBG, String.format("<< CMD_OTA_GET_OTHER_INFO (0x%04X)", (short) 1547));
        byte[] a2 = a((short) 1547);
        if (a2 == null || a2.length <= 0) {
            getOtaDeviceInfo().setRwsUpdateFlag(0);
        } else {
            getOtaDeviceInfo().setRwsUpdateFlag(a2[0] & 1);
        }
    }

    public final SppTransportLayer t() {
        if (this.H == null) {
            SppTransportLayer sppTransportLayer = SppTransportLayer.getInstance();
            this.H = sppTransportLayer;
            sppTransportLayer.register(this.I);
        }
        return this.H;
    }

    public boolean u() {
        BaseBinInputStream baseBinInputStream;
        boolean z = false;
        while (a()) {
            try {
            } catch (DfuException e2) {
                ZLogger.e(DfuConstants.parseOtaState(this.mProcessState) + ", " + e2.toString());
                int errorNumber = e2.getErrorNumber();
                if (errorNumber == 4128) {
                    a(errorNumber, true);
                } else if (errorNumber == 4097) {
                    a(errorNumber, false);
                } else {
                    z();
                    d(errorNumber);
                }
            }
            if (!q() || !B()) {
                return false;
            }
            this.mBytesSentBuffer += getDfuProgressInfo().getBytesSent();
            if (getDfuProgressInfo().isLastImageFile()) {
                ZLogger.d("no pendding image file to upload.");
                getDfuProgressInfo().setActiveImageSize(this.mBytesSentBuffer);
                z = true;
            } else {
                ZLogger.d("has pendding image file to upload");
                if (getOtaDeviceInfo().getUpdateMechanism() == 1) {
                    this.mOtaDeviceAddress = this.mDeviceAddress;
                    this.otaModeEnabled = true;
                    this.mBytesSentBuffer = 0;
                    o();
                    h();
                } else if (getOtaDeviceInfo().getUpdateMechanism() == 3 && (baseBinInputStream = this.mNextBinInputStream) != null) {
                    ZLogger.v(String.format(Locale.US, "nextBinSize=%d, mBytesSentBuffer=%d, otaTempBufferSize=%d", Integer.valueOf(baseBinInputStream.remainSizeInBytes()), Integer.valueOf(this.mBytesSentBuffer), Integer.valueOf(getOtaDeviceInfo().otaTempBufferSize * 4096)));
                    if (this.mNextBinInputStream.remainSizeInBytes() + this.mBytesSentBuffer > getOtaDeviceInfo().otaTempBufferSize * 4096) {
                        ZLogger.d("make device to enter the ota advertiser mode, and let the app continue update imae");
                        this.otaModeEnabled = true;
                        this.mBytesSentBuffer = 0;
                        a((byte) 1);
                        h();
                    }
                }
            }
            try {
                Thread.sleep(1000L);
            } catch (InterruptedException e3) {
                e3.printStackTrace();
            }
            if (z) {
                return z;
            }
        }
        d(DfuException.ERROR_DFU_ABORTED);
        return false;
    }

    public final void v() throws DfuException {
        this.otaEnvironmentPrepared = false;
        if (!a()) {
            d(DfuException.ERROR_DFU_ABORTED);
            return;
        }
        notifyStateChanged(517);
        try {
            Thread.sleep(1500L);
        } catch (InterruptedException e2) {
            e2.printStackTrace();
        }
        this.mOtaDeviceInfo = new OtaDeviceInfo(2);
        x();
        if (getOtaDeviceInfo().isRwsEnabled()) {
            s();
            if (getOtaDeviceInfo().getRwsUpdateFlag() != 0) {
                throw new OtaException("rws state not ready", 282);
            }
        }
        w();
        if (this.DBG) {
            ZLogger.d(getOtaDeviceInfo().toString());
        }
        k();
        List<BaseBinInputStream> list = this.pendingImageInputStreams;
        if (list != null && list.size() > 0) {
            Iterator<BaseBinInputStream> it2 = this.pendingImageInputStreams.iterator();
            while (it2.hasNext()) {
                it2.next().getImageSize();
            }
        }
        this.otaEnvironmentPrepared = true;
        ZLogger.d("Ota Environment prepared.");
    }

    public final void w() throws DfuException {
        ZLogger.d(this.DBG, String.format("<< CMD_OTA_GET_IMAGE_INFO (0x%04X)", (short) 1537));
        getOtaDeviceInfo().setActiveImageVersionValues(a((short) 1537));
    }

    public final boolean x() throws DfuException {
        ZLogger.d(this.DBG, String.format("<< CMD_OTA_GET_DEVICE_INFO (0x%04X)", (short) 1536));
        byte[] a2 = a((short) 1536);
        if (a2 == null) {
            ZLogger.e("Get dev info failed");
            throw new OtaException("get remote dev info failed", 270);
        }
        ZLogger.v(DataConverter.bytes2Hex(a2));
        getOtaDeviceInfo().parseX0000(a2);
        a(getOtaDeviceInfo().maxBufferchecksize);
        if (this.DBG) {
            ZLogger.d(getOtaDeviceInfo().toString());
        }
        return true;
    }

    public final int y() throws DfuException {
        ZLogger.d(this.DBG, String.format("<< CMD_OTA_BUFFER_CHECK_ENABLE (0x%04X)", (short) 1543));
        a((short) 1543, (byte[]) null);
        try {
            ZLogger.d(this.DBG, "... Reading OPCODE_DFU_ENABLE_BUFFER_CHECK_MODE notification");
            byte[] c2 = c(1600);
            if (c2[0] == 1) {
                ByteBuffer wrap = ByteBuffer.wrap(c2);
                wrap.order(ByteOrder.LITTLE_ENDIAN);
                int i2 = (((short) (wrap.get(2) & 255)) << 8) | ((short) (wrap.get(1) & 255));
                int i3 = ((short) (wrap.get(3) & 255)) | (((short) (wrap.get(4) & 255)) << 8);
                ZLogger.v(this.DBG, "maxBufferSize=" + i2 + ", bufferCheckMtuSize=" + i3);
                a(i2);
                b(i3);
                return 1;
            }
        } catch (DfuException unused) {
            ZLogger.w("Read DFU_REPORT_OTA_FUNCTION_VERSION failed, just think remote is normal function.");
            this.mErrorState = 0;
        }
        return 0;
    }

    public final boolean z() {
        try {
            ZLogger.d(this.DBG, String.format("<< CMD_OTA_RESET (0x%04X)", (short) 1541));
            return a((short) 1541, (byte[]) null);
        } catch (DfuException e2) {
            ZLogger.e(String.format("Send OPCODE_DFU_RESET_SYSTEM failed, ignore it, errorcode= 0x%04X", Integer.valueOf(e2.getErrorNumber())));
            this.mErrorState = 0;
            return false;
        }
    }

    public final int a(String str, int i2) {
        int i3 = 0;
        while (a()) {
            int c2 = c(str);
            if (c2 == 0) {
                return 0;
            }
            if ((c2 & (-2049)) != 133) {
                r();
            } else if (this.DBG) {
                ZLogger.d("connect fail with GATT_ERROR, do not need disconnect");
            }
            setConnectionState(1280);
            try {
                Thread.sleep(1600L);
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
            i3++;
            if (i3 > i2) {
                return c2;
            }
        }
        return DfuException.ERROR_DFU_ABORTED;
    }

    public final void h(int i2) throws DfuException {
        byte[] bArr = {(byte) (i2 & 255), (byte) ((i2 >> 8) & 255), 0};
        ZLogger.d(this.DBG, String.format("<< CMD_OTA_VALID (0x%04X)", (short) 1540));
        if (a((short) 1540, bArr)) {
            ZLogger.d(this.DBG, "... waiting CMD_OTA_VALID response");
            byte b2 = c(BluetoothConstant.PAIR_OR_UNPAIR_TIMEOUT)[0];
            if (b2 == 1) {
                return;
            }
            if (b2 == 5) {
                ZLogger.e(String.format("0x%02X, Validate FW failed, CRC check error", Byte.valueOf(b2)));
                throw new OtaException("Validate FW failed", 517);
            }
            ZLogger.e(String.format("0x%02X(not supported), Validate FW failed", Byte.valueOf(b2)));
            throw new OtaException("Validate FW failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        throw new OtaException("Validate FW failed", 512);
    }

    public final void d(int i2) {
        a(i2, false);
    }

    public final void a(byte b2) throws DfuException {
        if (a(new byte[]{b2})) {
            if (getOtaDeviceInfo().isRwsEnabled()) {
                ZLogger.v("RWS, no need to disconnect manully");
            } else {
                if (d()) {
                    waitUntilDisconnected();
                } else {
                    ZLogger.d("device already disconnected");
                }
                g(0);
            }
            closeInputStream(this.mCurBinInputStream);
        }
    }

    public final boolean a(byte[] bArr) throws DfuException {
        notifyStateChanged(524);
        boolean z = true;
        int i2 = 0;
        try {
            if (this.DBG) {
                ZLogger.d(String.format("<< CMD_OTA_ACTIVE_RESET(0x%04X)", (short) 1542));
            }
            z = a((short) 1542, bArr);
        } catch (DfuException e2) {
            if (e2.getErrCode() == 4128) {
                z = false;
                i2 = 4128;
            } else if (!getDfuConfig().isWaitActiveCmdAckEnabled()) {
                ZLogger.d("active cmd has no response, ignore");
            } else {
                ZLogger.w("active cmd has no response, notify error");
                z = false;
                i2 = e2.getErrCode();
            }
        }
        if (z) {
            ZLogger.d("image active success");
            return z;
        }
        throw new OtaException(i2);
    }

    public final void a(int i2, boolean z) {
        if (this.mAborted) {
            i2 = 4128;
        }
        if (i2 != 4128) {
            notifyStateChanged(260, true);
        }
        if (this.DBG) {
            ZLogger.d(String.format("error = 0x%04X", Integer.valueOf(i2)));
        }
        if (z) {
            z();
        }
        BrEdrScannerPresenter brEdrScannerPresenter = this.A;
        if (brEdrScannerPresenter != null) {
            brEdrScannerPresenter.stopScan();
        }
        if (getDfuConfig().isErrorActionEnabled(1)) {
            g(i2);
        }
        closeInputStream(this.mCurBinInputStream);
        DfuThreadCallback dfuThreadCallback = this.mThreadCallback;
        if (dfuThreadCallback != null) {
            dfuThreadCallback.onError(i2);
        }
        this.mAborted = true;
    }

    public final boolean b(byte[] bArr, int i2) throws DfuException {
        short a2 = a(bArr, i2);
        if (this.DBG) {
            ZLogger.v(String.format("<< CMD_OTA_BUFFER_CHECK(0x%04X)", (short) 1544));
        }
        a((short) 1544, new byte[]{(byte) (i2 & 255), (byte) (i2 >> 8), (byte) (a2 & 255), (byte) ((a2 >> 8) & 255)});
        if (this.DBG) {
            ZLogger.v(String.format("... waiting EVENT_OTA_BUFFER_CHECK(0x%04X)response", (short) 1542));
        }
        byte[] m = m();
        byte b2 = m[0];
        if (b2 != 1) {
            if (b2 == 5 || b2 == 6 || b2 == 7) {
                return false;
            }
            if (b2 != 8) {
                throw new OtaException("ERROR_OPCODE_RESPONSE_NOT_SUPPORTED", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
            }
            throw new OtaException("DFU_STATUS_FLASH_ERASE_ERROR", b2 | 512);
        }
        ByteBuffer wrap = ByteBuffer.wrap(m);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        int i3 = wrap.getInt(1);
        this.mImageUpdateOffset = i3;
        if (this.DBG) {
            ZLogger.d(String.format(Locale.US, "mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(i3), Integer.valueOf(this.mImageUpdateOffset)));
        }
        return true;
    }

    public final void a(AckPacket ackPacket) {
        int toAckId = ackPacket.getToAckId();
        byte status = ackPacket.getStatus();
        short s = (short) (65535 & toAckId);
        if (this.G.containsKey(Short.valueOf(s))) {
            this.G.put(Short.valueOf(s), ackPacket);
        }
        switch (toAckId) {
            case Constants.DATATYPE.Real_UploadSport /* 1536 */:
                ZLogger.v("ACK-CMD_OTA_GET_DEVICE_INFO");
                if (status == 2 || status == 1) {
                    ZLogger.w("CMD_OTA_GET_DEVICE_INFO not support");
                    this.mErrorState = 281;
                    this.mReadRxData = null;
                    this.F.remove((short) 1536);
                    notifyReadLock();
                    break;
                }
                break;
            case 1538:
            case Constants.DATATYPE.Real_UploadPPG /* 1540 */:
            case Constants.DATATYPE.Real_UploadECG /* 1541 */:
            case Constants.DATATYPE.Real_UploadRun /* 1542 */:
            case Constants.DATATYPE.Real_UploadRespiratoryRate /* 1543 */:
            case Constants.DATATYPE.Real_UploadSensor /* 1544 */:
            case Constants.DATATYPE.Real_UploadAmbientlight /* 1545 */:
                if (ackPacket.getStatus() == 0) {
                    this.mWriteRetransFlag = false;
                } else {
                    this.mWriteRetransFlag = false;
                }
                g();
                break;
        }
    }

    public final void a(TransportLayerPacket transportLayerPacket) {
        int opcode = transportLayerPacket.getOpcode();
        transportLayerPacket.getPayload();
        byte[] parameters = transportLayerPacket.getParameters();
        switch (opcode) {
            case Constants.DATATYPE.Real_UploadSport /* 1536 */:
            case 1537:
            case Constants.DATATYPE.Real_UploadSensor /* 1544 */:
            case Constants.DATATYPE.Real_UploadAmbientlight /* 1545 */:
                short s = (short) (opcode & 65535);
                if (!this.F.contains(Short.valueOf(s))) {
                    ZLogger.w(String.format("not expect event: 0x%04X", Short.valueOf(s)));
                    return;
                }
                this.F.remove(Short.valueOf(s));
                this.mReadRxData = parameters;
                notifyReadLock();
                return;
            case 1538:
            case Constants.DATATYPE.Real_UploadPPG /* 1540 */:
            case Constants.DATATYPE.Real_UploadECG /* 1541 */:
            case Constants.DATATYPE.Real_UploadRun /* 1542 */:
            case Constants.DATATYPE.Real_UploadRespiratoryRate /* 1543 */:
                synchronized (this.m) {
                    this.D = parameters;
                    this.E = true;
                    this.m.notifyAll();
                }
                return;
            case 1539:
                if (((parameters == null || parameters.length <= 0) ? (byte) 1 : parameters[0]) == 1) {
                    this.mWriteRetransFlag = false;
                } else {
                    this.mWriteRetransFlag = false;
                }
                g();
                return;
            default:
                return;
        }
    }

    public final int c(String str) {
        BluetoothDevice bluetoothDevice;
        setConnectionState(256);
        this.mErrorState = 0;
        this.isConnectedCallbackCome = false;
        try {
            bluetoothDevice = this.w.getRemoteDevice(str);
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
            bluetoothDevice = null;
        }
        if (bluetoothDevice == null) {
            return 4112;
        }
        ZLogger.v(this.DBG, "connecting to " + str);
        t().register(this.I);
        t().connect(bluetoothDevice, null);
        try {
            synchronized (this.mConnectionLock) {
                if (!this.isConnectedCallbackCome && this.mErrorState == 0) {
                    ZLogger.d(this.DBG, "wait for connect for 32000 ms");
                    this.mConnectionLock.wait(32000L);
                }
            }
        } catch (InterruptedException e3) {
            ZLogger.e("Sleeping interrupted : " + e3.toString());
            this.mErrorState = 259;
        }
        if (this.mErrorState == 0) {
            if (!this.isConnectedCallbackCome) {
                ZLogger.w("wait for connect, but can not connect with no callback");
                this.mErrorState = 260;
            } else if (this.mConnectionState != 515) {
                ZLogger.w("connect with some error, please check. mConnectionState" + this.mConnectionState);
                this.mErrorState = 264;
            }
        }
        if (this.mErrorState != 0) {
            if (this.mConnectionState == 256) {
                setConnectionState(0);
            }
        } else {
            ZLogger.v(this.DBG, "connected the device which going to upgrade");
        }
        return this.mErrorState;
    }

    public final byte[] a(short s) throws DfuException {
        this.mErrorState = 0;
        this.mReadRxData = null;
        if (s == 1536) {
            this.F.add((short) 1536);
        } else if (s == 1537) {
            this.F.add((short) 1537);
        } else if (s == 1546) {
            this.F.add((short) 1544);
        } else if (s == 1547) {
            this.F.add((short) 1545);
        }
        this.mReadRequestCompleted = false;
        if (!t().sendCmd(s, null)) {
            return null;
        }
        synchronized (this.mReadLock) {
            try {
                if (this.mErrorState == 0 && !this.mReadRequestCompleted && this.mConnectionState == 515) {
                    this.mReadLock.wait(15000L);
                }
            } catch (InterruptedException e2) {
                ZLogger.e("mCharacteristicReadCalledLock Sleeping interrupted,e:" + e2);
                this.mErrorState = 259;
            }
        }
        if (this.mErrorState == 0 && !this.mReadRequestCompleted) {
            ZLogger.d(this.DBG, "read value but no callback");
            this.mErrorState = 261;
        }
        if (this.mErrorState == 0) {
            return this.mReadRxData;
        }
        throw new OtaException("Error while send command", this.mErrorState);
    }
}
