package com.realsil.sdk.dfu.p;

import com.realsil.sdk.bbpro.core.protocol.CommandContract;
import com.realsil.sdk.bbpro.core.transportlayer.AckPacket;
import com.realsil.sdk.bbpro.core.transportlayer.TransportLayerPacket;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.realsil.sdk.dfu.model.OtaModeInfo;
import com.realsil.sdk.dfu.params.QcConfig;
import java.util.ArrayList;
import java.util.Locale;

/* loaded from: classes3.dex */
public class a extends com.realsil.sdk.dfu.n.a {
    public b l;

    public class b extends Thread {
        public b() {
        }

        @Override // java.lang.Thread, java.lang.Runnable
        public void run() {
            super.run();
            setName("AdapterXS0011-DeviceInfoThread");
            a.this.b(257);
            if (!a.this.e()) {
                ZLogger.v("already in idle state");
                return;
            }
            a.this.b(258);
            if (!a.this.c().sendCmd((short) 1536, null)) {
                if (com.realsil.sdk.dfu.n.a.f4531j) {
                    ZLogger.v(a.this.b().toString());
                }
                a.this.b(2);
                return;
            }
            a.this.h();
            if (a.this.b().isRwsEnabled()) {
                a.this.f4536e.add(new OtaModeInfo(21));
            } else {
                a.this.f4536e.add(new OtaModeInfo(16));
            }
            if (!a.this.e()) {
                ZLogger.d("already in idle state");
                return;
            }
            a.this.b(259);
            if (!(a.this.b().specVersion <= 5 ? a.this.c().sendCmd((short) 1537, null) : a.this.c().sendCmd((short) 1537, new byte[]{0}))) {
                if (com.realsil.sdk.dfu.n.a.f4531j) {
                    ZLogger.d(a.this.b().toString());
                }
                a.this.b(2);
                return;
            }
            a.this.h();
            if (a.this.b().specVersion >= 5) {
                if (a.this.b().isBankEnabled()) {
                    if (a.this.f4538g == 1) {
                        a.this.f4536e.add(new OtaModeInfo(19));
                        a.this.f4536e.add(new OtaModeInfo(20));
                    }
                    if (!a.this.e()) {
                        ZLogger.d("already in idle state");
                        return;
                    }
                    a.this.b(260);
                    if (!(a.this.b().specVersion >= 6 ? a.this.c().sendCmd((short) 1537, new byte[]{1}) : a.this.c().sendCmd((short) 1550, null))) {
                        if (com.realsil.sdk.dfu.n.a.f4531j) {
                            ZLogger.v(a.this.b().toString());
                        }
                        a.this.b(2);
                        return;
                    }
                    a.this.h();
                }
                if (!a.this.e()) {
                    ZLogger.d("already in idle state");
                    return;
                }
                a.this.b(261);
                if (!a.this.c().sendCmd((short) 1549, null)) {
                    if (com.realsil.sdk.dfu.n.a.f4531j) {
                        ZLogger.d(a.this.b().toString());
                    }
                    a.this.b(2);
                    return;
                }
                a.this.h();
            }
            if (a.this.b().getUpdateMechanism() == 3) {
                if (!a.this.e()) {
                    ZLogger.d("already in idle state");
                    return;
                }
                a.this.b(262);
                if (!a.this.c().sendCmd((short) 1546, null)) {
                    if (com.realsil.sdk.dfu.n.a.f4531j) {
                        ZLogger.d(a.this.b().toString());
                    }
                    a.this.b(2);
                    return;
                }
                a.this.h();
            }
            if (!a.this.e()) {
                ZLogger.d("already in idle state");
                return;
            }
            a.this.b(DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS);
            if (!a.this.c().sendCmd((short) 24, new byte[]{2})) {
                if (com.realsil.sdk.dfu.n.a.f4531j) {
                    ZLogger.d(a.this.b().toString());
                }
                a.this.b(2);
                return;
            }
            a.this.h();
            if (!a.this.e()) {
                ZLogger.d("already in idle state");
                return;
            }
            a.this.b(264);
            if (!a.this.c().sendCmd(CommandContract.buildPacket(CommandContract.CMD_GET_PACKAGE_ID))) {
                if (com.realsil.sdk.dfu.n.a.f4531j) {
                    ZLogger.d(a.this.b().toString());
                }
                a.this.b(2);
            } else {
                a.this.h();
                if (com.realsil.sdk.dfu.n.a.f4531j) {
                    ZLogger.d(a.this.b().toString());
                }
                a.this.b(1);
            }
        }
    }

    public a() {
        this.f4532a = 17;
    }

    @Override // com.realsil.sdk.dfu.n.a
    public void a(AckPacket ackPacket) {
        super.a(ackPacket);
        int toAckId = ackPacket.getToAckId();
        byte status = ackPacket.getStatus();
        if (toAckId == 24) {
            ZLogger.v("ACK-CMD_GET_STATUS");
            if (status == 2 || status == 1) {
                ZLogger.w("CMD_GET_STATUS not support");
                if (this.f4533b == 263) {
                    g();
                    return;
                }
                return;
            }
            return;
        }
        if (toAckId == 783) {
            ZLogger.v("ACK-CMD_GET_PACKAGE_ID");
            if (status == 2 || status == 1) {
                ZLogger.d("CMD_GET_PACKAGE_ID not support");
                if (this.f4533b == 264) {
                    g();
                    return;
                }
                return;
            }
            return;
        }
        if (toAckId == 1546) {
            ZLogger.v("ACK-CMD_OTA_IMAGE_SECTION_SIZE_INFO");
            if (status == 2 || status == 1) {
                ZLogger.d("CMD_OTA_IMAGE_SECTION_SIZE_INFO not support");
                if (this.f4533b == 262) {
                    g();
                    return;
                }
                return;
            }
            return;
        }
        if (toAckId == 1536) {
            if (status == 2 || status == 1 || status == 3) {
                if (com.realsil.sdk.dfu.n.a.f4531j) {
                    ZLogger.d("GET_TERGET_INFO failed");
                }
                if (this.f4533b == 258) {
                    g();
                    return;
                }
                return;
            }
            return;
        }
        if (toAckId == 1537) {
            if (status == 2 || status == 1 || status == 3) {
                if (com.realsil.sdk.dfu.n.a.f4531j) {
                    ZLogger.d("GET_IMAGE_INFO failed");
                }
                if (this.f4533b == 259) {
                    g();
                    return;
                } else {
                    if (b().specVersion < 5 || this.f4533b != 260) {
                        return;
                    }
                    g();
                    return;
                }
            }
            return;
        }
        if (toAckId == 1549) {
            ZLogger.v("ACK-CMD_GET_CONFIG_RELEASE_VERSION");
            if (status == 2 || status == 1) {
                ZLogger.d("CMD_GET_CONFIG_RELEASE_VERSION not support");
                if (this.f4533b == 261) {
                    g();
                    return;
                }
                return;
            }
            return;
        }
        if (toAckId != 1550) {
            return;
        }
        ZLogger.v("ACK-CMD_GET_INACTIVE_BANK_IMAGE_INFO");
        if (status == 2 || status == 1) {
            ZLogger.d("CMD_GET_INACTIVE_BANK_IMAGE_INFO not support");
            if (this.f4533b == 260) {
                g();
            }
        }
    }

    @Override // com.realsil.sdk.dfu.n.a
    public void f() {
        this.f4536e = new ArrayList();
        b bVar = new b();
        this.l = bVar;
        bVar.start();
    }

    @Override // com.realsil.sdk.dfu.n.a
    public void a(TransportLayerPacket transportLayerPacket) {
        super.a(transportLayerPacket);
        int opcode = transportLayerPacket.getOpcode();
        transportLayerPacket.getPayload();
        byte[] parameters = transportLayerPacket.getParameters();
        if (com.realsil.sdk.dfu.n.a.f4531j) {
            ZLogger.d(String.format(Locale.US, "[0x%04X >>] (S0011)%s", Integer.valueOf(opcode), DataConverter.bytes2HexWithSeparate(parameters)));
        }
        if (opcode == 25) {
            if (this.f4533b != 263 || parameters == null || parameters.length <= 0 || parameters[0] != 2) {
                return;
            }
            b().setBatteryLevel(parameters.length > 1 ? parameters[1] & 255 : 0, parameters.length > 2 ? parameters[2] & 255 : 0);
            g();
            return;
        }
        if (opcode == 1544) {
            if (this.f4533b == 262) {
                if (parameters != null && parameters.length > 0) {
                    b().appendImageSectionSizeBytes(parameters);
                }
                g();
                return;
            }
            return;
        }
        if (opcode == 2321) {
            if (this.f4533b == 264) {
                if (parameters != null && parameters.length >= 2) {
                    b().setIcId(parameters[0]);
                    b().setPackageId(parameters[1]);
                }
                g();
                return;
            }
            return;
        }
        if (opcode == 1536) {
            b().parseX0011(parameters);
            g();
            return;
        }
        if (opcode == 1537) {
            b().appendImageVersionBytes(parameters);
            g();
        } else if (opcode == 1548) {
            b().setAppConfigReleaseVer(parameters);
            g();
        } else {
            if (opcode != 1549) {
                return;
            }
            b().appendInactiveImageVersionBytes(parameters);
            g();
        }
    }

    @Override // com.realsil.sdk.dfu.n.a
    public void a() {
        super.a();
        b bVar = this.l;
        if (bVar != null) {
            bVar.interrupt();
            this.l = null;
        }
    }

    @Override // com.realsil.sdk.dfu.n.a
    public boolean a(OtaDeviceInfo otaDeviceInfo, QcConfig qcConfig) {
        return c().sendCmd((short) 1554, new byte[]{(byte) (qcConfig.getIndicator() & 255)});
    }
}
