package com.realsil.sdk.dfu.p;

import android.content.Context;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.exception.LoadFileException;
import com.realsil.sdk.dfu.image.BinIndicator;
import com.realsil.sdk.dfu.image.LoadParams;
import com.realsil.sdk.dfu.image.pack.SubFileInfo;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.model.BinInfo;
import com.realsil.sdk.dfu.model.ImageVersionInfo;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

/* loaded from: classes3.dex */
public class b extends com.realsil.sdk.dfu.i.a {
    public static BinInfo a(LoadParams loadParams) throws LoadFileException {
        boolean z;
        Context a2 = loadParams.a();
        int h2 = loadParams.h();
        String d2 = loadParams.d();
        String e2 = loadParams.e();
        int b2 = loadParams.b();
        OtaDeviceInfo f2 = loadParams.f();
        boolean r = loadParams.r();
        boolean n = loadParams.n();
        loadParams.k();
        BinInfo b3 = com.realsil.sdk.dfu.i.a.b(d2, e2);
        b3.updateBank = loadParams.i();
        if (a2 == null) {
            throw new LoadFileException("invalid context", 4097);
        }
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        int i2 = f2 != null ? f2.specVersion : 1;
        Locale locale = Locale.US;
        ZLogger.v(String.format(locale, "device >> otaVersion=%d, primaryIcType=0x%02X", Integer.valueOf(i2), Integer.valueOf(h2)));
        ZLogger.v(String.format(locale, "fileIndicator=0x%08X, filePath=%s, versionCheckEnabled=%b", Integer.valueOf(b2), d2, Boolean.valueOf(r)));
        com.realsil.sdk.dfu.e.a b4 = com.realsil.sdk.dfu.d.b.b(loadParams);
        if (b4 == null) {
            try {
                BaseBinInputStream openAssetsInputStream = com.realsil.sdk.dfu.i.a.openAssetsInputStream(a2, h2, d2, 0L);
                if (openAssetsInputStream != null) {
                    arrayList2.add(openAssetsInputStream);
                    b3.icType = openAssetsInputStream.getIcType();
                    b3.version = openAssetsInputStream.getImageVersion();
                    if (n && !com.realsil.sdk.dfu.i.a.a(b3.icType, h2)) {
                        ZLogger.w(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(b3.icType)));
                        b3.updateEnabled = false;
                        b3.status = 4101;
                        return b3;
                    }
                    if (!r) {
                        arrayList3.add(openAssetsInputStream);
                    } else if (1 == com.realsil.sdk.dfu.i.a.checkSingleImageVersion(openAssetsInputStream, f2)) {
                        arrayList3.add(openAssetsInputStream);
                    } else {
                        z = true;
                    }
                }
                z = false;
            } catch (IOException e3) {
                e3.printStackTrace();
                throw new LoadFileException(e3.getMessage(), 4097);
            }
        } else {
            if (i2 <= 1) {
                throw new LoadFileException("not support pack file", 4107);
            }
            b3.isPackFile = true;
            b3.icType = b4.b();
            b3.subFileInfos = b4.e(0);
            b3.subFileInfos1 = b4.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(b3.icType, h2)) {
                ZLogger.w(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(b3.icType)));
                b3.updateEnabled = false;
                b3.status = 4101;
                return b3;
            }
            boolean z2 = false;
            for (int i3 = 0; i3 < 16; i3++) {
                int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i3, f2.imageVersionIndicator, f2.updateBankIndicator);
                if (wrapperBitNumber < 16) {
                    b3.bankIndicator |= 1;
                } else {
                    b3.bankIndicator |= 2;
                }
                if (BinIndicator.isIndicatorEnabled(b2, wrapperBitNumber)) {
                    SubFileInfo d3 = b4.d(wrapperBitNumber);
                    BaseBinInputStream assetsBinInputStream = d3 != null ? d3.getAssetsBinInputStream(a2, b3.icType) : null;
                    if (assetsBinInputStream != null) {
                        arrayList2.add(assetsBinInputStream);
                        if (!r) {
                            arrayList3.add(assetsBinInputStream);
                            arrayList.add(d3);
                        } else if (1 == com.realsil.sdk.dfu.i.a.checkPackImageVersion(wrapperBitNumber, assetsBinInputStream, f2)) {
                            arrayList3.add(assetsBinInputStream);
                            arrayList.add(d3);
                        } else {
                            z2 = true;
                        }
                    }
                } else {
                    ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                }
            }
            try {
                b4.close();
            } catch (IOException e4) {
                e4.printStackTrace();
                ZLogger.e(e4.toString());
            }
            z = z2;
        }
        b3.lowVersionExist = z;
        b3.subBinInputStreams = arrayList2;
        b3.supportBinInputStreams = arrayList3;
        b3.supportSubFileInfos = arrayList;
        if (r && z && arrayList3.size() < 1) {
            b3.updateEnabled = false;
            b3.status = 4104;
        }
        return b3;
    }

    public static BinInfo loadImageBinInfo(LoadParams loadParams) throws LoadFileException {
        byte[] bArr;
        boolean z;
        boolean z2;
        boolean z3;
        SubFileInfo d2;
        loadParams.a();
        int h2 = loadParams.h();
        String d3 = loadParams.d();
        String e2 = loadParams.e();
        int b2 = loadParams.b();
        loadParams.k();
        OtaDeviceInfo f2 = loadParams.f();
        boolean r = loadParams.r();
        boolean n = loadParams.n();
        boolean p = loadParams.p();
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        BinInfo a2 = com.realsil.sdk.dfu.i.a.a(d3, e2);
        a2.updateBank = loadParams.i();
        com.realsil.sdk.dfu.e.a c2 = com.realsil.sdk.dfu.d.b.c(loadParams);
        if (c2 != null) {
            ZLogger.v(c2.toString());
            a2.isPackFile = true;
            a2.icType = c2.b();
            a2.subFileInfos = c2.e(0);
            a2.subFileInfos1 = c2.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(a2.icType, h2)) {
                ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(a2.icType)));
                a2.updateEnabled = false;
                a2.status = 4101;
                return a2;
            }
            if (!p || (d2 = c2.d(com.realsil.sdk.dfu.i.a.wrapperBitNumber(2, f2.imageVersionIndicator, f2.updateBankIndicator))) == null) {
                z2 = false;
                z3 = true;
            } else {
                BaseBinInputStream binInputStream = d2.getBinInputStream(a2.icType);
                if (binInputStream == null || 1 == a(2, binInputStream, f2)) {
                    z3 = true;
                    z2 = true;
                } else {
                    z3 = false;
                    z2 = true;
                }
            }
            if (z3) {
                z = false;
                for (int i2 = 0; i2 < 16; i2++) {
                    int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i2, f2.imageVersionIndicator, f2.updateBankIndicator);
                    if (wrapperBitNumber < 16) {
                        a2.bankIndicator |= 1;
                    } else {
                        a2.bankIndicator |= 2;
                    }
                    SubFileInfo d4 = c2.d(wrapperBitNumber);
                    BaseBinInputStream binInputStream2 = d4 != null ? d4.getBinInputStream(a2.icType) : null;
                    if (binInputStream2 != null) {
                        arrayList2.add(binInputStream2);
                        if (!BinIndicator.isIndicatorEnabled(b2, wrapperBitNumber)) {
                            ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                        } else if (!r || 1 == com.realsil.sdk.dfu.i.a.checkPackImageVersion(i2, binInputStream2, f2)) {
                            if (p) {
                                if (z2) {
                                    ZLogger.d("preVerify OTA_HEADER_FILE ok, no need to check section size");
                                } else if (1 != a(i2, binInputStream2, f2)) {
                                }
                            }
                            arrayList3.add(binInputStream2);
                            arrayList.add(d4);
                        } else {
                            z = true;
                        }
                    }
                }
            } else {
                ZLogger.w("pre verify failed");
                z = false;
            }
            try {
                c2.close();
            } catch (IOException e3) {
                e3.printStackTrace();
                ZLogger.e(e3.toString());
            }
        } else {
            try {
                BaseBinInputStream openFileInputStream = com.realsil.sdk.dfu.i.a.openFileInputStream(h2, d3, 0L);
                if (openFileInputStream != null) {
                    openFileInputStream.parseImageHeaderEx();
                    bArr = openFileInputStream.getSha256();
                    try {
                        openFileInputStream.close();
                    } catch (Exception e4) {
                        ZLogger.e(e4.toString());
                    }
                } else {
                    bArr = null;
                }
                BaseBinInputStream openFileInputStream2 = com.realsil.sdk.dfu.i.a.openFileInputStream(h2, d3, 0L);
                if (openFileInputStream2 != null) {
                    openFileInputStream2.setSha256(bArr);
                    arrayList2.add(openFileInputStream2);
                    a2.icType = openFileInputStream2.getIcType();
                    a2.version = openFileInputStream2.getImageVersion();
                    if (n && !com.realsil.sdk.dfu.i.a.a(a2.icType, h2)) {
                        ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(a2.icType)));
                        a2.updateEnabled = false;
                        a2.status = 4101;
                        return a2;
                    }
                    if (r && 1 != com.realsil.sdk.dfu.i.a.checkSingleImageVersion(openFileInputStream2, f2)) {
                        z = true;
                    } else if (!p) {
                        arrayList3.add(openFileInputStream2);
                    } else if (1 == a(openFileInputStream2, f2)) {
                        arrayList3.add(openFileInputStream2);
                    }
                }
                z = false;
            } catch (IOException e5) {
                e5.printStackTrace();
                throw new LoadFileException(e5.getMessage(), 4097);
            }
        }
        a2.lowVersionExist = z;
        a2.subBinInputStreams = arrayList2;
        a2.supportBinInputStreams = arrayList3;
        a2.supportSubFileInfos = arrayList;
        if (r && z && arrayList3.size() < 1) {
            a2.updateEnabled = false;
            a2.status = 4104;
        }
        return a2;
    }

    public static int a(int i2, BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        if (otaDeviceInfo == null) {
            return 1;
        }
        int imageSize = baseBinInputStream.getImageSize();
        int i3 = otaDeviceInfo.icType;
        if (i3 != 4 && i3 != 6 && i3 != 7 && i3 != 8 && i3 != 10) {
            ZLogger.d("not support section size check for ic:" + otaDeviceInfo.icType);
        } else {
            List<ImageVersionInfo> imageVersionInfos = otaDeviceInfo.getImageVersionInfos();
            if (imageVersionInfos != null && imageVersionInfos.size() > 0) {
                Iterator<ImageVersionInfo> it2 = imageVersionInfos.iterator();
                while (true) {
                    if (!it2.hasNext()) {
                        break;
                    }
                    ImageVersionInfo next = it2.next();
                    if (next.getBitNumber() == i2) {
                        if (next.getSectionSize() > 0 && imageSize > next.getSectionSize()) {
                            ZLogger.w(String.format(Locale.US, "image size is %d exceed the limit of the section size %d", Integer.valueOf(imageSize), Integer.valueOf(next.getSectionSize())));
                            return 2;
                        }
                        ZLogger.v("version validate ok: " + imageSize);
                    }
                }
            }
        }
        return 1;
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x004d, code lost:
    
        if (r3.versionCheckEnabled != false) goto L26;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static int a(com.realsil.sdk.dfu.image.stream.BaseBinInputStream r5, com.realsil.sdk.dfu.model.OtaDeviceInfo r6) {
        /*
            r0 = 1
            if (r6 != 0) goto L4
            return r0
        L4:
            int r1 = r5.getBinId()
            int r5 = r5.getImageSize()
            int r2 = r6.icType
            r3 = 4
            if (r2 == r3) goto L35
            r3 = 6
            if (r2 == r3) goto L35
            r3 = 7
            if (r2 == r3) goto L35
            r3 = 8
            if (r2 == r3) goto L35
            r3 = 10
            if (r2 != r3) goto L20
            goto L35
        L20:
            java.lang.StringBuilder r5 = new java.lang.StringBuilder
            java.lang.String r1 = "not support section size check for ic:"
            r5.<init>(r1)
            int r6 = r6.icType
            r5.append(r6)
            java.lang.String r5 = r5.toString()
            com.realsil.sdk.core.logger.ZLogger.d(r5)
            goto Lbc
        L35:
            java.util.ArrayList<com.realsil.sdk.dfu.image.BinIndicator> r2 = com.realsil.sdk.dfu.image.BinIndicator.BBPRO
            java.util.Iterator r2 = r2.iterator()
        L3b:
            boolean r3 = r2.hasNext()
            if (r3 == 0) goto L50
            java.lang.Object r3 = r2.next()
            com.realsil.sdk.dfu.image.BinIndicator r3 = (com.realsil.sdk.dfu.image.BinIndicator) r3
            int r4 = r3.subBinId
            if (r4 != r1) goto L3b
            boolean r1 = r3.versionCheckEnabled
            if (r1 == 0) goto L50
            goto L51
        L50:
            r3 = 0
        L51:
            if (r3 == 0) goto Lbc
            java.lang.String r1 = r3.toString()
            com.realsil.sdk.core.logger.ZLogger.d(r1)
            java.util.List r6 = r6.getImageVersionInfos()
            if (r6 == 0) goto Lbc
            int r1 = r6.size()
            if (r1 <= 0) goto Lbc
            java.util.Iterator r6 = r6.iterator()
        L6a:
            boolean r1 = r6.hasNext()
            if (r1 == 0) goto Lbc
            java.lang.Object r1 = r6.next()
            com.realsil.sdk.dfu.model.ImageVersionInfo r1 = (com.realsil.sdk.dfu.model.ImageVersionInfo) r1
            int r2 = r1.getBitNumber()
            int r4 = r3.bitNumber
            if (r2 != r4) goto L6a
            int r6 = r1.getSectionSize()
            if (r6 <= 0) goto Laa
            int r6 = r1.getSectionSize()
            if (r5 <= r6) goto Laa
            java.util.Locale r6 = java.util.Locale.US
            r2 = 2
            java.lang.Object[] r3 = new java.lang.Object[r2]
            java.lang.Integer r5 = java.lang.Integer.valueOf(r5)
            r4 = 0
            r3[r4] = r5
            int r5 = r1.getSectionSize()
            java.lang.Integer r5 = java.lang.Integer.valueOf(r5)
            r3[r0] = r5
            java.lang.String r5 = "image size is %d exceed the limit of the section size %d"
            java.lang.String r5 = java.lang.String.format(r6, r5, r3)
            com.realsil.sdk.core.logger.ZLogger.w(r5)
            return r2
        Laa:
            java.lang.StringBuilder r6 = new java.lang.StringBuilder
            java.lang.String r1 = "version validate ok: "
            r6.<init>(r1)
            r6.append(r5)
            java.lang.String r5 = r6.toString()
            com.realsil.sdk.core.logger.ZLogger.v(r5)
        Lbc:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.p.b.a(com.realsil.sdk.dfu.image.stream.BaseBinInputStream, com.realsil.sdk.dfu.model.OtaDeviceInfo):int");
    }
}
