package com.realsil.sdk.dfu.p;

import android.util.SparseIntArray;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.exception.LoadFileException;
import com.realsil.sdk.dfu.image.BinIndicator;
import com.realsil.sdk.dfu.image.LoadParams;
import com.realsil.sdk.dfu.image.pack.SubFileInfo;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.model.BinInfo;
import com.realsil.sdk.dfu.model.ImageVersionInfo;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

/* loaded from: classes3.dex */
public class c extends com.realsil.sdk.dfu.i.a {
    public static BinInfo a(LoadParams loadParams) throws LoadFileException {
        ArrayList arrayList;
        boolean z;
        boolean z2;
        boolean z3;
        int i2;
        SubFileInfo d2;
        loadParams.a();
        int h2 = loadParams.h();
        String d3 = loadParams.d();
        String e2 = loadParams.e();
        int b2 = loadParams.b();
        loadParams.k();
        OtaDeviceInfo f2 = loadParams.f();
        boolean r = loadParams.r();
        boolean n = loadParams.n();
        boolean p = loadParams.p();
        ZLogger.v(String.format(Locale.US, "device >> otaVersion=%d, preferredIcType=0x%02X", Integer.valueOf(f2 != null ? f2.specVersion : 1), Integer.valueOf(h2)));
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        ArrayList arrayList4 = new ArrayList();
        BinInfo a2 = com.realsil.sdk.dfu.i.a.a(d3, e2);
        a2.updateBank = loadParams.i();
        com.realsil.sdk.dfu.e.a c2 = com.realsil.sdk.dfu.d.b.c(loadParams);
        byte[] bArr = null;
        if (c2 != null) {
            a2.isPackFile = true;
            a2.icType = c2.b();
            a2.subFileInfos = c2.e(0);
            a2.subFileInfos1 = c2.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(a2.icType, h2)) {
                ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(a2.icType)));
                a2.updateEnabled = false;
                a2.status = 4101;
                return a2;
            }
            if (r) {
                c2.d(com.realsil.sdk.dfu.i.a.wrapperBitNumber(2, f2.imageVersionIndicator, f2.updateBankIndicator));
            }
            if (!p || (d2 = c2.d(com.realsil.sdk.dfu.i.a.wrapperBitNumber(2, f2.imageVersionIndicator, f2.updateBankIndicator))) == null) {
                z2 = true;
                z3 = false;
            } else {
                BaseBinInputStream binInputStream = d2.getBinInputStream(a2.icType);
                if (binInputStream == null || 1 == b(2, binInputStream, f2)) {
                    z2 = true;
                    z3 = true;
                } else {
                    z3 = true;
                    z2 = false;
                }
            }
            if (z2) {
                z = false;
                for (int i3 = 0; i3 < 16; i3++) {
                    int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i3, f2.imageVersionIndicator, f2.updateBankIndicator);
                    SubFileInfo d4 = c2.d(wrapperBitNumber);
                    BaseBinInputStream binInputStream2 = d4 != null ? d4.getBinInputStream(a2.icType) : null;
                    if (binInputStream2 != null) {
                        arrayList3.add(binInputStream2);
                        if (wrapperBitNumber < 16) {
                            a2.bankIndicator |= 1;
                        } else {
                            a2.bankIndicator |= 2;
                        }
                        if (BinIndicator.isIndicatorEnabled(b2, wrapperBitNumber)) {
                            if (r) {
                                i2 = 1;
                                if (1 != a(i3, binInputStream2, f2)) {
                                    z = true;
                                }
                            } else {
                                i2 = 1;
                            }
                            if (p) {
                                if (z3) {
                                    ZLogger.d("preVerify OTA_HEADER_FILE ok, no need to check section size");
                                } else if (i2 != b(i3, binInputStream2, f2)) {
                                }
                            }
                            arrayList4.add(binInputStream2);
                            arrayList2.add(d4);
                        } else {
                            ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                        }
                    }
                }
            } else {
                ZLogger.w("pre verify failed");
                z = false;
            }
            try {
                c2.close();
            } catch (IOException e3) {
                e3.printStackTrace();
                ZLogger.e(e3.toString());
            }
            arrayList = arrayList2;
        } else {
            try {
                arrayList = arrayList2;
                BaseBinInputStream openFileInputStream = com.realsil.sdk.dfu.i.a.openFileInputStream(a2.icType, d3, 0L);
                if (openFileInputStream != null) {
                    openFileInputStream.parseImageHeaderEx();
                    bArr = openFileInputStream.getSha256();
                    try {
                        openFileInputStream.close();
                    } catch (Exception e4) {
                        ZLogger.e(e4.toString());
                    }
                }
                byte[] bArr2 = bArr;
                BaseBinInputStream openFileInputStream2 = com.realsil.sdk.dfu.i.a.openFileInputStream(h2, d3, 0L);
                if (openFileInputStream2 != null) {
                    openFileInputStream2.setSha256(bArr2);
                    arrayList3.add(openFileInputStream2);
                    a2.icType = openFileInputStream2.getIcType();
                    a2.version = openFileInputStream2.getImageVersion();
                    if (n && !com.realsil.sdk.dfu.i.a.a(a2.icType, h2)) {
                        ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(a2.icType)));
                        a2.updateEnabled = false;
                        a2.status = 4101;
                        return a2;
                    }
                    if (r && 1 != com.realsil.sdk.dfu.i.a.checkSingleImageVersion(openFileInputStream2, f2)) {
                        z = true;
                    } else if (!p) {
                        arrayList4.add(openFileInputStream2);
                    } else if (1 == a(openFileInputStream2, f2)) {
                        arrayList4.add(openFileInputStream2);
                    }
                }
                z = false;
            } catch (IOException e5) {
                e5.printStackTrace();
                throw new LoadFileException(e5.getMessage(), 4097);
            }
        }
        a2.lowVersionExist = z;
        a2.subBinInputStreams = arrayList3;
        a2.supportBinInputStreams = arrayList4;
        a2.supportSubFileInfos = arrayList;
        if (r && z && arrayList4.size() < 1) {
            a2.updateEnabled = false;
            a2.status = 4104;
        }
        return a2;
    }

    public static boolean a(int i2) {
        return i2 == 5 || i2 == 21 || i2 == 4 || i2 == 20 || i2 == 2 || i2 == 18 || i2 == 7 || i2 == 23 || i2 == 6 || i2 == 22;
    }

    public static BinInfo b(LoadParams loadParams) throws LoadFileException {
        BinInfo binInfo;
        boolean z;
        SparseIntArray sparseIntArray;
        int i2;
        SparseIntArray sparseIntArray2;
        BinInfo binInfo2;
        boolean z2;
        com.realsil.sdk.dfu.e.a aVar;
        int i3;
        char c2;
        int activeCompareVersionFlag;
        int activeCompareVersionFlag2;
        int h2 = loadParams.h();
        String d2 = loadParams.d();
        String e2 = loadParams.e();
        int b2 = loadParams.b();
        OtaDeviceInfo f2 = loadParams.f();
        boolean n = loadParams.n();
        boolean r = loadParams.r();
        if (f2 != null) {
            int i4 = f2.specVersion;
        }
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        SparseIntArray sparseIntArray3 = new SparseIntArray();
        BinInfo a2 = com.realsil.sdk.dfu.i.a.a(d2, e2);
        a2.icType = h2;
        a2.updateBank = loadParams.i();
        try {
            com.realsil.sdk.dfu.e.a c3 = com.realsil.sdk.dfu.d.b.c(loadParams);
            ZLogger.v(c3.toString());
            int i5 = 1;
            a2.isPackFile = true;
            a2.icType = c3.b();
            a2.subFileInfos = c3.e(0);
            a2.subFileInfos1 = c3.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(a2.icType, h2)) {
                ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(a2.icType)));
                a2.updateEnabled = false;
                a2.status = 4101;
                return a2;
            }
            if (!c3.a(com.realsil.sdk.dfu.i.a.wrapperBitNumber(2, f2.imageVersionIndicator, f2.updateBankIndicator))) {
                ZLogger.w("OtaHeader Miss");
                a2.updateEnabled = false;
                a2.status = 5;
                return a2;
            }
            int i6 = 0;
            int i7 = 0;
            int i8 = 0;
            while (i6 < 16) {
                int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i6, f2.imageVersionIndicator, f2.updateBankIndicator);
                if (BinIndicator.isIndicatorEnabled(b2, wrapperBitNumber)) {
                    BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, i6);
                    if (byBitNumber != null) {
                        if (wrapperBitNumber < 16) {
                            a2.bankIndicator |= i5;
                        } else {
                            a2.bankIndicator |= 2;
                        }
                        SubFileInfo d3 = c3.d(wrapperBitNumber);
                        BaseBinInputStream binInputStream = d3 != null ? d3.getBinInputStream(a2.icType) : null;
                        if (binInputStream == null) {
                            i2 = b2;
                            ZLogger.v(com.realsil.sdk.dfu.i.a.f4368a, "not find image: " + byBitNumber.toString());
                            if (loadParams.m() && b(wrapperBitNumber)) {
                                sparseIntArray3.append(byBitNumber.imageId, wrapperBitNumber);
                            }
                            binInfo2 = a2;
                            z2 = r;
                            sparseIntArray2 = sparseIntArray3;
                            aVar = c3;
                            i3 = 1;
                            c2 = 2;
                            i6++;
                            i5 = i3;
                            b2 = i2;
                            sparseIntArray3 = sparseIntArray2;
                            a2 = binInfo2;
                            r = z2;
                            c3 = aVar;
                        } else {
                            i2 = b2;
                            ZLogger.v(byBitNumber.toString());
                            ImageVersionInfo activeImageVersionInfo = f2.getActiveImageVersionInfo(i6);
                            sparseIntArray2 = sparseIntArray3;
                            if (activeImageVersionInfo != null) {
                                binInfo2 = a2;
                                if (activeImageVersionInfo.getVersion() == -1) {
                                    i3 = 1;
                                    ZLogger.v(String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(activeImageVersionInfo.getVersion())));
                                    binInputStream.setActiveCompareVersionFlag(1);
                                    z2 = r;
                                    aVar = c3;
                                } else {
                                    z2 = r;
                                    aVar = c3;
                                    int compareVersion = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, activeImageVersionInfo.getVersion(), f2.specVersion, byBitNumber.versionFormat);
                                    ZLogger.v(String.format(Locale.US, "compare active image, bitNumber=%d, compare=%d ", Integer.valueOf(wrapperBitNumber), Integer.valueOf(compareVersion)));
                                    binInputStream.setActiveCompareVersionFlag(compareVersion);
                                    i3 = 1;
                                }
                            } else {
                                binInfo2 = a2;
                                z2 = r;
                                aVar = c3;
                                ZLogger.d("not find active image, bitNumber=" + wrapperBitNumber);
                                i3 = 1;
                                binInputStream.setActiveCompareVersionFlag(1);
                            }
                            ImageVersionInfo inActiveImageVersionInfo = f2.getInActiveImageVersionInfo(i6);
                            if (inActiveImageVersionInfo == null) {
                                c2 = 2;
                                ZLogger.d("not find inactive image, bitNumber=" + wrapperBitNumber);
                                i3 = 1;
                                binInputStream.setInactiveCompareVersionFlag(1);
                            } else if (inActiveImageVersionInfo.getVersion() == -1) {
                                Object[] objArr = new Object[i3];
                                objArr[0] = Integer.valueOf(inActiveImageVersionInfo.getVersion());
                                ZLogger.v(String.format("invalid inactive version:0x%04X, no need to check", objArr));
                                binInputStream.setInactiveCompareVersionFlag(i3);
                                c2 = 2;
                            } else {
                                int compareVersion2 = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, inActiveImageVersionInfo.getVersion(), f2.specVersion, byBitNumber.versionFormat);
                                c2 = 2;
                                ZLogger.v(String.format(Locale.US, "compare inactive image, bitNumber=%d, compare=%d ", Integer.valueOf(wrapperBitNumber), Integer.valueOf(compareVersion2)));
                                binInputStream.setInactiveCompareVersionFlag(compareVersion2);
                                i3 = 1;
                            }
                            if (a(wrapperBitNumber)) {
                                if (i7 > 0) {
                                    if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                        activeCompareVersionFlag2 = binInputStream.getActiveCompareVersionFlag();
                                        i7 = activeCompareVersionFlag2;
                                    }
                                } else if (i7 == 0) {
                                    activeCompareVersionFlag2 = binInputStream.getActiveCompareVersionFlag();
                                    i7 = activeCompareVersionFlag2;
                                }
                                i6++;
                                i5 = i3;
                                b2 = i2;
                                sparseIntArray3 = sparseIntArray2;
                                a2 = binInfo2;
                                r = z2;
                                c3 = aVar;
                            } else {
                                if (i8 > 0) {
                                    if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                        activeCompareVersionFlag = binInputStream.getActiveCompareVersionFlag();
                                        i8 = activeCompareVersionFlag;
                                    }
                                } else if (i8 == 0) {
                                    activeCompareVersionFlag = binInputStream.getActiveCompareVersionFlag();
                                    i8 = activeCompareVersionFlag;
                                }
                                i6++;
                                i5 = i3;
                                b2 = i2;
                                sparseIntArray3 = sparseIntArray2;
                                a2 = binInfo2;
                                r = z2;
                                c3 = aVar;
                            }
                            arrayList2.add(binInputStream);
                            arrayList3.add(binInputStream);
                            arrayList.add(d3);
                            i6++;
                            i5 = i3;
                            b2 = i2;
                            sparseIntArray3 = sparseIntArray2;
                            a2 = binInfo2;
                            r = z2;
                            c3 = aVar;
                        }
                    }
                } else {
                    ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                }
                i2 = b2;
                binInfo2 = a2;
                z2 = r;
                sparseIntArray2 = sparseIntArray3;
                aVar = c3;
                i3 = 1;
                c2 = 2;
                i6++;
                i5 = i3;
                b2 = i2;
                sparseIntArray3 = sparseIntArray2;
                a2 = binInfo2;
                r = z2;
                c3 = aVar;
            }
            BinInfo binInfo3 = a2;
            boolean z3 = r;
            SparseIntArray sparseIntArray4 = sparseIntArray3;
            try {
                c3.close();
            } catch (IOException e3) {
                e3.printStackTrace();
                ZLogger.e(e3.toString());
            }
            if (z3) {
                if (i7 > 0) {
                    sparseIntArray = sparseIntArray4;
                    binInfo = binInfo3;
                    z = false;
                    binInfo.forceCopyImages = sparseIntArray;
                    binInfo.lowVersionExist = z;
                    binInfo.subBinInputStreams = arrayList2;
                    binInfo.supportBinInputStreams = arrayList3;
                    binInfo.supportSubFileInfos = arrayList;
                    return binInfo;
                }
                if (i7 != 0) {
                    ZLogger.d("all code image version must >= active image version");
                    binInfo3.updateEnabled = false;
                    binInfo3.status = 6;
                    return binInfo3;
                }
                if (i8 <= 0) {
                    ZLogger.d("there must be at least one data image version> active image version");
                    binInfo3.updateEnabled = false;
                    binInfo3.status = 7;
                    return binInfo3;
                }
            }
            binInfo = binInfo3;
            z = false;
            sparseIntArray = sparseIntArray4;
            binInfo.forceCopyImages = sparseIntArray;
            binInfo.lowVersionExist = z;
            binInfo.subBinInputStreams = arrayList2;
            binInfo.supportBinInputStreams = arrayList3;
            binInfo.supportSubFileInfos = arrayList;
            return binInfo;
        } catch (LoadFileException e4) {
            a2.updateEnabled = false;
            a2.status = e4.getErrCode();
            return a2;
        }
    }

    public static boolean b(int i2) {
        return i2 == 8 || i2 == 24 || i2 == 9 || i2 == 25 || i2 == 10 || i2 == 26;
    }

    public static BinInfo c(LoadParams loadParams) throws LoadFileException {
        BinInfo binInfo;
        BinInfo binInfo2;
        int i2;
        boolean z;
        com.realsil.sdk.dfu.e.a aVar;
        int i3;
        int i4;
        BaseBinInputStream openFileInputStream;
        int h2 = loadParams.h();
        String d2 = loadParams.d();
        String e2 = loadParams.e();
        int b2 = loadParams.b();
        OtaDeviceInfo f2 = loadParams.f();
        boolean r = loadParams.r();
        boolean n = loadParams.n();
        int i5 = 1;
        boolean z2 = true;
        int i6 = 2;
        ZLogger.v(String.format(Locale.US, "device >> preferredIcType=%d, icType=0x%02X", Integer.valueOf(f2 != null ? f2.specVersion : 1), Integer.valueOf(h2)));
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        BinInfo a2 = com.realsil.sdk.dfu.i.a.a(d2, e2);
        a2.updateBank = loadParams.i();
        try {
            com.realsil.sdk.dfu.e.a c2 = com.realsil.sdk.dfu.d.b.c(loadParams);
            if (c2 == null) {
                try {
                    openFileInputStream = com.realsil.sdk.dfu.i.a.openFileInputStream(h2, d2, 0L);
                } catch (IOException e3) {
                    e3.printStackTrace();
                }
                if (openFileInputStream != null) {
                    arrayList2.add(openFileInputStream);
                    a2.icType = openFileInputStream.getIcType();
                    a2.version = openFileInputStream.getImageVersion();
                    if (n && !com.realsil.sdk.dfu.i.a.a(a2.icType, h2)) {
                        ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(a2.icType)));
                        a2.updateEnabled = false;
                        a2.status = 4101;
                        return a2;
                    }
                    if (r && 1 != com.realsil.sdk.dfu.i.a.checkSingleImageVersion(openFileInputStream, f2)) {
                        binInfo = a2;
                        binInfo.lowVersionExist = z2;
                        binInfo.subBinInputStreams = arrayList2;
                        binInfo.supportBinInputStreams = arrayList3;
                        binInfo.supportSubFileInfos = arrayList;
                        return binInfo;
                    }
                    arrayList3.add(openFileInputStream);
                }
                binInfo = a2;
            } else {
                ZLogger.v(c2.toString());
                a2.isPackFile = true;
                a2.icType = c2.b();
                a2.subFileInfos = c2.e(0);
                a2.subFileInfos1 = c2.e(1);
                if (n && !com.realsil.sdk.dfu.i.a.a(a2.icType, h2)) {
                    ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h2), Integer.valueOf(a2.icType)));
                    a2.updateEnabled = false;
                    a2.status = 4101;
                    return a2;
                }
                int i7 = 0;
                int i8 = 0;
                int i9 = 0;
                while (i7 < 16) {
                    int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i7, f2.imageVersionIndicator, f2.updateBankIndicator);
                    if (wrapperBitNumber < 16) {
                        a2.bankIndicator |= i5;
                    } else {
                        a2.bankIndicator |= i6;
                    }
                    if (BinIndicator.isIndicatorEnabled(b2, wrapperBitNumber)) {
                        SubFileInfo d3 = c2.d(wrapperBitNumber);
                        BaseBinInputStream binInputStream = d3 != null ? d3.getBinInputStream(a2.icType) : null;
                        if (binInputStream == null) {
                            ZLogger.v(com.realsil.sdk.dfu.i.a.f4369b, "not find image: bitNumber=" + wrapperBitNumber);
                        } else {
                            BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, i7);
                            if (byBitNumber != null) {
                                ZLogger.v(byBitNumber.toString());
                                ImageVersionInfo activeImageVersionInfo = f2.getActiveImageVersionInfo(i7);
                                if (activeImageVersionInfo != null) {
                                    i2 = b2;
                                    if (activeImageVersionInfo.getVersion() == -1) {
                                        ZLogger.v(String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(activeImageVersionInfo.getVersion())));
                                        binInputStream.setActiveCompareVersionFlag(1);
                                        binInfo2 = a2;
                                        i3 = 1;
                                        z = r;
                                        aVar = c2;
                                    } else {
                                        int i10 = binInputStream.imageVersion;
                                        int i11 = binInputStream.otaVersion;
                                        aVar = c2;
                                        int version = activeImageVersionInfo.getVersion();
                                        binInfo2 = a2;
                                        z = r;
                                        int compareVersion = com.realsil.sdk.dfu.i.a.compareVersion(i10, i11, version, f2.specVersion, byBitNumber.versionFormat);
                                        ZLogger.d(String.format(Locale.US, "compare active image, bitNumber=%d, compare=%d ", Integer.valueOf(wrapperBitNumber), Integer.valueOf(compareVersion)));
                                        binInputStream.setActiveCompareVersionFlag(compareVersion);
                                        i3 = 1;
                                    }
                                } else {
                                    binInfo2 = a2;
                                    i2 = b2;
                                    z = r;
                                    aVar = c2;
                                    ZLogger.d("not find active image, bitNumber=" + wrapperBitNumber);
                                    i3 = 1;
                                    binInputStream.setActiveCompareVersionFlag(1);
                                }
                                ImageVersionInfo inActiveImageVersionInfo = f2.getInActiveImageVersionInfo(i7);
                                if (inActiveImageVersionInfo == null) {
                                    ZLogger.d(com.realsil.sdk.dfu.i.a.f4368a, "not find inactive image, bitNumber=" + wrapperBitNumber);
                                    i3 = 1;
                                    binInputStream.setInactiveCompareVersionFlag(1);
                                } else if (inActiveImageVersionInfo.getVersion() == -1) {
                                    Object[] objArr = new Object[i3];
                                    objArr[0] = Integer.valueOf(inActiveImageVersionInfo.getVersion());
                                    ZLogger.v(String.format("invalid inactive version:0x%04X, no need to check", objArr));
                                    binInputStream.setInactiveCompareVersionFlag(i3);
                                } else {
                                    int compareVersion2 = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, inActiveImageVersionInfo.getVersion(), f2.specVersion, byBitNumber.versionFormat);
                                    ZLogger.v(String.format(Locale.US, "compare inactive image, bitNumber=%d, compare=%d ", Integer.valueOf(wrapperBitNumber), Integer.valueOf(compareVersion2)));
                                    binInputStream.setInactiveCompareVersionFlag(compareVersion2);
                                    i3 = 1;
                                }
                                arrayList2.add(binInputStream);
                                i4 = 2;
                                if (i7 == 2) {
                                    ZLogger.v("ignore OTA_HEADER_FILE");
                                } else if (i7 == i3) {
                                    ZLogger.v("ignore SYSTEM_CONFIG_FILE");
                                } else {
                                    arrayList3.add(binInputStream);
                                    arrayList.add(d3);
                                    if (a(wrapperBitNumber)) {
                                        if (i8 > 0) {
                                            if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                                i8 = binInputStream.getActiveCompareVersionFlag();
                                            }
                                        } else if (i8 == 0) {
                                            i8 = binInputStream.getActiveCompareVersionFlag();
                                        }
                                    } else if (i9 > 0) {
                                        if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                            i9 = binInputStream.getActiveCompareVersionFlag();
                                        }
                                    } else if (i9 == 0) {
                                        i9 = binInputStream.getActiveCompareVersionFlag();
                                    }
                                }
                            }
                        }
                        binInfo2 = a2;
                        i2 = b2;
                        z = r;
                        i3 = i5;
                        aVar = c2;
                        i4 = 2;
                    } else {
                        ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                        binInfo2 = a2;
                        i2 = b2;
                        z = r;
                        i3 = i5;
                        i4 = i6;
                        aVar = c2;
                    }
                    i7++;
                    i5 = i3;
                    i6 = i4;
                    a2 = binInfo2;
                    b2 = i2;
                    c2 = aVar;
                    r = z;
                }
                BinInfo binInfo3 = a2;
                com.realsil.sdk.dfu.e.a aVar2 = c2;
                if (r && i8 <= 0) {
                    if (i8 != 0) {
                        ZLogger.d("all code image version must >= active image version");
                        binInfo3.updateEnabled = false;
                        binInfo3.status = 6;
                        return binInfo3;
                    }
                    if (i9 <= 0) {
                        ZLogger.d("there must be at least one data image version> active image version");
                        binInfo3.updateEnabled = false;
                        binInfo3.status = 7;
                        return binInfo3;
                    }
                }
                binInfo = binInfo3;
                try {
                    aVar2.close();
                } catch (IOException e4) {
                    e4.printStackTrace();
                    ZLogger.e(e4.toString());
                }
            }
            z2 = false;
            binInfo.lowVersionExist = z2;
            binInfo.subBinInputStreams = arrayList2;
            binInfo.supportBinInputStreams = arrayList3;
            binInfo.supportSubFileInfos = arrayList;
            return binInfo;
        } catch (LoadFileException e5) {
            a2.updateEnabled = false;
            a2.status = e5.getErrCode();
            return a2;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:24:0x004d, code lost:
    
        if (r3.versionCheckEnabled != false) goto L26;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static int a(com.realsil.sdk.dfu.image.stream.BaseBinInputStream r5, com.realsil.sdk.dfu.model.OtaDeviceInfo r6) {
        /*
            r0 = 1
            if (r6 != 0) goto L4
            return r0
        L4:
            int r1 = r5.getBinId()
            int r5 = r5.getImageSize()
            int r2 = r6.icType
            r3 = 4
            if (r2 == r3) goto L35
            r3 = 6
            if (r2 == r3) goto L35
            r3 = 7
            if (r2 == r3) goto L35
            r3 = 8
            if (r2 == r3) goto L35
            r3 = 10
            if (r2 != r3) goto L20
            goto L35
        L20:
            java.lang.StringBuilder r5 = new java.lang.StringBuilder
            java.lang.String r1 = "not support section size check for ic:"
            r5.<init>(r1)
            int r6 = r6.icType
            r5.append(r6)
            java.lang.String r5 = r5.toString()
            com.realsil.sdk.core.logger.ZLogger.d(r5)
            goto Lbc
        L35:
            java.util.ArrayList<com.realsil.sdk.dfu.image.BinIndicator> r2 = com.realsil.sdk.dfu.image.BinIndicator.BBPRO
            java.util.Iterator r2 = r2.iterator()
        L3b:
            boolean r3 = r2.hasNext()
            if (r3 == 0) goto L50
            java.lang.Object r3 = r2.next()
            com.realsil.sdk.dfu.image.BinIndicator r3 = (com.realsil.sdk.dfu.image.BinIndicator) r3
            int r4 = r3.subBinId
            if (r4 != r1) goto L3b
            boolean r1 = r3.versionCheckEnabled
            if (r1 == 0) goto L50
            goto L51
        L50:
            r3 = 0
        L51:
            if (r3 == 0) goto Lbc
            java.lang.String r1 = r3.toString()
            com.realsil.sdk.core.logger.ZLogger.d(r1)
            java.util.List r6 = r6.getImageVersionInfos()
            if (r6 == 0) goto Lbc
            int r1 = r6.size()
            if (r1 <= 0) goto Lbc
            java.util.Iterator r6 = r6.iterator()
        L6a:
            boolean r1 = r6.hasNext()
            if (r1 == 0) goto Lbc
            java.lang.Object r1 = r6.next()
            com.realsil.sdk.dfu.model.ImageVersionInfo r1 = (com.realsil.sdk.dfu.model.ImageVersionInfo) r1
            int r2 = r1.getBitNumber()
            int r4 = r3.bitNumber
            if (r2 != r4) goto L6a
            int r6 = r1.getSectionSize()
            if (r6 <= 0) goto Laa
            int r6 = r1.getSectionSize()
            if (r5 <= r6) goto Laa
            java.util.Locale r6 = java.util.Locale.US
            r2 = 2
            java.lang.Object[] r3 = new java.lang.Object[r2]
            java.lang.Integer r5 = java.lang.Integer.valueOf(r5)
            r4 = 0
            r3[r4] = r5
            int r5 = r1.getSectionSize()
            java.lang.Integer r5 = java.lang.Integer.valueOf(r5)
            r3[r0] = r5
            java.lang.String r5 = "image size is %d exceed the limit of the section size %d"
            java.lang.String r5 = java.lang.String.format(r6, r5, r3)
            com.realsil.sdk.core.logger.ZLogger.w(r5)
            return r2
        Laa:
            java.lang.StringBuilder r6 = new java.lang.StringBuilder
            java.lang.String r1 = "version validate ok: "
            r6.<init>(r1)
            r6.append(r5)
            java.lang.String r5 = r6.toString()
            com.realsil.sdk.core.logger.ZLogger.v(r5)
        Lbc:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.p.c.a(com.realsil.sdk.dfu.image.stream.BaseBinInputStream, com.realsil.sdk.dfu.model.OtaDeviceInfo):int");
    }

    public static int b(int i2, BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        if (otaDeviceInfo == null) {
            return 1;
        }
        int imageSize = baseBinInputStream.getImageSize();
        int i3 = otaDeviceInfo.icType;
        if (i3 != 4 && i3 != 6 && i3 != 7 && i3 != 8 && i3 != 10) {
            ZLogger.d("not support section size check for ic:" + otaDeviceInfo.icType);
        } else {
            List<ImageVersionInfo> imageVersionInfos = otaDeviceInfo.getImageVersionInfos();
            if (imageVersionInfos != null && imageVersionInfos.size() > 0) {
                Iterator<ImageVersionInfo> it2 = imageVersionInfos.iterator();
                while (true) {
                    if (!it2.hasNext()) {
                        break;
                    }
                    ImageVersionInfo next = it2.next();
                    if (next.getBitNumber() == i2) {
                        if (next.getSectionSize() > 0 && imageSize > next.getSectionSize()) {
                            ZLogger.w(String.format(Locale.US, "image size is %d exceed the limit of the section size %d", Integer.valueOf(imageSize), Integer.valueOf(next.getSectionSize())));
                            return 2;
                        }
                        ZLogger.v("version validate ok: " + imageSize);
                    }
                }
            }
        }
        return 1;
    }

    public static int a(int i2, BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, i2);
        if (byBitNumber == null) {
            return 1;
        }
        ZLogger.v(byBitNumber.toString());
        int i3 = baseBinInputStream.imageVersion;
        int i4 = baseBinInputStream.otaVersion;
        ImageVersionInfo activeImageVersionInfo = otaDeviceInfo.getActiveImageVersionInfo(i2);
        if (activeImageVersionInfo != null) {
            if (activeImageVersionInfo.getVersion() == -1) {
                ZLogger.v(String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(i3)));
            } else {
                if (com.realsil.sdk.dfu.i.a.compareVersion(i3, i4, activeImageVersionInfo.getVersion(), otaDeviceInfo.specVersion, byBitNumber.versionFormat) == -1) {
                    ZLogger.v(String.format(Locale.US, "active image: bitNumber=%d, file(%08X)<device(%08X)", Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(activeImageVersionInfo.getVersion())));
                    return -1;
                }
                ZLogger.v("version validate ok: " + i3);
                ZLogger.v(String.format("version validate ok :0x%04X", Integer.valueOf(i3)));
            }
        }
        ImageVersionInfo inActiveImageVersionInfo = otaDeviceInfo.getInActiveImageVersionInfo(i2);
        if (inActiveImageVersionInfo != null) {
            if (inActiveImageVersionInfo.getVersion() == -1) {
                ZLogger.v(String.format("invalid inactive version:0x%04X, no need to check", Integer.valueOf(i3)));
            } else {
                if (com.realsil.sdk.dfu.i.a.compareVersion(i3, i4, inActiveImageVersionInfo.getVersion(), otaDeviceInfo.specVersion, byBitNumber.versionFormat) == -1) {
                    ZLogger.v(String.format(Locale.US, "inactive image: bitNumber=%d, file(%08X)<device(%08X)", Integer.valueOf(i2), Integer.valueOf(i3), Integer.valueOf(inActiveImageVersionInfo.getVersion())));
                    return -1;
                }
                ZLogger.v("version validate ok: " + i3);
            }
        }
        return 1;
    }
}
