package com.realsil.sdk.dfu.p;

import android.bluetooth.BluetoothDevice;
import android.content.Context;
import com.jieli.jl_bt_ota.constant.BluetoothConstant;
import com.realsil.sdk.bbpro.core.transportlayer.AckPacket;
import com.realsil.sdk.bbpro.core.transportlayer.SppTransportLayer;
import com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback;
import com.realsil.sdk.bbpro.core.transportlayer.TransportLayerPacket;
import com.realsil.sdk.core.bluetooth.BluetoothProfileManager;
import com.realsil.sdk.core.bluetooth.scanner.BrEdrScannerPresenter;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.exception.OtaException;
import com.realsil.sdk.dfu.internal.base.DfuThreadCallback;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.yucheng.ycbtsdk.Constants;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.Locale;

/* loaded from: classes3.dex */
public class f extends com.realsil.sdk.dfu.n.b {
    public TransportLayerCallback I;

    public class a extends TransportLayerCallback {
        public a() {
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onAckReceive(AckPacket ackPacket) {
            super.onAckReceive(ackPacket);
            f.this.a(ackPacket);
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onConnectionStateChanged(BluetoothDevice bluetoothDevice, boolean z, int i2) {
            super.onConnectionStateChanged(bluetoothDevice, z, i2);
            if (i2 == 512) {
                f.this.setConnectionState(515);
            } else {
                if (i2 != 0) {
                    return;
                }
                if (f.this.mProcessState == 521) {
                    f.this.mErrorState = 2048;
                    if (f.this.DBG) {
                        ZLogger.d("disconnect in OTA process, mErrorState: " + f.this.mErrorState);
                    }
                }
                f.this.setConnectionState(0);
                synchronized (f.this.mReadLock) {
                    f.this.mReadRequestCompleted = false;
                    f.this.mReadLock.notifyAll();
                }
            }
            f.this.notifyConnectionLock();
            f.this.g();
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onDataReceive(TransportLayerPacket transportLayerPacket) {
            super.onDataReceive(transportLayerPacket);
            f.this.a(transportLayerPacket);
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onError(int i2) {
            super.onError(i2);
        }
    }

    public f(Context context, DfuConfig dfuConfig, DfuThreadCallback dfuThreadCallback) {
        super(context, dfuConfig, dfuThreadCallback);
        this.I = new a();
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public boolean activeImage(boolean z) {
        if (!super.activeImage(z)) {
            return false;
        }
        if (this.mConnectionState != 515) {
            ZLogger.i(this.DBG, "start to re-connect the RCU which going to active image, current state is: " + this.mConnectionState);
            int a2 = a(this.mOtaDeviceAddress, getDfuConfig().getRetransConnectTimes());
            if (a2 != 0) {
                ZLogger.e("Something error in OTA process, errorCode: " + a2 + "mProcessState" + this.mProcessState);
                a(a2, true);
                return false;
            }
        }
        if (z) {
            try {
                a(true);
                if (getDfuConfig().isCompleteActionEnabled(1)) {
                    BluetoothProfileManager.getInstance().disconnectA2dpSource(this.w.getRemoteDevice(this.mOtaDeviceAddress));
                    BluetoothProfileManager.getInstance().disconnectHfp(this.mOtaDeviceAddress);
                }
                notifyStateChanged(258);
            } catch (DfuException e2) {
                e2.printStackTrace();
                f(e2.getErrCode());
            }
        } else {
            w();
            a(274, true);
        }
        return true;
    }

    public boolean b(byte[] bArr, int i2) throws DfuException {
        short a2 = a(bArr, i2);
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_BUFFER_CHECK(0x%04X)", (short) 1544));
        a((short) 1544, new byte[]{(byte) (i2 & 255), (byte) (i2 >> 8), (byte) (a2 & 255), (byte) ((a2 >> 8) & 255)});
        ZLogger.v(this.DBG, String.format("... waiting EVENT_OTA_BUFFER_CHECK(0x%04X)response", (short) 1542));
        byte[] m = m();
        byte b2 = m[0];
        if (b2 == 1) {
            ByteBuffer wrap = ByteBuffer.wrap(m);
            wrap.order(ByteOrder.LITTLE_ENDIAN);
            int i3 = wrap.getInt(1);
            this.mImageUpdateOffset = i3;
            ZLogger.d(this.DBG, String.format(Locale.US, "mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(i3), Integer.valueOf(this.mImageUpdateOffset)));
            return true;
        }
        if (b2 == 5 || b2 == 6 || b2 == 7) {
            ZLogger.w(String.format("buffer check failed, status=0x%02X ", Byte.valueOf(b2)));
            return false;
        }
        if (b2 != 8) {
            throw new OtaException("ERROR_OPCODE_RESPONSE_NOT_SUPPORTED", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        throw new OtaException("DFU_STATUS_FLASH_ERASE_ERROR", b2 | 512);
    }

    public int c(String str) {
        BluetoothDevice bluetoothDevice;
        setConnectionState(256);
        this.mErrorState = 0;
        this.isConnectedCallbackCome = false;
        try {
            bluetoothDevice = this.w.getRemoteDevice(str);
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
            bluetoothDevice = null;
        }
        if (bluetoothDevice == null) {
            return 4112;
        }
        ZLogger.v(this.DBG, "connecting to " + str);
        r().register(this.I);
        r().connect(bluetoothDevice, null);
        try {
            synchronized (this.mConnectionLock) {
                if (!this.isConnectedCallbackCome && this.mErrorState == 0) {
                    ZLogger.d(this.DBG, "wait for connect for 32000 ms");
                    this.mConnectionLock.wait(32000L);
                }
            }
        } catch (InterruptedException e3) {
            ZLogger.e("Sleeping interrupted : " + e3.toString());
            this.mErrorState = 259;
        }
        if (this.mErrorState == 0) {
            if (!this.isConnectedCallbackCome) {
                ZLogger.w("wait for connect, but can not connect with no callback");
                this.mErrorState = 260;
            } else if (this.mConnectionState != 515) {
                ZLogger.w("connect with some error, please check. mConnectionState" + this.mConnectionState);
                this.mErrorState = 264;
            }
        }
        if (this.mErrorState == 0) {
            ZLogger.v(this.VDBG, "connected the device which going to upgrade");
        } else if (this.mConnectionState == 256) {
            setConnectionState(0);
        }
        return this.mErrorState;
    }

    public void d(String str) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        notifyStateChanged(516);
        int a2 = a(str, getDfuConfig().getRetransConnectTimes());
        if (a2 == 0) {
            return;
        }
        if (a2 == 4128) {
            throw new OtaException("aborted, connectRemoteDevice failed", a2);
        }
        ZLogger.d("connect failed:" + a2);
        a(l());
        int a3 = a(str, getDfuConfig().getRetransConnectTimes());
        if (a3 == 0) {
            return;
        }
        if (a3 != 4128) {
            throw new OtaException("connectRemoteDevice failed", a3);
        }
        throw new OtaException("aborted, connectRemoteDevice failed", a3);
    }

    public boolean e(int i2) {
        return i2 == 1024 || i2 == 1040 || i2 == 1280 || i2 == 1538 || i2 == 2304;
    }

    public void f(int i2) {
        a(i2, false);
    }

    public void g(int i2) throws DfuException {
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_IMAGE_INFO(0x%04X)", (short) 1545));
        a((short) 1545, new byte[]{(byte) (i2 & 255), (byte) ((i2 >> 8) & 255)});
        ZLogger.v(this.VDBG, "... Reading CMD_OTA_IMAGE_INFO notification");
        byte[] m = m();
        int length = m != null ? m.length : 0;
        if ((length > 0 ? m[0] : (byte) -2) != 1) {
            ZLogger.w(String.format("0x%02X, Get target image info failed", Integer.valueOf(DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED)));
            throw new OtaException("Get target image info failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        ByteBuffer wrap = ByteBuffer.wrap(m);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        int i3 = length >= 5 ? wrap.getInt(1) : 0;
        if (length >= 9) {
            this.mImageUpdateOffset = wrap.getInt(5);
        } else {
            this.mImageUpdateOffset = 0;
        }
        if (this.DBG) {
            ZLogger.d(String.format(Locale.US, "mOriginalFwVersion=0x%08X(%d), mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(i3), Integer.valueOf(i3), Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
        }
    }

    public void i(int i2) {
        int i3 = this.mConnectionState;
        if (i3 != 0 && i3 != 1280) {
            p();
        }
        o();
        ZLogger.d(this.DBG, String.format("terminateConnection, error = 0x%04X", Integer.valueOf(i2)));
    }

    public void o() {
        r().disconnect();
        r().unregister(this.I);
        setConnectionState(1280);
    }

    @Override // com.realsil.sdk.dfu.n.b, com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void onDestroy() {
        super.onDestroy();
        SppTransportLayer sppTransportLayer = this.H;
        if (sppTransportLayer != null) {
            sppTransportLayer.unregister(this.I);
        }
    }

    public void p() {
        int i2 = this.mConnectionState;
        if (i2 == 0 || i2 == 1280) {
            ZLogger.d(this.DBG, "already disconnect");
        } else {
            r().disconnect();
            waitUntilDisconnected();
        }
    }

    public boolean q() throws DfuException {
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_BUFFER_CHECK_ENABLE (0x%04X)", (short) 1543));
        a((short) 1543, (byte[]) null);
        try {
            ZLogger.v(this.DBG, "... Reading OPCODE_DFU_ENABLE_BUFFER_CHECK_MODE notification");
            byte[] c2 = c(1600);
            if (c2[0] == 1) {
                ByteBuffer wrap = ByteBuffer.wrap(c2);
                wrap.order(ByteOrder.LITTLE_ENDIAN);
                int i2 = (((short) (wrap.get(2) & 255)) << 8) | ((short) (wrap.get(1) & 255));
                int i3 = getOtaDeviceInfo().specVersion >= 6 ? getOtaDeviceInfo().mtu : ((short) (wrap.get(3) & 255)) | (((short) (wrap.get(4) & 255)) << 8);
                ZLogger.v(this.DBG, "maxBufferSize=" + i2 + ", bufferCheckMtuSize=" + i3);
                a(i2);
                b(i3);
                return true;
            }
        } catch (DfuException unused) {
            ZLogger.w("Read DFU_REPORT_OTA_FUNCTION_VERSION failed, just think remote is normal function.");
            this.mErrorState = 0;
        }
        return false;
    }

    public SppTransportLayer r() {
        if (this.H == null) {
            SppTransportLayer sppTransportLayer = SppTransportLayer.getInstance();
            this.H = sppTransportLayer;
            sppTransportLayer.register(this.I);
        }
        return this.H;
    }

    public void s() throws DfuException {
        byte[] b2;
        if (getOtaDeviceInfo().specVersion <= 5) {
            ZLogger.v(this.DBG, String.format("<< CMD_OTA_GET_IMAGE_INFO (0x%04X)", (short) 1537));
            b2 = a((short) 1537);
        } else {
            ZLogger.v(this.DBG, String.format("<< CMD_OTA_GET_IMAGE_INFO (0x%04X), bank=0x00", (short) 1537));
            b2 = b((short) 1537, new byte[]{0});
        }
        getOtaDeviceInfo().setImageVersionValues(b2);
    }

    public void t() throws DfuException {
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_IMAGE_SECTION_SIZE_INFO (0x%04X)", (short) 1546));
        getOtaDeviceInfo().setImageSectionSizeValues(a((short) 1546));
    }

    public void u() throws DfuException {
        if (getOtaDeviceInfo().specVersion <= 5) {
            ZLogger.v(this.DBG, String.format("<< CMD_GET_INACTIVE_BANK_IMAGE_INFO (0x%04X)", (short) 1550));
            getOtaDeviceInfo().setInactiveImageVersionValues(a((short) 1550));
        } else {
            ZLogger.v(this.DBG, String.format("<< CMD_OTA_GET_IMAGE_INFO (0x%04X), bank=0x01", (short) 1537));
            getOtaDeviceInfo().setImageVersionValues(b((short) 1537, new byte[]{1}));
        }
    }

    public boolean v() throws DfuException {
        ZLogger.d(this.DBG, String.format("<< CMD_GET_TARGET_INFO (0x%04X)", (short) 1536));
        byte[] a2 = a((short) 1536);
        if (a2 != null) {
            getOtaDeviceInfo().parseX0011(a2);
            return true;
        }
        ZLogger.e("Get dev info failed");
        throw new OtaException("get remote dev info failed", 270);
    }

    public boolean w() {
        try {
            if (this.DBG) {
                ZLogger.v(String.format("<< CMD_OTA_RESET (0x%04X)", (short) 1541));
            }
            return a((short) 1541, (byte[]) null, true);
        } catch (DfuException e2) {
            ZLogger.e(String.format("Send OPCODE_DFU_RESET_SYSTEM failed, ignore it, errorcode= 0x%04X", Integer.valueOf(e2.getErrorNumber())));
            this.mErrorState = 0;
            return false;
        }
    }

    public void x() throws DfuException {
        a((byte) 0);
    }

    public int a(String str, int i2) {
        int i3 = 0;
        while (a()) {
            int c2 = c(str);
            if (c2 == 0) {
                return 0;
            }
            if ((c2 & (-2049)) != 133) {
                p();
            } else {
                ZLogger.w(this.DBG, "connect fail with GATT_ERROR, do not need disconnect");
            }
            setConnectionState(1280);
            try {
                Thread.sleep(1600L);
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
            i3++;
            if (i3 > i2) {
                return c2;
            }
        }
        return DfuException.ERROR_DFU_ABORTED;
    }

    public boolean h(int i2) throws DfuException {
        byte[] bArr = {(byte) (i2 & 255)};
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_ROLW_SWAP (0x%04X)", (short) 1553));
        if (a((short) 1553, bArr)) {
            ZLogger.v(this.DBG, "... waiting CMD_OTA_ROLW_SWAP response");
            byte b2 = c(BluetoothConstant.PAIR_OR_UNPAIR_TIMEOUT)[0];
            if (b2 == 1) {
                ZLogger.d(this.DBG, "role swap operation done");
                return true;
            }
            ZLogger.w(String.format("role swap failed, maybe b2b disconnect, status=0x%02X", Byte.valueOf(b2)));
            throw new OtaException(String.format("roleSwap failed, status=0x%02X", Byte.valueOf(b2)), 283);
        }
        throw new OtaException("roleSwap failed", 512);
    }

    public byte a(int i2, byte[] bArr) throws DfuException {
        if (bArr != null && bArr.length == 32) {
            if (this.DBG) {
                ZLogger.v(String.format(Locale.US, "checkImage:imageId=0x%04X, sha256=%s", Integer.valueOf(i2), DataConverter.bytes2Hex(bArr)));
            }
            byte[] bArr2 = new byte[36];
            bArr2[0] = 1;
            bArr2[1] = 0;
            bArr2[2] = (byte) (i2 & 255);
            bArr2[3] = (byte) ((i2 >> 8) & 255);
            System.arraycopy(bArr, 0, bArr2, 4, 32);
            if (this.DBG) {
                ZLogger.v(String.format("<< CMD_CHECK_IMAGE (0x%04X)", (short) 1552));
            }
            if (a((short) 1552, bArr2)) {
                ZLogger.v(this.DBG, "... waiting CMD_CHECK_IMAGE response");
                byte[] c2 = c(BluetoothConstant.PAIR_OR_UNPAIR_TIMEOUT);
                if (c2 == null || c2.length < 2) {
                    return (byte) 0;
                }
                ByteBuffer wrap = ByteBuffer.wrap(c2);
                wrap.order(ByteOrder.LITTLE_ENDIAN);
                int i3 = (((short) (wrap.get(1) & 255)) << 8) | ((short) (wrap.get(0) & 255));
                byte b2 = wrap.get(2);
                if (this.DBG) {
                    ZLogger.v(String.format(Locale.US, "image_Id=%d,result=0x%02X ", Integer.valueOf(i3), Byte.valueOf(b2)));
                }
                return b2;
            }
            throw new OtaException("checkImage failed", 512);
        }
        ZLogger.v("invalid sha256:" + DataConverter.bytes2Hex(bArr));
        return (byte) 0;
    }

    public boolean d(int i2) throws DfuException {
        byte[] bArr = {(byte) (i2 & 255), (byte) ((i2 >> 8) & 255)};
        ZLogger.v(this.DBG, String.format("<< CMD_COPY_IMAGE (0x%04X)", (short) 1551));
        if (a((short) 1551, bArr)) {
            ZLogger.v(this.DBG, "... waiting CMD_COPY_IMAGE response");
            byte b2 = c(BluetoothConstant.PAIR_OR_UNPAIR_TIMEOUT)[0];
            if (b2 == 1) {
                return true;
            }
            ZLogger.w(String.format("copyImage failed, status=0x%02X", Byte.valueOf(b2)));
            throw new OtaException("copyImage failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        throw new OtaException("copyImage failed", 512);
    }

    public byte[] b(short s, byte[] bArr) throws DfuException {
        this.mErrorState = 0;
        this.mReadRxData = null;
        if (s == 1536) {
            this.F.add((short) 1536);
        } else if (s == 1537) {
            this.F.add((short) 1537);
        } else if (s == 1546) {
            this.F.add((short) 1544);
        } else if (s == 1547) {
            this.F.add((short) 1545);
        } else if (s == 1550) {
            this.F.add((short) 1549);
        }
        this.mReadRequestCompleted = false;
        if (!r().sendCmd(s, bArr)) {
            return null;
        }
        synchronized (this.mReadLock) {
            try {
                if (this.mErrorState == 0 && !this.mReadRequestCompleted && this.mConnectionState == 515) {
                    this.mReadLock.wait(15000L);
                }
            } catch (InterruptedException e2) {
                ZLogger.e("mCharacteristicReadCalledLock Sleeping interrupted,e:" + e2);
                this.mErrorState = 259;
            }
        }
        if (this.mErrorState == 0 && !this.mReadRequestCompleted) {
            ZLogger.d(this.DBG, "read value but no callback");
            this.mErrorState = 261;
        }
        if (this.mErrorState == 0) {
            return this.mReadRxData;
        }
        throw new OtaException("Error while send command", this.mErrorState);
    }

    public void a(boolean z) throws DfuException {
        if (a((byte[]) null)) {
            if (z) {
                if (d()) {
                    waitUntilDisconnected();
                } else {
                    ZLogger.d("device already disconnected");
                }
                i(0);
            }
            closeInputStream(this.mCurBinInputStream);
        }
    }

    public void a(byte b2, boolean z) throws DfuException {
        if (a(new byte[]{b2})) {
            if (z) {
                if (d()) {
                    waitUntilDisconnected();
                } else {
                    ZLogger.d("device already disconnected");
                }
                i(0);
            }
            closeInputStream(this.mCurBinInputStream);
        }
    }

    public boolean a(byte[] bArr) throws DfuException {
        int i2;
        notifyStateChanged(524);
        boolean z = true;
        boolean z2 = false;
        try {
            ZLogger.d(this.DBG, String.format("<< CMD_OTA_ACTIVE_RESET(0x%04X)", (short) 1542));
            z = a((short) 1542, bArr);
        } catch (DfuException e2) {
            int errCode = e2.getErrCode();
            i2 = DfuException.ERROR_DFU_ABORTED;
            if (errCode != 4128) {
                if (getOtaDeviceInfo().specVersion < 4) {
                    if (!getDfuConfig().isWaitActiveCmdAckEnabled()) {
                        ZLogger.d("active cmd has no response, ignore");
                    } else {
                        ZLogger.w("active cmd has no response, notify error");
                        i2 = e2.getErrCode();
                    }
                } else {
                    ZLogger.d(String.format("Send CMD_OTA_ACTIVE_RESET failed, errorcode= 0x%04X", Integer.valueOf(e2.getErrorNumber())));
                    i2 = e2.getErrCode();
                }
            }
            z = false;
        }
        i2 = 0;
        if (z && getOtaDeviceInfo().specVersion >= 4) {
            try {
                ZLogger.d(this.DBG, "... Reading CMD_OTA_ACTIVE_RESET notification");
                c(1600);
            } catch (DfuException e3) {
                ZLogger.w("Read CMD_OTA_ACTIVE_RESET notification failed");
                i2 = e3.getErrCode();
            }
        }
        z2 = z;
        if (z2) {
            ZLogger.d("image active success");
            return z2;
        }
        throw new OtaException(i2);
    }

    public void a(byte b2) throws DfuException {
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_START(0x%04X), mode=0x%02X", (short) 1538, Byte.valueOf(b2)));
        byte[] bArr = new byte[16];
        System.arraycopy(this.mCurBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
        bArr[12] = b2;
        if (getOtaDeviceInfo().isAesEncryptEnabled()) {
            a((short) 1538, this.f4437i.aesEncrypt(bArr, 0, 16));
        } else {
            a((short) 1538, bArr);
        }
        ZLogger.v(this.DBG, "... Reading CMD_OTA_START notification");
        byte b3 = m()[0];
        if (b3 == 1) {
            return;
        }
        ZLogger.w(String.format("start dfu failed, status=0x%02X", Byte.valueOf(b3)));
        throw new OtaException("start dfu failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
    }

    public void a(int i2, byte b2) throws DfuException {
        byte[] bArr = {(byte) (i2 & 255), (byte) ((i2 >> 8) & 255), b2};
        ZLogger.v(this.DBG, String.format("<< CMD_OTA_VALID (0x%04X)", (short) 1540));
        if (a((short) 1540, bArr)) {
            ZLogger.v(this.DBG, "... waiting CMD_OTA_VALID response");
            byte b3 = c(BluetoothConstant.PAIR_OR_UNPAIR_TIMEOUT)[0];
            if (b3 == 1) {
                ZLogger.v(this.VDBG, "validate success");
                return;
            } else {
                if (b3 == 5) {
                    ZLogger.e(String.format("0x%02X, Validate FW failed", Byte.valueOf(b3)));
                    throw new OtaException("Validate FW failed", 517);
                }
                ZLogger.w(String.format("Validate FW failed, status=0x%02X", Byte.valueOf(b3)));
                throw new OtaException("Validate FW failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
            }
        }
        throw new OtaException("Validate FW failed", 512);
    }

    public void a(int i2, boolean z) {
        if (this.mAborted) {
            i2 = 4128;
        }
        if (this.DBG) {
            ZLogger.v(String.format("error = 0x%04X, needReset=%b", Integer.valueOf(i2), Boolean.valueOf(z)));
        }
        if (i2 != 4128) {
            notifyStateChanged(260, true);
        }
        if (z) {
            w();
        }
        BrEdrScannerPresenter brEdrScannerPresenter = this.A;
        if (brEdrScannerPresenter != null) {
            brEdrScannerPresenter.stopScan();
        }
        if (getDfuConfig().isErrorActionEnabled(1)) {
            i(i2);
        }
        closeInputStream(this.mCurBinInputStream);
        DfuThreadCallback dfuThreadCallback = this.mThreadCallback;
        if (dfuThreadCallback != null) {
            dfuThreadCallback.onError(i2);
        }
        this.mAborted = true;
    }

    public byte[] a(short s) throws DfuException {
        return b(s, (byte[]) null);
    }

    public final void a(AckPacket ackPacket) {
        int toAckId = ackPacket.getToAckId();
        byte status = ackPacket.getStatus();
        short s = (short) (65535 & toAckId);
        if (this.G.containsKey(Short.valueOf(s))) {
            this.G.put(Short.valueOf(s), ackPacket);
        }
        if (toAckId != 1536) {
            switch (toAckId) {
                case 1538:
                case 1539:
                case Constants.DATATYPE.Real_UploadPPG /* 1540 */:
                case Constants.DATATYPE.Real_UploadECG /* 1541 */:
                case Constants.DATATYPE.Real_UploadRun /* 1542 */:
                case Constants.DATATYPE.Real_UploadRespiratoryRate /* 1543 */:
                case Constants.DATATYPE.Real_UploadSensor /* 1544 */:
                case Constants.DATATYPE.Real_UploadAmbientlight /* 1545 */:
                    break;
                default:
                    switch (toAckId) {
                    }
            }
            if (ackPacket.getStatus() == 0) {
                this.mWriteRetransFlag = false;
            } else {
                this.mWriteRetransFlag = false;
            }
            g();
            return;
        }
        ZLogger.v("ACK-CMD_OTA_GET_DEVICE_INFO");
        if (status == 2 || status == 1) {
            ZLogger.w("CMD_OTA_GET_DEVICE_INFO not support");
            this.mErrorState = 281;
            this.mReadRxData = null;
            this.F.remove((short) 1536);
            notifyReadLock();
        }
    }

    public final void a(TransportLayerPacket transportLayerPacket) {
        int opcode = transportLayerPacket.getOpcode();
        transportLayerPacket.getPayload();
        byte[] parameters = transportLayerPacket.getParameters();
        switch (opcode) {
            case Constants.DATATYPE.Real_UploadSport /* 1536 */:
            case 1537:
            case Constants.DATATYPE.Real_UploadSensor /* 1544 */:
            case Constants.DATATYPE.Real_UploadAmbientlight /* 1545 */:
            case Constants.DATATYPE.Real_UploadOGA /* 1549 */:
                short s = (short) (opcode & 65535);
                if (!this.F.contains(Short.valueOf(s))) {
                    ZLogger.d(String.format("not expect event: 0x%04X", Short.valueOf(s)));
                    return;
                }
                this.F.remove(Short.valueOf(s));
                this.mReadRxData = parameters;
                notifyReadLock();
                return;
            case 1538:
            case Constants.DATATYPE.Real_UploadPPG /* 1540 */:
            case Constants.DATATYPE.Real_UploadECG /* 1541 */:
            case Constants.DATATYPE.Real_UploadRun /* 1542 */:
            case Constants.DATATYPE.Real_UploadRespiratoryRate /* 1543 */:
            case Constants.DATATYPE.Real_UploadSchedule /* 1547 */:
            case 1550:
            case Constants.DATATYPE.Real_UploadMulPhotoelectricWaveform /* 1551 */:
            case 1552:
                synchronized (this.m) {
                    this.D = parameters;
                    this.E = true;
                    this.m.notifyAll();
                }
                return;
            case 1539:
            case Constants.DATATYPE.Real_UploadComprehensive /* 1546 */:
            case Constants.DATATYPE.Real_UploadEventReminder /* 1548 */:
            default:
                return;
        }
    }
}
