package com.realsil.sdk.dfu.p;

import android.content.Context;
import com.realsil.sdk.core.bluetooth.BluetoothProfileManager;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.DfuConstants;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.exception.OtaException;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.image.wrapper.SocImageWrapper;
import com.realsil.sdk.dfu.internal.base.DfuThreadCallback;
import com.realsil.sdk.dfu.model.DeviceInfoWrapper;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.realsil.sdk.dfu.params.QcConfig;
import java.io.IOException;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

/* loaded from: classes3.dex */
public class i extends f {
    public QcConfig J;
    public int K;

    public i(Context context, DfuConfig dfuConfig, QcConfig qcConfig, DfuThreadCallback dfuThreadCallback) {
        super(context, dfuConfig, dfuThreadCallback);
        this.J = qcConfig;
    }

    public final boolean A() {
        List<BaseBinInputStream> list = this.pendingImageInputStreams;
        if (list == null) {
            return false;
        }
        Iterator<BaseBinInputStream> it2 = list.iterator();
        while (it2.hasNext()) {
            if (it2.next().getImageId() == 10136) {
                return false;
            }
        }
        SocImageWrapper ancImageWrapper = new DeviceInfoWrapper(getOtaDeviceInfo()).getAncImageWrapper();
        return (ancImageWrapper == null || ancImageWrapper.getImageVersion() == -1) ? false : true;
    }

    /* JADX WARN: Removed duplicated region for block: B:31:0x00c4 A[Catch: DfuException -> 0x0124, TRY_ENTER, TryCatch #1 {DfuException -> 0x0124, blocks: (B:6:0x000f, B:8:0x0016, B:10:0x0022, B:12:0x002b, B:14:0x002f, B:16:0x0064, B:18:0x006c, B:20:0x0082, B:21:0x008a, B:23:0x008e, B:25:0x009c, B:28:0x00a6, B:31:0x00c4, B:33:0x00ca, B:37:0x010b, B:39:0x0111, B:57:0x00d4, B:59:0x00da, B:61:0x00e7, B:63:0x00ed, B:65:0x00f9, B:66:0x0101), top: B:5:0x000f }] */
    /* JADX WARN: Removed duplicated region for block: B:36:0x0109  */
    /* JADX WARN: Removed duplicated region for block: B:54:0x0108 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:56:0x00d2  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public boolean B() {
        /*
            Method dump skipped, instructions count: 351
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.p.i.B():boolean");
    }

    public final void C() throws DfuException {
        this.otaEnvironmentPrepared = false;
        if (!a()) {
            f(DfuException.ERROR_DFU_ABORTED);
            return;
        }
        notifyStateChanged(517);
        try {
            Thread.sleep(1500L);
        } catch (InterruptedException e2) {
            e2.printStackTrace();
        }
        QcConfig qcConfig = this.J;
        if (qcConfig != null) {
            try {
                a((short) 1554, new byte[]{(byte) (qcConfig.getIndicator() & 255)});
            } catch (Exception unused) {
                ZLogger.v("CMD_OTA_TEST error, ignore");
            }
        }
        this.mOtaDeviceInfo = new OtaDeviceInfo(17, 2);
        v();
        if (getOtaDeviceInfo().isRwsEnabled() && getOtaDeviceInfo().specVersion < 6) {
            z();
            if (getOtaDeviceInfo().getRwsUpdateFlag() != 0) {
                throw new OtaException("rws state not ready", 282);
            }
        }
        s();
        if (getOtaDeviceInfo().isBankEnabled() && getOtaDeviceInfo().specVersion >= 5) {
            u();
        }
        if (getOtaDeviceInfo().getUpdateMechanism() == 3) {
            t();
        }
        if (this.DBG) {
            ZLogger.d(getOtaDeviceInfo().toString());
        }
        k();
        this.otaEnvironmentPrepared = true;
        ZLogger.d("Ota Environment prepared.");
    }

    public final int D() throws DfuException {
        BaseBinInputStream baseBinInputStream;
        notifyStateChanged(521);
        getDfuProgressInfo().start();
        if (this.DBG) {
            ZLogger.v("processCopyProcedure ...");
            ZLogger.v(getDfuProgressInfo().toString());
        }
        try {
            d(getDfuProgressInfo().getCurImageId());
            getDfuProgressInfo().sendOver();
            notifyProcessChanged();
            this.mBytesSentBuffer += getDfuProgressInfo().getBytesSent();
            if (getDfuProgressInfo().isLastImageFile()) {
                ZLogger.v(this.VDBG, "no pendding image file to upload");
                getDfuProgressInfo().setActiveImageSize(this.mBytesSentBuffer);
                return 3;
            }
            ZLogger.d("has pendding image file to upload");
            if (getOtaDeviceInfo().getUpdateMechanism() == 1) {
                this.mOtaDeviceAddress = this.mDeviceAddress;
                this.otaModeEnabled = true;
                this.mBytesSentBuffer = 0;
                a(true);
                int activeImageSize = getDfuProgressInfo().getActiveImageSize() / 30;
                a(30000L);
            } else if (getOtaDeviceInfo().getUpdateMechanism() == 3 && (baseBinInputStream = this.mNextBinInputStream) != null) {
                ZLogger.v(String.format(Locale.US, "nextBinSize=%d, mBytesSentBuffer=%d, otaTempBufferSize=%d", Integer.valueOf(baseBinInputStream.remainSizeInBytes()), Integer.valueOf(this.mBytesSentBuffer), Integer.valueOf(getOtaDeviceInfo().otaTempBufferSize * 4096)));
                if (this.mNextBinInputStream.remainSizeInBytes() + this.mBytesSentBuffer > getOtaDeviceInfo().otaTempBufferSize * 4096) {
                    ZLogger.d("make device to enter the ota advertiser mode, and let the app continue update image");
                    this.otaModeEnabled = true;
                    this.mBytesSentBuffer = 0;
                    a((byte) 1, true);
                    int activeImageSize2 = getDfuProgressInfo().getActiveImageSize() / 30;
                    a(30000L);
                }
            }
            return 2;
        } catch (DfuException unused) {
            return 1;
        }
    }

    public final int E() throws DfuException {
        if (!H()) {
            return 0;
        }
        this.mBytesSentBuffer += getDfuProgressInfo().getBytesSent();
        if (getDfuProgressInfo().isLastImageFile()) {
            ZLogger.d("no pendding image file to upload.");
            if (getOtaDeviceInfo().specVersion >= 3) {
                a(getDfuProgressInfo().getCurImageId(), (byte) 1);
            } else {
                a(getDfuProgressInfo().getCurImageId(), (byte) 0);
            }
            getDfuProgressInfo().setActiveImageSize(this.mBytesSentBuffer);
            return 3;
        }
        ZLogger.d("has pendding image file to upload");
        if (getOtaDeviceInfo().getUpdateMechanism() == 1) {
            if (getOtaDeviceInfo().specVersion >= 3) {
                a(getDfuProgressInfo().getCurImageId(), (byte) 1);
            } else {
                a(getDfuProgressInfo().getCurImageId(), (byte) 0);
            }
            this.mOtaDeviceAddress = this.mDeviceAddress;
            this.otaModeEnabled = true;
            this.mBytesSentBuffer = 0;
            a(true);
            int activeImageSize = getDfuProgressInfo().getActiveImageSize() / 30;
            a(30000L);
        } else if (getOtaDeviceInfo().getUpdateMechanism() == 3) {
            BaseBinInputStream baseBinInputStream = this.mNextBinInputStream;
            if (baseBinInputStream != null) {
                ZLogger.v(String.format(Locale.US, "nextBinSize=%d, mBytesSentBuffer=%d, otaTempBufferSize=%d", Integer.valueOf(baseBinInputStream.remainSizeInBytes()), Integer.valueOf(this.mBytesSentBuffer), Integer.valueOf(getOtaDeviceInfo().otaTempBufferSize * 4096)));
                if (this.mNextBinInputStream.remainSizeInBytes() + this.mBytesSentBuffer > getOtaDeviceInfo().otaTempBufferSize * 4096) {
                    if (getOtaDeviceInfo().specVersion >= 3) {
                        a(getDfuProgressInfo().getCurImageId(), (byte) 1);
                    } else {
                        a(getDfuProgressInfo().getCurImageId(), (byte) 0);
                    }
                    ZLogger.d("make device to enter the ota advertiser mode, and let the app continue update image");
                    this.otaModeEnabled = true;
                    this.mBytesSentBuffer = 0;
                    a((byte) 1, true);
                    int activeImageSize2 = getDfuProgressInfo().getActiveImageSize() / 30;
                    a(30000L);
                } else {
                    a(getDfuProgressInfo().getCurImageId(), (byte) 0);
                }
            } else if (getOtaDeviceInfo().specVersion >= 3) {
                a(getDfuProgressInfo().getCurImageId(), (byte) 1);
            } else {
                a(getDfuProgressInfo().getCurImageId(), (byte) 0);
            }
        } else {
            a(getDfuProgressInfo().getCurImageId(), (byte) 0);
        }
        return 2;
    }

    public final int F() throws DfuException {
        if (!a()) {
            f(DfuException.ERROR_DFU_ABORTED);
            return 0;
        }
        notifyStateChanged(521);
        ZLogger.v(this.DBG, String.format("mOtaWorkMode=%s, ICType=%s", DfuConstants.parseOtaMode(this.mOtaWorkMode), DfuConstants.parseIcType(getOtaDeviceInfo().icType)));
        ZLogger.v(getDfuProgressInfo().toString());
        getDfuProgressInfo().start();
        g(getDfuProgressInfo().getCurImageId());
        if (!getDfuConfig().isBreakpointResumeEnabled()) {
            this.mImageUpdateOffset = 0;
        }
        boolean z = this.DBG;
        Locale locale = Locale.US;
        ZLogger.v(z, String.format(locale, "mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
        if (this.mImageUpdateOffset == 0) {
            x();
        }
        if (this.mImageUpdateOffset >= getDfuProgressInfo().getImageSizeInBytes()) {
            ZLogger.d(this.DBG, "Last send reach the bottom");
        } else {
            k(getDfuProgressInfo().getCurImageId());
        }
        getDfuProgressInfo().sendOver();
        notifyProcessChanged();
        this.mBytesSentBuffer += getDfuProgressInfo().getBytesSent();
        if (getDfuProgressInfo().isLastImageFile()) {
            ZLogger.d("no pendding image file to upload,");
            try {
                a(getDfuProgressInfo().getCurImageId(), (byte) 1);
                getDfuProgressInfo().setActiveImageSize(this.mBytesSentBuffer);
                return 3;
            } catch (DfuException unused) {
                getDfuProgressInfo().setNextFileIndex(getDfuProgressInfo().getLastFileIndex());
                return 1;
            }
        }
        ZLogger.d("has pendding image file to upload");
        if (getOtaDeviceInfo().getUpdateMechanism() == 1) {
            try {
                a(getDfuProgressInfo().getCurImageId(), (byte) 1);
                this.mOtaDeviceAddress = this.mDeviceAddress;
                this.otaModeEnabled = true;
                this.mBytesSentBuffer = 0;
                a(true);
                int activeImageSize = getDfuProgressInfo().getActiveImageSize() / 30;
                a(30000L);
            } catch (DfuException unused2) {
                getDfuProgressInfo().setNextFileIndex(getDfuProgressInfo().getLastFileIndex());
                return 1;
            }
        } else if (getOtaDeviceInfo().getUpdateMechanism() == 3) {
            BaseBinInputStream baseBinInputStream = this.mNextBinInputStream;
            if (baseBinInputStream != null) {
                ZLogger.v(String.format(locale, "nextBinSize=%d, mBytesSentBuffer=%d, otaTempBufferSize=%d", Integer.valueOf(baseBinInputStream.remainSizeInBytes()), Integer.valueOf(this.mBytesSentBuffer), Integer.valueOf(getOtaDeviceInfo().otaTempBufferSize * 4096)));
                if (this.mNextBinInputStream.remainSizeInBytes() + this.mBytesSentBuffer > getOtaDeviceInfo().otaTempBufferSize * 4096) {
                    try {
                        a(getDfuProgressInfo().getCurImageId(), (byte) 1);
                        ZLogger.d("make device to enter the ota advertiser mode, and let the app continue update image");
                        this.otaModeEnabled = true;
                        this.mBytesSentBuffer = 0;
                        a((byte) 1, true);
                        int activeImageSize2 = getDfuProgressInfo().getActiveImageSize() / 30;
                        a(30000L);
                    } catch (DfuException unused3) {
                        getDfuProgressInfo().setNextFileIndex(getDfuProgressInfo().getLastFileIndex());
                        return 1;
                    }
                } else {
                    try {
                        a(getDfuProgressInfo().getCurImageId(), (byte) 0);
                    } catch (DfuException unused4) {
                        getDfuProgressInfo().setNextFileIndex(getDfuProgressInfo().getLastFileIndex());
                        return 1;
                    }
                }
            } else {
                try {
                    a(getDfuProgressInfo().getCurImageId(), (byte) 1);
                } catch (DfuException unused5) {
                    getDfuProgressInfo().setNextFileIndex(getDfuProgressInfo().getLastFileIndex());
                    return 1;
                }
            }
        } else {
            try {
                a(getDfuProgressInfo().getCurImageId(), (byte) 0);
            } catch (DfuException unused6) {
                getDfuProgressInfo().setNextFileIndex(getDfuProgressInfo().getLastFileIndex());
                return 1;
            }
        }
        return 2;
    }

    public final void G() throws DfuException {
        if (getOtaDeviceInfo().specVersion <= 5) {
            a(false);
        } else {
            h(0);
            if (getOtaDeviceInfo().getBudRole() == 1) {
                this.K = 2;
            } else if (getOtaDeviceInfo().getBudRole() == 2) {
                this.K = 1;
            } else {
                this.K = 1;
            }
        }
        notifyStateChanged(522);
        ZLogger.d(this.DBG, "wait master to handover ...");
        int i2 = 0;
        boolean z = false;
        while (true) {
            if (i2 >= 3) {
                break;
            }
            try {
                Thread.sleep(2000L);
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
            if (a(this.mOtaDeviceAddress, 1) == 0) {
                this.mOtaDeviceInfo = new OtaDeviceInfo(17, 2);
                v();
                if (getOtaDeviceInfo().specVersion >= 6) {
                    z = getOtaDeviceInfo().getBudRole() == this.K;
                    if (z) {
                        ZLogger.d(this.DBG, "role swap success, bud role=" + getOtaDeviceInfo().getBudRole());
                        break;
                    }
                    ZLogger.d(this.DBG, String.format(Locale.US, "rws swap not completed, hfpState=0x%02X,bud role(%d), target is %d", Integer.valueOf(BluetoothProfileManager.getInstance().getConnectionState(1, b(this.mDeviceAddress))), Integer.valueOf(getOtaDeviceInfo().getBudRole()), Integer.valueOf(this.K)));
                } else {
                    z();
                    z = getOtaDeviceInfo().getRwsUpdateFlag() == 0;
                    if (z) {
                        ZLogger.d(this.DBG, String.format("role swap success, RwsUpdateFlag = 0x%02X", Integer.valueOf(getOtaDeviceInfo().getRwsUpdateFlag())));
                        break;
                    }
                    ZLogger.d(this.DBG, String.format("rws state not read, RwsUpdateFlag = 0x%02X", Integer.valueOf(getOtaDeviceInfo().getRwsUpdateFlag())));
                }
            }
            i2++;
        }
        if (!z) {
            throw new OtaException("role swap failed", 283);
        }
    }

    public final boolean H() throws DfuException {
        if (!a()) {
            f(DfuException.ERROR_DFU_ABORTED);
            return false;
        }
        if (getOtaDeviceInfo().isAesEncryptEnabled() && !b()) {
            f(4113);
            return false;
        }
        notifyStateChanged(521);
        if (this.DBG) {
            ZLogger.v(String.format("mOtaWorkMode=%s, ICType=%s", DfuConstants.parseOtaMode(this.mOtaWorkMode), DfuConstants.parseIcType(getOtaDeviceInfo().icType)));
        }
        ZLogger.v(getDfuProgressInfo().toString());
        g(getDfuProgressInfo().getCurImageId());
        if (!getDfuConfig().isBreakpointResumeEnabled() && this.mImageUpdateOffset != 0) {
            if ((getOtaDeviceInfo().icType == 4 || getOtaDeviceInfo().icType == 6 || getOtaDeviceInfo().icType == 8) && getOtaDeviceInfo().specVersion <= 4) {
                ZLogger.d("clear soc data");
                w();
            }
            this.mImageUpdateOffset = 0;
        }
        ZLogger.v(this.DBG, "isBufferCheckEnabled=" + getOtaDeviceInfo().isBufferCheckEnabled());
        if (!getOtaDeviceInfo().isBufferCheckEnabled()) {
            this.o = 0;
        } else if (q()) {
            this.o = 1;
        } else {
            this.o = 0;
        }
        ZLogger.v(this.DBG, "mRemoteOtaFunctionInfo=" + this.o);
        getDfuProgressInfo().start();
        if (this.mImageUpdateOffset == 0) {
            x();
        }
        if (this.mImageUpdateOffset >= getDfuProgressInfo().getImageSizeInBytes()) {
            boolean z = this.DBG;
            if (z) {
                ZLogger.d(z, "Last send reach the bottom");
            }
        } else {
            k(getDfuProgressInfo().getCurImageId());
            if (this.o == 1) {
                b(this.mCurBinInputStream);
            } else {
                c(this.mCurBinInputStream);
            }
        }
        getDfuProgressInfo().sendOver();
        return true;
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void alignmentSendBytes(int i2, boolean z) {
        if (i2 != 0) {
            try {
                int max = Math.max(i2 - 12, 0);
                byte[] bArr = new byte[getDfuProgressInfo().getImageSizeInBytes()];
                if (z) {
                    this.mCurBinInputStream.read(bArr, max);
                } else {
                    this.mCurBinInputStream.read(bArr, 0, max);
                }
            } catch (IOException e2) {
                ZLogger.e(e2.toString());
                return;
            }
        }
        getDfuProgressInfo().setBytesSent(i2);
    }

    /* JADX WARN: Code restructure failed: missing block: B:74:0x0050, code lost:
    
        if (r10 != getDfuProgressInfo().getBytesSent()) goto L14;
     */
    /* JADX WARN: Removed duplicated region for block: B:13:0x007d A[Catch: IOException -> 0x01ea, TryCatch #0 {IOException -> 0x01ea, blocks: (B:71:0x0043, B:73:0x0048, B:11:0x0077, B:13:0x007d, B:14:0x00c0, B:16:0x00c4, B:18:0x00dd, B:20:0x00fd, B:68:0x009e, B:69:0x00ae, B:10:0x0054), top: B:70:0x0043 }] */
    /* JADX WARN: Removed duplicated region for block: B:18:0x00dd A[Catch: IOException -> 0x01ea, TryCatch #0 {IOException -> 0x01ea, blocks: (B:71:0x0043, B:73:0x0048, B:11:0x0077, B:13:0x007d, B:14:0x00c0, B:16:0x00c4, B:18:0x00dd, B:20:0x00fd, B:68:0x009e, B:69:0x00ae, B:10:0x0054), top: B:70:0x0043 }] */
    /* JADX WARN: Removed duplicated region for block: B:20:0x00fd A[Catch: IOException -> 0x01ea, TRY_LEAVE, TryCatch #0 {IOException -> 0x01ea, blocks: (B:71:0x0043, B:73:0x0048, B:11:0x0077, B:13:0x007d, B:14:0x00c0, B:16:0x00c4, B:18:0x00dd, B:20:0x00fd, B:68:0x009e, B:69:0x00ae, B:10:0x0054), top: B:70:0x0043 }] */
    /* JADX WARN: Removed duplicated region for block: B:23:0x0148  */
    /* JADX WARN: Removed duplicated region for block: B:59:0x0120 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:67:0x009c  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void b(com.realsil.sdk.dfu.image.stream.BaseBinInputStream r14) throws com.realsil.sdk.dfu.DfuException {
        /*
            Method dump skipped, instructions count: 508
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.p.i.b(com.realsil.sdk.dfu.image.stream.BaseBinInputStream):void");
    }

    public final void c(BaseBinInputStream baseBinInputStream) throws DfuException {
        int read;
        ZLogger.d(String.format("uploadFirmwareImageForBeeUpdate: %s", DfuConstants.parseOtaMode(this.mOtaWorkMode)));
        c();
        this.mErrorState = 0;
        this.lastPacketTransferred = false;
        int i2 = this.MAX_PACKET_SIZE;
        byte[] bArr = new byte[i2];
        while (!this.lastPacketTransferred) {
            if (this.mAborted) {
                throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
            }
            startSpeedControl();
            ZLogger.v(getDfuProgressInfo().toString());
            try {
                if (getDfuProgressInfo().getBytesSent() == 0) {
                    int i3 = this.MAX_PACKET_SIZE;
                    byte[] bArr2 = new byte[i3];
                    baseBinInputStream.read(bArr2, i3 - 12);
                    System.arraycopy(baseBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
                    System.arraycopy(bArr2, 0, bArr, 12, this.MAX_PACKET_SIZE - 12);
                    read = this.MAX_PACKET_SIZE;
                    getDfuProgressInfo().setBytesSent(0);
                } else {
                    read = baseBinInputStream.read(bArr, i2);
                }
                if (getDfuProgressInfo().getRemainSizeInBytes() < this.MAX_PACKET_SIZE) {
                    ZLogger.v(this.DBG, "reach the end of the file, only read some");
                    read = getDfuProgressInfo().getRemainSizeInBytes();
                }
                if (read <= 0) {
                    if (getDfuProgressInfo().isFileSendOver()) {
                        ZLogger.i("image file has already been send over");
                        return;
                    }
                    ZLogger.e("Error while reading file with size: " + read);
                    throw new OtaException("Error while reading file", 257);
                }
                if (getOtaDeviceInfo().isAesEncryptEnabled()) {
                    for (int i4 = read; i4 > 0; i4 -= 16) {
                        if (i4 >= 16) {
                            int i5 = read - i4;
                            System.arraycopy(this.f4437i.aesEncrypt(bArr, i5, 16), 0, bArr, i5, 16);
                            if (getOtaDeviceInfo().getAesEncryptMode() == 0) {
                                break;
                            }
                        }
                    }
                }
                if (a((short) 1539, bArr, read)) {
                    getDfuProgressInfo().addBytesSent(read);
                    notifyProcessChanged();
                }
                i();
                blockSpeedControl();
            } catch (IOException unused) {
                throw new OtaException("Error while reading file", 257);
            }
        }
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void executeOtaProcedure() {
        int innerCheck;
        super.executeOtaProcedure();
        try {
            setName("ProcessorXS0011");
            ZLogger.d("ProcessorXS0011 running.");
            innerCheck = innerCheck();
        } catch (DfuException e2) {
            e2.printStackTrace();
            ZLogger.e(e2.toString());
            f(e2.getErrCode());
        } catch (Exception e3) {
            e3.printStackTrace();
            ZLogger.e(e3.toString());
            f(0);
        }
        if (innerCheck != 0) {
            f(innerCheck);
            return;
        }
        notifyStateChanged(514);
        this.mOtaDeviceAddress = this.mDeviceAddress;
        this.otaModeEnabled = true;
        this.mBytesSentBuffer = 0;
        if (B()) {
            ZLogger.v("RWS, no need to disconnect manully");
            G();
            ZLogger.d("start to upload secondary bud ...");
            this.otaModeEnabled = true;
            this.otaEnvironmentPrepared = false;
            this.mBytesSentBuffer = 0;
            if (B()) {
                if (this.l) {
                    a(true);
                    if (getDfuConfig().isCompleteActionEnabled(1)) {
                        BluetoothProfileManager.getInstance().disconnectA2dpSource(this.w.getRemoteDevice(this.mOtaDeviceAddress));
                        BluetoothProfileManager.getInstance().disconnectHfp(this.mOtaDeviceAddress);
                    }
                    notifyStateChanged(258);
                } else {
                    notifyStateChanged(523);
                }
            }
        }
        closeInputStream(this.mCurBinInputStream);
        ZLogger.d(this.DBG, "DfuThread stopped");
        if (this.mProcessState == 525) {
            notifyStateChanged(259);
        }
    }

    public final int j(int i2) throws DfuException {
        notifyStateChanged(521);
        getDfuProgressInfo().start();
        if (this.DBG) {
            ZLogger.v("forceCopyProcedure, imageId=" + i2);
            ZLogger.v(getDfuProgressInfo().toString());
        }
        try {
            d(i2);
            getDfuProgressInfo().sendOver();
            notifyProcessChanged();
            return 3;
        } catch (DfuException unused) {
            return 1;
        }
    }

    public final void k(int i2) throws DfuException {
        if (this.mImageUpdateOffset == 0 && getOtaDeviceInfo().specVersion < 3) {
            this.mImageUpdateOffset = 12;
        }
        ZLogger.d(this.DBG, String.format(Locale.US, "mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
        int bytesSent = getDfuProgressInfo().getBytesSent();
        int i3 = this.mImageUpdateOffset;
        if (bytesSent == i3 || i3 == -1) {
            return;
        }
        ZLogger.w("mBytesSent != mImageUpdateOffset, reload image bin file");
        this.imageFileLoaded = false;
        k();
        alignmentSendBytes(this.mImageUpdateOffset, false);
    }

    public final boolean y() throws DfuException {
        d(this.mOtaDeviceAddress);
        if (this.otaEnvironmentPrepared) {
            j();
        } else {
            C();
        }
        if (this.mCurBinInputStream != null) {
            return true;
        }
        f(4097);
        return false;
    }

    public final void z() throws DfuException {
        ZLogger.d(this.DBG, String.format("<< CMD_OTA_GET_OTHER_INFO (0x%04X)", (short) 1547));
        byte[] b2 = b((short) 1547, (byte[]) null);
        if (b2 == null || b2.length <= 0) {
            getOtaDeviceInfo().setRwsUpdateFlag(0);
        } else {
            getOtaDeviceInfo().setRwsUpdateFlag(b2[0] & 1);
        }
    }

    @Override // com.realsil.sdk.dfu.n.b, com.realsil.sdk.dfu.i.b
    public void j() {
        int maxFileCount = getDfuProgressInfo().getMaxFileCount();
        int nextFileIndex = getDfuProgressInfo().getNextFileIndex();
        if (nextFileIndex < 0 || nextFileIndex >= maxFileCount) {
            ZLogger.v("invalid FileIndex: " + nextFileIndex + ", reset to 0");
            nextFileIndex = 0;
        }
        getDfuProgressInfo().setCurrentFileIndex(nextFileIndex);
        BaseBinInputStream baseBinInputStream = this.pendingImageInputStreams.get(nextFileIndex);
        this.mCurBinInputStream = baseBinInputStream;
        if (baseBinInputStream != null) {
            if (this.DBG) {
                ZLogger.v(String.format("mCurBinInputStream's binId=0x%04X", Integer.valueOf(baseBinInputStream.getBinId())));
            }
            getDfuProgressInfo().initialize(this.mCurBinInputStream.getBinId(), this.mCurBinInputStream.getImageId(), this.mCurBinInputStream.getImageVersion(), this.mCurBinInputStream.remainSizeInBytes() + 12, getDfuConfig().isThroughputEnabled());
        } else {
            ZLogger.d("mCurBinInputStream == null");
        }
        int i2 = nextFileIndex + 1;
        if (i2 < maxFileCount) {
            this.mNextBinInputStream = this.pendingImageInputStreams.get(i2);
        } else {
            this.mNextBinInputStream = null;
        }
    }
}
