package com.realsil.sdk.dfu.q;

import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.usb.GlobalUsbGatt;
import com.realsil.sdk.core.usb.UsbGatt;
import com.realsil.sdk.core.usb.UsbGattCallback;
import com.realsil.sdk.core.usb.UsbGattCharacteristic;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.realsil.sdk.dfu.model.OtaModeInfo;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes3.dex */
public abstract class b implements com.realsil.sdk.dfu.j.c {

    /* renamed from: e, reason: collision with root package name */
    public int f4550e;

    /* renamed from: f, reason: collision with root package name */
    public UsbGatt f4551f;

    /* renamed from: g, reason: collision with root package name */
    public List<UsbGattCharacteristic> f4552g;

    /* renamed from: h, reason: collision with root package name */
    public OtaDeviceInfo f4553h;

    /* renamed from: j, reason: collision with root package name */
    public String f4555j;
    public InterfaceC0063b k;

    /* renamed from: i, reason: collision with root package name */
    public List<OtaModeInfo> f4554i = new ArrayList();
    public final UsbGattCallback l = new a();
    public int m = 0;
    public Object n = new Object();

    public class a extends UsbGattCallback {
        public a() {
        }

        public void onCharacteristicChanged(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic) {
            b.this.a(usbGatt, usbGattCharacteristic);
        }

        public void onCharacteristicRead(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic, int i2) {
            b.this.a(usbGatt, usbGattCharacteristic, i2);
        }

        public void onConnectionStateChange(UsbGatt usbGatt, int i2, int i3) {
            if (i2 == 0 && i3 == 0 && b.this.d()) {
                b.this.b(2);
            }
        }
    }

    /* renamed from: com.realsil.sdk.dfu.q.b$b, reason: collision with other inner class name */
    public interface InterfaceC0063b {
        void a(int i2);
    }

    public void a(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic) {
    }

    public void a(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic, int i2) {
    }

    public void a(String str, UsbGatt usbGatt, InterfaceC0063b interfaceC0063b) {
        this.f4555j = str;
        this.f4551f = usbGatt;
        this.k = interfaceC0063b;
        this.f4554i = new ArrayList();
        this.f4552g = new ArrayList();
        GlobalUsbGatt.getInstance().registerCallback(this.f4555j, this.l);
    }

    public OtaDeviceInfo b() {
        if (this.f4553h == null) {
            this.f4553h = new OtaDeviceInfo(this.f4550e, 2);
        }
        return this.f4553h;
    }

    public List<OtaModeInfo> c() {
        return this.f4554i;
    }

    public boolean d() {
        return (this.m & 256) == 256;
    }

    public abstract void e();

    public void f() {
        ZLogger.v(false, "triggleSyncLock");
        synchronized (this.n) {
            this.n.notifyAll();
        }
    }

    public void g() {
        ZLogger.v(false, "waitSyncLock");
        synchronized (this.n) {
            try {
                this.n.wait(30000L);
            } catch (InterruptedException e2) {
                ZLogger.w("wait sync data interrupted: " + e2.toString());
            }
        }
    }

    public void b(int i2) {
        ZLogger.d(String.format("syndata: 0x%04X >> 0x%04X", Integer.valueOf(this.m), Integer.valueOf(i2)));
        this.m = i2;
        InterfaceC0063b interfaceC0063b = this.k;
        if (interfaceC0063b != null) {
            interfaceC0063b.a(i2);
        } else {
            ZLogger.d("no callback registed");
        }
    }

    public void a() {
        this.m = 0;
        GlobalUsbGatt.getInstance().unRegisterCallback(this.f4555j, this.l);
    }

    public boolean a(UsbGattCharacteristic usbGattCharacteristic) {
        UsbGatt usbGatt = this.f4551f;
        if (usbGatt == null) {
            ZLogger.w("mUsbGatt is null maybe disconnected just now");
            return false;
        }
        return usbGatt.readCharacteristic(usbGattCharacteristic);
    }

    public OtaModeInfo a(int i2) {
        List<OtaModeInfo> list = this.f4554i;
        if (list != null && list.size() > 0) {
            for (OtaModeInfo otaModeInfo : this.f4554i) {
                if (otaModeInfo.getWorkmode() == i2) {
                    return otaModeInfo;
                }
            }
            return this.f4554i.get(0);
        }
        return new OtaModeInfo(0);
    }
}
