package com.realsil.sdk.dfu.q;

import android.content.Context;
import android.hardware.usb.UsbDevice;
import androidx.core.view.MotionEventCompat;
import com.realsil.sdk.core.bluetooth.utils.BluetoothUuid;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.usb.GlobalUsbGatt;
import com.realsil.sdk.core.usb.UsbGatt;
import com.realsil.sdk.core.usb.UsbGattCallback;
import com.realsil.sdk.core.usb.UsbGattCharacteristic;
import com.realsil.sdk.core.usb.UsbGattImpl;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.DfuConstants;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.exception.OtaException;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.internal.base.DfuThreadCallback;
import com.realsil.sdk.dfu.j.c;
import com.realsil.sdk.dfu.l.g;
import com.realsil.sdk.dfu.l.h;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.UUID;
import kotlin.UShort;

/* loaded from: classes3.dex */
public class d extends f {
    public UsbGattCharacteristic D;
    public UsbGattCharacteristic E;
    public UsbGattCharacteristic F;
    public UsbGattCharacteristic G;
    public UsbGattCharacteristic H;
    public UsbGattCharacteristic I;
    public List<UsbGattCharacteristic> J;
    public UUID K;
    public UUID L;
    public UsbGattCharacteristic M;
    public UsbGattCharacteristic N;
    public final UsbGattCallback O;

    public class a extends UsbGattCallback {
        public a() {
        }

        public final synchronized void a(byte[] bArr) {
            if (bArr != null) {
                if (bArr.length >= 2) {
                    int i2 = bArr[0] & 255;
                    int i3 = bArr[1] & 255;
                    ZLogger.v(d.this.DBG, String.format("responseType = %02X , requestOpCode = %02X", Integer.valueOf(i2), Integer.valueOf(i3)));
                    if (i2 == 16) {
                        if (i3 == 7) {
                            synchronized (d.this.m) {
                                ZLogger.d("ignore connection parameters notification");
                                d.this.y = bArr;
                                d.this.z = true;
                                d.this.m.notifyAll();
                            }
                        } else if (i3 != 8) {
                            synchronized (d.this.m) {
                                d.this.y = bArr;
                                d.this.z = true;
                                d.this.m.notifyAll();
                            }
                        } else {
                            byte b2 = bArr.length >= 3 ? bArr[2] : (byte) 0;
                            ZLogger.d("remote state changed, busyMode=" + ((int) b2));
                            synchronized (d.this.s) {
                                d.this.r = b2 == 1;
                                d.this.s.notifyAll();
                            }
                        }
                    }
                    return;
                }
            }
            ZLogger.w("notification data invalid");
        }

        public void onCharacteristicChanged(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic) {
            a(usbGattCharacteristic.getValue());
        }

        public void onCharacteristicRead(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic, int i2) {
            if (i2 == 0) {
                d.this.mReadRxData = usbGattCharacteristic.getValue();
            } else if (i2 == 257) {
                d.this.mErrorState = 1157;
                ZLogger.w(String.format(Locale.US, "read Characteristic error:0x%04X", Integer.valueOf(d.this.mErrorState)));
            } else {
                d.this.mErrorState = i2 | 1024;
                ZLogger.w(String.format(Locale.US, "read Characteristic error:0x%04X", Integer.valueOf(d.this.mErrorState)));
            }
            d.this.notifyReadLock();
        }

        public void onCharacteristicWrite(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic, int i2) {
            byte[] value = usbGattCharacteristic.getValue();
            if (i2 == 0) {
                d.this.mWriteRetransFlag = false;
                if (d.this.K != null && d.this.K.equals(usbGattCharacteristic.getUuid())) {
                    if (value != null) {
                        d.this.getDfuProgressInfo().addBytesSent(value.length);
                        d.this.notifyProcessChanged();
                    } else {
                        ZLogger.w("characteristic'value is null, exception");
                    }
                }
            } else if (i2 != 257 && i2 != 143) {
                d.this.mErrorState = i2 | 1024;
                ZLogger.w(String.format("Characteristic write error: 0x%04X", Integer.valueOf(d.this.mErrorState)));
            } else if (d.this.K != null && d.this.K.equals(usbGattCharacteristic.getUuid())) {
                if (i2 == 143) {
                    d.this.mWriteRetransFlag = false;
                    if (value != null) {
                        d.this.getDfuProgressInfo().addBytesSent(value.length);
                        d.this.notifyProcessChanged();
                    } else {
                        ZLogger.w("characteristic'value is null, exception");
                    }
                } else {
                    d.this.mWriteRetransFlag = true;
                    ZLogger.d(d.this.DBG, "write image packet error, status=" + i2 + ", please retry.");
                }
            }
            d.this.g();
        }

        public void onConnectionStateChange(UsbGatt usbGatt, int i2, int i3) {
            if (i2 != 0) {
                if (i3 == 0) {
                    d.this.setConnectionState(0);
                }
                d.this.mErrorState = i2 | 2048;
            } else if (i3 == 2) {
                d dVar = d.this;
                if (dVar.mAborted) {
                    ZLogger.w("task already aborted, ignore");
                    return;
                } else {
                    if (dVar.mConnectionState == 256) {
                        dVar.m();
                        return;
                    }
                    ZLogger.v("ignore connected state");
                }
            } else if (i3 == 0) {
                if (d.this.mProcessState == 521) {
                    d.this.mErrorState = i2 | 2048;
                    ZLogger.d(d.this.DBG, "disconnect in OTA process, mErrorState: " + d.this.mErrorState);
                }
                d.this.setConnectionState(0);
            }
            d.this.notifyConnectionLock();
        }

        public void onMtuChanged(UsbGatt usbGatt, int i2, int i3) {
            if (i3 == 0) {
                ZLogger.v(d.this.VDBG, "mtu=" + i2);
                if (d.this.getDfuConfig().isMtuUpdateEnabled()) {
                    d dVar = d.this;
                    dVar.MAX_PACKET_SIZE = i2;
                    if (dVar.DBG) {
                        ZLogger.d("onMtuChanged MAX_PACKET_SIZE: " + d.this.MAX_PACKET_SIZE);
                    }
                }
            }
            d.this.A = true;
            d.this.e();
        }

        public void onServicesDiscovered(UsbGatt usbGatt, int i2) {
            d dVar = d.this;
            if (dVar.mAborted) {
                ZLogger.w("task already aborted, ignore");
                return;
            }
            if (i2 == 0) {
                try {
                    dVar.K = UUID.fromString(dVar.getDfuConfig().getDfuDataUuid());
                    d dVar2 = d.this;
                    dVar2.L = UUID.fromString(dVar2.getDfuConfig().getDfuControlPointUuid());
                } catch (Exception e2) {
                    e2.printStackTrace();
                    ZLogger.e(e2.toString());
                }
                d.this.e(usbGatt);
                d.this.d(usbGatt);
                d.this.c(usbGatt);
                d.this.setConnectionState(515);
            } else {
                dVar.mErrorState = i2 | 2048;
            }
            d.this.notifyConnectionLock();
        }
    }

    public d(Context context, DfuConfig dfuConfig, DfuThreadCallback dfuThreadCallback) {
        super(context, dfuConfig, dfuThreadCallback);
        this.K = g.f4471b;
        this.L = g.f4472c;
        this.O = new a();
    }

    public final void A() {
        try {
            ZLogger.d("<< OPCODE_DFU_RESET_SYSTEM (0x05)");
            a(this.M, new byte[]{5}, true);
        } catch (DfuException e2) {
            ZLogger.e(String.format("Send OPCODE_DFU_RESET_SYSTEM failed, ignore it, errorcode= 0x%04X", Integer.valueOf(e2.getErrorNumber())));
            this.mErrorState = 0;
        }
    }

    public final void B() throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.v("<< OPCODE_DFU_START_DFU(0x01)");
        byte[] bArr = new byte[16];
        System.arraycopy(this.mCurBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
        byte[] bArr2 = new byte[17];
        bArr2[0] = 1;
        if (getOtaDeviceInfo().isAesEncryptEnabled()) {
            System.arraycopy(this.f4437i.aesEncrypt(bArr, 0, 16), 0, bArr2, 1, 16);
        } else {
            System.arraycopy(bArr, 0, bArr2, 1, 16);
        }
        a(this.M, bArr2, false);
        ZLogger.v(this.DBG, "... Reading OPCODE_DFU_START_DFU(0x01) notification");
        byte b2 = u()[2];
        if (b2 == 1) {
            return;
        }
        ZLogger.e(String.format("0x%02X(not supported), start dfu failed", Byte.valueOf(b2)));
        throw new OtaException("start dfu failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
    }

    public final boolean C() throws DfuException {
        if (!a()) {
            a(DfuException.ERROR_DFU_ABORTED, true);
            return false;
        }
        if (getOtaDeviceInfo().isAesEncryptEnabled() && !b()) {
            e(4113);
            return false;
        }
        notifyStateChanged(521);
        ZLogger.d(String.format("mOtaWorkMode=%s, ICType=%s", DfuConstants.parseOtaMode(this.mOtaWorkMode), DfuConstants.parseIcType(getOtaDeviceInfo().icType)));
        if (this.DBG) {
            ZLogger.v(getDfuProgressInfo().toString());
        }
        a(this.x, 256);
        if (getOtaDeviceInfo().icType <= 3) {
            if (this.mOtaWorkMode == 16 && getDfuConfig().isConParamUpdateLatencyEnabled()) {
                try {
                    Thread.sleep(getDfuConfig().getLatencyTimeout() * 1000);
                } catch (InterruptedException e2) {
                    e2.printStackTrace();
                }
            }
            this.o = z();
            ZLogger.v(this.DBG, "mRemoteOtaFunctionInfo=" + this.o);
            if (this.o == 1) {
                x();
            }
        } else {
            ZLogger.d("isBufferCheckEnabled=" + getOtaDeviceInfo().isBufferCheckEnabled());
            if (getOtaDeviceInfo().isBufferCheckEnabled()) {
                this.o = y();
            } else {
                this.o = 0;
            }
            ZLogger.v(this.DBG, "mRemoteOtaFunctionInfo=" + this.o);
        }
        getDfuProgressInfo().start();
        g(getDfuProgressInfo().getCurImageId());
        if (!getDfuConfig().isBreakpointResumeEnabled()) {
            this.mImageUpdateOffset = 0;
            ZLogger.d(String.format(Locale.US, "BreakpointResume disable: mImageUpdateOffset=0x%08X(%d)", 0, Integer.valueOf(this.mImageUpdateOffset)));
        }
        if (this.mImageUpdateOffset == 0) {
            B();
        }
        if (this.mImageUpdateOffset - 12 >= getDfuProgressInfo().getImageSizeInBytes()) {
            ZLogger.d("Last send reach the bottom");
        } else if (getOtaDeviceInfo().icType <= 3) {
            i(getDfuProgressInfo().getCurImageId());
            if (this.o == 1) {
                a(this.x, this.N, this.mCurBinInputStream);
            } else {
                c(this.x, this.N, this.mCurBinInputStream);
            }
        } else if (getOtaDeviceInfo().icType == 4 || getOtaDeviceInfo().icType == 6 || getOtaDeviceInfo().icType == 7 || getOtaDeviceInfo().icType == 8 || getOtaDeviceInfo().icType == 5 || getOtaDeviceInfo().icType == 9 || getOtaDeviceInfo().icType == 11 || getOtaDeviceInfo().icType == 12) {
            h(getDfuProgressInfo().getCurImageId());
            if (this.o == 1) {
                b(this.x, this.N, this.mCurBinInputStream);
            } else {
                d(this.x, this.N, this.mCurBinInputStream);
            }
        } else {
            h(getDfuProgressInfo().getCurImageId());
            if (this.o == 1) {
                b(this.x, this.N, this.mCurBinInputStream);
            } else {
                d(this.x, this.N, this.mCurBinInputStream);
            }
        }
        getDfuProgressInfo().sendOver();
        j(getDfuProgressInfo().getCurImageId());
        return true;
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public boolean activeImage(boolean z) {
        if (!super.activeImage(z)) {
            return false;
        }
        if (this.mConnectionState != 515) {
            ZLogger.d(this.DBG, "start to re-connect the RCU which going to active image, current state is: " + this.mConnectionState);
            int a2 = a(this.mOtaDeviceAddress, getDfuConfig().getRetransConnectTimes());
            if (a2 != 0) {
                ZLogger.e("Something error in OTA process, errorCode: " + a2 + "mProcessState" + this.mProcessState);
                a(a2, true);
                return false;
            }
        }
        if (z) {
            try {
                n();
                notifyStateChanged(258);
            } catch (DfuException e2) {
                e2.printStackTrace();
                e(e2.getErrCode());
            }
        } else {
            A();
            if (!q()) {
                waitUntilDisconnected();
            }
            a(274, false);
        }
        return true;
    }

    @Override // com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void executeOtaProcedure() {
        int innerCheck;
        super.executeOtaProcedure();
        try {
            setName("ProcessorXU0000");
            ZLogger.i("ProcessorXU0000 running.");
            innerCheck = innerCheck();
        } catch (Exception e2) {
            e2.printStackTrace();
            ZLogger.e(e2.toString());
            e(0);
        }
        if (innerCheck != 0) {
            e(innerCheck);
            return;
        }
        r();
        closeInputStream(this.mCurBinInputStream);
        ZLogger.d(this.DBG, "GattDfuTaskX0000 stopped");
        if (this.mProcessState == 525) {
            notifyStateChanged(259);
        }
    }

    @Override // com.realsil.sdk.dfu.q.f, com.realsil.sdk.dfu.q.c, com.realsil.sdk.dfu.internal.base.BaseDfuTask
    public void initialize() {
        super.initialize();
        try {
            this.K = UUID.fromString(getDfuConfig().getDfuDataUuid());
            this.L = UUID.fromString(getDfuConfig().getDfuControlPointUuid());
        } catch (Exception e2) {
            e2.printStackTrace();
            ZLogger.e(e2.toString());
        }
        this.initialized = true;
    }

    public final void j(int i2) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d("<< OPCODE_DFU_VALIDATE_FW_IMAGE (0x03)");
        a(this.M, new byte[]{3, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255)}, false);
        ZLogger.d(this.DBG, "... waiting DFU_VALIDATE_FW_IMAGE response");
        byte b2 = u()[2];
        if (b2 == 1) {
            return;
        }
        if (b2 == 5) {
            ZLogger.e(String.format("0x%02X, Validate FW failed, CRC check error", Byte.valueOf(b2)));
            throw new OtaException("Validate FW failed", 517);
        }
        ZLogger.e(String.format("0x%02X(not supported), Validate FW failed", Byte.valueOf(b2)));
        throw new OtaException("Validate FW failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
    }

    public final void n() throws DfuException {
        a(new byte[]{4});
    }

    public final int o() {
        if (this.M == null) {
            ZLogger.w("not found DFU_CONTROL_POINT_UUID : " + this.L.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        ZLogger.v(this.DBG, "find DFU_CONTROL_POINT_UUID: " + this.L.toString());
        if (this.N == null) {
            ZLogger.w("not found DFU_DATA_UUID :" + this.K.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        ZLogger.v(this.DBG, "find DFU_DATA_UUID: " + this.K.toString());
        return 0;
    }

    public final boolean p() throws DfuException {
        c(this.mOtaDeviceAddress);
        int o = o();
        if (o != 0) {
            throw new OtaException("load dfu service failed", o);
        }
        if (this.otaEnvironmentPrepared) {
            j();
        } else {
            s();
        }
        if (this.mCurBinInputStream != null) {
            return true;
        }
        e(4097);
        return false;
    }

    public boolean q() {
        return this.mOtaWorkMode == 16;
    }

    public final boolean r() {
        BaseBinInputStream baseBinInputStream;
        notifyStateChanged(514);
        this.mOtaDeviceAddress = this.mDeviceAddress;
        this.otaModeEnabled = this.mOtaWorkMode != 0;
        boolean z = false;
        while (a()) {
            try {
            } catch (DfuException e2) {
                ZLogger.e(DfuConstants.parseOtaState(this.mProcessState) + ", " + e2.toString());
                int errorNumber = e2.getErrorNumber();
                if (errorNumber == 4128) {
                    a(errorNumber, true);
                } else if (errorNumber == 4097 || errorNumber == 265) {
                    a(errorNumber, false);
                } else {
                    A();
                    a(errorNumber, false);
                }
            }
            if (!p() || !C()) {
                return false;
            }
            this.mBytesSentBuffer += getDfuProgressInfo().getBytesSent();
            if (getDfuProgressInfo().isLastImageFile()) {
                ZLogger.d("no pendding image file to upload.");
                getDfuProgressInfo().setActiveImageSize(this.mBytesSentBuffer);
                if (this.l) {
                    n();
                    notifyStateChanged(258);
                } else {
                    notifyStateChanged(523);
                }
                z = true;
            } else {
                ZLogger.d("has pendding image file to upload");
                if (getOtaDeviceInfo().getUpdateMechanism() == 1) {
                    this.mOtaDeviceAddress = this.mDeviceAddress;
                    this.otaModeEnabled = this.mOtaWorkMode != 0;
                    this.mBytesSentBuffer = 0;
                    n();
                    h();
                } else if (getOtaDeviceInfo().getUpdateMechanism() == 3 && (baseBinInputStream = this.mNextBinInputStream) != null) {
                    ZLogger.v(String.format(Locale.US, "nextBinSize=%d, mBytesSentBuffer=%d, otaTempBufferSize=%d", Integer.valueOf(baseBinInputStream.remainSizeInBytes()), Integer.valueOf(this.mBytesSentBuffer), Integer.valueOf(getOtaDeviceInfo().otaTempBufferSize * 4096)));
                    if (this.mNextBinInputStream.remainSizeInBytes() + this.mBytesSentBuffer > getOtaDeviceInfo().otaTempBufferSize * 4096) {
                        ZLogger.i("make device to enter the ota advertiser mode, and let the app continue update image");
                        this.otaModeEnabled = true;
                        this.mBytesSentBuffer = 0;
                        a((byte) 1);
                        h();
                    }
                }
            }
            try {
                Thread.sleep(1000L);
            } catch (InterruptedException e3) {
                e3.printStackTrace();
            }
            if (z) {
                return z;
            }
        }
        a(DfuException.ERROR_DFU_ABORTED, true);
        return false;
    }

    public final void s() throws DfuException {
        this.otaEnvironmentPrepared = false;
        notifyStateChanged(517);
        try {
            Thread.sleep(1500L);
        } catch (InterruptedException e2) {
            e2.printStackTrace();
        }
        this.mOtaDeviceInfo = new OtaDeviceInfo(2);
        v();
        if (getOtaDeviceInfo().icType == 5 || getOtaDeviceInfo().icType == 9 || getOtaDeviceInfo().icType == 4 || getOtaDeviceInfo().icType == 6 || getOtaDeviceInfo().icType == 7 || getOtaDeviceInfo().icType == 8 || getOtaDeviceInfo().icType == 11 || getOtaDeviceInfo().icType == 12) {
            w();
        }
        t();
        if (this.DBG) {
            ZLogger.d(getOtaDeviceInfo().toString());
        }
        k();
        List<BaseBinInputStream> list = this.pendingImageInputStreams;
        if (list != null && list.size() > 0) {
            Iterator<BaseBinInputStream> it2 = this.pendingImageInputStreams.iterator();
            while (it2.hasNext()) {
                it2.next().getImageSize();
            }
        }
        this.otaEnvironmentPrepared = true;
        ZLogger.d("Ota Environment prepared.");
    }

    public final void t() throws DfuException {
        int i2;
        short s;
        int i3;
        short s2;
        if (getOtaDeviceInfo().specVersion != 0) {
            List<UsbGattCharacteristic> list = this.J;
            byte[] bArr = null;
            if (list == null || list.size() <= 0) {
                getOtaDeviceInfo().setActiveImageVersionValues(null);
                ZLogger.w("no ImageVersionCharacteristics to read");
                return;
            }
            for (UsbGattCharacteristic usbGattCharacteristic : this.J) {
                if (this.DBG) {
                    ZLogger.v("read image version : " + usbGattCharacteristic.getUuid().toString());
                } else {
                    ZLogger.v("read image version");
                }
                byte[] a2 = a(usbGattCharacteristic);
                if (a2 != null) {
                    if (bArr == null) {
                        bArr = a2;
                    } else {
                        byte[] bArr2 = new byte[bArr.length + a2.length];
                        System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
                        System.arraycopy(a2, 0, bArr2, bArr.length, a2.length);
                        bArr = bArr2;
                    }
                }
            }
            getOtaDeviceInfo().setActiveImageVersionValues(bArr);
            return;
        }
        if (this.G != null) {
            ZLogger.v("read patch version");
            byte[] a3 = a(this.G);
            if (a3 != null) {
                try {
                    ByteBuffer wrap = ByteBuffer.wrap(a3);
                    wrap.order(ByteOrder.LITTLE_ENDIAN);
                    if (getOtaDeviceInfo().icType <= 3) {
                        s2 = wrap.getShort(0);
                    } else {
                        if (getOtaDeviceInfo().icType != 5 && getOtaDeviceInfo().icType != 9 && getOtaDeviceInfo().icType != 12) {
                            s2 = wrap.getShort(0);
                        }
                        i3 = wrap.getInt(0);
                        getOtaDeviceInfo().setPatchVersion(i3);
                    }
                    i3 = s2 & UShort.MAX_VALUE;
                    getOtaDeviceInfo().setPatchVersion(i3);
                } catch (Exception e2) {
                    ZLogger.e(e2.toString());
                }
            }
        }
        if (this.F != null) {
            ZLogger.v("read app version");
            byte[] a4 = a(this.F);
            if (a4 != null) {
                try {
                    ByteBuffer wrap2 = ByteBuffer.wrap(a4);
                    wrap2.order(ByteOrder.LITTLE_ENDIAN);
                    if (getOtaDeviceInfo().icType <= 3) {
                        s = wrap2.getShort(0);
                    } else {
                        if (getOtaDeviceInfo().icType != 5 && getOtaDeviceInfo().icType != 9 && getOtaDeviceInfo().icType != 12) {
                            s = wrap2.getShort(0);
                        }
                        i2 = wrap2.getInt(0);
                        getOtaDeviceInfo().setAppVersion(i2);
                    }
                    i2 = s & UShort.MAX_VALUE;
                    getOtaDeviceInfo().setAppVersion(i2);
                } catch (Exception e3) {
                    ZLogger.e(e3.toString());
                }
            }
        }
        if (this.H != null) {
            ZLogger.v("read patch extension version");
            byte[] a5 = a(this.H);
            if (a5 != null) {
                ByteBuffer wrap3 = ByteBuffer.wrap(a5);
                wrap3.order(ByteOrder.LITTLE_ENDIAN);
                getOtaDeviceInfo().setPatchExtensionVersion(wrap3.getShort(0) & UShort.MAX_VALUE);
            }
        }
    }

    public final byte[] u() throws DfuException {
        return f(DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
    }

    public final boolean v() throws DfuException {
        if (this.I == null) {
            return false;
        }
        ZLogger.v(this.DBG, "start to read remote dev info");
        byte[] a2 = a(this.I);
        if (a2 == null) {
            ZLogger.e("Get dev info failed");
            throw new OtaException("get remote dev info failed", 270);
        }
        getOtaDeviceInfo().parseX0000(a2);
        a(getOtaDeviceInfo().maxBufferchecksize);
        return true;
    }

    public final boolean w() throws DfuException {
        if (this.E == null) {
            return false;
        }
        ZLogger.v(this.DBG, "start to read remote dev Mac Addr info");
        byte[] a2 = a(this.E);
        if (a2 == null || a2.length < 6) {
            ZLogger.e("Get remote dev Mac Addr info failed, do nothing.");
            throw new OtaException("remote dev Mac Addr info error", 277);
        }
        byte[] bArr = new byte[6];
        System.arraycopy(a2, 0, bArr, 0, 6);
        getOtaDeviceInfo().setDeviceMac(bArr);
        return true;
    }

    public final void x() throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d("<<  OPCODE_DFU_REPORT_CURRENT_BUFFER_SIZE(0x0A)");
        a(this.M, new byte[]{10}, false);
        ZLogger.d(this.DBG, "... Reading OPCODE_DFU_REPORT_CURRENT_BUFFER_SIZE notification");
        byte[] u = u();
        byte b2 = u[2];
        if (b2 != 1) {
            ZLogger.w("Get remote buffer size info failed, status: " + ((int) b2));
            throw new OtaException("Get remote buffer size info failed", b2 | 512);
        }
        ByteBuffer wrap = ByteBuffer.wrap(u);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        int i2 = wrap.getInt(3);
        ZLogger.v(String.format(Locale.US, "maxBufferCheckSize=(0x%04X, %d)", Integer.valueOf(i2), Integer.valueOf(i2)));
        a(i2);
    }

    public final int y() throws DfuException {
        if (this.M == null) {
            ZLogger.w("no mControlPointCharacteristic found");
            return 0;
        }
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d("<< OPCODE_DFU_ENABLE_BUFFER_CHECK_MODE(0x09)");
        a(this.M, new byte[]{9}, false);
        try {
            ZLogger.d(this.DBG, "... Reading OPCODE_DFU_ENABLE_BUFFER_CHECK_MODE notification");
            byte[] f2 = f(1600);
            if (f2[2] == 1) {
                ByteBuffer wrap = ByteBuffer.wrap(f2);
                wrap.order(ByteOrder.LITTLE_ENDIAN);
                int i2 = (((short) (wrap.get(4) & 255)) << 8) | ((short) (wrap.get(3) & 255));
                int i3 = ((short) (wrap.get(5) & 255)) | (((short) (wrap.get(6) & 255)) << 8);
                ZLogger.v(this.DBG, "maxBufferSize=" + i2 + ", bufferCheckMtuSize=" + i3);
                a(i2);
                b(i3);
                return 1;
            }
        } catch (DfuException unused) {
            ZLogger.w("Read DFU_REPORT_OTA_FUNCTION_VERSION failed, just think remote is normal function.");
            this.mErrorState = 0;
        }
        return 0;
    }

    public final int z() throws DfuException {
        byte[] f2;
        byte b2;
        if (this.M == null) {
            ZLogger.w("no mControlPointCharacteristic found");
            return 0;
        }
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d("<< OPCODE_DFU_REPORT_OTA_FUNCTION_VERSION(0x09)");
        a(this.M, new byte[]{9}, false);
        try {
            ZLogger.d(this.DBG, "Reading OPCODE_DFU_REPORT_OTA_FUNCTION_VERSION notification");
            f2 = f(1600);
            b2 = f2[2];
        } catch (DfuException unused) {
            ZLogger.w("Reading OPCODE_DFU_REPORT_OTA_FUNCTION_VERSION notification failed, just think remote is normal function.");
            this.mErrorState = 0;
        }
        if (b2 == 1) {
            ByteBuffer.wrap(f2).order(ByteOrder.LITTLE_ENDIAN);
            return 1;
        }
        ZLogger.w("reportOtaFunctionVersion failed, status: " + ((int) b2));
        return 0;
    }

    public final void d(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic, BaseBinInputStream baseBinInputStream) throws DfuException {
        int read;
        ZLogger.d(String.format(Locale.US, "uploadFirmwareImageForBeeUpdate: %s", DfuConstants.parseOtaMode(this.mOtaWorkMode)));
        c();
        this.mErrorState = 0;
        this.lastPacketTransferred = false;
        int i2 = this.MAX_PACKET_SIZE;
        byte[] bArr = new byte[i2];
        while (!this.lastPacketTransferred) {
            if (this.mAborted) {
                throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
            }
            startSpeedControl();
            if (this.DBG) {
                ZLogger.v(getDfuProgressInfo().toString());
            }
            try {
                if (this.mImageUpdateOffset == 0) {
                    int i3 = this.MAX_PACKET_SIZE;
                    byte[] bArr2 = new byte[i3];
                    baseBinInputStream.read(bArr2, i3 - 12);
                    System.arraycopy(baseBinInputStream.getHeaderBuf(), 0, bArr, 0, 12);
                    System.arraycopy(bArr2, 0, bArr, 12, this.MAX_PACKET_SIZE - 12);
                    read = this.MAX_PACKET_SIZE;
                } else {
                    read = baseBinInputStream.read(bArr, i2);
                }
                if (getDfuProgressInfo().getRemainSizeInBytes() < this.MAX_PACKET_SIZE) {
                    ZLogger.v("reach the end of the file, only read some");
                    read = getDfuProgressInfo().getRemainSizeInBytes();
                }
                int i4 = read;
                if (i4 <= 0) {
                    if (getDfuProgressInfo().isFileSendOver()) {
                        ZLogger.i("image file has already been send over");
                        return;
                    }
                    ZLogger.e("Error while reading file with size: " + i4);
                    throw new OtaException("Error while reading file", 257);
                }
                if (getOtaDeviceInfo().isAesEncryptEnabled()) {
                    for (int i5 = i4; i5 > 0; i5 -= 16) {
                        if (i5 >= 16) {
                            int i6 = i4 - i5;
                            System.arraycopy(this.f4437i.aesEncrypt(bArr, i6, 16), 0, bArr, i6, 16);
                            if (getOtaDeviceInfo().getAesEncryptMode() == 0) {
                                break;
                            }
                        }
                    }
                }
                a(usbGatt, usbGattCharacteristic, bArr, i4, false);
                i();
                blockSpeedControl();
            } catch (IOException unused) {
                throw new OtaException("Error while reading file", 257);
            }
        }
    }

    public final void e(int i2) {
        a(i2, false);
    }

    public final byte[] f(int i2) throws DfuException {
        this.mErrorState = 0;
        this.z = true;
        try {
            synchronized (this.m) {
                if (this.mErrorState == 0 && this.y == null && this.mConnectionState == 515) {
                    this.z = false;
                    ZLogger.v(this.DBG, "wait for notification, wait for " + i2 + "ms");
                    this.m.wait((long) i2);
                }
                if (this.mErrorState == 0 && !this.z) {
                    ZLogger.w("wait for notification, but not come");
                    this.mErrorState = DfuException.ERROR_NOTIFICATION_NO_RESPONSE;
                }
            }
        } catch (InterruptedException e2) {
            ZLogger.e("readNotificationResponse interrupted, " + e2.toString());
            this.mErrorState = 259;
        }
        if (this.mErrorState == 0) {
            return this.y;
        }
        throw new OtaException("Unable to receive notification", this.mErrorState);
    }

    public final void g(int i2) throws DfuException {
        int i3;
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        ZLogger.d(this.DBG, "<< OPCODE_DFU_REPORT_TARGET_IMAGE_INFO(0x06)");
        a(this.M, new byte[]{6, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255)}, false);
        ZLogger.d(this.DBG, "... Reading OPCODE_DFU_REPORT_TARGET_IMAGE_INFO(0x06) notification");
        byte[] u = u();
        int length = u != null ? u.length : 0;
        if ((length > 2 ? u[2] : (byte) -2) != 1) {
            ZLogger.w(String.format("0x%02X, Get target image info failed", Integer.valueOf(DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED)));
            throw new OtaException("Get target image info failed", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        ByteBuffer wrap = ByteBuffer.wrap(u);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        if (length >= 11) {
            i3 = wrap.getShort(3) & UShort.MAX_VALUE;
            this.mImageUpdateOffset = wrap.getInt(7);
        } else if (length >= 9) {
            i3 = wrap.getShort(3) & UShort.MAX_VALUE;
            this.mImageUpdateOffset = wrap.getInt(5);
        } else {
            this.mImageUpdateOffset = 0;
            i3 = 0;
        }
        ZLogger.v(String.format(Locale.US, "mOriginalFwVersion=%d, mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(i3), Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
    }

    public final void h(int i2) throws DfuException {
        int i3 = this.mImageUpdateOffset;
        if (i3 == 0) {
            this.mImageUpdateOffset = 12;
            ZLogger.d(this.DBG, String.format(Locale.US, "First Packet, mImageUpdateOffset=0x%08X(%d)", 12, Integer.valueOf(this.mImageUpdateOffset)));
        } else {
            ZLogger.d(this.DBG, String.format(Locale.US, "mImageUpdateOffset=0x%08X(%d)", Integer.valueOf(i3), Integer.valueOf(this.mImageUpdateOffset)));
        }
        a(i2, this.mImageUpdateOffset);
        int bytesSent = getDfuProgressInfo().getBytesSent();
        int i4 = this.mImageUpdateOffset;
        if (bytesSent == i4 || i4 == -1) {
            return;
        }
        ZLogger.d("mBytesSent != mImageUpdateOffset, reload image bin file");
        this.imageFileLoaded = false;
        k();
        alignmentSendBytes(this.mImageUpdateOffset, false);
    }

    public final void i(int i2) throws DfuException {
        int i3 = this.mImageUpdateOffset;
        if (i3 == 0) {
            a(i2, 12);
        } else {
            a(i2, i3);
        }
        if (getDfuProgressInfo().getBytesSent() != this.mImageUpdateOffset) {
            ZLogger.d("mBytesSent != mImageUpdateOffset, reload image bin file");
            this.imageFileLoaded = false;
            k();
            alignmentSendBytes(this.mImageUpdateOffset, false);
        }
        ZLogger.v(getDfuProgressInfo().toString());
    }

    public final void c(String str) throws DfuException {
        if (!this.mAborted) {
            notifyStateChanged(516);
            int a2 = a(str, getDfuConfig().getRetransConnectTimes());
            if (a2 == 0) {
                return;
            }
            if (a2 == 4128) {
                throw new OtaException("aborted, connectRemoteDevice failed", a2);
            }
            throw new OtaException("connectRemoteDevice failed", a2);
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public final void e(UsbGatt usbGatt) {
        UUID uuid = h.f4475b;
        UsbGattCharacteristic characteristic = usbGatt.getCharacteristic(uuid);
        this.E = characteristic;
        if (characteristic == null) {
            ZLogger.d("OTA_MAC_ADDR_CHARACTERISTIC_UUID not found:" + uuid);
        } else if (this.DBG) {
            ZLogger.d("find OTA_MAC_ADDR_CHARACTERISTIC_UUID = " + uuid);
        }
        UUID uuid2 = h.f4476c;
        UsbGattCharacteristic characteristic2 = usbGatt.getCharacteristic(uuid2);
        this.G = characteristic2;
        if (characteristic2 == null) {
            ZLogger.d("OTA_READ_PATCH_CHARACTERISTIC_UUID not found:" + uuid2);
        } else if (this.DBG) {
            ZLogger.d("find OTA_PATCH_VERSION_CHARACTERISTIC_UUID: " + uuid2.toString());
        }
        UUID uuid3 = h.f4477d;
        UsbGattCharacteristic characteristic3 = usbGatt.getCharacteristic(uuid3);
        this.F = characteristic3;
        if (characteristic3 == null) {
            ZLogger.w("OTA_READ_APP_CHARACTERISTIC_UUID not found: " + uuid3);
        } else if (this.DBG) {
            ZLogger.d("find OTA_APP_VERSION_CHARACTERISTIC_UUID: " + uuid3.toString());
        }
        UUID uuid4 = h.f4478e;
        UsbGattCharacteristic characteristic4 = usbGatt.getCharacteristic(uuid4);
        this.H = characteristic4;
        if (characteristic4 == null) {
            ZLogger.w("OTA_PATCH_EXTENSION_VERSION_CHARACTERISTIC_UUID not found:" + uuid4);
        } else if (this.DBG) {
            ZLogger.d("find OTA_PATCH_EXTENSION_VERSION_CHARACTERISTIC_UUID: " + uuid4.toString());
        }
        UUID uuid5 = h.f4479f;
        UsbGattCharacteristic characteristic5 = usbGatt.getCharacteristic(uuid5);
        this.I = characteristic5;
        if (characteristic5 == null) {
            ZLogger.w("OTA_DEVICE_INFO_CHARACTERISTIC_UUID not found:" + uuid5);
        } else if (this.DBG) {
            ZLogger.d("find OTA_DEVICE_INFO_CHARACTERISTIC_UUID: " + uuid5);
        }
        this.J = new ArrayList();
        for (int i2 = 65504; i2 < 65519; i2++) {
            UUID fromShortValue = BluetoothUuid.fromShortValue(i2);
            UsbGattCharacteristic characteristic6 = usbGatt.getCharacteristic(fromShortValue);
            if (characteristic6 == null) {
                ZLogger.w(this.DBG, "not found image version characteristic:" + fromShortValue.toString());
                return;
            }
            ZLogger.d(this.DBG, "find image version characteristic: " + fromShortValue.toString());
            this.J.add(characteristic6);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:72:0x005b, code lost:
    
        if (r5 != (getDfuProgressInfo().getBytesSent() + 12)) goto L14;
     */
    /* JADX WARN: Removed duplicated region for block: B:12:0x006e A[Catch: IOException -> 0x01eb, TryCatch #0 {IOException -> 0x01eb, blocks: (B:69:0x004d, B:71:0x0052, B:10:0x006a, B:12:0x006e, B:14:0x0083, B:15:0x008a, B:16:0x00bd, B:18:0x00c1, B:20:0x00da, B:66:0x009b, B:67:0x00ab, B:9:0x005d), top: B:68:0x004d }] */
    /* JADX WARN: Removed duplicated region for block: B:20:0x00da A[Catch: IOException -> 0x01eb, TRY_LEAVE, TryCatch #0 {IOException -> 0x01eb, blocks: (B:69:0x004d, B:71:0x0052, B:10:0x006a, B:12:0x006e, B:14:0x0083, B:15:0x008a, B:16:0x00bd, B:18:0x00c1, B:20:0x00da, B:66:0x009b, B:67:0x00ab, B:9:0x005d), top: B:68:0x004d }] */
    /* JADX WARN: Removed duplicated region for block: B:23:0x012f  */
    /* JADX WARN: Removed duplicated region for block: B:56:0x0106 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:65:0x0099  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void b(com.realsil.sdk.core.usb.UsbGatt r18, com.realsil.sdk.core.usb.UsbGattCharacteristic r19, com.realsil.sdk.dfu.image.stream.BaseBinInputStream r20) throws com.realsil.sdk.dfu.DfuException {
        /*
            Method dump skipped, instructions count: 509
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.q.d.b(com.realsil.sdk.core.usb.UsbGatt, com.realsil.sdk.core.usb.UsbGattCharacteristic, com.realsil.sdk.dfu.image.stream.BaseBinInputStream):void");
    }

    public final int a(String str, int i2) {
        int i3 = 0;
        while (a()) {
            int b2 = b(str);
            if (b2 == 0) {
                return 0;
            }
            if ((b2 & (-2049)) != 133) {
                b(this.x);
            } else {
                ZLogger.w("connect fail with GATT_ERROR, do not need disconnect");
            }
            a(this.x);
            try {
                Thread.sleep(1600L);
            } catch (InterruptedException e2) {
                e2.printStackTrace();
            }
            i3++;
            ZLogger.d("tryConnectTime=" + i3);
            if (i3 > i2) {
                return b2;
            }
        }
        return DfuException.ERROR_DFU_ABORTED;
    }

    public final void c(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic, BaseBinInputStream baseBinInputStream) throws DfuException {
        ZLogger.d(String.format(Locale.US, "uploadFirmwareImage: %s", DfuConstants.parseOtaMode(this.mOtaWorkMode)));
        c();
        this.mErrorState = 0;
        this.lastPacketTransferred = false;
        int i2 = this.MAX_PACKET_SIZE;
        byte[] bArr = new byte[i2];
        while (!this.lastPacketTransferred) {
            if (!this.mAborted) {
                if (this.mOtaWorkMode != 17) {
                    a(baseBinInputStream);
                }
                ZLogger.v(this.DBG, getDfuProgressInfo().toString());
                startSpeedControl();
                try {
                    int read = baseBinInputStream.read(bArr, i2);
                    if (getDfuProgressInfo().getRemainSizeInBytes() < this.MAX_PACKET_SIZE) {
                        ZLogger.v(this.DBG, "reach the end of the file, only read some");
                        read = getDfuProgressInfo().getRemainSizeInBytes();
                    }
                    int i3 = read;
                    if (i3 <= 0) {
                        if (getDfuProgressInfo().isFileSendOver()) {
                            ZLogger.i("image file has already been send over");
                            return;
                        }
                        ZLogger.e("Error while reading file with size: " + i3);
                        throw new OtaException("Error while reading file", 257);
                    }
                    if (getOtaDeviceInfo().isAesEncryptEnabled()) {
                        for (int i4 = i3; i4 > 0; i4 -= 16) {
                            if (i4 >= 16) {
                                int i5 = i3 - i4;
                                System.arraycopy(this.f4437i.aesEncrypt(bArr, i5, 16), 0, bArr, i5, 16);
                                if (getOtaDeviceInfo().getAesEncryptMode() == 0) {
                                    break;
                                }
                            }
                        }
                    }
                    a(usbGatt, usbGattCharacteristic, bArr, i3, false);
                    i();
                    blockSpeedControl();
                } catch (IOException unused) {
                    throw new OtaException("Error while reading file", 257);
                }
            } else {
                throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
            }
        }
    }

    public final void a(byte b2) throws DfuException {
        a(new byte[]{4, b2});
    }

    public final void a(byte[] bArr) throws DfuException {
        boolean z;
        notifyStateChanged(524);
        boolean z2 = this.mAborted;
        int i2 = DfuException.ERROR_DFU_ABORTED;
        if (!z2) {
            boolean z3 = false;
            try {
                ZLogger.d("<< OPCODE_DFU_ACTIVE_IMAGE_RESET(0x04)");
                z = a(this.M, bArr, false);
            } catch (DfuException e2) {
                if (e2.getErrCode() != 4128) {
                    if (!getDfuConfig().isWaitActiveCmdAckEnabled()) {
                        ZLogger.d("active cmd has no response, ignore");
                        z = true;
                    } else {
                        ZLogger.w("active cmd has no response, notify error");
                        i2 = e2.getErrCode();
                    }
                }
            }
            i2 = 0;
            z3 = z;
            if (z3) {
                ZLogger.d("image active success");
                c(this.mErrorState);
                closeInputStream(this.mCurBinInputStream);
                return;
            }
            throw new OtaException(i2);
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public final void a(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic, BaseBinInputStream baseBinInputStream) throws DfuException {
        int i2;
        ZLogger.d(this.DBG, String.format(Locale.US, "updateImageWithCheckBufferForBee1, packetSize=%d, mCurrentMaxBufferSize=%d", Integer.valueOf(this.MAX_PACKET_SIZE), Integer.valueOf(this.p)));
        this.mErrorState = 0;
        this.lastPacketTransferred = false;
        int i3 = this.MAX_PACKET_SIZE;
        byte[] bArr = new byte[i3];
        byte[] bArr2 = new byte[this.p];
        while (!this.lastPacketTransferred) {
            if (!this.mAborted) {
                if (this.mOtaWorkMode != 17) {
                    a(baseBinInputStream);
                }
                ZLogger.v(this.DBG, getDfuProgressInfo().toString());
                try {
                    int read = baseBinInputStream.read(bArr2);
                    if (getDfuProgressInfo().getRemainSizeInBytes() < read) {
                        read = getDfuProgressInfo().getRemainSizeInBytes();
                        ZLogger.i(this.DBG, "Reach the bottom of the image,  checkImageBufferSize: " + read);
                    }
                    int i4 = read;
                    byte[] bArr3 = new byte[this.p];
                    int i5 = 0;
                    while (true) {
                        int i6 = 0;
                        while (i6 < i4) {
                            int min = Math.min(i3, i4 - i6);
                            System.arraycopy(bArr2, i6, bArr, 0, min);
                            if (getOtaDeviceInfo().isAesEncryptEnabled() && min >= 16) {
                                System.arraycopy(this.f4437i.aesEncrypt(bArr, 0, 16), 0, bArr, 0, 16);
                            } else if (min <= 0) {
                                ZLogger.e("Error while reading file with bufferSize= " + min);
                                throw new OtaException("Error while reading file", 257);
                            }
                            System.arraycopy(bArr, 0, bArr3, i6, min);
                            a(usbGatt, usbGattCharacteristic, bArr, min, false);
                            i();
                            i6 += min;
                        }
                        ZLogger.v(this.DBG, "pos: " + i6 + ", checkImageBufferSize: " + i4);
                        boolean d2 = d(com.realsil.sdk.dfu.b.a.a(bArr2, 0, i4));
                        if (d2) {
                            i2 = i5;
                        } else {
                            getDfuProgressInfo().addBytesSent(0 - i4);
                            i2 = i5 + 1;
                            ZLogger.w("check failed, retransBufferCheckTimes: " + i2);
                        }
                        a(d2);
                        if (i2 >= 3) {
                            ZLogger.e("Error while buffer check, reach max try times: " + i2 + ", MAX_BUFFER_CHECK_RETRANS_TIME: 3");
                            throw new OtaException("Error while buffer check", 275);
                        }
                        if (d2) {
                            break;
                        } else {
                            i5 = i2;
                        }
                    }
                } catch (IOException unused) {
                    throw new OtaException("Error while reading file", 257);
                }
            } else {
                throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
            }
        }
    }

    public final int d(UsbGatt usbGatt) {
        UsbGattCharacteristic characteristic = usbGatt.getCharacteristic(this.L);
        this.M = characteristic;
        if (characteristic == null) {
            ZLogger.w("not found DFU_CONTROL_POINT_UUID: " + this.L.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        ZLogger.d(this.DBG, "find DFU_CONTROL_POINT_UUID: " + this.L.toString());
        this.M.setWriteType(2);
        UsbGattCharacteristic characteristic2 = usbGatt.getCharacteristic(this.K);
        this.N = characteristic2;
        if (characteristic2 == null) {
            ZLogger.w("not found DFU_DATA_UUID: " + this.K.toString());
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        ZLogger.d(this.DBG, "find DFU_DATA_UUID: " + this.K.toString());
        this.N.setWriteType(1);
        return 0;
    }

    public final int c(UsbGatt usbGatt) {
        ZLogger.d(this.DBG, "find DEVICE_INFORMATION_SERVICE: " + c.b.f4455a.toString());
        UUID uuid = c.b.f4456b;
        UsbGattCharacteristic characteristic = usbGatt.getCharacteristic(uuid);
        this.D = characteristic;
        if (characteristic == null) {
            ZLogger.w("DIS_PNP_ID_CHARACTERISTIC not found:" + uuid);
            return DfuException.ERROR_NO_CHARACTERISTIC_FOUND_OR_LOSS;
        }
        ZLogger.d(this.DBG, "find DIS_PNP_ID_CHARACTERISTIC: " + uuid.toString());
        return 0;
    }

    public final boolean d(int i2) throws DfuException {
        if (!this.mAborted) {
            ZLogger.d(String.format("<< OPCODE_DFU_CHECK_CURRENT_BUFFER(0x0B) , crc=0x%04X", Integer.valueOf(i2)));
            a(this.M, new byte[]{11}, false);
            ZLogger.d(this.DBG, "... waiting CHECK_CURRENT_BUFFER response");
            byte[] u = u();
            byte b2 = u[2];
            if (b2 == 1) {
                int i3 = ((u[4] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (u[3] & 255);
                if (i3 == i2) {
                    return true;
                }
                ZLogger.w("CRC check error, local: " + i2 + ", remote : " + i3);
            } else {
                ZLogger.w("check current buffer failed, status: " + ((int) b2));
            }
            return false;
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public final boolean b(byte[] bArr, int i2) throws DfuException {
        if (this.mAborted) {
            throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
        }
        if (bArr == null) {
            ZLogger.w("buffer == null");
            return false;
        }
        if (this.DBG) {
            ZLogger.v(String.format(Locale.US, "bufferCheck (%d) >> (%d) %s", Integer.valueOf(i2), Integer.valueOf(bArr.length), DataConverter.bytes2Hex(bArr)));
        }
        short a2 = a(bArr, i2);
        ZLogger.d(this.DBG, "<< OPCODE_DFU_REPORT_BUFFER_CRC(0x0A)");
        a(this.M, new byte[]{10, (byte) (i2 & 255), (byte) (i2 >> 8), (byte) (a2 & 255), (byte) ((a2 >> 8) & 255)}, false);
        ZLogger.d(this.DBG, "... waiting OPCODE_DFU_REPORT_BUFFER_CRC(0x0A) response");
        byte[] u = u();
        byte b2 = u[2];
        ByteBuffer wrap = ByteBuffer.wrap(u);
        wrap.order(ByteOrder.LITTLE_ENDIAN);
        this.mImageUpdateOffset = wrap.getInt(3);
        ZLogger.d(this.DBG, String.format(Locale.US, "status:0x%04X, mImageUpdateOffset=0x%08X(%d)", Byte.valueOf(b2), Integer.valueOf(this.mImageUpdateOffset), Integer.valueOf(this.mImageUpdateOffset)));
        if (b2 == 1) {
            return true;
        }
        if (b2 == 5 || b2 == 6 || b2 == 7) {
            return false;
        }
        if (b2 != 8) {
            throw new OtaException("ERROR_OPCODE_RESPONSE_NOT_SUPPORTED", DfuException.ERROR_OPCODE_RESPONSE_NOT_SUPPORTED);
        }
        throw new OtaException("DFU_STATUS_FLASH_ERASE_ERROR", b2 | 512);
    }

    public final void a(int i2, boolean z) {
        if (this.mAborted) {
            i2 = 4128;
        }
        if (i2 != 4128) {
            notifyStateChanged(260, true);
        }
        ZLogger.v(String.format("error = 0x%04X, needReset=%b", Integer.valueOf(i2), Boolean.valueOf(z)));
        if (z) {
            A();
        }
        closeInputStream(this.mCurBinInputStream);
        if (getDfuConfig().isErrorActionEnabled(1)) {
            c(i2);
        }
        DfuThreadCallback dfuThreadCallback = this.mThreadCallback;
        if (dfuThreadCallback != null) {
            dfuThreadCallback.onError(i2);
        }
        this.mAborted = true;
    }

    public final void a(boolean z) throws DfuException {
        if (!this.mAborted) {
            ZLogger.d("<< OPCODE_DFU_ENSURE_CURRENT_BUFFER(0x0C)");
            a(this.M, new byte[]{12, !z ? 1 : 0}, false);
            return;
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public final void a(int i2, int i3) throws DfuException {
        if (!this.mAborted) {
            ZLogger.d("<< OPCODE_DFU_RECEIVE_FW_IMAGE (0x02)");
            a(this.M, new byte[]{2, (byte) (i2 & 255), (byte) ((i2 >> 8) & 255), (byte) (i3 & 255), (byte) ((i3 >> 8) & 255), (byte) ((i3 >> 16) & 255), (byte) ((i3 >> 24) & 255)}, false);
            return;
        }
        throw new OtaException("user aborted", DfuException.ERROR_DFU_ABORTED);
    }

    public final int b(String str) {
        setConnectionState(256);
        this.mErrorState = 0;
        this.isConnectedCallbackCome = false;
        ZLogger.d(this.DBG, "Connecting to device..." + str);
        UsbDevice a2 = a(str);
        UsbGatt usbGatt = null;
        if (a2 == null) {
            ZLogger.w("device is null");
            this.x = null;
            return 256;
        }
        GlobalUsbGatt globalUsbGatt = this.w;
        if (globalUsbGatt != null) {
            globalUsbGatt.unRegisterCallback(str, this.O);
            if (this.w.connect(a2, this.mContext, this.O)) {
                usbGatt = this.w.getBluetoothGatt(str);
                this.x = usbGatt;
                try {
                    synchronized (this.mConnectionLock) {
                        if (!this.isConnectedCallbackCome && this.mErrorState == 0) {
                            ZLogger.d(this.DBG, "wait for connect gatt for 32000 ms");
                            this.mConnectionLock.wait(32000L);
                        }
                    }
                } catch (InterruptedException e2) {
                    ZLogger.e("Sleeping interrupted : " + e2.toString());
                    this.mErrorState = 259;
                }
            } else {
                this.mErrorState = 256;
            }
        } else {
            usbGatt = UsbGattImpl.connectGatt(a2, this.mContext, this.O);
            this.x = usbGatt;
            try {
                synchronized (this.mConnectionLock) {
                    if (!this.isConnectedCallbackCome && this.mErrorState == 0) {
                        ZLogger.d(this.DBG, "wait for connect gatt for 32000 ms");
                        this.mConnectionLock.wait(32000L);
                    }
                }
            } catch (InterruptedException e3) {
                ZLogger.e("Sleeping interrupted : " + e3.toString());
                this.mErrorState = 259;
            }
        }
        if (this.mErrorState == 0) {
            if (!this.isConnectedCallbackCome) {
                ZLogger.w("wait for connect, but can not connect with no callback");
                this.mErrorState = 260;
            } else if (usbGatt == null || this.mConnectionState != 515) {
                ZLogger.w("connect with some error, please check. mConnectionState=" + this.mConnectionState);
                this.mErrorState = 264;
            }
        }
        if (this.mErrorState != 0) {
            int i2 = this.mConnectionState;
        } else {
            ZLogger.v(this.DBG, "connected the device which going to upgrade");
        }
        return this.mErrorState;
    }
}
