package com.realsil.sdk.dfu.r;

import android.bluetooth.BluetoothAdapter;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.DfuService;
import com.realsil.sdk.dfu.a.a;
import com.realsil.sdk.dfu.a.b;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.realsil.sdk.dfu.model.DfuProgressInfo;
import com.realsil.sdk.dfu.params.QcConfig;

/* loaded from: classes3.dex */
public class a {

    /* renamed from: a, reason: collision with root package name */
    public Context f4560a;

    /* renamed from: b, reason: collision with root package name */
    public com.realsil.sdk.dfu.r.b f4561b;

    /* renamed from: c, reason: collision with root package name */
    public com.realsil.sdk.dfu.a.a f4562c;

    /* renamed from: d, reason: collision with root package name */
    public b.a f4563d = new BinderC0064a();

    /* renamed from: e, reason: collision with root package name */
    public final ServiceConnection f4564e = new b();

    public class b implements ServiceConnection {
        public b() {
        }

        @Override // android.content.ServiceConnection
        public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            ZLogger.v("onServiceConnected: className=" + componentName.getClassName() + ", packageName=" + componentName.getPackageName());
            a.this.f4562c = a.AbstractBinderC0054a.a(iBinder);
            if (a.this.f4562c == null) {
                if (a.this.f4561b != null) {
                    a.this.f4561b.a(false, a.this);
                }
                ZLogger.v("rebind DfuService...");
                a.this.c();
                return;
            }
            try {
                if (!a.this.f4562c.b("DfuProxy", a.this.f4563d)) {
                    ZLogger.d("registerCallback failed, need to unbind");
                    a.this.d();
                } else if (a.this.f4561b != null) {
                    a.this.f4561b.a(true, a.this);
                }
            } catch (RemoteException e2) {
                ZLogger.e(e2.toString());
                a.this.d();
            }
        }

        @Override // android.content.ServiceConnection
        public void onServiceDisconnected(ComponentName componentName) {
            ZLogger.d("Proxy object disconnected with an extreme situations");
            try {
                if (a.this.f4562c != null) {
                    a.this.f4562c.a("DfuProxy", a.this.f4563d);
                }
            } catch (RemoteException e2) {
                ZLogger.e(e2.toString());
            }
            a.this.f4562c = null;
            if (a.this.f4561b != null) {
                a.this.f4561b.a(false, null);
                a.this.c();
            }
        }
    }

    public a(Context context, com.realsil.sdk.dfu.r.b bVar) {
        this.f4560a = context;
        this.f4561b = bVar;
        BluetoothAdapter.getDefaultAdapter();
    }

    public void finalize() {
        this.f4561b = null;
        b();
    }

    public void b() {
        this.f4561b = null;
        a();
        d();
    }

    public final boolean c() {
        try {
            ZLogger.v("bindService DfuService ...");
            Intent intent = new Intent(this.f4560a, (Class<?>) DfuService.class);
            intent.setAction(com.realsil.sdk.dfu.a.a.class.getName());
            return this.f4560a.bindService(intent, this.f4564e, 1);
        } catch (Exception e2) {
            ZLogger.e("Unable to bind DfuService " + e2.toString());
            return false;
        }
    }

    public final void d() {
        synchronized (this.f4564e) {
            if (this.f4562c != null) {
                ZLogger.d("doUnbind");
                try {
                    this.f4562c.a("DfuProxy", this.f4563d);
                    this.f4562c = null;
                    this.f4560a.unbindService(this.f4564e);
                } catch (Exception e2) {
                    ZLogger.e("Unable to unbind DfuService: " + e2.toString());
                }
            }
        }
    }

    public int e() {
        com.realsil.sdk.dfu.a.a aVar = this.f4562c;
        if (aVar == null) {
            ZLogger.w("Proxy not attached to service");
            return -1;
        }
        try {
            return aVar.a();
        } catch (RemoteException unused) {
            ZLogger.e("Stack:" + Log.getStackTraceString(new Throwable()));
            return -1;
        }
    }

    public static boolean a(Context context, com.realsil.sdk.dfu.r.b bVar) {
        if (context == null || bVar == null) {
            return false;
        }
        a aVar = new a(context, bVar);
        if (!aVar.a(context)) {
            ZLogger.w("please declare com.realsil.sdk.dfu.DfuService in your AndroidManifest.xml");
            return false;
        }
        return aVar.c();
    }

    /* renamed from: com.realsil.sdk.dfu.r.a$a, reason: collision with other inner class name */
    public class BinderC0064a extends b.a {
        public BinderC0064a() {
        }

        @Override // com.realsil.sdk.dfu.a.b
        public void a(int i2) {
            if (a.this.f4561b != null) {
                a.this.f4561b.onStateChanged(i2, null);
            } else {
                ZLogger.v("no callback registed");
            }
        }

        @Override // com.realsil.sdk.dfu.a.b
        public void b(int i2) {
            if (a.this.f4561b != null) {
                a.this.f4561b.onError(i2);
            } else {
                ZLogger.v("no callback registed");
            }
        }

        @Override // com.realsil.sdk.dfu.a.b
        public void a(DfuProgressInfo dfuProgressInfo) {
            if (a.this.f4561b != null) {
                a.this.f4561b.onProgressChanged(dfuProgressInfo);
            }
        }
    }

    public final boolean a(Context context) {
        return context.getPackageManager().queryIntentServices(new Intent(context, (Class<?>) DfuService.class), 65536).size() > 0;
    }

    public boolean a(DfuConfig dfuConfig) {
        return a(dfuConfig, (QcConfig) null);
    }

    public boolean a(DfuConfig dfuConfig, QcConfig qcConfig) {
        com.realsil.sdk.dfu.a.a aVar = this.f4562c;
        if (aVar == null) {
            ZLogger.w("Proxy not attached to service");
            return false;
        }
        try {
            return aVar.a("DfuProxy", dfuConfig, qcConfig);
        } catch (RemoteException unused) {
            ZLogger.e("Stack:" + Log.getStackTraceString(new Throwable()));
            return false;
        }
    }

    public boolean a() {
        com.realsil.sdk.dfu.a.a aVar = this.f4562c;
        if (aVar == null) {
            ZLogger.w("Proxy not attached to service");
            return false;
        }
        try {
            return aVar.b();
        } catch (RemoteException unused) {
            ZLogger.e("Stack:" + Log.getStackTraceString(new Throwable()));
            return false;
        }
    }

    public boolean a(boolean z) {
        if (this.f4562c == null) {
            ZLogger.w("Proxy not attached to service");
            return false;
        }
        try {
            ZLogger.d("activeImage");
            return this.f4562c.a(z);
        } catch (RemoteException unused) {
            ZLogger.e("Stack:" + Log.getStackTraceString(new Throwable()));
            return false;
        }
    }
}
