package com.realsil.sdk.dfu.utils;

import android.hardware.usb.UsbDevice;
import java.util.Locale;
import java.util.UUID;
import org.apache.commons.text.StringSubstitutor;

/* loaded from: classes3.dex */
public final class ConnectParams {

    /* renamed from: a, reason: collision with root package name */
    public String f4569a;

    /* renamed from: b, reason: collision with root package name */
    public boolean f4570b;

    /* renamed from: c, reason: collision with root package name */
    public String f4571c;

    /* renamed from: d, reason: collision with root package name */
    public boolean f4572d;

    /* renamed from: h, reason: collision with root package name */
    public UsbDevice f4576h;

    /* renamed from: j, reason: collision with root package name */
    public boolean f4578j;

    /* renamed from: e, reason: collision with root package name */
    public int f4573e = 1;

    /* renamed from: f, reason: collision with root package name */
    public UUID f4574f = UUID.fromString("0000d0ff-3c17-d293-8e48-14fe2e4da212");

    /* renamed from: g, reason: collision with root package name */
    public UUID f4575g = UUID.fromString("00006287-3c17-d293-8e48-14fe2e4da212");

    /* renamed from: i, reason: collision with root package name */
    public int f4577i = 2;

    public static class Builder {

        /* renamed from: a, reason: collision with root package name */
        public ConnectParams f4579a = new ConnectParams();

        public Builder address(String str) {
            this.f4579a.a(str);
            return this;
        }

        public ConnectParams build() {
            return this.f4579a;
        }

        public Builder createBond(boolean z) {
            this.f4579a.setCreateBond(z);
            return this;
        }

        public Builder dfuServiceUuid(UUID uuid) {
            this.f4579a.a(uuid);
            return this;
        }

        public Builder hid(boolean z) {
            this.f4579a.a(z);
            return this;
        }

        public Builder localName(String str) {
            this.f4579a.b(str);
            return this;
        }

        public Builder otaServiceUuid(UUID uuid) {
            this.f4579a.b(uuid);
            return this;
        }

        public Builder reconnectTimes(int i2) {
            this.f4579a.a(i2);
            return this;
        }

        public Builder refreshCache(boolean z) {
            this.f4579a.b(z);
            return this;
        }

        public Builder usbDevice(UsbDevice usbDevice) {
            this.f4579a.a(usbDevice);
            return this;
        }

        public Builder usbGattRxEndpointType(int i2) {
            this.f4579a.b(i2);
            return this;
        }
    }

    public String getAddress() {
        return this.f4569a;
    }

    public UUID getDfuServiceUuid() {
        return this.f4575g;
    }

    public String getLocalName() {
        return this.f4571c;
    }

    public UUID getOtaServiceUuid() {
        return this.f4574f;
    }

    public int getReconnectTimes() {
        return this.f4573e;
    }

    public UsbDevice getUsbDevice() {
        return this.f4576h;
    }

    public int getUsbGattRxEndpointType() {
        return this.f4577i;
    }

    public boolean isCreateBond() {
        return this.f4570b;
    }

    public boolean isHid() {
        return this.f4572d;
    }

    public boolean isRefreshCache() {
        return this.f4578j;
    }

    public void setCreateBond(boolean z) {
        this.f4570b = z;
    }

    public String toString() {
        return "ConnectParams{\n" + String.format("localName=%s, address=%s\n", this.f4571c, this.f4569a) + String.format("isHid=%b\n", Boolean.valueOf(this.f4572d)) + String.format("refreshCache=%b\n", Boolean.valueOf(this.f4578j)) + String.format(Locale.US, "reconnectTimes=%d\n", Integer.valueOf(this.f4573e)) + StringSubstitutor.DEFAULT_VAR_END;
    }

    public final void b(String str) {
        this.f4571c = str;
    }

    public final void a(String str) {
        this.f4569a = str;
    }

    public final void b(UUID uuid) {
        this.f4574f = uuid;
    }

    public final void a(boolean z) {
        this.f4572d = z;
    }

    public final void b(int i2) {
        this.f4577i = i2;
    }

    public final void a(int i2) {
        this.f4573e = i2;
    }

    public final void b(boolean z) {
        this.f4578j = z;
    }

    public final void a(UUID uuid) {
        this.f4575g = uuid;
    }

    public final void a(UsbDevice usbDevice) {
        this.f4576h = usbDevice;
    }
}
