package com.realsil.sdk.dfu.utils;

import android.bluetooth.BluetoothDevice;
import android.content.Context;
import com.realsil.sdk.bbpro.core.transportlayer.AckPacket;
import com.realsil.sdk.bbpro.core.transportlayer.SppTransportLayer;
import com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback;
import com.realsil.sdk.bbpro.core.transportlayer.TransportLayerPacket;
import com.realsil.sdk.core.bluetooth.BluetoothProfileCallback;
import com.realsil.sdk.core.bluetooth.impl.BluetoothDeviceImpl;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.exception.ConnectionException;
import com.realsil.sdk.dfu.exception.LoadFileException;
import com.realsil.sdk.dfu.image.FirmwareLoaderX;
import com.realsil.sdk.dfu.image.LoadParams;
import com.realsil.sdk.dfu.image.pack.SubFileInfo;
import com.realsil.sdk.dfu.model.BinInfo;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.realsil.sdk.dfu.model.OtaModeInfo;
import com.realsil.sdk.dfu.n.a;
import com.realsil.sdk.dfu.params.QcConfig;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.List;
import java.util.Locale;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/* loaded from: classes3.dex */
public class HeadsetDfuAdapter extends BluetoothDfuAdapter {
    public static volatile HeadsetDfuAdapter J;
    public ThreadPoolExecutor D;
    public SppTransportLayer E;
    public com.realsil.sdk.dfu.n.a F;
    public Runnable G = new a();
    public TransportLayerCallback H = new c();
    public a.b I = new d();

    public class a implements Runnable {
        public a() {
        }

        @Override // java.lang.Runnable
        public void run() {
            HeadsetDfuAdapter headsetDfuAdapter = HeadsetDfuAdapter.this;
            if (headsetDfuAdapter.m != 512) {
                headsetDfuAdapter.m = 512;
            }
            headsetDfuAdapter.y = headsetDfuAdapter.getBondState(headsetDfuAdapter.z);
            HeadsetDfuAdapter headsetDfuAdapter2 = HeadsetDfuAdapter.this;
            boolean z = headsetDfuAdapter2.f4582g;
            Locale locale = Locale.US;
            ZLogger.v(z, String.format(locale, ">> mBondState: %d", Integer.valueOf(headsetDfuAdapter2.y)));
            if (HeadsetDfuAdapter.this.f4584i.isCreateBond()) {
                HeadsetDfuAdapter headsetDfuAdapter3 = HeadsetDfuAdapter.this;
                if (headsetDfuAdapter3.y == 11) {
                    ZLogger.v(headsetDfuAdapter3.f4582g, "is bonding..., wait bonding result");
                    HeadsetDfuAdapter.this.a(30000L);
                    HeadsetDfuAdapter headsetDfuAdapter4 = HeadsetDfuAdapter.this;
                    headsetDfuAdapter4.y = headsetDfuAdapter4.getBondState(headsetDfuAdapter4.z);
                    HeadsetDfuAdapter headsetDfuAdapter5 = HeadsetDfuAdapter.this;
                    ZLogger.v(headsetDfuAdapter5.f4582g, String.format(locale, ">> mBondState: %d", Integer.valueOf(headsetDfuAdapter5.y)));
                    HeadsetDfuAdapter headsetDfuAdapter6 = HeadsetDfuAdapter.this;
                    if (headsetDfuAdapter6.y != 12) {
                        ZLogger.d(headsetDfuAdapter6.f4580e, "bonding failed, maybe link key lost, force to remove bond here");
                        BluetoothDeviceImpl.removeBond(HeadsetDfuAdapter.this.x);
                        HeadsetDfuAdapter.this.a(1000L);
                    }
                }
                HeadsetDfuAdapter headsetDfuAdapter7 = HeadsetDfuAdapter.this;
                if (headsetDfuAdapter7.y == 10) {
                    headsetDfuAdapter7.notifyStateChanged(headsetDfuAdapter7.m, 18);
                    if (HeadsetDfuAdapter.this.x.createBond()) {
                        ZLogger.v(HeadsetDfuAdapter.this.f4582g, "wait create bond result");
                        HeadsetDfuAdapter.this.a(30000L);
                        HeadsetDfuAdapter headsetDfuAdapter8 = HeadsetDfuAdapter.this;
                        headsetDfuAdapter8.y = headsetDfuAdapter8.getBondState(headsetDfuAdapter8.z);
                        HeadsetDfuAdapter headsetDfuAdapter9 = HeadsetDfuAdapter.this;
                        ZLogger.v(headsetDfuAdapter9.f4582g, String.format(locale, ">> mBondState: %d", Integer.valueOf(headsetDfuAdapter9.y)));
                    } else {
                        ZLogger.w(HeadsetDfuAdapter.this.f4580e, "createBond failed");
                    }
                }
                HeadsetDfuAdapter headsetDfuAdapter10 = HeadsetDfuAdapter.this;
                if (headsetDfuAdapter10.y == 12) {
                    headsetDfuAdapter10.d();
                    HeadsetDfuAdapter.this.e();
                } else {
                    ZLogger.w("device has not been paired, just ignore here");
                }
            }
            HeadsetDfuAdapter headsetDfuAdapter11 = HeadsetDfuAdapter.this;
            headsetDfuAdapter11.notifyStateChanged(headsetDfuAdapter11.m | 21);
            HeadsetDfuAdapter.this.f().register(HeadsetDfuAdapter.this.H);
            if (!HeadsetDfuAdapter.this.f().connect(HeadsetDfuAdapter.this.x, null)) {
                ZLogger.w("connect failed");
                HeadsetDfuAdapter.this.notifyStateChanged(4098);
                return;
            }
            ZLogger.v(HeadsetDfuAdapter.this.f4582g, "wait connect result");
            HeadsetDfuAdapter.this.a(30000L);
            int i2 = HeadsetDfuAdapter.this.n;
            if (i2 != 527) {
                ZLogger.v(String.format("connect failed, state=0x%02X", Integer.valueOf(i2)));
            }
        }
    }

    public class b extends BluetoothProfileCallback {
        public b() {
        }

        @Override // com.realsil.sdk.core.bluetooth.BluetoothProfileCallback
        public void onA2dpStateChanged(BluetoothDevice bluetoothDevice, int i2) {
            super.onA2dpStateChanged(bluetoothDevice, i2);
            if (!HeadsetDfuAdapter.this.checkState(512, 17)) {
                HeadsetDfuAdapter headsetDfuAdapter = HeadsetDfuAdapter.this;
                ZLogger.v(headsetDfuAdapter.f4582g, String.format("ignore a2dp state change, when state=0x%04X", Integer.valueOf(headsetDfuAdapter.n)));
                return;
            }
            BluetoothDevice bluetoothDevice2 = HeadsetDfuAdapter.this.x;
            if (bluetoothDevice2 == null) {
                ZLogger.v("device has already been clean");
                HeadsetDfuAdapter.this.notifyStateChanged(4098);
                return;
            }
            if (!bluetoothDevice2.equals(bluetoothDevice)) {
                HeadsetDfuAdapter headsetDfuAdapter2 = HeadsetDfuAdapter.this;
                ZLogger.v(headsetDfuAdapter2.f4581f, String.format("target device is %s, ignore device:%s", headsetDfuAdapter2.x.toString(), bluetoothDevice.toString()));
            } else if (i2 == 2) {
                ZLogger.v("A2DP connected");
                HeadsetDfuAdapter.this.notifyLock();
            } else if (i2 == 0) {
                ZLogger.v("A2DP disconnected");
                HeadsetDfuAdapter.this.notifyLock();
            }
        }

        @Override // com.realsil.sdk.core.bluetooth.BluetoothProfileCallback
        public void onHfpConnectionStateChanged(BluetoothDevice bluetoothDevice, int i2) {
            super.onHfpConnectionStateChanged(bluetoothDevice, i2);
            if (HeadsetDfuAdapter.this.checkState(512, 17)) {
                BluetoothDevice bluetoothDevice2 = HeadsetDfuAdapter.this.x;
                if (bluetoothDevice2 == null) {
                    ZLogger.v("device has already been clean");
                    HeadsetDfuAdapter.this.notifyStateChanged(4098);
                    return;
                }
                if (!bluetoothDevice2.equals(bluetoothDevice)) {
                    HeadsetDfuAdapter headsetDfuAdapter = HeadsetDfuAdapter.this;
                    ZLogger.v(headsetDfuAdapter.f4581f, String.format("target device is %s, ignore device:%s", headsetDfuAdapter.x.toString(), bluetoothDevice.toString()));
                    return;
                } else if (i2 == 2) {
                    ZLogger.v("hfp connected");
                    HeadsetDfuAdapter.this.notifyLock();
                    return;
                } else {
                    if (i2 == 0) {
                        ZLogger.v("hfp disconnected");
                        HeadsetDfuAdapter.this.notifyLock();
                        return;
                    }
                    return;
                }
            }
            HeadsetDfuAdapter headsetDfuAdapter2 = HeadsetDfuAdapter.this;
            int i3 = headsetDfuAdapter2.n;
            if (i3 != 2065) {
                ZLogger.v(String.format("ignore hfp state change when state is 0x%04X", Integer.valueOf(i3)));
                return;
            }
            BluetoothDevice bluetoothDevice3 = headsetDfuAdapter2.x;
            if (bluetoothDevice3 == null) {
                ZLogger.v("device has already been clean");
                HeadsetDfuAdapter.this.notifyStateChanged(DfuAdapter.STATE_BACKCONNECT_FAILED);
                return;
            }
            if (!bluetoothDevice3.equals(bluetoothDevice)) {
                ZLogger.v(String.format("target device is %s, ignore device:%s", HeadsetDfuAdapter.this.x.toString(), bluetoothDevice.toString()));
                return;
            }
            if (i2 == 2) {
                ZLogger.v("pending to back connect with previous device");
                HeadsetDfuAdapter headsetDfuAdapter3 = HeadsetDfuAdapter.this;
                headsetDfuAdapter3.connectDevice(headsetDfuAdapter3.f4584i);
            } else if (i2 == 0) {
                ZLogger.v("proile disconnected");
                HeadsetDfuAdapter.this.notifyStateChanged(DfuAdapter.STATE_BACKCONNECT_FAILED);
            }
        }
    }

    public class c extends TransportLayerCallback {
        public c() {
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onAckReceive(AckPacket ackPacket) {
            super.onAckReceive(ackPacket);
            HeadsetDfuAdapter.this.a(ackPacket);
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onConnectionStateChanged(BluetoothDevice bluetoothDevice, boolean z, int i2) {
            super.onConnectionStateChanged(bluetoothDevice, z, i2);
            if (i2 != 512) {
                if (i2 == 0) {
                    if (HeadsetDfuAdapter.this.isStageBusy(512) || HeadsetDfuAdapter.this.isStageBusy(2048)) {
                        HeadsetDfuAdapter.this.a(new ConnectionException(6));
                    }
                    HeadsetDfuAdapter.this.notifyStateChanged(4097);
                    return;
                }
                return;
            }
            if (!HeadsetDfuAdapter.this.isPreparing() && !HeadsetDfuAdapter.this.isBackConnecting()) {
                HeadsetDfuAdapter.this.notifyLock();
                ZLogger.d(String.format("ignore connection update when state=0x%04X", Integer.valueOf(HeadsetDfuAdapter.this.n)));
                return;
            }
            HeadsetDfuAdapter headsetDfuAdapter = HeadsetDfuAdapter.this;
            headsetDfuAdapter.notifyStateChanged(headsetDfuAdapter.m, 26);
            if (HeadsetDfuAdapter.this.f().sendCmd((short) 1548, null)) {
                return;
            }
            HeadsetDfuAdapter headsetDfuAdapter2 = HeadsetDfuAdapter.this;
            if (headsetDfuAdapter2.f4580e) {
                ZLogger.d(headsetDfuAdapter2.getOtaDeviceInfo().toString());
            }
            HeadsetDfuAdapter.this.notifyStateChanged(527);
            HeadsetDfuAdapter.this.notifyLock();
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onDataReceive(TransportLayerPacket transportLayerPacket) {
            super.onDataReceive(transportLayerPacket);
            try {
                HeadsetDfuAdapter.this.a(transportLayerPacket);
            } catch (Exception e2) {
                ZLogger.e(e2.toString());
            }
        }

        @Override // com.realsil.sdk.bbpro.core.transportlayer.TransportLayerCallback
        public void onError(int i2) {
            super.onError(i2);
        }
    }

    public class d implements a.b {
        public d() {
        }

        @Override // com.realsil.sdk.dfu.n.a.b
        public void a(int i2) {
            if (i2 != 1) {
                if (i2 != 2) {
                    return;
                }
                if (HeadsetDfuAdapter.this.isPreparing() || HeadsetDfuAdapter.this.isBackConnecting()) {
                    HeadsetDfuAdapter.this.a(new ConnectionException(5));
                    return;
                }
                return;
            }
            if (HeadsetDfuAdapter.this.isPreparing()) {
                HeadsetDfuAdapter headsetDfuAdapter = HeadsetDfuAdapter.this;
                headsetDfuAdapter.q = headsetDfuAdapter.getOtaDeviceInfo();
                HeadsetDfuAdapter.this.notifyStateChanged(527);
            } else if (!HeadsetDfuAdapter.this.isBackConnecting()) {
                HeadsetDfuAdapter headsetDfuAdapter2 = HeadsetDfuAdapter.this;
                ZLogger.v(headsetDfuAdapter2.f4582g, String.format("ignore, is not in preparing or backconnect state: 0x%04X", Integer.valueOf(headsetDfuAdapter2.n)));
            } else {
                if (!HeadsetDfuAdapter.this.a()) {
                    HeadsetDfuAdapter.this.notifyStateChanged(DfuAdapter.STATE_BACKCONNECT_COMPLETED);
                    return;
                }
                HeadsetDfuAdapter.this.notifyStateChanged(DfuAdapter.STATE_BACKCONNECT_VALIDATE);
                HeadsetDfuAdapter headsetDfuAdapter3 = HeadsetDfuAdapter.this;
                if (headsetDfuAdapter3.validate(headsetDfuAdapter3.getOtaDeviceInfo())) {
                    HeadsetDfuAdapter.this.notifyStateChanged(DfuAdapter.STATE_BACKCONNECT_COMPLETED);
                } else {
                    HeadsetDfuAdapter.this.notifyStateChanged(DfuAdapter.STATE_BACKCONNECT_VALIDATE_FAILED);
                }
            }
        }
    }

    public HeadsetDfuAdapter(Context context) {
        this.mContext = context;
        c();
    }

    public static HeadsetDfuAdapter getInstance(Context context) {
        if (J == null) {
            synchronized (HeadsetDfuAdapter.class) {
                if (J == null) {
                    J = new HeadsetDfuAdapter(context.getApplicationContext());
                }
            }
        }
        return J;
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean connectBack() {
        if (!super.connectBack()) {
            return false;
        }
        BluetoothDevice bluetoothDevice = this.x;
        if (bluetoothDevice == null) {
            ZLogger.d("device has already been clean, no need to connect back");
            return false;
        }
        int bondState = bluetoothDevice.getBondState();
        this.y = bondState;
        if (bondState != 12) {
            ZLogger.d(this.f4580e, "device is not bonded, maybe has something wrong");
            return false;
        }
        if (this.v.getConnectionState(1, this.x) != 2) {
            ZLogger.v("wait hfp profile auto connected");
            notifyStateChanged(2048, 17);
            return true;
        }
        this.m = 2048;
        ZLogger.d(this.f4580e, "profile has already connected, pending to connect");
        return connectDevice(this.f4584i);
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter, com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean connectDevice(ConnectParams connectParams) {
        if (!super.connectDevice(connectParams)) {
            return false;
        }
        this.z = connectParams.getAddress();
        this.x = getRemoteDevice(connectParams.getAddress());
        this.D.execute(this.G);
        return true;
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter, com.realsil.sdk.dfu.utils.DfuAdapter
    public void destroy() {
        super.destroy();
        SppTransportLayer sppTransportLayer = this.E;
        if (sppTransportLayer != null) {
            sppTransportLayer.unregister(this.H);
        }
        com.realsil.sdk.dfu.n.a aVar = this.F;
        if (aVar != null) {
            aVar.a();
        }
        ThreadPoolExecutor threadPoolExecutor = this.D;
        if (threadPoolExecutor != null) {
            threadPoolExecutor.shutdown();
        }
        J = null;
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public void disconnect() {
        super.disconnect();
        notifyStateChanged(4096);
        f().disconnect();
        this.D.remove(this.G);
    }

    /* JADX WARN: Removed duplicated region for block: B:16:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:6:0x0052  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void e() {
        /*
            r11 = this;
            com.realsil.sdk.core.bluetooth.BluetoothProfileManager r0 = com.realsil.sdk.core.bluetooth.BluetoothProfileManager.getInstance()
            android.bluetooth.BluetoothDevice r1 = r11.x
            r2 = 1
            int r0 = r0.getConnectionState(r2, r1)
            r3 = 15000(0x3a98, double:7.411E-320)
            r1 = 17
            java.lang.String r5 = "hfpState = 0x%02X"
            r6 = 0
            r7 = 2
            if (r7 != r0) goto L1c
            java.lang.String r8 = "HFP already connected"
            com.realsil.sdk.core.logger.ZLogger.v(r8)
        L1a:
            r8 = r6
            goto L50
        L1c:
            if (r2 != r0) goto L4f
            boolean r0 = r11.f4581f
            java.lang.String r8 = "HFP already connecting..., wait create hfp result"
            com.realsil.sdk.core.logger.ZLogger.d(r0, r8)
            int r0 = r11.m
            r11.notifyStateChanged(r0, r1)
            r11.a(r3)
            com.realsil.sdk.core.bluetooth.BluetoothProfileManager r0 = com.realsil.sdk.core.bluetooth.BluetoothProfileManager.getInstance()
            android.bluetooth.BluetoothDevice r8 = r11.x
            int r0 = r0.getConnectionState(r2, r8)
            boolean r8 = r11.f4582g
            java.lang.Object[] r9 = new java.lang.Object[r2]
            java.lang.Integer r10 = java.lang.Integer.valueOf(r0)
            r9[r6] = r10
            java.lang.String r9 = java.lang.String.format(r5, r9)
            com.realsil.sdk.core.logger.ZLogger.v(r8, r9)
            if (r7 == r0) goto L1a
            java.lang.String r8 = "hfp back connect failed"
            com.realsil.sdk.core.logger.ZLogger.d(r8)
        L4f:
            r8 = r2
        L50:
            if (r8 == 0) goto La7
            boolean r8 = r11.f4582g
            java.lang.Object[] r9 = new java.lang.Object[r2]
            java.lang.Integer r0 = java.lang.Integer.valueOf(r0)
            r9[r6] = r0
            java.lang.String r0 = java.lang.String.format(r5, r9)
            com.realsil.sdk.core.logger.ZLogger.v(r8, r0)
            int r0 = r11.m
            r11.notifyStateChanged(r0, r1)
            com.realsil.sdk.core.bluetooth.BluetoothProfileManager r0 = com.realsil.sdk.core.bluetooth.BluetoothProfileManager.getInstance()
            java.lang.String r1 = r11.z
            boolean r0 = r0.connectHfpAg(r1)
            if (r0 != 0) goto L7a
            java.lang.String r0 = "connect Hfp failed"
            com.realsil.sdk.core.logger.ZLogger.w(r0)
            goto La7
        L7a:
            boolean r0 = r11.f4582g
            java.lang.String r1 = "wait create hfp result"
            com.realsil.sdk.core.logger.ZLogger.v(r0, r1)
            r11.a(r3)
            com.realsil.sdk.core.bluetooth.BluetoothProfileManager r0 = com.realsil.sdk.core.bluetooth.BluetoothProfileManager.getInstance()
            android.bluetooth.BluetoothDevice r1 = r11.x
            int r0 = r0.getConnectionState(r2, r1)
            boolean r1 = r11.f4582g
            java.lang.Object[] r2 = new java.lang.Object[r2]
            java.lang.Integer r3 = java.lang.Integer.valueOf(r0)
            r2[r6] = r3
            java.lang.String r2 = java.lang.String.format(r5, r2)
            com.realsil.sdk.core.logger.ZLogger.v(r1, r2)
            if (r7 == r0) goto La7
            java.lang.String r0 = "hfp connect failed"
            com.realsil.sdk.core.logger.ZLogger.d(r0)
        La7:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.utils.HeadsetDfuAdapter.e():void");
    }

    public final SppTransportLayer f() {
        if (this.E == null) {
            SppTransportLayer sppTransportLayer = SppTransportLayer.getInstance();
            this.E = sppTransportLayer;
            sppTransportLayer.register(this.H);
        }
        return this.E;
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public BluetoothProfileCallback getBluetoothProfileCallback() {
        return new b();
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public OtaDeviceInfo getOtaDeviceInfo() {
        com.realsil.sdk.dfu.n.a aVar = this.F;
        return aVar != null ? aVar.b() : super.getOtaDeviceInfo();
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public OtaModeInfo getPriorityWorkMode(int i2) {
        com.realsil.sdk.dfu.n.a aVar = this.F;
        return aVar != null ? aVar.a(i2) : super.getPriorityWorkMode(i2);
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public List<OtaModeInfo> getSupportedModes() {
        com.realsil.sdk.dfu.n.a aVar = this.F;
        return aVar != null ? aVar.d() : super.getSupportedModes();
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public void processBondStateChanged(int i2) {
        switch (i2) {
            case 10:
                ZLogger.v(this.f4580e, "BOND_NONE");
                break;
            case 11:
                ZLogger.v(this.f4580e, "BOND_BONDING");
                break;
            case 12:
                ZLogger.v(this.f4580e, "BOND_BONDED");
                if (this.n != 530) {
                    notifyLock();
                    break;
                } else {
                    notifyLock();
                    break;
                }
        }
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean setTestParams(OtaDeviceInfo otaDeviceInfo, QcConfig qcConfig) {
        if (otaDeviceInfo == null || qcConfig == null) {
            ZLogger.d("IllegalArgumentException: deviceInfo and params can not be null");
            return false;
        }
        com.realsil.sdk.dfu.n.a aVar = this.F;
        if (aVar != null) {
            return aVar.a(otaDeviceInfo, qcConfig);
        }
        return false;
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public boolean startOtaProcedure(OtaDeviceInfo otaDeviceInfo, DfuConfig dfuConfig, QcConfig qcConfig, boolean z) {
        if (!super.startOtaProcedure(otaDeviceInfo, dfuConfig, qcConfig, z)) {
            return false;
        }
        notifyStateChanged(1025);
        f().unregister(this.H);
        com.realsil.sdk.dfu.n.a aVar = this.F;
        if (aVar != null) {
            aVar.a();
        }
        boolean a2 = this.f4583h.a(dfuConfig, qcConfig);
        if (!a2) {
            notifyStateChanged(1026);
        }
        return a2;
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean validate(OtaDeviceInfo otaDeviceInfo) {
        List<SubFileInfo> list;
        if (!super.validate(otaDeviceInfo)) {
            return false;
        }
        if (this.q.isBankEnabled()) {
            if (!otaDeviceInfo.isBankEnabled()) {
                ZLogger.d("conflict: not support bank");
                return false;
            }
            if (this.q.getActiveBank() == otaDeviceInfo.getActiveBank()) {
                ZLogger.d("conflict: active bank not changed");
                return false;
            }
        } else if (this.r != null) {
            try {
                BinInfo loadImageBinInfo = FirmwareLoaderX.loadImageBinInfo(new LoadParams.Builder().with(this.mContext).fileLocation(this.r.getFileLocation()).setFilePath(this.r.getFilePath()).setSectionSizeCheckEnabled(this.r.isSectionSizeCheckEnabled()).setIcCheckEnabled(this.r.isIcCheckEnabled()).setFileSuffix(this.r.getFileSuffix()).setVersionCheckEnabled(true).setOtaDeviceInfo(otaDeviceInfo).build());
                if (loadImageBinInfo != null && loadImageBinInfo.status == 0 && (list = loadImageBinInfo.supportSubFileInfos) != null && list.size() > 0) {
                    ZLogger.d("conflict: version not apply");
                    return false;
                }
            } catch (LoadFileException e2) {
                e2.printStackTrace();
            }
        }
        return true;
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean b() {
        if (!super.b()) {
            notifyStateChanged(4098);
            return false;
        }
        notifyStateChanged(533);
        f().register(this.H);
        boolean connect = f().connect(this.x, null);
        if (!connect) {
            notifyStateChanged(4098);
        }
        return connect;
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public void c() {
        super.c();
        f();
        this.D = new ThreadPoolExecutor(10, 10, 1000L, TimeUnit.MILLISECONDS, new LinkedBlockingQueue(), new ThreadPoolExecutor.AbortPolicy());
    }

    /* JADX WARN: Removed duplicated region for block: B:16:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:6:0x0052  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void d() {
        /*
            r9 = this;
            com.realsil.sdk.core.bluetooth.BluetoothProfileManager r0 = com.realsil.sdk.core.bluetooth.BluetoothProfileManager.getInstance()
            android.bluetooth.BluetoothDevice r1 = r9.x
            r2 = 2
            int r0 = r0.getConnectionState(r2, r1)
            r1 = 17
            java.lang.String r3 = "a2dpState = 0x%02X"
            r4 = 1
            r5 = 0
            if (r2 != r0) goto L1a
            java.lang.String r6 = "A2DP already connected"
            com.realsil.sdk.core.logger.ZLogger.v(r6)
        L18:
            r6 = r5
            goto L50
        L1a:
            if (r4 != r0) goto L4f
            boolean r0 = r9.f4581f
            java.lang.String r6 = "A2DP already connecting..., wait create hfp result"
            com.realsil.sdk.core.logger.ZLogger.d(r0, r6)
            int r0 = r9.m
            r9.notifyStateChanged(r0, r1)
            r6 = 30000(0x7530, double:1.4822E-319)
            r9.a(r6)
            com.realsil.sdk.core.bluetooth.BluetoothProfileManager r0 = com.realsil.sdk.core.bluetooth.BluetoothProfileManager.getInstance()
            android.bluetooth.BluetoothDevice r6 = r9.x
            int r0 = r0.getConnectionState(r2, r6)
            boolean r6 = r9.f4582g
            java.lang.Object[] r7 = new java.lang.Object[r4]
            java.lang.Integer r8 = java.lang.Integer.valueOf(r0)
            r7[r5] = r8
            java.lang.String r7 = java.lang.String.format(r3, r7)
            com.realsil.sdk.core.logger.ZLogger.v(r6, r7)
            if (r2 == r0) goto L18
            java.lang.String r6 = "A2DP back connect failed"
            com.realsil.sdk.core.logger.ZLogger.d(r6)
        L4f:
            r6 = r4
        L50:
            if (r6 == 0) goto La9
            boolean r6 = r9.f4582g
            java.lang.Object[] r7 = new java.lang.Object[r4]
            java.lang.Integer r0 = java.lang.Integer.valueOf(r0)
            r7[r5] = r0
            java.lang.String r0 = java.lang.String.format(r3, r7)
            com.realsil.sdk.core.logger.ZLogger.v(r6, r0)
            int r0 = r9.m
            r9.notifyStateChanged(r0, r1)
            com.realsil.sdk.core.bluetooth.BluetoothProfileManager r0 = com.realsil.sdk.core.bluetooth.BluetoothProfileManager.getInstance()
            java.lang.String r1 = r9.z
            boolean r0 = r0.connectA2dpSource(r1)
            if (r0 != 0) goto L7a
            java.lang.String r0 = "connect A2DP failed"
            com.realsil.sdk.core.logger.ZLogger.w(r0)
            goto La9
        L7a:
            boolean r0 = r9.f4582g
            java.lang.String r1 = "wait create A2DP result"
            com.realsil.sdk.core.logger.ZLogger.v(r0, r1)
            r0 = 15000(0x3a98, double:7.411E-320)
            r9.a(r0)
            com.realsil.sdk.core.bluetooth.BluetoothProfileManager r0 = com.realsil.sdk.core.bluetooth.BluetoothProfileManager.getInstance()
            android.bluetooth.BluetoothDevice r1 = r9.x
            int r0 = r0.getConnectionState(r2, r1)
            boolean r1 = r9.f4582g
            java.lang.Object[] r4 = new java.lang.Object[r4]
            java.lang.Integer r6 = java.lang.Integer.valueOf(r0)
            r4[r5] = r6
            java.lang.String r3 = java.lang.String.format(r3, r4)
            com.realsil.sdk.core.logger.ZLogger.v(r1, r3)
            if (r2 == r0) goto La9
            java.lang.String r0 = "A2DP connect failed"
            com.realsil.sdk.core.logger.ZLogger.d(r0)
        La9:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.utils.HeadsetDfuAdapter.d():void");
    }

    public final void a(AckPacket ackPacket) {
        int toAckId = ackPacket.getToAckId();
        byte status = ackPacket.getStatus();
        if (toAckId != 1548) {
            return;
        }
        if (checkState(512, 26) || checkState(2048, 26)) {
            if (status != 2 && status != 1) {
                ZLogger.v(this.f4580e, "ACK-CMD_OTA_PROTOCOL_TYPE");
                return;
            }
            ZLogger.d("CMD_OTA_PROTOCOL_TYPE not support");
            b(0);
            this.F.f();
        }
    }

    public final void b(int i2) {
        ZLogger.v(String.format("protocolType=0x%04X", Integer.valueOf(i2)));
        com.realsil.sdk.dfu.n.a aVar = this.F;
        if (aVar != null) {
            aVar.a();
        }
        if (i2 == 17) {
            this.F = new com.realsil.sdk.dfu.p.a();
        } else {
            this.F = new com.realsil.sdk.dfu.o.a();
        }
        this.F.a(this.o, this.I);
    }

    public final void a(TransportLayerPacket transportLayerPacket) {
        int opcode = transportLayerPacket.getOpcode();
        transportLayerPacket.getPayload();
        byte[] parameters = transportLayerPacket.getParameters();
        if (opcode != 1546) {
            return;
        }
        if (checkState(512, 26) || checkState(2048, 26)) {
            ByteBuffer wrap = ByteBuffer.wrap(parameters);
            wrap.order(ByteOrder.LITTLE_ENDIAN);
            short s = wrap.getShort(0);
            ZLogger.v(String.format("protocolType=0x%04X, specVersion=0x%04X", Integer.valueOf(s), Integer.valueOf(parameters.length > 2 ? wrap.get(2) : (byte) -1)));
            b(s);
            this.F.f();
        }
    }
}
