package com.realsil.sdk.dfu.utils;

import android.content.Context;
import android.hardware.usb.UsbDevice;
import android.os.Handler;
import android.os.Looper;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.usb.GlobalUsbGatt;
import com.realsil.sdk.core.usb.UsbGatt;
import com.realsil.sdk.core.usb.UsbGattCallback;
import com.realsil.sdk.core.usb.UsbGattCharacteristic;
import com.realsil.sdk.dfu.exception.ConnectionException;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.realsil.sdk.dfu.model.OtaModeInfo;
import com.realsil.sdk.dfu.q.b;
import com.realsil.sdk.dfu.q.e;
import com.realsil.sdk.dfu.utils.DfuAdapter;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.List;
import java.util.Locale;
import java.util.Objects;
import java.util.UUID;

/* loaded from: classes3.dex */
public class UsbGattDfuAdapter extends e implements com.realsil.sdk.dfu.j.c {
    public static volatile UsbGattDfuAdapter H;
    public UsbGattCharacteristic A;
    public com.realsil.sdk.dfu.q.b B;
    public b.InterfaceC0063b C = new a();
    public Runnable D = new b();
    public Runnable E = new c();
    public Handler F = new Handler(Looper.getMainLooper());
    public UsbGattCallback G = new d();
    public GlobalUsbGatt y;
    public UsbGatt z;

    public class a implements b.InterfaceC0063b {
        public a() {
        }

        @Override // com.realsil.sdk.dfu.q.b.InterfaceC0063b
        public void a(int i2) {
            if (i2 == 1) {
                if (UsbGattDfuAdapter.this.isPreparing()) {
                    UsbGattDfuAdapter.this.notifyStateChanged(527);
                } else {
                    ZLogger.d(String.format("ignore, is not in preparing state: 0x%04X", Integer.valueOf(UsbGattDfuAdapter.this.n)));
                }
            }
            if (i2 == 2) {
                if (UsbGattDfuAdapter.this.isPreparing()) {
                    UsbGattDfuAdapter.this.a(new ConnectionException(5));
                } else {
                    ZLogger.d(String.format("ignore, is not in preparing state: 0x%04X", Integer.valueOf(UsbGattDfuAdapter.this.n)));
                }
            }
        }
    }

    public class b implements Runnable {
        public b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            if (UsbGattDfuAdapter.this.d()) {
                ZLogger.d("wait discover service commplete");
                synchronized (UsbGattDfuAdapter.this.l) {
                    try {
                        UsbGattDfuAdapter.this.l.wait(30000L);
                    } catch (InterruptedException e2) {
                        e2.printStackTrace();
                        ZLogger.e(e2.toString());
                    }
                }
                if (UsbGattDfuAdapter.this.n == 535) {
                    ZLogger.w("discoverServices timeout");
                    UsbGattDfuAdapter.this.disconnect();
                }
            }
        }
    }

    public class c implements Runnable {
        public c() {
        }

        @Override // java.lang.Runnable
        public void run() {
            if (UsbGattDfuAdapter.this.n == 534) {
                new Thread(UsbGattDfuAdapter.this.D).start();
                return;
            }
            ZLogger.d("ignore state:" + UsbGattDfuAdapter.this.n);
        }
    }

    public class d extends UsbGattCallback {
        public d() {
        }

        public final void a() {
            if (!UsbGattDfuAdapter.this.isPreparing()) {
                UsbGattDfuAdapter.this.notifyStateChanged(4097);
            } else {
                UsbGattDfuAdapter.this.notifyLock();
                UsbGattDfuAdapter.this.a(new ConnectionException(0));
            }
        }

        public void onCharacteristicRead(UsbGatt usbGatt, UsbGattCharacteristic usbGattCharacteristic, int i2) {
            super.onCharacteristicRead(usbGatt, usbGattCharacteristic, i2);
            UUID uuid = usbGattCharacteristic.getUuid();
            usbGattCharacteristic.getValue();
            if (i2 == 0) {
                byte[] value = usbGattCharacteristic.getValue();
                if (com.realsil.sdk.dfu.j.c.f4451c.equals(uuid)) {
                    ByteBuffer wrap = ByteBuffer.wrap(value);
                    wrap.order(ByteOrder.LITTLE_ENDIAN);
                    ZLogger.d(String.format("protocolType=0x%04X", Integer.valueOf(wrap.getShort(0))));
                    UsbGattDfuAdapter.this.B = new com.realsil.sdk.dfu.q.a(0);
                    UsbGattDfuAdapter.this.B.a(UsbGattDfuAdapter.this.w, UsbGattDfuAdapter.this.z, UsbGattDfuAdapter.this.C);
                    UsbGattDfuAdapter.this.B.e();
                    return;
                }
                return;
            }
            ZLogger.e(UsbGattDfuAdapter.this.f4580e, "Characteristic read error: " + i2);
            if (!com.realsil.sdk.dfu.j.c.f4451c.equals(uuid)) {
                ZLogger.d("ignore exctption when read other info");
            } else if (UsbGattDfuAdapter.this.isPreparing()) {
                UsbGattDfuAdapter.this.a(new ConnectionException(5));
            }
        }

        public void onConnectionStateChange(UsbGatt usbGatt, int i2, int i3) {
            if (i2 != 0) {
                a();
                return;
            }
            if (i3 != 2) {
                if (i3 == 0) {
                    UsbGattDfuAdapter.this.disconnect();
                    a();
                    return;
                }
                return;
            }
            UsbGattDfuAdapter usbGattDfuAdapter = UsbGattDfuAdapter.this;
            usbGattDfuAdapter.z = usbGattDfuAdapter.y.getUsbGatt(UsbGattDfuAdapter.this.w);
            if (usbGatt != null) {
                UsbGattDfuAdapter.this.e();
            } else {
                a();
            }
        }

        public void onServicesDiscovered(UsbGatt usbGatt, int i2) {
            UsbGattDfuAdapter usbGattDfuAdapter = UsbGattDfuAdapter.this;
            int i3 = usbGattDfuAdapter.n;
            if (i3 == 1025) {
                ZLogger.d("ignore, when it is ota processing");
                return;
            }
            if (i2 != 0) {
                ZLogger.w("service discovery failed !!!");
                if (UsbGattDfuAdapter.this.isPreparing()) {
                    UsbGattDfuAdapter.this.a(new ConnectionException(1));
                    return;
                }
                return;
            }
            if (i3 == 535) {
                usbGattDfuAdapter.notifyStateChanged(537);
                UsbGattDfuAdapter.this.notifyLock();
            } else {
                usbGattDfuAdapter.notifyStateChanged(537);
            }
            UsbGattDfuAdapter.this.readDeviceInfo();
        }
    }

    public UsbGattDfuAdapter(Context context) {
        this.mContext = context;
        c();
    }

    public static UsbGattDfuAdapter getInstance(Context context) {
        if (H == null) {
            synchronized (UsbGattDfuAdapter.class) {
                if (H == null) {
                    H = new UsbGattDfuAdapter(context.getApplicationContext());
                }
            }
        }
        return H;
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean connectDevice(ConnectParams connectParams) {
        if (!super.connectDevice(connectParams)) {
            return false;
        }
        if (this.f4584i.getAddress() == null) {
            ZLogger.w("address is null");
            return false;
        }
        String str = this.w;
        if (str != null && !Objects.equals(str, this.f4584i.getAddress())) {
            this.y.unRegisterCallback(this.w, this.G);
            this.y.close(this.w);
        }
        this.v = getRemoteDevice(this.f4584i.getAddress());
        this.w = this.f4584i.getAddress();
        this.f4585j = this.f4584i.getReconnectTimes();
        boolean a2 = a(this.v);
        if (!a2) {
            notifyStateChanged(4098);
        }
        return a2;
    }

    @Override // com.realsil.sdk.dfu.q.e, com.realsil.sdk.dfu.utils.DfuAdapter
    public void destroy() {
        super.destroy();
        GlobalUsbGatt globalUsbGatt = this.y;
        if (globalUsbGatt != null) {
            globalUsbGatt.unRegisterCallback(this.w, this.G);
        }
        com.realsil.sdk.dfu.q.b bVar = this.B;
        if (bVar != null) {
            bVar.a();
        }
        H = null;
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public void disconnect() {
        super.disconnect();
        String str = this.w;
        if (str == null) {
            ZLogger.d("no device registed");
            notifyStateChanged(4097);
        } else {
            GlobalUsbGatt globalUsbGatt = this.y;
            if (globalUsbGatt == null) {
                ZLogger.d("mGlobalGatt == null");
                notifyStateChanged(4097);
            } else if (!globalUsbGatt.isConnected(str)) {
                ZLogger.v("already disconnected");
                notifyStateChanged(4097);
            } else if (this.y.isCallbackRegisted(this.w, this.G)) {
                notifyStateChanged(4096);
                this.y.close(this.w);
            } else {
                ZLogger.v("no gatt callback registed");
                notifyStateChanged(4097);
            }
        }
        this.z = null;
    }

    @Override // com.realsil.sdk.dfu.q.e
    public OtaDeviceInfo getOtaDeviceInfo() {
        com.realsil.sdk.dfu.q.b bVar = this.B;
        return bVar != null ? bVar.b() : super.getOtaDeviceInfo();
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public OtaModeInfo getPriorityWorkMode(int i2) {
        com.realsil.sdk.dfu.q.b bVar = this.B;
        return bVar != null ? bVar.a(i2) : super.getPriorityWorkMode(i2);
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public List<OtaModeInfo> getSupportedModes() {
        com.realsil.sdk.dfu.q.b bVar = this.B;
        return bVar != null ? bVar.c() : super.getSupportedModes();
    }

    public final void readDeviceInfo() {
        UsbGatt usbGatt = this.z;
        if (usbGatt == null) {
            notifyStateChanged(527);
            return;
        }
        List<UsbGattCharacteristic> characteristics = usbGatt.getCharacteristics();
        if (characteristics == null || characteristics.size() <= 0) {
            ZLogger.d("no characteristic found");
        } else {
            for (UsbGattCharacteristic usbGattCharacteristic : characteristics) {
                ZLogger.v(String.format(Locale.US, "instanceId=%d(0x%02X), uuid=%s", Integer.valueOf(usbGattCharacteristic.getInstanceId()), Integer.valueOf(usbGattCharacteristic.getInstanceId()), usbGattCharacteristic.getUuid().toString()));
            }
        }
        notifyStateChanged(538);
        UsbGatt usbGatt2 = this.z;
        UUID uuid = com.realsil.sdk.dfu.j.c.f4451c;
        UsbGattCharacteristic characteristic = usbGatt2.getCharacteristic(uuid);
        this.A = characteristic;
        if (characteristic == null) {
            ZLogger.d("CHARACTERISTIC_PROTOCOL_TYPE not found");
            com.realsil.sdk.dfu.q.a aVar = new com.realsil.sdk.dfu.q.a(0);
            this.B = aVar;
            aVar.a(this.w, this.z, this.C);
            this.B.e();
            return;
        }
        ZLogger.v(this.f4580e, "find CHARACTERISTIC_PROTOCOL_TYPE = " + uuid);
        a(this.A);
    }

    @Override // com.realsil.sdk.dfu.q.e
    public boolean startOtaProcedure(DfuConfig dfuConfig, boolean z) {
        if (!super.startOtaProcedure(dfuConfig, z)) {
            return false;
        }
        notifyStateChanged(1025);
        GlobalUsbGatt globalUsbGatt = this.y;
        if (globalUsbGatt != null) {
            globalUsbGatt.unRegisterCallback(this.w, this.G);
        }
        com.realsil.sdk.dfu.q.b bVar = this.B;
        if (bVar != null) {
            bVar.a();
        }
        boolean a2 = this.f4583h.a(dfuConfig);
        if (!a2) {
            notifyStateChanged(1026);
        }
        return a2;
    }

    public final void e() {
        if (this.n != 534) {
            notifyStateChanged(534);
            if (this.F == null) {
                ZLogger.v(this.f4580e, "mHandler == null");
                return;
            }
            ZLogger.d("delay to discover service for : 1600");
            this.F.removeCallbacks(this.E);
            boolean postDelayed = this.F.postDelayed(this.E, 1600L);
            ZLogger.v(this.f4580e, "postDelayed:" + postDelayed);
        }
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean b() {
        if (!super.b()) {
            notifyStateChanged(4098);
            return false;
        }
        boolean a2 = a(this.v);
        if (!a2) {
            notifyStateChanged(4098);
        }
        return a2;
    }

    @Override // com.realsil.sdk.dfu.q.e
    public void c() {
        super.c();
        GlobalUsbGatt globalUsbGatt = GlobalUsbGatt.getInstance();
        this.y = globalUsbGatt;
        if (globalUsbGatt == null) {
            GlobalUsbGatt.initial(this.mContext);
            this.y = GlobalUsbGatt.getInstance();
        }
    }

    public final boolean d() {
        boolean z;
        if (this.n == 535) {
            ZLogger.w("discoverServices already started");
            return false;
        }
        notifyStateChanged(535);
        if (this.z != null) {
            ZLogger.v("discoverServices...");
            z = this.z.discoverServices();
        } else {
            ZLogger.w("mBtGatt == null");
            z = false;
        }
        if (z) {
            return true;
        }
        ZLogger.w("discoverServices failed");
        if (isPreparing()) {
            a(new ConnectionException(1));
        }
        return false;
    }

    public final boolean a(UsbDevice usbDevice) {
        notifyStateChanged(533);
        return this.y.connect(usbDevice, this.mContext, this.G);
    }

    public final boolean a(UsbGattCharacteristic usbGattCharacteristic) {
        if (this.z != null && usbGattCharacteristic != null) {
            ZLogger.v(this.f4580e, "readCharacteristic:" + usbGattCharacteristic.getUuid());
            return this.z.readCharacteristic(usbGattCharacteristic);
        }
        ZLogger.w("mBtGatt is null maybe disconnected just now");
        return false;
    }

    public static UsbGattDfuAdapter getInstance(Context context, DfuAdapter.DfuHelperCallback dfuHelperCallback) {
        if (H == null) {
            synchronized (UsbGattDfuAdapter.class) {
                if (H == null) {
                    H = new UsbGattDfuAdapter(context.getApplicationContext(), dfuHelperCallback);
                }
            }
        }
        return H;
    }

    public UsbGattDfuAdapter(Context context, DfuAdapter.DfuHelperCallback dfuHelperCallback) {
        this.mContext = context;
        this.k = dfuHelperCallback;
        c();
    }
}
