package com.tencent.bugly.crashreport.crash.h5;

import android.webkit.JavascriptInterface;
import com.facebook.internal.security.CertificateUtil;
import com.tencent.bugly.crashreport.CrashReport;
import com.tencent.bugly.crashreport.inner.InnerApi;
import com.tencent.bugly.proguard.al;
import com.tencent.bugly.proguard.ap;
import com.tencent.bugly.proguard.bb;
import java.util.HashMap;
import java.util.HashSet;
import java.util.LinkedHashMap;
import java.util.Map;
import org.json.JSONObject;

/* compiled from: BUGLY */
/* loaded from: classes3.dex */
public class H5JavaScriptInterface {

    /* renamed from: a, reason: collision with root package name */
    private static HashSet<Integer> f4671a = new HashSet<>();

    /* renamed from: b, reason: collision with root package name */
    private String f4672b = null;

    /* renamed from: c, reason: collision with root package name */
    private Thread f4673c = null;

    /* renamed from: d, reason: collision with root package name */
    private String f4674d = null;

    /* renamed from: e, reason: collision with root package name */
    private Map<String, String> f4675e = null;

    private H5JavaScriptInterface() {
    }

    public static H5JavaScriptInterface getInstance(CrashReport.a aVar) {
        String str = null;
        if (aVar == null || f4671a.contains(Integer.valueOf(aVar.hashCode()))) {
            return null;
        }
        H5JavaScriptInterface h5JavaScriptInterface = new H5JavaScriptInterface();
        f4671a.add(Integer.valueOf(aVar.hashCode()));
        Thread currentThread = Thread.currentThread();
        h5JavaScriptInterface.f4673c = currentThread;
        if (currentThread != null) {
            StringBuilder sb = new StringBuilder("\n");
            for (int i2 = 2; i2 < currentThread.getStackTrace().length; i2++) {
                StackTraceElement stackTraceElement = currentThread.getStackTrace()[i2];
                if (!stackTraceElement.toString().contains("crashreport")) {
                    sb.append(stackTraceElement.toString());
                    sb.append("\n");
                }
            }
            str = sb.toString();
        }
        h5JavaScriptInterface.f4674d = str;
        HashMap hashMap = new HashMap();
        StringBuilder sb2 = new StringBuilder();
        sb2.append((Object) aVar.c());
        hashMap.put("[WebView] ContentDescription", sb2.toString());
        h5JavaScriptInterface.f4675e = hashMap;
        return h5JavaScriptInterface;
    }

    private static bb a(String str) {
        String string;
        if (str != null && str.length() > 0) {
            try {
                JSONObject jSONObject = new JSONObject(str);
                bb bbVar = new bb();
                bbVar.f4885a = jSONObject.getString("projectRoot");
                if (bbVar.f4885a == null) {
                    return null;
                }
                bbVar.f4886b = jSONObject.getString("context");
                if (bbVar.f4886b == null) {
                    return null;
                }
                bbVar.f4887c = jSONObject.getString("url");
                if (bbVar.f4887c == null) {
                    return null;
                }
                bbVar.f4888d = jSONObject.getString("userAgent");
                if (bbVar.f4888d == null) {
                    return null;
                }
                bbVar.f4889e = jSONObject.getString("language");
                if (bbVar.f4889e == null) {
                    return null;
                }
                bbVar.f4890f = jSONObject.getString("name");
                if (bbVar.f4890f == null || bbVar.f4890f.equals("null") || (string = jSONObject.getString("stacktrace")) == null) {
                    return null;
                }
                int indexOf = string.indexOf("\n");
                if (indexOf < 0) {
                    al.d("H5 crash stack's format is wrong!", new Object[0]);
                    return null;
                }
                bbVar.f4892h = string.substring(indexOf + 1);
                bbVar.f4891g = string.substring(0, indexOf);
                int indexOf2 = bbVar.f4891g.indexOf(CertificateUtil.DELIMITER);
                if (indexOf2 > 0) {
                    bbVar.f4891g = bbVar.f4891g.substring(indexOf2 + 1);
                }
                bbVar.f4893i = jSONObject.getString("file");
                if (bbVar.f4890f == null) {
                    return null;
                }
                bbVar.f4894j = jSONObject.getLong("lineNumber");
                if (bbVar.f4894j < 0) {
                    return null;
                }
                bbVar.k = jSONObject.getLong("columnNumber");
                if (bbVar.k < 0) {
                    return null;
                }
                al.a("H5 crash information is following: ", new Object[0]);
                al.a("[projectRoot]: " + bbVar.f4885a, new Object[0]);
                al.a("[context]: " + bbVar.f4886b, new Object[0]);
                al.a("[url]: " + bbVar.f4887c, new Object[0]);
                al.a("[userAgent]: " + bbVar.f4888d, new Object[0]);
                al.a("[language]: " + bbVar.f4889e, new Object[0]);
                al.a("[name]: " + bbVar.f4890f, new Object[0]);
                al.a("[message]: " + bbVar.f4891g, new Object[0]);
                al.a("[stacktrace]: \n" + bbVar.f4892h, new Object[0]);
                al.a("[file]: " + bbVar.f4893i, new Object[0]);
                al.a("[lineNumber]: " + bbVar.f4894j, new Object[0]);
                al.a("[columnNumber]: " + bbVar.k, new Object[0]);
                return bbVar;
            } catch (Throwable th) {
                if (!al.a(th)) {
                    th.printStackTrace();
                }
            }
        }
        return null;
    }

    @JavascriptInterface
    public void printLog(String str) {
        al.d("Log from js: %s", str);
    }

    @JavascriptInterface
    public void reportJSException(String str) {
        if (str == null) {
            al.d("Payload from JS is null.", new Object[0]);
            return;
        }
        String c2 = ap.c(str.getBytes());
        String str2 = this.f4672b;
        if (str2 != null && str2.equals(c2)) {
            al.d("Same payload from js. Please check whether you've injected bugly.js more than one times.", new Object[0]);
            return;
        }
        this.f4672b = c2;
        al.d("Handling JS exception ...", new Object[0]);
        bb a2 = a(str);
        if (a2 == null) {
            al.d("Failed to parse payload.", new Object[0]);
            return;
        }
        LinkedHashMap linkedHashMap = new LinkedHashMap();
        LinkedHashMap linkedHashMap2 = new LinkedHashMap();
        if (a2.f4885a != null) {
            linkedHashMap2.put("[JS] projectRoot", a2.f4885a);
        }
        if (a2.f4886b != null) {
            linkedHashMap2.put("[JS] context", a2.f4886b);
        }
        if (a2.f4887c != null) {
            linkedHashMap2.put("[JS] url", a2.f4887c);
        }
        if (a2.f4888d != null) {
            linkedHashMap2.put("[JS] userAgent", a2.f4888d);
        }
        if (a2.f4893i != null) {
            linkedHashMap2.put("[JS] file", a2.f4893i);
        }
        if (a2.f4894j != 0) {
            linkedHashMap2.put("[JS] lineNumber", Long.toString(a2.f4894j));
        }
        linkedHashMap.putAll(linkedHashMap2);
        linkedHashMap.putAll(this.f4675e);
        linkedHashMap.put("Java Stack", this.f4674d);
        Thread thread = this.f4673c;
        if (a2 != null) {
            InnerApi.postH5CrashAsync(thread, a2.f4890f, a2.f4891g, a2.f4892h, linkedHashMap);
        }
    }
}
