package com.tencent.bugly.crashreport.crash.jni;

import android.content.Context;
import android.text.TextUtils;
import com.facebook.internal.ServerProtocol;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.crashreport.crash.CrashDetailBean;
import com.tencent.bugly.proguard.aa;
import com.tencent.bugly.proguard.ab;
import com.tencent.bugly.proguard.ac;
import com.tencent.bugly.proguard.ak;
import com.tencent.bugly.proguard.al;
import com.tencent.bugly.proguard.ap;
import com.tencent.bugly.proguard.as;
import com.tencent.bugly.proguard.at;
import com.tencent.bugly.proguard.bd;
import com.tencent.bugly.proguard.be;
import com.tencent.bugly.proguard.q;
import java.io.File;
import java.util.Arrays;
import java.util.Comparator;
import org.apache.commons.lang3.time.DateUtils;

/* compiled from: BUGLY */
/* loaded from: classes3.dex */
public class NativeCrashHandler implements q {

    /* renamed from: a, reason: collision with root package name */
    static String f4676a = null;

    /* renamed from: b, reason: collision with root package name */
    private static NativeCrashHandler f4677b = null;

    /* renamed from: c, reason: collision with root package name */
    private static int f4678c = 1;
    private static boolean n = true;

    /* renamed from: d, reason: collision with root package name */
    private final Context f4679d;

    /* renamed from: e, reason: collision with root package name */
    private final aa f4680e;

    /* renamed from: f, reason: collision with root package name */
    private final ak f4681f;

    /* renamed from: g, reason: collision with root package name */
    private NativeExceptionHandler f4682g;

    /* renamed from: h, reason: collision with root package name */
    private final boolean f4683h;

    /* renamed from: i, reason: collision with root package name */
    private boolean f4684i = false;

    /* renamed from: j, reason: collision with root package name */
    private boolean f4685j = false;
    private boolean k = false;
    private boolean l = false;
    private as m;

    private native String getProperties(String str);

    private native String getSoCpuAbi();

    protected native boolean appendNativeLog(String str, String str2, String str3);

    protected native boolean appendWholeNativeLog(String str);

    protected native String getNativeKeyValueList();

    protected native String getNativeLog();

    protected native boolean putNativeKeyValue(String str, String str2);

    protected native String regist(String str, boolean z, int i2);

    protected native String removeNativeKeyValue(String str);

    protected native void setNativeInfo(int i2, String str);

    protected native void testCrash();

    protected native String unregist();

    static /* synthetic */ boolean a(NativeCrashHandler nativeCrashHandler, String str) {
        return nativeCrashHandler.a(999, str);
    }

    private NativeCrashHandler(Context context, aa aaVar, as asVar, ak akVar, boolean z, String str) {
        this.f4679d = ap.a(context);
        if (ap.b(f4676a)) {
            try {
                if (ap.b(str)) {
                    str = context.getDir("bugly", 0).getAbsolutePath();
                }
            } catch (Throwable unused) {
                str = "/data/data/" + aa.a(context).f4690c + "/app_bugly";
            }
            f4676a = str;
        }
        this.m = asVar;
        this.f4680e = aaVar;
        this.f4681f = akVar;
        this.f4683h = z;
        this.f4682g = new bd(context, aaVar, asVar, ac.a());
    }

    public static synchronized NativeCrashHandler getInstance(Context context, aa aaVar, as asVar, ac acVar, ak akVar, boolean z, String str) {
        NativeCrashHandler nativeCrashHandler;
        synchronized (NativeCrashHandler.class) {
            if (f4677b == null) {
                f4677b = new NativeCrashHandler(context, aaVar, asVar, akVar, z, str);
            }
            nativeCrashHandler = f4677b;
        }
        return nativeCrashHandler;
    }

    public static synchronized NativeCrashHandler getInstance() {
        NativeCrashHandler nativeCrashHandler;
        synchronized (NativeCrashHandler.class) {
            nativeCrashHandler = f4677b;
        }
        return nativeCrashHandler;
    }

    public static synchronized String getDumpFilePath() {
        String str;
        synchronized (NativeCrashHandler.class) {
            str = f4676a;
        }
        return str;
    }

    public static synchronized void setDumpFilePath(String str) {
        synchronized (NativeCrashHandler.class) {
            f4676a = str;
        }
    }

    public static void setShouldHandleInJava(boolean z) {
        n = z;
        NativeCrashHandler nativeCrashHandler = f4677b;
        if (nativeCrashHandler != null) {
            nativeCrashHandler.a(999, String.valueOf(z));
        }
    }

    public static boolean isShouldHandleInJava() {
        return n;
    }

    public String getRunningCpuAbi() {
        try {
            return getSoCpuAbi();
        } catch (Throwable unused) {
            al.d("get so cpu abi failed，please upgrade bugly so version", new Object[0]);
            return "";
        }
    }

    private synchronized void a(boolean z) {
        if (this.k) {
            al.d("[Native] Native crash report has already registered.", new Object[0]);
            return;
        }
        if (this.f4685j) {
            try {
                String regist = regist(f4676a, z, f4678c);
                if (regist != null) {
                    al.a("[Native] Native Crash Report enable.", new Object[0]);
                    this.f4680e.u = regist;
                    String concat = HelpFormatter.DEFAULT_OPT_PREFIX.concat(this.f4680e.u);
                    if (!at.f4815b && !this.f4680e.f4695h.contains(concat)) {
                        aa aaVar = this.f4680e;
                        aaVar.f4695h = aaVar.f4695h.concat(HelpFormatter.DEFAULT_OPT_PREFIX).concat(this.f4680e.u);
                    }
                    al.a("comInfo.sdkVersion %s", this.f4680e.f4695h);
                    this.k = true;
                    String runningCpuAbi = getRunningCpuAbi();
                    if (!TextUtils.isEmpty(runningCpuAbi)) {
                        this.f4680e.e(runningCpuAbi);
                    }
                    return;
                }
            } catch (Throwable unused) {
                al.c("[Native] Failed to load Bugly SO file.", new Object[0]);
            }
        } else if (this.f4684i) {
            try {
                Class[] clsArr = {String.class, String.class, Integer.TYPE, Integer.TYPE};
                Object[] objArr = new Object[4];
                objArr[0] = f4676a;
                objArr[1] = ab.d();
                objArr[2] = Integer.valueOf(z ? 1 : 5);
                objArr[3] = 1;
                String str = (String) ap.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "registNativeExceptionHandler2", clsArr, objArr);
                if (str == null) {
                    Class[] clsArr2 = {String.class, String.class, Integer.TYPE};
                    aa.b();
                    str = (String) ap.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "registNativeExceptionHandler", clsArr2, new Object[]{f4676a, ab.d(), Integer.valueOf(aa.B())});
                }
                if (str != null) {
                    this.k = true;
                    this.f4680e.u = str;
                    ap.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "enableHandler", new Class[]{Boolean.TYPE}, new Object[]{Boolean.TRUE});
                    ap.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "setLogMode", new Class[]{Integer.TYPE}, new Object[]{Integer.valueOf(z ? 1 : 5)});
                    String runningCpuAbi2 = getRunningCpuAbi();
                    if (!TextUtils.isEmpty(runningCpuAbi2)) {
                        this.f4680e.e(runningCpuAbi2);
                    }
                    return;
                }
            } catch (Throwable unused2) {
            }
        }
        this.f4685j = false;
        this.f4684i = false;
    }

    public synchronized void startNativeMonitor() {
        if (!this.f4685j && !this.f4684i) {
            boolean z = !ap.b(this.f4680e.t);
            if (at.f4815b) {
                boolean a2 = a(z ? this.f4680e.t : "Bugly_Native", z);
                this.f4685j = a2;
                if (!a2 && !z) {
                    this.f4684i = a("NativeRQD", false);
                }
            } else {
                String str = "Bugly_Native";
                String str2 = this.f4680e.t;
                if (z) {
                    str = str2;
                } else {
                    this.f4680e.getClass();
                }
                this.f4685j = a(str, z);
            }
            if (this.f4685j || this.f4684i) {
                a(this.f4683h);
                setNativeAppVersion(this.f4680e.o);
                setNativeAppChannel(this.f4680e.s);
                setNativeAppPackage(this.f4680e.f4690c);
                setNativeUserId(this.f4680e.f());
                setNativeIsAppForeground(this.f4680e.a());
                setNativeLaunchTime(this.f4680e.f4688a);
                return;
            }
            return;
        }
        a(this.f4683h);
    }

    public void checkUploadRecordCrash() {
        this.f4681f.a(new Runnable() { // from class: com.tencent.bugly.crashreport.crash.jni.NativeCrashHandler.1
            @Override // java.lang.Runnable
            public final void run() {
                int i2;
                if (ap.a(NativeCrashHandler.this.f4679d, "native_record_lock")) {
                    if (!NativeCrashHandler.n) {
                        NativeCrashHandler.a(NativeCrashHandler.this, "false");
                    }
                    CrashDetailBean a2 = be.a(NativeCrashHandler.this.f4679d, NativeCrashHandler.f4676a, NativeCrashHandler.this.f4682g);
                    if (a2 != null) {
                        al.a("[Native] Get crash from native record.", new Object[0]);
                        if (!NativeCrashHandler.this.m.a(a2, true)) {
                            NativeCrashHandler.this.m.b(a2, false);
                        }
                        be.a(false, NativeCrashHandler.f4676a);
                    }
                    final NativeCrashHandler nativeCrashHandler = NativeCrashHandler.this;
                    long b2 = ap.b() - at.f4822j;
                    long b3 = ap.b() + DateUtils.MILLIS_PER_DAY;
                    File file = new File(NativeCrashHandler.f4676a);
                    if (file.exists() && file.isDirectory()) {
                        try {
                            File[] listFiles = file.listFiles();
                            if (listFiles != null && listFiles.length != 0) {
                                Arrays.sort(listFiles, new Comparator<File>() { // from class: com.tencent.bugly.crashreport.crash.jni.NativeCrashHandler.2
                                    @Override // java.util.Comparator
                                    public final /* synthetic */ int compare(File file2, File file3) {
                                        return Long.compare(file3.lastModified(), file2.lastModified());
                                    }
                                });
                                int length = listFiles.length;
                                long j2 = 0;
                                int i3 = 0;
                                int i4 = 0;
                                int i5 = 0;
                                while (i3 < length) {
                                    File file2 = listFiles[i3];
                                    long lastModified = file2.lastModified();
                                    j2 += file2.length();
                                    if (lastModified >= b2 && lastModified < b3 && j2 < at.f4821i) {
                                        i2 = length;
                                        i3++;
                                        length = i2;
                                    }
                                    i2 = length;
                                    al.a("[Native] Delete record file: %s", file2.getAbsolutePath());
                                    i4++;
                                    if (file2.delete()) {
                                        i5++;
                                    }
                                    i3++;
                                    length = i2;
                                }
                                al.c("[Native] Number of record files overdue: %d, has deleted: %d", Integer.valueOf(i4), Integer.valueOf(i5));
                            }
                        } catch (Throwable th) {
                            al.a(th);
                        }
                    }
                    ap.b(NativeCrashHandler.this.f4679d, "native_record_lock");
                    return;
                }
                al.a("[Native] Failed to lock file for handling native crash record.", new Object[0]);
            }
        });
    }

    private static boolean a(String str, boolean z) {
        boolean z2;
        try {
            al.a("[Native] Trying to load so: %s", str);
            if (z) {
                System.load(str);
            } else {
                System.loadLibrary(str);
            }
            try {
                al.a("[Native] Successfully loaded SO: %s", str);
                return true;
            } catch (Throwable th) {
                th = th;
                z2 = true;
                al.d(th.getMessage(), new Object[0]);
                al.d("[Native] Failed to load so: %s", str);
                return z2;
            }
        } catch (Throwable th2) {
            th = th2;
            z2 = false;
        }
    }

    private synchronized void c() {
        if (!this.k) {
            al.d("[Native] Native crash report has already unregistered.", new Object[0]);
            return;
        }
        try {
            if (unregist() != null) {
                al.a("[Native] Successfully closed native crash report.", new Object[0]);
                this.k = false;
                return;
            }
        } catch (Throwable unused) {
            al.c("[Native] Failed to close native crash report.", new Object[0]);
        }
        try {
            ap.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "enableHandler", new Class[]{Boolean.TYPE}, new Object[]{Boolean.FALSE});
            this.k = false;
            al.a("[Native] Successfully closed native crash report.", new Object[0]);
        } catch (Throwable unused2) {
            al.c("[Native] Failed to close native crash report.", new Object[0]);
            this.f4685j = false;
            this.f4684i = false;
        }
    }

    public void testNativeCrash() {
        if (!this.f4685j) {
            al.d("[Native] Bugly SO file has not been load.", new Object[0]);
        } else {
            testCrash();
        }
    }

    public void testNativeCrash(boolean z, boolean z2, boolean z3) {
        a(16, String.valueOf(z));
        a(17, String.valueOf(z2));
        a(18, String.valueOf(z3));
        testNativeCrash();
    }

    public void dumpAnrNativeStack() {
        a(19, "1");
    }

    public void resendSigquit() {
        a(20, "");
    }

    public void unBlockSigquit(boolean z) {
        if (z) {
            a(21, ServerProtocol.DIALOG_RETURN_SCOPES_TRUE);
        } else {
            a(21, "false");
        }
    }

    public NativeExceptionHandler getNativeExceptionHandler() {
        return this.f4682g;
    }

    public void removeEmptyNativeRecordFiles() {
        be.c(f4676a);
    }

    private synchronized void b(boolean z) {
        if (z) {
            startNativeMonitor();
        } else {
            c();
        }
    }

    public synchronized boolean isUserOpened() {
        return this.l;
    }

    private synchronized void c(boolean z) {
        if (this.l != z) {
            al.a("user change native %b", Boolean.valueOf(z));
            this.l = z;
        }
    }

    public synchronized void setUserOpened(boolean z) {
        c(z);
        boolean isUserOpened = isUserOpened();
        ac a2 = ac.a();
        if (a2 != null) {
            isUserOpened = isUserOpened && a2.c().f4647f;
        }
        if (isUserOpened != this.k) {
            al.a("native changed to %b", Boolean.valueOf(isUserOpened));
            b(isUserOpened);
        }
    }

    public synchronized void onStrategyChanged(StrategyBean strategyBean) {
        if (strategyBean != null) {
            if (strategyBean.f4647f != this.k) {
                al.d("server native changed to %b", Boolean.valueOf(strategyBean.f4647f));
            }
        }
        boolean z = ac.a().c().f4647f && this.l;
        if (z != this.k) {
            al.a("native changed to %b", Boolean.valueOf(z));
            b(z);
        }
    }

    @Override // com.tencent.bugly.proguard.q
    public boolean appendLogToNative(String str, String str2, String str3) {
        if ((this.f4684i || this.f4685j) && str != null && str2 != null && str3 != null) {
            try {
                if (this.f4685j) {
                    return appendNativeLog(str, str2, str3);
                }
                Boolean bool = (Boolean) ap.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "appendNativeLog", new Class[]{String.class, String.class, String.class}, new Object[]{str, str2, str3});
                if (bool != null) {
                    return bool.booleanValue();
                }
                return false;
            } catch (UnsatisfiedLinkError unused) {
            } catch (Throwable th) {
                if (!al.a(th)) {
                    th.printStackTrace();
                }
            }
        }
        return false;
    }

    @Override // com.tencent.bugly.proguard.q
    public String getLogFromNative() {
        if (!this.f4684i && !this.f4685j) {
            return null;
        }
        try {
            if (this.f4685j) {
                return getNativeLog();
            }
            return (String) ap.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "getNativeLog", null, null);
        } catch (UnsatisfiedLinkError unused) {
            return null;
        } catch (Throwable th) {
            if (!al.a(th)) {
                th.printStackTrace();
            }
            return null;
        }
    }

    public boolean putKeyValueToNative(String str, String str2) {
        if ((this.f4684i || this.f4685j) && str != null && str2 != null) {
            try {
                if (this.f4685j) {
                    return putNativeKeyValue(str, str2);
                }
                Boolean bool = (Boolean) ap.a("com.tencent.feedback.eup.jni.NativeExceptionUpload", "putNativeKeyValue", new Class[]{String.class, String.class}, new Object[]{str, str2});
                if (bool != null) {
                    return bool.booleanValue();
                }
                return false;
            } catch (UnsatisfiedLinkError unused) {
            } catch (Throwable th) {
                if (!al.a(th)) {
                    th.printStackTrace();
                }
            }
        }
        return false;
    }

    private boolean a(int i2, String str) {
        if (!this.f4685j) {
            return false;
        }
        try {
            setNativeInfo(i2, str);
            return true;
        } catch (UnsatisfiedLinkError unused) {
            return false;
        } catch (Throwable th) {
            if (!al.a(th)) {
                th.printStackTrace();
            }
            return false;
        }
    }

    public boolean filterSigabrtSysLog() {
        return a(998, ServerProtocol.DIALOG_RETURN_SCOPES_TRUE);
    }

    public boolean setNativeAppVersion(String str) {
        return a(10, str);
    }

    public boolean setNativeAppChannel(String str) {
        return a(12, str);
    }

    public boolean setNativeAppPackage(String str) {
        return a(13, str);
    }

    public boolean setNativeUserId(String str) {
        return a(11, str);
    }

    @Override // com.tencent.bugly.proguard.q
    public boolean setNativeIsAppForeground(boolean z) {
        return a(14, z ? ServerProtocol.DIALOG_RETURN_SCOPES_TRUE : "false");
    }

    public boolean setNativeLaunchTime(long j2) {
        try {
            return a(15, String.valueOf(j2));
        } catch (NumberFormatException e2) {
            if (al.a(e2)) {
                return false;
            }
            e2.printStackTrace();
            return false;
        }
    }

    public void enableCatchAnrTrace() {
        f4678c |= 2;
    }

    public void disableCatchAnrTrace() {
        f4678c = 1;
    }

    public boolean isEnableCatchAnrTrace() {
        return (f4678c & 2) == 2;
    }

    public String getSystemProperty(String str) {
        return (this.f4685j || this.f4684i) ? getProperties(str) : "fail";
    }
}
