package com.tencent.bugly.proguard;

import android.app.ActivityManager;
import android.content.Context;
import android.os.FileObserver;
import android.text.TextUtils;
import com.realsil.sdk.dfu.DfuConstants;
import com.tencent.bugly.crashreport.crash.CrashDetailBean;
import com.tencent.bugly.crashreport.crash.anr.TraceFileHelper;
import com.tencent.bugly.crashreport.crash.jni.NativeCrashHandler;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.atomic.AtomicBoolean;
import org.eclipse.paho.android.service.MqttServiceConstants;

/* compiled from: BUGLY */
/* loaded from: classes3.dex */
public final class ay {

    /* renamed from: f, reason: collision with root package name */
    public static ay f4864f;

    /* renamed from: b, reason: collision with root package name */
    public final ActivityManager f4866b;

    /* renamed from: c, reason: collision with root package name */
    final aa f4867c;

    /* renamed from: d, reason: collision with root package name */
    final ak f4868d;

    /* renamed from: e, reason: collision with root package name */
    String f4869e;

    /* renamed from: g, reason: collision with root package name */
    private final Context f4870g;

    /* renamed from: h, reason: collision with root package name */
    private final ac f4871h;

    /* renamed from: i, reason: collision with root package name */
    private final as f4872i;
    private FileObserver k;
    private bg m;
    private int n;

    /* renamed from: a, reason: collision with root package name */
    public final AtomicBoolean f4865a = new AtomicBoolean(false);

    /* renamed from: j, reason: collision with root package name */
    private final Object f4873j = new Object();
    private boolean l = true;
    private long o = 0;

    public static synchronized ay a() {
        ay ayVar;
        synchronized (ay.class) {
            ayVar = f4864f;
        }
        return ayVar;
    }

    public ay(Context context, ac acVar, aa aaVar, ak akVar, as asVar) {
        Context a2 = ap.a(context);
        this.f4870g = a2;
        this.f4866b = (ActivityManager) a2.getSystemService("activity");
        if (ap.b(NativeCrashHandler.getDumpFilePath())) {
            this.f4869e = context.getDir("bugly", 0).getAbsolutePath();
        } else {
            this.f4869e = NativeCrashHandler.getDumpFilePath();
        }
        this.f4867c = aaVar;
        this.f4868d = akVar;
        this.f4871h = acVar;
        this.f4872i = asVar;
    }

    private CrashDetailBean a(ax axVar) {
        CrashDetailBean crashDetailBean = new CrashDetailBean();
        try {
            crashDetailBean.C = ab.j();
            crashDetailBean.D = ab.f();
            crashDetailBean.E = ab.l();
            crashDetailBean.F = this.f4867c.k();
            crashDetailBean.G = this.f4867c.j();
            crashDetailBean.H = this.f4867c.l();
            crashDetailBean.I = ab.b(this.f4870g);
            crashDetailBean.J = ab.g();
            crashDetailBean.K = ab.h();
            crashDetailBean.f4653b = 3;
            crashDetailBean.f4656e = this.f4867c.g();
            crashDetailBean.f4657f = this.f4867c.o;
            crashDetailBean.f4658g = this.f4867c.q();
            crashDetailBean.m = this.f4867c.f();
            crashDetailBean.n = "ANR_EXCEPTION";
            crashDetailBean.o = axVar.f4862f;
            crashDetailBean.q = axVar.f4863g;
            crashDetailBean.T = new HashMap();
            crashDetailBean.T.put("BUGLY_CR_01", axVar.f4861e);
            int indexOf = crashDetailBean.q != null ? crashDetailBean.q.indexOf("\n") : -1;
            crashDetailBean.p = indexOf > 0 ? crashDetailBean.q.substring(0, indexOf) : "GET_FAIL";
            crashDetailBean.r = axVar.f4859c;
            if (crashDetailBean.q != null) {
                crashDetailBean.u = ap.c(crashDetailBean.q.getBytes());
            }
            crashDetailBean.z = axVar.f4858b;
            crashDetailBean.A = axVar.f4857a;
            crashDetailBean.B = "main(1)";
            crashDetailBean.L = this.f4867c.s();
            crashDetailBean.f4659h = this.f4867c.p();
            crashDetailBean.f4660i = this.f4867c.A();
            crashDetailBean.v = axVar.f4860d;
            crashDetailBean.P = this.f4867c.u;
            crashDetailBean.Q = this.f4867c.f4688a;
            crashDetailBean.R = this.f4867c.a();
            crashDetailBean.U = this.f4867c.z();
            crashDetailBean.V = this.f4867c.x;
            crashDetailBean.W = this.f4867c.t();
            crashDetailBean.X = this.f4867c.y();
            crashDetailBean.y = ao.a();
        } catch (Throwable th) {
            if (!al.a(th)) {
                th.printStackTrace();
            }
        }
        return crashDetailBean;
    }

    private static boolean a(String str, String str2, String str3) {
        TraceFileHelper.a readTargetDumpInfo = TraceFileHelper.readTargetDumpInfo(str3, str, true);
        if (readTargetDumpInfo == null || readTargetDumpInfo.f4670d == null || readTargetDumpInfo.f4670d.isEmpty()) {
            al.e("not found trace dump for %s", str3);
            return false;
        }
        StringBuilder sb = new StringBuilder(1024);
        String[] strArr = readTargetDumpInfo.f4670d.get("main");
        if (strArr != null && strArr.length >= 3) {
            sb.append("\"main\" tid=");
            sb.append(strArr[2]);
            sb.append(" :\n");
            sb.append(strArr[0]);
            sb.append("\n");
            sb.append(strArr[1]);
            sb.append("\n\n");
        }
        for (Map.Entry<String, String[]> entry : readTargetDumpInfo.f4670d.entrySet()) {
            if (!entry.getKey().equals("main") && entry.getValue() != null && entry.getValue().length >= 3) {
                sb.append("\"");
                sb.append(entry.getKey());
                sb.append("\" tid=");
                sb.append(entry.getValue()[2]);
                sb.append(" :\n");
                sb.append(entry.getValue()[0]);
                sb.append("\n");
                sb.append(entry.getValue()[1]);
                sb.append("\n\n");
            }
        }
        return am.a(str2, sb.toString(), sb.length() * 2);
    }

    private static String a(List<ba> list, long j2) {
        if (list == null || list.isEmpty()) {
            return "main thread stack not enable";
        }
        StringBuilder sb = new StringBuilder(4096);
        sb.append("\n>>>>> 以下为anr过程中主线程堆栈记录，可根据堆栈出现次数推测在该堆栈阻塞的时间，出现次数越多对anr贡献越大，越可能是造成anr的原因 >>>>>\n\n>>>>> Thread Stack Traces Records Start >>>>>\n");
        for (int i2 = 0; i2 < list.size(); i2++) {
            ba baVar = list.get(i2);
            sb.append("Thread name:");
            sb.append(baVar.f4880a);
            sb.append("\n");
            long j3 = baVar.f4881b - j2;
            String str = j3 <= 0 ? "before " : "after ";
            sb.append("Got ");
            sb.append(str);
            sb.append("anr:");
            sb.append(Math.abs(j3));
            sb.append("ms\n");
            sb.append(baVar.f4882c);
            sb.append("\n");
            if (sb.length() * 2 >= 101376) {
                break;
            }
        }
        sb.append("\n<<<<< Thread Stack Traces Records End <<<<<\n");
        return sb.toString();
    }

    public final boolean a(boolean z) {
        boolean compareAndSet = this.f4865a.compareAndSet(!z, z);
        al.c("tryChangeAnrState to %s, success:%s", Boolean.valueOf(z), Boolean.valueOf(compareAndSet));
        return compareAndSet;
    }

    private synchronized void c() {
        if (e()) {
            al.d("start when started!", new Object[0]);
            return;
        }
        FileObserver fileObserver = new FileObserver("/data/anr/") { // from class: com.tencent.bugly.proguard.ay.1
            @Override // android.os.FileObserver
            public final void onEvent(int i2, String str) {
                if (str == null) {
                    return;
                }
                final String concat = "/data/anr/".concat(String.valueOf(str));
                al.d("watching file %s", concat);
                if (!concat.contains(MqttServiceConstants.TRACE_ACTION)) {
                    al.d("not anr file %s", concat);
                } else {
                    ay.this.f4868d.a(new Runnable() { // from class: com.tencent.bugly.proguard.ay.1.1
                        @Override // java.lang.Runnable
                        public final void run() {
                            ay ayVar = ay.this;
                            String str2 = concat;
                            if (ayVar.a(true)) {
                                try {
                                    al.c("read trace first dump for create time!", new Object[0]);
                                    TraceFileHelper.a readFirstDumpInfo = TraceFileHelper.readFirstDumpInfo(str2, false);
                                    long j2 = readFirstDumpInfo != null ? readFirstDumpInfo.f4669c : -1L;
                                    if (j2 == -1) {
                                        al.d("trace dump fail could not get time!", new Object[0]);
                                        j2 = System.currentTimeMillis();
                                    }
                                    if (ayVar.a(j2)) {
                                        return;
                                    }
                                    ayVar.a(j2, str2);
                                } catch (Throwable th) {
                                    if (!al.a(th)) {
                                        th.printStackTrace();
                                    }
                                    al.e("handle anr error %s", th.getClass().toString());
                                }
                            }
                        }
                    });
                }
            }
        };
        this.k = fileObserver;
        try {
            fileObserver.startWatching();
            al.a("start anr monitor!", new Object[0]);
            this.f4868d.a(new Runnable() { // from class: com.tencent.bugly.proguard.ay.2
                @Override // java.lang.Runnable
                public final void run() {
                    ay.a(ay.this);
                }
            });
        } catch (Throwable th) {
            this.k = null;
            al.d("start anr monitor failed!", new Object[0]);
            if (al.a(th)) {
                return;
            }
            th.printStackTrace();
        }
    }

    private synchronized void d() {
        if (!e()) {
            al.d("close when closed!", new Object[0]);
            return;
        }
        try {
            this.k.stopWatching();
            this.k = null;
            al.d("close anr monitor!", new Object[0]);
        } catch (Throwable th) {
            al.d("stop anr monitor failed!", new Object[0]);
            if (al.a(th)) {
                return;
            }
            th.printStackTrace();
        }
    }

    private synchronized boolean e() {
        return this.k != null;
    }

    private synchronized void c(boolean z) {
        if (z) {
            g();
        } else {
            h();
        }
    }

    private synchronized boolean f() {
        return this.l;
    }

    private synchronized void d(boolean z) {
        if (this.l != z) {
            al.a("user change anr %b", Boolean.valueOf(z));
            this.l = z;
        }
    }

    public final void b(boolean z) {
        d(z);
        boolean f2 = f();
        ac a2 = ac.a();
        if (a2 != null) {
            f2 = f2 && a2.c().f4647f;
        }
        if (f2 != e()) {
            al.a("anr changed to %b", Boolean.valueOf(f2));
            c(f2);
        }
    }

    public final synchronized void b() {
        al.d("customer decides whether to open or close.", new Object[0]);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* JADX WARN: Removed duplicated region for block: B:20:0x0068  */
    /* JADX WARN: Removed duplicated region for block: B:21:0x0069 A[Catch: all -> 0x0212, TryCatch #0 {all -> 0x0212, blocks: (B:3:0x0007, B:4:0x0017, B:10:0x0029, B:12:0x0049, B:14:0x004f, B:18:0x0059, B:21:0x0069, B:23:0x007a, B:27:0x0085, B:29:0x008e, B:30:0x0099, B:32:0x009d, B:33:0x00a2, B:35:0x00a6, B:36:0x00ab, B:38:0x00b9, B:39:0x00bd, B:42:0x00ee, B:44:0x010e, B:47:0x011b, B:49:0x0144, B:50:0x0172, B:51:0x0174, B:58:0x0184, B:59:0x0195, B:60:0x01a6, B:62:0x01b7, B:63:0x01c6, B:66:0x01e4, B:68:0x01ea, B:69:0x01ef, B:70:0x01f6, B:81:0x020e, B:83:0x01bf, B:88:0x019e, B:89:0x015c, B:90:0x019f, B:91:0x00e8, B:94:0x0091, B:96:0x0072, B:100:0x0211, B:72:0x01f7, B:74:0x01fb, B:75:0x0207, B:53:0x0175, B:55:0x0179, B:56:0x0181, B:6:0x0018, B:8:0x001c, B:9:0x0028), top: B:2:0x0007, inners: #2, #3, #4 }] */
    /* JADX WARN: Removed duplicated region for block: B:23:0x007a A[Catch: all -> 0x0212, TRY_LEAVE, TryCatch #0 {all -> 0x0212, blocks: (B:3:0x0007, B:4:0x0017, B:10:0x0029, B:12:0x0049, B:14:0x004f, B:18:0x0059, B:21:0x0069, B:23:0x007a, B:27:0x0085, B:29:0x008e, B:30:0x0099, B:32:0x009d, B:33:0x00a2, B:35:0x00a6, B:36:0x00ab, B:38:0x00b9, B:39:0x00bd, B:42:0x00ee, B:44:0x010e, B:47:0x011b, B:49:0x0144, B:50:0x0172, B:51:0x0174, B:58:0x0184, B:59:0x0195, B:60:0x01a6, B:62:0x01b7, B:63:0x01c6, B:66:0x01e4, B:68:0x01ea, B:69:0x01ef, B:70:0x01f6, B:81:0x020e, B:83:0x01bf, B:88:0x019e, B:89:0x015c, B:90:0x019f, B:91:0x00e8, B:94:0x0091, B:96:0x0072, B:100:0x0211, B:72:0x01f7, B:74:0x01fb, B:75:0x0207, B:53:0x0175, B:55:0x0179, B:56:0x0181, B:6:0x0018, B:8:0x001c, B:9:0x0028), top: B:2:0x0007, inners: #2, #3, #4 }] */
    /* JADX WARN: Removed duplicated region for block: B:27:0x0085 A[Catch: all -> 0x0212, TRY_ENTER, TryCatch #0 {all -> 0x0212, blocks: (B:3:0x0007, B:4:0x0017, B:10:0x0029, B:12:0x0049, B:14:0x004f, B:18:0x0059, B:21:0x0069, B:23:0x007a, B:27:0x0085, B:29:0x008e, B:30:0x0099, B:32:0x009d, B:33:0x00a2, B:35:0x00a6, B:36:0x00ab, B:38:0x00b9, B:39:0x00bd, B:42:0x00ee, B:44:0x010e, B:47:0x011b, B:49:0x0144, B:50:0x0172, B:51:0x0174, B:58:0x0184, B:59:0x0195, B:60:0x01a6, B:62:0x01b7, B:63:0x01c6, B:66:0x01e4, B:68:0x01ea, B:69:0x01ef, B:70:0x01f6, B:81:0x020e, B:83:0x01bf, B:88:0x019e, B:89:0x015c, B:90:0x019f, B:91:0x00e8, B:94:0x0091, B:96:0x0072, B:100:0x0211, B:72:0x01f7, B:74:0x01fb, B:75:0x0207, B:53:0x0175, B:55:0x0179, B:56:0x0181, B:6:0x0018, B:8:0x001c, B:9:0x0028), top: B:2:0x0007, inners: #2, #3, #4 }] */
    /* JADX WARN: Removed duplicated region for block: B:62:0x01b7 A[Catch: all -> 0x0212, TryCatch #0 {all -> 0x0212, blocks: (B:3:0x0007, B:4:0x0017, B:10:0x0029, B:12:0x0049, B:14:0x004f, B:18:0x0059, B:21:0x0069, B:23:0x007a, B:27:0x0085, B:29:0x008e, B:30:0x0099, B:32:0x009d, B:33:0x00a2, B:35:0x00a6, B:36:0x00ab, B:38:0x00b9, B:39:0x00bd, B:42:0x00ee, B:44:0x010e, B:47:0x011b, B:49:0x0144, B:50:0x0172, B:51:0x0174, B:58:0x0184, B:59:0x0195, B:60:0x01a6, B:62:0x01b7, B:63:0x01c6, B:66:0x01e4, B:68:0x01ea, B:69:0x01ef, B:70:0x01f6, B:81:0x020e, B:83:0x01bf, B:88:0x019e, B:89:0x015c, B:90:0x019f, B:91:0x00e8, B:94:0x0091, B:96:0x0072, B:100:0x0211, B:72:0x01f7, B:74:0x01fb, B:75:0x0207, B:53:0x0175, B:55:0x0179, B:56:0x0181, B:6:0x0018, B:8:0x001c, B:9:0x0028), top: B:2:0x0007, inners: #2, #3, #4 }] */
    /* JADX WARN: Removed duplicated region for block: B:65:0x01e1  */
    /* JADX WARN: Removed duplicated region for block: B:68:0x01ea A[Catch: all -> 0x0212, TryCatch #0 {all -> 0x0212, blocks: (B:3:0x0007, B:4:0x0017, B:10:0x0029, B:12:0x0049, B:14:0x004f, B:18:0x0059, B:21:0x0069, B:23:0x007a, B:27:0x0085, B:29:0x008e, B:30:0x0099, B:32:0x009d, B:33:0x00a2, B:35:0x00a6, B:36:0x00ab, B:38:0x00b9, B:39:0x00bd, B:42:0x00ee, B:44:0x010e, B:47:0x011b, B:49:0x0144, B:50:0x0172, B:51:0x0174, B:58:0x0184, B:59:0x0195, B:60:0x01a6, B:62:0x01b7, B:63:0x01c6, B:66:0x01e4, B:68:0x01ea, B:69:0x01ef, B:70:0x01f6, B:81:0x020e, B:83:0x01bf, B:88:0x019e, B:89:0x015c, B:90:0x019f, B:91:0x00e8, B:94:0x0091, B:96:0x0072, B:100:0x0211, B:72:0x01f7, B:74:0x01fb, B:75:0x0207, B:53:0x0175, B:55:0x0179, B:56:0x0181, B:6:0x0018, B:8:0x001c, B:9:0x0028), top: B:2:0x0007, inners: #2, #3, #4 }] */
    /* JADX WARN: Removed duplicated region for block: B:71:0x01f7 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:82:0x01e3  */
    /* JADX WARN: Removed duplicated region for block: B:83:0x01bf A[Catch: all -> 0x0212, TryCatch #0 {all -> 0x0212, blocks: (B:3:0x0007, B:4:0x0017, B:10:0x0029, B:12:0x0049, B:14:0x004f, B:18:0x0059, B:21:0x0069, B:23:0x007a, B:27:0x0085, B:29:0x008e, B:30:0x0099, B:32:0x009d, B:33:0x00a2, B:35:0x00a6, B:36:0x00ab, B:38:0x00b9, B:39:0x00bd, B:42:0x00ee, B:44:0x010e, B:47:0x011b, B:49:0x0144, B:50:0x0172, B:51:0x0174, B:58:0x0184, B:59:0x0195, B:60:0x01a6, B:62:0x01b7, B:63:0x01c6, B:66:0x01e4, B:68:0x01ea, B:69:0x01ef, B:70:0x01f6, B:81:0x020e, B:83:0x01bf, B:88:0x019e, B:89:0x015c, B:90:0x019f, B:91:0x00e8, B:94:0x0091, B:96:0x0072, B:100:0x0211, B:72:0x01f7, B:74:0x01fb, B:75:0x0207, B:53:0x0175, B:55:0x0179, B:56:0x0181, B:6:0x0018, B:8:0x001c, B:9:0x0028), top: B:2:0x0007, inners: #2, #3, #4 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final void a(long r19, java.lang.String r21) {
        /*
            Method dump skipped, instructions count: 544
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.tencent.bugly.proguard.ay.a(long, java.lang.String):void");
    }

    private synchronized void g() {
        if (e()) {
            al.d("start when started!", new Object[0]);
            return;
        }
        if (TextUtils.isEmpty(this.f4869e)) {
            return;
        }
        synchronized (this.f4873j) {
            bg bgVar = this.m;
            if (bgVar == null || !bgVar.isAlive()) {
                bg bgVar2 = new bg();
                this.m = bgVar2;
                boolean z = this.f4867c.S;
                bgVar2.f4910b = z;
                al.c("set record stack trace enable:".concat(String.valueOf(z)), new Object[0]);
                bg bgVar3 = this.m;
                StringBuilder sb = new StringBuilder("Bugly-ThreadMonitor");
                int i2 = this.n;
                this.n = i2 + 1;
                sb.append(i2);
                bgVar3.setName(sb.toString());
                this.m.b();
            }
        }
        FileObserver fileObserver = new FileObserver(this.f4869e) { // from class: com.tencent.bugly.proguard.ay.3
            @Override // android.os.FileObserver
            public final void onEvent(int i3, String str) {
                if (str == null) {
                    return;
                }
                al.d("observe file, dir:%s fileName:%s", ay.this.f4869e, str);
                if (!(str.startsWith("manual_bugly_trace_") && str.endsWith(".txt"))) {
                    al.c("not manual trace file, ignore.", new Object[0]);
                    return;
                }
                if (!ay.this.f4865a.get()) {
                    al.c("proc is not in anr, just ignore", new Object[0]);
                    return;
                }
                if (ay.this.f4867c.a()) {
                    al.c("Found foreground anr, resend sigquit immediately.", new Object[0]);
                    NativeCrashHandler.getInstance().resendSigquit();
                    long a2 = am.a(str, "manual_bugly_trace_", ".txt");
                    ay.this.a(a2, ay.this.f4869e + "/" + str);
                    al.c("Finish handling one anr.", new Object[0]);
                    return;
                }
                al.c("Found background anr, resend sigquit later.", new Object[0]);
                long a3 = am.a(str, "manual_bugly_trace_", ".txt");
                ay.this.a(a3, ay.this.f4869e + "/" + str);
                al.c("Finish handling one anr, now resend sigquit.", new Object[0]);
                NativeCrashHandler.getInstance().resendSigquit();
            }
        };
        this.k = fileObserver;
        try {
            fileObserver.startWatching();
            al.a("startWatchingPrivateAnrDir! dumFilePath is %s", this.f4869e);
            this.f4868d.a(new Runnable() { // from class: com.tencent.bugly.proguard.ay.4
                @Override // java.lang.Runnable
                public final void run() {
                    ay.a(ay.this);
                }
            });
        } catch (Throwable th) {
            this.k = null;
            al.d("startWatchingPrivateAnrDir failed!", new Object[0]);
            if (al.a(th)) {
                return;
            }
            th.printStackTrace();
        }
    }

    public final boolean a(long j2) {
        if (Math.abs(j2 - this.o) < 10000) {
            al.d("should not process ANR too Fre in %dms", Integer.valueOf(DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME));
            return true;
        }
        this.o = j2;
        return false;
    }

    private synchronized void h() {
        if (!e()) {
            al.d("close when closed!", new Object[0]);
            return;
        }
        synchronized (this.f4873j) {
            bg bgVar = this.m;
            if (bgVar != null) {
                bgVar.a();
                this.m = null;
            }
        }
        al.a("stopWatchingPrivateAnrDir", new Object[0]);
        try {
            this.k.stopWatching();
            this.k = null;
            al.d("close anr monitor!", new Object[0]);
        } catch (Throwable th) {
            al.d("stop anr monitor failed!", new Object[0]);
            if (al.a(th)) {
                return;
            }
            th.printStackTrace();
        }
    }

    static /* synthetic */ void a(ay ayVar) {
        long currentTimeMillis = (at.f4822j + System.currentTimeMillis()) - ap.b();
        am.a(ayVar.f4869e, "bugly_trace_", ".txt", currentTimeMillis);
        am.a(ayVar.f4869e, "manual_bugly_trace_", ".txt", currentTimeMillis);
        am.a(ayVar.f4869e, "main_stack_record_", ".txt", currentTimeMillis);
        am.a(ayVar.f4869e, "main_stack_record_", ".txt.merged", currentTimeMillis);
    }
}
