package com.tencent.bugly.proguard;

import android.content.Context;
import android.text.TextUtils;
import android.util.Log;
import com.facebook.devicerequests.internal.DeviceRequestsHelper;
import com.tencent.bugly.BuglyStrategy;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/* compiled from: BUGLY */
/* loaded from: classes3.dex */
public final class p {

    /* renamed from: a, reason: collision with root package name */
    public static boolean f5024a = true;

    /* renamed from: b, reason: collision with root package name */
    public static List<o> f5025b = new ArrayList();

    /* renamed from: c, reason: collision with root package name */
    public static boolean f5026c;

    /* renamed from: d, reason: collision with root package name */
    private static w f5027d;

    /* renamed from: e, reason: collision with root package name */
    private static boolean f5028e;

    private static boolean a(aa aaVar) {
        List<String> list = aaVar.v;
        aaVar.getClass();
        return list != null && list.contains("bugly");
    }

    public static synchronized void a(Context context) {
        synchronized (p.class) {
            a(context, null);
        }
    }

    public static synchronized void a(Context context, BuglyStrategy buglyStrategy) {
        synchronized (p.class) {
            if (f5028e) {
                al.d("[init] initial Multi-times, ignore this.", new Object[0]);
                return;
            }
            if (context == null) {
                Log.w(al.f4759b, "[init] context of init() is null, check it.");
                return;
            }
            aa a2 = aa.a(context);
            if (a(a2)) {
                f5024a = false;
                return;
            }
            String e2 = a2.e();
            if (e2 == null) {
                Log.e(al.f4759b, "[init] meta data of BUGLY_APPID in AndroidManifest.xml should be set.");
            } else {
                a(context, e2, a2.D, buglyStrategy);
            }
        }
    }

    public static synchronized void a(Context context, String str, boolean z, BuglyStrategy buglyStrategy) {
        byte[] bArr;
        synchronized (p.class) {
            if (f5028e) {
                al.d("[init] initial Multi-times, ignore this.", new Object[0]);
                return;
            }
            if (context == null) {
                Log.w(al.f4759b, "[init] context is null, check it.");
                return;
            }
            if (str == null) {
                Log.e(al.f4759b, "init arg 'crashReportAppID' should not be null!");
                return;
            }
            f5028e = true;
            if (z) {
                f5026c = true;
                al.f4760c = true;
                al.d("Bugly debug模式开启，请在发布时把isDebug关闭。 -- Running in debug model for 'isDebug' is enabled. Please disable it when you release.", new Object[0]);
                al.e("--------------------------------------------------------------------------------------------", new Object[0]);
                al.d("Bugly debug模式将有以下行为特性 -- The following list shows the behaviour of debug model: ", new Object[0]);
                al.d("[1] 输出详细的Bugly SDK的Log -- More detailed log of Bugly SDK will be output to logcat;", new Object[0]);
                al.d("[2] 每一条Crash都会被立即上报 -- Every crash caught by Bugly will be uploaded immediately.", new Object[0]);
                al.d("[3] 自定义日志将会在Logcat中输出 -- Custom log will be output to logcat.", new Object[0]);
                al.e("--------------------------------------------------------------------------------------------", new Object[0]);
                al.b("[init] Open debug mode of Bugly.", new Object[0]);
            }
            al.a(" crash report start initializing...", new Object[0]);
            al.b("[init] Bugly start initializing...", new Object[0]);
            al.a("[init] Bugly complete version: v%s", "4.1.9.3");
            Context a2 = ap.a(context);
            aa a3 = aa.a(a2);
            a3.o();
            ao.a(a2);
            f5027d = w.a(a2, f5025b);
            ai.a(a2);
            ac.a(a2, f5025b);
            u a4 = u.a(a2);
            if (a(a3)) {
                f5024a = false;
                return;
            }
            a3.r = str;
            a3.b("APP_ID", str);
            al.a("[param] Set APP ID:%s", str);
            if (buglyStrategy != null) {
                String appVersion = buglyStrategy.getAppVersion();
                if (!TextUtils.isEmpty(appVersion)) {
                    if (appVersion.length() > 100) {
                        String substring = appVersion.substring(0, 100);
                        al.d("appVersion %s length is over limit %d substring to %s", appVersion, 100, substring);
                        appVersion = substring;
                    }
                    a3.o = appVersion;
                    al.a("[param] Set App version: %s", buglyStrategy.getAppVersion());
                }
                try {
                    if (buglyStrategy.isReplaceOldChannel()) {
                        String appChannel = buglyStrategy.getAppChannel();
                        if (!TextUtils.isEmpty(appChannel)) {
                            if (appChannel.length() > 100) {
                                String substring2 = appChannel.substring(0, 100);
                                al.d("appChannel %s length is over limit %d substring to %s", appChannel, 100, substring2);
                                appChannel = substring2;
                            }
                            f5027d.a(556, "app_channel", appChannel.getBytes(), false);
                            a3.s = appChannel;
                        }
                    } else {
                        Map<String, byte[]> a5 = f5027d.a(556, (v) null);
                        if (a5 != null && (bArr = a5.get("app_channel")) != null) {
                            a3.s = new String(bArr);
                        }
                    }
                    al.a("[param] Set App channel: %s", a3.s);
                } catch (Exception e2) {
                    if (f5026c) {
                        e2.printStackTrace();
                    }
                }
                String appPackageName = buglyStrategy.getAppPackageName();
                if (!TextUtils.isEmpty(appPackageName)) {
                    if (appPackageName.length() > 100) {
                        String substring3 = appPackageName.substring(0, 100);
                        al.d("appPackageName %s length is over limit %d substring to %s", appPackageName, 100, substring3);
                        appPackageName = substring3;
                    }
                    a3.f4690c = appPackageName;
                    al.a("[param] Set App package: %s", buglyStrategy.getAppPackageName());
                }
                String deviceID = buglyStrategy.getDeviceID();
                if (deviceID != null) {
                    if (deviceID.length() > 100) {
                        String substring4 = deviceID.substring(0, 100);
                        al.d("deviceId %s length is over limit %d substring to %s", deviceID, 100, substring4);
                        deviceID = substring4;
                    }
                    a3.a(deviceID);
                    al.a("[param] Set device ID: %s", deviceID);
                }
                String deviceModel = buglyStrategy.getDeviceModel();
                if (deviceModel != null) {
                    a3.b(deviceModel);
                    al.a("[param] Set device model: %s", deviceModel);
                }
                a3.f4693f = buglyStrategy.isUploadProcess();
                ao.f4765b = buglyStrategy.isBuglyLogUpload();
            }
            for (int i2 = 0; i2 < f5025b.size(); i2++) {
                try {
                    if (a4.b(f5025b.get(i2).id)) {
                        f5025b.get(i2).init(a2, z, buglyStrategy);
                    }
                } catch (Throwable th) {
                    if (!al.a(th)) {
                        th.printStackTrace();
                    }
                }
            }
            s.a(a2, buglyStrategy);
            long appReportDelay = buglyStrategy != null ? buglyStrategy.getAppReportDelay() : 0L;
            final ac a6 = ac.a();
            a6.f4705c.a(new Thread() { // from class: com.tencent.bugly.proguard.ac.1
                @Override // java.lang.Thread, java.lang.Runnable
                public final void run() {
                    try {
                        Map<String, byte[]> a7 = w.a().a(ac.f4701a, (v) null);
                        if (a7 != null) {
                            byte[] bArr2 = a7.get(DeviceRequestsHelper.DEVICE_INFO_DEVICE);
                            byte[] bArr3 = a7.get("gateway");
                            if (bArr2 != null) {
                                aa.a(ac.this.f4709h).d(new String(bArr2));
                            }
                            if (bArr3 != null) {
                                aa.a(ac.this.f4709h).c(new String(bArr3));
                            }
                        }
                        ac.this.f4708g = ac.d();
                        if (ac.this.f4708g != null) {
                            if (ap.b(ac.f4704i) || !ap.d(ac.f4704i)) {
                                ac.this.f4708g.q = StrategyBean.f4642a;
                                ac.this.f4708g.r = StrategyBean.f4643b;
                            } else {
                                ac.this.f4708g.q = ac.f4704i;
                                ac.this.f4708g.r = ac.f4704i;
                            }
                        }
                    } catch (Throwable th2) {
                        if (!al.a(th2)) {
                            th2.printStackTrace();
                        }
                    }
                    ac acVar = ac.this;
                    acVar.a(acVar.f4708g, false);
                }
            }, appReportDelay);
            al.b("[init] Bugly initialization finished.", new Object[0]);
        }
    }

    public static synchronized void a(o oVar) {
        synchronized (p.class) {
            if (!f5025b.contains(oVar)) {
                f5025b.add(oVar);
            }
        }
    }
}
