package com.tencent.open;

import android.R;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Paint;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.SystemClock;
import android.view.View;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.widget.RelativeLayout;
import android.widget.Toast;
import com.facebook.internal.NativeProtocol;
import com.tencent.connect.auth.QQToken;
import com.tencent.connect.common.Constants;
import com.tencent.open.b;
import com.tencent.open.b.h;
import com.tencent.open.c.a;
import com.tencent.open.log.SLog;
import com.tencent.open.utils.j;
import com.tencent.open.utils.m;
import com.tencent.tauth.DefaultUiListener;
import com.tencent.tauth.IUiListener;
import com.tencent.tauth.UiError;
import java.lang.ref.WeakReference;
import org.json.JSONException;
import org.json.JSONObject;

/* compiled from: ProGuard */
/* loaded from: classes3.dex */
public class d extends com.tencent.open.c implements a.InterfaceC0074a {

    /* renamed from: c, reason: collision with root package name */
    static Toast f5419c;

    /* renamed from: d, reason: collision with root package name */
    private String f5420d;

    /* renamed from: e, reason: collision with root package name */
    private IUiListener f5421e;

    /* renamed from: f, reason: collision with root package name */
    private c f5422f;

    /* renamed from: g, reason: collision with root package name */
    private Handler f5423g;

    /* renamed from: h, reason: collision with root package name */
    private com.tencent.open.c.a f5424h;

    /* renamed from: i, reason: collision with root package name */
    private com.tencent.open.c.b f5425i;

    /* renamed from: j, reason: collision with root package name */
    private WeakReference<Context> f5426j;
    private int k;

    public d(Context context, String str, String str2, IUiListener iUiListener, QQToken qQToken) {
        super(context, R.style.Theme.Translucent.NoTitleBar);
        this.f5426j = new WeakReference<>(context);
        this.f5420d = str2;
        this.f5422f = new c(context, str, str2, qQToken.getAppId(), iUiListener);
        this.f5423g = new HandlerC0075d(this.f5422f, context.getMainLooper());
        this.f5421e = iUiListener;
        this.k = Math.round(context.getResources().getDisplayMetrics().density * 185.0f);
        SLog.e("openSDK_LOG.PKDialog", "density=" + context.getResources().getDisplayMetrics().density + "; webviewHeight=" + this.k);
    }

    @Override // android.app.Dialog
    public void onBackPressed() {
        super.onBackPressed();
    }

    @Override // com.tencent.open.c, android.app.Dialog
    protected void onCreate(Bundle bundle) {
        requestWindowFeature(1);
        super.onCreate(bundle);
        getWindow().setSoftInputMode(16);
        getWindow().setSoftInputMode(1);
        b();
        c();
    }

    private void b() {
        com.tencent.open.c.a aVar = new com.tencent.open.c.a(this.f5426j.get());
        this.f5424h = aVar;
        aVar.setBackgroundColor(1711276032);
        this.f5424h.setLayoutParams(new RelativeLayout.LayoutParams(-1, -1));
        com.tencent.open.c.b bVar = new com.tencent.open.c.b(this.f5426j.get());
        this.f5425i = bVar;
        bVar.setBackgroundColor(0);
        this.f5425i.setBackgroundDrawable(null);
        try {
            View.class.getMethod("setLayerType", Integer.TYPE, Paint.class).invoke(this.f5425i, 1, new Paint());
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-1, this.k);
        layoutParams.addRule(13, -1);
        this.f5425i.setLayoutParams(layoutParams);
        this.f5424h.addView(this.f5425i);
        this.f5424h.a(this);
        setContentView(this.f5424h);
    }

    private void c() {
        this.f5425i.setVerticalScrollBarEnabled(false);
        this.f5425i.setHorizontalScrollBarEnabled(false);
        this.f5425i.setWebViewClient(new a());
        this.f5425i.setWebChromeClient(this.f5410b);
        this.f5425i.clearFormData();
        WebSettings settings = this.f5425i.getSettings();
        if (settings == null) {
            return;
        }
        com.tencent.open.web.a.a(this.f5425i);
        settings.setSaveFormData(false);
        settings.setCacheMode(-1);
        settings.setNeedInitialFocus(false);
        settings.setBuiltInZoomControls(true);
        settings.setSupportZoom(true);
        settings.setRenderPriority(WebSettings.RenderPriority.HIGH);
        WeakReference<Context> weakReference = this.f5426j;
        if (weakReference != null && weakReference.get() != null) {
            settings.setDatabaseEnabled(true);
            settings.setDatabasePath(this.f5426j.get().getApplicationContext().getDir("databases", 0).getPath());
        }
        settings.setDomStorageEnabled(true);
        this.f5409a.a(new b(), "sdk_js_if");
        this.f5425i.clearView();
        this.f5425i.loadUrl(this.f5420d);
    }

    /* compiled from: ProGuard */
    private class b extends b.C0073b {
        private b() {
        }
    }

    /* compiled from: ProGuard */
    private class a extends WebViewClient {
        private a() {
        }

        @Override // android.webkit.WebViewClient
        public boolean shouldOverrideUrlLoading(WebView webView, String str) {
            SLog.v("openSDK_LOG.PKDialog", "Redirect URL: " + str);
            if (str.startsWith(j.a().a((Context) d.this.f5426j.get(), "auth://tauth.qq.com/"))) {
                d.this.f5422f.onComplete(m.c(str));
                d.this.dismiss();
                return true;
            }
            if (str.startsWith(Constants.CANCEL_URI)) {
                d.this.f5422f.onCancel();
                d.this.dismiss();
                return true;
            }
            if (!str.startsWith(Constants.CLOSE_URI)) {
                return false;
            }
            d.this.dismiss();
            return true;
        }

        @Override // android.webkit.WebViewClient
        public void onReceivedError(WebView webView, int i2, String str, String str2) {
            super.onReceivedError(webView, i2, str, str2);
            d.this.f5422f.onError(new UiError(i2, str, str2));
            if (d.this.f5426j != null && d.this.f5426j.get() != null) {
                Toast.makeText((Context) d.this.f5426j.get(), "网络连接异常或系统错误", 0).show();
            }
            d.this.dismiss();
        }

        @Override // android.webkit.WebViewClient
        public void onPageStarted(WebView webView, String str, Bitmap bitmap) {
            SLog.v("openSDK_LOG.PKDialog", "Webview loading URL: " + str);
            super.onPageStarted(webView, str, bitmap);
        }

        @Override // android.webkit.WebViewClient
        public void onPageFinished(WebView webView, String str) {
            super.onPageFinished(webView, str);
            d.this.f5425i.setVisibility(0);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static void c(Context context, String str) {
        try {
            JSONObject d2 = m.d(str);
            int i2 = d2.getInt("type");
            String string = d2.getString("msg");
            if (i2 == 0) {
                Toast toast = f5419c;
                if (toast == null) {
                    f5419c = Toast.makeText(context, string, 0);
                } else {
                    toast.setView(toast.getView());
                    f5419c.setText(string);
                    f5419c.setDuration(0);
                }
                f5419c.show();
                return;
            }
            if (i2 == 1) {
                Toast toast2 = f5419c;
                if (toast2 == null) {
                    f5419c = Toast.makeText(context, string, 1);
                } else {
                    toast2.setView(toast2.getView());
                    f5419c.setText(string);
                    f5419c.setDuration(1);
                }
                f5419c.show();
            }
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static void d(Context context, String str) {
        if (context == null || str == null) {
            return;
        }
        try {
            JSONObject d2 = m.d(str);
            d2.getInt(NativeProtocol.WEB_DIALOG_ACTION);
            d2.getString("msg");
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
    }

    /* compiled from: ProGuard */
    /* renamed from: com.tencent.open.d$d, reason: collision with other inner class name */
    private class HandlerC0075d extends Handler {

        /* renamed from: b, reason: collision with root package name */
        private c f5435b;

        public HandlerC0075d(c cVar, Looper looper) {
            super(looper);
            this.f5435b = cVar;
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            SLog.d("openSDK_LOG.PKDialog", "msg = " + message.what);
            int i2 = message.what;
            if (i2 == 1) {
                this.f5435b.a((String) message.obj);
                return;
            }
            if (i2 == 2) {
                this.f5435b.onCancel();
                return;
            }
            if (i2 != 3) {
                if (i2 != 5 || d.this.f5426j == null || d.this.f5426j.get() == null) {
                    return;
                }
                d.d((Context) d.this.f5426j.get(), (String) message.obj);
                return;
            }
            if (d.this.f5426j == null || d.this.f5426j.get() == null) {
                return;
            }
            d.c((Context) d.this.f5426j.get(), (String) message.obj);
        }
    }

    /* compiled from: ProGuard */
    private static class c extends DefaultUiListener {

        /* renamed from: a, reason: collision with root package name */
        String f5429a;

        /* renamed from: b, reason: collision with root package name */
        String f5430b;

        /* renamed from: c, reason: collision with root package name */
        private WeakReference<Context> f5431c;

        /* renamed from: d, reason: collision with root package name */
        private String f5432d;

        /* renamed from: e, reason: collision with root package name */
        private IUiListener f5433e;

        public c(Context context, String str, String str2, String str3, IUiListener iUiListener) {
            this.f5431c = new WeakReference<>(context);
            this.f5432d = str;
            this.f5429a = str2;
            this.f5430b = str3;
            this.f5433e = iUiListener;
        }

        /* JADX INFO: Access modifiers changed from: private */
        public void a(String str) {
            try {
                onComplete(m.d(str));
            } catch (JSONException e2) {
                e2.printStackTrace();
                onError(new UiError(-4, Constants.MSG_JSON_ERROR, str));
            }
        }

        @Override // com.tencent.tauth.DefaultUiListener, com.tencent.tauth.IUiListener
        public void onComplete(Object obj) {
            JSONObject jSONObject = (JSONObject) obj;
            h.a().a(this.f5432d + "_H5", SystemClock.elapsedRealtime(), 0L, 0L, jSONObject.optInt("ret", -6), this.f5429a, false);
            IUiListener iUiListener = this.f5433e;
            if (iUiListener != null) {
                iUiListener.onComplete(jSONObject);
                this.f5433e = null;
            }
        }

        @Override // com.tencent.tauth.DefaultUiListener, com.tencent.tauth.IUiListener
        public void onError(UiError uiError) {
            String str;
            if (uiError.errorMessage != null) {
                str = uiError.errorMessage + this.f5429a;
            } else {
                str = this.f5429a;
            }
            h a2 = h.a();
            a2.a(this.f5432d + "_H5", SystemClock.elapsedRealtime(), 0L, 0L, uiError.errorCode, str, false);
            IUiListener iUiListener = this.f5433e;
            if (iUiListener != null) {
                iUiListener.onError(uiError);
                this.f5433e = null;
            }
        }

        @Override // com.tencent.tauth.DefaultUiListener, com.tencent.tauth.IUiListener
        public void onCancel() {
            IUiListener iUiListener = this.f5433e;
            if (iUiListener != null) {
                iUiListener.onCancel();
                this.f5433e = null;
            }
        }
    }

    @Override // com.tencent.open.c.a.InterfaceC0074a
    public void a(int i2) {
        WeakReference<Context> weakReference = this.f5426j;
        if (weakReference != null && weakReference.get() != null) {
            if (i2 < this.k && 2 == this.f5426j.get().getResources().getConfiguration().orientation) {
                this.f5425i.getLayoutParams().height = i2;
            } else {
                this.f5425i.getLayoutParams().height = this.k;
            }
        }
        SLog.e("openSDK_LOG.PKDialog", "onKeyboardShown keyboard show");
    }

    @Override // com.tencent.open.c.a.InterfaceC0074a
    public void a() {
        this.f5425i.getLayoutParams().height = this.k;
        SLog.e("openSDK_LOG.PKDialog", "onKeyboardHidden keyboard hide");
    }

    @Override // com.tencent.open.c
    protected void a(String str) {
        SLog.d("openSDK_LOG.PKDialog", "--onConsoleMessage--");
        try {
            this.f5409a.a(this.f5425i, str);
        } catch (Exception unused) {
        }
    }
}
