package com.tencent.open.log;

import android.os.Handler;
import android.os.HandlerThread;
import android.os.Message;
import android.text.TextUtils;
import com.tencent.tauth.Tencent;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Writer;
import org.apache.commons.lang3.time.DateUtils;

/* compiled from: ProGuard */
/* loaded from: classes3.dex */
public class a extends Tracer implements Handler.Callback {

    /* renamed from: a, reason: collision with root package name */
    private b f5442a;

    /* renamed from: b, reason: collision with root package name */
    private FileWriter f5443b;

    /* renamed from: c, reason: collision with root package name */
    private File f5444c;

    /* renamed from: d, reason: collision with root package name */
    private char[] f5445d;

    /* renamed from: e, reason: collision with root package name */
    private volatile f f5446e;

    /* renamed from: f, reason: collision with root package name */
    private volatile f f5447f;

    /* renamed from: g, reason: collision with root package name */
    private volatile f f5448g;

    /* renamed from: h, reason: collision with root package name */
    private volatile f f5449h;

    /* renamed from: i, reason: collision with root package name */
    private volatile boolean f5450i;

    /* renamed from: j, reason: collision with root package name */
    private HandlerThread f5451j;
    private Handler k;

    public a(b bVar) {
        this(c.f5463b, true, g.f5478a, bVar);
    }

    public a(int i2, boolean z, g gVar, b bVar) {
        super(i2, z, gVar);
        this.f5450i = false;
        a(bVar);
        this.f5446e = new f();
        this.f5447f = new f();
        this.f5448g = this.f5446e;
        this.f5449h = this.f5447f;
        this.f5445d = new char[bVar.c()];
        HandlerThread handlerThread = new HandlerThread(bVar.b(), bVar.d());
        this.f5451j = handlerThread;
        handlerThread.start();
        if (!this.f5451j.isAlive() || this.f5451j.getLooper() == null) {
            return;
        }
        this.k = new Handler(this.f5451j.getLooper(), this);
    }

    public void a() {
        if (this.k.hasMessages(1024)) {
            this.k.removeMessages(1024);
        }
        this.k.sendEmptyMessage(1024);
    }

    public void b() {
        h();
        this.f5451j.quit();
    }

    @Override // com.tencent.open.log.Tracer
    protected void doTrace(int i2, Thread thread, long j2, String str, String str2, Throwable th) {
        a(e().a(i2, thread, j2, str, str2, th));
    }

    private void a(String str) {
        this.f5448g.a(str);
        if (this.f5448g.a() >= c().c()) {
            a();
        }
    }

    @Override // android.os.Handler.Callback
    public boolean handleMessage(Message message) {
        if (message.what != 1024) {
            return true;
        }
        f();
        return true;
    }

    private void f() {
        if (Thread.currentThread() == this.f5451j && !this.f5450i) {
            this.f5450i = true;
            i();
            try {
                try {
                    this.f5449h.a(g(), this.f5445d);
                } catch (IOException e2) {
                    SLog.e("FileTracer", "flushBuffer exception", e2);
                }
                this.f5450i = false;
            } finally {
                this.f5449h.b();
            }
        }
    }

    private Writer g() {
        File a2 = c().a();
        if (a2 != null && ((a2 != null && !a2.equals(this.f5444c)) || (this.f5443b == null && a2 != null))) {
            this.f5444c = a2;
            h();
            try {
                this.f5443b = new FileWriter(this.f5444c, true);
            } catch (IOException unused) {
                this.f5443b = null;
                SLog.e(SLog.TAG, "-->obtainFileWriter() app specific file permission denied");
            }
            a(a2);
        }
        return this.f5443b;
    }

    private void a(File file) {
        File[] listFiles;
        File parentFile = file.getParentFile();
        if (parentFile == null || !parentFile.exists() || !parentFile.isDirectory() || (listFiles = parentFile.listFiles()) == null) {
            return;
        }
        for (File file2 : listFiles) {
            if (b(file2)) {
                String name = file2.getName();
                if (b.a(System.currentTimeMillis() - (Tencent.USE_ONE_HOUR ? DateUtils.MILLIS_PER_HOUR : 259200000L)).compareTo(name.substring(32, 43)) > 0) {
                    SLog.d("FileTracer", "delete name=" + name + ", success=" + file2.delete());
                }
            }
        }
    }

    private boolean b(File file) {
        if (file == null) {
            return false;
        }
        String name = file.getName();
        SLog.d("FileTracer", "name=" + name);
        return !TextUtils.isEmpty(name) && name.length() == 47 && name.startsWith("com.tencent.mobileqq_connectSdk.") && name.endsWith(".log");
    }

    private void h() {
        try {
            FileWriter fileWriter = this.f5443b;
            if (fileWriter != null) {
                fileWriter.flush();
                this.f5443b.close();
            }
        } catch (IOException e2) {
            SLog.e(SLog.TAG, "-->closeAppSpecificFileWriter() exception:", e2);
        }
    }

    private void i() {
        synchronized (this) {
            if (this.f5448g == this.f5446e) {
                this.f5448g = this.f5447f;
                this.f5449h = this.f5446e;
            } else {
                this.f5448g = this.f5446e;
                this.f5449h = this.f5447f;
            }
        }
    }

    public b c() {
        return this.f5442a;
    }

    public void a(b bVar) {
        this.f5442a = bVar;
    }
}
