package com.yanzhenjie.permission.runtime.setting;

import com.yanzhenjie.permission.PermissionActivity;
import com.yanzhenjie.permission.Setting;
import com.yanzhenjie.permission.source.Source;
import com.yanzhenjie.permission.util.MainExecutor;

/* loaded from: classes3.dex */
public class RuntimeSetting implements Setting, PermissionActivity.RequestListener {
    private static final MainExecutor EXECUTOR = new MainExecutor();
    private Setting.Action mComeback;
    private Source mSource;

    @Override // com.yanzhenjie.permission.SettingService
    public void cancel() {
    }

    public RuntimeSetting(Source source) {
        this.mSource = source;
    }

    @Override // com.yanzhenjie.permission.SettingService
    public void execute() {
        new RuntimeSettingPage(this.mSource).start(-1);
    }

    @Override // com.yanzhenjie.permission.SettingService
    public void execute(int i2) {
        new RuntimeSettingPage(this.mSource).start(i2);
    }

    @Override // com.yanzhenjie.permission.Setting
    public Setting onComeback(Setting.Action action) {
        this.mComeback = action;
        return this;
    }

    @Override // com.yanzhenjie.permission.Setting
    public void start() {
        PermissionActivity.permissionSetting(this.mSource.getContext(), this);
    }

    @Override // com.yanzhenjie.permission.PermissionActivity.RequestListener
    public void onRequestCallback() {
        EXECUTOR.postDelayed(new Runnable() { // from class: com.yanzhenjie.permission.runtime.setting.RuntimeSetting.1
            @Override // java.lang.Runnable
            public void run() {
                if (RuntimeSetting.this.mComeback != null) {
                    RuntimeSetting.this.mComeback.onAction();
                }
            }
        }, 100L);
    }
}
