package com.yanzhenjie.recyclerview;

import android.view.View;
import android.view.ViewGroup;
import android.widget.OverScroller;

/* loaded from: classes3.dex */
abstract class Horizontal {
    private int direction;
    protected Checker mChecker = new Checker();
    private View menuView;

    public static final class Checker {
        public boolean shouldResetSwipe;
        public int x;
        public int y;
    }

    public abstract void autoCloseMenu(OverScroller overScroller, int i2, int i3);

    public abstract void autoOpenMenu(OverScroller overScroller, int i2, int i3);

    public abstract Checker checkXY(int i2, int i3);

    public abstract boolean isClickOnContentView(int i2, float f2);

    public abstract boolean isMenuOpen(int i2);

    public abstract boolean isMenuOpenNotEqual(int i2);

    public Horizontal(int i2, View view) {
        this.direction = i2;
        this.menuView = view;
    }

    public boolean canSwipe() {
        View view = this.menuView;
        return (view instanceof ViewGroup) && ((ViewGroup) view).getChildCount() > 0;
    }

    public boolean isCompleteClose(int i2) {
        return i2 == 0 && (-getMenuView().getWidth()) * getDirection() != 0;
    }

    public int getDirection() {
        return this.direction;
    }

    public View getMenuView() {
        return this.menuView;
    }

    public int getMenuWidth() {
        return this.menuView.getWidth();
    }
}
