package com.yucheng.smarthealthpro.care.view;

import android.graphics.Canvas;
import android.util.Log;
import android.view.View;
import androidx.recyclerview.widget.ItemTouchHelper;
import androidx.recyclerview.widget.RecyclerView;

/* loaded from: classes3.dex */
public class GamItemTouchCallback extends ItemTouchHelper.Callback {
    private int mCurrentScrollX;
    private int mCurrentScrollXWhenInactive;
    private final int mDefaultScrollX;
    private float mDx;
    private boolean mFirstInactive;
    private float mInitXWhenInactive;
    private final ItemTouchStatus mItemTouchStatus;
    private RecyclerView.ViewHolder mViewHolder;

    @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
    public float getSwipeEscapeVelocity(float f2) {
        return 2.1474836E9f;
    }

    @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
    public float getSwipeThreshold(RecyclerView.ViewHolder viewHolder) {
        return 2.1474836E9f;
    }

    @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
    public boolean onMove(RecyclerView recyclerView, RecyclerView.ViewHolder viewHolder, RecyclerView.ViewHolder viewHolder2) {
        return true;
    }

    @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
    public void onSwiped(RecyclerView.ViewHolder viewHolder, int i2) {
    }

    public GamItemTouchCallback(ItemTouchStatus itemTouchStatus, int i2) {
        this.mItemTouchStatus = itemTouchStatus;
        this.mDefaultScrollX = i2;
    }

    @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
    public int getMovementFlags(RecyclerView recyclerView, RecyclerView.ViewHolder viewHolder) {
        return makeMovementFlags(3, 12);
    }

    @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
    public void onChildDraw(Canvas canvas, RecyclerView recyclerView, RecyclerView.ViewHolder viewHolder, float f2, float f3, int i2, boolean z) {
        this.mViewHolder = viewHolder;
        this.mDx = f2;
        if (f2 == 0.0f) {
            this.mCurrentScrollX = viewHolder.itemView.getScrollX();
            this.mFirstInactive = true;
        }
        if (z) {
            viewHolder.itemView.scrollTo(this.mCurrentScrollX + ((int) (-f2)), 0);
        } else {
            if (this.mFirstInactive) {
                this.mFirstInactive = false;
                this.mCurrentScrollXWhenInactive = viewHolder.itemView.getScrollX();
                this.mInitXWhenInactive = f2;
            }
            if (viewHolder.itemView.getScrollX() >= this.mDefaultScrollX) {
                viewHolder.itemView.scrollTo(Math.max(this.mCurrentScrollX + ((int) (-f2)), this.mDefaultScrollX), 0);
            } else {
                viewHolder.itemView.scrollTo((int) ((this.mCurrentScrollXWhenInactive * f2) / this.mInitXWhenInactive), 0);
            }
        }
        viewHolder.itemView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.care.view.GamItemTouchCallback.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                Log.i("AAAAAA", "----");
                GamItemTouchCallback.this.mViewHolder.itemView.scrollTo(Math.max(0, 0), 0);
            }
        });
    }

    @Override // androidx.recyclerview.widget.ItemTouchHelper.Callback
    public void clearView(RecyclerView recyclerView, RecyclerView.ViewHolder viewHolder) {
        super.clearView(recyclerView, viewHolder);
        if (viewHolder.itemView.getScrollX() > this.mDefaultScrollX) {
            viewHolder.itemView.scrollTo(this.mDefaultScrollX, 0);
        } else if (viewHolder.itemView.getScrollX() < 0) {
            viewHolder.itemView.scrollTo(0, 0);
        }
        this.mItemTouchStatus.onSaveItemStatus(viewHolder);
    }
}
