package com.yucheng.smarthealthpro.care.zxing.activity;

import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.Vibrator;
import android.text.TextUtils;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.View;
import com.facebook.internal.security.CertificateUtil;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.google.zxing.Result;
import com.gyf.immersionbar.ImmersionBar;
import com.orhanobut.logger.Logger;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.care.zxing.camera.CameraManager;
import com.yucheng.smarthealthpro.care.zxing.decoding.CaptureActivityHandler;
import com.yucheng.smarthealthpro.care.zxing.decoding.InactivityTimer;
import com.yucheng.smarthealthpro.care.zxing.view.ViewfinderView;
import com.yucheng.smarthealthpro.framework.util.ToastUtil;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/* loaded from: classes3.dex */
public class Capture2Activity extends BaseActivity implements SurfaceHolder.Callback {
    private static final String TAG = "CaptureActivity";
    private static final long VIBRATE_DURATION = 100;
    private CaptureActivityHandler handler;
    private boolean hasSurface;
    private InactivityTimer inactivityTimer;
    private SurfaceView surfaceView;
    private boolean vibrate;
    private ViewfinderView viewfinderView;
    private boolean flag = true;
    private int type = 0;
    private List<String> packages = new ArrayList();

    private void initCamera(SurfaceHolder surfaceHolder) {
    }

    @Override // android.view.SurfaceHolder.Callback
    public void surfaceChanged(SurfaceHolder surfaceHolder, int i2, int i3, int i4) {
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        SurfaceHolder holder = this.surfaceView.getHolder();
        if (this.hasSurface) {
            initCamera(holder);
        } else {
            holder.addCallback(this);
            holder.setType(3);
        }
        this.vibrate = true;
    }

    @Override // com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onPause() {
        CaptureActivityHandler captureActivityHandler = this.handler;
        if (captureActivityHandler != null) {
            captureActivityHandler.quitSynchronously();
            this.handler = null;
        }
        CameraManager.get().closeDriver();
        if (!this.hasSurface) {
            this.surfaceView.getHolder().removeCallback(this);
        }
        super.onPause();
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        InactivityTimer inactivityTimer = this.inactivityTimer;
        if (inactivityTimer != null) {
            inactivityTimer.shutdown();
            this.inactivityTimer = null;
        }
        CaptureActivityHandler captureActivityHandler = this.handler;
        if (captureActivityHandler != null) {
            captureActivityHandler.removeCallbacksAndMessages(null);
            this.handler = null;
        }
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_scanner);
        initComponent();
        ImmersionBar.with(this).titleBar(this.bar).statusBarDarkFont(true, 0.0f).navigationBarDarkIcon(true, 0.0f).navigationBarColor(R.color.transparent).keyboardEnable(true).init();
    }

    protected void initComponent() {
        changeTitle(getString(R.string.scan_title));
        showBack();
        findViewById(R.id.txt_open_light).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.txt_open_photos).setOnClickListener(new OnClickListenerImpl());
        CameraManager.init(getApplicationContext());
        this.hasSurface = false;
        this.inactivityTimer = new InactivityTimer(this);
        this.surfaceView = (SurfaceView) findViewById(R.id.scanner_view);
        this.viewfinderView = (ViewfinderView) findViewById(R.id.viewfinder_content);
        if (getIntent() == null || getIntent().getIntExtra("type", 0) == 0) {
            return;
        }
        int intExtra = getIntent().getIntExtra("type", 0);
        this.type = intExtra;
        if (intExtra == 1) {
            this.packages.add("https://u.wechat.com/");
            this.packages.add("https://qm.qq.com/");
            this.packages.add("https://facebook.com/");
            this.packages.add("https://twitter.com/");
            this.packages.add("https://wa.me/");
            this.packages.add("https://instagram.com/");
            this.packages.add("http://instagram.com/");
        }
    }

    public void handleDecode(Result result) {
        this.inactivityTimer.onActivity();
        playBeepSoundAndVibrate();
        handleDecode(result.getText());
    }

    private void handleDecode(String str) {
        if (!TextUtils.isEmpty(str)) {
            Logger.d("chong----resultString==" + str);
            if (this.type == 1 && this.packages.contains(str.substring(0, str.indexOf("/", 10) + 1))) {
                gotoBind(str);
                return;
            }
            if (this.type == 0 && str.contains(CertificateUtil.DELIMITER) && !str.endsWith(CertificateUtil.DELIMITER)) {
                HashMap hashMap = new HashMap();
                for (String str2 : str.split(HelpFormatter.DEFAULT_LONG_OPT_PREFIX)) {
                    if (str2.contains(CertificateUtil.DELIMITER) && !str2.endsWith(CertificateUtil.DELIMITER)) {
                        hashMap.put(str2.split(CertificateUtil.DELIMITER)[0], str2.split(CertificateUtil.DELIMITER)[1]);
                    }
                }
                if (hashMap.get("yc_user_name") != null) {
                    gotoBind((String) hashMap.get("yc_user_name"));
                    return;
                } else {
                    ToastUtil.getInstance(this).toast(str);
                    return;
                }
            }
            restartPreview();
            ToastUtil.getInstance(this).toast(str);
            return;
        }
        restartPreview();
    }

    private void gotoBind(String str) {
        setResult(100123, new Intent().putExtra("result", str));
        finish();
    }

    private void restartPreview() {
        new Message().what = R.id.restart_preview;
    }

    @Override // android.view.SurfaceHolder.Callback
    public void surfaceCreated(SurfaceHolder surfaceHolder) {
        if (this.hasSurface) {
            return;
        }
        this.hasSurface = true;
        initCamera(surfaceHolder);
    }

    @Override // android.view.SurfaceHolder.Callback
    public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
        this.hasSurface = false;
    }

    public Handler getHandler() {
        return this.handler;
    }

    public void drawViewfinder() {
        this.viewfinderView.drawViewfinder();
    }

    private void playBeepSoundAndVibrate() {
        if (this.vibrate) {
            ((Vibrator) getSystemService("vibrator")).vibrate(VIBRATE_DURATION);
        }
    }

    private class OnClickListenerImpl implements View.OnClickListener {
        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
        }

        private OnClickListenerImpl() {
        }
    }
}
