package com.yucheng.smarthealthpro.care.zxing.activity;

import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.ColorMatrix;
import android.graphics.ColorMatrixColorFilter;
import android.graphics.Paint;
import android.net.Uri;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.Vibrator;
import android.provider.MediaStore;
import android.text.TextUtils;
import android.util.Log;
import android.view.SurfaceHolder;
import android.view.SurfaceView;
import android.view.View;
import android.widget.ImageView;
import com.facebook.internal.security.CertificateUtil;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.google.zxing.BinaryBitmap;
import com.google.zxing.MultiFormatReader;
import com.google.zxing.RGBLuminanceSource;
import com.google.zxing.Result;
import com.google.zxing.common.GlobalHistogramBinarizer;
import com.google.zxing.common.HybridBinarizer;
import com.gyf.immersionbar.ImmersionBar;
import com.journeyapps.barcodescanner.MixedDecoder;
import com.orhanobut.logger.Logger;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.care.zxing.camera.CameraManager;
import com.yucheng.smarthealthpro.care.zxing.decoding.CaptureActivityHandler;
import com.yucheng.smarthealthpro.care.zxing.decoding.DecodeThread;
import com.yucheng.smarthealthpro.care.zxing.decoding.InactivityTimer;
import com.yucheng.smarthealthpro.care.zxing.view.ViewfinderView;
import com.yucheng.smarthealthpro.framework.util.ToastUtil;
import com.yucheng.smarthealthpro.utils.QrCodeUtils;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;

/* loaded from: classes3.dex */
public class CaptureActivity extends BaseActivity implements SurfaceHolder.Callback {
    private static final String TAG = "CaptureActivity";
    private static final long VIBRATE_DURATION = 100;
    private CaptureActivityHandler handler;
    private boolean hasSurface;
    private InactivityTimer inactivityTimer;
    private MultiFormatReader multiFormatReader;
    private SurfaceView surfaceView;
    private boolean vibrate;
    private ViewfinderView viewfinderView;
    private boolean flag = true;
    private int type = 0;
    private List<String> packages = new ArrayList();

    @Override // android.view.SurfaceHolder.Callback
    public void surfaceChanged(SurfaceHolder surfaceHolder, int i2, int i3, int i4) {
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        SurfaceHolder holder = this.surfaceView.getHolder();
        if (this.hasSurface) {
            initCamera(holder);
        } else {
            holder.addCallback(this);
            holder.setType(3);
        }
        this.vibrate = true;
    }

    @Override // com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onPause() {
        CaptureActivityHandler captureActivityHandler = this.handler;
        if (captureActivityHandler != null) {
            captureActivityHandler.quitSynchronously();
            this.handler = null;
        }
        CameraManager.get().closeDriver();
        if (!this.hasSurface) {
            this.surfaceView.getHolder().removeCallback(this);
        }
        super.onPause();
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        InactivityTimer inactivityTimer = this.inactivityTimer;
        if (inactivityTimer != null) {
            inactivityTimer.shutdown();
            this.inactivityTimer = null;
        }
        CaptureActivityHandler captureActivityHandler = this.handler;
        if (captureActivityHandler != null) {
            captureActivityHandler.removeCallbacksAndMessages(null);
            this.handler = null;
        }
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_scanner);
        initComponent();
        ImmersionBar.with(this).titleBar(this.bar).statusBarDarkFont(true, 0.0f).navigationBarDarkIcon(true, 0.0f).navigationBarColor(R.color.transparent).keyboardEnable(true).init();
    }

    protected void initComponent() {
        changeTitle(getString(R.string.scan_title));
        showBack();
        findViewById(R.id.txt_open_light).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.txt_open_photos).setOnClickListener(new OnClickListenerImpl());
        CameraManager.init(getApplicationContext());
        this.hasSurface = false;
        this.inactivityTimer = new InactivityTimer(this);
        this.surfaceView = (SurfaceView) findViewById(R.id.scanner_view);
        this.viewfinderView = (ViewfinderView) findViewById(R.id.viewfinder_content);
        if (getIntent() == null || getIntent().getIntExtra("type", 0) == 0) {
            return;
        }
        int intExtra = getIntent().getIntExtra("type", 0);
        this.type = intExtra;
        if (intExtra == 1) {
            this.packages.add("https://u.wechat.com/");
            this.packages.add("https://qm.qq.com/");
            this.packages.add("https://facebook.com/");
            this.packages.add("https://twitter.com/");
            this.packages.add("https://wa.me/");
            this.packages.add("https://instagram.com/");
            this.packages.add("http://instagram.com/");
        }
    }

    public void handleDecode(Result result) {
        this.inactivityTimer.onActivity();
        playBeepSoundAndVibrate();
        handleDecode(result.getText());
    }

    private void handleDecode(String str) {
        if (!TextUtils.isEmpty(str)) {
            Logger.d("chong----resultString==" + str);
            int i2 = this.type;
            if (i2 == 1) {
                gotoBind(str);
                return;
            }
            if (i2 == 0 && str.contains(CertificateUtil.DELIMITER) && !str.endsWith(CertificateUtil.DELIMITER)) {
                HashMap hashMap = new HashMap();
                for (String str2 : str.split(HelpFormatter.DEFAULT_LONG_OPT_PREFIX)) {
                    if (str2.contains(CertificateUtil.DELIMITER) && !str2.endsWith(CertificateUtil.DELIMITER)) {
                        hashMap.put(str2.split(CertificateUtil.DELIMITER)[0], str2.split(CertificateUtil.DELIMITER)[1]);
                    }
                }
                if (hashMap.get("yc_user_name") != null) {
                    gotoBind((String) hashMap.get("yc_user_name"));
                    return;
                } else {
                    ToastUtil.getInstance(this).toast(str);
                    return;
                }
            }
            restartPreview();
            ToastUtil.getInstance(this).toast(str);
            return;
        }
        restartPreview();
    }

    private void gotoBind(String str) {
        setResult(100123, new Intent().putExtra("result", str));
        finish();
    }

    private void restartPreview() {
        Message message = new Message();
        message.what = R.id.restart_preview;
        if (this.handler == null) {
            this.handler = new CaptureActivityHandler(this);
        }
        this.handler.sendMessageDelayed(message, 2000L);
    }

    private void initCamera(SurfaceHolder surfaceHolder) {
        try {
            CameraManager.get().openDriver(surfaceHolder);
            if (this.handler == null) {
                this.handler = new CaptureActivityHandler(this);
            }
        } catch (IOException | RuntimeException unused) {
        }
    }

    @Override // android.view.SurfaceHolder.Callback
    public void surfaceCreated(SurfaceHolder surfaceHolder) {
        if (this.hasSurface) {
            return;
        }
        this.hasSurface = true;
        initCamera(surfaceHolder);
    }

    @Override // android.view.SurfaceHolder.Callback
    public void surfaceDestroyed(SurfaceHolder surfaceHolder) {
        this.hasSurface = false;
    }

    public Handler getHandler() {
        return this.handler;
    }

    public void drawViewfinder() {
        this.viewfinderView.drawViewfinder();
    }

    private void playBeepSoundAndVibrate() {
        if (this.vibrate) {
            ((Vibrator) getSystemService("vibrator")).vibrate(VIBRATE_DURATION);
        }
    }

    private class OnClickListenerImpl implements View.OnClickListener {
        private OnClickListenerImpl() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            switch (view.getId()) {
                case R.id.txt_open_light /* 2131297740 */:
                    if (CaptureActivity.this.flag) {
                        CaptureActivity.this.flag = false;
                        ((ImageView) view).setImageResource(R.mipmap.scan_light_on);
                        CameraManager.get().openLight();
                        break;
                    } else {
                        CaptureActivity.this.flag = true;
                        ((ImageView) view).setImageResource(R.mipmap.scan_light);
                        CameraManager.get().offLight();
                        break;
                    }
                case R.id.txt_open_photos /* 2131297741 */:
                    CaptureActivity.this.gotoTakePhoto();
                    break;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void gotoTakePhoto() {
        new Intent("android.intent.action.VIEW");
        Intent intent = new Intent("android.intent.action.PICK", MediaStore.Images.Media.EXTERNAL_CONTENT_URI);
        intent.setDataAndType(MediaStore.Images.Media.EXTERNAL_CONTENT_URI, "image/*");
        startActivityForResult(intent, 1001);
    }

    @Override // androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, android.app.Activity
    protected void onActivityResult(int i2, int i3, Intent intent) {
        Uri data;
        super.onActivityResult(i2, i3, intent);
        if (i2 != 1001 || i3 != -1 || intent == null || (data = intent.getData()) == null) {
            return;
        }
        Bitmap decodeUri = QrCodeUtils.INSTANCE.decodeUri(this, data, 400, 400);
        if (decodeUri != null) {
            Log.e("onActivityResult", "bitmap=====" + decodeUri.getWidth() + " " + decodeUri.getHeight());
        }
        String syncDecodeQRCode = syncDecodeQRCode(decodeUri);
        Log.e("onActivityResult", "result=====" + syncDecodeQRCode);
        if (syncDecodeQRCode == null) {
            return;
        }
        new Timer().schedule(new TimerTask() { // from class: com.yucheng.smarthealthpro.care.zxing.activity.CaptureActivity.1
            @Override // java.util.TimerTask, java.lang.Runnable
            public void run() {
                CaptureActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.care.zxing.activity.CaptureActivity.1.1
                    @Override // java.lang.Runnable
                    public void run() {
                        CaptureActivity.this.bitmapOnPause();
                    }
                });
            }
        }, 500L);
        handleDecode(syncDecodeQRCode);
    }

    public void bitmapOnPause() {
        CaptureActivityHandler captureActivityHandler = this.handler;
        if (captureActivityHandler != null) {
            captureActivityHandler.quitSynchronously();
            this.handler = null;
        }
        CameraManager.get().closeDriver();
        if (!this.hasSurface) {
            this.surfaceView.getHolder().removeCallback(this);
        }
        SurfaceHolder holder = this.surfaceView.getHolder();
        if (this.hasSurface) {
            initCamera(holder);
        } else {
            holder.addCallback(this);
            holder.setType(3);
        }
        this.vibrate = true;
    }

    public String syncDecodeQRCode(Bitmap bitmap) {
        RGBLuminanceSource rGBLuminanceSource;
        try {
            int width = bitmap.getWidth();
            int height = bitmap.getHeight();
            int[] iArr = new int[width * height];
            bitmap.getPixels(iArr, 0, width, 0, 0, width, height);
            rGBLuminanceSource = new RGBLuminanceSource(width, height, iArr);
            try {
                if (this.multiFormatReader == null) {
                    MultiFormatReader multiFormatReader = new MultiFormatReader();
                    this.multiFormatReader = multiFormatReader;
                    multiFormatReader.setHints(DecodeThread.getHints());
                }
                return this.multiFormatReader.decode(new BinaryBitmap(new HybridBinarizer(rGBLuminanceSource)), DecodeThread.getHints()).getText();
            } catch (Exception e2) {
                e = e2;
                e.printStackTrace();
                try {
                    return new MixedDecoder(this.multiFormatReader).decode(rGBLuminanceSource).getText();
                } catch (Exception unused) {
                    e.printStackTrace();
                    if (rGBLuminanceSource != null) {
                        try {
                            return new MultiFormatReader().decode(new BinaryBitmap(new GlobalHistogramBinarizer(rGBLuminanceSource)), DecodeThread.getHints()).getText();
                        } catch (Exception e3) {
                            e3.printStackTrace();
                            return null;
                        }
                    }
                    return null;
                }
            }
        } catch (Exception e4) {
            e = e4;
            rGBLuminanceSource = null;
        }
    }

    public Bitmap convertToGray(Bitmap bitmap) {
        Bitmap createBitmap = Bitmap.createBitmap(bitmap.getWidth(), bitmap.getHeight(), Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint();
        ColorMatrix colorMatrix = new ColorMatrix();
        colorMatrix.setSaturation(0.0f);
        paint.setColorFilter(new ColorMatrixColorFilter(colorMatrix));
        canvas.drawBitmap(bitmap, 0.0f, 0.0f, paint);
        return createBitmap;
    }

    private static Bitmap getDecodeAbleBitmap(String str) {
        try {
            BitmapFactory.Options options = new BitmapFactory.Options();
            int i2 = 1;
            options.inJustDecodeBounds = true;
            BitmapFactory.decodeFile(str, options);
            int i3 = options.outHeight / 400;
            if (i3 > 0) {
                i2 = i3;
            }
            options.inSampleSize = i2;
            options.inJustDecodeBounds = false;
            return BitmapFactory.decodeFile(str, options);
        } catch (Exception unused) {
            return null;
        }
    }
}
