package com.yucheng.smarthealthpro.customchart;

import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.realsil.sdk.dfu.DfuConstants;
import com.yucheng.smarthealthpro.customchart.components.AxisBase;
import com.yucheng.smarthealthpro.customchart.formatter.IAxisValueFormatter;
import com.yucheng.smarthealthpro.utils.TimeStampUtils;
import com.yucheng.smarthealthpro.utils.YearToDayListUtils;
import java.util.ArrayList;
import java.util.Calendar;

/* loaded from: classes3.dex */
public class MyWeekCustomXAxisValueFormatter implements IAxisValueFormatter {
    private boolean drawValue;

    public MyWeekCustomXAxisValueFormatter(boolean z) {
        this.drawValue = z;
    }

    @Override // com.yucheng.smarthealthpro.customchart.formatter.IAxisValueFormatter
    public String getFormattedValue(float f2, AxisBase axisBase) {
        Calendar calendar = Calendar.getInstance();
        ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(calendar.get(1) + HelpFormatter.DEFAULT_OPT_PREFIX + (calendar.get(2) + 1) + HelpFormatter.DEFAULT_OPT_PREFIX + calendar.get(5), 6);
        if (!this.drawValue) {
            return HelpFormatter.DEFAULT_OPT_PREFIX;
        }
        if (f2 >= 100000.0f) {
            return (((int) f2) / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME) + "w -";
        }
        if (f2 >= 10000.0f) {
            StringBuilder sb = new StringBuilder();
            int i2 = (int) f2;
            sb.append(i2 / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
            sb.append(".");
            sb.append((i2 / 1000) % 10);
            sb.append("w -");
            return sb.toString();
        }
        int i3 = (int) f2;
        if (i3 == 0) {
            return TimeStampUtils.dateForStringDate(TimeStampUtils.stringForDateDay(pastStringArray.get(0)));
        }
        if (i3 == 1) {
            return TimeStampUtils.dateForStringDate(TimeStampUtils.stringForDateDay(pastStringArray.get(1)));
        }
        if (i3 == 2) {
            return TimeStampUtils.dateForStringDate(TimeStampUtils.stringForDateDay(pastStringArray.get(2)));
        }
        if (i3 == 3) {
            return TimeStampUtils.dateForStringDate(TimeStampUtils.stringForDateDay(pastStringArray.get(3)));
        }
        if (i3 == 4) {
            return TimeStampUtils.dateForStringDate(TimeStampUtils.stringForDateDay(pastStringArray.get(4)));
        }
        if (i3 == 5) {
            return TimeStampUtils.dateForStringDate(TimeStampUtils.stringForDateDay(pastStringArray.get(5)));
        }
        return i3 == 6 ? TimeStampUtils.dateForStringDate(TimeStampUtils.stringForDateDay(pastStringArray.get(6))) : "";
    }
}
