package com.yucheng.smarthealthpro.customchart;

import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.realsil.sdk.dfu.DfuConstants;
import com.yucheng.smarthealthpro.customchart.components.AxisBase;
import com.yucheng.smarthealthpro.customchart.formatter.IAxisValueFormatter;
import com.yucheng.smarthealthpro.utils.YearToDayListUtils;
import java.util.ArrayList;

/* loaded from: classes3.dex */
public class MyYearCustomXAxisValueFormatter implements IAxisValueFormatter {
    private ArrayList<String> dateString;
    private boolean drawValue;

    public MyYearCustomXAxisValueFormatter(boolean z, int i2) {
        this.drawValue = z;
        this.dateString = YearToDayListUtils.getPostStringDateFromMonth(i2);
    }

    @Override // com.yucheng.smarthealthpro.customchart.formatter.IAxisValueFormatter
    public String getFormattedValue(float f2, AxisBase axisBase) {
        if (!this.drawValue) {
            return HelpFormatter.DEFAULT_OPT_PREFIX;
        }
        if (f2 >= 100000.0f) {
            return (((int) f2) / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME) + "w -";
        }
        if (f2 >= 10000.0f) {
            StringBuilder sb = new StringBuilder();
            int i2 = (int) f2;
            sb.append(i2 / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
            sb.append(".");
            sb.append((i2 / 1000) % 10);
            sb.append("w -");
            return sb.toString();
        }
        int i3 = (int) f2;
        if (i3 == 0) {
            return this.dateString.get(0);
        }
        if (i3 != this.dateString.size()) {
            return " ";
        }
        return this.dateString.get(r3.size() - 1);
    }
}
