package com.yucheng.smarthealthpro.customchart.data;

import android.graphics.drawable.Drawable;

/* loaded from: classes3.dex */
public class CandleEntry extends Entry {
    private float mClose;
    private float mOpen;
    private float mShadowHigh;
    private float mShadowLow;
    private float mTime;
    private String timeStr;

    public String getTimeStr() {
        return this.timeStr;
    }

    public void setTimeStr(String str) {
        this.timeStr = str;
    }

    public float getmTime() {
        return this.mTime;
    }

    public void setmTime(float f2) {
        this.mTime = f2;
    }

    public CandleEntry(float f2, float f3, float f4, float f5, float f6, int i2) {
        super(f2, (f3 + f4) / 2.0f);
        this.mShadowHigh = f3;
        this.mShadowLow = f4;
        this.mOpen = f5;
        this.mClose = f6;
    }

    public CandleEntry(float f2, float f3, float f4, float f5, float f6, String str) {
        super(f2, (f3 + f4) / 2.0f);
        this.mShadowHigh = f3;
        this.mShadowLow = f4;
        this.mOpen = f5;
        this.mClose = f6;
        this.mTime = f2;
        this.timeStr = str;
    }

    public CandleEntry(float f2, float f3, float f4, float f5, float f6, Object obj) {
        super(f2, (f3 + f4) / 2.0f, obj);
        this.mShadowHigh = f3;
        this.mShadowLow = f4;
        this.mOpen = f5;
        this.mClose = f6;
    }

    public CandleEntry(float f2, float f3, float f4, float f5, float f6, Drawable drawable) {
        super(f2, (f3 + f4) / 2.0f, drawable);
        this.mShadowHigh = f3;
        this.mShadowLow = f4;
        this.mOpen = f5;
        this.mClose = f6;
    }

    public CandleEntry(float f2, float f3, float f4, float f5, float f6, Drawable drawable, Object obj) {
        super(f2, (f3 + f4) / 2.0f, drawable, obj);
        this.mShadowHigh = f3;
        this.mShadowLow = f4;
        this.mOpen = f5;
        this.mClose = f6;
    }

    public float getShadowRange() {
        return Math.abs(this.mShadowHigh - this.mShadowLow);
    }

    public float getBodyRange() {
        return Math.abs(this.mOpen - this.mClose);
    }

    @Override // com.yucheng.smarthealthpro.customchart.data.BaseEntry
    public float getY() {
        return super.getY();
    }

    @Override // com.yucheng.smarthealthpro.customchart.data.Entry
    public CandleEntry copy() {
        return new CandleEntry(getX(), this.mShadowHigh, this.mShadowLow, this.mOpen, this.mClose, getData());
    }

    public float getHigh() {
        return this.mShadowHigh;
    }

    public void setHigh(float f2) {
        this.mShadowHigh = f2;
    }

    public float getLow() {
        return this.mShadowLow;
    }

    public void setLow(float f2) {
        this.mShadowLow = f2;
    }

    public float getClose() {
        return this.mClose;
    }

    @Override // com.yucheng.smarthealthpro.customchart.data.Entry
    public void setClose(float f2) {
        this.mClose = f2;
    }

    public float getOpen() {
        return this.mOpen;
    }

    @Override // com.yucheng.smarthealthpro.customchart.data.Entry
    public void setOpen(float f2) {
        this.mOpen = f2;
    }
}
