package com.yucheng.smarthealthpro.customchart.renderer;

import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Path;
import android.util.Log;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.yucheng.smarthealthpro.customchart.animation.ChartAnimator;
import com.yucheng.smarthealthpro.customchart.interfaces.datasets.IBarDataSet;
import com.yucheng.smarthealthpro.customchart.interfaces.datasets.ILineScatterCandleRadarDataSet;
import com.yucheng.smarthealthpro.customchart.utils.ViewPortHandler;

/* loaded from: classes3.dex */
public abstract class LineScatterCandleRadarRenderer extends BarLineScatterCandleBubbleRenderer {
    private Path mHighlightLinePath;

    public LineScatterCandleRadarRenderer(ChartAnimator chartAnimator, ViewPortHandler viewPortHandler) {
        super(chartAnimator, viewPortHandler);
        this.mHighlightLinePath = new Path();
    }

    protected void drawHighlightLines(Canvas canvas, float f2, float f3, ILineScatterCandleRadarDataSet iLineScatterCandleRadarDataSet) {
        this.mHighlightPaint.setColor(iLineScatterCandleRadarDataSet.getHighLightColor());
        this.mHighlightPaint.setStrokeWidth(iLineScatterCandleRadarDataSet.getHighlightLineWidth());
        this.mHighlightPaint.setPathEffect(iLineScatterCandleRadarDataSet.getDashPathEffectHighlight());
        if (iLineScatterCandleRadarDataSet.isVerticalHighlightIndicatorEnabled()) {
            this.mHighlightLinePath.reset();
            this.mHighlightLinePath.moveTo(f2, this.mViewPortHandler.contentTop());
            this.mHighlightLinePath.lineTo(f2, this.mViewPortHandler.contentBottom());
            canvas.drawPath(this.mHighlightLinePath, this.mHighlightPaint);
        }
        if (iLineScatterCandleRadarDataSet.isHorizontalHighlightIndicatorEnabled()) {
            this.mHighlightLinePath.reset();
            this.mHighlightLinePath.moveTo(this.mViewPortHandler.contentLeft(), f3);
            this.mHighlightLinePath.lineTo(this.mViewPortHandler.contentRight(), f3);
            canvas.drawPath(this.mHighlightLinePath, this.mHighlightPaint);
        }
    }

    protected void drawHighlightLine(Canvas canvas, float f2, float f3, IBarDataSet iBarDataSet) {
        Log.i("ZZZZZZZZZ", HelpFormatter.DEFAULT_LONG_OPT_PREFIX + f2 + HelpFormatter.DEFAULT_LONG_OPT_PREFIX + f3 + HelpFormatter.DEFAULT_LONG_OPT_PREFIX + this.mViewPortHandler.contentTop() + HelpFormatter.DEFAULT_LONG_OPT_PREFIX + this.mViewPortHandler.contentBottom() + HelpFormatter.DEFAULT_LONG_OPT_PREFIX + this.mViewPortHandler.contentLeft() + HelpFormatter.DEFAULT_LONG_OPT_PREFIX + this.mViewPortHandler.contentRight());
        this.mHighlightPaint.setColor(Color.parseColor("#FF8C00"));
        this.mHighlightPaint.setStrokeWidth(1.44f);
        this.mHighlightPaint.setPathEffect(null);
        this.mHighlightLinePath.reset();
        this.mHighlightLinePath.moveTo(f2, this.mViewPortHandler.contentTop());
        this.mHighlightLinePath.lineTo(f2, this.mViewPortHandler.contentBottom());
        canvas.drawLine(f2, this.mViewPortHandler.contentTop(), f2, this.mViewPortHandler.contentBottom(), this.mHighlightPaint);
        canvas.drawPath(this.mHighlightLinePath, this.mHighlightPaint);
    }
}
