package com.yucheng.smarthealthpro.customchart.sleep;

import com.facebook.internal.security.CertificateUtil;
import com.google.android.material.timepicker.TimeModel;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.realsil.sdk.dfu.DfuConstants;
import com.yucheng.smarthealthpro.customchart.components.AxisBase;
import com.yucheng.smarthealthpro.customchart.formatter.IAxisValueFormatter;

/* loaded from: classes3.dex */
public class MySleepCustomXAxisValueFormatter implements IAxisValueFormatter {
    private boolean drawValue;

    public MySleepCustomXAxisValueFormatter(boolean z) {
        this.drawValue = z;
    }

    @Override // com.yucheng.smarthealthpro.customchart.formatter.IAxisValueFormatter
    public String getFormattedValue(float f2, AxisBase axisBase) {
        if (!this.drawValue) {
            return HelpFormatter.DEFAULT_OPT_PREFIX;
        }
        if (f2 >= 100000.0f) {
            return (((int) f2) / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME) + "w -";
        }
        if (f2 >= 10000.0f) {
            StringBuilder sb = new StringBuilder();
            int i2 = (int) f2;
            sb.append(i2 / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
            sb.append(".");
            sb.append((i2 / 1000) % 10);
            sb.append("w -");
            return sb.toString();
        }
        if (f2 == axisBase.mAxisMinimum) {
            return String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(((int) axisBase.mSleepTime) / 60)) + CertificateUtil.DELIMITER + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(((int) axisBase.mSleepTime) % 60));
        }
        return String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(((int) axisBase.mUpTime) / 60)) + CertificateUtil.DELIMITER + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(((int) axisBase.mUpTime) % 60));
    }
}
