package com.yucheng.smarthealthpro.customchart.utils;

import android.content.res.Resources;
import android.graphics.Color;
import androidx.core.view.ViewCompat;
import com.alibaba.fastjson.asm.Opcodes;
import com.google.firebase.crashlytics.buildtools.ndk.internal.elf.EMachine;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.http.HttpStatus;
import com.jieli.jl_rcsp.constant.Command;
import com.jieli.jl_rcsp.model.SportHealthConfigure;
import java.util.ArrayList;
import java.util.List;
import org.eclipse.paho.client.mqttv3.MqttTopic;

/* loaded from: classes3.dex */
public class ColorTemplate {
    public static final int COLOR_NONE = 1122867;
    public static final int COLOR_SKIP = 1122868;
    public static final int[] LIBERTY_COLORS = {Color.rgb(HttpStatus.SC_MULTI_STATUS, 248, 246), Color.rgb(Opcodes.LCMP, 212, 212), Color.rgb(EMachine.EM_DSP24, 180, 187), Color.rgb(118, EMachine.EM_METAG, EMachine.EM_MCST_ELBRUS), Color.rgb(42, 109, 130)};
    public static final int[] JOYFUL_COLORS = {Color.rgb(Command.CMD_GET_DEVICE_CONFIG_INFO, 80, EMachine.EM_LATTICEMICO32), Color.rgb(SportHealthConfigure.CONFIGURE_TYPE_SPORT_MODE, Opcodes.FCMPL, 7), Color.rgb(SportHealthConfigure.CONFIGURE_TYPE_SPORT_MODE, 247, 120), Color.rgb(106, 167, EMachine.EM_ECOG2), Color.rgb(53, 194, 209)};
    public static final int[] PASTEL_COLORS = {Color.rgb(64, 89, 128), Color.rgb(Opcodes.FCMPL, 165, 124), Color.rgb(Command.CMD_GET_DEVICE_CONFIG_INFO, Opcodes.INVOKESTATIC, 162), Color.rgb(EMachine.EM_TILEGX, EMachine.EM_ECOG2, EMachine.EM_ECOG2), Color.rgb(EMachine.EM_SLE9X, 48, 80)};
    public static final int[] COLORFUL_COLORS = {Color.rgb(193, 37, 82), Color.rgb(255, 102, 0), Color.rgb(245, 199, 0), Color.rgb(106, 150, 31), Color.rgb(EMachine.EM_SLE9X, 100, 53)};
    public static final int[] VORDIPLOM_COLORS = {Color.rgb(192, 255, 140), Color.rgb(255, 247, 140), Color.rgb(255, Command.CMD_NOTIFY_DEVICE_APP_INFO, 140), Color.rgb(140, 234, 255), Color.rgb(255, 140, 157)};
    public static final int[] MATERIAL_COLORS = {rgb("#2ecc71"), rgb("#f1c40f"), rgb("#e74c3c"), rgb("#3498db")};
    public static final int[] PHYSIOTHERAPY_COLORS = {rgb("#7D9FFB"), rgb("#219DFC"), rgb("#00E5FF"), rgb("#004CFF")};

    public static int colorWithAlpha(int i2, int i3) {
        return (i2 & ViewCompat.MEASURED_SIZE_MASK) | ((i3 & 255) << 24);
    }

    public static int rgb(String str) {
        int parseLong = (int) Long.parseLong(str.replace(MqttTopic.MULTI_LEVEL_WILDCARD, ""), 16);
        return Color.rgb((parseLong >> 16) & 255, (parseLong >> 8) & 255, (parseLong >> 0) & 255);
    }

    public static int getHoloBlue() {
        return Color.rgb(51, 181, 229);
    }

    public static List<Integer> createColors(Resources resources, int[] iArr) {
        ArrayList arrayList = new ArrayList();
        for (int i2 : iArr) {
            arrayList.add(Integer.valueOf(resources.getColor(i2)));
        }
        return arrayList;
    }

    public static List<Integer> createColors(int[] iArr) {
        ArrayList arrayList = new ArrayList();
        for (int i2 : iArr) {
            arrayList.add(Integer.valueOf(i2));
        }
        return arrayList;
    }
}
