package com.yucheng.smarthealthpro.greendao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import com.yucheng.smarthealthpro.greendao.bean.AllDb;
import com.yucheng.ycbtsdk.Constants;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.Property;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.database.DatabaseStatement;
import org.greenrobot.greendao.internal.DaoConfig;

/* loaded from: classes3.dex */
public class AllDbDao extends AbstractDao<AllDb, Long> {
    public static final String TABLENAME = "ALL_DB";

    public static class Properties {
        public static final Property Id = new Property(0, Long.class, "id", true, "_id");
        public static final Property QueryID = new Property(1, Integer.TYPE, "queryID", false, "QUERY_ID");
        public static final Property HeartValue = new Property(2, Integer.TYPE, "heartValue", false, "HEART_VALUE");
        public static final Property HrvValue = new Property(3, Integer.TYPE, "hrvValue", false, "HRV_VALUE");
        public static final Property CvrrValue = new Property(4, Integer.TYPE, "cvrrValue", false, "CVRR_VALUE");
        public static final Property OOValue = new Property(5, Integer.TYPE, "OOValue", false, "OOVALUE");
        public static final Property StepValue = new Property(6, Integer.TYPE, "stepValue", false, "STEP_VALUE");
        public static final Property DBPValue = new Property(7, Integer.TYPE, "DBPValue", false, "DBPVALUE");
        public static final Property TempIntValue = new Property(8, Integer.TYPE, "tempIntValue", false, "TEMP_INT_VALUE");
        public static final Property TempFloatValue = new Property(9, Integer.TYPE, "tempFloatValue", false, "TEMP_FLOAT_VALUE");
        public static final Property StartTime = new Property(10, Long.TYPE, "startTime", false, "START_TIME");
        public static final Property TimeYearToDate = new Property(11, String.class, "timeYearToDate", false, "TIME_YEAR_TO_DATE");
        public static final Property SBPValue = new Property(12, Integer.TYPE, "SBPValue", false, "SBPVALUE");
        public static final Property RespiratoryRateValue = new Property(13, Integer.TYPE, "respiratoryRateValue", false, "RESPIRATORY_RATE_VALUE");
        public static final Property BodyFatInteger = new Property(14, Integer.TYPE, "bodyFatInteger", false, "BODY_FAT_INTEGER");
        public static final Property BodyFatDouble = new Property(15, Integer.TYPE, "bodyFatDouble", false, "BODY_FAT_DOUBLE");
        public static final Property BloodSugar = new Property(16, Integer.TYPE, "bloodSugar", false, "BLOOD_SUGAR");
        public static final Property BloodSugarModel = new Property(17, Integer.TYPE, "bloodSugarModel", false, "BLOOD_SUGAR_MODEL");
        public static final Property UserId = new Property(18, String.class, "userId", false, "USER_ID");
        public static final Property DeviceType = new Property(19, String.class, Constants.FunctionConstant.DEVICETYPE, false, "DEVICE_TYPE");
        public static final Property DeviceMac = new Property(20, String.class, "deviceMac", false, "DEVICE_MAC");
        public static final Property IsHrvUpload = new Property(21, Boolean.TYPE, "isHrvUpload", false, "IS_HRV_UPLOAD");
        public static final Property IsBloodUpload = new Property(22, Boolean.TYPE, "isBloodUpload", false, "IS_BLOOD_UPLOAD");
        public static final Property IsAwRRUpload = new Property(23, Boolean.TYPE, "isAwRRUpload", false, "IS_AW_RRUPLOAD");
        public static final Property IsTempUpload = new Property(24, Boolean.TYPE, "isTempUpload", false, "IS_TEMP_UPLOAD");
        public static final Property IsBodyFatUpload = new Property(25, Boolean.TYPE, "isBodyFatUpload", false, "IS_BODY_FAT_UPLOAD");
        public static final Property IsBloodSugarUpload = new Property(26, Boolean.TYPE, "isBloodSugarUpload", false, "IS_BLOOD_SUGAR_UPLOAD");
        public static final Property IsOtherHrvUpload = new Property(27, Boolean.TYPE, "isOtherHrvUpload", false, "IS_OTHER_HRV_UPLOAD");
        public static final Property IsOtherBloodUpload = new Property(28, Boolean.TYPE, "isOtherBloodUpload", false, "IS_OTHER_BLOOD_UPLOAD");
        public static final Property IsOtherAwRRUpload = new Property(29, Boolean.TYPE, "isOtherAwRRUpload", false, "IS_OTHER_AW_RRUPLOAD");
        public static final Property IsOtherTempUpload = new Property(30, Boolean.TYPE, "isOtherTempUpload", false, "IS_OTHER_TEMP_UPLOAD");
        public static final Property IsOtherBodyFatUpload = new Property(31, Boolean.TYPE, "isOtherBodyFatUpload", false, "IS_OTHER_BODY_FAT_UPLOAD");
        public static final Property IsOtherBloodSugarUpload = new Property(32, Boolean.TYPE, "isOtherBloodSugarUpload", false, "IS_OTHER_BLOOD_SUGAR_UPLOAD");
        public static final Property BelongDataGroupId = new Property(33, String.class, "belongDataGroupId", false, "BELONG_DATA_GROUP_ID");
    }

    @Override // org.greenrobot.greendao.AbstractDao
    protected final boolean isEntityUpdateable() {
        return true;
    }

    public AllDbDao(DaoConfig daoConfig) {
        super(daoConfig);
    }

    public AllDbDao(DaoConfig daoConfig, DaoSession daoSession) {
        super(daoConfig, daoSession);
    }

    public static void createTable(Database database, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        database.execSQL("CREATE TABLE " + str + "\"ALL_DB\" (\"_id\" INTEGER PRIMARY KEY AUTOINCREMENT ,\"QUERY_ID\" INTEGER NOT NULL ,\"HEART_VALUE\" INTEGER NOT NULL ,\"HRV_VALUE\" INTEGER NOT NULL ,\"CVRR_VALUE\" INTEGER NOT NULL ,\"OOVALUE\" INTEGER NOT NULL ,\"STEP_VALUE\" INTEGER NOT NULL ,\"DBPVALUE\" INTEGER NOT NULL ,\"TEMP_INT_VALUE\" INTEGER NOT NULL ,\"TEMP_FLOAT_VALUE\" INTEGER NOT NULL ,\"START_TIME\" INTEGER NOT NULL ,\"TIME_YEAR_TO_DATE\" TEXT,\"SBPVALUE\" INTEGER NOT NULL ,\"RESPIRATORY_RATE_VALUE\" INTEGER NOT NULL ,\"BODY_FAT_INTEGER\" INTEGER NOT NULL ,\"BODY_FAT_DOUBLE\" INTEGER NOT NULL ,\"BLOOD_SUGAR\" INTEGER NOT NULL ,\"BLOOD_SUGAR_MODEL\" INTEGER NOT NULL ,\"USER_ID\" TEXT,\"DEVICE_TYPE\" TEXT,\"DEVICE_MAC\" TEXT,\"IS_HRV_UPLOAD\" INTEGER NOT NULL ,\"IS_BLOOD_UPLOAD\" INTEGER NOT NULL ,\"IS_AW_RRUPLOAD\" INTEGER NOT NULL ,\"IS_TEMP_UPLOAD\" INTEGER NOT NULL ,\"IS_BODY_FAT_UPLOAD\" INTEGER NOT NULL ,\"IS_BLOOD_SUGAR_UPLOAD\" INTEGER NOT NULL ,\"IS_OTHER_HRV_UPLOAD\" INTEGER NOT NULL ,\"IS_OTHER_BLOOD_UPLOAD\" INTEGER NOT NULL ,\"IS_OTHER_AW_RRUPLOAD\" INTEGER NOT NULL ,\"IS_OTHER_TEMP_UPLOAD\" INTEGER NOT NULL ,\"IS_OTHER_BODY_FAT_UPLOAD\" INTEGER NOT NULL ,\"IS_OTHER_BLOOD_SUGAR_UPLOAD\" INTEGER NOT NULL ,\"BELONG_DATA_GROUP_ID\" TEXT);");
        database.execSQL("CREATE UNIQUE INDEX " + str + "IDX_ALL_DB_START_TIME ON \"ALL_DB\" (\"START_TIME\" ASC);");
    }

    public static void dropTable(Database database, boolean z) {
        StringBuilder sb = new StringBuilder("DROP TABLE ");
        sb.append(z ? "IF EXISTS " : "");
        sb.append("\"ALL_DB\"");
        database.execSQL(sb.toString());
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final void bindValues(DatabaseStatement databaseStatement, AllDb allDb) {
        databaseStatement.clearBindings();
        Long id = allDb.getId();
        if (id != null) {
            databaseStatement.bindLong(1, id.longValue());
        }
        databaseStatement.bindLong(2, allDb.getQueryID());
        databaseStatement.bindLong(3, allDb.getHeartValue());
        databaseStatement.bindLong(4, allDb.getHrvValue());
        databaseStatement.bindLong(5, allDb.getCvrrValue());
        databaseStatement.bindLong(6, allDb.getOOValue());
        databaseStatement.bindLong(7, allDb.getStepValue());
        databaseStatement.bindLong(8, allDb.getDBPValue());
        databaseStatement.bindLong(9, allDb.getTempIntValue());
        databaseStatement.bindLong(10, allDb.getTempFloatValue());
        databaseStatement.bindLong(11, allDb.getStartTime());
        String timeYearToDate = allDb.getTimeYearToDate();
        if (timeYearToDate != null) {
            databaseStatement.bindString(12, timeYearToDate);
        }
        databaseStatement.bindLong(13, allDb.getSBPValue());
        databaseStatement.bindLong(14, allDb.getRespiratoryRateValue());
        databaseStatement.bindLong(15, allDb.getBodyFatInteger());
        databaseStatement.bindLong(16, allDb.getBodyFatDouble());
        databaseStatement.bindLong(17, allDb.getBloodSugar());
        databaseStatement.bindLong(18, allDb.getBloodSugarModel());
        String userId = allDb.getUserId();
        if (userId != null) {
            databaseStatement.bindString(19, userId);
        }
        String deviceType = allDb.getDeviceType();
        if (deviceType != null) {
            databaseStatement.bindString(20, deviceType);
        }
        String deviceMac = allDb.getDeviceMac();
        if (deviceMac != null) {
            databaseStatement.bindString(21, deviceMac);
        }
        databaseStatement.bindLong(22, allDb.getIsHrvUpload() ? 1L : 0L);
        databaseStatement.bindLong(23, allDb.getIsBloodUpload() ? 1L : 0L);
        databaseStatement.bindLong(24, allDb.getIsAwRRUpload() ? 1L : 0L);
        databaseStatement.bindLong(25, allDb.getIsTempUpload() ? 1L : 0L);
        databaseStatement.bindLong(26, allDb.getIsBodyFatUpload() ? 1L : 0L);
        databaseStatement.bindLong(27, allDb.getIsBloodSugarUpload() ? 1L : 0L);
        databaseStatement.bindLong(28, allDb.getIsOtherHrvUpload() ? 1L : 0L);
        databaseStatement.bindLong(29, allDb.getIsOtherBloodUpload() ? 1L : 0L);
        databaseStatement.bindLong(30, allDb.getIsOtherAwRRUpload() ? 1L : 0L);
        databaseStatement.bindLong(31, allDb.getIsOtherTempUpload() ? 1L : 0L);
        databaseStatement.bindLong(32, allDb.getIsOtherBodyFatUpload() ? 1L : 0L);
        databaseStatement.bindLong(33, allDb.getIsOtherBloodSugarUpload() ? 1L : 0L);
        String belongDataGroupId = allDb.getBelongDataGroupId();
        if (belongDataGroupId != null) {
            databaseStatement.bindString(34, belongDataGroupId);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final void bindValues(SQLiteStatement sQLiteStatement, AllDb allDb) {
        sQLiteStatement.clearBindings();
        Long id = allDb.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        sQLiteStatement.bindLong(2, allDb.getQueryID());
        sQLiteStatement.bindLong(3, allDb.getHeartValue());
        sQLiteStatement.bindLong(4, allDb.getHrvValue());
        sQLiteStatement.bindLong(5, allDb.getCvrrValue());
        sQLiteStatement.bindLong(6, allDb.getOOValue());
        sQLiteStatement.bindLong(7, allDb.getStepValue());
        sQLiteStatement.bindLong(8, allDb.getDBPValue());
        sQLiteStatement.bindLong(9, allDb.getTempIntValue());
        sQLiteStatement.bindLong(10, allDb.getTempFloatValue());
        sQLiteStatement.bindLong(11, allDb.getStartTime());
        String timeYearToDate = allDb.getTimeYearToDate();
        if (timeYearToDate != null) {
            sQLiteStatement.bindString(12, timeYearToDate);
        }
        sQLiteStatement.bindLong(13, allDb.getSBPValue());
        sQLiteStatement.bindLong(14, allDb.getRespiratoryRateValue());
        sQLiteStatement.bindLong(15, allDb.getBodyFatInteger());
        sQLiteStatement.bindLong(16, allDb.getBodyFatDouble());
        sQLiteStatement.bindLong(17, allDb.getBloodSugar());
        sQLiteStatement.bindLong(18, allDb.getBloodSugarModel());
        String userId = allDb.getUserId();
        if (userId != null) {
            sQLiteStatement.bindString(19, userId);
        }
        String deviceType = allDb.getDeviceType();
        if (deviceType != null) {
            sQLiteStatement.bindString(20, deviceType);
        }
        String deviceMac = allDb.getDeviceMac();
        if (deviceMac != null) {
            sQLiteStatement.bindString(21, deviceMac);
        }
        sQLiteStatement.bindLong(22, allDb.getIsHrvUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(23, allDb.getIsBloodUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(24, allDb.getIsAwRRUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(25, allDb.getIsTempUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(26, allDb.getIsBodyFatUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(27, allDb.getIsBloodSugarUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(28, allDb.getIsOtherHrvUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(29, allDb.getIsOtherBloodUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(30, allDb.getIsOtherAwRRUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(31, allDb.getIsOtherTempUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(32, allDb.getIsOtherBodyFatUpload() ? 1L : 0L);
        sQLiteStatement.bindLong(33, allDb.getIsOtherBloodSugarUpload() ? 1L : 0L);
        String belongDataGroupId = allDb.getBelongDataGroupId();
        if (belongDataGroupId != null) {
            sQLiteStatement.bindString(34, belongDataGroupId);
        }
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.greenrobot.greendao.AbstractDao
    public Long readKey(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        if (cursor.isNull(i3)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i3));
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.greenrobot.greendao.AbstractDao
    public AllDb readEntity(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        Long valueOf = cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3));
        int i4 = cursor.getInt(i2 + 1);
        int i5 = cursor.getInt(i2 + 2);
        int i6 = cursor.getInt(i2 + 3);
        int i7 = cursor.getInt(i2 + 4);
        int i8 = cursor.getInt(i2 + 5);
        int i9 = cursor.getInt(i2 + 6);
        int i10 = cursor.getInt(i2 + 7);
        int i11 = cursor.getInt(i2 + 8);
        int i12 = cursor.getInt(i2 + 9);
        long j2 = cursor.getLong(i2 + 10);
        int i13 = i2 + 11;
        String string = cursor.isNull(i13) ? null : cursor.getString(i13);
        int i14 = cursor.getInt(i2 + 12);
        int i15 = cursor.getInt(i2 + 13);
        int i16 = cursor.getInt(i2 + 14);
        int i17 = cursor.getInt(i2 + 15);
        int i18 = cursor.getInt(i2 + 16);
        int i19 = cursor.getInt(i2 + 17);
        int i20 = i2 + 18;
        String string2 = cursor.isNull(i20) ? null : cursor.getString(i20);
        int i21 = i2 + 19;
        String string3 = cursor.isNull(i21) ? null : cursor.getString(i21);
        int i22 = i2 + 20;
        String string4 = cursor.isNull(i22) ? null : cursor.getString(i22);
        int i23 = i2 + 33;
        return new AllDb(valueOf, i4, i5, i6, i7, i8, i9, i10, i11, i12, j2, string, i14, i15, i16, i17, i18, i19, string2, string3, string4, cursor.getShort(i2 + 21) != 0, cursor.getShort(i2 + 22) != 0, cursor.getShort(i2 + 23) != 0, cursor.getShort(i2 + 24) != 0, cursor.getShort(i2 + 25) != 0, cursor.getShort(i2 + 26) != 0, cursor.getShort(i2 + 27) != 0, cursor.getShort(i2 + 28) != 0, cursor.getShort(i2 + 29) != 0, cursor.getShort(i2 + 30) != 0, cursor.getShort(i2 + 31) != 0, cursor.getShort(i2 + 32) != 0, cursor.isNull(i23) ? null : cursor.getString(i23));
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public void readEntity(Cursor cursor, AllDb allDb, int i2) {
        int i3 = i2 + 0;
        allDb.setId(cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3)));
        allDb.setQueryID(cursor.getInt(i2 + 1));
        allDb.setHeartValue(cursor.getInt(i2 + 2));
        allDb.setHrvValue(cursor.getInt(i2 + 3));
        allDb.setCvrrValue(cursor.getInt(i2 + 4));
        allDb.setOOValue(cursor.getInt(i2 + 5));
        allDb.setStepValue(cursor.getInt(i2 + 6));
        allDb.setDBPValue(cursor.getInt(i2 + 7));
        allDb.setTempIntValue(cursor.getInt(i2 + 8));
        allDb.setTempFloatValue(cursor.getInt(i2 + 9));
        allDb.setStartTime(cursor.getLong(i2 + 10));
        int i4 = i2 + 11;
        allDb.setTimeYearToDate(cursor.isNull(i4) ? null : cursor.getString(i4));
        allDb.setSBPValue(cursor.getInt(i2 + 12));
        allDb.setRespiratoryRateValue(cursor.getInt(i2 + 13));
        allDb.setBodyFatInteger(cursor.getInt(i2 + 14));
        allDb.setBodyFatDouble(cursor.getInt(i2 + 15));
        allDb.setBloodSugar(cursor.getInt(i2 + 16));
        allDb.setBloodSugarModel(cursor.getInt(i2 + 17));
        int i5 = i2 + 18;
        allDb.setUserId(cursor.isNull(i5) ? null : cursor.getString(i5));
        int i6 = i2 + 19;
        allDb.setDeviceType(cursor.isNull(i6) ? null : cursor.getString(i6));
        int i7 = i2 + 20;
        allDb.setDeviceMac(cursor.isNull(i7) ? null : cursor.getString(i7));
        allDb.setIsHrvUpload(cursor.getShort(i2 + 21) != 0);
        allDb.setIsBloodUpload(cursor.getShort(i2 + 22) != 0);
        allDb.setIsAwRRUpload(cursor.getShort(i2 + 23) != 0);
        allDb.setIsTempUpload(cursor.getShort(i2 + 24) != 0);
        allDb.setIsBodyFatUpload(cursor.getShort(i2 + 25) != 0);
        allDb.setIsBloodSugarUpload(cursor.getShort(i2 + 26) != 0);
        allDb.setIsOtherHrvUpload(cursor.getShort(i2 + 27) != 0);
        allDb.setIsOtherBloodUpload(cursor.getShort(i2 + 28) != 0);
        allDb.setIsOtherAwRRUpload(cursor.getShort(i2 + 29) != 0);
        allDb.setIsOtherTempUpload(cursor.getShort(i2 + 30) != 0);
        allDb.setIsOtherBodyFatUpload(cursor.getShort(i2 + 31) != 0);
        allDb.setIsOtherBloodSugarUpload(cursor.getShort(i2 + 32) != 0);
        int i8 = i2 + 33;
        allDb.setBelongDataGroupId(cursor.isNull(i8) ? null : cursor.getString(i8));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final Long updateKeyAfterInsert(AllDb allDb, long j2) {
        allDb.setId(Long.valueOf(j2));
        return Long.valueOf(j2);
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public Long getKey(AllDb allDb) {
        if (allDb != null) {
            return allDb.getId();
        }
        return null;
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public boolean hasKey(AllDb allDb) {
        return allDb.getId() != null;
    }
}
