package com.yucheng.smarthealthpro.greendao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import com.yucheng.smarthealthpro.greendao.bean.BloodFatDb;
import com.yucheng.ycbtsdk.Constants;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.Property;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.database.DatabaseStatement;
import org.greenrobot.greendao.internal.DaoConfig;

/* loaded from: classes3.dex */
public class BloodFatDbDao extends AbstractDao<BloodFatDb, Long> {
    public static final String TABLENAME = "BLOOD_FAT_DB";

    public static class Properties {
        public static final Property Id = new Property(0, Long.class, "id", true, "_id");
        public static final Property QueryID = new Property(1, Integer.TYPE, "queryID", false, "QUERY_ID");
        public static final Property BloodFatStartTime = new Property(2, Long.TYPE, "bloodFatStartTime", false, "BLOOD_FAT_START_TIME");
        public static final Property TimeYearToDate = new Property(3, String.class, "timeYearToDate", false, "TIME_YEAR_TO_DATE");
        public static final Property CholesterolInteger = new Property(4, Integer.TYPE, "cholesterolInteger", false, "CHOLESTEROL_INTEGER");
        public static final Property CholesterolFloat = new Property(5, Integer.TYPE, "cholesterolFloat", false, "CHOLESTEROL_FLOAT");
        public static final Property TriglycerideCholesterolInteger = new Property(6, Integer.TYPE, "triglycerideCholesterolInteger", false, "TRIGLYCERIDE_CHOLESTEROL_INTEGER");
        public static final Property TriglycerideCholesterolFloat = new Property(7, Integer.TYPE, "triglycerideCholesterolFloat", false, "TRIGLYCERIDE_CHOLESTEROL_FLOAT");
        public static final Property HighLipoproteinCholesterolInteger = new Property(8, Integer.TYPE, "highLipoproteinCholesterolInteger", false, "HIGH_LIPOPROTEIN_CHOLESTEROL_INTEGER");
        public static final Property HighLipoproteinCholesterolFloat = new Property(9, Integer.TYPE, "highLipoproteinCholesterolFloat", false, "HIGH_LIPOPROTEIN_CHOLESTEROL_FLOAT");
        public static final Property LowLipoproteinCholesterolInteger = new Property(10, Integer.TYPE, "lowLipoproteinCholesterolInteger", false, "LOW_LIPOPROTEIN_CHOLESTEROL_INTEGER");
        public static final Property LowLipoproteinCholesterolFloat = new Property(11, Integer.TYPE, "lowLipoproteinCholesterolFloat", false, "LOW_LIPOPROTEIN_CHOLESTEROL_FLOAT");
        public static final Property BloodFatModel = new Property(12, Integer.TYPE, "bloodFatModel", false, "BLOOD_FAT_MODEL");
        public static final Property IsUpload = new Property(13, Boolean.TYPE, "isUpload", false, "IS_UPLOAD");
        public static final Property UserId = new Property(14, String.class, "userId", false, "USER_ID");
        public static final Property DeviceType = new Property(15, String.class, Constants.FunctionConstant.DEVICETYPE, false, "DEVICE_TYPE");
        public static final Property DeviceMac = new Property(16, String.class, "deviceMac", false, "DEVICE_MAC");
        public static final Property IsOtherUpload = new Property(17, Boolean.TYPE, "isOtherUpload", false, "IS_OTHER_UPLOAD");
        public static final Property BelongDataGroupId = new Property(18, String.class, "belongDataGroupId", false, "BELONG_DATA_GROUP_ID");
    }

    @Override // org.greenrobot.greendao.AbstractDao
    protected final boolean isEntityUpdateable() {
        return true;
    }

    public BloodFatDbDao(DaoConfig daoConfig) {
        super(daoConfig);
    }

    public BloodFatDbDao(DaoConfig daoConfig, DaoSession daoSession) {
        super(daoConfig, daoSession);
    }

    public static void createTable(Database database, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        database.execSQL("CREATE TABLE " + str + "\"BLOOD_FAT_DB\" (\"_id\" INTEGER PRIMARY KEY AUTOINCREMENT ,\"QUERY_ID\" INTEGER NOT NULL ,\"BLOOD_FAT_START_TIME\" INTEGER NOT NULL ,\"TIME_YEAR_TO_DATE\" TEXT,\"CHOLESTEROL_INTEGER\" INTEGER NOT NULL ,\"CHOLESTEROL_FLOAT\" INTEGER NOT NULL ,\"TRIGLYCERIDE_CHOLESTEROL_INTEGER\" INTEGER NOT NULL ,\"TRIGLYCERIDE_CHOLESTEROL_FLOAT\" INTEGER NOT NULL ,\"HIGH_LIPOPROTEIN_CHOLESTEROL_INTEGER\" INTEGER NOT NULL ,\"HIGH_LIPOPROTEIN_CHOLESTEROL_FLOAT\" INTEGER NOT NULL ,\"LOW_LIPOPROTEIN_CHOLESTEROL_INTEGER\" INTEGER NOT NULL ,\"LOW_LIPOPROTEIN_CHOLESTEROL_FLOAT\" INTEGER NOT NULL ,\"BLOOD_FAT_MODEL\" INTEGER NOT NULL ,\"IS_UPLOAD\" INTEGER NOT NULL ,\"USER_ID\" TEXT,\"DEVICE_TYPE\" TEXT,\"DEVICE_MAC\" TEXT,\"IS_OTHER_UPLOAD\" INTEGER NOT NULL ,\"BELONG_DATA_GROUP_ID\" TEXT);");
        database.execSQL("CREATE UNIQUE INDEX " + str + "IDX_BLOOD_FAT_DB_BLOOD_FAT_START_TIME ON \"BLOOD_FAT_DB\" (\"BLOOD_FAT_START_TIME\" ASC);");
    }

    public static void dropTable(Database database, boolean z) {
        StringBuilder sb = new StringBuilder("DROP TABLE ");
        sb.append(z ? "IF EXISTS " : "");
        sb.append("\"BLOOD_FAT_DB\"");
        database.execSQL(sb.toString());
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final void bindValues(DatabaseStatement databaseStatement, BloodFatDb bloodFatDb) {
        databaseStatement.clearBindings();
        Long id = bloodFatDb.getId();
        if (id != null) {
            databaseStatement.bindLong(1, id.longValue());
        }
        databaseStatement.bindLong(2, bloodFatDb.getQueryID());
        databaseStatement.bindLong(3, bloodFatDb.getBloodFatStartTime());
        String timeYearToDate = bloodFatDb.getTimeYearToDate();
        if (timeYearToDate != null) {
            databaseStatement.bindString(4, timeYearToDate);
        }
        databaseStatement.bindLong(5, bloodFatDb.getCholesterolInteger());
        databaseStatement.bindLong(6, bloodFatDb.getCholesterolFloat());
        databaseStatement.bindLong(7, bloodFatDb.getTriglycerideCholesterolInteger());
        databaseStatement.bindLong(8, bloodFatDb.getTriglycerideCholesterolFloat());
        databaseStatement.bindLong(9, bloodFatDb.getHighLipoproteinCholesterolInteger());
        databaseStatement.bindLong(10, bloodFatDb.getHighLipoproteinCholesterolFloat());
        databaseStatement.bindLong(11, bloodFatDb.getLowLipoproteinCholesterolInteger());
        databaseStatement.bindLong(12, bloodFatDb.getLowLipoproteinCholesterolFloat());
        databaseStatement.bindLong(13, bloodFatDb.getBloodFatModel());
        databaseStatement.bindLong(14, bloodFatDb.getIsUpload() ? 1L : 0L);
        String userId = bloodFatDb.getUserId();
        if (userId != null) {
            databaseStatement.bindString(15, userId);
        }
        String deviceType = bloodFatDb.getDeviceType();
        if (deviceType != null) {
            databaseStatement.bindString(16, deviceType);
        }
        String deviceMac = bloodFatDb.getDeviceMac();
        if (deviceMac != null) {
            databaseStatement.bindString(17, deviceMac);
        }
        databaseStatement.bindLong(18, bloodFatDb.getIsOtherUpload() ? 1L : 0L);
        String belongDataGroupId = bloodFatDb.getBelongDataGroupId();
        if (belongDataGroupId != null) {
            databaseStatement.bindString(19, belongDataGroupId);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final void bindValues(SQLiteStatement sQLiteStatement, BloodFatDb bloodFatDb) {
        sQLiteStatement.clearBindings();
        Long id = bloodFatDb.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        sQLiteStatement.bindLong(2, bloodFatDb.getQueryID());
        sQLiteStatement.bindLong(3, bloodFatDb.getBloodFatStartTime());
        String timeYearToDate = bloodFatDb.getTimeYearToDate();
        if (timeYearToDate != null) {
            sQLiteStatement.bindString(4, timeYearToDate);
        }
        sQLiteStatement.bindLong(5, bloodFatDb.getCholesterolInteger());
        sQLiteStatement.bindLong(6, bloodFatDb.getCholesterolFloat());
        sQLiteStatement.bindLong(7, bloodFatDb.getTriglycerideCholesterolInteger());
        sQLiteStatement.bindLong(8, bloodFatDb.getTriglycerideCholesterolFloat());
        sQLiteStatement.bindLong(9, bloodFatDb.getHighLipoproteinCholesterolInteger());
        sQLiteStatement.bindLong(10, bloodFatDb.getHighLipoproteinCholesterolFloat());
        sQLiteStatement.bindLong(11, bloodFatDb.getLowLipoproteinCholesterolInteger());
        sQLiteStatement.bindLong(12, bloodFatDb.getLowLipoproteinCholesterolFloat());
        sQLiteStatement.bindLong(13, bloodFatDb.getBloodFatModel());
        sQLiteStatement.bindLong(14, bloodFatDb.getIsUpload() ? 1L : 0L);
        String userId = bloodFatDb.getUserId();
        if (userId != null) {
            sQLiteStatement.bindString(15, userId);
        }
        String deviceType = bloodFatDb.getDeviceType();
        if (deviceType != null) {
            sQLiteStatement.bindString(16, deviceType);
        }
        String deviceMac = bloodFatDb.getDeviceMac();
        if (deviceMac != null) {
            sQLiteStatement.bindString(17, deviceMac);
        }
        sQLiteStatement.bindLong(18, bloodFatDb.getIsOtherUpload() ? 1L : 0L);
        String belongDataGroupId = bloodFatDb.getBelongDataGroupId();
        if (belongDataGroupId != null) {
            sQLiteStatement.bindString(19, belongDataGroupId);
        }
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.greenrobot.greendao.AbstractDao
    public Long readKey(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        if (cursor.isNull(i3)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i3));
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.greenrobot.greendao.AbstractDao
    public BloodFatDb readEntity(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        Long valueOf = cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3));
        int i4 = cursor.getInt(i2 + 1);
        long j2 = cursor.getLong(i2 + 2);
        int i5 = i2 + 3;
        String string = cursor.isNull(i5) ? null : cursor.getString(i5);
        int i6 = cursor.getInt(i2 + 4);
        int i7 = cursor.getInt(i2 + 5);
        int i8 = cursor.getInt(i2 + 6);
        int i9 = cursor.getInt(i2 + 7);
        int i10 = cursor.getInt(i2 + 8);
        int i11 = cursor.getInt(i2 + 9);
        int i12 = cursor.getInt(i2 + 10);
        int i13 = cursor.getInt(i2 + 11);
        int i14 = cursor.getInt(i2 + 12);
        boolean z = cursor.getShort(i2 + 13) != 0;
        int i15 = i2 + 14;
        String string2 = cursor.isNull(i15) ? null : cursor.getString(i15);
        int i16 = i2 + 15;
        String string3 = cursor.isNull(i16) ? null : cursor.getString(i16);
        int i17 = i2 + 16;
        String string4 = cursor.isNull(i17) ? null : cursor.getString(i17);
        int i18 = i2 + 18;
        return new BloodFatDb(valueOf, i4, j2, string, i6, i7, i8, i9, i10, i11, i12, i13, i14, z, string2, string3, string4, cursor.getShort(i2 + 17) != 0, cursor.isNull(i18) ? null : cursor.getString(i18));
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public void readEntity(Cursor cursor, BloodFatDb bloodFatDb, int i2) {
        int i3 = i2 + 0;
        bloodFatDb.setId(cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3)));
        bloodFatDb.setQueryID(cursor.getInt(i2 + 1));
        bloodFatDb.setBloodFatStartTime(cursor.getLong(i2 + 2));
        int i4 = i2 + 3;
        bloodFatDb.setTimeYearToDate(cursor.isNull(i4) ? null : cursor.getString(i4));
        bloodFatDb.setCholesterolInteger(cursor.getInt(i2 + 4));
        bloodFatDb.setCholesterolFloat(cursor.getInt(i2 + 5));
        bloodFatDb.setTriglycerideCholesterolInteger(cursor.getInt(i2 + 6));
        bloodFatDb.setTriglycerideCholesterolFloat(cursor.getInt(i2 + 7));
        bloodFatDb.setHighLipoproteinCholesterolInteger(cursor.getInt(i2 + 8));
        bloodFatDb.setHighLipoproteinCholesterolFloat(cursor.getInt(i2 + 9));
        bloodFatDb.setLowLipoproteinCholesterolInteger(cursor.getInt(i2 + 10));
        bloodFatDb.setLowLipoproteinCholesterolFloat(cursor.getInt(i2 + 11));
        bloodFatDb.setBloodFatModel(cursor.getInt(i2 + 12));
        bloodFatDb.setIsUpload(cursor.getShort(i2 + 13) != 0);
        int i5 = i2 + 14;
        bloodFatDb.setUserId(cursor.isNull(i5) ? null : cursor.getString(i5));
        int i6 = i2 + 15;
        bloodFatDb.setDeviceType(cursor.isNull(i6) ? null : cursor.getString(i6));
        int i7 = i2 + 16;
        bloodFatDb.setDeviceMac(cursor.isNull(i7) ? null : cursor.getString(i7));
        bloodFatDb.setIsOtherUpload(cursor.getShort(i2 + 17) != 0);
        int i8 = i2 + 18;
        bloodFatDb.setBelongDataGroupId(cursor.isNull(i8) ? null : cursor.getString(i8));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final Long updateKeyAfterInsert(BloodFatDb bloodFatDb, long j2) {
        bloodFatDb.setId(Long.valueOf(j2));
        return Long.valueOf(j2);
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public Long getKey(BloodFatDb bloodFatDb) {
        if (bloodFatDb != null) {
            return bloodFatDb.getId();
        }
        return null;
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public boolean hasKey(BloodFatDb bloodFatDb) {
        return bloodFatDb.getId() != null;
    }
}
