package com.yucheng.smarthealthpro.greendao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import com.yucheng.smarthealthpro.greendao.bean.HeartDb;
import com.yucheng.ycbtsdk.Constants;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.Property;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.database.DatabaseStatement;
import org.greenrobot.greendao.internal.DaoConfig;

/* loaded from: classes3.dex */
public class HeartDbDao extends AbstractDao<HeartDb, Long> {
    public static final String TABLENAME = "HEART_DB";

    public static class Properties {
        public static final Property Id = new Property(0, Long.class, "id", true, "_id");
        public static final Property QueryID = new Property(1, Integer.TYPE, "queryID", false, "QUERY_ID");
        public static final Property HeartValue = new Property(2, Integer.TYPE, "heartValue", false, "HEART_VALUE");
        public static final Property HeartStartTime = new Property(3, Long.TYPE, "heartStartTime", false, "HEART_START_TIME");
        public static final Property TimeYearToDate = new Property(4, String.class, "timeYearToDate", false, "TIME_YEAR_TO_DATE");
        public static final Property IsUpload = new Property(5, Boolean.TYPE, "isUpload", false, "IS_UPLOAD");
        public static final Property UserId = new Property(6, String.class, "userId", false, "USER_ID");
        public static final Property DeviceType = new Property(7, String.class, Constants.FunctionConstant.DEVICETYPE, false, "DEVICE_TYPE");
        public static final Property DeviceMac = new Property(8, String.class, "deviceMac", false, "DEVICE_MAC");
        public static final Property IsOtherUpload = new Property(9, Boolean.TYPE, "isOtherUpload", false, "IS_OTHER_UPLOAD");
        public static final Property BelongDataGroupId = new Property(10, String.class, "belongDataGroupId", false, "BELONG_DATA_GROUP_ID");
    }

    @Override // org.greenrobot.greendao.AbstractDao
    protected final boolean isEntityUpdateable() {
        return true;
    }

    public HeartDbDao(DaoConfig daoConfig) {
        super(daoConfig);
    }

    public HeartDbDao(DaoConfig daoConfig, DaoSession daoSession) {
        super(daoConfig, daoSession);
    }

    public static void createTable(Database database, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        database.execSQL("CREATE TABLE " + str + "\"HEART_DB\" (\"_id\" INTEGER PRIMARY KEY AUTOINCREMENT ,\"QUERY_ID\" INTEGER NOT NULL ,\"HEART_VALUE\" INTEGER NOT NULL ,\"HEART_START_TIME\" INTEGER NOT NULL ,\"TIME_YEAR_TO_DATE\" TEXT,\"IS_UPLOAD\" INTEGER NOT NULL ,\"USER_ID\" TEXT,\"DEVICE_TYPE\" TEXT,\"DEVICE_MAC\" TEXT,\"IS_OTHER_UPLOAD\" INTEGER NOT NULL ,\"BELONG_DATA_GROUP_ID\" TEXT);");
        database.execSQL("CREATE UNIQUE INDEX " + str + "IDX_HEART_DB_HEART_START_TIME ON \"HEART_DB\" (\"HEART_START_TIME\" ASC);");
    }

    public static void dropTable(Database database, boolean z) {
        StringBuilder sb = new StringBuilder("DROP TABLE ");
        sb.append(z ? "IF EXISTS " : "");
        sb.append("\"HEART_DB\"");
        database.execSQL(sb.toString());
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final void bindValues(DatabaseStatement databaseStatement, HeartDb heartDb) {
        databaseStatement.clearBindings();
        Long id = heartDb.getId();
        if (id != null) {
            databaseStatement.bindLong(1, id.longValue());
        }
        databaseStatement.bindLong(2, heartDb.getQueryID());
        databaseStatement.bindLong(3, heartDb.getHeartValue());
        databaseStatement.bindLong(4, heartDb.getHeartStartTime());
        String timeYearToDate = heartDb.getTimeYearToDate();
        if (timeYearToDate != null) {
            databaseStatement.bindString(5, timeYearToDate);
        }
        databaseStatement.bindLong(6, heartDb.getIsUpload() ? 1L : 0L);
        String userId = heartDb.getUserId();
        if (userId != null) {
            databaseStatement.bindString(7, userId);
        }
        String deviceType = heartDb.getDeviceType();
        if (deviceType != null) {
            databaseStatement.bindString(8, deviceType);
        }
        String deviceMac = heartDb.getDeviceMac();
        if (deviceMac != null) {
            databaseStatement.bindString(9, deviceMac);
        }
        databaseStatement.bindLong(10, heartDb.getIsOtherUpload() ? 1L : 0L);
        String belongDataGroupId = heartDb.getBelongDataGroupId();
        if (belongDataGroupId != null) {
            databaseStatement.bindString(11, belongDataGroupId);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final void bindValues(SQLiteStatement sQLiteStatement, HeartDb heartDb) {
        sQLiteStatement.clearBindings();
        Long id = heartDb.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        sQLiteStatement.bindLong(2, heartDb.getQueryID());
        sQLiteStatement.bindLong(3, heartDb.getHeartValue());
        sQLiteStatement.bindLong(4, heartDb.getHeartStartTime());
        String timeYearToDate = heartDb.getTimeYearToDate();
        if (timeYearToDate != null) {
            sQLiteStatement.bindString(5, timeYearToDate);
        }
        sQLiteStatement.bindLong(6, heartDb.getIsUpload() ? 1L : 0L);
        String userId = heartDb.getUserId();
        if (userId != null) {
            sQLiteStatement.bindString(7, userId);
        }
        String deviceType = heartDb.getDeviceType();
        if (deviceType != null) {
            sQLiteStatement.bindString(8, deviceType);
        }
        String deviceMac = heartDb.getDeviceMac();
        if (deviceMac != null) {
            sQLiteStatement.bindString(9, deviceMac);
        }
        sQLiteStatement.bindLong(10, heartDb.getIsOtherUpload() ? 1L : 0L);
        String belongDataGroupId = heartDb.getBelongDataGroupId();
        if (belongDataGroupId != null) {
            sQLiteStatement.bindString(11, belongDataGroupId);
        }
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.greenrobot.greendao.AbstractDao
    public Long readKey(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        if (cursor.isNull(i3)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i3));
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.greenrobot.greendao.AbstractDao
    public HeartDb readEntity(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        int i4 = i2 + 4;
        int i5 = i2 + 6;
        int i6 = i2 + 7;
        int i7 = i2 + 8;
        int i8 = i2 + 10;
        return new HeartDb(cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3)), cursor.getInt(i2 + 1), cursor.getInt(i2 + 2), cursor.getLong(i2 + 3), cursor.isNull(i4) ? null : cursor.getString(i4), cursor.getShort(i2 + 5) != 0, cursor.isNull(i5) ? null : cursor.getString(i5), cursor.isNull(i6) ? null : cursor.getString(i6), cursor.isNull(i7) ? null : cursor.getString(i7), cursor.getShort(i2 + 9) != 0, cursor.isNull(i8) ? null : cursor.getString(i8));
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public void readEntity(Cursor cursor, HeartDb heartDb, int i2) {
        int i3 = i2 + 0;
        heartDb.setId(cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3)));
        heartDb.setQueryID(cursor.getInt(i2 + 1));
        heartDb.setHeartValue(cursor.getInt(i2 + 2));
        heartDb.setHeartStartTime(cursor.getLong(i2 + 3));
        int i4 = i2 + 4;
        heartDb.setTimeYearToDate(cursor.isNull(i4) ? null : cursor.getString(i4));
        heartDb.setIsUpload(cursor.getShort(i2 + 5) != 0);
        int i5 = i2 + 6;
        heartDb.setUserId(cursor.isNull(i5) ? null : cursor.getString(i5));
        int i6 = i2 + 7;
        heartDb.setDeviceType(cursor.isNull(i6) ? null : cursor.getString(i6));
        int i7 = i2 + 8;
        heartDb.setDeviceMac(cursor.isNull(i7) ? null : cursor.getString(i7));
        heartDb.setIsOtherUpload(cursor.getShort(i2 + 9) != 0);
        int i8 = i2 + 10;
        heartDb.setBelongDataGroupId(cursor.isNull(i8) ? null : cursor.getString(i8));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final Long updateKeyAfterInsert(HeartDb heartDb, long j2) {
        heartDb.setId(Long.valueOf(j2));
        return Long.valueOf(j2);
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public Long getKey(HeartDb heartDb) {
        if (heartDb != null) {
            return heartDb.getId();
        }
        return null;
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public boolean hasKey(HeartDb heartDb) {
        return heartDb.getId() != null;
    }
}
