package com.yucheng.smarthealthpro.greendao;

import android.database.Cursor;
import android.database.sqlite.SQLiteStatement;
import com.yucheng.smarthealthpro.greendao.bean.UricAcidDb;
import com.yucheng.ycbtsdk.Constants;
import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.Property;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.database.DatabaseStatement;
import org.greenrobot.greendao.internal.DaoConfig;

/* loaded from: classes3.dex */
public class UricAcidDbDao extends AbstractDao<UricAcidDb, Long> {
    public static final String TABLENAME = "URIC_ACID_DB";

    public static class Properties {
        public static final Property Id = new Property(0, Long.class, "id", true, "_id");
        public static final Property QueryID = new Property(1, Integer.TYPE, "queryID", false, "QUERY_ID");
        public static final Property UricAcidStartTime = new Property(2, Long.TYPE, "uricAcidStartTime", false, "URIC_ACID_START_TIME");
        public static final Property TimeYearToDate = new Property(3, String.class, "timeYearToDate", false, "TIME_YEAR_TO_DATE");
        public static final Property UricAcid = new Property(4, Integer.TYPE, "uricAcid", false, "URIC_ACID");
        public static final Property UricAcidModel = new Property(5, Integer.TYPE, "uricAcidModel", false, "URIC_ACID_MODEL");
        public static final Property IsUpload = new Property(6, Boolean.TYPE, "isUpload", false, "IS_UPLOAD");
        public static final Property UserId = new Property(7, String.class, "userId", false, "USER_ID");
        public static final Property DeviceType = new Property(8, String.class, Constants.FunctionConstant.DEVICETYPE, false, "DEVICE_TYPE");
        public static final Property DeviceMac = new Property(9, String.class, "deviceMac", false, "DEVICE_MAC");
        public static final Property IsOtherUpload = new Property(10, Boolean.TYPE, "isOtherUpload", false, "IS_OTHER_UPLOAD");
        public static final Property BelongDataGroupId = new Property(11, String.class, "belongDataGroupId", false, "BELONG_DATA_GROUP_ID");
    }

    @Override // org.greenrobot.greendao.AbstractDao
    protected final boolean isEntityUpdateable() {
        return true;
    }

    public UricAcidDbDao(DaoConfig daoConfig) {
        super(daoConfig);
    }

    public UricAcidDbDao(DaoConfig daoConfig, DaoSession daoSession) {
        super(daoConfig, daoSession);
    }

    public static void createTable(Database database, boolean z) {
        String str = z ? "IF NOT EXISTS " : "";
        database.execSQL("CREATE TABLE " + str + "\"URIC_ACID_DB\" (\"_id\" INTEGER PRIMARY KEY AUTOINCREMENT ,\"QUERY_ID\" INTEGER NOT NULL ,\"URIC_ACID_START_TIME\" INTEGER NOT NULL ,\"TIME_YEAR_TO_DATE\" TEXT,\"URIC_ACID\" INTEGER NOT NULL ,\"URIC_ACID_MODEL\" INTEGER NOT NULL ,\"IS_UPLOAD\" INTEGER NOT NULL ,\"USER_ID\" TEXT,\"DEVICE_TYPE\" TEXT,\"DEVICE_MAC\" TEXT,\"IS_OTHER_UPLOAD\" INTEGER NOT NULL ,\"BELONG_DATA_GROUP_ID\" TEXT);");
        database.execSQL("CREATE UNIQUE INDEX " + str + "IDX_URIC_ACID_DB_URIC_ACID_START_TIME ON \"URIC_ACID_DB\" (\"URIC_ACID_START_TIME\" ASC);");
    }

    public static void dropTable(Database database, boolean z) {
        StringBuilder sb = new StringBuilder("DROP TABLE ");
        sb.append(z ? "IF EXISTS " : "");
        sb.append("\"URIC_ACID_DB\"");
        database.execSQL(sb.toString());
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final void bindValues(DatabaseStatement databaseStatement, UricAcidDb uricAcidDb) {
        databaseStatement.clearBindings();
        Long id = uricAcidDb.getId();
        if (id != null) {
            databaseStatement.bindLong(1, id.longValue());
        }
        databaseStatement.bindLong(2, uricAcidDb.getQueryID());
        databaseStatement.bindLong(3, uricAcidDb.getUricAcidStartTime());
        String timeYearToDate = uricAcidDb.getTimeYearToDate();
        if (timeYearToDate != null) {
            databaseStatement.bindString(4, timeYearToDate);
        }
        databaseStatement.bindLong(5, uricAcidDb.getUricAcid());
        databaseStatement.bindLong(6, uricAcidDb.getUricAcidModel());
        databaseStatement.bindLong(7, uricAcidDb.getIsUpload() ? 1L : 0L);
        String userId = uricAcidDb.getUserId();
        if (userId != null) {
            databaseStatement.bindString(8, userId);
        }
        String deviceType = uricAcidDb.getDeviceType();
        if (deviceType != null) {
            databaseStatement.bindString(9, deviceType);
        }
        String deviceMac = uricAcidDb.getDeviceMac();
        if (deviceMac != null) {
            databaseStatement.bindString(10, deviceMac);
        }
        databaseStatement.bindLong(11, uricAcidDb.getIsOtherUpload() ? 1L : 0L);
        String belongDataGroupId = uricAcidDb.getBelongDataGroupId();
        if (belongDataGroupId != null) {
            databaseStatement.bindString(12, belongDataGroupId);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final void bindValues(SQLiteStatement sQLiteStatement, UricAcidDb uricAcidDb) {
        sQLiteStatement.clearBindings();
        Long id = uricAcidDb.getId();
        if (id != null) {
            sQLiteStatement.bindLong(1, id.longValue());
        }
        sQLiteStatement.bindLong(2, uricAcidDb.getQueryID());
        sQLiteStatement.bindLong(3, uricAcidDb.getUricAcidStartTime());
        String timeYearToDate = uricAcidDb.getTimeYearToDate();
        if (timeYearToDate != null) {
            sQLiteStatement.bindString(4, timeYearToDate);
        }
        sQLiteStatement.bindLong(5, uricAcidDb.getUricAcid());
        sQLiteStatement.bindLong(6, uricAcidDb.getUricAcidModel());
        sQLiteStatement.bindLong(7, uricAcidDb.getIsUpload() ? 1L : 0L);
        String userId = uricAcidDb.getUserId();
        if (userId != null) {
            sQLiteStatement.bindString(8, userId);
        }
        String deviceType = uricAcidDb.getDeviceType();
        if (deviceType != null) {
            sQLiteStatement.bindString(9, deviceType);
        }
        String deviceMac = uricAcidDb.getDeviceMac();
        if (deviceMac != null) {
            sQLiteStatement.bindString(10, deviceMac);
        }
        sQLiteStatement.bindLong(11, uricAcidDb.getIsOtherUpload() ? 1L : 0L);
        String belongDataGroupId = uricAcidDb.getBelongDataGroupId();
        if (belongDataGroupId != null) {
            sQLiteStatement.bindString(12, belongDataGroupId);
        }
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.greenrobot.greendao.AbstractDao
    public Long readKey(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        if (cursor.isNull(i3)) {
            return null;
        }
        return Long.valueOf(cursor.getLong(i3));
    }

    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.greenrobot.greendao.AbstractDao
    public UricAcidDb readEntity(Cursor cursor, int i2) {
        int i3 = i2 + 0;
        int i4 = i2 + 3;
        int i5 = i2 + 7;
        int i6 = i2 + 8;
        int i7 = i2 + 9;
        int i8 = i2 + 11;
        return new UricAcidDb(cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3)), cursor.getInt(i2 + 1), cursor.getLong(i2 + 2), cursor.isNull(i4) ? null : cursor.getString(i4), cursor.getInt(i2 + 4), cursor.getInt(i2 + 5), cursor.getShort(i2 + 6) != 0, cursor.isNull(i5) ? null : cursor.getString(i5), cursor.isNull(i6) ? null : cursor.getString(i6), cursor.isNull(i7) ? null : cursor.getString(i7), cursor.getShort(i2 + 10) != 0, cursor.isNull(i8) ? null : cursor.getString(i8));
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public void readEntity(Cursor cursor, UricAcidDb uricAcidDb, int i2) {
        int i3 = i2 + 0;
        uricAcidDb.setId(cursor.isNull(i3) ? null : Long.valueOf(cursor.getLong(i3)));
        uricAcidDb.setQueryID(cursor.getInt(i2 + 1));
        uricAcidDb.setUricAcidStartTime(cursor.getLong(i2 + 2));
        int i4 = i2 + 3;
        uricAcidDb.setTimeYearToDate(cursor.isNull(i4) ? null : cursor.getString(i4));
        uricAcidDb.setUricAcid(cursor.getInt(i2 + 4));
        uricAcidDb.setUricAcidModel(cursor.getInt(i2 + 5));
        uricAcidDb.setIsUpload(cursor.getShort(i2 + 6) != 0);
        int i5 = i2 + 7;
        uricAcidDb.setUserId(cursor.isNull(i5) ? null : cursor.getString(i5));
        int i6 = i2 + 8;
        uricAcidDb.setDeviceType(cursor.isNull(i6) ? null : cursor.getString(i6));
        int i7 = i2 + 9;
        uricAcidDb.setDeviceMac(cursor.isNull(i7) ? null : cursor.getString(i7));
        uricAcidDb.setIsOtherUpload(cursor.getShort(i2 + 10) != 0);
        int i8 = i2 + 11;
        uricAcidDb.setBelongDataGroupId(cursor.isNull(i8) ? null : cursor.getString(i8));
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // org.greenrobot.greendao.AbstractDao
    public final Long updateKeyAfterInsert(UricAcidDb uricAcidDb, long j2) {
        uricAcidDb.setId(Long.valueOf(j2));
        return Long.valueOf(j2);
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public Long getKey(UricAcidDb uricAcidDb) {
        if (uricAcidDb != null) {
            return uricAcidDb.getId();
        }
        return null;
    }

    @Override // org.greenrobot.greendao.AbstractDao
    public boolean hasKey(UricAcidDb uricAcidDb) {
        return uricAcidDb.getId() != null;
    }
}
