package com.yucheng.smarthealthpro.greendao.utils;

import android.content.Context;
import com.yucheng.smarthealthpro.greendao.EcgMeasureDbDao;
import com.yucheng.smarthealthpro.greendao.bean.EcgMeasureDb;
import com.yucheng.smarthealthpro.login.normal.util.UserInfoUtil;
import java.util.Iterator;
import java.util.List;
import org.greenrobot.greendao.query.QueryBuilder;
import org.greenrobot.greendao.query.WhereCondition;

/* loaded from: classes3.dex */
public class EcgMeasureDbUtils {
    private static final String TAG = "EcgMeasureDbUtils";
    private static DaoManager daoManager;

    public EcgMeasureDbUtils(Context context) {
        daoManager = DaoManager.getInstance();
    }

    public boolean insertMsgModel(EcgMeasureDb ecgMeasureDb) {
        return daoManager.getDaoSession().getEcgMeasureDbDao().insert(ecgMeasureDb) != -1;
    }

    public boolean insertMultMsgModel(final List<EcgMeasureDb> list) {
        try {
            daoManager.getDaoSession().runInTx(new Runnable() { // from class: com.yucheng.smarthealthpro.greendao.utils.EcgMeasureDbUtils.1
                @Override // java.lang.Runnable
                public void run() {
                    Iterator it2 = list.iterator();
                    while (it2.hasNext()) {
                        EcgMeasureDbUtils.daoManager.getDaoSession().insertOrReplace((EcgMeasureDb) it2.next());
                    }
                }
            });
            return true;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean updateMsgModel(EcgMeasureDb ecgMeasureDb) {
        try {
            daoManager.getDaoSession().update(ecgMeasureDb);
            return true;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean deleteMsgModel(EcgMeasureDb ecgMeasureDb) {
        try {
            daoManager.getDaoSession().delete(ecgMeasureDb);
            return true;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public boolean deleteAll() {
        try {
            daoManager.getDaoSession().deleteAll(EcgMeasureDb.class);
            return true;
        } catch (Exception e2) {
            e2.printStackTrace();
            return false;
        }
    }

    public static List<EcgMeasureDb> queryAllMsgModel() {
        try {
            return daoManager.getDaoSession().queryBuilder(EcgMeasureDb.class).whereOr(EcgMeasureDbDao.Properties.UserId.eq(UserInfoUtil.getUserName()), EcgMeasureDbDao.Properties.UserId.isNull(), EcgMeasureDbDao.Properties.UserId.eq("")).orderDesc(EcgMeasureDbDao.Properties.Time).list();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public EcgMeasureDb queryMsgModelById(long j2) {
        return (EcgMeasureDb) daoManager.getDaoSession().load(EcgMeasureDb.class, Long.valueOf(j2));
    }

    public EcgMeasureDb queryMsgModelByQueryBuilder(long j2) {
        try {
            return (EcgMeasureDb) daoManager.getDaoSession().queryBuilder(EcgMeasureDb.class).where(EcgMeasureDbDao.Properties.Id.eq(Long.valueOf(j2)), new WhereCondition[0]).unique();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public List<EcgMeasureDb> queryId(int i2) {
        try {
            return daoManager.getDaoSession().queryBuilder(EcgMeasureDb.class).where(EcgMeasureDbDao.Properties.QueryID.eq(Integer.valueOf(i2)), new WhereCondition[0]).whereOr(EcgMeasureDbDao.Properties.UserId.eq(UserInfoUtil.getUserName()), EcgMeasureDbDao.Properties.UserId.isNull(), EcgMeasureDbDao.Properties.UserId.eq("")).list();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public List<EcgMeasureDb> queryByTime(long j2) {
        try {
            return daoManager.getDaoSession().queryBuilder(EcgMeasureDb.class).where(EcgMeasureDbDao.Properties.Time.eq(Long.valueOf(j2)), new WhereCondition[0]).whereOr(EcgMeasureDbDao.Properties.UserId.eq(UserInfoUtil.getUserName()), EcgMeasureDbDao.Properties.UserId.isNull(), EcgMeasureDbDao.Properties.UserId.eq("")).list();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public boolean queryIdDelete(int i2) {
        EcgMeasureDb ecgMeasureDb = (EcgMeasureDb) daoManager.getDaoSession().queryBuilder(EcgMeasureDb.class).where(EcgMeasureDbDao.Properties.QueryID.eq(Integer.valueOf(i2)), new WhereCondition[0]).unique();
        if (ecgMeasureDb != null) {
            try {
                daoManager.getDaoSession().delete(ecgMeasureDb);
                return true;
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return false;
    }

    public List<EcgMeasureDb> queryNotUpload() {
        QueryBuilder whereOr = daoManager.getDaoSession().queryBuilder(EcgMeasureDb.class).where(EcgMeasureDbDao.Properties.IsUpload.eq(false), new WhereCondition[0]).whereOr(EcgMeasureDbDao.Properties.UserId.eq(UserInfoUtil.getUserName()), EcgMeasureDbDao.Properties.UserId.isNull(), EcgMeasureDbDao.Properties.UserId.eq(""));
        if (whereOr == null) {
            return null;
        }
        try {
            return whereOr.list();
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }
}
