package com.yucheng.smarthealthpro.home.activity.bloodoxygen.activity;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import butterknife.ButterKnife;
import com.tencent.bugly.crashreport.CrashReport;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.home.activity.BaseMeasureActivity;
import com.yucheng.smarthealthpro.home.bean.RealDataResponse;
import com.yucheng.ycbtsdk.Constants;
import io.github.inflationx.viewpump.ViewPumpContextWrapper;
import java.util.HashMap;

/* loaded from: classes3.dex */
public class BloodOxygenMeasureActivity extends BaseMeasureActivity {
    public static int BLOOD_OXYGEN_MEASURE = 2;

    @Override // com.yucheng.smarthealthpro.home.activity.BaseMeasureActivity
    protected int getType() {
        return 2;
    }

    public static void load(Activity activity) {
        activity.startActivityForResult(new Intent(activity, (Class<?>) BloodOxygenMeasureActivity.class), BLOOD_OXYGEN_MEASURE);
    }

    @Override // com.yucheng.smarthealthpro.home.activity.BaseMeasureActivity, com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        initView();
    }

    @Override // com.yucheng.smarthealthpro.home.activity.BaseMeasureActivity
    public void initLayout() {
        setContentView(R.layout.activity_bo_measure);
        ButterKnife.bind(this);
    }

    private void initView() {
        changeTitle(getString(R.string.home_blood_oxygen_measure_title));
        showBack();
        this.tvLottieDataUnit.setText("%");
        this.ivLottieBg.setBackground(getResources().getDrawable(R.mipmap.bo_measure_bg));
        this.mLottieAnimationView.setAnimation(R.raw.blood_oxygen);
        this.mLottieAnimationView.setSpeed(1.0f);
    }

    @Override // com.yucheng.smarthealthpro.home.activity.BaseMeasureActivity
    protected void syncData() {
        this.hasMeasure = true;
        sync(Constants.DATATYPE.Health_HistoryAll);
        showProgressDialog(R.string.ecg_sync_data, true);
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.ContextThemeWrapper, android.content.ContextWrapper
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(ViewPumpContextWrapper.wrap(context));
    }

    @Override // com.yucheng.smarthealthpro.home.activity.BaseMeasureActivity
    public void onEvent(RealDataResponse realDataResponse) {
        int i2 = realDataResponse.f5549i;
        final HashMap hashMap = realDataResponse.hashMap;
        if (i2 != 1538 || hashMap == null) {
            return;
        }
        runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.bloodoxygen.activity.BloodOxygenMeasureActivity$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                BloodOxygenMeasureActivity.this.m457x65fadcff(hashMap);
            }
        });
    }

    /* renamed from: lambda$onEvent$0$com-yucheng-smarthealthpro-home-activity-bloodoxygen-activity-BloodOxygenMeasureActivity, reason: not valid java name */
    /* synthetic */ void m457x65fadcff(HashMap hashMap) {
        try {
            Integer num = (Integer) hashMap.get("bloodOxygenValue");
            if (num == null || num.intValue() == 0) {
                return;
            }
            this.tvLottieData.setText("" + num);
        } catch (Exception e2) {
            CrashReport.postCatchedException(e2);
            e2.printStackTrace();
        }
    }
}
