package com.yucheng.smarthealthpro.home.activity.bloodpressure.activity;

import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.Switch;
import android.widget.TextView;
import android.widget.Toast;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.orhanobut.logger.Logger;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.home.view.CustomSelectors;
import com.yucheng.smarthealthpro.utils.Constant;
import io.github.inflationx.viewpump.ViewPumpContextWrapper;
import java.util.ArrayList;

/* loaded from: classes3.dex */
public class BloodPressureSettingActivity extends BaseActivity {

    @BindView(R.id.iv_bp_calibration)
    ImageView ivBpCalibration;

    @BindView(R.id.iv_bp_level)
    ImageView ivBpLevel;

    @BindView(R.id.iv_remind)
    ImageView ivRemind;
    private CustomSelectors mBpCustomSelectors;
    private CustomSelectors mBpLevelCustomSelectors;
    private CustomSelectors mBpRemindCustomSelectors;

    @BindView(R.id.switch_police)
    Switch mPoliceSwitch;

    @BindView(R.id.tv_bp_calibration)
    TextView tvBpCalibration;

    @BindView(R.id.tv_bp_level)
    TextView tvBpLevel;

    @BindView(R.id.tv_remind)
    TextView tvRemind;
    private ArrayList<String> firstList = new ArrayList<>();
    private ArrayList<String> secondList = new ArrayList<>();
    private ArrayList<String> bpLevelList = new ArrayList<>();

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_bloodpressuresetting);
        ButterKnife.bind(this);
        initView();
        initData();
    }

    private void initView() {
        changeTitle(getString(R.string.include_bottom_tv_first_button));
        showBack();
        this.mPoliceSwitch.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.yucheng.smarthealthpro.home.activity.bloodpressure.activity.BloodPressureSettingActivity.1
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                if (z) {
                    Toast.makeText(BloodPressureSettingActivity.this, Constant.SpConstValue.OPEN, 0).show();
                } else {
                    Toast.makeText(BloodPressureSettingActivity.this, Constant.SpConstValue.CLOSE, 0).show();
                }
            }
        });
    }

    private void initData() {
        for (int i2 = 70; i2 <= 250; i2++) {
            this.firstList.add(i2 + "");
        }
        for (int i3 = 40; i3 <= 160; i3++) {
            this.secondList.add(i3 + "");
        }
        this.bpLevelList.add(getString(R.string.value_low));
        this.bpLevelList.add(getString(R.string.value_normal));
        this.bpLevelList.add(getString(R.string.bp_selectors_list_two));
        this.bpLevelList.add(getString(R.string.bp_selectors_list_four));
        this.bpLevelList.add(getString(R.string.bp_selectors_list_five));
    }

    private void initBpCalibrationlPicker() {
        CustomSelectors customSelectors = new CustomSelectors();
        this.mBpCustomSelectors = customSelectors;
        customSelectors.BpLevelPicker(this.firstList, this.secondList, null, 65, 40, 1, "", "", "", false, CustomSelectors.IsShow.BP, CustomSelectors.SelectorsDataNum.TWO, this.context);
        this.mBpCustomSelectors.setOnTwoSelectorsDataListener(new CustomSelectors.OnTwoSelectorsDataListener() { // from class: com.yucheng.smarthealthpro.home.activity.bloodpressure.activity.BloodPressureSettingActivity.2
            @Override // com.yucheng.smarthealthpro.home.view.CustomSelectors.OnTwoSelectorsDataListener
            public void getSelectorsDataClick(String str, String str2, int i2, int i3) {
                Toast.makeText(BloodPressureSettingActivity.this, "收缩压:" + str + "\n舒张压:" + str2, 0).show();
                BloodPressureSettingActivity.this.tvBpCalibration.setText(str + "/" + str2);
            }
        });
    }

    private void initBpLevelPicker() {
        CustomSelectors customSelectors = new CustomSelectors();
        this.mBpLevelCustomSelectors = customSelectors;
        customSelectors.BpLevelPicker(this.bpLevelList, null, null, 2, 1, 1, "", "", "", false, CustomSelectors.IsShow.TOP_CONFIRM_CANCEL, CustomSelectors.SelectorsDataNum.ONE, this.context);
        this.mBpLevelCustomSelectors.setOnOneSelectorsDataListener(new CustomSelectors.OnOneSelectorsDataListener() { // from class: com.yucheng.smarthealthpro.home.activity.bloodpressure.activity.BloodPressureSettingActivity.3
            @Override // com.yucheng.smarthealthpro.home.view.CustomSelectors.OnOneSelectorsDataListener
            public void getSelectorsDataClick(String str, int i2) {
                Toast.makeText(BloodPressureSettingActivity.this, str, 0).show();
                BloodPressureSettingActivity.this.tvBpLevel.setText(str);
            }
        });
    }

    private void initBpRemindPicker() {
        CustomSelectors customSelectors = new CustomSelectors();
        this.mBpRemindCustomSelectors = customSelectors;
        customSelectors.BpLevelPicker(this.firstList, null, null, 2, 1, 1, "", "", "", false, CustomSelectors.IsShow.TOP_CONFIRM_CANCEL, CustomSelectors.SelectorsDataNum.ONE, this.context);
        this.mBpRemindCustomSelectors.setOnOneSelectorsDataListener(new CustomSelectors.OnOneSelectorsDataListener() { // from class: com.yucheng.smarthealthpro.home.activity.bloodpressure.activity.BloodPressureSettingActivity.4
            @Override // com.yucheng.smarthealthpro.home.view.CustomSelectors.OnOneSelectorsDataListener
            public void getSelectorsDataClick(String str, int i2) {
                Toast.makeText(BloodPressureSettingActivity.this, str, 0).show();
                BloodPressureSettingActivity.this.tvRemind.setText(str);
            }
        });
    }

    @OnClick({R.id.iv_bp_calibration, R.id.iv_bp_level, R.id.iv_remind})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.iv_bp_calibration /* 2131296793 */:
                Logger.d("chong---------firstlist---" + this.firstList.size() + HelpFormatter.DEFAULT_LONG_OPT_PREFIX + this.firstList.get(0));
                initBpCalibrationlPicker();
                break;
            case R.id.iv_bp_level /* 2131296794 */:
                initBpLevelPicker();
                break;
            case R.id.iv_remind /* 2131296835 */:
                Logger.d("chong2---------firstlist---" + this.firstList.size() + HelpFormatter.DEFAULT_LONG_OPT_PREFIX + this.firstList.get(0));
                initBpRemindPicker();
                break;
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.ContextThemeWrapper, android.content.ContextWrapper
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(ViewPumpContextWrapper.wrap(context));
    }
}
