package com.yucheng.smarthealthpro.home.activity.bloodpressure.adapter;

import android.view.View;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.home.activity.bloodpressure.bean.BloodPressureHisListBean;
import com.yucheng.smarthealthpro.utils.Constant;

/* loaded from: classes3.dex */
public class BloodPressureHisListAdapter extends BaseQuickAdapter<BloodPressureHisListBean, BaseViewHolder> {
    private OnItemClickListener mOnItemClickListener;

    public interface OnItemClickListener {
        void onClick(BloodPressureHisListBean bloodPressureHisListBean, int i2);

        void onDelClick(BloodPressureHisListBean bloodPressureHisListBean, int i2);

        void onLongClick(BloodPressureHisListBean bloodPressureHisListBean, int i2);
    }

    public BloodPressureHisListAdapter(int i2) {
        super(i2);
        this.mOnItemClickListener = null;
    }

    public void setOnItemClickListener(OnItemClickListener onItemClickListener) {
        this.mOnItemClickListener = onItemClickListener;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(BaseViewHolder baseViewHolder, final BloodPressureHisListBean bloodPressureHisListBean) {
        final int layoutPosition = baseViewHolder.getLayoutPosition();
        if (bloodPressureHisListBean != null) {
            baseViewHolder.setText(R.id.tv_time, bloodPressureHisListBean.getTime()).setText(R.id.tv_value, bloodPressureHisListBean.getBloodSBP() + "/" + bloodPressureHisListBean.getBloodDBP()).setText(R.id.tv_unit, "mmHg");
            String string = getContext().getString(R.string.value_normal);
            int color = getContext().getColor(R.color.value_normal);
            if (bloodPressureHisListBean.getBloodDBP() > 90 || bloodPressureHisListBean.getBloodSBP() > 140) {
                string = getContext().getString(R.string.value_high);
                color = getContext().getColor(R.color.value_exceptional_high);
            } else if (bloodPressureHisListBean.getBloodDBP() < 60 || bloodPressureHisListBean.getBloodSBP() < 90) {
                string = getContext().getString(R.string.value_low);
                color = getContext().getColor(R.color.value_exceptional_low);
            }
            baseViewHolder.setText(R.id.tv_state, string);
            baseViewHolder.setTextColor(R.id.tv_state, color);
            if (Constant.CC.isHealthWear() || Constant.CC.isSmartHealth()) {
                if (bloodPressureHisListBean.getIsInflated() == 2) {
                    baseViewHolder.setImageResource(R.id.iv_mode, R.mipmap.blood_item_accurate);
                    baseViewHolder.setVisible(R.id.iv_mode, true);
                } else if (bloodPressureHisListBean.getIsInflated() == -1) {
                    baseViewHolder.setVisible(R.id.iv_mode, false);
                } else {
                    baseViewHolder.setImageResource(R.id.iv_mode, R.mipmap.blood_item_normal);
                    baseViewHolder.setVisible(R.id.iv_mode, true);
                }
            }
        }
        baseViewHolder.itemView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.bloodpressure.adapter.BloodPressureHisListAdapter.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (BloodPressureHisListAdapter.this.mOnItemClickListener != null) {
                    BloodPressureHisListAdapter.this.mOnItemClickListener.onClick(bloodPressureHisListBean, layoutPosition);
                }
            }
        });
    }
}
