package com.yucheng.smarthealthpro.home.activity.bloodsugar.adapter;

import android.view.View;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.customchart.utils.Utils;
import com.yucheng.smarthealthpro.framework.util.SharedPreferencesUtils;
import com.yucheng.smarthealthpro.home.activity.temperature.bean.TemperatureHisListBean;
import com.yucheng.smarthealthpro.utils.Constant;

/* loaded from: classes3.dex */
public class BloodSugarHisListAdapter extends BaseQuickAdapter<TemperatureHisListBean, BaseViewHolder> {
    private OnItemClickListener mOnItemClickListener;

    public interface OnItemClickListener {
        void onClick(TemperatureHisListBean temperatureHisListBean, int i2);

        void onDelClick(TemperatureHisListBean temperatureHisListBean, int i2);

        void onLongClick(TemperatureHisListBean temperatureHisListBean, int i2);
    }

    public BloodSugarHisListAdapter(int i2) {
        super(i2);
        this.mOnItemClickListener = null;
    }

    public void setOnItemClickListener(OnItemClickListener onItemClickListener) {
        this.mOnItemClickListener = onItemClickListener;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(BaseViewHolder baseViewHolder, final TemperatureHisListBean temperatureHisListBean) {
        double d2;
        final int layoutPosition = baseViewHolder.getLayoutPosition();
        if (temperatureHisListBean != null) {
            try {
                baseViewHolder.setText(R.id.tv_time, temperatureHisListBean.getTime()).setText(R.id.tv_value, temperatureHisListBean.getmValue()).setText(R.id.tv_unit, temperatureHisListBean.unit).setText(R.id.tv_state, temperatureHisListBean.getState());
                try {
                    d2 = Double.parseDouble(temperatureHisListBean.getmValue());
                } catch (Exception e2) {
                    e2.printStackTrace();
                    d2 = Utils.DOUBLE_EPSILON;
                }
                if (getContext().getString(R.string.blood_sugar_unit_2).equals((String) SharedPreferencesUtils.get(getContext(), Constant.SpConstKey.BLOOD_SUGAR_AND_BLOOD_FAT_UNIT, getContext().getString(R.string.blood_sugar_unit_1)))) {
                    d2 /= 18.0d;
                }
                getContext().getString(R.string.value_normal);
                int color = getContext().getColor(R.color.value_normal);
                if (d2 < 2.8d) {
                    getContext().getString(R.string.value_low);
                    color = getContext().getColor(R.color.value_exceptional_low);
                }
                if (d2 > 7.8d) {
                    getContext().getString(R.string.value_high);
                    color = getContext().getColor(R.color.value_exceptional_high);
                }
                baseViewHolder.setTextColor(R.id.tv_state, color);
            } catch (Exception e3) {
                e3.printStackTrace();
            }
        }
        baseViewHolder.itemView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.bloodsugar.adapter.BloodSugarHisListAdapter.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (BloodSugarHisListAdapter.this.mOnItemClickListener != null) {
                    BloodSugarHisListAdapter.this.mOnItemClickListener.onClick(temperatureHisListBean, layoutPosition);
                }
            }
        });
    }
}
