package com.yucheng.smarthealthpro.home.activity.ecg.activity;

import android.content.Context;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.TextView;
import androidx.core.content.res.ResourcesCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.google.gson.reflect.TypeToken;
import com.orhanobut.logger.Logger;
import com.scwang.smart.refresh.layout.SmartRefreshLayout;
import com.scwang.smart.refresh.layout.api.RefreshLayout;
import com.scwang.smart.refresh.layout.listener.OnLoadMoreListener;
import com.tencent.bugly.crashreport.CrashReport;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.care.bean.ElectrocardiogramListBean;
import com.yucheng.smarthealthpro.framework.http.HttpUtils;
import com.yucheng.smarthealthpro.framework.util.Constants;
import com.yucheng.smarthealthpro.framework.view.NavigationBar;
import com.yucheng.smarthealthpro.greendao.bean.EcgMeasureDb;
import com.yucheng.smarthealthpro.greendao.utils.EcgMeasureDbUtils;
import com.yucheng.smarthealthpro.home.activity.HealthyActivity;
import com.yucheng.smarthealthpro.home.activity.ecg.adapter.EcgHisListAdapter;
import com.yucheng.smarthealthpro.home.activity.ecg.bean.AIDiagnosisResultBean;
import com.yucheng.smarthealthpro.home.activity.ecg.bean.EcgMeasureHisListBean;
import com.yucheng.smarthealthpro.home.activity.ecg.util.NativeListToBList;
import com.yucheng.smarthealthpro.home.bean.RealDataResponse;
import com.yucheng.smarthealthpro.home.view.CardiographView;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.smarthealthpro.utils.ShareUtils;
import com.yucheng.ycbtsdk.AITools;
import com.yucheng.ycbtsdk.bean.HealthNormBean;
import io.github.inflationx.viewpump.ViewPumpContextWrapper;
import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;

/* loaded from: classes3.dex */
public class Ecg2Activity extends BaseActivity {
    private boolean afflag;
    private String devId;
    private int heart;
    private int hrv;

    @BindView(R.id.iv_first_left)
    ImageView ivFirstLeft;

    @BindView(R.id.iv_first_right)
    ImageView ivFirstRight;

    @BindView(R.id.iv_fourthly_left)
    ImageView ivFourthlyLeft;

    @BindView(R.id.iv_fourthly_right)
    ImageView ivFourthlyRight;

    @BindView(R.id.iv_play)
    ImageView ivPlay;

    @BindView(R.id.iv_second_left)
    ImageView ivSecondLeft;

    @BindView(R.id.iv_second_right)
    ImageView ivSecondRight;

    @BindView(R.id.iv_thirdly_left)
    ImageView ivThirdlyLeft;

    @BindView(R.id.iv_thirdly_right)
    ImageView ivThirdlyRight;
    RelativeLayout.LayoutParams layte;

    @BindView(R.id.ll_start_button)
    LinearLayout llStartButton;

    @BindView(R.id.cardiographView)
    CardiographView mCardiographView;
    private EcgHisListAdapter mEcgHisListAdapter;
    private List<EcgMeasureDb> mEcgMeasureDb;
    private List<Integer> mEcgMeasureDbList;
    private List<EcgMeasureHisListBean> mEcgMeasureHisListBean;
    private List<Integer> mEcgMeasureList;
    private MediaPlayer mMediaPlay;

    @BindView(R.id.recycle_view)
    RecyclerView mRecyclerView;

    @BindView(R.id.srl_ecg)
    SmartRefreshLayout mSmartRefreshLayout;
    private Unbinder mUnbinder;
    private List<Integer> nativeList;
    private String phone;
    private int qrstype;

    @BindView(R.id.rl_analyse)
    RelativeLayout rlAnalyse;

    @BindView(R.id.rl_first)
    RelativeLayout rlFirst;

    @BindView(R.id.rl_fourthly)
    RelativeLayout rlFourthly;

    @BindView(R.id.rl_second)
    RelativeLayout rlSecond;

    @BindView(R.id.rl_thirdly)
    RelativeLayout rlThirdly;

    @BindView(R.id.sb_progress)
    SeekBar sbProgress;

    @BindView(R.id.tv_analyse)
    TextView tvAnalyse;

    @BindView(R.id.tv_analyse_data)
    TextView tvAnalyseData;

    @BindView(R.id.tv_bpm)
    TextView tvBpm;

    @BindView(R.id.tv_first)
    TextView tvFirst;

    @BindView(R.id.tv_fourthly)
    TextView tvFourthly;

    @BindView(R.id.tv_hrv)
    TextView tvHrv;

    @BindView(R.id.tv_mmhg)
    TextView tvMmhg;

    @BindView(R.id.tv_second)
    TextView tvSecond;

    @BindView(R.id.tv_start_button)
    TextView tvStartButton;

    @BindView(R.id.tv_thirdly)
    TextView tvThirdly;
    private Gson mGson = new Gson();
    private List<Integer> blist_change = new ArrayList();
    private int ARROW = 0;
    private Boolean isCare = false;
    private List<ElectrocardiogramListBean.DataBean.Data> electrocardiograms = new ArrayList();
    private int page = 1;
    private int pageSize = 10;
    private int index = 0;
    private int index2 = 0;
    private boolean isStart = true;
    private List<Integer> drawLists = new ArrayList();
    boolean isFirst = true;
    private Handler mHandler = new Handler() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.1
        @Override // android.os.Handler
        public void handleMessage(Message message) {
            super.handleMessage(message);
            if (message.what == 1) {
                if (Ecg2Activity.this.index >= Ecg2Activity.this.mEcgMeasureList.size()) {
                    Ecg2Activity.this.isStart = false;
                    Ecg2Activity.this.ivPlay.setImageResource(R.mipmap.ecg_play);
                    return;
                }
                if (Ecg2Activity.this.mCardiographView.plist.size() > Ecg2Activity.this.mCardiographView.WidthDots) {
                    Ecg2Activity.this.mCardiographView.plist.remove(0);
                }
                Ecg2Activity.this.mCardiographView.plist.add((Integer) Ecg2Activity.this.mEcgMeasureList.get(Ecg2Activity.this.index));
                Ecg2Activity.this.mCardiographView.invalidate();
                int i2 = (Ecg2Activity.this.index * 3) + 753;
                if (i2 < Ecg2Activity.this.nativeList.size()) {
                    if (Ecg2Activity.this.index == 0) {
                        AITools.getInstance().ecgRealWaveFiltering(Ecg2Activity.this.nativeList.subList(0, 753));
                    } else {
                        AITools.getInstance().ecgRealWaveFiltering(Ecg2Activity.this.nativeList.subList(((Ecg2Activity.this.index - 1) * 3) + 753, i2));
                    }
                }
                int unused = Ecg2Activity.this.index;
                Ecg2Activity.this.mEcgMeasureList.size();
                Ecg2Activity.this.sbProgress.setMax(Ecg2Activity.this.mEcgMeasureList.size());
                Ecg2Activity.this.sbProgress.setProgress(Ecg2Activity.this.index);
                Ecg2Activity.access$008(Ecg2Activity.this);
                return;
            }
            if (message.what == 2) {
                if (Ecg2Activity.this.isStart) {
                    if (Ecg2Activity.this.index2 > 2) {
                        int i3 = (int) (Ecg2Activity.this.index2 * 230.76924f);
                        int i4 = (int) ((Ecg2Activity.this.index2 + 1) * 230.76924f);
                        Logger.d("ltf mHandler start=" + i3 + " end=" + i4);
                        if (Ecg2Activity.this.index2 == 3) {
                            AITools.getInstance().ecgRealWaveFiltering(Ecg2Activity.this.nativeList.subList(0, i4));
                        } else if (i3 >= Ecg2Activity.this.nativeList.size() || i4 < Ecg2Activity.this.nativeList.size()) {
                            if (i4 < Ecg2Activity.this.nativeList.size()) {
                                AITools.getInstance().ecgRealWaveFiltering(Ecg2Activity.this.nativeList.subList(i3, i4));
                            }
                        } else {
                            AITools.getInstance().ecgRealWaveFiltering(Ecg2Activity.this.nativeList.subList(i3, Ecg2Activity.this.nativeList.size() - 1));
                        }
                    }
                    Ecg2Activity.access$408(Ecg2Activity.this);
                    return;
                }
                return;
            }
            if (message.what == 22 && Ecg2Activity.this.isStart && Ecg2Activity.this.mMediaPlay != null) {
                Ecg2Activity.this.mMediaPlay.start();
            }
        }
    };

    static /* synthetic */ int access$008(Ecg2Activity ecg2Activity) {
        int i2 = ecg2Activity.index;
        ecg2Activity.index = i2 + 1;
        return i2;
    }

    static /* synthetic */ int access$408(Ecg2Activity ecg2Activity) {
        int i2 = ecg2Activity.index2;
        ecg2Activity.index2 = i2 + 1;
        return i2;
    }

    static /* synthetic */ int access$608(Ecg2Activity ecg2Activity) {
        int i2 = ecg2Activity.page;
        ecg2Activity.page = i2 + 1;
        return i2;
    }

    @Override // com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onPause() {
        super.onPause();
        this.isStart = false;
        this.ivPlay.setImageResource(R.mipmap.ecg_play);
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_ecg2);
        this.mUnbinder = ButterKnife.bind(this);
        AITools.getInstance().init();
        initView();
        initData();
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onEvent(RealDataResponse realDataResponse) {
        int i2 = realDataResponse.f5549i;
        HashMap hashMap = realDataResponse.hashMap;
        if (hashMap != null) {
            Log.e("qob", "onRealDataResponse " + i2 + " dataType " + ((Integer) hashMap.get("dataType")).intValue());
            if (i2 == 1541) {
                return;
            }
            if (i2 == 1776) {
                return;
            }
            if (i2 != 1777) {
                if (i2 == 1539) {
                    this.mHandler.sendEmptyMessage(23);
                }
            } else {
                this.mHandler.sendEmptyMessage(22);
                Log.e("qob", "RR invo " + ((Float) hashMap.get("data")).floatValue());
            }
        }
    }

    private void initView() {
        changeTitle(getString(R.string.home_ecg_title));
        showBack();
        showRightImage(R.mipmap.topbar_ic_share, new NavigationBar.MyOnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.2
            @Override // com.yucheng.smarthealthpro.framework.view.NavigationBar.MyOnClickListener
            public void onClick(View view) {
                ShareUtils.share(Ecg2Activity.this);
            }
        });
        if (Constant.CC.isTechFeel()) {
            this.rlFirst.setVisibility(8);
            this.rlSecond.setVisibility(8);
        }
        String stringExtra = getIntent().getStringExtra("care");
        if (stringExtra != null && stringExtra.equals(getString(R.string.care_title))) {
            this.isCare = true;
            this.devId = getIntent().getStringExtra(Constant.SpConstKey.DEV_ID);
            this.phone = getIntent().getStringExtra("phone");
            this.llStartButton.setVisibility(8);
            this.rlFirst.setVisibility(8);
            this.rlThirdly.setVisibility(8);
            this.mSmartRefreshLayout.setOnLoadMoreListener(new OnLoadMoreListener() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.3
                @Override // com.scwang.smart.refresh.layout.listener.OnLoadMoreListener
                public void onLoadMore(RefreshLayout refreshLayout) {
                    Ecg2Activity.access$608(Ecg2Activity.this);
                    Ecg2Activity ecg2Activity = Ecg2Activity.this;
                    ecg2Activity.requestElectrocardiogramData(ecg2Activity.devId, Ecg2Activity.this.page, Ecg2Activity.this.pageSize);
                    refreshLayout.finishLoadMore();
                }
            });
        } else {
            this.tvStartButton.setText(getString(R.string.ecg_measure_title));
            this.tvFirst.setText(getString(R.string.include_bottom_tv_second_button));
            this.ivFirstLeft.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_know, null));
            this.rlThirdly.setVisibility(0);
        }
        this.tvAnalyse.setText(getString(R.string.ecg_analyse_title));
        this.tvSecond.setText(getString(R.string.home_ecg_trend_following_tv));
        this.tvFourthly.setText(getString(R.string.include_bottom_tv_fourthly_button));
        this.ivSecondLeft.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_trend, null));
        this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
        this.mSmartRefreshLayout.setEnableRefresh(false);
        this.mSmartRefreshLayout.setEnableLoadMore(false);
        this.sbProgress.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.4
            @Override // android.widget.SeekBar.OnSeekBarChangeListener
            public void onStopTrackingTouch(SeekBar seekBar) {
            }

            @Override // android.widget.SeekBar.OnSeekBarChangeListener
            public void onProgressChanged(SeekBar seekBar, int i2, boolean z) {
                if (z) {
                    Ecg2Activity.this.index = i2;
                    int i3 = i2 - Ecg2Activity.this.mCardiographView.WidthDots;
                    if (i3 < 0) {
                        i3 = 0;
                    }
                    List subList = Ecg2Activity.this.mEcgMeasureList.subList(i3, i2);
                    Ecg2Activity.this.mCardiographView.plist.clear();
                    Ecg2Activity.this.mCardiographView.plist.addAll(subList);
                    Ecg2Activity.this.mCardiographView.invalidate();
                }
            }

            @Override // android.widget.SeekBar.OnSeekBarChangeListener
            public void onStartTrackingTouch(SeekBar seekBar) {
                Ecg2Activity.this.isStart = false;
                Ecg2Activity.this.ivPlay.setImageResource(R.mipmap.ecg_play);
            }
        });
    }

    private void initData() {
        this.mEcgMeasureHisListBean = new ArrayList();
        setRecycleView();
        if (this.isCare.booleanValue()) {
            requestElectrocardiogramData(this.devId, this.page, this.pageSize);
        }
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        if (this.isCare.booleanValue()) {
            return;
        }
        getEchMEasureDbList();
    }

    private void setAnalyzeResult() {
        if (Constant.CC.isTechFeel()) {
            if (this.afflag) {
                this.tvAnalyseData.setText(getResources().getString(R.string.ecg_af_sus) + "\n" + getResources().getString(R.string.ecg_atrial_detail));
                return;
            }
            int i2 = this.qrstype;
            if (i2 == 1) {
                this.tvAnalyseData.setText(getResources().getString(R.string.ecg_normal) + "\n" + getResources().getString(R.string.ecg_normal_detail));
                return;
            }
            if (i2 == 5) {
                this.tvAnalyseData.setText(getResources().getString(R.string.ecg_pvcs) + "\n" + getResources().getString(R.string.ecg_pvcs_detail));
                return;
            }
            if (i2 == 9) {
                this.tvAnalyseData.setText(getResources().getString(R.string.ecg_atrial_extrasystole) + "\n" + getResources().getString(R.string.ecg_atrial_extrasystole_detail));
                return;
            }
            if (i2 == 14) {
                this.tvAnalyseData.setText(getResources().getString(R.string.ecg_not_detectable));
                return;
            }
            int i3 = this.heart;
            if (i3 != 0 && i3 <= 50) {
                this.tvAnalyseData.setText(getResources().getString(R.string.ecg_abc) + "\n" + getResources().getString(R.string.ecg_abc_detail));
                return;
            }
            if (i3 >= 120) {
                this.tvAnalyseData.setText(getResources().getString(R.string.ecg_tach) + "\n" + getResources().getString(R.string.ecg_tach_detail));
                return;
            }
            if (this.hrv >= 125) {
                this.tvAnalyseData.setText(getResources().getString(R.string.ecg_sinus_arrhythmia) + "\n" + getResources().getString(R.string.ecg_sinus_arrhythmia_detail));
                return;
            }
            this.tvAnalyseData.setText(getResources().getString(R.string.ecg_not_detectable));
            return;
        }
        if (this.afflag) {
            this.tvAnalyseData.setText(getResources().getString(R.string.ai_diagnosis_suspected_atrial_fibrillation) + "\n" + getResources().getString(R.string.ai_diagnosis_suspected_atrial_fibrillation_detail));
            return;
        }
        int i4 = this.qrstype;
        if (i4 == 5) {
            this.tvAnalyseData.setText(getResources().getString(R.string.ecg_ai_diagnosis_atrial_extrasystole) + "\n" + getResources().getString(R.string.ai_diagnosis_ventricular_precordial_electrocardiogram_detail));
            return;
        }
        if (i4 == 9) {
            this.tvAnalyseData.setText(getResources().getString(R.string.ecg_ai_diagnosis_atrial_extrasystole) + "\n" + getResources().getString(R.string.ai_diagnosis_atrial_premature_electrocardiogram_detail));
            return;
        }
        int i5 = this.heart;
        if (i5 != 0 && i5 <= 50) {
            this.tvAnalyseData.setText(getResources().getString(R.string.ai_diagnosis_suspected_atrial_bradycardia) + "\n" + getResources().getString(R.string.ai_diagnosis_suspected_atrial_bradycardia_detail));
            return;
        }
        if (i5 >= 120) {
            this.tvAnalyseData.setText(getResources().getString(R.string.ai_diagnosis_suspected_atrial_tachycardia) + "\n" + getResources().getString(R.string.ai_diagnosis_suspected_atrial_tachycardia_detail));
            return;
        }
        if (this.hrv >= 125) {
            this.tvAnalyseData.setText(getResources().getString(R.string.ai_diagnosis_suspected_atrial_arrhythmia) + "\n" + getResources().getString(R.string.ai_diagnosis_suspected_atrial_arrhythmia_detail));
            return;
        }
        if (i4 == 1) {
            this.tvAnalyseData.setText(getResources().getString(R.string.ai_diagnosis_normal_ecg) + "\n" + getResources().getString(R.string.ai_diagnosis_normal_ecg_detail));
            return;
        }
        this.tvAnalyseData.setText("");
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void requestElectrocardiogramData(String str, int i2, int i3) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", str);
        hashMap.put("currentPage", i2 + "");
        hashMap.put("pageSize", i3 + "");
        HttpUtils.getInstance().postMsgAsynHttp(this, Constants.heartlinelist, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.5
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                String str3;
                String str4;
                StringBuilder sb;
                int i4;
                AIDiagnosisResultBean.AIResult aIResult;
                if (str2 != null) {
                    try {
                        Ecg2Activity ecg2Activity = Ecg2Activity.this;
                        ecg2Activity.electrocardiograms = ((ElectrocardiogramListBean) ecg2Activity.mGson.fromJson(str2, ElectrocardiogramListBean.class)).data.items;
                    } catch (JsonSyntaxException e2) {
                        e2.printStackTrace();
                    }
                    Iterator it2 = Ecg2Activity.this.electrocardiograms.iterator();
                    while (true) {
                        if (!it2.hasNext()) {
                            break;
                        }
                        ElectrocardiogramListBean.DataBean.Data data = (ElectrocardiogramListBean.DataBean.Data) it2.next();
                        try {
                            aIResult = (AIDiagnosisResultBean.AIResult) Ecg2Activity.this.mGson.fromJson(data.medicalResult, AIDiagnosisResultBean.AIResult.class);
                        } catch (JsonSyntaxException e3) {
                            e3.printStackTrace();
                            aIResult = null;
                        }
                        if (aIResult == null) {
                            Ecg2Activity.this.afflag = false;
                            Ecg2Activity.this.qrstype = 1;
                        } else {
                            Ecg2Activity.this.afflag = aIResult.afflag != 0;
                            Ecg2Activity.this.qrstype = aIResult.qrstype;
                        }
                        Ecg2Activity.this.mEcgMeasureHisListBean.add(new EcgMeasureHisListBean(data.userId, data.time, data.hrHz, data.hhhh, data.maxb, data.minb, data.data, data.age, data.sex, data.medicalResult, Ecg2Activity.this.afflag, Ecg2Activity.this.qrstype));
                    }
                    if (Ecg2Activity.this.electrocardiograms.size() > 0) {
                        ElectrocardiogramListBean.DataBean.Data data2 = (ElectrocardiogramListBean.DataBean.Data) Ecg2Activity.this.electrocardiograms.get(0);
                        try {
                            Ecg2Activity ecg2Activity2 = Ecg2Activity.this;
                            ecg2Activity2.mEcgMeasureList = (List) ecg2Activity2.mGson.fromJson(data2.data, new TypeToken<List<Integer>>() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.5.1
                            }.getType());
                        } catch (JsonSyntaxException e4) {
                            e4.printStackTrace();
                        }
                        if (Ecg2Activity.this.mEcgMeasureList != null && Ecg2Activity.this.mEcgMeasureList.size() > 0) {
                            TextView textView = Ecg2Activity.this.tvBpm;
                            int i5 = data2.hhhh;
                            String str5 = HelpFormatter.DEFAULT_LONG_OPT_PREFIX;
                            if (i5 > 0) {
                                str3 = data2.hhhh + "";
                            } else {
                                str3 = HelpFormatter.DEFAULT_LONG_OPT_PREFIX;
                            }
                            textView.setText(str3);
                            TextView textView2 = Ecg2Activity.this.tvMmhg;
                            if (data2.maxb == 0 || data2.minb == 0) {
                                str4 = "--/--";
                            } else {
                                if (data2.maxb > data2.minb) {
                                    sb = new StringBuilder();
                                    sb.append(data2.maxb);
                                    sb.append("/");
                                    i4 = data2.minb;
                                } else {
                                    sb = new StringBuilder();
                                    sb.append(data2.minb);
                                    sb.append("/");
                                    i4 = data2.maxb;
                                }
                                sb.append(i4);
                                str4 = sb.toString();
                            }
                            textView2.setText(str4);
                            int i6 = data2.hrHz;
                            if (i6 > 150) {
                                i6 = 150;
                            }
                            TextView textView3 = Ecg2Activity.this.tvHrv;
                            if (i6 > 0) {
                                str5 = i6 + "";
                            }
                            textView3.setText(str5);
                            Ecg2Activity.this.showCarView();
                        }
                    }
                    Ecg2Activity.this.setRecycleView();
                }
            }
        });
    }

    private void getEchMEasureDbList() {
        this.mEcgMeasureHisListBean.clear();
        new EcgMeasureDbUtils(this);
        List<EcgMeasureDb> queryAllMsgModel = EcgMeasureDbUtils.queryAllMsgModel();
        this.mEcgMeasureDb = queryAllMsgModel;
        if (queryAllMsgModel != null && queryAllMsgModel.size() > 0) {
            for (Iterator<EcgMeasureDb> it2 = this.mEcgMeasureDb.iterator(); it2.hasNext(); it2 = it2) {
                EcgMeasureDb next = it2.next();
                this.mEcgMeasureHisListBean.add(new EcgMeasureHisListBean(next.getUserId(), next.getTime(), next.getHrv(), next.getHeart(), next.getMaxBp(), next.getMinBp(), next.getMeasureData(), next.getAge(), next.getSex(), "", next.getIsAfib(), next.getDiagnoseType(), next.getHealthNorm()));
            }
            try {
                this.mEcgMeasureList = (List) this.mGson.fromJson(this.mEcgMeasureDb.get(0).getMeasureData(), new TypeToken<List<Integer>>() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.6
                }.getType());
            } catch (JsonSyntaxException e2) {
                e2.printStackTrace();
            }
            EcgMeasureDb ecgMeasureDb = this.mEcgMeasureDb.get(0);
            this.heart = ecgMeasureDb.getHeart();
            this.hrv = ecgMeasureDb.getHrv();
            this.afflag = ecgMeasureDb.getIsAfib();
            this.qrstype = ecgMeasureDb.getDiagnoseType();
            TextView textView = this.tvBpm;
            int i2 = this.heart;
            String str = HelpFormatter.DEFAULT_LONG_OPT_PREFIX;
            textView.setText(i2 > 0 ? this.heart + "" : HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
            this.tvMmhg.setText(ecgMeasureDb.getMaxBp() + "/" + ecgMeasureDb.getMinBp());
            TextView textView2 = this.tvHrv;
            if (this.hrv > 0) {
                str = this.hrv + "";
            }
            textView2.setText(str);
            showCarView();
        }
        setRecycleView();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showCarView() {
        this.blist_change.clear();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setRecycleView() {
        EcgHisListAdapter ecgHisListAdapter = this.mEcgHisListAdapter;
        if (ecgHisListAdapter == null) {
            EcgHisListAdapter ecgHisListAdapter2 = new EcgHisListAdapter(R.layout.item_ecg_his_list);
            this.mEcgHisListAdapter = ecgHisListAdapter2;
            ecgHisListAdapter2.addData((Collection) this.mEcgMeasureHisListBean);
            this.mRecyclerView.setLayoutManager(new LinearLayoutManager(this));
            this.mRecyclerView.setAdapter(this.mEcgHisListAdapter);
            this.mRecyclerView.setNestedScrollingEnabled(false);
            this.mEcgHisListAdapter.setOnItemClickListener(new ItemClickListenerIpml());
        } else {
            ecgHisListAdapter.setList(this.mEcgMeasureHisListBean);
            this.mEcgHisListAdapter.notifyDataSetChanged();
            setAnalyzeResult();
        }
        showEcgAnime();
    }

    public void showEcgAnime() {
        if (this.mEcgMeasureHisListBean.size() > 0) {
            EcgMeasureHisListBean ecgMeasureHisListBean = this.mEcgMeasureHisListBean.get(0);
            this.mMediaPlay = MediaPlayer.create(this, R.raw.vidio);
            if (this.isCare.booleanValue()) {
                String measureData = ecgMeasureHisListBean.getMeasureData();
                ecgMeasureHisListBean.getHeart();
                ecgMeasureHisListBean.getMaxBp();
                ecgMeasureHisListBean.getMinBp();
                ecgMeasureHisListBean.getHrv();
                Type type = new TypeToken<List<Integer>>() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.7
                }.getType();
                this.mEcgMeasureDbList = (List) new Gson().fromJson(measureData, type);
                this.nativeList = (List) new Gson().fromJson(measureData, type);
                return;
            }
            this.mGson = new Gson();
            this.mEcgMeasureDbList = new ArrayList();
            String measureData2 = ecgMeasureHisListBean.getMeasureData();
            Type type2 = new TypeToken<List<Integer>>() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.8
            }.getType();
            this.mEcgMeasureDbList = (List) this.mGson.fromJson(measureData2, type2);
            this.nativeList = (List) new Gson().fromJson(measureData2, type2);
            ecgMeasureHisListBean.getMinBp();
            ecgMeasureHisListBean.getMaxBp();
            ecgMeasureHisListBean.getHeart();
            ecgMeasureHisListBean.getHrv();
        }
    }

    private class ItemClickListenerIpml implements EcgHisListAdapter.OnItemClickListener {
        @Override // com.yucheng.smarthealthpro.home.activity.ecg.adapter.EcgHisListAdapter.OnItemClickListener
        public void onClick(EcgMeasureHisListBean ecgMeasureHisListBean, int i2) {
        }

        private ItemClickListenerIpml() {
        }

        @Override // com.yucheng.smarthealthpro.home.activity.ecg.adapter.EcgHisListAdapter.OnItemClickListener
        public void onEcgClick(EcgMeasureHisListBean ecgMeasureHisListBean, int i2) {
            Ecg2Activity.this.startEcgRecodeActivity(ecgMeasureHisListBean, i2);
        }

        @Override // com.yucheng.smarthealthpro.home.activity.ecg.adapter.EcgHisListAdapter.OnItemClickListener
        public void onDiagnoseClick(EcgMeasureHisListBean ecgMeasureHisListBean, int i2) {
            String str;
            StringBuilder sb;
            int maxBp = ecgMeasureHisListBean.getMaxBp();
            int minBp = ecgMeasureHisListBean.getMinBp();
            if (minBp == 0 || maxBp == 0) {
                str = HelpFormatter.DEFAULT_LONG_OPT_PREFIX;
            } else {
                if (maxBp > minBp) {
                    sb = new StringBuilder();
                    sb.append(maxBp);
                    sb.append("/");
                    sb.append(minBp);
                } else {
                    sb = new StringBuilder();
                    sb.append(minBp);
                    sb.append("/");
                    sb.append(maxBp);
                }
                str = sb.toString();
            }
            Intent intent = new Intent(Ecg2Activity.this.context, (Class<?>) EcgAiDiagnoseActivity.class);
            if (Constant.CC.isHealthWear() || Constant.CC.isSmartHealth()) {
                intent = new Intent(Ecg2Activity.this.context, (Class<?>) EcgAiDiagnoseNewActivity.class);
            }
            if (Ecg2Activity.this.isCare.booleanValue()) {
                ArrayList<Integer> arrayList = new ArrayList<>();
                String[] split = ecgMeasureHisListBean.getMeasureData().replaceAll("\\[", "").replaceAll("]", "").split(",");
                for (int i3 = 0; i3 < split.length - 1; i3++) {
                    if ("".equals(split[i3].trim())) {
                        if (i3 == 0) {
                            split[i3] = "0";
                        } else {
                            split[i3] = split[i3 - 1];
                        }
                    }
                    arrayList.add(Integer.valueOf(Integer.parseInt(split[i3].trim())));
                }
                intent.putExtra("care", "关爱");
                intent.putExtra("phone", Ecg2Activity.this.phone);
                try {
                    AIDiagnosisResultBean.AIResult aIResult = (AIDiagnosisResultBean.AIResult) new Gson().fromJson(ecgMeasureHisListBean.getMedicalResult(), AIDiagnosisResultBean.AIResult.class);
                    HealthNormBean healthNormBean = new HealthNormBean();
                    if (aIResult != null) {
                        healthNormBean.hrvNorm = Float.parseFloat(aIResult.hrvNorm);
                        healthNormBean.body = Float.parseFloat(aIResult.body);
                        healthNormBean.heavyLoad = Float.parseFloat(aIResult.heavyLoad);
                        healthNormBean.pressure = Float.parseFloat(aIResult.pressure);
                        healthNormBean.respiratoryRate = aIResult.respiratoryRate;
                        healthNormBean.sympatheticParasympathetic = Float.parseFloat(aIResult.sympatheticActivityIndex);
                    }
                    intent.putExtra("healthNorm", new Gson().toJson(healthNormBean));
                } catch (Exception e2) {
                    e2.printStackTrace();
                    CrashReport.postCatchedException(e2);
                }
                intent.putIntegerArrayListExtra("lists", arrayList);
            } else {
                intent.putExtra("time", ecgMeasureHisListBean.getTime());
                intent.putExtra("healthNorm", ecgMeasureHisListBean.getHealthNorm());
            }
            intent.putExtra("mEcgMeasureDbSize", i2);
            intent.putExtra("mBp", str);
            intent.putExtra("mHeart", ecgMeasureHisListBean.getHeart());
            intent.putExtra("mHRV", ecgMeasureHisListBean.getHrv());
            intent.putExtra("mAge", ecgMeasureHisListBean.getAge());
            intent.putExtra("mSex", ecgMeasureHisListBean.getSex());
            intent.putExtra("isAfib", ecgMeasureHisListBean.isAfib());
            intent.putExtra("mDiagnoseType", ecgMeasureHisListBean.getDiagnoseType());
            intent.putExtra("bean", ecgMeasureHisListBean);
            Ecg2Activity.this.startActivity(intent);
        }

        @Override // com.yucheng.smarthealthpro.home.activity.ecg.adapter.EcgHisListAdapter.OnItemClickListener
        public void onPlayBackClick(EcgMeasureHisListBean ecgMeasureHisListBean, int i2) {
            Intent intent;
            if (Ecg2Activity.this.isCare.booleanValue()) {
                intent = new Intent(Ecg2Activity.this.context, (Class<?>) EcgPlayBackActivity.class);
                intent.putExtra("care", Ecg2Activity.this.getString(R.string.care_title));
                intent.putExtra("data", ecgMeasureHisListBean.getMeasureData());
                intent.putExtra("heart", ecgMeasureHisListBean.getHeart());
                intent.putExtra("maxBp", ecgMeasureHisListBean.getMaxBp());
                intent.putExtra("minBp", ecgMeasureHisListBean.getMinBp());
                intent.putExtra("hrv", ecgMeasureHisListBean.getHrv());
            } else {
                Intent intent2 = new Intent(Ecg2Activity.this.context, (Class<?>) EcgPlayBackActivity.class);
                intent2.putExtra("mEcgMeasureDbSize", i2);
                intent2.putExtra("time", ecgMeasureHisListBean.getTime());
                intent = intent2;
            }
            intent.putExtra("isCare", Ecg2Activity.this.isCare);
            intent.putExtra("bean", ecgMeasureHisListBean);
            Ecg2Activity.this.startActivity(intent);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void startEcgRecodeActivity(EcgMeasureHisListBean ecgMeasureHisListBean, int i2) {
        ArrayList<Integer> arrayList;
        if (this.isCare.booleanValue()) {
            try {
                arrayList = (ArrayList) this.mGson.fromJson(ecgMeasureHisListBean.getMeasureData(), new TypeToken<List<Integer>>() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.9
                }.getType());
            } catch (Exception e2) {
                e2.printStackTrace();
                arrayList = null;
            }
            if (arrayList == null) {
                arrayList = new ArrayList<>();
            }
            Intent intent = new Intent(this.context, (Class<?>) EcgRecordActivity.class);
            intent.putExtra("mEcgMeasureDbSize", i2);
            intent.putExtra("care", "关爱");
            intent.putExtra("minBP", ecgMeasureHisListBean.getMinBp());
            intent.putExtra("maxBP", ecgMeasureHisListBean.getMaxBp());
            intent.putExtra("heart", ecgMeasureHisListBean.getHeart());
            intent.putExtra("timeLong", ecgMeasureHisListBean.getTime());
            intent.putExtra("hrv", ecgMeasureHisListBean.getHrv());
            intent.putIntegerArrayListExtra("data", arrayList);
            startActivity(intent);
            return;
        }
        Intent intent2 = new Intent(this.context, (Class<?>) EcgRecordActivity.class);
        intent2.putExtra("mEcgDbIndex", i2);
        startActivity(intent2);
    }

    @OnClick({R.id.tv_start_button, R.id.rl_analyse, R.id.rl_first, R.id.rl_second, R.id.rl_thirdly, R.id.rl_fourthly, R.id.iv_play})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.iv_play /* 2131296832 */:
                if (this.isStart) {
                    this.isStart = false;
                    this.ivPlay.setImageResource(R.mipmap.ecg_play);
                    break;
                } else {
                    makeStart();
                    break;
                }
            case R.id.rl_first /* 2131297273 */:
                startActivity(new Intent(this.context, (Class<?>) HealthyActivity.class));
                break;
            case R.id.rl_fourthly /* 2131297274 */:
                if (this.ARROW == 0) {
                    this.mRecyclerView.setVisibility(0);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_s, null));
                    this.ARROW = 1;
                    if (this.isCare.booleanValue()) {
                        this.mSmartRefreshLayout.setEnableLoadMore(true);
                        break;
                    }
                } else {
                    this.mRecyclerView.setVisibility(8);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
                    this.ARROW = 0;
                    if (this.isCare.booleanValue()) {
                        this.mSmartRefreshLayout.setEnableLoadMore(false);
                        break;
                    }
                }
                break;
            case R.id.rl_second /* 2131297297 */:
                if (this.isCare.booleanValue()) {
                    Intent intent = new Intent(this.context, (Class<?>) AiWebActivity.class);
                    intent.putExtra("is_start_trend", true);
                    intent.putExtra("title", getString(R.string.home_ecg_trend_following_tv));
                    intent.putExtra(Constant.SpConstKey.DEV_ID, this.devId);
                    if (getString(R.string.lan).equals("cn")) {
                        intent.putExtra("url", "https://staticpage.ycaviation.com/app/ECG_Report_Trend/hrRecordcn.html");
                    } else {
                        intent.putExtra("url", "https://staticpage.ycaviation.com/app/ECG_Report_Trend/hrRecorden.html");
                    }
                    startActivity(intent);
                    break;
                } else {
                    Intent intent2 = new Intent(this.context, (Class<?>) AiWebActivity.class);
                    intent2.putExtra("is_start_trend", true);
                    intent2.putExtra("title", getString(R.string.home_ecg_trend_following_tv));
                    if (getString(R.string.lan).equals("cn")) {
                        intent2.putExtra("url", "https://staticpage.ycaviation.com/app/ECG_Report_Trend/hrRecordcn.html");
                    } else {
                        intent2.putExtra("url", "https://staticpage.ycaviation.com/app/ECG_Report_Trend/hrRecorden.html");
                    }
                    startActivity(intent2);
                    break;
                }
            case R.id.rl_thirdly /* 2131297307 */:
                startActivity(new Intent(this.context, (Class<?>) EcgSyncDataActivity.class));
                break;
            case R.id.tv_start_button /* 2131297701 */:
                startActivity(new Intent(this.context, (Class<?>) EcgMeasureActivity.class));
                break;
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.ContextThemeWrapper, android.content.ContextWrapper
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(ViewPumpContextWrapper.wrap(context));
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        Unbinder unbinder = this.mUnbinder;
        if (unbinder != null) {
            unbinder.unbind();
        }
        this.mHandler.removeCallbacksAndMessages(null);
    }

    public void makeStart() {
        this.isStart = true;
        this.ivPlay.setImageResource(R.mipmap.ecg_pause);
        if (this.index == this.mEcgMeasureList.size()) {
            this.index = 0;
            AITools.getInstance().init();
            this.mCardiographView.plist.clear();
        }
        new Thread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.ecg.activity.Ecg2Activity.10
            @Override // java.lang.Runnable
            public void run() {
                while (Ecg2Activity.this.isStart) {
                    try {
                        Thread.sleep(13L);
                    } catch (InterruptedException e2) {
                        e2.getStackTrace();
                    }
                    Ecg2Activity.this.mHandler.sendEmptyMessage(1);
                }
            }
        }).start();
    }

    public void checkDatas(List<Integer> list) {
        if (list != null) {
            int size = list.size();
            Logger.d("chong--------number==" + size);
            boolean z = true;
            if (size > 6250) {
                this.mEcgMeasureList = NativeListToBList.nativeListToBList(list);
            } else {
                for (int i2 = 0; i2 < size && size > 250; i2++) {
                    if (list.get(i2).intValue() > 1000) {
                        this.mEcgMeasureList = NativeListToBList.nativeListToBList(list);
                        break;
                    }
                }
                z = false;
            }
            if (z) {
                return;
            }
            this.mEcgMeasureList = NativeListToBList.oldListTobList(list);
        }
    }

    @Override // android.app.Activity, android.view.Window.Callback
    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        if (z) {
            this.index = 0;
            this.mCardiographView.plist.clear();
            this.mCardiographView.initList();
            this.mCardiographView.invalidate();
            this.isFirst = false;
            checkDatas(this.mEcgMeasureList);
            this.sbProgress.setMax(this.mEcgMeasureList.size());
            makeStart();
        }
    }
}
