package com.yucheng.smarthealthpro.home.activity.hrv.activity;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.Html;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.res.ResourcesCompat;
import androidx.core.widget.NestedScrollView;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager.widget.ViewPager;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;
import com.flyco.tablayout.SlidingTabLayout;
import com.google.android.material.timepicker.TimeModel;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.haibin.calendarview.CalendarView;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.care.bean.CareHRVWeekMonthBean;
import com.yucheng.smarthealthpro.care.bean.HistoryHRVResponse;
import com.yucheng.smarthealthpro.framework.http.HttpUtils;
import com.yucheng.smarthealthpro.framework.util.Constants;
import com.yucheng.smarthealthpro.framework.view.NavigationBar;
import com.yucheng.smarthealthpro.greendao.bean.AllDb;
import com.yucheng.smarthealthpro.greendao.utils.AllDbUtils;
import com.yucheng.smarthealthpro.home.activity.HealthyActivity;
import com.yucheng.smarthealthpro.home.activity.heartrate.activity.HeartRateMeasureActivity;
import com.yucheng.smarthealthpro.home.activity.heartrate.adapter.HeartRateTabFragmentAdapter;
import com.yucheng.smarthealthpro.home.activity.heartrate.fragment.HeartRateTabFragment;
import com.yucheng.smarthealthpro.home.activity.hrv.adapter.HRVHisListAdapter;
import com.yucheng.smarthealthpro.home.activity.temperature.bean.TemperatureHisListBean;
import com.yucheng.smarthealthpro.home.util.TimeDateUtil;
import com.yucheng.smarthealthpro.home.view.NoScrollViewPager;
import com.yucheng.smarthealthpro.me.activity.MeHealthSettingActivity;
import com.yucheng.smarthealthpro.me.setting.contacts.utils.DpUtil;
import com.yucheng.smarthealthpro.utils.AppScreenMgr;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.smarthealthpro.utils.DensityUtils;
import com.yucheng.smarthealthpro.utils.ShareUtils;
import com.yucheng.smarthealthpro.utils.TimeStampUtils;
import com.yucheng.smarthealthpro.utils.YearToDayListUtils;
import io.github.inflationx.viewpump.ViewPumpContextWrapper;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes3.dex */
public class HRVActivity extends BaseActivity implements CalendarView.OnCalendarSelectListener, CalendarView.OnMonthChangeListener {

    @BindView(R.id.iv_calendar)
    ImageView ivCalendar;

    @BindView(R.id.iv_data_second)
    ImageView ivDataSecond;

    @BindView(R.id.iv_data_thirdly)
    ImageView ivDataThirdly;

    @BindView(R.id.iv_first_left)
    ImageView ivFirstLeft;

    @BindView(R.id.iv_first_right)
    ImageView ivFirstRight;

    @BindView(R.id.iv_fourthly_left)
    ImageView ivFourthlyLeft;

    @BindView(R.id.iv_fourthly_right)
    ImageView ivFourthlyRight;

    @BindView(R.id.iv_second_left)
    ImageView ivSecondLeft;

    @BindView(R.id.iv_second_right)
    ImageView ivSecondRight;

    @BindView(R.id.ll_calendar)
    LinearLayout llCalendar;

    @BindView(R.id.ll_data_second)
    LinearLayout llDataSecond;

    @BindView(R.id.ll_data_thirdly)
    LinearLayout llDataThirdly;

    @BindView(R.id.ll_month)
    LinearLayout llMonth;

    @BindView(R.id.ll_start_button)
    LinearLayout llStartButton;
    private HeartRateTabFragmentAdapter mAdapter;
    private List<AllDb> mAllDb;
    private Calendar mCalendar;

    @BindView(R.id.calendarView)
    CalendarView mCalendarView;
    private int mDayAverageHeartNum;
    private int mDayMaxHeartNum;
    private int mDayMinHeartNum;
    private int mDaySumUpHeartNum;
    private HRVHisListAdapter mHRVHisListAdapter;
    private int mMonthAverageHeartNum;
    private int mMonthMaxHeartNum;
    private int mMonthMinHeartNum;
    private int mMonthSumUpHeartNum;

    @BindView(R.id.nsv)
    NestedScrollView mNestedScrollView;

    @BindView(R.id.recycle_view)
    RecyclerView mRecyclerView;

    @BindView(R.id.stl_tab)
    SlidingTabLayout mSlidingTabLayout;
    private String mToDay;
    private Unbinder mUnbinder;

    @BindView(R.id.vp_tab)
    NoScrollViewPager mViewPager;
    private int mWeekAverageHeartNum;
    private int mWeekMaxHeartNum;
    private int mWeekMinHeartNum;
    private int mWeekSumUpHeartNum;
    private int monthLastDay;

    @BindView(R.id.rl_analyse)
    RelativeLayout rlAnalyse;

    @BindView(R.id.rl_data_first)
    RelativeLayout rlDataFirst;

    @BindView(R.id.rl_first)
    RelativeLayout rlFirst;

    @BindView(R.id.rl_fourthly)
    RelativeLayout rlFourthly;

    @BindView(R.id.rl_second)
    RelativeLayout rlSecond;
    private HistoryHRVResponse temp_bean;

    @BindView(R.id.tv_analyse)
    TextView tvAnalyse;

    @BindView(R.id.tv_analyse_data)
    TextView tvAnalyseData;

    @BindView(R.id.tv_back_today)
    TextView tvBackToday;

    @BindView(R.id.tv_calendar)
    TextView tvCalendar;

    @BindView(R.id.tv_data_first)
    TextView tvDataFirst;

    @BindView(R.id.tv_data_first_unit)
    TextView tvDataFirstUnit;

    @BindView(R.id.tv_data_second)
    TextView tvDataSecond;

    @BindView(R.id.tv_data_second_unit)
    TextView tvDataSecondUnit;

    @BindView(R.id.tv_data_thirdly)
    TextView tvDataThirdly;

    @BindView(R.id.tv_data_thirdly_unit)
    TextView tvDataThirdlyUnit;

    @BindView(R.id.tv_first)
    TextView tvFirst;

    @BindView(R.id.tv_fourthly)
    TextView tvFourthly;

    @BindView(R.id.tv_second)
    TextView tvSecond;

    @BindView(R.id.tv_start_button)
    TextView tvStartButton;

    @BindView(R.id.tv_years)
    TextView tvYears;
    private int ARROW = 0;
    private List<String> mTitles = new ArrayList();
    private String mThatVeryDay = "";
    private List<TemperatureHisListBean> mDayHeartRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mDayChartSumUpHeartRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mWeekHeartRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mWeekAdapterSumUpHeartRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mWeekChartSumUpHeartRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mMonthHeartRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mMonthAdapterSumUpHeartRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mMonthChartSumUpHeartRateHisListBean = new ArrayList();
    private Boolean isCare = false;
    private boolean isGetMonthData = false;
    private boolean isGetDayData = false;

    public void dataAnalysis(int i2) {
    }

    @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
    public void onCalendarOutOfRange(com.haibin.calendarview.Calendar calendar) {
    }

    static /* synthetic */ int access$2112(HRVActivity hRVActivity, int i2) {
        int i3 = hRVActivity.mWeekSumUpHeartNum + i2;
        hRVActivity.mWeekSumUpHeartNum = i3;
        return i3;
    }

    static /* synthetic */ int access$2312(HRVActivity hRVActivity, int i2) {
        int i3 = hRVActivity.mMonthSumUpHeartNum + i2;
        hRVActivity.mMonthSumUpHeartNum = i3;
        return i3;
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_heartrate);
        this.mUnbinder = ButterKnife.bind(this);
        initView();
        initData();
        this.rlAnalyse.setVisibility(8);
    }

    private void initView() {
        changeTitle(getString(R.string.hrv_unit));
        showBack();
        showRightImage(R.mipmap.topbar_ic_share, new NavigationBar.MyOnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.1
            @Override // com.yucheng.smarthealthpro.framework.view.NavigationBar.MyOnClickListener
            public void onClick(View view) {
                ShareUtils.share(HRVActivity.this);
            }
        });
        int statusHeight = AppScreenMgr.getStatusHeight(this.context);
        this.llMonth.setPadding(0, DensityUtils.dip2px(this.context, 50.0f) + statusHeight, 0, 0);
        if (Constant.CC.isTechFeel()) {
            this.rlSecond.setVisibility(8);
        }
        String stringExtra = getIntent().getStringExtra("care");
        if (stringExtra != null && stringExtra.equals(getString(R.string.care_title))) {
            this.isCare = true;
            this.llStartButton.setVisibility(8);
            this.tvAnalyse.setText(getString(R.string.home_heart_rate_analyse_tv));
            this.rlFirst.setVisibility(8);
            this.rlSecond.setVisibility(8);
            this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
        } else {
            this.tvFirst.setText(getString(R.string.include_bottom_tv_first_button));
            this.tvSecond.setText(getString(R.string.include_bottom_tv_second_button));
            this.tvFourthly.setText(getString(R.string.include_bottom_tv_fourthly_button));
            this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
        }
        this.llStartButton.setVisibility(8);
        this.mToDay = TimeStampUtils.getToDay();
    }

    private void initData() {
        this.mDayHeartRateHisListBean = new ArrayList();
        this.mTitles.clear();
        this.mTitles.add(getString(R.string.date_month_unit));
        this.mTitles.add(getString(R.string.date_week_unit));
        this.mTitles.add(getString(R.string.date_day_unit));
        setRecycleView();
        initViewPager();
        initMonth();
        if (this.isCare.booleanValue()) {
            return;
        }
        this.mAllDb = new AllDbUtils(this).queryIdYearToDay(this.mToDay);
        new Thread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity$$ExternalSyntheticLambda0
            @Override // java.lang.Runnable
            public final void run() {
                HRVActivity.this.m468xf3e79976();
            }
        }).start();
    }

    /* renamed from: lambda$initData$0$com-yucheng-smarthealthpro-home-activity-hrv-activity-HRVActivity, reason: not valid java name */
    /* synthetic */ void m468xf3e79976() {
        getWeekData();
        getMonthData();
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        if (this.isCare.booleanValue()) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 6);
            ArrayList<String> pastStringArray2 = YearToDayListUtils.getPastStringArray(this.mToDay, 29);
            getWeekHeart(pastStringArray.get(0), pastStringArray.get(0), pastStringArray.get(6));
            getMonthHeart(pastStringArray2.get(0), pastStringArray2.get(0), pastStringArray2.get(29));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void initViewPager() {
        if (isFinishing()) {
            return;
        }
        HeartRateTabFragmentAdapter heartRateTabFragmentAdapter = new HeartRateTabFragmentAdapter(getSupportFragmentManager(), new HeartRateTabFragmentAdapter.FragmentCreator() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.2
            @Override // com.yucheng.smarthealthpro.home.activity.heartrate.adapter.HeartRateTabFragmentAdapter.FragmentCreator
            public Fragment createFragment(String str, int i2) {
                return HeartRateTabFragment.newInstance(str, i2, HRVActivity.this.mNestedScrollView, HRVActivity.this.mDayChartSumUpHeartRateHisListBean, HRVActivity.this.mWeekChartSumUpHeartRateHisListBean, HRVActivity.this.mMonthChartSumUpHeartRateHisListBean, HRVActivity.this.mDayMaxHeartNum);
            }

            @Override // com.yucheng.smarthealthpro.home.activity.heartrate.adapter.HeartRateTabFragmentAdapter.FragmentCreator
            public String createTitle(String str) {
                return Html.fromHtml(str).toString();
            }
        });
        this.mAdapter = heartRateTabFragmentAdapter;
        this.mViewPager.setAdapter(heartRateTabFragmentAdapter);
        this.mAdapter.notifyDataSetChanged();
        this.mViewPager.setOffscreenPageLimit(this.mDayHeartRateHisListBean.size() - 1);
        this.mAdapter.setData(this.mTitles);
        this.mSlidingTabLayout.setViewPager(this.mViewPager, (String[]) this.mTitles.toArray(new String[0]));
        this.mSlidingTabLayout.setCurrentTab(2, true);
        this.mViewPager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.3
            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrollStateChanged(int i2) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrolled(int i2, float f2, int i3) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageSelected(int i2) {
                if (i2 == 0) {
                    HRVActivity.this.mViewPager.setCurrentItem(0);
                    if (HRVActivity.this.mMonthAdapterSumUpHeartRateHisListBean != null && HRVActivity.this.mMonthAdapterSumUpHeartRateHisListBean.size() > 0) {
                        HRVActivity.this.tvDataFirst.setText(HRVActivity.this.mMonthAverageHeartNum + "");
                        HRVActivity.this.tvDataSecond.setText(HRVActivity.this.mMonthMaxHeartNum + "");
                        HRVActivity.this.tvDataThirdly.setText(HRVActivity.this.mMonthMinHeartNum + "");
                    } else {
                        HRVActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        HRVActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        HRVActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        HRVActivity.this.mMonthAverageHeartNum = 0;
                    }
                    HRVActivity.this.tvBackToday.setVisibility(0);
                    HRVActivity.this.llCalendar.setVisibility(8);
                    HRVActivity.this.mHRVHisListAdapter.replaceData(HRVActivity.this.mMonthAdapterSumUpHeartRateHisListBean);
                    HRVActivity.this.mHRVHisListAdapter.notifyDataSetChanged();
                    HRVActivity hRVActivity = HRVActivity.this;
                    hRVActivity.dataAnalysis(hRVActivity.mMonthAverageHeartNum);
                    return;
                }
                if (i2 == 1) {
                    HRVActivity.this.mViewPager.setCurrentItem(1);
                    if (HRVActivity.this.mWeekAdapterSumUpHeartRateHisListBean != null && HRVActivity.this.mWeekAdapterSumUpHeartRateHisListBean.size() > 0) {
                        HRVActivity.this.tvDataFirst.setText(HRVActivity.this.mWeekAverageHeartNum + "");
                        HRVActivity.this.tvDataSecond.setText(HRVActivity.this.mWeekMaxHeartNum + "");
                        HRVActivity.this.tvDataThirdly.setText(HRVActivity.this.mWeekMinHeartNum + "");
                    } else {
                        HRVActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        HRVActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        HRVActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        HRVActivity.this.mWeekAverageHeartNum = 0;
                    }
                    HRVActivity.this.tvBackToday.setVisibility(0);
                    HRVActivity.this.llCalendar.setVisibility(8);
                    HRVActivity.this.mHRVHisListAdapter.replaceData(HRVActivity.this.mWeekAdapterSumUpHeartRateHisListBean);
                    HRVActivity.this.mHRVHisListAdapter.notifyDataSetChanged();
                    HRVActivity hRVActivity2 = HRVActivity.this;
                    hRVActivity2.dataAnalysis(hRVActivity2.mWeekAverageHeartNum);
                    return;
                }
                if (i2 != 2) {
                    return;
                }
                HRVActivity.this.mViewPager.setCurrentItem(2);
                if (HRVActivity.this.mDayHeartRateHisListBean != null && HRVActivity.this.mDayHeartRateHisListBean.size() > 0) {
                    HRVActivity.this.tvDataFirst.setText(HRVActivity.this.mDayAverageHeartNum + "");
                    HRVActivity.this.tvDataSecond.setText(HRVActivity.this.mDayMaxHeartNum + "");
                    HRVActivity.this.tvDataThirdly.setText(HRVActivity.this.mDayMinHeartNum + "");
                } else {
                    HRVActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    HRVActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    HRVActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    HRVActivity.this.mDayAverageHeartNum = 0;
                }
                HRVActivity.this.tvBackToday.setVisibility(8);
                HRVActivity.this.llCalendar.setVisibility(0);
                HRVActivity.this.mHRVHisListAdapter.replaceData(HRVActivity.this.mDayHeartRateHisListBean);
                HRVActivity.this.mHRVHisListAdapter.notifyDataSetChanged();
                HRVActivity hRVActivity3 = HRVActivity.this;
                hRVActivity3.dataAnalysis(hRVActivity3.mDayAverageHeartNum);
            }
        });
    }

    private void setRecycleView() {
        this.mRecyclerView.setLayoutManager(new LinearLayoutManager(this));
        HRVHisListAdapter hRVHisListAdapter = new HRVHisListAdapter(R.layout.item_universal_his_list);
        this.mHRVHisListAdapter = hRVHisListAdapter;
        hRVHisListAdapter.addData((Collection) this.mDayHeartRateHisListBean);
        this.mRecyclerView.setAdapter(this.mHRVHisListAdapter);
        this.mRecyclerView.setNestedScrollingEnabled(false);
        this.mHRVHisListAdapter.setOnItemClickListener(new HRVHisListAdapter.OnItemClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.4
            @Override // com.yucheng.smarthealthpro.home.activity.hrv.adapter.HRVHisListAdapter.OnItemClickListener
            public void onClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }

            @Override // com.yucheng.smarthealthpro.home.activity.hrv.adapter.HRVHisListAdapter.OnItemClickListener
            public void onDelClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }

            @Override // com.yucheng.smarthealthpro.home.activity.hrv.adapter.HRVHisListAdapter.OnItemClickListener
            public void onLongClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }
        });
    }

    private void initMonth() {
        this.mCalendarView.setOnCalendarSelectListener(this);
        this.mCalendarView.setOnMonthChangeListener(this);
        this.mCalendarView.scrollToCurrent();
        this.mCalendarView.setOnCalendarInterceptListener(new CalendarView.OnCalendarInterceptListener() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.5
            @Override // com.haibin.calendarview.CalendarView.OnCalendarInterceptListener
            public void onCalendarInterceptClick(com.haibin.calendarview.Calendar calendar, boolean z) {
            }

            @Override // com.haibin.calendarview.CalendarView.OnCalendarInterceptListener
            public boolean onCalendarIntercept(com.haibin.calendarview.Calendar calendar) {
                StringBuilder sb = new StringBuilder();
                sb.append(calendar.getYear());
                sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
                sb.append(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(calendar.getMonth())));
                sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
                sb.append(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(calendar.getDay())));
                return !YearToDayListUtils.isMidDate(YearToDayListUtils.getPastDate(30, new Date()), sb.toString(), new Date());
            }
        });
        if (Constant.CC.isTechFeel()) {
            this.tvYears.setText(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(this.mCalendarView.getCurMonth())) + "/" + this.mCalendarView.getCurYear());
            return;
        }
        this.tvYears.setText(this.mCalendarView.getCurYear() + "/" + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(this.mCalendarView.getCurMonth())));
    }

    @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
    public void onCalendarSelect(com.haibin.calendarview.Calendar calendar, boolean z) {
        this.monthLastDay = YearToDayListUtils.getMonthLastDay(calendar.getYear(), calendar.getMonth());
        String intToStr = TimeDateUtil.intToStr(calendar.getYear(), calendar.getMonth(), calendar.getDay());
        if (this.isCare.booleanValue()) {
            getDayHeart(intToStr);
        } else {
            getThatVeryDayData(intToStr);
        }
        this.tvCalendar.setText(calendar.getMonth() + "/" + calendar.getDay());
        this.llMonth.setVisibility(8);
    }

    @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
    public void onMonthChange(int i2, int i3) {
        if (Constant.CC.isTechFeel()) {
            this.tvYears.setText(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3)) + "/" + i2);
            return;
        }
        this.tvYears.setText(i2 + "/" + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3)));
    }

    public void getThatVeryDayData(String str) {
        List<TemperatureHisListBean> list = this.mDayHeartRateHisListBean;
        if (list != null) {
            list.clear();
        }
        this.mDayChartSumUpHeartRateHisListBean = new ArrayList();
        List<AllDb> queryIdYearToDay = new AllDbUtils(this).queryIdYearToDay(str);
        this.mAllDb = queryIdYearToDay;
        if (queryIdYearToDay != null) {
            for (int i2 = 0; i2 < this.mAllDb.size(); i2++) {
                if (TimeStampUtils.dateForStringYearToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i2).getStartTime())).equals(str) && this.mAllDb.get(i2).getHrvValue() != 0) {
                    this.mDayHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i2).getStartTime())), this.mAllDb.get(i2).getHrvValue() + "", "正常"));
                    this.mDayChartSumUpHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i2).getStartTime())), this.mAllDb.get(i2).getHrvValue() + "", "正常"));
                }
            }
        }
        if (this.mDayHeartRateHisListBean.size() != 0) {
            this.mThatVeryDay = str;
            this.mDaySumUpHeartNum = 0;
            this.mDayMaxHeartNum = 0;
            this.mDayMinHeartNum = Integer.parseInt(this.mDayHeartRateHisListBean.get(0).getmValue());
            for (int i3 = 0; i3 < this.mDayHeartRateHisListBean.size(); i3++) {
                int parseInt = Integer.parseInt(this.mDayHeartRateHisListBean.get(i3).getmValue());
                if (parseInt > this.mDayMaxHeartNum) {
                    this.mDayMaxHeartNum = parseInt;
                }
                if (parseInt < this.mDayMinHeartNum) {
                    this.mDayMinHeartNum = parseInt;
                }
                this.mDaySumUpHeartNum += Integer.parseInt(this.mDayHeartRateHisListBean.get(i3).getmValue());
            }
            this.mDayAverageHeartNum = (int) Math.ceil((this.mDaySumUpHeartNum * 1.0d) / this.mDayHeartRateHisListBean.size());
        }
        this.isGetDayData = true;
        if (this.isGetMonthData) {
            this.isGetDayData = false;
            initViewPager();
        }
    }

    public void getWeekData() {
        this.mWeekHeartRateHisListBean = new ArrayList();
        this.mWeekChartSumUpHeartRateHisListBean = new ArrayList();
        this.mWeekAdapterSumUpHeartRateHisListBean = new ArrayList();
        if (this.mAllDb != null) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 6);
            if (pastStringArray.size() > 0) {
                this.mAllDb = new AllDbUtils(this).queryGeTimeYearToDay(pastStringArray.get(0));
            }
            for (int i2 = 0; i2 < pastStringArray.size(); i2++) {
                getWeekDay(pastStringArray.get(i2), i2);
            }
        }
        if (this.mWeekAdapterSumUpHeartRateHisListBean.size() != 0) {
            Collections.reverse(this.mWeekAdapterSumUpHeartRateHisListBean);
            this.mWeekSumUpHeartNum = 0;
            this.mWeekMaxHeartNum = 0;
            this.mWeekMinHeartNum = Integer.parseInt(this.mWeekAdapterSumUpHeartRateHisListBean.get(0).getmValue());
            for (int i3 = 0; i3 < this.mWeekAdapterSumUpHeartRateHisListBean.size(); i3++) {
                int parseInt = Integer.parseInt(this.mWeekAdapterSumUpHeartRateHisListBean.get(i3).getmValue());
                if (parseInt > this.mWeekMaxHeartNum) {
                    this.mWeekMaxHeartNum = parseInt;
                }
                if (parseInt < this.mWeekMinHeartNum) {
                    this.mWeekMinHeartNum = parseInt;
                }
                this.mWeekSumUpHeartNum += Integer.parseInt(this.mWeekAdapterSumUpHeartRateHisListBean.get(i3).getmValue());
            }
            this.mWeekAverageHeartNum = (int) Math.ceil((this.mWeekSumUpHeartNum * 1.0d) / this.mWeekAdapterSumUpHeartRateHisListBean.size());
        }
        Log.i("mWeekAdapter", "---" + this.mWeekMaxHeartNum + "mWeekMinHeartNum" + this.mWeekMinHeartNum + "mWeekSumUpHeartNum" + this.mWeekSumUpHeartNum);
    }

    private void getWeekDay(String str, int i2) {
        for (int i3 = 0; i3 < this.mAllDb.size(); i3++) {
            if (TimeStampUtils.dateForStringYearToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i3).getStartTime())).equals(str)) {
                this.mWeekHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i3).getStartTime())), this.mAllDb.get(i3).getHrvValue() + "", "正常"));
            }
        }
        if (this.mWeekHeartRateHisListBean != null) {
            this.mWeekSumUpHeartNum = 0;
            for (int i4 = 0; i4 < this.mWeekHeartRateHisListBean.size(); i4++) {
                this.mWeekSumUpHeartNum += Integer.parseInt(this.mWeekHeartRateHisListBean.get(i4).getmValue());
            }
            if (this.mWeekSumUpHeartNum != 0) {
                this.mWeekAdapterSumUpHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), (this.mWeekSumUpHeartNum / this.mWeekHeartRateHisListBean.size()) + "", "正常"));
            }
            if (this.mWeekSumUpHeartNum != 0 && this.mWeekHeartRateHisListBean.size() != 0) {
                this.mWeekChartSumUpHeartRateHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), (this.mWeekSumUpHeartNum / this.mWeekHeartRateHisListBean.size()) + "", "正常"));
            } else {
                this.mWeekChartSumUpHeartRateHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), "0", "正常"));
            }
            this.mWeekHeartRateHisListBean.clear();
        }
    }

    public void getMonthData() {
        this.mMonthHeartRateHisListBean = new ArrayList();
        this.mMonthChartSumUpHeartRateHisListBean = new ArrayList();
        this.mMonthAdapterSumUpHeartRateHisListBean = new ArrayList();
        if (this.mAllDb != null) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 29);
            if (pastStringArray.size() > 0) {
                this.mAllDb = new AllDbUtils(this).queryGeTimeYearToDay(pastStringArray.get(0));
            }
            for (int i2 = 0; i2 < pastStringArray.size(); i2++) {
                getMonthDay(pastStringArray.get(i2), i2);
            }
        }
        if (this.mMonthAdapterSumUpHeartRateHisListBean.size() != 0) {
            Collections.reverse(this.mMonthAdapterSumUpHeartRateHisListBean);
            this.mMonthSumUpHeartNum = 0;
            this.mMonthMaxHeartNum = 0;
            this.mMonthMinHeartNum = Integer.parseInt(this.mMonthAdapterSumUpHeartRateHisListBean.get(0).getmValue());
            for (int i3 = 0; i3 < this.mMonthAdapterSumUpHeartRateHisListBean.size(); i3++) {
                int parseInt = Integer.parseInt(this.mMonthAdapterSumUpHeartRateHisListBean.get(i3).getmValue());
                if (parseInt > this.mMonthMaxHeartNum) {
                    this.mMonthMaxHeartNum = parseInt;
                }
                if (parseInt < this.mMonthMinHeartNum) {
                    this.mMonthMinHeartNum = parseInt;
                }
                this.mMonthSumUpHeartNum += Integer.parseInt(this.mMonthAdapterSumUpHeartRateHisListBean.get(i3).getmValue());
            }
            this.mMonthAverageHeartNum = (int) Math.ceil((this.mMonthSumUpHeartNum * 1.0d) / this.mMonthAdapterSumUpHeartRateHisListBean.size());
        }
        runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.6
            @Override // java.lang.Runnable
            public void run() {
                if (HRVActivity.this.isGetDayData) {
                    HRVActivity.this.isGetMonthData = true;
                    HRVActivity.this.initViewPager();
                }
            }
        });
    }

    private void getMonthDay(String str, int i2) {
        for (int i3 = 0; i3 < this.mAllDb.size(); i3++) {
            if (TimeStampUtils.dateForStringYearToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i3).getStartTime())).equals(str)) {
                this.mMonthHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i3).getStartTime())), this.mAllDb.get(i3).getHrvValue() + "", "正常"));
            }
        }
        if (this.mMonthHeartRateHisListBean != null) {
            this.mMonthSumUpHeartNum = 0;
            for (int i4 = 0; i4 < this.mMonthHeartRateHisListBean.size(); i4++) {
                this.mMonthSumUpHeartNum += Integer.parseInt(this.mMonthHeartRateHisListBean.get(i4).getmValue());
            }
            if (this.mMonthSumUpHeartNum != 0) {
                this.mMonthAdapterSumUpHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), (this.mMonthSumUpHeartNum / this.mMonthHeartRateHisListBean.size()) + "", "正常"));
            }
            if (this.mMonthSumUpHeartNum != 0 && this.mMonthHeartRateHisListBean.size() != 0) {
                this.mMonthChartSumUpHeartRateHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), (this.mMonthSumUpHeartNum / this.mMonthHeartRateHisListBean.size()) + "", "正常"));
            } else {
                this.mMonthChartSumUpHeartRateHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), "0", "正常"));
            }
            this.mMonthHeartRateHisListBean.clear();
        }
    }

    private void getDayHeart(String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        HttpUtils.getInstance().postMsgAsynHttp(this, Constants.hrvDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.7
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    HRVActivity.this.temp_bean = (HistoryHRVResponse) new Gson().fromJson(str2, HistoryHRVResponse.class);
                    HRVActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.7.1
                        @Override // java.lang.Runnable
                        public void run() {
                            HRVActivity.this.setDayData();
                            HRVActivity.this.initViewPager();
                        }
                    });
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v9, types: [java.util.List] */
    public void setDayData() {
        List<TemperatureHisListBean> list = this.mDayHeartRateHisListBean;
        if (list != null) {
            list.clear();
        }
        List<TemperatureHisListBean> list2 = this.mDayChartSumUpHeartRateHisListBean;
        if (list2 != null) {
            list2.clear();
        }
        HistoryHRVResponse historyHRVResponse = this.temp_bean;
        if (historyHRVResponse == null || historyHRVResponse.data == null || this.temp_bean.data.size() <= 0) {
            return;
        }
        ArrayList<HistoryHRVResponse.Mlist> arrayList = new ArrayList();
        try {
            arrayList = (List) new Gson().fromJson(this.temp_bean.data.get(0).mlist, new TypeToken<List<HistoryHRVResponse.Mlist>>() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.8
            }.getType());
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        this.mDaySumUpHeartNum = 0;
        this.mDayMaxHeartNum = 0;
        this.mDayMinHeartNum = 220;
        for (HistoryHRVResponse.Mlist mlist : arrayList) {
            int i2 = mlist.hrv;
            if (i2 != 0) {
                if (i2 > this.mDayMaxHeartNum) {
                    this.mDayMaxHeartNum = i2;
                }
                if (i2 < this.mDayMinHeartNum) {
                    this.mDayMinHeartNum = i2;
                }
                this.mDaySumUpHeartNum += i2;
                this.mDayHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(mlist.rtime)), i2 + "", "正常"));
                this.mDayChartSumUpHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(mlist.rtime)), i2 + "", "正常"));
            }
        }
        if (this.mDayHeartRateHisListBean.size() > 0) {
            this.mDayAverageHeartNum = (int) Math.ceil((this.mDaySumUpHeartNum * 1.0d) / this.mDayHeartRateHisListBean.size());
        }
    }

    private void getWeekHeart(String str, String str2, String str3) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        hashMap.put("startDate", str2);
        hashMap.put("endDate", str3);
        hashMap.put("type", "1");
        HttpUtils.getInstance().postMsgAsynHttp(this, Constants.hrvDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.9
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str4) {
                if (str4 != null) {
                    List<CareHRVWeekMonthBean.DataBean> data = ((CareHRVWeekMonthBean) new Gson().fromJson(str4, CareHRVWeekMonthBean.class)).getData();
                    if (data.size() != 0) {
                        HRVActivity.this.mWeekSumUpHeartNum = 0;
                        HRVActivity.this.mWeekMaxHeartNum = 0;
                        HRVActivity.this.mWeekMinHeartNum = 220;
                        int i2 = 0;
                        while (true) {
                            if (i2 >= data.size()) {
                                break;
                            }
                            int parseFloat = (int) Float.parseFloat(data.get(i2).getHrvMean().isEmpty() ? "0" : data.get(i2).getHrvMean());
                            if (parseFloat != 0) {
                                if (parseFloat > HRVActivity.this.mWeekMaxHeartNum) {
                                    HRVActivity.this.mWeekMaxHeartNum = parseFloat;
                                }
                                if (parseFloat < HRVActivity.this.mWeekMinHeartNum) {
                                    HRVActivity.this.mWeekMinHeartNum = parseFloat;
                                }
                                HRVActivity.access$2112(HRVActivity.this, parseFloat);
                                if (!data.get(i2).getHrvMean().isEmpty()) {
                                    HRVActivity.this.mWeekAdapterSumUpHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(data.get(i2).getDateformat())), parseFloat + "", "正常"));
                                }
                            }
                            i2++;
                        }
                        if (HRVActivity.this.mWeekAdapterSumUpHeartRateHisListBean.size() > 0) {
                            HRVActivity.this.mWeekAverageHeartNum = (int) Math.ceil((r10.mWeekSumUpHeartNum * 1.0d) / HRVActivity.this.mWeekAdapterSumUpHeartRateHisListBean.size());
                        }
                        ArrayList<String> pastByMonthDayArray = YearToDayListUtils.getPastByMonthDayArray(HRVActivity.this.mToDay, 6);
                        for (int i3 = 0; i3 < pastByMonthDayArray.size(); i3++) {
                            HRVActivity.this.mWeekChartSumUpHeartRateHisListBean.add(new TemperatureHisListBean(pastByMonthDayArray.get(i3), "0", "正常"));
                        }
                        for (int i4 = 0; i4 < pastByMonthDayArray.size(); i4++) {
                            Iterator it2 = HRVActivity.this.mWeekAdapterSumUpHeartRateHisListBean.iterator();
                            while (true) {
                                if (it2.hasNext()) {
                                    TemperatureHisListBean temperatureHisListBean = (TemperatureHisListBean) it2.next();
                                    if (temperatureHisListBean.getTime().equals(pastByMonthDayArray.get(i4))) {
                                        HRVActivity.this.mWeekChartSumUpHeartRateHisListBean.remove(i4);
                                        HRVActivity.this.mWeekChartSumUpHeartRateHisListBean.add(i4, new TemperatureHisListBean(temperatureHisListBean.getTime(), temperatureHisListBean.getmValue(), "正常"));
                                        break;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        });
    }

    private void getMonthHeart(String str, String str2, String str3) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        hashMap.put("startDate", str2);
        hashMap.put("endDate", str3);
        hashMap.put("type", "1");
        HttpUtils.getInstance().postMsgAsynHttp(this, Constants.hrvDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.10
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str4) {
                if (str4 != null) {
                    List<CareHRVWeekMonthBean.DataBean> data = ((CareHRVWeekMonthBean) new Gson().fromJson(str4, CareHRVWeekMonthBean.class)).getData();
                    if (data.size() != 0) {
                        HRVActivity.this.mMonthChartSumUpHeartRateHisListBean.clear();
                        HRVActivity.this.mMonthSumUpHeartNum = 0;
                        HRVActivity.this.mMonthMaxHeartNum = 0;
                        HRVActivity.this.mMonthMinHeartNum = 220;
                        int i2 = 0;
                        while (true) {
                            if (i2 >= data.size()) {
                                break;
                            }
                            int parseFloat = (int) Float.parseFloat(data.get(i2).getHrvMean().isEmpty() ? "0" : data.get(i2).getHrvMean());
                            if (parseFloat != 0) {
                                if (parseFloat > HRVActivity.this.mMonthMaxHeartNum) {
                                    HRVActivity.this.mMonthMaxHeartNum = parseFloat;
                                }
                                if (parseFloat < HRVActivity.this.mMonthMinHeartNum) {
                                    HRVActivity.this.mMonthMinHeartNum = parseFloat;
                                }
                                HRVActivity.access$2312(HRVActivity.this, parseFloat);
                                if (!data.get(i2).getHrvMean().isEmpty()) {
                                    HRVActivity.this.mMonthAdapterSumUpHeartRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(data.get(i2).getDateformat())), parseFloat + "", "正常"));
                                }
                            }
                            i2++;
                        }
                        if (HRVActivity.this.mMonthAdapterSumUpHeartRateHisListBean.size() > 0) {
                            HRVActivity.this.mMonthAverageHeartNum = (int) Math.ceil((r10.mMonthSumUpHeartNum * 1.0d) / HRVActivity.this.mMonthAdapterSumUpHeartRateHisListBean.size());
                        }
                        ArrayList<String> pastByMonthDayArray = YearToDayListUtils.getPastByMonthDayArray(HRVActivity.this.mToDay, 29);
                        for (int i3 = 0; i3 < pastByMonthDayArray.size(); i3++) {
                            HRVActivity.this.mMonthChartSumUpHeartRateHisListBean.add(new TemperatureHisListBean(pastByMonthDayArray.get(i3), "0", "正常"));
                        }
                        for (int i4 = 0; i4 < pastByMonthDayArray.size(); i4++) {
                            Iterator it2 = HRVActivity.this.mMonthAdapterSumUpHeartRateHisListBean.iterator();
                            while (true) {
                                if (it2.hasNext()) {
                                    TemperatureHisListBean temperatureHisListBean = (TemperatureHisListBean) it2.next();
                                    if (temperatureHisListBean.getTime().equals(pastByMonthDayArray.get(i4))) {
                                        HRVActivity.this.mMonthChartSumUpHeartRateHisListBean.remove(i4);
                                        HRVActivity.this.mMonthChartSumUpHeartRateHisListBean.add(i4, new TemperatureHisListBean(temperatureHisListBean.getTime(), temperatureHisListBean.getmValue(), "正常"));
                                        break;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        });
    }

    @Override // androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, android.app.Activity
    protected void onActivityResult(int i2, int i3, Intent intent) {
        super.onActivityResult(i2, i3, intent);
        if (i2 == HeartRateMeasureActivity.HEART_RATE_MEASURE && i3 == -1) {
            initData();
        }
    }

    @OnClick({R.id.ll_calendar, R.id.tv_back_today, R.id.ll_start_button, R.id.rl_analyse, R.id.rl_first, R.id.rl_second, R.id.rl_fourthly, R.id.ll_month})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.ll_calendar /* 2131296905 */:
                this.llMonth.setVisibility(0);
                break;
            case R.id.ll_month /* 2131296934 */:
                this.llMonth.setVisibility(8);
                break;
            case R.id.ll_start_button /* 2131296959 */:
                HeartRateMeasureActivity.load(this);
                break;
            case R.id.rl_first /* 2131297273 */:
                startActivity(new Intent(this.context, (Class<?>) MeHealthSettingActivity.class));
                break;
            case R.id.rl_fourthly /* 2131297274 */:
                if (this.ARROW == 0) {
                    this.mRecyclerView.setVisibility(0);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_s, null));
                    this.ARROW = 1;
                    this.mNestedScrollView.postDelayed(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.activity.HRVActivity.11
                        @Override // java.lang.Runnable
                        public void run() {
                            HRVActivity.this.mNestedScrollView.smoothScrollTo(0, (int) (HRVActivity.this.mNestedScrollView.getScrollY() + (DpUtil.dp2px(HRVActivity.this.context, 56.0f) * 1.5f)));
                        }
                    }, 100L);
                    break;
                } else {
                    this.mRecyclerView.setVisibility(8);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
                    this.ARROW = 0;
                    break;
                }
            case R.id.rl_second /* 2131297297 */:
                startActivity(new Intent(this.context, (Class<?>) HealthyActivity.class));
                break;
            case R.id.tv_back_today /* 2131297558 */:
                this.mViewPager.setCurrentItem(2);
                this.mCalendarView.scrollToCurrent();
                break;
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.ContextThemeWrapper, android.content.ContextWrapper
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(ViewPumpContextWrapper.wrap(context));
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        Unbinder unbinder = this.mUnbinder;
        if (unbinder != null) {
            unbinder.unbind();
        }
    }
}
