package com.yucheng.smarthealthpro.home.activity.hrv.adapter;

import android.view.View;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.home.activity.temperature.bean.TemperatureHisListBean;

/* loaded from: classes3.dex */
public class HRVHisListAdapter extends BaseQuickAdapter<TemperatureHisListBean, BaseViewHolder> {
    private OnItemClickListener mOnItemClickListener;

    public interface OnItemClickListener {
        void onClick(TemperatureHisListBean temperatureHisListBean, int i2);

        void onDelClick(TemperatureHisListBean temperatureHisListBean, int i2);

        void onLongClick(TemperatureHisListBean temperatureHisListBean, int i2);
    }

    public HRVHisListAdapter(int i2) {
        super(i2);
        this.mOnItemClickListener = null;
    }

    public void setOnItemClickListener(OnItemClickListener onItemClickListener) {
        this.mOnItemClickListener = onItemClickListener;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(BaseViewHolder baseViewHolder, final TemperatureHisListBean temperatureHisListBean) {
        final int layoutPosition = baseViewHolder.getLayoutPosition();
        if (temperatureHisListBean != null) {
            baseViewHolder.setText(R.id.tv_time, temperatureHisListBean.getTime()).setText(R.id.tv_value, temperatureHisListBean.getmValue()).setText(R.id.tv_unit, "ms");
            try {
                Integer.parseInt(temperatureHisListBean.getmValue());
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            baseViewHolder.setVisible(R.id.tv_state, false);
        }
        baseViewHolder.itemView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.hrv.adapter.HRVHisListAdapter.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (HRVHisListAdapter.this.mOnItemClickListener != null) {
                    HRVHisListAdapter.this.mOnItemClickListener.onClick(temperatureHisListBean, layoutPosition);
                }
            }
        });
    }
}
