package com.yucheng.smarthealthpro.home.activity.pdnumber.fragment;

import android.content.Context;
import android.view.View;
import androidx.core.widget.NestedScrollView;
import butterknife.BindView;
import butterknife.ButterKnife;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseLazyLoadFragment;
import com.yucheng.smarthealthpro.customchart.MyBarChartUtils;
import com.yucheng.smarthealthpro.customchart.charts.GradualBarChart;
import com.yucheng.smarthealthpro.home.bean.MyMonBean;
import java.text.ParseException;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes3.dex */
public class PDNumberTabFragment extends BaseLazyLoadFragment {
    private List<MyMonBean.Data.Values> dayDatas;
    private MyBarChartUtils.FORMATTER formatter;
    private List<MyMonBean.Data.Values> halfYearDatas;

    @BindView(R.id.bar_chart_day)
    GradualBarChart mDayChart;

    @BindView(R.id.bar_chart_halfyear)
    GradualBarChart mHalfYearChart;

    @BindView(R.id.bar_chart_month)
    GradualBarChart mMonthChart;
    private NestedScrollView mNestedScrollView;
    private String mTitles;

    @BindView(R.id.bar_chart_week)
    GradualBarChart mWeekChart;

    @BindView(R.id.bar_chart_year)
    GradualBarChart mYearChart;
    private List<MyMonBean.Data.Values> monthDatas;
    private Integer position;
    private String unit;
    private List<MyMonBean.Data.Values> weekDatas;
    private float yMaximum = 0.0f;
    private float yMinimum = 25.0f;
    private List<MyMonBean.Data.Values> yearDatas;

    @Override // com.yucheng.smarthealthpro.framework.BaseFragment
    protected void initData(Context context) {
    }

    @Override // com.gyf.immersionbar.components.ImmersionOwner
    public void initImmersionBar() {
    }

    @Override // com.yucheng.smarthealthpro.framework.BaseFragment
    protected int initLayout() {
        return R.layout.fragment_pdnumber;
    }

    public static PDNumberTabFragment newInstance(String str, int i2, NestedScrollView nestedScrollView, List<MyMonBean.Data.Values> list, List<MyMonBean.Data.Values> list2, List<MyMonBean.Data.Values> list3, List<MyMonBean.Data.Values> list4, List<MyMonBean.Data.Values> list5, String str2) {
        PDNumberTabFragment pDNumberTabFragment = new PDNumberTabFragment();
        pDNumberTabFragment.mNestedScrollView = nestedScrollView;
        pDNumberTabFragment.mTitles = str;
        pDNumberTabFragment.position = Integer.valueOf(i2);
        pDNumberTabFragment.dayDatas = list;
        pDNumberTabFragment.weekDatas = list2;
        pDNumberTabFragment.monthDatas = list3;
        pDNumberTabFragment.halfYearDatas = list4;
        pDNumberTabFragment.yearDatas = list5;
        pDNumberTabFragment.unit = str2;
        return pDNumberTabFragment;
    }

    @Override // com.yucheng.smarthealthpro.framework.BaseFragment
    protected void initView(View view) throws ParseException {
        ButterKnife.bind(this, view);
    }

    @Override // com.yucheng.smarthealthpro.base.BaseLazyLoadFragment
    protected void lazyLoadData() {
        List<MyMonBean.Data.Values> list;
        GradualBarChart gradualBarChart;
        if (this.mTitles.equals(getString(R.string.pd_month_text))) {
            this.mDayChart.setVisibility(8);
            this.mWeekChart.setVisibility(8);
            this.mMonthChart.setVisibility(0);
            this.mHalfYearChart.setVisibility(8);
            this.mYearChart.setVisibility(8);
            list = this.monthDatas;
            gradualBarChart = this.mMonthChart;
            this.formatter = MyBarChartUtils.FORMATTER.MONTH;
        } else if (this.mTitles.equals(getString(R.string.pd_week_text))) {
            this.mDayChart.setVisibility(8);
            this.mWeekChart.setVisibility(0);
            this.mMonthChart.setVisibility(8);
            this.mHalfYearChart.setVisibility(8);
            this.mYearChart.setVisibility(8);
            list = this.weekDatas;
            gradualBarChart = this.mWeekChart;
            this.formatter = MyBarChartUtils.FORMATTER.WEEK;
        } else if (this.mTitles.equals(getString(R.string.pd_halfyear_text))) {
            this.mDayChart.setVisibility(8);
            this.mWeekChart.setVisibility(8);
            this.mMonthChart.setVisibility(8);
            this.mHalfYearChart.setVisibility(0);
            this.mYearChart.setVisibility(8);
            list = this.halfYearDatas;
            gradualBarChart = this.mHalfYearChart;
            this.formatter = MyBarChartUtils.FORMATTER.HALFYEAR;
        } else if (this.mTitles.equals(getString(R.string.pd_year_text))) {
            this.mDayChart.setVisibility(8);
            this.mWeekChart.setVisibility(8);
            this.mMonthChart.setVisibility(8);
            this.mHalfYearChart.setVisibility(8);
            this.mYearChart.setVisibility(0);
            list = this.yearDatas;
            gradualBarChart = this.mYearChart;
            this.formatter = MyBarChartUtils.FORMATTER.YEAR;
        } else {
            this.mDayChart.setVisibility(0);
            this.mWeekChart.setVisibility(8);
            this.mMonthChart.setVisibility(8);
            this.mHalfYearChart.setVisibility(8);
            this.mYearChart.setVisibility(8);
            list = this.dayDatas;
            gradualBarChart = this.mDayChart;
            this.formatter = MyBarChartUtils.FORMATTER.DAY;
        }
        List<MyMonBean.Data.Values> list2 = list;
        GradualBarChart gradualBarChart2 = gradualBarChart;
        getMaxMinValue(list2);
        MyBarChartUtils.initBarChart(gradualBarChart2, this.context, list2, this.mNestedScrollView, this.yMaximum, this.yMinimum, this.formatter, this.unit);
    }

    private void getMaxMinValue(List<MyMonBean.Data.Values> list) {
        float f2;
        float f3 = 25.0f;
        if (list != null && list.size() > 0) {
            Iterator<MyMonBean.Data.Values> it2 = list.iterator();
            float f4 = 0.0f;
            while (it2.hasNext()) {
                try {
                    f2 = Float.parseFloat(it2.next().displayvalue);
                } catch (Exception e2) {
                    e2.printStackTrace();
                    f2 = 0.0f;
                }
                if (f2 > f4) {
                    f4 = f2;
                }
                if (f2 < f3) {
                    f3 = f2;
                }
            }
            this.yMaximum = (int) (f4 * 1.2d);
            this.yMinimum = (int) (f3 * 0.8d);
            return;
        }
        this.yMaximum = 25.0f;
        this.yMinimum = 0.0f;
    }
}
