package com.yucheng.smarthealthpro.home.activity.phy.fragment;

import android.content.Context;
import android.view.View;
import androidx.core.widget.NestedScrollView;
import butterknife.BindView;
import butterknife.ButterKnife;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseLazyLoadFragment;
import com.yucheng.smarthealthpro.customchart.charts.BarChart;
import com.yucheng.smarthealthpro.customchart.charts.LineChart;
import com.yucheng.smarthealthpro.customchart.phy.PhyBarChartUtils;
import com.yucheng.smarthealthpro.home.activity.phy.bean.PhyHisListBean;
import java.util.Calendar;
import java.util.List;

/* loaded from: classes3.dex */
public class PhyTabFragment extends BaseLazyLoadFragment {

    @BindView(R.id.line_chart_day)
    LineChart mDayChart;
    private List<PhyHisListBean> mDayDataBeans;

    @BindView(R.id.bar_chart_month)
    BarChart mMonthChart;
    private List<PhyHisListBean> mMonthChartHisListBean;
    private NestedScrollView mNestedScrollView;
    private String mTitles;
    private String mToDay;

    @BindView(R.id.bar_chart_week)
    BarChart mWeekChart;
    private List<PhyHisListBean> mWeekChartHisListBean;
    private int mDayXLabelCount = 2;
    private float xDayMaximum = 48.0f;
    private float yMaximum = 140.0f;
    private float yMinimum = 0.0f;

    @Override // com.yucheng.smarthealthpro.framework.BaseFragment
    protected void initData(Context context) {
    }

    @Override // com.gyf.immersionbar.components.ImmersionOwner
    public void initImmersionBar() {
    }

    @Override // com.yucheng.smarthealthpro.framework.BaseFragment
    protected int initLayout() {
        return R.layout.fragment_phy_tab;
    }

    public static PhyTabFragment newInstance(String str, int i2, NestedScrollView nestedScrollView, int i3, List<PhyHisListBean> list, List<PhyHisListBean> list2, List<PhyHisListBean> list3) {
        PhyTabFragment phyTabFragment = new PhyTabFragment();
        phyTabFragment.mTitles = str;
        phyTabFragment.mNestedScrollView = nestedScrollView;
        phyTabFragment.mDayDataBeans = list;
        phyTabFragment.mWeekChartHisListBean = list2;
        phyTabFragment.mMonthChartHisListBean = list3;
        return phyTabFragment;
    }

    @Override // com.yucheng.smarthealthpro.framework.BaseFragment
    protected void initView(View view) {
        ButterKnife.bind(this, view);
        Calendar calendar = Calendar.getInstance();
        this.mToDay = calendar.get(1) + HelpFormatter.DEFAULT_OPT_PREFIX + (calendar.get(2) + 1) + HelpFormatter.DEFAULT_OPT_PREFIX + calendar.get(5);
    }

    @Override // com.yucheng.smarthealthpro.base.BaseLazyLoadFragment
    protected void lazyLoadData() {
        if (this.mTitles.equals(getString(R.string.date_month_unit))) {
            this.mDayChart.setVisibility(8);
            this.mWeekChart.setVisibility(8);
            this.mMonthChart.setVisibility(0);
            PhyBarChartUtils.initChart(this.context, this.mMonthChart, this.mMonthChartHisListBean, this.mToDay, PhyBarChartUtils.FORMATTER.MONTH);
            return;
        }
        if (this.mTitles.equals(getString(R.string.date_week_unit))) {
            this.mDayChart.setVisibility(8);
            this.mWeekChart.setVisibility(0);
            this.mMonthChart.setVisibility(8);
            PhyBarChartUtils.initChart(this.context, this.mWeekChart, this.mWeekChartHisListBean, this.mToDay, PhyBarChartUtils.FORMATTER.WEEK);
            return;
        }
        this.mDayChart.setVisibility(0);
        this.mWeekChart.setVisibility(8);
        this.mMonthChart.setVisibility(8);
        PhyBarChartUtils.initPhyChart(this.mDayChart, this.context, this.mDayDataBeans, this.mNestedScrollView, this.yMaximum, this.yMinimum, this.xDayMaximum, this.mDayXLabelCount, PhyBarChartUtils.FORMATTER.DAY);
    }
}
