package com.yucheng.smarthealthpro.home.activity.physiotherapy.activity;

import android.content.Context;
import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.text.Html;
import android.text.SpannableString;
import android.text.style.AbsoluteSizeSpan;
import android.text.style.ForegroundColorSpan;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.res.ResourcesCompat;
import androidx.core.widget.NestedScrollView;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager.widget.ViewPager;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;
import com.facebook.internal.security.CertificateUtil;
import com.flyco.tablayout.SlidingTabLayout;
import com.google.android.material.timepicker.TimeModel;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.haibin.calendarview.Calendar;
import com.haibin.calendarview.CalendarView;
import com.orhanobut.logger.Logger;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.framework.view.NavigationBar;
import com.yucheng.smarthealthpro.greendao.bean.PhysiotherapyDb;
import com.yucheng.smarthealthpro.greendao.utils.PhysiotherapyDbUtils;
import com.yucheng.smarthealthpro.home.activity.HealthyActivity;
import com.yucheng.smarthealthpro.home.activity.physiotherapy.adapter.PhysiotherapyHisListAdapter;
import com.yucheng.smarthealthpro.home.activity.physiotherapy.adapter.PhysiotherapyTabFragmentAdapter;
import com.yucheng.smarthealthpro.home.activity.physiotherapy.fragment.PhysiotherapyTabFragment;
import com.yucheng.smarthealthpro.home.view.NoScrollViewPager;
import com.yucheng.smarthealthpro.me.activity.MeHealthSettingActivity;
import com.yucheng.smarthealthpro.me.setting.contacts.utils.DpUtil;
import com.yucheng.smarthealthpro.utils.AppScreenMgr;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.smarthealthpro.utils.DensityUtils;
import com.yucheng.smarthealthpro.utils.ShareUtils;
import com.yucheng.smarthealthpro.utils.YearToDayListUtils;
import io.github.inflationx.viewpump.ViewPumpContextWrapper;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;
import org.joda.time.DateTimeConstants;

/* loaded from: classes3.dex */
public class PhysiotherapyActivity extends BaseActivity implements CalendarView.OnCalendarSelectListener, CalendarView.OnMonthChangeListener {
    private long dayTime;
    private PhysiotherapyHisListAdapter historyListAdapter;

    @BindView(R.id.iv_calendar)
    ImageView ivCalendar;

    @BindView(R.id.iv_data_second)
    ImageView ivDataSecond;

    @BindView(R.id.iv_data_thirdly)
    ImageView ivDataThirdly;

    @BindView(R.id.iv_first_left)
    ImageView ivFirstLeft;

    @BindView(R.id.iv_first_right)
    ImageView ivFirstRight;

    @BindView(R.id.iv_fourthly_left)
    ImageView ivFourthlyLeft;

    @BindView(R.id.iv_fourthly_right)
    ImageView ivFourthlyRight;

    @BindView(R.id.iv_second_left)
    ImageView ivSecondLeft;

    @BindView(R.id.iv_second_right)
    ImageView ivSecondRight;

    @BindView(R.id.ll_calendar)
    LinearLayout llCalendar;

    @BindView(R.id.ll_data_second)
    LinearLayout llDataSecond;

    @BindView(R.id.ll_data_thirdly)
    LinearLayout llDataThirdly;

    @BindView(R.id.ll_month)
    LinearLayout llMonth;

    @BindView(R.id.ll_data_rem)
    LinearLayout llRem;

    @BindView(R.id.ll_start_button)
    LinearLayout llStartButton;
    private PhysiotherapyTabFragmentAdapter mAdapter;

    @BindView(R.id.calendarView)
    CalendarView mCalendarView;

    @BindView(R.id.nsv)
    NestedScrollView mNestedScrollView;

    @BindView(R.id.recycle_view)
    RecyclerView mRecyclerView;

    @BindView(R.id.stl_tab)
    SlidingTabLayout mSlidingTabLayout;
    private Unbinder mUnbinder;

    @BindView(R.id.vp_tab)
    NoScrollViewPager mViewPager;
    private PhysiotherapyDbUtils physiotherapyDbUtils;

    @BindView(R.id.rl_analyse)
    RelativeLayout rlAnalyse;

    @BindView(R.id.rl_data_first)
    RelativeLayout rlDataFirst;

    @BindView(R.id.rl_first)
    RelativeLayout rlFirst;

    @BindView(R.id.rl_fourthly)
    RelativeLayout rlFourthly;

    @BindView(R.id.rl_second)
    RelativeLayout rlSecond;

    @BindView(R.id.tv_analyse)
    TextView tvAnalyse;

    @BindView(R.id.tv_analyse_data)
    TextView tvAnalyseData;

    @BindView(R.id.tv_back_today)
    TextView tvBackToday;

    @BindView(R.id.tv_calendar)
    TextView tvCalendar;

    @BindView(R.id.tv_data_first)
    TextView tvDataFirst;

    @BindView(R.id.tv_data_first_unit)
    TextView tvDataFirstUnit;

    @BindView(R.id.tv_data_second)
    TextView tvDataSecond;

    @BindView(R.id.tv_data_second_unit)
    TextView tvDataSecondUnit;

    @BindView(R.id.tv_data_thirdly)
    TextView tvDataThirdly;

    @BindView(R.id.tv_data_thirdly_unit)
    TextView tvDataThirdlyUnit;

    @BindView(R.id.tv_first)
    TextView tvFirst;

    @BindView(R.id.tv_fourthly)
    TextView tvFourthly;

    @BindView(R.id.tv_data_rem)
    TextView tvRem;

    @BindView(R.id.tv_second)
    TextView tvSecond;

    @BindView(R.id.tv_start_button)
    TextView tvStartButton;

    @BindView(R.id.tv_years)
    TextView tvYears;
    private int ARROW = 0;
    private List<String> mTitles = new ArrayList();
    private List<PhysiotherapyDb> historyList = new ArrayList();
    private List<PhysiotherapyDb> weekList = new ArrayList();
    private List<PhysiotherapyDb> monthList = new ArrayList();
    private List<PhysiotherapyDb> dayList = new ArrayList();

    private void initData() {
    }

    @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
    public void onCalendarOutOfRange(Calendar calendar) {
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_physiotherapy);
        this.mUnbinder = ButterKnife.bind(this);
        this.physiotherapyDbUtils = new PhysiotherapyDbUtils(this);
        initView();
        initData();
    }

    private void initView() {
        changeTitle(getString(R.string.physiotherapy));
        showBack();
        showRightImage(R.mipmap.topbar_ic_share, new NavigationBar.MyOnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.physiotherapy.activity.PhysiotherapyActivity$$ExternalSyntheticLambda0
            @Override // com.yucheng.smarthealthpro.framework.view.NavigationBar.MyOnClickListener
            public final void onClick(View view) {
                PhysiotherapyActivity.this.m470x4ddffe11(view);
            }
        });
        this.llMonth.setPadding(0, DensityUtils.dip2px(this.context, 50.0f) + AppScreenMgr.getStatusHeight(this.context), 0, 0);
        if (Constant.CC.isTechFeel()) {
            this.rlSecond.setVisibility(8);
        }
        String stringExtra = getIntent().getStringExtra("care");
        if (stringExtra != null && stringExtra.equals(getString(R.string.care_title))) {
            this.rlFirst.setVisibility(8);
            this.rlSecond.setVisibility(8);
        } else {
            this.tvFirst.setText(getString(R.string.include_bottom_tv_first_button));
            this.tvSecond.setText(getString(R.string.include_bottom_tv_second_button));
        }
        this.tvDataFirstUnit.setText(getString(R.string.home_sleep_waking_unit));
        this.tvDataSecondUnit.setText(getString(R.string.home_sleep_light_sleep_unit));
        this.tvDataThirdlyUnit.setText(getString(R.string.home_sleep_deep_sleep_unit));
        this.llStartButton.setVisibility(8);
        this.tvAnalyse.setText(R.string.physiotherapy_analysis);
        this.tvFourthly.setText(getString(R.string.include_bottom_tv_fourthly_button));
        this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
        this.mTitles.add(getString(R.string.date_month_unit));
        this.mTitles.add(getString(R.string.date_week_unit));
        this.mTitles.add(getString(R.string.date_day_unit));
        setRecycleView();
        initViewPager();
        this.mCalendarView.setOnCalendarSelectListener(this);
        this.mCalendarView.setOnMonthChangeListener(this);
        this.mCalendarView.scrollToCurrent();
        this.mCalendarView.setOnCalendarInterceptListener(new CalendarView.OnCalendarInterceptListener() { // from class: com.yucheng.smarthealthpro.home.activity.physiotherapy.activity.PhysiotherapyActivity.1
            @Override // com.haibin.calendarview.CalendarView.OnCalendarInterceptListener
            public void onCalendarInterceptClick(Calendar calendar, boolean z) {
            }

            @Override // com.haibin.calendarview.CalendarView.OnCalendarInterceptListener
            public boolean onCalendarIntercept(Calendar calendar) {
                StringBuilder sb = new StringBuilder();
                sb.append(calendar.getYear());
                sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
                sb.append(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(calendar.getMonth())));
                sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
                sb.append(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(calendar.getDay())));
                return !YearToDayListUtils.isMidDate(YearToDayListUtils.getPastDate(30, new Date()), sb.toString(), new Date());
            }
        });
        if (Constant.CC.isTechFeel()) {
            this.tvYears.setText(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(this.mCalendarView.getCurMonth())) + "/" + this.mCalendarView.getCurYear());
            return;
        }
        this.tvYears.setText(this.mCalendarView.getCurYear() + "/" + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(this.mCalendarView.getCurMonth())));
    }

    /* renamed from: lambda$initView$0$com-yucheng-smarthealthpro-home-activity-physiotherapy-activity-PhysiotherapyActivity, reason: not valid java name */
    /* synthetic */ void m470x4ddffe11(View view) {
        ShareUtils.share(this);
    }

    private void initViewPager() {
        if (isFinishing()) {
            return;
        }
        PhysiotherapyTabFragmentAdapter physiotherapyTabFragmentAdapter = new PhysiotherapyTabFragmentAdapter(getSupportFragmentManager(), new PhysiotherapyTabFragmentAdapter.FragmentCreator() { // from class: com.yucheng.smarthealthpro.home.activity.physiotherapy.activity.PhysiotherapyActivity.2
            @Override // com.yucheng.smarthealthpro.home.activity.physiotherapy.adapter.PhysiotherapyTabFragmentAdapter.FragmentCreator
            public Fragment createFragment(String str, int i2) {
                Logger.w(i2 + CertificateUtil.DELIMITER + str, new Object[0]);
                return PhysiotherapyTabFragment.newInstance(str.toString(), i2);
            }

            @Override // com.yucheng.smarthealthpro.home.activity.physiotherapy.adapter.PhysiotherapyTabFragmentAdapter.FragmentCreator
            public String createTitle(String str) {
                return Html.fromHtml(str).toString();
            }
        });
        this.mAdapter = physiotherapyTabFragmentAdapter;
        this.mViewPager.setAdapter(physiotherapyTabFragmentAdapter);
        this.mAdapter.notifyDataSetChanged();
        this.mViewPager.setOffscreenPageLimit(this.historyList.size() - 1);
        this.mAdapter.setData(this.mTitles);
        this.mSlidingTabLayout.setViewPager(this.mViewPager, (String[]) this.mTitles.toArray(new String[0]));
        this.mSlidingTabLayout.setCurrentTab(2, true);
        this.mViewPager.addOnPageChangeListener(new OnPageChangeListenerImpl());
    }

    private class OnPageChangeListenerImpl implements ViewPager.OnPageChangeListener {
        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrollStateChanged(int i2) {
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageScrolled(int i2, float f2, int i3) {
        }

        private OnPageChangeListenerImpl() {
        }

        @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
        public void onPageSelected(int i2) {
            PhysiotherapyActivity.this.mViewPager.setCurrentItem(i2);
            if (i2 == 0) {
                PhysiotherapyActivity.this.freshMonthData();
            } else if (i2 == 1) {
                PhysiotherapyActivity.this.freshWeekData();
            } else {
                if (i2 != 2) {
                    return;
                }
                PhysiotherapyActivity.this.freshDayData();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void freshDayData() {
        PhysiotherapyTabFragment physiotherapyTabFragment = (PhysiotherapyTabFragment) this.mAdapter.getFragment(this.mViewPager.getCurrentItem());
        if (physiotherapyTabFragment == null) {
            return;
        }
        getDayData(Long.valueOf(this.dayTime));
        physiotherapyTabFragment.setDataList(this.historyList);
        this.tvBackToday.setVisibility(8);
        this.llCalendar.setVisibility(0);
        this.tvDataFirstUnit.setText(getString(R.string.sleep_waking_unit));
        this.tvDataSecondUnit.setText(getString(R.string.light_sleep));
        this.tvDataThirdlyUnit.setText(getString(R.string.deep_sleep));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void freshWeekData() {
        this.tvBackToday.setVisibility(0);
        this.llCalendar.setVisibility(8);
        this.tvDataFirstUnit.setText(getString(R.string.home_sleep_waking_unit));
        this.tvDataSecondUnit.setText(getString(R.string.home_sleep_light_sleep_unit));
        this.tvDataThirdlyUnit.setText(getString(R.string.home_sleep_deep_sleep_unit));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void freshMonthData() {
        this.tvBackToday.setVisibility(0);
        this.llCalendar.setVisibility(8);
        this.tvDataFirstUnit.setText(getString(R.string.home_sleep_waking_unit));
        this.tvDataSecondUnit.setText(getString(R.string.home_sleep_light_sleep_unit));
        this.tvDataThirdlyUnit.setText(getString(R.string.home_sleep_deep_sleep_unit));
    }

    public void dataAnalysis(float f2) {
        if (f2 > 10.0f) {
            this.tvAnalyseData.setText(getText(R.string.home_sleep_analyse_too_much_sleep));
            return;
        }
        if (f2 > 4.0f) {
            this.tvAnalyseData.setText(getText(R.string.home_sleep_analyse_normal));
        } else if (f2 > 0.0f) {
            this.tvAnalyseData.setText(getText(R.string.home_sleep_analyse_sleep_debt));
        } else {
            this.tvAnalyseData.setText("");
        }
    }

    private void setRecycleView() {
        this.mRecyclerView.setLayoutManager(new LinearLayoutManager(this));
        PhysiotherapyHisListAdapter physiotherapyHisListAdapter = new PhysiotherapyHisListAdapter(R.layout.item_sleep_his_list);
        this.historyListAdapter = physiotherapyHisListAdapter;
        physiotherapyHisListAdapter.addData((Collection) this.historyList);
        this.mRecyclerView.setAdapter(this.historyListAdapter);
        this.mRecyclerView.setNestedScrollingEnabled(false);
    }

    @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
    public void onCalendarSelect(Calendar calendar, boolean z) {
        long timeInMillis = calendar.getTimeInMillis();
        this.dayTime = timeInMillis;
        getDayData(Long.valueOf(timeInMillis));
        PhysiotherapyTabFragment physiotherapyTabFragment = (PhysiotherapyTabFragment) this.mAdapter.getFragment(this.mViewPager.getCurrentItem());
        if (physiotherapyTabFragment == null) {
            return;
        }
        physiotherapyTabFragment.setDataList(this.historyList);
        this.tvCalendar.setText(calendar.getMonth() + "/" + calendar.getDay());
        this.llMonth.setVisibility(8);
    }

    @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
    public void onMonthChange(int i2, int i3) {
        if (Constant.CC.isTechFeel()) {
            this.tvYears.setText(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3)) + "/" + i2);
            return;
        }
        this.tvYears.setText(i2 + "/" + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3)));
    }

    private void getDayData(Long l) {
        Logger.w("getDayData " + l, new Object[0]);
        List<PhysiotherapyDb> queryDay = new PhysiotherapyDbUtils(getBaseContext()).queryDay(l.longValue());
        this.historyList = queryDay;
        this.historyListAdapter.setList(queryDay);
    }

    @OnClick({R.id.ll_calendar, R.id.tv_back_today, R.id.rl_first, R.id.rl_second, R.id.rl_fourthly, R.id.ll_month})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.ll_calendar /* 2131296905 */:
                this.llMonth.setVisibility(0);
                break;
            case R.id.ll_month /* 2131296934 */:
                this.llMonth.setVisibility(8);
                break;
            case R.id.rl_first /* 2131297273 */:
                startActivity(new Intent(this.context, (Class<?>) MeHealthSettingActivity.class));
                break;
            case R.id.rl_fourthly /* 2131297274 */:
                if (this.ARROW == 0) {
                    this.mRecyclerView.setVisibility(0);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_s, null));
                    this.ARROW = 1;
                    this.mNestedScrollView.postDelayed(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.physiotherapy.activity.PhysiotherapyActivity.3
                        @Override // java.lang.Runnable
                        public void run() {
                            PhysiotherapyActivity.this.mNestedScrollView.smoothScrollTo(0, (int) (PhysiotherapyActivity.this.mNestedScrollView.getScrollY() + (DpUtil.dp2px(PhysiotherapyActivity.this.context, 56.0f) * 1.5f)));
                        }
                    }, 100L);
                    break;
                } else {
                    this.mRecyclerView.setVisibility(8);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
                    this.ARROW = 0;
                    break;
                }
            case R.id.rl_second /* 2131297297 */:
                startActivity(new Intent(this.context, (Class<?>) HealthyActivity.class));
                break;
            case R.id.tv_back_today /* 2131297558 */:
                this.mCalendarView.scrollToCurrent();
                break;
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.ContextThemeWrapper, android.content.ContextWrapper
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(ViewPumpContextWrapper.wrap(context));
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        Unbinder unbinder = this.mUnbinder;
        if (unbinder != null) {
            unbinder.unbind();
        }
    }

    public SpannableString parseTime(int i2) {
        int i3 = i2 - (i2 % 60);
        int i4 = (i3 / 60) % 60;
        return setSpaning(String.format("%d h %d min", Integer.valueOf((i3 - (i4 * 60)) / DateTimeConstants.SECONDS_PER_HOUR), Integer.valueOf(i4)));
    }

    private SpannableString setSpaning(String str) {
        SpannableString spannableString = new SpannableString(str);
        int lastIndexOf = spannableString.toString().lastIndexOf(" h ");
        int lastIndexOf2 = spannableString.toString().lastIndexOf(" min");
        if (lastIndexOf != -1) {
            ForegroundColorSpan foregroundColorSpan = new ForegroundColorSpan(Color.parseColor("#808080"));
            AbsoluteSizeSpan absoluteSizeSpan = new AbsoluteSizeSpan(14, true);
            int i2 = lastIndexOf + 3;
            spannableString.setSpan(foregroundColorSpan, lastIndexOf, i2, 17);
            spannableString.setSpan(absoluteSizeSpan, lastIndexOf, i2, 17);
        }
        if (lastIndexOf2 != -1) {
            ForegroundColorSpan foregroundColorSpan2 = new ForegroundColorSpan(Color.parseColor("#808080"));
            AbsoluteSizeSpan absoluteSizeSpan2 = new AbsoluteSizeSpan(14, true);
            int i3 = lastIndexOf2 + 4;
            spannableString.setSpan(foregroundColorSpan2, lastIndexOf2, i3, 17);
            spannableString.setSpan(absoluteSizeSpan2, lastIndexOf2, i3, 17);
        }
        return spannableString;
    }
}
