package com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.Html;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.res.ResourcesCompat;
import androidx.core.widget.NestedScrollView;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager.widget.ViewPager;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;
import com.flyco.tablayout.SlidingTabLayout;
import com.google.android.material.timepicker.TimeModel;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.haibin.calendarview.CalendarView;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.care.bean.CareRateWeekMonthBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareDataBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareRateBean;
import com.yucheng.smarthealthpro.framework.http.HttpUtils;
import com.yucheng.smarthealthpro.framework.util.Constants;
import com.yucheng.smarthealthpro.framework.view.NavigationBar;
import com.yucheng.smarthealthpro.greendao.bean.AllDb;
import com.yucheng.smarthealthpro.greendao.utils.AllDbUtils;
import com.yucheng.smarthealthpro.home.activity.HealthyActivity;
import com.yucheng.smarthealthpro.home.activity.respiratoryrate.adapter.AwRRTabFragmentAdapter;
import com.yucheng.smarthealthpro.home.activity.respiratoryrate.adapter.RespiratoryRateHisListAdapter;
import com.yucheng.smarthealthpro.home.activity.respiratoryrate.fragment.AwRRTabFragment;
import com.yucheng.smarthealthpro.home.activity.temperature.bean.TemperatureHisListBean;
import com.yucheng.smarthealthpro.home.util.TimeDateUtil;
import com.yucheng.smarthealthpro.home.view.NoScrollViewPager;
import com.yucheng.smarthealthpro.me.setting.contacts.utils.DpUtil;
import com.yucheng.smarthealthpro.utils.AppScreenMgr;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.smarthealthpro.utils.DensityUtils;
import com.yucheng.smarthealthpro.utils.ShareUtils;
import com.yucheng.smarthealthpro.utils.TimeStampUtils;
import com.yucheng.smarthealthpro.utils.Tools;
import com.yucheng.smarthealthpro.utils.YearToDayListUtils;
import io.github.inflationx.viewpump.ViewPumpContextWrapper;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes3.dex */
public class RespiratoryRateActivity extends BaseActivity implements CalendarView.OnCalendarSelectListener, CalendarView.OnMonthChangeListener {

    @BindView(R.id.iv_calendar)
    ImageView ivCalendar;

    @BindView(R.id.iv_data_second)
    ImageView ivDataSecond;

    @BindView(R.id.iv_data_thirdly)
    ImageView ivDataThirdly;

    @BindView(R.id.iv_first_left)
    ImageView ivFirstLeft;

    @BindView(R.id.iv_first_right)
    ImageView ivFirstRight;

    @BindView(R.id.iv_fourthly_left)
    ImageView ivFourthlyLeft;

    @BindView(R.id.iv_fourthly_right)
    ImageView ivFourthlyRight;

    @BindView(R.id.iv_second_left)
    ImageView ivSecondLeft;

    @BindView(R.id.iv_second_right)
    ImageView ivSecondRight;

    @BindView(R.id.ll_calendar)
    LinearLayout llCalendar;

    @BindView(R.id.ll_data_second)
    LinearLayout llDataSecond;

    @BindView(R.id.ll_data_thirdly)
    LinearLayout llDataThirdly;

    @BindView(R.id.ll_month)
    LinearLayout llMonth;

    @BindView(R.id.ll_start_button)
    LinearLayout llStartButton;
    private AwRRTabFragmentAdapter mAdapter;
    private List<AllDb> mAllDb;
    private Calendar mCalendar;

    @BindView(R.id.calendarView)
    CalendarView mCalendarView;
    private int mDayAverageAwRRNum;
    private int mDayMaxAwRRNum;
    private int mDayMinAwRRNum;
    private int mDaySumUpAwRRNum;
    private int mMonthAverageAwRRNum;
    private int mMonthMaxAwRRNum;
    private int mMonthMinAwRRNum;
    private int mMonthSumUpAwRRNum;

    @BindView(R.id.nsv)
    NestedScrollView mNestedScrollView;

    @BindView(R.id.recycle_view)
    RecyclerView mRecyclerView;
    private RespiratoryRateHisListAdapter mRespiratoryRateHisListAdapter;

    @BindView(R.id.stl_tab)
    SlidingTabLayout mSlidingTabLayout;
    private String mToDay;
    private Unbinder mUnbinder;

    @BindView(R.id.vp_tab)
    NoScrollViewPager mViewPager;
    private int mWeekAverageAwRRNum;
    private int mWeekMaxAwRRNum;
    private int mWeekMinAwRRNum;
    private int mWeekSumUpAwRRNum;
    private int monthLastDay;

    @BindView(R.id.rl_analyse)
    RelativeLayout rlAnalyse;

    @BindView(R.id.rl_data_first)
    RelativeLayout rlDataFirst;

    @BindView(R.id.rl_first)
    RelativeLayout rlFirst;

    @BindView(R.id.rl_fourthly)
    RelativeLayout rlFourthly;

    @BindView(R.id.rl_second)
    RelativeLayout rlSecond;
    private FriendCareDataBean temp_bean;

    @BindView(R.id.tv_analyse)
    TextView tvAnalyse;

    @BindView(R.id.tv_analyse_data)
    TextView tvAnalyseData;

    @BindView(R.id.tv_back_today)
    TextView tvBackToday;

    @BindView(R.id.tv_calendar)
    TextView tvCalendar;

    @BindView(R.id.tv_data_first)
    TextView tvDataFirst;

    @BindView(R.id.tv_data_first_unit)
    TextView tvDataFirstUnit;

    @BindView(R.id.tv_data_second)
    TextView tvDataSecond;

    @BindView(R.id.tv_data_second_unit)
    TextView tvDataSecondUnit;

    @BindView(R.id.tv_data_thirdly)
    TextView tvDataThirdly;

    @BindView(R.id.tv_data_thirdly_unit)
    TextView tvDataThirdlyUnit;

    @BindView(R.id.tv_first)
    TextView tvFirst;

    @BindView(R.id.tv_fourthly)
    TextView tvFourthly;

    @BindView(R.id.tv_second)
    TextView tvSecond;

    @BindView(R.id.tv_start_button)
    TextView tvStartButton;

    @BindView(R.id.tv_years)
    TextView tvYears;
    private int ARROW = 0;
    private List<String> mTitles = new ArrayList();
    private String mThatVeryDay = "";
    private List<TemperatureHisListBean> mDayRespiratoryRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mDayChartSumUpRespiratoryRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mWeekRespiratoryRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mWeekAdapterRespiratoryRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mWeekChartSumUpRespiratoryRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mMonthRespiratoryRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mMonthAdapterRespiratoryRateHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mMonthChartSumUpRespiratoryRateHisListBean = new ArrayList();
    private Boolean isCare = false;

    @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
    public void onCalendarOutOfRange(com.haibin.calendarview.Calendar calendar) {
    }

    static /* synthetic */ int access$2212(RespiratoryRateActivity respiratoryRateActivity, int i2) {
        int i3 = respiratoryRateActivity.mMonthSumUpAwRRNum + i2;
        respiratoryRateActivity.mMonthSumUpAwRRNum = i3;
        return i3;
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_respiratoryrate);
        this.mUnbinder = ButterKnife.bind(this);
        initView();
        initData();
    }

    private void initView() {
        changeTitle(getString(R.string.home_respiratory_rate_title));
        showBack();
        showRightImage(R.mipmap.topbar_ic_share, new NavigationBar.MyOnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.1
            @Override // com.yucheng.smarthealthpro.framework.view.NavigationBar.MyOnClickListener
            public void onClick(View view) {
                ShareUtils.share(RespiratoryRateActivity.this);
            }
        });
        int statusHeight = AppScreenMgr.getStatusHeight(this.context);
        this.llMonth.setPadding(0, DensityUtils.dip2px(this.context, 50.0f) + statusHeight, 0, 0);
        if (Constant.CC.isTechFeel()) {
            this.rlSecond.setVisibility(8);
        }
        this.llStartButton.setVisibility(8);
        this.rlFirst.setVisibility(8);
        this.tvAnalyse.setText(getString(R.string.home_respiratory_rate_analyse_tv));
        this.tvFourthly.setText(getString(R.string.include_bottom_tv_fourthly_button));
        this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
        String stringExtra = getIntent().getStringExtra("care");
        if (stringExtra != null && stringExtra.equals(getString(R.string.care_title))) {
            this.isCare = true;
            this.rlSecond.setVisibility(8);
        } else {
            this.tvSecond.setText(getString(R.string.include_bottom_tv_second_button));
        }
        this.mToDay = TimeStampUtils.getToDay();
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
    }

    private void initData() {
        this.mDayRespiratoryRateHisListBean = new ArrayList();
        this.mTitles.clear();
        this.mTitles.add(getString(R.string.date_month_unit));
        this.mTitles.add(getString(R.string.date_week_unit));
        this.mTitles.add(getString(R.string.date_day_unit));
        setRecycleView();
        initViewPager();
        initMonth();
        if (this.isCare.booleanValue()) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 6);
            ArrayList<String> pastStringArray2 = YearToDayListUtils.getPastStringArray(this.mToDay, 29);
            getWeekRate(pastStringArray.get(0), pastStringArray.get(0), pastStringArray.get(6));
            getMonthRate(pastStringArray2.get(0), pastStringArray2.get(0), pastStringArray2.get(29));
            return;
        }
        this.mAllDb = new AllDbUtils(this).queryIdYearToDay(this.mToDay);
        new Thread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.2
            @Override // java.lang.Runnable
            public void run() {
                RespiratoryRateActivity.this.getWeekData();
                RespiratoryRateActivity.this.getMonthData();
            }
        }).start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void initViewPager() {
        if (isFinishing()) {
            return;
        }
        AwRRTabFragmentAdapter awRRTabFragmentAdapter = new AwRRTabFragmentAdapter(getSupportFragmentManager(), new AwRRTabFragmentAdapter.FragmentCreator() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.3
            @Override // com.yucheng.smarthealthpro.home.activity.respiratoryrate.adapter.AwRRTabFragmentAdapter.FragmentCreator
            public Fragment createFragment(String str, int i2) {
                return AwRRTabFragment.newInstance(str.toString(), i2, RespiratoryRateActivity.this.mNestedScrollView, RespiratoryRateActivity.this.monthLastDay, RespiratoryRateActivity.this.mDayChartSumUpRespiratoryRateHisListBean, RespiratoryRateActivity.this.mWeekChartSumUpRespiratoryRateHisListBean, RespiratoryRateActivity.this.mMonthChartSumUpRespiratoryRateHisListBean, RespiratoryRateActivity.this.mDayMaxAwRRNum, RespiratoryRateActivity.this.mToDay);
            }

            @Override // com.yucheng.smarthealthpro.home.activity.respiratoryrate.adapter.AwRRTabFragmentAdapter.FragmentCreator
            public String createTitle(String str) {
                return Html.fromHtml(str).toString();
            }
        });
        this.mAdapter = awRRTabFragmentAdapter;
        this.mViewPager.setAdapter(awRRTabFragmentAdapter);
        this.mAdapter.notifyDataSetChanged();
        this.mViewPager.setOffscreenPageLimit(this.mDayRespiratoryRateHisListBean.size() - 1);
        this.mAdapter.setData(this.mTitles);
        this.mSlidingTabLayout.setViewPager(this.mViewPager, (String[]) this.mTitles.toArray(new String[0]));
        this.mSlidingTabLayout.setCurrentTab(2, true);
        this.mViewPager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.4
            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrollStateChanged(int i2) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrolled(int i2, float f2, int i3) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageSelected(int i2) {
                if (i2 == 0) {
                    RespiratoryRateActivity.this.mViewPager.setCurrentItem(0);
                    if (RespiratoryRateActivity.this.mMonthAdapterRespiratoryRateHisListBean != null && RespiratoryRateActivity.this.mMonthAdapterRespiratoryRateHisListBean.size() > 0) {
                        RespiratoryRateActivity.this.tvDataFirst.setText(RespiratoryRateActivity.this.mMonthAverageAwRRNum + "");
                        RespiratoryRateActivity.this.tvDataSecond.setText(RespiratoryRateActivity.this.mMonthMaxAwRRNum + "");
                        RespiratoryRateActivity.this.tvDataThirdly.setText(RespiratoryRateActivity.this.mMonthMinAwRRNum + "");
                    } else {
                        RespiratoryRateActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        RespiratoryRateActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        RespiratoryRateActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        RespiratoryRateActivity.this.mMonthAverageAwRRNum = 0;
                    }
                    RespiratoryRateActivity.this.tvBackToday.setVisibility(0);
                    RespiratoryRateActivity.this.llCalendar.setVisibility(8);
                    RespiratoryRateActivity.this.mRespiratoryRateHisListAdapter.replaceData(RespiratoryRateActivity.this.mMonthAdapterRespiratoryRateHisListBean);
                    RespiratoryRateActivity.this.mRespiratoryRateHisListAdapter.notifyDataSetChanged();
                    RespiratoryRateActivity respiratoryRateActivity = RespiratoryRateActivity.this;
                    respiratoryRateActivity.dataAnalysis(respiratoryRateActivity.mMonthAverageAwRRNum);
                    return;
                }
                if (i2 == 1) {
                    RespiratoryRateActivity.this.mViewPager.setCurrentItem(1);
                    if (RespiratoryRateActivity.this.mWeekAdapterRespiratoryRateHisListBean != null && RespiratoryRateActivity.this.mWeekAdapterRespiratoryRateHisListBean.size() > 0) {
                        RespiratoryRateActivity.this.tvDataFirst.setText(RespiratoryRateActivity.this.mWeekAverageAwRRNum + "");
                        RespiratoryRateActivity.this.tvDataSecond.setText(RespiratoryRateActivity.this.mWeekMaxAwRRNum + "");
                        RespiratoryRateActivity.this.tvDataThirdly.setText(RespiratoryRateActivity.this.mWeekMinAwRRNum + "");
                    } else {
                        RespiratoryRateActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        RespiratoryRateActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        RespiratoryRateActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        RespiratoryRateActivity.this.mWeekAverageAwRRNum = 0;
                    }
                    RespiratoryRateActivity.this.tvBackToday.setVisibility(0);
                    RespiratoryRateActivity.this.llCalendar.setVisibility(8);
                    RespiratoryRateActivity.this.mRespiratoryRateHisListAdapter.replaceData(RespiratoryRateActivity.this.mWeekAdapterRespiratoryRateHisListBean);
                    RespiratoryRateActivity.this.mRespiratoryRateHisListAdapter.notifyDataSetChanged();
                    RespiratoryRateActivity respiratoryRateActivity2 = RespiratoryRateActivity.this;
                    respiratoryRateActivity2.dataAnalysis(respiratoryRateActivity2.mWeekAverageAwRRNum);
                    return;
                }
                if (i2 != 2) {
                    return;
                }
                RespiratoryRateActivity.this.mViewPager.setCurrentItem(2);
                if (RespiratoryRateActivity.this.mDayRespiratoryRateHisListBean != null && RespiratoryRateActivity.this.mDayRespiratoryRateHisListBean.size() > 0) {
                    RespiratoryRateActivity.this.tvDataFirst.setText(RespiratoryRateActivity.this.mDayAverageAwRRNum + "");
                    RespiratoryRateActivity.this.tvDataSecond.setText(RespiratoryRateActivity.this.mDayMaxAwRRNum + "");
                    RespiratoryRateActivity.this.tvDataThirdly.setText(RespiratoryRateActivity.this.mDayMinAwRRNum + "");
                } else {
                    RespiratoryRateActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    RespiratoryRateActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    RespiratoryRateActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    RespiratoryRateActivity.this.mDayAverageAwRRNum = 0;
                }
                RespiratoryRateActivity.this.tvBackToday.setVisibility(8);
                RespiratoryRateActivity.this.llCalendar.setVisibility(0);
                RespiratoryRateActivity.this.mRespiratoryRateHisListAdapter.replaceData(RespiratoryRateActivity.this.mDayRespiratoryRateHisListBean);
                RespiratoryRateActivity.this.mRespiratoryRateHisListAdapter.notifyDataSetChanged();
                RespiratoryRateActivity respiratoryRateActivity3 = RespiratoryRateActivity.this;
                respiratoryRateActivity3.dataAnalysis(respiratoryRateActivity3.mDayAverageAwRRNum);
            }
        });
    }

    public void dataAnalysis(int i2) {
        if (Constant.CC.isTechFeel()) {
            if (this.mRespiratoryRateHisListAdapter.getData().size() > 0) {
                int parseFloat = (int) Float.parseFloat(this.mRespiratoryRateHisListAdapter.getData().get(0).getmValue());
                this.tvDataFirst.setText(parseFloat + "");
            } else {
                this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
            }
        }
        if (i2 > 20) {
            this.tvAnalyseData.setText(getText(R.string.respiratoryrate_analyse_too_high));
            return;
        }
        if (i2 > 10) {
            this.tvAnalyseData.setText(getText(R.string.respiratoryrate_analyse_normal));
        } else if (i2 > 6) {
            this.tvAnalyseData.setText(getText(R.string.respiratoryrate_analyse_low_heart_rate));
        } else {
            this.tvAnalyseData.setText("");
        }
    }

    private void setRecycleView() {
        this.mRecyclerView.setLayoutManager(new LinearLayoutManager(this));
        RespiratoryRateHisListAdapter respiratoryRateHisListAdapter = new RespiratoryRateHisListAdapter(R.layout.item_universal_his_list);
        this.mRespiratoryRateHisListAdapter = respiratoryRateHisListAdapter;
        respiratoryRateHisListAdapter.addData((Collection) this.mDayRespiratoryRateHisListBean);
        this.mRecyclerView.setAdapter(this.mRespiratoryRateHisListAdapter);
        this.mRecyclerView.setNestedScrollingEnabled(false);
        this.mRespiratoryRateHisListAdapter.setOnItemClickListener(new RespiratoryRateHisListAdapter.OnItemClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.5
            @Override // com.yucheng.smarthealthpro.home.activity.respiratoryrate.adapter.RespiratoryRateHisListAdapter.OnItemClickListener
            public void onClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }

            @Override // com.yucheng.smarthealthpro.home.activity.respiratoryrate.adapter.RespiratoryRateHisListAdapter.OnItemClickListener
            public void onDelClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }

            @Override // com.yucheng.smarthealthpro.home.activity.respiratoryrate.adapter.RespiratoryRateHisListAdapter.OnItemClickListener
            public void onLongClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }
        });
    }

    private void initMonth() {
        this.mCalendarView.setOnCalendarSelectListener(this);
        this.mCalendarView.setOnMonthChangeListener(this);
        this.mCalendarView.scrollToCurrent();
        this.mCalendarView.setOnCalendarInterceptListener(new CalendarView.OnCalendarInterceptListener() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.6
            @Override // com.haibin.calendarview.CalendarView.OnCalendarInterceptListener
            public void onCalendarInterceptClick(com.haibin.calendarview.Calendar calendar, boolean z) {
            }

            @Override // com.haibin.calendarview.CalendarView.OnCalendarInterceptListener
            public boolean onCalendarIntercept(com.haibin.calendarview.Calendar calendar) {
                StringBuilder sb = new StringBuilder();
                sb.append(calendar.getYear());
                sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
                sb.append(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(calendar.getMonth())));
                sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
                sb.append(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(calendar.getDay())));
                return !YearToDayListUtils.isMidDate(YearToDayListUtils.getPastDate(30, new Date()), sb.toString(), new Date());
            }
        });
        if (Constant.CC.isTechFeel()) {
            this.tvYears.setText(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(this.mCalendarView.getCurMonth())) + "/" + this.mCalendarView.getCurYear());
            return;
        }
        this.tvYears.setText(this.mCalendarView.getCurYear() + "/" + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(this.mCalendarView.getCurMonth())));
    }

    @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
    public void onCalendarSelect(com.haibin.calendarview.Calendar calendar, boolean z) {
        this.monthLastDay = YearToDayListUtils.getMonthLastDay(calendar.getYear(), calendar.getMonth());
        String intToStr = TimeDateUtil.intToStr(calendar.getYear(), calendar.getMonth(), calendar.getDay());
        if (this.isCare.booleanValue()) {
            getDayRate(intToStr);
        } else {
            getThatVeryDayData(intToStr);
        }
        this.tvCalendar.setText(calendar.getMonth() + "/" + calendar.getDay());
        this.llMonth.setVisibility(8);
    }

    @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
    public void onMonthChange(int i2, int i3) {
        if (Constant.CC.isTechFeel()) {
            this.tvYears.setText(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3)) + "/" + i2);
            return;
        }
        this.tvYears.setText(i2 + "/" + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3)));
    }

    public void getThatVeryDayData(String str) {
        List<TemperatureHisListBean> list = this.mDayRespiratoryRateHisListBean;
        if (list != null) {
            list.clear();
        }
        this.mDayChartSumUpRespiratoryRateHisListBean = new ArrayList();
        List<AllDb> queryIdYearToDay = new AllDbUtils(this).queryIdYearToDay(str);
        this.mAllDb = queryIdYearToDay;
        if (queryIdYearToDay != null) {
            for (int i2 = 0; i2 < this.mAllDb.size(); i2++) {
                if (TimeStampUtils.dateForStringYearToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i2).getStartTime())).equals(str) && this.mAllDb.get(i2).getRespiratoryRateValue() >= 6 && this.mAllDb.get(i2).getRespiratoryRateValue() <= 50) {
                    this.mDayRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i2).getStartTime())), this.mAllDb.get(i2).getRespiratoryRateValue() + "", "正常"));
                    this.mDayChartSumUpRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i2).getStartTime())), this.mAllDb.get(i2).getRespiratoryRateValue() + "", "正常"));
                }
            }
        }
        if (this.mDayRespiratoryRateHisListBean.size() != 0) {
            this.mThatVeryDay = str;
            this.mDaySumUpAwRRNum = 0;
            this.mDayMaxAwRRNum = 0;
            this.mDayMinAwRRNum = 50;
            for (int i3 = 0; i3 < this.mDayRespiratoryRateHisListBean.size(); i3++) {
                int parseInt = Integer.parseInt(this.mDayRespiratoryRateHisListBean.get(i3).getmValue());
                if (parseInt > this.mDayMaxAwRRNum) {
                    this.mDayMaxAwRRNum = parseInt;
                }
                if (parseInt < this.mDayMinAwRRNum) {
                    this.mDayMinAwRRNum = parseInt;
                }
                this.mDaySumUpAwRRNum += parseInt;
            }
            this.mDayAverageAwRRNum = (int) Math.ceil((this.mDaySumUpAwRRNum * 1.0d) / this.mDayRespiratoryRateHisListBean.size());
        }
        initViewPager();
    }

    public void getWeekData() {
        this.mWeekRespiratoryRateHisListBean = new ArrayList();
        this.mWeekAdapterRespiratoryRateHisListBean = new ArrayList();
        this.mWeekChartSumUpRespiratoryRateHisListBean = new ArrayList();
        if (this.mAllDb != null) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 6);
            if (pastStringArray.size() > 0) {
                this.mAllDb = new AllDbUtils(this).queryGeTimeYearToDay(pastStringArray.get(0));
            }
            for (int i2 = 0; i2 < pastStringArray.size(); i2++) {
                getWeekDay(pastStringArray.get(i2), i2);
            }
        }
        if (this.mWeekAdapterRespiratoryRateHisListBean.size() != 0) {
            Collections.reverse(this.mWeekAdapterRespiratoryRateHisListBean);
            this.mWeekSumUpAwRRNum = 0;
            this.mWeekMaxAwRRNum = 0;
            this.mWeekMinAwRRNum = Integer.parseInt(this.mWeekAdapterRespiratoryRateHisListBean.get(0).getmValue());
            for (int i3 = 0; i3 < this.mWeekAdapterRespiratoryRateHisListBean.size(); i3++) {
                int parseInt = Integer.parseInt(this.mWeekAdapterRespiratoryRateHisListBean.get(i3).getmValue());
                if (parseInt > this.mWeekMaxAwRRNum) {
                    this.mWeekMaxAwRRNum = parseInt;
                }
                if (parseInt < this.mWeekMinAwRRNum) {
                    this.mWeekMinAwRRNum = parseInt;
                }
                this.mWeekSumUpAwRRNum += Integer.parseInt(this.mWeekAdapterRespiratoryRateHisListBean.get(i3).getmValue());
            }
            this.mWeekAverageAwRRNum = (int) Math.ceil((this.mWeekSumUpAwRRNum * 1.0d) / this.mWeekAdapterRespiratoryRateHisListBean.size());
        }
    }

    private void getWeekDay(String str, int i2) {
        int respiratoryRateValue;
        for (int i3 = 0; i3 < this.mAllDb.size(); i3++) {
            if (TimeStampUtils.dateForStringYearToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i3).getStartTime())).equals(str) && (respiratoryRateValue = this.mAllDb.get(i3).getRespiratoryRateValue()) >= 6 && respiratoryRateValue <= 50) {
                this.mWeekRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i3).getStartTime())), respiratoryRateValue + "", "正常"));
            }
        }
        if (this.mWeekRespiratoryRateHisListBean != null) {
            this.mWeekSumUpAwRRNum = 0;
            for (int i4 = 0; i4 < this.mWeekRespiratoryRateHisListBean.size(); i4++) {
                this.mWeekSumUpAwRRNum += Integer.parseInt(this.mWeekRespiratoryRateHisListBean.get(i4).getmValue());
            }
            if (this.mWeekSumUpAwRRNum != 0) {
                this.mWeekAdapterRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), (this.mWeekSumUpAwRRNum / this.mWeekRespiratoryRateHisListBean.size()) + "", "正常"));
            }
            if (this.mWeekSumUpAwRRNum != 0 && this.mWeekRespiratoryRateHisListBean.size() != 0) {
                this.mWeekChartSumUpRespiratoryRateHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), (this.mWeekSumUpAwRRNum / this.mWeekRespiratoryRateHisListBean.size()) + "", "正常"));
            } else {
                this.mWeekChartSumUpRespiratoryRateHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), "0", "正常"));
            }
            this.mWeekRespiratoryRateHisListBean.clear();
        }
    }

    public void getMonthData() {
        this.mMonthRespiratoryRateHisListBean = new ArrayList();
        this.mMonthAdapterRespiratoryRateHisListBean = new ArrayList();
        this.mMonthChartSumUpRespiratoryRateHisListBean = new ArrayList();
        if (this.mAllDb != null) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 29);
            if (pastStringArray.size() > 0) {
                this.mAllDb = new AllDbUtils(this).queryGeTimeYearToDay(pastStringArray.get(0));
            }
            for (int i2 = 0; i2 < pastStringArray.size(); i2++) {
                getMonthDay(pastStringArray.get(i2), i2);
            }
        }
        if (this.mMonthAdapterRespiratoryRateHisListBean.size() != 0) {
            Collections.reverse(this.mMonthAdapterRespiratoryRateHisListBean);
            this.mMonthSumUpAwRRNum = 0;
            this.mMonthMaxAwRRNum = 0;
            this.mMonthMinAwRRNum = 50;
            for (int i3 = 0; i3 < this.mMonthAdapterRespiratoryRateHisListBean.size(); i3++) {
                int parseInt = Integer.parseInt(this.mMonthAdapterRespiratoryRateHisListBean.get(i3).getmValue());
                if (parseInt > this.mMonthMaxAwRRNum) {
                    this.mMonthMaxAwRRNum = parseInt;
                }
                if (parseInt < this.mMonthMinAwRRNum) {
                    this.mMonthMinAwRRNum = parseInt;
                }
                this.mMonthSumUpAwRRNum += parseInt;
            }
            this.mMonthAverageAwRRNum = (int) Math.ceil((this.mMonthSumUpAwRRNum * 1.0d) / this.mMonthAdapterRespiratoryRateHisListBean.size());
        }
        runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.7
            @Override // java.lang.Runnable
            public void run() {
                RespiratoryRateActivity.this.initViewPager();
            }
        });
    }

    private void getMonthDay(String str, int i2) {
        int respiratoryRateValue;
        for (int i3 = 0; i3 < this.mAllDb.size(); i3++) {
            if (TimeStampUtils.dateForStringYearToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i3).getStartTime())).equals(str) && (respiratoryRateValue = this.mAllDb.get(i3).getRespiratoryRateValue()) >= 6 && respiratoryRateValue <= 50) {
                this.mMonthRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i3).getStartTime())), respiratoryRateValue + "", "正常"));
            }
        }
        if (this.mMonthRespiratoryRateHisListBean != null) {
            this.mMonthSumUpAwRRNum = 0;
            for (int i4 = 0; i4 < this.mMonthRespiratoryRateHisListBean.size(); i4++) {
                this.mMonthSumUpAwRRNum += Integer.parseInt(this.mMonthRespiratoryRateHisListBean.get(i4).getmValue());
            }
            if (this.mMonthSumUpAwRRNum != 0) {
                this.mMonthAdapterRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), (this.mMonthSumUpAwRRNum / this.mMonthRespiratoryRateHisListBean.size()) + "", "正常"));
            }
            if (this.mMonthSumUpAwRRNum != 0 && this.mMonthRespiratoryRateHisListBean.size() != 0) {
                this.mMonthChartSumUpRespiratoryRateHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), (this.mMonthSumUpAwRRNum / this.mMonthRespiratoryRateHisListBean.size()) + "", "正常"));
            } else {
                this.mMonthChartSumUpRespiratoryRateHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), "0", "正常"));
            }
            this.mMonthRespiratoryRateHisListBean.clear();
        }
    }

    private void getDayRate(String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        HttpUtils.getInstance().postMsgAsynHttp(this, Constants.respiratoryRateDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.8
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    RespiratoryRateActivity.this.temp_bean = (FriendCareDataBean) new Gson().fromJson(str2, FriendCareDataBean.class);
                    RespiratoryRateActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.8.1
                        @Override // java.lang.Runnable
                        public void run() {
                            RespiratoryRateActivity.this.setDayData();
                            RespiratoryRateActivity.this.initViewPager();
                        }
                    });
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v16, types: [java.util.List] */
    public void setDayData() {
        List<TemperatureHisListBean> list = this.mDayRespiratoryRateHisListBean;
        if (list != null) {
            list.clear();
        }
        List<TemperatureHisListBean> list2 = this.mDayChartSumUpRespiratoryRateHisListBean;
        if (list2 != null) {
            list2.clear();
        }
        if (this.temp_bean == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        try {
            Iterator<FriendCareDataBean.Data> it2 = this.temp_bean.data.iterator();
            while (it2.hasNext()) {
                arrayList = (List) new Gson().fromJson(it2.next().mlist, new TypeToken<List<FriendCareRateBean>>() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.9
                }.getType());
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        List<FriendCareRateBean> sortRespiratoryRateData = Tools.sortRespiratoryRateData(Tools.removeRespiratoryRateData(arrayList));
        for (int i2 = 0; i2 < sortRespiratoryRateData.size(); i2++) {
            if (sortRespiratoryRateData.get(i2).respiratoryrate >= 6 && sortRespiratoryRateData.get(i2).respiratoryrate <= 50) {
                this.mDayRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(sortRespiratoryRateData.get(i2).rtime)), sortRespiratoryRateData.get(i2).respiratoryrate + "", "正常"));
                this.mDayChartSumUpRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(sortRespiratoryRateData.get(i2).rtime)), sortRespiratoryRateData.get(i2).respiratoryrate + "", "正常"));
            }
        }
        if (this.mDayRespiratoryRateHisListBean.size() != 0) {
            this.mDaySumUpAwRRNum = 0;
            this.mDayMaxAwRRNum = 0;
            this.mDayMinAwRRNum = 50;
            for (int i3 = 0; i3 < this.mDayRespiratoryRateHisListBean.size(); i3++) {
                int parseInt = Integer.parseInt(this.mDayRespiratoryRateHisListBean.get(i3).getmValue());
                if (parseInt > this.mDayMaxAwRRNum) {
                    this.mDayMaxAwRRNum = parseInt;
                }
                if (parseInt < this.mDayMinAwRRNum) {
                    this.mDayMinAwRRNum = parseInt;
                }
                this.mDaySumUpAwRRNum += parseInt;
            }
            if (this.mDayRespiratoryRateHisListBean.size() != 0) {
                this.mDayAverageAwRRNum = (int) Math.ceil((this.mDaySumUpAwRRNum * 1.0d) / this.mDayRespiratoryRateHisListBean.size());
            }
        }
    }

    private void getWeekRate(String str, String str2, String str3) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        hashMap.put("startDate", str2);
        hashMap.put("endDate", str3);
        hashMap.put("type", "1");
        HttpUtils.getInstance().postMsgAsynHttp(this, Constants.respiratoryRateDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.10
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str4) {
                if (str4 != null) {
                    List<CareRateWeekMonthBean.DataBean> data = ((CareRateWeekMonthBean) new Gson().fromJson(str4, CareRateWeekMonthBean.class)).getData();
                    if (data.size() != 0) {
                        RespiratoryRateActivity.this.mWeekSumUpAwRRNum = 0;
                        RespiratoryRateActivity.this.mWeekMaxAwRRNum = 0;
                        RespiratoryRateActivity.this.mWeekMinAwRRNum = (int) Float.parseFloat(data.get(0).getRespiratoryMean().isEmpty() ? "0" : data.get(0).getRespiratoryMean());
                        for (int i2 = 0; i2 < data.size(); i2++) {
                            int parseFloat = (int) Float.parseFloat(data.get(i2).getRespiratoryMean().isEmpty() ? "0" : data.get(i2).getRespiratoryMean());
                            if (parseFloat > RespiratoryRateActivity.this.mWeekMaxAwRRNum) {
                                RespiratoryRateActivity.this.mWeekMaxAwRRNum = parseFloat;
                            }
                            if (parseFloat < RespiratoryRateActivity.this.mWeekMinAwRRNum) {
                                RespiratoryRateActivity.this.mWeekMinAwRRNum = parseFloat;
                            }
                            RespiratoryRateActivity.this.mWeekSumUpAwRRNum += (int) Float.parseFloat(data.get(i2).getRespiratoryMean().isEmpty() ? "0" : data.get(i2).getRespiratoryMean());
                            if (data.size() != 0) {
                                RespiratoryRateActivity.this.mWeekAverageAwRRNum = (int) Math.ceil((r2.mWeekSumUpAwRRNum * 1.0d) / data.size());
                            }
                            if (!data.get(i2).getRespiratoryMean().isEmpty()) {
                                RespiratoryRateActivity.this.mWeekAdapterRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(data.get(i2).getDateformat())), data.get(i2).getRespiratoryMean(), "正常"));
                            }
                        }
                        ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(RespiratoryRateActivity.this.mToDay, 6);
                        for (int i3 = 0; i3 < pastStringArray.size(); i3++) {
                            RespiratoryRateActivity.this.mWeekChartSumUpRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(pastStringArray.get(i3))), "0", "正常"));
                        }
                        for (int i4 = 0; i4 < pastStringArray.size(); i4++) {
                            for (int i5 = 0; i5 < data.size(); i5++) {
                                if (data.get(i5).getDateformat().equals(pastStringArray.get(i4))) {
                                    RespiratoryRateActivity.this.mWeekChartSumUpRespiratoryRateHisListBean.remove(i4);
                                    RespiratoryRateActivity.this.mWeekChartSumUpRespiratoryRateHisListBean.add(i4, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(data.get(i5).getDateformat())), data.get(i5).getRespiratoryMean(), "正常"));
                                }
                            }
                        }
                    }
                }
            }
        });
    }

    private void getMonthRate(String str, String str2, String str3) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        hashMap.put("startDate", str2);
        hashMap.put("endDate", str3);
        hashMap.put("type", "1");
        HttpUtils.getInstance().postMsgAsynHttp(this, Constants.respiratoryRateDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.11
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str4) {
                if (str4 != null) {
                    List<CareRateWeekMonthBean.DataBean> data = ((CareRateWeekMonthBean) new Gson().fromJson(str4, CareRateWeekMonthBean.class)).getData();
                    if (data.size() != 0) {
                        RespiratoryRateActivity.this.mMonthSumUpAwRRNum = 0;
                        RespiratoryRateActivity.this.mMonthMaxAwRRNum = 0;
                        RespiratoryRateActivity.this.mMonthMinAwRRNum = 50;
                        int i2 = 0;
                        while (true) {
                            if (i2 >= data.size()) {
                                break;
                            }
                            int parseFloat = (int) Float.parseFloat(data.get(i2).getRespiratoryMean().isEmpty() ? "0" : data.get(i2).getRespiratoryMean());
                            if (parseFloat >= 6 && parseFloat <= 50) {
                                if (parseFloat > RespiratoryRateActivity.this.mMonthMaxAwRRNum) {
                                    RespiratoryRateActivity.this.mMonthMaxAwRRNum = parseFloat;
                                }
                                if (parseFloat < RespiratoryRateActivity.this.mMonthMinAwRRNum) {
                                    RespiratoryRateActivity.this.mMonthMinAwRRNum = parseFloat;
                                }
                                RespiratoryRateActivity.access$2212(RespiratoryRateActivity.this, parseFloat);
                                RespiratoryRateActivity.this.mMonthAdapterRespiratoryRateHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(data.get(i2).getDateformat())), parseFloat + "", "正常"));
                            }
                            i2++;
                        }
                        if (RespiratoryRateActivity.this.mMonthAdapterRespiratoryRateHisListBean.size() > 0) {
                            RespiratoryRateActivity.this.mMonthAverageAwRRNum = (int) Math.ceil((r10.mMonthSumUpAwRRNum * 1.0d) / RespiratoryRateActivity.this.mMonthAdapterRespiratoryRateHisListBean.size());
                        }
                        ArrayList<String> pastByMonthDayArray = YearToDayListUtils.getPastByMonthDayArray(RespiratoryRateActivity.this.mToDay, 29);
                        for (int i3 = 0; i3 < pastByMonthDayArray.size(); i3++) {
                            RespiratoryRateActivity.this.mMonthChartSumUpRespiratoryRateHisListBean.add(new TemperatureHisListBean(pastByMonthDayArray.get(i3), "0", "正常"));
                        }
                        for (int i4 = 0; i4 < pastByMonthDayArray.size(); i4++) {
                            for (TemperatureHisListBean temperatureHisListBean : RespiratoryRateActivity.this.mMonthAdapterRespiratoryRateHisListBean) {
                                if (pastByMonthDayArray.get(i4).equals(temperatureHisListBean.getTime())) {
                                    RespiratoryRateActivity.this.mMonthChartSumUpRespiratoryRateHisListBean.remove(i4);
                                    RespiratoryRateActivity.this.mMonthChartSumUpRespiratoryRateHisListBean.add(i4, new TemperatureHisListBean(temperatureHisListBean.getTime(), temperatureHisListBean.getmValue(), "正常"));
                                }
                            }
                        }
                    }
                }
            }
        });
    }

    @OnClick({R.id.ll_calendar, R.id.tv_back_today, R.id.rl_analyse, R.id.rl_second, R.id.rl_fourthly, R.id.ll_month})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.ll_calendar /* 2131296905 */:
                this.llMonth.setVisibility(0);
                break;
            case R.id.ll_month /* 2131296934 */:
                this.llMonth.setVisibility(8);
                break;
            case R.id.rl_fourthly /* 2131297274 */:
                if (this.ARROW == 0) {
                    this.mRecyclerView.setVisibility(0);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_s, null));
                    this.ARROW = 1;
                    this.mNestedScrollView.postDelayed(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.respiratoryrate.activity.RespiratoryRateActivity.12
                        @Override // java.lang.Runnable
                        public void run() {
                            RespiratoryRateActivity.this.mNestedScrollView.smoothScrollTo(0, (int) (RespiratoryRateActivity.this.mNestedScrollView.getScrollY() + (DpUtil.dp2px(RespiratoryRateActivity.this.context, 56.0f) * 1.5f)));
                        }
                    }, 100L);
                    break;
                } else {
                    this.mRecyclerView.setVisibility(8);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
                    this.ARROW = 0;
                    break;
                }
            case R.id.rl_second /* 2131297297 */:
                startActivity(new Intent(this.context, (Class<?>) HealthyActivity.class));
                break;
            case R.id.tv_back_today /* 2131297558 */:
                this.mViewPager.setCurrentItem(2);
                break;
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.ContextThemeWrapper, android.content.ContextWrapper
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(ViewPumpContextWrapper.wrap(context));
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        Unbinder unbinder = this.mUnbinder;
        if (unbinder != null) {
            unbinder.unbind();
        }
    }
}
