package com.yucheng.smarthealthpro.home.activity.temperature.activity;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.text.Html;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.res.ResourcesCompat;
import androidx.core.widget.NestedScrollView;
import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.viewpager.widget.ViewPager;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;
import com.flyco.tablayout.SlidingTabLayout;
import com.google.android.material.timepicker.TimeModel;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.google.gson.Gson;
import com.google.gson.JsonSyntaxException;
import com.google.gson.reflect.TypeToken;
import com.haibin.calendarview.CalendarView;
import com.tencent.bugly.crashreport.BuglyLog;
import com.tencent.bugly.crashreport.CrashReport;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.care.bean.CareTempWeekMonthBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareDataBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareTempBean;
import com.yucheng.smarthealthpro.framework.http.HttpUtils;
import com.yucheng.smarthealthpro.framework.util.SharedPreferencesUtils;
import com.yucheng.smarthealthpro.framework.view.NavigationBar;
import com.yucheng.smarthealthpro.greendao.bean.AllDb;
import com.yucheng.smarthealthpro.greendao.utils.AllDbUtils;
import com.yucheng.smarthealthpro.home.activity.HealthyActivity;
import com.yucheng.smarthealthpro.home.activity.temperature.adapter.TempTabFragmentAdapter;
import com.yucheng.smarthealthpro.home.activity.temperature.adapter.TemperatureHisListAdapter;
import com.yucheng.smarthealthpro.home.activity.temperature.bean.TemperatureHisListBean;
import com.yucheng.smarthealthpro.home.activity.temperature.fragment.TempTabFragment;
import com.yucheng.smarthealthpro.home.util.DataTools;
import com.yucheng.smarthealthpro.home.util.TimeDateUtil;
import com.yucheng.smarthealthpro.home.view.NoScrollViewPager;
import com.yucheng.smarthealthpro.me.activity.MeHealthSettingActivity;
import com.yucheng.smarthealthpro.me.setting.contacts.utils.DpUtil;
import com.yucheng.smarthealthpro.utils.AppScreenMgr;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.smarthealthpro.utils.DensityUtils;
import com.yucheng.smarthealthpro.utils.ShareUtils;
import com.yucheng.smarthealthpro.utils.TimeStampUtils;
import com.yucheng.smarthealthpro.utils.Tools;
import com.yucheng.smarthealthpro.utils.YearToDayListUtils;
import com.yucheng.ycbtsdk.Constants;
import com.yucheng.ycbtsdk.YCBTClient;
import io.github.inflationx.viewpump.ViewPumpContextWrapper;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes3.dex */
public class TemperatureActivity extends BaseActivity implements CalendarView.OnCalendarSelectListener, CalendarView.OnMonthChangeListener {

    @BindView(R.id.iv_calendar)
    ImageView ivCalendar;

    @BindView(R.id.iv_data_second)
    ImageView ivDataSecond;

    @BindView(R.id.iv_data_thirdly)
    ImageView ivDataThirdly;

    @BindView(R.id.iv_first_left)
    ImageView ivFirstLeft;

    @BindView(R.id.iv_first_right)
    ImageView ivFirstRight;

    @BindView(R.id.iv_fourthly_left)
    ImageView ivFourthlyLeft;

    @BindView(R.id.iv_fourthly_right)
    ImageView ivFourthlyRight;

    @BindView(R.id.iv_second_left)
    ImageView ivSecondLeft;

    @BindView(R.id.iv_second_right)
    ImageView ivSecondRight;

    @BindView(R.id.ll_calendar)
    LinearLayout llCalendar;

    @BindView(R.id.ll_data_second)
    LinearLayout llDataSecond;

    @BindView(R.id.ll_data_thirdly)
    LinearLayout llDataThirdly;

    @BindView(R.id.ll_month)
    LinearLayout llMonth;

    @BindView(R.id.ll_start_button)
    LinearLayout llStartButton;
    private TempTabFragmentAdapter mAdapter;
    private List<AllDb> mAllDb;
    private Calendar mCalendar;

    @BindView(R.id.calendarView)
    CalendarView mCalendarView;
    private float mDayAverageTempNum;
    private float mDayMaxTempNum;
    private float mDayMinTempNum;
    private float mDaySumUpTempNum;
    private float mLastNum;
    private float mMonthAverageTempNum;
    private float mMonthMaxTempNum;
    private float mMonthMinTempNum;
    private float mMonthSumUpTempNum;

    @BindView(R.id.nsv)
    NestedScrollView mNestedScrollView;

    @BindView(R.id.recycle_view)
    RecyclerView mRecyclerView;

    @BindView(R.id.stl_tab)
    SlidingTabLayout mSlidingTabLayout;
    private int mTempUnit;
    private TemperatureHisListAdapter mTemperatureHisListAdapter;
    private String mToDay;
    private Unbinder mUnbinder;

    @BindView(R.id.vp_tab)
    NoScrollViewPager mViewPager;
    private float mWeekAverageTempNum;
    private float mWeekMaxTempNum;
    private float mWeekMinTempNum;
    private float mWeekSumUpTempNum;
    private int monthLastDay;

    @BindView(R.id.rl_analyse)
    RelativeLayout rlAnalyse;

    @BindView(R.id.rl_data_first)
    RelativeLayout rlDataFirst;

    @BindView(R.id.rl_first)
    RelativeLayout rlFirst;

    @BindView(R.id.rl_fourthly)
    RelativeLayout rlFourthly;

    @BindView(R.id.rl_second)
    RelativeLayout rlSecond;
    private FriendCareDataBean temp_bean;

    @BindView(R.id.tv_analyse)
    TextView tvAnalyse;

    @BindView(R.id.tv_analyse_data)
    TextView tvAnalyseData;

    @BindView(R.id.tv_back_today)
    TextView tvBackToday;

    @BindView(R.id.tv_calendar)
    TextView tvCalendar;

    @BindView(R.id.tv_data_first)
    TextView tvDataFirst;

    @BindView(R.id.tv_data_first_unit)
    TextView tvDataFirstUnit;

    @BindView(R.id.tv_data_second)
    TextView tvDataSecond;

    @BindView(R.id.tv_data_second_unit)
    TextView tvDataSecondUnit;

    @BindView(R.id.tv_data_thirdly)
    TextView tvDataThirdly;

    @BindView(R.id.tv_data_thirdly_unit)
    TextView tvDataThirdlyUnit;

    @BindView(R.id.tv_first)
    TextView tvFirst;

    @BindView(R.id.tv_fourthly)
    TextView tvFourthly;

    @BindView(R.id.tv_second)
    TextView tvSecond;

    @BindView(R.id.tv_start_button)
    TextView tvStartButton;

    @BindView(R.id.tv_years)
    TextView tvYears;
    private int ARROW = 0;
    private List<String> mTitles = new ArrayList();
    private List<TemperatureHisListBean> mDayTemperatureHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mDayChartSumUpTemperatureHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mWeekAdapterTemperatureHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mWeekChartSumUpTemperatureHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mMonthAdapterTemperatureHisListBean = new ArrayList();
    private List<TemperatureHisListBean> mMonthChartSumUpTemperatureHisListBean = new ArrayList();
    private Boolean isCare = false;

    @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
    public void onCalendarOutOfRange(com.haibin.calendarview.Calendar calendar) {
    }

    static /* synthetic */ float access$2216(TemperatureActivity temperatureActivity, float f2) {
        float f3 = temperatureActivity.mWeekSumUpTempNum + f2;
        temperatureActivity.mWeekSumUpTempNum = f3;
        return f3;
    }

    static /* synthetic */ float access$2416(TemperatureActivity temperatureActivity, float f2) {
        float f3 = temperatureActivity.mMonthSumUpTempNum + f2;
        temperatureActivity.mMonthSumUpTempNum = f3;
        return f3;
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_temperature);
        this.mUnbinder = ButterKnife.bind(this);
        initView();
        initData();
    }

    private void initView() {
        changeTitle(getString(R.string.function_temp));
        showBack();
        showRightImage(R.mipmap.topbar_ic_share, new NavigationBar.MyOnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.1
            @Override // com.yucheng.smarthealthpro.framework.view.NavigationBar.MyOnClickListener
            public void onClick(View view) {
                ShareUtils.share(TemperatureActivity.this);
            }
        });
        int statusHeight = AppScreenMgr.getStatusHeight(this.context);
        this.llMonth.setPadding(0, DensityUtils.dip2px(this.context, 50.0f) + statusHeight, 0, 0);
        if (Constant.CC.isTechFeel()) {
            this.rlSecond.setVisibility(8);
        }
        String stringExtra = getIntent().getStringExtra("care");
        if (stringExtra != null && stringExtra.equals(getString(R.string.care_title))) {
            this.isCare = true;
            this.tvAnalyse.setText(getString(R.string.home_temperature_analyse_tv));
            this.llStartButton.setVisibility(8);
            this.rlFirst.setVisibility(8);
            this.rlSecond.setVisibility(8);
            this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
        } else {
            if (YCBTClient.isSupportFunction(Constants.FunctionConstant.ISHASTESTTEMP)) {
                this.llStartButton.setVisibility(0);
                this.tvStartButton.setText(getString(R.string.home_temperature_measure_normal));
            } else if (YCBTClient.isSupportFunction(Constants.FunctionConstant.ISHASTEMPAXILLARYTEST)) {
                this.llStartButton.setVisibility(0);
                this.tvStartButton.setText(getString(R.string.home_temperature_measure_title));
            } else {
                this.llStartButton.setVisibility(8);
            }
            this.tvAnalyse.setText(getString(R.string.home_temperature_analyse_tv));
            this.tvFirst.setText(getString(R.string.include_bottom_tv_first_button));
            this.tvSecond.setText(getString(R.string.include_bottom_tv_second_button));
            this.tvFourthly.setText(getString(R.string.include_bottom_tv_fourthly_button));
            this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
        }
        this.mToDay = TimeStampUtils.getToDay();
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        this.isCare.booleanValue();
    }

    @Override // androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, android.app.Activity
    protected void onActivityResult(int i2, int i3, Intent intent) {
        super.onActivityResult(i2, i3, intent);
        if (i2 == TemperatureMeasureNormalActivity.TEMPERATURE_MEASURE_NORMAL && i3 == -1) {
            initData();
        }
    }

    private void initData() {
        String str = (String) SharedPreferencesUtils.get(this.context, Constant.SpConstKey.TEMP_UNIT, "");
        if (str != null && str.equals(Constant.SpConstValue.TEMP_ISO)) {
            this.mTempUnit = 0;
        } else if (str != null && str.equals(Constant.SpConstValue.TEMP_INCH)) {
            this.mTempUnit = 1;
        } else {
            this.mTempUnit = 0;
        }
        this.mTitles.clear();
        this.mTitles.add(getString(R.string.date_month_unit));
        this.mTitles.add(getString(R.string.date_week_unit));
        this.mTitles.add(getString(R.string.date_day_unit));
        setRecycleView();
        initViewPager();
        initMonth();
        if (this.isCare.booleanValue()) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 6);
            ArrayList<String> pastStringArray2 = YearToDayListUtils.getPastStringArray(this.mToDay, 29);
            getWeekTemp(pastStringArray.get(0), pastStringArray.get(0), pastStringArray.get(6));
            getMonthTemp(pastStringArray2.get(0), pastStringArray2.get(0), pastStringArray2.get(29));
            return;
        }
        this.mAllDb = new AllDbUtils(this).queryIdYearToDay(this.mToDay);
        new Thread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.2
            @Override // java.lang.Runnable
            public void run() {
                TemperatureActivity.this.getWeekData();
                TemperatureActivity.this.getMonthData();
            }
        }).start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void initViewPager() {
        if (isFinishing()) {
            return;
        }
        TempTabFragmentAdapter tempTabFragmentAdapter = new TempTabFragmentAdapter(getSupportFragmentManager(), new TempTabFragmentAdapter.FragmentCreator() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.3
            @Override // com.yucheng.smarthealthpro.home.activity.temperature.adapter.TempTabFragmentAdapter.FragmentCreator
            public Fragment createFragment(String str, int i2) {
                return TempTabFragment.newInstance(str.toString(), i2, TemperatureActivity.this.mNestedScrollView, TemperatureActivity.this.monthLastDay, TemperatureActivity.this.mDayChartSumUpTemperatureHisListBean, TemperatureActivity.this.mWeekChartSumUpTemperatureHisListBean, TemperatureActivity.this.mMonthChartSumUpTemperatureHisListBean, TemperatureActivity.this.mDayMaxTempNum, TemperatureActivity.this.mToDay, TemperatureActivity.this.mTempUnit);
            }

            @Override // com.yucheng.smarthealthpro.home.activity.temperature.adapter.TempTabFragmentAdapter.FragmentCreator
            public String createTitle(String str) {
                return Html.fromHtml(str).toString();
            }
        });
        this.mAdapter = tempTabFragmentAdapter;
        this.mViewPager.setAdapter(tempTabFragmentAdapter);
        this.mAdapter.notifyDataSetChanged();
        this.mViewPager.setOffscreenPageLimit(this.mDayTemperatureHisListBean.size() - 1);
        this.mAdapter.setData(this.mTitles);
        this.mSlidingTabLayout.setViewPager(this.mViewPager, (String[]) this.mTitles.toArray(new String[0]));
        this.mViewPager.addOnPageChangeListener(new ViewPager.OnPageChangeListener() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.4
            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrollStateChanged(int i2) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageScrolled(int i2, float f2, int i3) {
            }

            @Override // androidx.viewpager.widget.ViewPager.OnPageChangeListener
            public void onPageSelected(int i2) {
                if (i2 == 0) {
                    TemperatureActivity.this.mViewPager.setCurrentItem(0);
                    if (TemperatureActivity.this.mMonthAdapterTemperatureHisListBean != null && TemperatureActivity.this.mMonthAdapterTemperatureHisListBean.size() > 0) {
                        TemperatureActivity.this.tvDataFirst.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mMonthAverageTempNum)));
                        TemperatureActivity.this.tvDataSecond.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mMonthMaxTempNum)));
                        TemperatureActivity.this.tvDataThirdly.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mMonthMinTempNum)));
                    } else {
                        TemperatureActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        TemperatureActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        TemperatureActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        TemperatureActivity.this.mMonthAverageTempNum = 0.0f;
                    }
                    TemperatureActivity.this.tvBackToday.setVisibility(0);
                    TemperatureActivity.this.llCalendar.setVisibility(8);
                    TemperatureActivity.this.mTemperatureHisListAdapter.replaceData(TemperatureActivity.this.mMonthAdapterTemperatureHisListBean);
                    TemperatureActivity.this.mTemperatureHisListAdapter.notifyDataSetChanged();
                    TemperatureActivity temperatureActivity = TemperatureActivity.this;
                    temperatureActivity.dataAnalysis(temperatureActivity.mMonthAverageTempNum);
                    return;
                }
                if (i2 == 1) {
                    TemperatureActivity.this.mViewPager.setCurrentItem(1);
                    if (TemperatureActivity.this.mWeekAdapterTemperatureHisListBean != null && TemperatureActivity.this.mWeekAdapterTemperatureHisListBean.size() > 0) {
                        TemperatureActivity.this.tvDataFirst.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mWeekAverageTempNum)));
                        TemperatureActivity.this.tvDataSecond.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mWeekMaxTempNum)));
                        TemperatureActivity.this.tvDataThirdly.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mWeekMinTempNum)));
                    } else {
                        TemperatureActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        TemperatureActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        TemperatureActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                        TemperatureActivity.this.mWeekAverageTempNum = 0.0f;
                    }
                    TemperatureActivity.this.tvBackToday.setVisibility(0);
                    TemperatureActivity.this.llCalendar.setVisibility(8);
                    TemperatureActivity.this.mTemperatureHisListAdapter.replaceData(TemperatureActivity.this.mWeekAdapterTemperatureHisListBean);
                    TemperatureActivity.this.mTemperatureHisListAdapter.notifyDataSetChanged();
                    TemperatureActivity temperatureActivity2 = TemperatureActivity.this;
                    temperatureActivity2.dataAnalysis(temperatureActivity2.mWeekAverageTempNum);
                    return;
                }
                if (i2 != 2) {
                    return;
                }
                TemperatureActivity.this.mViewPager.setCurrentItem(2);
                if (TemperatureActivity.this.mDayTemperatureHisListBean != null && TemperatureActivity.this.mDayTemperatureHisListBean.size() > 0) {
                    TemperatureActivity.this.tvDataFirst.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mDayAverageTempNum)));
                    TemperatureActivity.this.tvDataSecond.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mDayMaxTempNum)));
                    TemperatureActivity.this.tvDataThirdly.setText(String.format("%.1f", Float.valueOf(TemperatureActivity.this.mDayMinTempNum)));
                } else {
                    TemperatureActivity.this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    TemperatureActivity.this.tvDataSecond.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    TemperatureActivity.this.tvDataThirdly.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
                    TemperatureActivity.this.mDayAverageTempNum = 0.0f;
                }
                TemperatureActivity.this.tvBackToday.setVisibility(8);
                TemperatureActivity.this.llCalendar.setVisibility(0);
                if (TemperatureActivity.this.mDayTemperatureHisListBean != null) {
                    TemperatureActivity.this.mTemperatureHisListAdapter.replaceData(TemperatureActivity.this.mDayTemperatureHisListBean);
                    TemperatureActivity.this.mTemperatureHisListAdapter.notifyDataSetChanged();
                }
                TemperatureActivity temperatureActivity3 = TemperatureActivity.this;
                temperatureActivity3.dataAnalysis(temperatureActivity3.mDayAverageTempNum);
            }
        });
        this.mSlidingTabLayout.setCurrentTab(2, true);
    }

    public void dataAnalysis(float f2) {
        if (Constant.CC.isTechFeel()) {
            if (this.mTemperatureHisListAdapter.getData().size() > 0) {
                this.tvDataFirst.setText(String.format("%.1f", Float.valueOf(Float.parseFloat(this.mTemperatureHisListAdapter.getData().get(0).getmValue()))));
            } else {
                this.tvDataFirst.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
            }
        }
        if (this.mTempUnit != 0) {
            f2 = (f2 - 32.0f) / 1.8f;
        }
        if (f2 > 38.0f) {
            this.tvAnalyseData.setText(getText(R.string.home_temperature_analyse_high_temperature));
            return;
        }
        if (f2 > 37.3d) {
            this.tvAnalyseData.setText(getText(R.string.home_temperature_analyse_mild_fever));
            return;
        }
        if (f2 > 36.0f) {
            this.tvAnalyseData.setText(getText(R.string.home_temperature_analyse_normal));
        } else if (f2 > 33.0f) {
            this.tvAnalyseData.setText(getText(R.string.home_temperature_analyse_low_fever));
        } else {
            this.tvAnalyseData.setText("");
        }
    }

    private void setRecycleView() {
        this.mRecyclerView.setLayoutManager(new LinearLayoutManager(this));
        TemperatureHisListAdapter temperatureHisListAdapter = new TemperatureHisListAdapter(R.layout.item_universal_his_list);
        this.mTemperatureHisListAdapter = temperatureHisListAdapter;
        temperatureHisListAdapter.addData((Collection) this.mDayTemperatureHisListBean);
        this.mRecyclerView.setAdapter(this.mTemperatureHisListAdapter);
        this.mRecyclerView.setNestedScrollingEnabled(false);
        this.mTemperatureHisListAdapter.setOnItemClickListener(new TemperatureHisListAdapter.OnItemClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.5
            @Override // com.yucheng.smarthealthpro.home.activity.temperature.adapter.TemperatureHisListAdapter.OnItemClickListener
            public void onClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }

            @Override // com.yucheng.smarthealthpro.home.activity.temperature.adapter.TemperatureHisListAdapter.OnItemClickListener
            public void onDelClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }

            @Override // com.yucheng.smarthealthpro.home.activity.temperature.adapter.TemperatureHisListAdapter.OnItemClickListener
            public void onLongClick(TemperatureHisListBean temperatureHisListBean, int i2) {
            }
        });
    }

    private void initMonth() {
        this.mCalendarView.setOnCalendarSelectListener(this);
        this.mCalendarView.setOnMonthChangeListener(this);
        this.mCalendarView.setOnCalendarInterceptListener(new CalendarView.OnCalendarInterceptListener() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.6
            @Override // com.haibin.calendarview.CalendarView.OnCalendarInterceptListener
            public void onCalendarInterceptClick(com.haibin.calendarview.Calendar calendar, boolean z) {
            }

            @Override // com.haibin.calendarview.CalendarView.OnCalendarInterceptListener
            public boolean onCalendarIntercept(com.haibin.calendarview.Calendar calendar) {
                StringBuilder sb = new StringBuilder();
                sb.append(calendar.getYear());
                sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
                sb.append(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(calendar.getMonth())));
                sb.append(HelpFormatter.DEFAULT_OPT_PREFIX);
                sb.append(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(calendar.getDay())));
                return !YearToDayListUtils.isMidDate(YearToDayListUtils.getPastDate(30, new Date()), sb.toString(), new Date());
            }
        });
        if (Constant.CC.isTechFeel()) {
            this.tvYears.setText(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(this.mCalendarView.getCurMonth())) + "/" + this.mCalendarView.getCurYear());
        } else {
            this.tvYears.setText(this.mCalendarView.getCurYear() + "/" + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(this.mCalendarView.getCurMonth())));
        }
        this.mCalendarView.scrollToCurrent();
    }

    private void updateCalendarTitle(String str) {
        try {
            this.tvYears.setText(String.valueOf(new SimpleDateFormat(getString(R.string.mm_yyyy)).parse(str)));
        } catch (ParseException e2) {
            e2.printStackTrace();
        }
    }

    @Override // com.haibin.calendarview.CalendarView.OnCalendarSelectListener
    public void onCalendarSelect(com.haibin.calendarview.Calendar calendar, boolean z) {
        this.monthLastDay = YearToDayListUtils.getMonthLastDay(calendar.getYear(), calendar.getMonth());
        String intToStr = TimeDateUtil.intToStr(calendar.getYear(), calendar.getMonth(), calendar.getDay());
        if (this.isCare.booleanValue()) {
            getDayTemp(intToStr);
        } else {
            getThatVeryDayData(intToStr);
        }
        this.tvCalendar.setText(calendar.getMonth() + "/" + calendar.getDay());
        this.llMonth.setVisibility(8);
    }

    @Override // com.haibin.calendarview.CalendarView.OnMonthChangeListener
    public void onMonthChange(int i2, int i3) {
        if (Constant.CC.isTechFeel()) {
            this.tvYears.setText(String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3)) + "/" + i2);
            return;
        }
        this.tvYears.setText(i2 + "/" + String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3)));
    }

    public void getThatVeryDayData(String str) {
        List<TemperatureHisListBean> list = this.mDayTemperatureHisListBean;
        if (list != null) {
            list.clear();
        }
        this.mDayChartSumUpTemperatureHisListBean = new ArrayList();
        List<AllDb> queryIdYearToDay = new AllDbUtils(this).queryIdYearToDay(str);
        this.mAllDb = queryIdYearToDay;
        List<AllDb> removeErrorTempValue = DataTools.removeErrorTempValue(queryIdYearToDay);
        this.mAllDb = removeErrorTempValue;
        this.mLastNum = 0.0f;
        this.mDaySumUpTempNum = 0.0f;
        this.mDayMaxTempNum = 0.0f;
        this.mDayMinTempNum = 107.6f;
        for (AllDb allDb : removeErrorTempValue) {
            float parseFloat = Float.parseFloat(allDb.getTempIntValue() + "." + allDb.getTempFloatValue());
            if (this.mTempUnit != 0) {
                parseFloat = new BigDecimal((parseFloat * 1.8d) + 32.0d).setScale(1, 4).floatValue();
            }
            if (this.mLastNum == 0.0f) {
                this.mLastNum = parseFloat;
            }
            if (parseFloat > this.mDayMaxTempNum) {
                this.mDayMaxTempNum = parseFloat;
            }
            if (parseFloat < this.mDayMinTempNum) {
                this.mDayMinTempNum = parseFloat;
            }
            this.mDaySumUpTempNum += parseFloat;
            this.mDayTemperatureHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(allDb.getStartTime())), parseFloat + "", "正常"));
            this.mDayChartSumUpTemperatureHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(allDb.getStartTime())), parseFloat + "", "正常"));
        }
        if (this.mDayTemperatureHisListBean.size() > 0) {
            this.mDayAverageTempNum = new BigDecimal(this.mDaySumUpTempNum / this.mDayTemperatureHisListBean.size()).setScale(1, RoundingMode.HALF_UP).floatValue();
        }
        initViewPager();
    }

    public void getWeekData() {
        this.mWeekAdapterTemperatureHisListBean.clear();
        this.mWeekChartSumUpTemperatureHisListBean.clear();
        if (this.mAllDb != null) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 6);
            if (pastStringArray.size() > 0) {
                this.mAllDb = new AllDbUtils(this).queryGeTimeYearToDay(pastStringArray.get(0));
            }
            for (int i2 = 0; i2 < pastStringArray.size(); i2++) {
                try {
                    getWeekDay(pastStringArray.get(i2), i2);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        }
        if (this.mWeekAdapterTemperatureHisListBean.size() != 0) {
            Collections.reverse(this.mWeekAdapterTemperatureHisListBean);
            this.mWeekSumUpTempNum = 0.0f;
            this.mWeekMaxTempNum = 0.0f;
            this.mWeekMinTempNum = 107.6f;
            for (int i3 = 0; i3 < this.mWeekAdapterTemperatureHisListBean.size(); i3++) {
                float parseFloat = Float.parseFloat(this.mWeekAdapterTemperatureHisListBean.get(i3).getmValue().replaceAll(",", "."));
                if (parseFloat > this.mWeekMaxTempNum) {
                    this.mWeekMaxTempNum = parseFloat;
                }
                if (parseFloat < this.mWeekMinTempNum) {
                    this.mWeekMinTempNum = parseFloat;
                }
                this.mWeekSumUpTempNum += Float.parseFloat(this.mWeekAdapterTemperatureHisListBean.get(i3).getmValue().replaceAll(",", "."));
            }
            try {
                this.mWeekAverageTempNum = new BigDecimal(this.mWeekSumUpTempNum / this.mWeekAdapterTemperatureHisListBean.size()).setScale(1, RoundingMode.HALF_UP).floatValue();
            } catch (Exception e3) {
                BuglyLog.e("Temperature", e3.getMessage());
                CrashReport.postCatchedException(e3);
            }
        }
    }

    private void getWeekDay(String str, int i2) {
        float f2;
        this.mWeekSumUpTempNum = 0.0f;
        int i3 = 0;
        for (int i4 = 0; i4 < this.mAllDb.size(); i4++) {
            if (TimeStampUtils.dateForStringYearToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i4).getStartTime())).equals(str)) {
                int tempIntValue = this.mAllDb.get(i4).getTempIntValue();
                int tempFloatValue = this.mAllDb.get(i4).getTempFloatValue();
                if (tempIntValue <= 42 && tempIntValue >= 33 && tempFloatValue != 15) {
                    this.mWeekSumUpTempNum = this.mWeekSumUpTempNum + Float.parseFloat(tempIntValue + "." + tempFloatValue);
                    i3++;
                }
            }
        }
        if (i3 <= 0) {
            f2 = 0.0f;
        } else if (this.mTempUnit == 0) {
            f2 = this.mWeekSumUpTempNum / i3;
        } else {
            f2 = new BigDecimal(((this.mWeekSumUpTempNum / i3) * 1.8d) + 32.0d).setScale(1, RoundingMode.HALF_UP).floatValue();
        }
        if (f2 != 0.0f) {
            float floatValue = new BigDecimal(f2).setScale(1, RoundingMode.HALF_UP).floatValue();
            this.mWeekAdapterTemperatureHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), floatValue + "", "正常"));
        }
        try {
            this.mWeekChartSumUpTemperatureHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), f2 + "", "正常"));
        } catch (Exception e2) {
            BuglyLog.e("TemperatureActivity", e2.getMessage());
            CrashReport.postCatchedException(e2);
        }
    }

    public void getMonthData() {
        this.mMonthAdapterTemperatureHisListBean.clear();
        this.mMonthChartSumUpTemperatureHisListBean.clear();
        if (this.mAllDb != null) {
            ArrayList<String> pastStringArray = YearToDayListUtils.getPastStringArray(this.mToDay, 29);
            if (pastStringArray.size() > 0) {
                this.mAllDb = new AllDbUtils(this).queryGeTimeYearToDay(pastStringArray.get(0));
            }
            for (int i2 = 0; i2 < pastStringArray.size(); i2++) {
                getMonthDay(pastStringArray.get(i2), i2);
            }
        }
        if (this.mMonthAdapterTemperatureHisListBean.size() != 0) {
            Collections.reverse(this.mMonthAdapterTemperatureHisListBean);
            this.mMonthSumUpTempNum = 0.0f;
            this.mMonthMaxTempNum = 0.0f;
            this.mMonthMinTempNum = Float.parseFloat(this.mMonthAdapterTemperatureHisListBean.get(0).getmValue().replaceAll(",", "."));
            for (int i3 = 0; i3 < this.mMonthAdapterTemperatureHisListBean.size(); i3++) {
                float parseFloat = Float.parseFloat(this.mMonthAdapterTemperatureHisListBean.get(i3).getmValue().replaceAll(",", "."));
                if (parseFloat > this.mMonthMaxTempNum) {
                    this.mMonthMaxTempNum = parseFloat;
                }
                if (parseFloat < this.mMonthMinTempNum) {
                    this.mMonthMinTempNum = parseFloat;
                }
                this.mMonthSumUpTempNum += Float.parseFloat(this.mMonthAdapterTemperatureHisListBean.get(i3).getmValue().replaceAll(",", "."));
            }
            this.mMonthAverageTempNum = new BigDecimal(this.mMonthSumUpTempNum / this.mMonthAdapterTemperatureHisListBean.size()).setScale(1, RoundingMode.HALF_UP).floatValue();
        }
        runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.7
            @Override // java.lang.Runnable
            public void run() {
                TemperatureActivity.this.initViewPager();
            }
        });
    }

    private void getMonthDay(String str, int i2) {
        float f2;
        this.mMonthSumUpTempNum = 0.0f;
        int i3 = 0;
        for (int i4 = 0; i4 < this.mAllDb.size(); i4++) {
            if (TimeStampUtils.dateForStringYearToDate(TimeStampUtils.longStampForDate(this.mAllDb.get(i4).getStartTime())).equals(str)) {
                int tempIntValue = this.mAllDb.get(i4).getTempIntValue();
                int tempFloatValue = this.mAllDb.get(i4).getTempFloatValue();
                if (tempIntValue <= 42 && tempIntValue >= 33 && tempFloatValue != 15) {
                    this.mMonthSumUpTempNum = this.mMonthSumUpTempNum + Float.parseFloat(tempIntValue + "." + tempFloatValue);
                    i3++;
                }
            }
        }
        if (i3 <= 0) {
            f2 = 0.0f;
        } else if (this.mTempUnit == 0) {
            f2 = this.mMonthSumUpTempNum / i3;
        } else {
            f2 = new BigDecimal(((this.mMonthSumUpTempNum / i3) * 1.8d) + 32.0d).setScale(1, RoundingMode.HALF_UP).floatValue();
        }
        if (f2 > 0.0f) {
            float floatValue = new BigDecimal(f2).setScale(1, RoundingMode.HALF_UP).floatValue();
            this.mMonthAdapterTemperatureHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), floatValue + "", "正常"));
        }
        try {
            this.mMonthChartSumUpTemperatureHisListBean.add(i2, new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(str)), f2 + "", "正常"));
        } catch (Exception e2) {
            BuglyLog.e("TemperatureActivity", e2.getMessage());
            CrashReport.postCatchedException(e2);
        }
    }

    private void getDayTemp(String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        HttpUtils.getInstance().postMsgAsynHttp(this, com.yucheng.smarthealthpro.framework.util.Constants.temperatureDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.8
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    TemperatureActivity.this.temp_bean = (FriendCareDataBean) new Gson().fromJson(str2, FriendCareDataBean.class);
                    TemperatureActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.8.1
                        @Override // java.lang.Runnable
                        public void run() {
                            TemperatureActivity.this.setDayData();
                            TemperatureActivity.this.initViewPager();
                        }
                    });
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v14, types: [java.util.List] */
    public void setDayData() {
        List<TemperatureHisListBean> list = this.mDayTemperatureHisListBean;
        if (list != null) {
            list.clear();
        }
        List<TemperatureHisListBean> list2 = this.mDayChartSumUpTemperatureHisListBean;
        if (list2 != null) {
            list2.clear();
        }
        if (this.temp_bean == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        try {
            Iterator<FriendCareDataBean.Data> it2 = this.temp_bean.data.iterator();
            while (it2.hasNext()) {
                arrayList = (List) new Gson().fromJson(it2.next().mlist, new TypeToken<List<FriendCareTempBean>>() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.9
                }.getType());
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        List<FriendCareTempBean> sortCareTempRepeatData = Tools.sortCareTempRepeatData(Tools.removeCareTempRepeatData(arrayList));
        this.mDaySumUpTempNum = 0.0f;
        this.mDayMaxTempNum = 0.0f;
        this.mDayMinTempNum = 107.6f;
        this.mLastNum = 0.0f;
        for (FriendCareTempBean friendCareTempBean : sortCareTempRepeatData) {
            float f2 = friendCareTempBean.temperature;
            if (f2 <= 42.0f && f2 >= 33.0f && !String.format("%.2f", Float.valueOf(f2)).endsWith(".15")) {
                if (this.mTempUnit != 0) {
                    f2 = new BigDecimal((f2 * 1.8d) + 32.0d).setScale(1, RoundingMode.HALF_UP).floatValue();
                }
                if (f2 > this.mDayMaxTempNum) {
                    this.mDayMaxTempNum = f2;
                }
                if (f2 < this.mDayMinTempNum) {
                    this.mDayMinTempNum = f2;
                }
                if (this.mLastNum == 0.0f) {
                    this.mLastNum = f2;
                }
                this.mDaySumUpTempNum += f2;
                this.mDayTemperatureHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(friendCareTempBean.rtime)), f2 + "", "正常"));
                this.mDayChartSumUpTemperatureHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(friendCareTempBean.rtime)), f2 + "", "正常"));
            }
        }
        if (this.mDayTemperatureHisListBean.size() != 0) {
            this.mDayAverageTempNum = new BigDecimal(this.mDaySumUpTempNum / this.mDayTemperatureHisListBean.size()).setScale(1, RoundingMode.HALF_UP).floatValue();
        }
    }

    private void getWeekTemp(String str, String str2, String str3) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        hashMap.put("startDate", str2);
        hashMap.put("endDate", str3);
        hashMap.put("type", "1");
        HttpUtils.getInstance().postMsgAsynHttp(this, com.yucheng.smarthealthpro.framework.util.Constants.temperatureDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.10
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str4) {
                CareTempWeekMonthBean careTempWeekMonthBean;
                int i2;
                if (str4 != null) {
                    try {
                        careTempWeekMonthBean = (CareTempWeekMonthBean) new Gson().fromJson(str4, CareTempWeekMonthBean.class);
                    } catch (JsonSyntaxException e2) {
                        e2.printStackTrace();
                        careTempWeekMonthBean = null;
                    }
                    if (careTempWeekMonthBean == null || careTempWeekMonthBean.getData() == null) {
                        return;
                    }
                    List<CareTempWeekMonthBean.DataBean> data = careTempWeekMonthBean.getData();
                    TemperatureActivity.this.mWeekSumUpTempNum = 0.0f;
                    TemperatureActivity.this.mWeekMaxTempNum = 0.0f;
                    TemperatureActivity.this.mWeekMinTempNum = 107.6f;
                    TemperatureActivity.this.mLastNum = 0.0f;
                    Iterator<CareTempWeekMonthBean.DataBean> it2 = data.iterator();
                    while (true) {
                        if (!it2.hasNext()) {
                            break;
                        }
                        CareTempWeekMonthBean.DataBean next = it2.next();
                        float parseFloat = Float.parseFloat(next.getTemperatureMean().isEmpty() ? "0" : next.getTemperatureMean().replaceAll(",", "."));
                        if (parseFloat <= 42.0f && parseFloat >= 33.0f && !String.format("%.2f", Float.valueOf(parseFloat)).endsWith(".15")) {
                            if (TemperatureActivity.this.mTempUnit == 1) {
                                parseFloat = new BigDecimal((parseFloat * 1.8d) + 32.0d).setScale(1, RoundingMode.HALF_UP).floatValue();
                            }
                            if (parseFloat > TemperatureActivity.this.mWeekMaxTempNum) {
                                TemperatureActivity.this.mWeekMaxTempNum = parseFloat;
                            }
                            if (parseFloat < TemperatureActivity.this.mWeekMinTempNum) {
                                TemperatureActivity.this.mWeekMinTempNum = parseFloat;
                            }
                            if (TemperatureActivity.this.mLastNum == 0.0f) {
                                TemperatureActivity.this.mLastNum = parseFloat;
                            }
                            TemperatureActivity.access$2216(TemperatureActivity.this, parseFloat);
                            TemperatureActivity.this.mWeekAdapterTemperatureHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(next.getDateformat())), new BigDecimal(parseFloat).setScale(1, RoundingMode.HALF_UP).toString(), "正常"));
                        }
                    }
                    if (TemperatureActivity.this.mWeekAdapterTemperatureHisListBean.size() > 0) {
                        TemperatureActivity.this.mWeekAverageTempNum = new BigDecimal(TemperatureActivity.this.mWeekSumUpTempNum / TemperatureActivity.this.mWeekAdapterTemperatureHisListBean.size()).setScale(1, RoundingMode.HALF_UP).floatValue();
                    }
                    ArrayList<String> pastByMonthDayArray = YearToDayListUtils.getPastByMonthDayArray(TemperatureActivity.this.mToDay, 6);
                    for (int i3 = 0; i3 < pastByMonthDayArray.size(); i3++) {
                        TemperatureActivity.this.mWeekChartSumUpTemperatureHisListBean.add(new TemperatureHisListBean(pastByMonthDayArray.get(i3), "0", "正常"));
                    }
                    for (i2 = 0; i2 < pastByMonthDayArray.size(); i2++) {
                        for (TemperatureHisListBean temperatureHisListBean : TemperatureActivity.this.mWeekAdapterTemperatureHisListBean) {
                            if (pastByMonthDayArray.get(i2).equals(temperatureHisListBean.getTime())) {
                                TemperatureActivity.this.mWeekChartSumUpTemperatureHisListBean.remove(i2);
                                TemperatureActivity.this.mWeekChartSumUpTemperatureHisListBean.add(i2, new TemperatureHisListBean(temperatureHisListBean.getTime(), temperatureHisListBean.getmValue(), "正常"));
                            }
                        }
                    }
                }
            }
        });
    }

    private void getMonthTemp(String str, String str2, String str3) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString(Constant.SpConstKey.DEV_ID));
        hashMap.put("day", str);
        hashMap.put("startDate", str2);
        hashMap.put("endDate", str3);
        hashMap.put("type", "1");
        HttpUtils.getInstance().postMsgAsynHttp(this, com.yucheng.smarthealthpro.framework.util.Constants.temperatureDayUrl, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.11
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str4) {
                CareTempWeekMonthBean careTempWeekMonthBean;
                int i2;
                if (str4 != null) {
                    try {
                        careTempWeekMonthBean = (CareTempWeekMonthBean) new Gson().fromJson(str4, CareTempWeekMonthBean.class);
                    } catch (JsonSyntaxException e2) {
                        e2.printStackTrace();
                        careTempWeekMonthBean = null;
                    }
                    if (careTempWeekMonthBean == null || careTempWeekMonthBean.getData() == null) {
                        return;
                    }
                    List<CareTempWeekMonthBean.DataBean> data = careTempWeekMonthBean.getData();
                    TemperatureActivity.this.mMonthSumUpTempNum = 0.0f;
                    TemperatureActivity.this.mMonthMaxTempNum = 0.0f;
                    TemperatureActivity.this.mMonthMinTempNum = 107.6f;
                    TemperatureActivity.this.mLastNum = 0.0f;
                    Iterator<CareTempWeekMonthBean.DataBean> it2 = data.iterator();
                    while (true) {
                        if (!it2.hasNext()) {
                            break;
                        }
                        CareTempWeekMonthBean.DataBean next = it2.next();
                        float parseFloat = Float.parseFloat(next.getTemperatureMean().isEmpty() ? "0" : next.getTemperatureMean().replaceAll(",", "."));
                        if (parseFloat <= 42.0f && parseFloat >= 33.0f && !String.format("%.2f", Float.valueOf(parseFloat)).endsWith(".15")) {
                            if (TemperatureActivity.this.mTempUnit == 1) {
                                parseFloat = new BigDecimal((parseFloat * 1.8d) + 32.0d).setScale(1, RoundingMode.HALF_UP).floatValue();
                            }
                            if (parseFloat > TemperatureActivity.this.mMonthMaxTempNum) {
                                TemperatureActivity.this.mMonthMaxTempNum = parseFloat;
                            }
                            if (parseFloat < TemperatureActivity.this.mMonthMinTempNum) {
                                TemperatureActivity.this.mMonthMinTempNum = parseFloat;
                            }
                            if (TemperatureActivity.this.mLastNum == 0.0f) {
                                TemperatureActivity.this.mLastNum = parseFloat;
                            }
                            TemperatureActivity.access$2416(TemperatureActivity.this, parseFloat);
                            TemperatureActivity.this.mMonthAdapterTemperatureHisListBean.add(new TemperatureHisListBean(TimeStampUtils.dateForStringDates(TimeStampUtils.stringForDateDay(next.getDateformat())), new BigDecimal(parseFloat).setScale(1, RoundingMode.HALF_UP).toString(), "正常"));
                        }
                    }
                    if (TemperatureActivity.this.mMonthAdapterTemperatureHisListBean.size() > 0) {
                        TemperatureActivity.this.mMonthAverageTempNum = new BigDecimal(TemperatureActivity.this.mMonthSumUpTempNum / TemperatureActivity.this.mMonthAdapterTemperatureHisListBean.size()).setScale(1, RoundingMode.HALF_UP).floatValue();
                    }
                    ArrayList<String> pastByMonthDayArray = YearToDayListUtils.getPastByMonthDayArray(TemperatureActivity.this.mToDay, 29);
                    for (int i3 = 0; i3 < pastByMonthDayArray.size(); i3++) {
                        TemperatureActivity.this.mMonthChartSumUpTemperatureHisListBean.add(new TemperatureHisListBean(pastByMonthDayArray.get(i3), "0", "正常"));
                    }
                    for (i2 = 0; i2 < pastByMonthDayArray.size(); i2++) {
                        for (TemperatureHisListBean temperatureHisListBean : TemperatureActivity.this.mMonthAdapterTemperatureHisListBean) {
                            if (pastByMonthDayArray.get(i2).equals(temperatureHisListBean.getTime())) {
                                TemperatureActivity.this.mMonthChartSumUpTemperatureHisListBean.remove(i2);
                                TemperatureActivity.this.mMonthChartSumUpTemperatureHisListBean.add(i2, new TemperatureHisListBean(temperatureHisListBean.getTime(), temperatureHisListBean.getmValue(), "正常"));
                            }
                        }
                    }
                }
            }
        });
    }

    @OnClick({R.id.ll_calendar, R.id.tv_back_today, R.id.ll_start_button, R.id.rl_analyse, R.id.rl_first, R.id.rl_second, R.id.rl_fourthly, R.id.ll_month})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.ll_calendar /* 2131296905 */:
                this.llMonth.setVisibility(0);
                break;
            case R.id.ll_month /* 2131296934 */:
                this.llMonth.setVisibility(8);
                break;
            case R.id.ll_start_button /* 2131296959 */:
                if (YCBTClient.isSupportFunction(Constants.FunctionConstant.ISHASTESTTEMP)) {
                    TemperatureMeasureNormalActivity.load(this);
                    break;
                } else if (YCBTClient.isSupportFunction(Constants.FunctionConstant.ISHASTEMPAXILLARYTEST)) {
                    startActivity(new Intent(this.context, (Class<?>) TemperatureMeasureActivity.class));
                    break;
                }
                break;
            case R.id.rl_first /* 2131297273 */:
                startActivity(new Intent(this.context, (Class<?>) MeHealthSettingActivity.class));
                break;
            case R.id.rl_fourthly /* 2131297274 */:
                if (this.ARROW == 0) {
                    this.mRecyclerView.setVisibility(0);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_s, null));
                    this.ARROW = 1;
                    this.mNestedScrollView.postDelayed(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureActivity.12
                        @Override // java.lang.Runnable
                        public void run() {
                            TemperatureActivity.this.mNestedScrollView.smoothScrollTo(0, (int) (TemperatureActivity.this.mNestedScrollView.getScrollY() + (DpUtil.dp2px(TemperatureActivity.this.context, 56.0f) * 1.5f)));
                        }
                    }, 100L);
                    break;
                } else {
                    this.mRecyclerView.setVisibility(8);
                    this.ivFourthlyRight.setBackground(ResourcesCompat.getDrawable(getResources(), R.mipmap.list_ic_arrow_n, null));
                    this.ARROW = 0;
                    break;
                }
            case R.id.rl_second /* 2131297297 */:
                startActivity(new Intent(this.context, (Class<?>) HealthyActivity.class));
                break;
            case R.id.tv_back_today /* 2131297558 */:
                this.mViewPager.setCurrentItem(2);
                this.mCalendarView.scrollToCurrent();
                break;
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.ContextThemeWrapper, android.content.ContextWrapper
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(ViewPumpContextWrapper.wrap(context));
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        Unbinder unbinder = this.mUnbinder;
        if (unbinder != null) {
            unbinder.unbind();
        }
    }
}
