package com.yucheng.smarthealthpro.home.activity.temperature.activity;

import android.animation.ObjectAnimator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.animation.DecelerateInterpolator;
import android.widget.ImageView;
import android.widget.TextView;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import butterknife.Unbinder;
import com.facebook.internal.security.CertificateUtil;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.MainActivity;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.framework.util.ToastUtil;
import com.yucheng.smarthealthpro.framework.view.NavigationBar;
import com.yucheng.smarthealthpro.home.view.StepView;
import com.yucheng.smarthealthpro.utils.EventBusMessageEvent;
import com.yucheng.ycbtsdk.YCBTClient;
import com.yucheng.ycbtsdk.response.BleDataResponse;
import io.github.inflationx.viewpump.ViewPumpContextWrapper;
import java.util.HashMap;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;
import org.greenrobot.eventbus.ThreadMode;

/* loaded from: classes3.dex */
public class TemperatureMeasureActivity extends BaseActivity {

    @BindView(R.id.iv_lottie_bg)
    ImageView ivLottieBg;

    @BindView(R.id.step_view)
    StepView mStepView;
    private Unbinder mUnbinder;

    @BindView(R.id.navigationbar)
    NavigationBar navigationbar;

    @BindView(R.id.tv_lottie_data)
    TextView tvLottieData;

    @BindView(R.id.tv_start_button)
    TextView tvStartButton;
    private ValueAnimator valueAnimator;
    private final int total_time = 600;
    private int count = 0;
    private boolean is_starting = false;
    Handler handler = new Handler(new Handler.Callback() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureMeasureActivity.1
        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            if (message.what == 0) {
                if (!TemperatureMeasureActivity.this.is_starting) {
                    TemperatureMeasureActivity.this.count = 0;
                    return false;
                }
                TemperatureMeasureActivity.access$108(TemperatureMeasureActivity.this);
                if (TemperatureMeasureActivity.this.mStepView != null) {
                    TemperatureMeasureActivity.this.mStepView.setCurrentStep((TemperatureMeasureActivity.this.count * 600) / 600);
                }
                if (TemperatureMeasureActivity.this.count >= 600) {
                    TemperatureMeasureActivity.this.handler.removeMessages(0);
                    TemperatureMeasureActivity.this.sendMonitoringMsg(0);
                } else {
                    TemperatureMeasureActivity.this.handler.removeMessages(0);
                    TemperatureMeasureActivity.this.handler.sendEmptyMessageDelayed(0, 1000L);
                    TemperatureMeasureActivity.this.sendRealTempmMsg();
                }
            }
            return false;
        }
    });

    static /* synthetic */ int access$108(TemperatureMeasureActivity temperatureMeasureActivity) {
        int i2 = temperatureMeasureActivity.count;
        temperatureMeasureActivity.count = i2 + 1;
        return i2;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void sendRealTempmMsg() {
        YCBTClient.getRealTemp(new BleDataResponse() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureMeasureActivity.2
            @Override // com.yucheng.ycbtsdk.response.BleDataResponse
            public void onDataResponse(int i2, float f2, HashMap hashMap) {
                final String str;
                if (i2 != 0 || hashMap == null || (str = (String) hashMap.get("tempValue")) == null) {
                    return;
                }
                TemperatureMeasureActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureMeasureActivity.2.1
                    @Override // java.lang.Runnable
                    public void run() {
                        if (TemperatureMeasureActivity.this.tvLottieData != null) {
                            TemperatureMeasureActivity.this.tvLottieData.setText(str);
                        }
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void sendMonitoringMsg(final int i2) {
        TextView textView = this.tvStartButton;
        if (textView != null) {
            textView.setEnabled(false);
        }
        YCBTClient.appTemperatureMeasure(i2, new BleDataResponse() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureMeasureActivity.3
            @Override // com.yucheng.ycbtsdk.response.BleDataResponse
            public void onDataResponse(final int i3, float f2, final HashMap hashMap) {
                TemperatureMeasureActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureMeasureActivity.3.1
                    @Override // java.lang.Runnable
                    public void run() {
                        HashMap hashMap2;
                        if (TemperatureMeasureActivity.this.tvStartButton != null) {
                            TemperatureMeasureActivity.this.tvStartButton.setEnabled(true);
                        }
                        if (i3 == 0 && (hashMap2 = hashMap) != null && ((Integer) hashMap2.get("data")).intValue() == 0) {
                            if (i2 == 0) {
                                TemperatureMeasureActivity.this.is_starting = false;
                                if (TemperatureMeasureActivity.this.tvStartButton != null) {
                                    TemperatureMeasureActivity.this.tvStartButton.setText(TemperatureMeasureActivity.this.getString(R.string.health_reminder_of_long_sitting_reminder_time_start_title));
                                    return;
                                }
                                return;
                            }
                            if (i2 == 1) {
                                TemperatureMeasureActivity.this.is_starting = true;
                                TemperatureMeasureActivity.this.count = 0;
                                TemperatureMeasureActivity.this.handler.sendEmptyMessage(0);
                                if (TemperatureMeasureActivity.this.tvStartButton != null) {
                                    TemperatureMeasureActivity.this.tvStartButton.setText(TemperatureMeasureActivity.this.getString(R.string.health_reminder_of_long_sitting_reminder_time_end_title));
                                }
                            }
                        }
                    }
                });
            }
        });
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_temp_measure);
        this.mUnbinder = ButterKnife.bind(this);
        initView();
        setStep();
        EventBus.getDefault().register(this);
    }

    private void initView() {
        changeTitle(getString(R.string.home_temperature_measure_title));
        showBack();
        this.ivLottieBg.setBackground(getResources().getDrawable(R.mipmap.temp_measure_bg));
    }

    private void setStep() {
        this.mStepView.isGoneText(true);
        this.mStepView.setStepMax(600);
        ValueAnimator ofFloat = ObjectAnimator.ofFloat(0.0f, 100.0f);
        this.valueAnimator = ofFloat;
        ofFloat.setDuration(1000L);
        this.valueAnimator.setInterpolator(new DecelerateInterpolator());
        this.valueAnimator.addUpdateListener(new ValueAnimator.AnimatorUpdateListener() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.activity.TemperatureMeasureActivity.4
            @Override // android.animation.ValueAnimator.AnimatorUpdateListener
            public void onAnimationUpdate(ValueAnimator valueAnimator) {
                TemperatureMeasureActivity.this.mStepView.setCurrentStep((int) ((Float) valueAnimator.getAnimatedValue()).floatValue());
            }
        });
    }

    @OnClick({R.id.tv_start_button})
    public void onViewClicked() {
        if (this.is_starting) {
            sendMonitoringMsg(0);
        } else {
            this.tvLottieData.setText(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
            sendMonitoringMsg(1);
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.ContextThemeWrapper, android.content.ContextWrapper
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(ViewPumpContextWrapper.wrap(context));
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        Unbinder unbinder = this.mUnbinder;
        if (unbinder != null) {
            unbinder.unbind();
        }
        sendMonitoringMsg(0);
        EventBus.getDefault().unregister(this);
    }

    private String TimeToString(int i2) {
        StringBuilder sb;
        String str;
        int i3 = i2 / 60;
        if (i3 < 10) {
            sb = new StringBuilder("0");
            sb.append(i3);
        } else {
            sb = new StringBuilder();
            sb.append(i3);
            sb.append("");
        }
        String sb2 = sb.toString();
        int i4 = i2 % 60;
        if (i4 < 10) {
            str = "0" + i4;
        } else {
            str = i4 + "";
        }
        return sb2 + CertificateUtil.DELIMITER + str;
    }

    @Subscribe(threadMode = ThreadMode.MAIN)
    public void onEvent(EventBusMessageEvent eventBusMessageEvent) {
        if (eventBusMessageEvent.belState != 0) {
            return;
        }
        ToastUtil.getInstance(this).toast(getString(R.string.device_disconnect));
        Log.e("TAG", "onEvent 断开连接" + eventBusMessageEvent.belState);
        startActivity(new Intent(this, (Class<?>) MainActivity.class));
        finish();
    }
}
