package com.yucheng.smarthealthpro.home.activity.temperature.adapter;

import android.view.View;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.framework.util.SharedPreferencesUtils;
import com.yucheng.smarthealthpro.home.activity.temperature.bean.TemperatureHisListBean;
import com.yucheng.smarthealthpro.utils.Constant;

/* loaded from: classes3.dex */
public class TemperatureHisListAdapter extends BaseQuickAdapter<TemperatureHisListBean, BaseViewHolder> {
    private OnItemClickListener mOnItemClickListener;
    private int mTemp;

    public interface OnItemClickListener {
        void onClick(TemperatureHisListBean temperatureHisListBean, int i2);

        void onDelClick(TemperatureHisListBean temperatureHisListBean, int i2);

        void onLongClick(TemperatureHisListBean temperatureHisListBean, int i2);
    }

    public TemperatureHisListAdapter(int i2) {
        super(i2);
        this.mOnItemClickListener = null;
    }

    public void setOnItemClickListener(OnItemClickListener onItemClickListener) {
        this.mOnItemClickListener = onItemClickListener;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(BaseViewHolder baseViewHolder, final TemperatureHisListBean temperatureHisListBean) {
        final int layoutPosition = baseViewHolder.getLayoutPosition();
        if (temperatureHisListBean != null) {
            baseViewHolder.setText(R.id.tv_time, temperatureHisListBean.getTime());
            String string = getContext().getString(R.string.value_normal);
            int color = getContext().getColor(R.color.value_normal);
            String replaceAll = temperatureHisListBean.getmValue().replaceAll(",", ".");
            double parseDouble = Double.parseDouble(replaceAll);
            String str = (String) SharedPreferencesUtils.get(getContext(), Constant.SpConstKey.TEMP_UNIT, "");
            if (str != null && str.equals(Constant.SpConstValue.TEMP_INCH)) {
                baseViewHolder.setText(R.id.tv_unit, Constant.SpConstValue.TEMP_INCH);
                parseDouble = (parseDouble - 32.0d) / 1.7999999523162842d;
            } else {
                baseViewHolder.setText(R.id.tv_unit, Constant.SpConstValue.TEMP_ISO);
            }
            if (parseDouble < 36.0d) {
                string = getContext().getString(R.string.value_low);
                color = getContext().getColor(R.color.value_exceptional_low);
            } else if (parseDouble > 37.3d) {
                string = getContext().getString(R.string.value_high);
                color = getContext().getColor(R.color.value_exceptional_high);
            }
            baseViewHolder.setText(R.id.tv_value, String.format("%.1f", Double.valueOf(Double.parseDouble(replaceAll)))).setText(R.id.tv_state, string).setTextColor(R.id.tv_state, color);
        }
        baseViewHolder.itemView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.activity.temperature.adapter.TemperatureHisListAdapter.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (TemperatureHisListAdapter.this.mOnItemClickListener != null) {
                    TemperatureHisListAdapter.this.mOnItemClickListener.onClick(temperatureHisListBean, layoutPosition);
                }
            }
        });
    }
}
