package com.yucheng.smarthealthpro.home.adapter;

import android.view.View;
import android.view.ViewTreeObserver;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.amap.api.col.p0003sl.jr;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.google.android.material.timepicker.TimeModel;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.home.bean.HomeFunctionBean;
import com.yucheng.smarthealthpro.view.chart.PhyUtils;

/* loaded from: classes3.dex */
public class HomeFunctionAdapter extends BaseQuickAdapter<HomeFunctionBean, BaseViewHolder> {
    public boolean isCare;
    private OnItemClickListener mOnItemClickListener;
    public boolean showDel;
    public int tvStatusWidth;

    public interface OnItemClickListener {
        void onClick(HomeFunctionBean homeFunctionBean, int i2);

        void onDelClick(HomeFunctionBean homeFunctionBean, int i2);

        void onLongClick(HomeFunctionBean homeFunctionBean, int i2);

        void onViewClick(HomeFunctionBean homeFunctionBean, int i2);
    }

    public HomeFunctionAdapter(int i2) {
        super(i2);
        this.mOnItemClickListener = null;
        this.tvStatusWidth = 0;
        this.isCare = false;
    }

    public HomeFunctionAdapter(int i2, boolean z) {
        super(i2);
        this.mOnItemClickListener = null;
        this.tvStatusWidth = 0;
        this.isCare = z;
    }

    public void setOnItemClickListener(OnItemClickListener onItemClickListener) {
        this.mOnItemClickListener = onItemClickListener;
    }

    public void setCare(boolean z) {
        this.isCare = z;
    }

    /* JADX INFO: Access modifiers changed from: protected */
    @Override // com.chad.library.adapter.base.BaseQuickAdapter
    public void convert(BaseViewHolder baseViewHolder, final HomeFunctionBean homeFunctionBean) {
        int i2;
        final int layoutPosition = baseViewHolder.getLayoutPosition();
        baseViewHolder.setVisible(R.id.rl_layout1, true);
        baseViewHolder.setVisible(R.id.ll_layout2, false);
        baseViewHolder.setVisible(R.id.rl_layout3, false);
        TextView textView = (TextView) baseViewHolder.getView(R.id.tv_value);
        textView.setTextSize(30.0f);
        if (homeFunctionBean != null) {
            if (homeFunctionBean.getFunction().equals("睡眠")) {
                try {
                    i2 = Integer.parseInt(homeFunctionBean.getValue());
                } catch (Exception e2) {
                    e2.printStackTrace();
                    i2 = 0;
                }
                if (HelpFormatter.DEFAULT_LONG_OPT_PREFIX.equals(homeFunctionBean.getValue())) {
                    baseViewHolder.setText(R.id.tv_value, homeFunctionBean.getValue()).setText(R.id.tv_unit, jr.f1342g).setText(R.id.tv_value2, homeFunctionBean.getValue()).setText(R.id.tv_unit2, "min");
                } else {
                    int i3 = i2 / 60;
                    baseViewHolder.setText(R.id.tv_value, String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3 / 60))).setText(R.id.tv_unit, jr.f1342g).setText(R.id.tv_value2, String.format(TimeModel.ZERO_LEADING_NUMBER_FORMAT, Integer.valueOf(i3 % 60))).setText(R.id.tv_unit2, "min");
                }
            } else if (homeFunctionBean.getFunction().equals("理疗")) {
                if (HelpFormatter.DEFAULT_LONG_OPT_PREFIX.equals(homeFunctionBean.getValue())) {
                    baseViewHolder.setText(R.id.tv_value, homeFunctionBean.getValue()).setText(R.id.tv_unit, homeFunctionBean.getUnit());
                } else {
                    baseViewHolder.setText(R.id.tv_value, PhyUtils.parseTime(Integer.parseInt(homeFunctionBean.getValue()))).setText(R.id.tv_unit, homeFunctionBean.getUnit());
                }
            } else if (homeFunctionBean.getFunction().equals("血压")) {
                textView.setTextSize(25.0f);
                baseViewHolder.setText(R.id.tv_value, homeFunctionBean.getValue()).setText(R.id.tv_unit, homeFunctionBean.getUnit());
            } else {
                baseViewHolder.setText(R.id.tv_value, homeFunctionBean.getValue()).setText(R.id.tv_unit, homeFunctionBean.getUnit());
            }
            baseViewHolder.setText(R.id.tv_name, homeFunctionBean.name).setImageBitmap(R.id.iv_home_function, homeFunctionBean.getImagePath()).setGone(R.id.rl_home_function_ecg, !homeFunctionBean.getFunction().equals("心电")).setGone(R.id.iv_home_function, homeFunctionBean.getFunction().equals("心电")).setGone(R.id.tv_value2, !homeFunctionBean.getFunction().equals("睡眠")).setGone(R.id.tv_unit2, true ^ homeFunctionBean.getFunction().equals("睡眠"));
        }
        baseViewHolder.itemView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.adapter.HomeFunctionAdapter.3
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (HomeFunctionAdapter.this.mOnItemClickListener != null) {
                    HomeFunctionAdapter.this.mOnItemClickListener.onClick(homeFunctionBean, layoutPosition);
                }
            }
        });
    }

    /* renamed from: com.yucheng.smarthealthpro.home.adapter.HomeFunctionAdapter$1, reason: invalid class name */
    class AnonymousClass1 implements View.OnClickListener {
        final /* synthetic */ HomeFunctionBean val$homeFunctionBean;
        final /* synthetic */ int val$position;

        AnonymousClass1(HomeFunctionBean homeFunctionBean, int i2) {
            this.val$homeFunctionBean = homeFunctionBean;
            this.val$position = i2;
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            HomeFunctionAdapter.this.mOnItemClickListener.onViewClick(this.val$homeFunctionBean, this.val$position);
        }
    }

    /* renamed from: com.yucheng.smarthealthpro.home.adapter.HomeFunctionAdapter$2, reason: invalid class name */
    class AnonymousClass2 implements ViewTreeObserver.OnGlobalLayoutListener {
        final /* synthetic */ float val$finalScore;
        final /* synthetic */ String val$finalScoreText;
        final /* synthetic */ float val$imageWidth;
        final /* synthetic */ TextView val$tv_status;

        AnonymousClass2(TextView textView, float f2, float f3, String str) {
            this.val$tv_status = textView;
            this.val$imageWidth = f2;
            this.val$finalScore = f3;
            this.val$finalScoreText = str;
        }

        @Override // android.view.ViewTreeObserver.OnGlobalLayoutListener
        public void onGlobalLayout() {
            int width = this.val$tv_status.getWidth();
            if (width != 0) {
                float f2 = this.val$imageWidth;
                float f3 = width;
                float f4 = (this.val$finalScore * f2) - (f3 / 2.0f);
                float f5 = f2 - f3;
                if (f4 < 0.0f) {
                    f4 = 0.0f;
                } else if (f4 > f5) {
                    f4 = f5;
                }
                LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.val$tv_status.getLayoutParams();
                layoutParams.setMarginStart((int) f4);
                this.val$tv_status.setLayoutParams(layoutParams);
                this.val$tv_status.setText(this.val$finalScoreText);
            }
        }
    }
}
