package com.yucheng.smarthealthpro.home.view;

import android.app.Activity;
import android.content.Context;
import android.text.Editable;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.view.View;
import android.view.ViewGroup;
import android.view.inputmethod.InputMethodManager;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.bigkoo.pickerview.builder.OptionsPickerBuilder;
import com.bigkoo.pickerview.listener.CustomListener;
import com.bigkoo.pickerview.listener.OnDismissListener;
import com.bigkoo.pickerview.listener.OnOptionsSelectChangeListener;
import com.bigkoo.pickerview.listener.OnOptionsSelectListener;
import com.bigkoo.pickerview.view.OptionsPickerView;
import com.contrarywind.view.WheelView;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.framework.util.SharedPreferencesUtils;
import com.yucheng.smarthealthpro.utils.AppScreenMgr;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.smarthealthpro.utils.FormatUtil;
import com.yucheng.smarthealthpro.utils.TransUtils;
import java.util.List;

/* loaded from: classes3.dex */
public class CustomSelectors {
    private OnInputDataListener mOnInputDataListener;
    private OnOneSelectorsDataListener mOnOneSelectorsDataListener;
    private OnThreeSelectorsDataListener mOnThreeSelectorsDataListener;
    private OnTwoSelectorsDataListener mOnTwoSelectorsDataListener;
    private OnSelectChange onSelectChange;
    private OptionsPickerView pvBpOptions;

    public enum IsShow {
        TOP_CONFIRM_CANCEL,
        BP,
        BOTTOM_CONFIRM,
        NEW_BLOOD_SUGAR
    }

    public interface OnInputDataListener {
        void getDataClick(String str);
    }

    public interface OnOneSelectorsDataListener {
        void getSelectorsDataClick(String str, int i2);
    }

    public interface OnSelectChange {
        void onChange(OptionsPickerView optionsPickerView, int i2, int i3, int i4);
    }

    public interface OnThreeSelectorsDataListener {
        void getSelectorsDataClick(String str, String str2, String str3, int i2, int i3, int i4);
    }

    public interface OnTwoSelectorsDataListener {
        void getSelectorsDataClick(String str, String str2, int i2, int i3);
    }

    public enum SelectorsDataNum {
        ONE,
        TWO,
        THREE
    }

    public CustomSelectors setOnOneSelectorsDataListener(OnOneSelectorsDataListener onOneSelectorsDataListener) {
        this.mOnOneSelectorsDataListener = onOneSelectorsDataListener;
        return this;
    }

    public CustomSelectors setOnTwoSelectorsDataListener(OnTwoSelectorsDataListener onTwoSelectorsDataListener) {
        this.mOnTwoSelectorsDataListener = onTwoSelectorsDataListener;
        return this;
    }

    public CustomSelectors setOnSelectChange(OnSelectChange onSelectChange) {
        this.onSelectChange = onSelectChange;
        return this;
    }

    public CustomSelectors setOnThreeSelectorsDataListener(OnThreeSelectorsDataListener onThreeSelectorsDataListener) {
        this.mOnThreeSelectorsDataListener = onThreeSelectorsDataListener;
        return this;
    }

    public CustomSelectors setOnInputDataListener(OnInputDataListener onInputDataListener) {
        this.mOnInputDataListener = onInputDataListener;
        return this;
    }

    public void showBloodFatPicker(final Context context) {
        OptionsPickerView build = new OptionsPickerBuilder(context, new OnOptionsSelectListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.2
            @Override // com.bigkoo.pickerview.listener.OnOptionsSelectListener
            public void onOptionsSelect(int i2, int i3, int i4, View view) {
            }
        }).setLayoutRes(R.layout.layout_blood_fat_calibration_dialog, new CustomListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.1
            @Override // com.bigkoo.pickerview.listener.CustomListener
            public void customLayout(View view) {
                TextView textView = (TextView) view.findViewById(R.id.tv_cancel);
                final TextView textView2 = (TextView) view.findViewById(R.id.tv_confirm);
                TextView textView3 = (TextView) view.findViewById(R.id.tv_range);
                final EditText editText = (EditText) view.findViewById(R.id.et_input);
                textView2.setEnabled(true);
                editText.addTextChangedListener(new TextWatcher() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.1.1
                    @Override // android.text.TextWatcher
                    public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
                    }

                    @Override // android.text.TextWatcher
                    public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
                    }

                    @Override // android.text.TextWatcher
                    public void afterTextChanged(Editable editable) {
                        textView2.setEnabled(!TextUtils.isEmpty(editable.toString()));
                    }
                });
                editText.requestFocus();
                ((InputMethodManager) context.getSystemService("input_method")).showSoftInput(editText, 0);
                String str = (String) SharedPreferencesUtils.get(context, Constant.SpConstKey.BLOOD_SUGAR_AND_BLOOD_FAT_UNIT, Constant.SpConstValue.BLOOD_SUGAR_AND_BLOOD_FAT_MMOL);
                String string = context.getString(R.string.setting_health_blood_fat_calibration);
                if ("mg/dL".equals(str)) {
                    textView3.setText(string + ": " + TransUtils.BLOOD_FAT_MIN_MG + " ~ " + TransUtils.BLOOD_FAT_MAX_MG + " " + str);
                    float floatValue = ((Float) SharedPreferencesUtils.get(context, Constant.SpConstKey.BLOOD_FAT_CALIBRATION_MG_VALUE, Float.valueOf(193.05f))).floatValue();
                    StringBuilder sb = new StringBuilder();
                    sb.append(FormatUtil.keep2(floatValue));
                    sb.append("");
                    editText.setHint(sb.toString());
                } else {
                    textView3.setText(string + ": " + TransUtils.BLOOD_FAT_MIN + " ~ " + TransUtils.BLOOD_FAT_MAX + " " + str);
                    float floatValue2 = ((Float) SharedPreferencesUtils.get(context, Constant.SpConstKey.BLOOD_FAT_CALIBRATION_VALUE, Float.valueOf(5.0f))).floatValue();
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append(FormatUtil.keep2(floatValue2));
                    sb2.append("");
                    editText.setHint(sb2.toString());
                }
                editText.setOnFocusChangeListener(new View.OnFocusChangeListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.1.2
                    @Override // android.view.View.OnFocusChangeListener
                    public void onFocusChange(View view2, boolean z) {
                        if (z) {
                            editText.setHint("");
                            textView2.setEnabled(!TextUtils.isEmpty(editText.getText().toString()));
                        }
                    }
                });
                textView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.1.3
                    @Override // android.view.View.OnClickListener
                    public void onClick(View view2) {
                        CustomSelectors.this.pvBpOptions.dismiss();
                    }
                });
                textView2.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.1.4
                    @Override // android.view.View.OnClickListener
                    public void onClick(View view2) {
                        if (!TextUtils.isEmpty(editText.getText().toString())) {
                            CustomSelectors.this.mOnInputDataListener.getDataClick(editText.getText().toString());
                            CustomSelectors.this.pvBpOptions.dismiss();
                        } else {
                            if (TextUtils.isEmpty(editText.getHint().toString())) {
                                return;
                            }
                            CustomSelectors.this.mOnInputDataListener.getDataClick(editText.getHint().toString());
                            CustomSelectors.this.pvBpOptions.dismiss();
                        }
                    }
                });
            }
        }).isDialog(false).setOutSideCancelable(true).build();
        this.pvBpOptions = build;
        build.setOnDismissListener(new OnDismissListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.3
            @Override // com.bigkoo.pickerview.listener.OnDismissListener
            public void onDismiss(Object obj) {
                Context context2 = context;
                Activity activity = (Activity) context2;
                try {
                    ((InputMethodManager) context2.getSystemService("input_method")).hideSoftInputFromWindow(activity.getCurrentFocus().getWindowToken(), 0);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        });
        this.pvBpOptions.show();
    }

    public void showUricAcidPicker(final Context context) {
        OptionsPickerView build = new OptionsPickerBuilder(context, new OnOptionsSelectListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.5
            @Override // com.bigkoo.pickerview.listener.OnOptionsSelectListener
            public void onOptionsSelect(int i2, int i3, int i4, View view) {
            }
        }).setLayoutRes(R.layout.layout_uric_acid_calibration_dialog, new CustomListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.4
            @Override // com.bigkoo.pickerview.listener.CustomListener
            public void customLayout(View view) {
                TextView textView = (TextView) view.findViewById(R.id.tv_cancel);
                final TextView textView2 = (TextView) view.findViewById(R.id.tv_confirm);
                TextView textView3 = (TextView) view.findViewById(R.id.tv_range);
                final EditText editText = (EditText) view.findViewById(R.id.et_input);
                String str = (String) SharedPreferencesUtils.get(context, Constant.SpConstKey.URIC_ACID_UNIT, Constant.SpConstValue.URIC_ACID_UMOL);
                String string = context.getString(R.string.setting_health_uric_acid_calibration);
                textView2.setEnabled(true);
                editText.addTextChangedListener(new TextWatcher() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.4.1
                    @Override // android.text.TextWatcher
                    public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
                    }

                    @Override // android.text.TextWatcher
                    public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
                    }

                    @Override // android.text.TextWatcher
                    public void afterTextChanged(Editable editable) {
                        textView2.setEnabled(!TextUtils.isEmpty(editable.toString()));
                    }
                });
                if ("mg/dL".equals(str)) {
                    textView3.setText(string + ": " + TransUtils.URIC_ACID_MIN_MG + " ~ " + TransUtils.URIC_ACID_MAX_MG + " " + str);
                    float floatValue = ((Float) SharedPreferencesUtils.get(context, Constant.SpConstKey.URIC_ACID_CALIBRATION_MG_VALUE, Float.valueOf(3.4f))).floatValue();
                    StringBuilder sb = new StringBuilder();
                    sb.append(floatValue);
                    sb.append("");
                    editText.setHint(sb.toString());
                } else {
                    textView3.setText(string + ": " + TransUtils.URIC_ACID_MIN + " ~ " + TransUtils.URIC_ACID_MAX + " " + str);
                    float floatValue2 = ((Float) SharedPreferencesUtils.get(context, Constant.SpConstKey.URIC_ACID_CALIBRATION_VALUE, Float.valueOf(200.0f))).floatValue();
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append((int) floatValue2);
                    sb2.append("");
                    editText.setHint(sb2.toString());
                }
                editText.setOnFocusChangeListener(new View.OnFocusChangeListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.4.2
                    @Override // android.view.View.OnFocusChangeListener
                    public void onFocusChange(View view2, boolean z) {
                        if (z) {
                            editText.setHint("");
                            textView2.setEnabled(!TextUtils.isEmpty(editText.getText().toString()));
                        }
                    }
                });
                textView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.4.3
                    @Override // android.view.View.OnClickListener
                    public void onClick(View view2) {
                        CustomSelectors.this.pvBpOptions.dismiss();
                    }
                });
                textView2.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.4.4
                    @Override // android.view.View.OnClickListener
                    public void onClick(View view2) {
                        if (!TextUtils.isEmpty(editText.getText().toString())) {
                            CustomSelectors.this.mOnInputDataListener.getDataClick(editText.getText().toString());
                            CustomSelectors.this.pvBpOptions.dismiss();
                        } else {
                            if (TextUtils.isEmpty(editText.getHint().toString())) {
                                return;
                            }
                            CustomSelectors.this.mOnInputDataListener.getDataClick(editText.getHint().toString());
                            CustomSelectors.this.pvBpOptions.dismiss();
                        }
                    }
                });
            }
        }).build();
        this.pvBpOptions = build;
        build.setOnDismissListener(new OnDismissListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.6
            @Override // com.bigkoo.pickerview.listener.OnDismissListener
            public void onDismiss(Object obj) {
                try {
                    ((InputMethodManager) context.getSystemService("input_method")).hideSoftInputFromWindow(((Activity) context).getCurrentFocus().getWindowToken(), 0);
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        });
        this.pvBpOptions.show();
    }

    public void BpLevelPicker(final List<String> list, final List<String> list2, final List<String> list3, int i2, int i3, int i4, String str, String str2, String str3, Boolean bool, final IsShow isShow, final SelectorsDataNum selectorsDataNum, final Context context) {
        this.pvBpOptions = new OptionsPickerBuilder(context, new OnOptionsSelectListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.9
            @Override // com.bigkoo.pickerview.listener.OnOptionsSelectListener
            public void onOptionsSelect(int i5, int i6, int i7, View view) {
                if (selectorsDataNum == SelectorsDataNum.ONE) {
                    if (i5 < list.size()) {
                        CustomSelectors.this.mOnOneSelectorsDataListener.getSelectorsDataClick((String) list.get(i5), i5);
                    }
                } else {
                    if (selectorsDataNum == SelectorsDataNum.TWO) {
                        if (i5 >= list.size() || i6 >= list2.size()) {
                            return;
                        }
                        CustomSelectors.this.mOnTwoSelectorsDataListener.getSelectorsDataClick((String) list.get(i5), (String) list2.get(i6), i5, i6);
                        return;
                    }
                    if (selectorsDataNum != SelectorsDataNum.THREE || i5 >= list.size() || i6 >= list2.size() || i7 >= list3.size()) {
                        return;
                    }
                    CustomSelectors.this.mOnThreeSelectorsDataListener.getSelectorsDataClick((String) list.get(i5), (String) list2.get(i6), (String) list3.get(i7), i5, i6, i7);
                }
            }
        }).setLayoutRes(R.layout.layout_blood_pressure_calibration_selector, new CustomListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.8
            @Override // com.bigkoo.pickerview.listener.CustomListener
            public void customLayout(View view) {
                RelativeLayout relativeLayout = (RelativeLayout) view.findViewById(R.id.rl_top_confirm_cancel);
                RelativeLayout relativeLayout2 = (RelativeLayout) view.findViewById(R.id.rl_bp);
                RelativeLayout relativeLayout3 = (RelativeLayout) view.findViewById(R.id.rl_top_shape);
                RelativeLayout relativeLayout4 = (RelativeLayout) view.findViewById(R.id.rl_bottom_confirm);
                TextView textView = (TextView) view.findViewById(R.id.tv_cancel);
                TextView textView2 = (TextView) view.findViewById(R.id.tv_confirm);
                TextView textView3 = (TextView) view.findViewById(R.id.tv_bottom_confirm);
                LinearLayout linearLayout = (LinearLayout) view.findViewById(R.id.ll_bottom);
                ViewGroup.LayoutParams layoutParams = linearLayout.getLayoutParams();
                layoutParams.height = AppScreenMgr.getNavigationAreaHeight(context);
                linearLayout.setLayoutParams(layoutParams);
                if (isShow == IsShow.TOP_CONFIRM_CANCEL) {
                    relativeLayout2.setVisibility(8);
                    relativeLayout4.setVisibility(8);
                } else if (isShow == IsShow.BP) {
                    relativeLayout4.setVisibility(8);
                } else if (isShow == IsShow.BOTTOM_CONFIRM) {
                    relativeLayout.setVisibility(8);
                    relativeLayout2.setVisibility(8);
                    relativeLayout3.setVisibility(0);
                } else if (isShow == IsShow.NEW_BLOOD_SUGAR) {
                    ((TextView) relativeLayout2.findViewById(R.id.one_text)).setText(context.getString(R.string.health_blood_sugar_calibration_type1));
                    ((TextView) relativeLayout2.findViewById(R.id.two_text)).setText(context.getString(R.string.health_blood_sugar_calibration_type2));
                    relativeLayout4.setVisibility(8);
                }
                textView.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.8.1
                    @Override // android.view.View.OnClickListener
                    public void onClick(View view2) {
                        CustomSelectors.this.pvBpOptions.dismiss();
                    }
                });
                textView2.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.8.2
                    @Override // android.view.View.OnClickListener
                    public void onClick(View view2) {
                        CustomSelectors.this.pvBpOptions.returnData();
                        CustomSelectors.this.pvBpOptions.dismiss();
                    }
                });
                textView3.setOnClickListener(new View.OnClickListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.8.3
                    @Override // android.view.View.OnClickListener
                    public void onClick(View view2) {
                        CustomSelectors.this.pvBpOptions.returnData();
                        CustomSelectors.this.pvBpOptions.dismiss();
                    }
                });
            }
        }).setOptionsSelectChangeListener(new OnOptionsSelectChangeListener() { // from class: com.yucheng.smarthealthpro.home.view.CustomSelectors.7
            @Override // com.bigkoo.pickerview.listener.OnOptionsSelectChangeListener
            public void onOptionsSelectChanged(int i5, int i6, int i7) {
                if (CustomSelectors.this.onSelectChange != null) {
                    CustomSelectors.this.onSelectChange.onChange(CustomSelectors.this.pvBpOptions, i5, i6, i7);
                }
            }
        }).setTextColorCenter(context.getResources().getColor(R.color.button_start_color)).setContentTextSize(24).setLineSpacingMultiplier(2.5f).setLabels(str, str2, str3).isCenterLabel(bool.booleanValue()).setDividerType(WheelView.DividerType.FILL).setDividerColor(context.getResources().getColor(R.color.item_septal_line_color)).setItemVisibleCount(5).build();
        if (selectorsDataNum == SelectorsDataNum.ONE) {
            this.pvBpOptions.setPicker(list);
            this.pvBpOptions.setSelectOptions(i2);
        } else if (selectorsDataNum == SelectorsDataNum.TWO) {
            this.pvBpOptions.setNPicker(list, list2, null);
            this.pvBpOptions.setSelectOptions(i2, i3);
        } else if (selectorsDataNum == SelectorsDataNum.THREE) {
            this.pvBpOptions.setNPicker(list, list2, list3);
            this.pvBpOptions.setSelectOptions(i2, i3, i4);
        }
        this.pvBpOptions.show();
    }
}
