package com.yucheng.smarthealthpro.login.normal;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.WindowInsets;
import android.widget.LinearLayout;

/* loaded from: classes3.dex */
public class LoginLayout extends LinearLayout {
    private int[] mInsets;

    public LoginLayout(Context context) {
        super(context);
        this.mInsets = new int[4];
    }

    public LoginLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.mInsets = new int[4];
    }

    public LoginLayout(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.mInsets = new int[4];
    }

    public LoginLayout(Context context, AttributeSet attributeSet, int i2, int i3) {
        super(context, attributeSet, i2, i3);
        this.mInsets = new int[4];
    }

    public final int[] getInsets() {
        return this.mInsets;
    }

    @Override // android.view.View
    public final WindowInsets onApplyWindowInsets(WindowInsets windowInsets) {
        this.mInsets[0] = windowInsets.getSystemWindowInsetLeft();
        this.mInsets[1] = windowInsets.getSystemWindowInsetTop();
        this.mInsets[2] = windowInsets.getSystemWindowInsetRight();
        return super.onApplyWindowInsets(windowInsets.replaceSystemWindowInsets(0, 0, 0, windowInsets.getSystemWindowInsetBottom()));
    }

    @Override // android.view.View
    protected final boolean fitSystemWindows(Rect rect) {
        this.mInsets[0] = rect.left;
        this.mInsets[1] = rect.top;
        this.mInsets[2] = rect.right;
        return super.fitSystemWindows(rect);
    }
}
