package com.yucheng.smarthealthpro.login.normal;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.text.method.HideReturnsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.util.Log;
import android.view.View;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.TextView;
import com.facebook.devicerequests.internal.DeviceRequestsHelper;
import com.google.gson.Gson;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.framework.http.HttpUtils;
import com.yucheng.smarthealthpro.framework.util.Constants;
import com.yucheng.smarthealthpro.framework.util.ToastUtil;
import com.yucheng.smarthealthpro.login.normal.bean.UserBean;
import com.yucheng.smarthealthpro.login.normal.util.UserInfoUtil;
import com.yucheng.smarthealthpro.perfect.UserInfoActivity;
import com.yucheng.smarthealthpro.view.CleanableEditText;
import java.util.HashMap;
import org.apache.commons.text.StringSubstitutor;

/* loaded from: classes3.dex */
public class RegisterActivity extends BaseActivity {
    private CheckBox cb;
    private String code;
    private CleanableEditText ed_confirm_password;
    private CleanableEditText ed_password;
    private boolean is_show = false;
    private boolean is_show2 = false;
    private ProgressDialog progressDialog;
    private String s_account;
    private TextView tv_account;

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_ai_register);
        init();
        initData();
        setListener();
    }

    private void init() {
        this.tv_account = (TextView) findViewById(R.id.register_tv_account);
        this.ed_password = (CleanableEditText) findViewById(R.id.register_ed_password);
        this.ed_confirm_password = (CleanableEditText) findViewById(R.id.register_ed_confirm_password);
        this.cb = (CheckBox) findViewById(R.id.register_cb_protocal);
        this.ed_password.setCustomDeletedCallback(new CleanableEditText.CustomDeletedCallback() { // from class: com.yucheng.smarthealthpro.login.normal.RegisterActivity.1
            @Override // com.yucheng.smarthealthpro.view.CleanableEditText.CustomDeletedCallback
            public void onDeleted(CleanableEditText cleanableEditText) {
                Log.i("AAAAAA", "==密码==");
            }
        });
        this.ed_confirm_password.setCustomDeletedCallback(new CleanableEditText.CustomDeletedCallback() { // from class: com.yucheng.smarthealthpro.login.normal.RegisterActivity.2
            @Override // com.yucheng.smarthealthpro.view.CleanableEditText.CustomDeletedCallback
            public void onDeleted(CleanableEditText cleanableEditText) {
                Log.i("AAAAAA", "==确认密码==");
            }
        });
    }

    private void initData() {
        changeTitle(getString(R.string.register_title));
        showBack();
        if (getIntent() != null) {
            this.s_account = getIntent().getStringExtra("account");
            this.code = getIntent().getStringExtra("code");
        }
        String str = this.s_account;
        if (str == null || this.code == null) {
            finish();
        } else {
            this.tv_account.setText(str);
        }
    }

    private void setListener() {
        findViewById(R.id.is_show_password).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.is_show_password2).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.register_btn_register).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.tvUserAgreement).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.tvPrivacyPolicy).setOnClickListener(new OnClickListenerImpl());
        this.cb.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.yucheng.smarthealthpro.login.normal.RegisterActivity.3
            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            }
        });
    }

    private class OnClickListenerImpl implements View.OnClickListener {
        private OnClickListenerImpl() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            switch (view.getId()) {
                case R.id.is_show_password /* 2131296775 */:
                    if (RegisterActivity.this.is_show) {
                        RegisterActivity.this.is_show = false;
                        ((ImageView) RegisterActivity.this.findViewById(R.id.is_show_password)).setImageResource(R.mipmap.login_icon_hind_pwd);
                        RegisterActivity.this.ed_password.setTransformationMethod(PasswordTransformationMethod.getInstance());
                        break;
                    } else {
                        RegisterActivity.this.is_show = true;
                        ((ImageView) RegisterActivity.this.findViewById(R.id.is_show_password)).setImageResource(R.mipmap.login_icon_show_pwd);
                        RegisterActivity.this.ed_password.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
                        break;
                    }
                case R.id.is_show_password2 /* 2131296776 */:
                    if (RegisterActivity.this.is_show2) {
                        RegisterActivity.this.is_show2 = false;
                        ((ImageView) RegisterActivity.this.findViewById(R.id.is_show_password2)).setImageResource(R.mipmap.login_icon_hind_pwd);
                        RegisterActivity.this.ed_confirm_password.setTransformationMethod(PasswordTransformationMethod.getInstance());
                        break;
                    } else {
                        RegisterActivity.this.is_show2 = true;
                        ((ImageView) RegisterActivity.this.findViewById(R.id.is_show_password2)).setImageResource(R.mipmap.login_icon_show_pwd);
                        RegisterActivity.this.ed_confirm_password.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
                        break;
                    }
                case R.id.register_btn_register /* 2131297224 */:
                    RegisterActivity.this.checkContent();
                    break;
                case R.id.tvPrivacyPolicy /* 2131297537 */:
                    RegisterActivity registerActivity = RegisterActivity.this;
                    Intent putExtra = new Intent(RegisterActivity.this, (Class<?>) WebViewActivity.class).putExtra("title", RegisterActivity.this.getString(R.string.webview_protocal));
                    StringBuilder sb = new StringBuilder("https://staticpage.ycaviation.com/app/policy/");
                    sb.append(RegisterActivity.this.getString(R.string.app_name));
                    sb.append("/privacy_policy_smart_");
                    sb.append(RegisterActivity.this.getString(R.string.lan).equals("cn") ? "cn" : "en");
                    sb.append(".html");
                    registerActivity.startActivity(putExtra.putExtra("url", sb.toString()));
                    break;
                case R.id.tvUserAgreement /* 2131297544 */:
                    RegisterActivity registerActivity2 = RegisterActivity.this;
                    Intent putExtra2 = new Intent(RegisterActivity.this, (Class<?>) WebViewActivity.class).putExtra("title", RegisterActivity.this.getString(R.string.webview_user_agreement));
                    StringBuilder sb2 = new StringBuilder("https://staticpage.ycaviation.com/app/policy/");
                    sb2.append(RegisterActivity.this.getString(R.string.app_name));
                    sb2.append("/user_agreement_smart_");
                    sb2.append(RegisterActivity.this.getString(R.string.lan).equals("cn") ? "cn" : "en");
                    sb2.append(".html");
                    registerActivity2.startActivity(putExtra2.putExtra("url", sb2.toString()));
                    break;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void checkContent() {
        if (this.cb.isChecked()) {
            String charSequence = this.tv_account.getText().toString();
            if (charSequence.trim().equals("")) {
                ToastUtil.getInstance(this).toast(getString(R.string.login_username_cannot_be_null));
                return;
            }
            String obj = this.ed_password.getText().toString();
            String obj2 = this.ed_confirm_password.getText().toString();
            if (obj.trim().equals("")) {
                ToastUtil.getInstance(this).toast(getString(R.string.login_password_cannot_be_null));
                return;
            }
            if (!obj.trim().equals(obj2.trim())) {
                ToastUtil.getInstance(this).toast(getString(R.string.register_password_inconsistent));
                return;
            } else if (obj.length() < 8) {
                ToastUtil.getInstance(this).toast(getString(R.string.register_password_length_must_be_less_than_eight));
                return;
            } else {
                regAction(charSequence, obj);
                return;
            }
        }
        ToastUtil.getInstance(this).toast(getString(R.string.login_please_read_protocol));
    }

    private boolean checkSimplePassword(String str) {
        boolean z = true;
        for (int i2 = 0; i2 < str.length(); i2++) {
            try {
                if (i2 > 0) {
                    if (Integer.parseInt(str.substring(i2 - 1, i2)) + 1 != Integer.parseInt(str.substring(i2, i2 + 1))) {
                        z = false;
                    }
                }
            } catch (Exception e2) {
                e2.printStackTrace();
                z = false;
            }
        }
        StringBuilder sb = new StringBuilder();
        sb.append(str.charAt(0));
        sb.append("{");
        sb.append(str.length());
        sb.append(StringSubstitutor.DEFAULT_VAR_END);
        return z || str.matches(sb.toString());
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
    }

    public void regAction(String str, String str2) {
        this.progressDialog = ProgressDialog.show(this, getString(R.string.prompt), getString(R.string.is_registring), true, false);
        HashMap hashMap = new HashMap();
        hashMap.put("username", str);
        hashMap.put("password", str2);
        hashMap.put("vcode", this.code);
        hashMap.put(DeviceRequestsHelper.DEVICE_INFO_DEVICE, "2");
        HttpUtils.getInstance().postMsgAsynHttp(this, Constants.register, hashMap, new HttpUtils.HttpCallback() { // from class: com.yucheng.smarthealthpro.login.normal.RegisterActivity.4
            @Override // com.yucheng.smarthealthpro.framework.http.HttpUtils.HttpCallback
            public void onSuccess(String str3) {
                if (RegisterActivity.this.progressDialog != null && RegisterActivity.this.progressDialog.isShowing()) {
                    RegisterActivity.this.progressDialog.dismiss();
                }
                if (str3 != null) {
                    try {
                        UserBean userBean = (UserBean) new Gson().fromJson(str3, UserBean.class);
                        if (userBean == null || userBean.data == null) {
                            return;
                        }
                        userBean.data.nickname = RegisterActivity.this.getString(R.string.login_default_nick_name);
                        UserInfoUtil.setUserInfo(userBean, RegisterActivity.this);
                        RegisterActivity.this.goUserInfo(userBean.data.username);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                }
            }
        });
    }

    public void goUserInfo(String str) {
        Intent intent = new Intent(this, (Class<?>) UserInfoActivity.class);
        intent.putExtra("username", str);
        startActivity(intent);
        finish();
    }
}
