package com.yucheng.smarthealthpro.login.normal;

import android.content.Context;
import android.os.Bundle;
import android.webkit.JavascriptInterface;
import android.webkit.WebResourceError;
import android.webkit.WebResourceRequest;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import com.orhanobut.logger.Logger;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;

/* loaded from: classes3.dex */
public class WebViewActivity extends BaseActivity {
    private String url;
    private WebView webView;

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_ai_webview);
        init();
    }

    private void init() {
        String stringExtra = getIntent().getStringExtra("title");
        this.url = getIntent().getStringExtra("url");
        showBack();
        if (stringExtra == null) {
            stringExtra = "";
        }
        changeTitle(stringExtra);
        WebView webView = (WebView) findViewById(R.id.webview);
        this.webView = webView;
        WebSettings settings = webView.getSettings();
        settings.setJavaScriptEnabled(true);
        settings.setDomStorageEnabled(true);
        this.webView.setWebViewClient(new WebViewClient() { // from class: com.yucheng.smarthealthpro.login.normal.WebViewActivity.1
            @Override // android.webkit.WebViewClient
            public void onReceivedError(WebView webView2, WebResourceRequest webResourceRequest, WebResourceError webResourceError) {
                super.onReceivedError(webView2, webResourceRequest, webResourceError);
                Logger.e("onReceivedError:" + ((Object) webResourceError.getDescription()) + " url:" + webResourceRequest.getUrl(), new Object[0]);
            }
        });
        this.webView.addJavascriptInterface(new AndroidJs(this), "AndroidJs");
        this.webView.loadUrl(this.url);
    }

    public class AndroidJs {
        private Context mContext;

        @JavascriptInterface
        public void fastRegister() {
        }

        public AndroidJs(Context context) {
            this.mContext = context;
        }
    }
}
