package com.yucheng.smarthealthpro.login.normal.util;

import android.text.TextUtils;
import java.util.regex.Pattern;

/* loaded from: classes3.dex */
public class CheckMobileAndEmailUtil {
    private static final String CHINA_MOBILE_PATTERN = "(?:^(?:\\+86)?1(?:3[4-9]|4[78]|5[0-27-9]|78|8[2-478]|98)\\d{8}$)|(?:^(?:\\+86)?1440\\d{7}$)|(?:^(?:\\+86)?170[356]\\d{7}$)";
    private static final String CHINA_TELECOM_PATTERN = "(?:^(?:\\+86)?1(?:33|49|53|7[37]|8[019]|99)\\d{8}$)|(?:^(?:\\+86)?1349\\d{7}$)|(?:^(?:\\+86)?1410\\d{7}$)|(?:^(?:\\+86)?170[0-2]\\d{7}$)|(?:^(?:\\+86)?191\\d{8}$)";
    private static final String CHINA_UNICOM_PATTERN = "(?:^(?:\\+86)?1(?:3[0-2]|4[56]|5[56]|66|7[156]|8[56])\\d{8}$)|(?:^(?:\\+86)?170[47-9]\\d{7}$)";

    public static boolean checkPhone(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        return checkChinaMobile(str) || checkChinaUnicom(str) || checkChinaTelecom(str);
    }

    public static boolean checkChinaMobile(String str) {
        return !TextUtils.isEmpty(str) && Pattern.compile(CHINA_MOBILE_PATTERN).matcher(str).matches();
    }

    public static boolean checkChinaUnicom(String str) {
        return !TextUtils.isEmpty(str) && Pattern.compile(CHINA_UNICOM_PATTERN).matcher(str).matches();
    }

    public static boolean checkChinaTelecom(String str) {
        return !TextUtils.isEmpty(str) && Pattern.compile(CHINA_TELECOM_PATTERN).matcher(str).matches();
    }

    public static String hideMiddleMobile(String str) {
        return !TextUtils.isEmpty(str) ? str.replaceAll("(\\d{3})\\d{4}(\\d{4})", "$1****$2") : str;
    }

    public static boolean isEmail(String str) {
        if (TextUtils.isEmpty("^[a-zA-Z0-9][\\w\\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\\w\\.-]*[a-zA-Z0-9]\\.[a-zA-Z][a-zA-Z\\.]*[a-zA-Z]$")) {
            return false;
        }
        return str.matches("^[a-zA-Z0-9][\\w\\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\\w\\.-]*[a-zA-Z0-9]\\.[a-zA-Z][a-zA-Z\\.]*[a-zA-Z]$");
    }

    public static boolean checkALL(String str) {
        if (TextUtils.isEmpty(str)) {
            return false;
        }
        return checkChinaMobile(str) || checkChinaUnicom(str) || checkChinaTelecom(str) || isEmail(str);
    }
}
