package com.yucheng.smarthealthpro.me.activity;

import android.os.Bundle;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.Switch;
import android.widget.TextView;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.framework.util.SharedPreferencesUtils;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.ycbtsdk.Constants;
import com.yucheng.ycbtsdk.YCBTClient;
import com.yucheng.ycbtsdk.response.BleDataResponse;
import java.util.HashMap;

/* loaded from: classes2.dex */
public class MeAntiLostActivity extends BaseActivity {

    @BindView(R.id.switch_anti_lost)
    Switch mSwitchAntiLost;

    @BindView(R.id.rlSwitch)
    View rlSwitch;

    @BindView(R.id.tv_anti_lost)
    TextView tvAntiLost;

    private void initData() {
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_me_antilost);
        ButterKnife.bind(this);
        initView();
        initData();
    }

    private void initView() {
        changeTitle(getString(R.string.me_my_device_anti_lost_title));
        showBack();
        if (!YCBTClient.isSupportFunction(Constants.FunctionConstant.ISHASANTILOST)) {
            this.rlSwitch.setVisibility(8);
        }
        if (!YCBTClient.isSupportFunction(Constants.FunctionConstant.ISHASFINDDEVICE)) {
            this.rlSwitch.setVisibility(8);
        }
        String str = (String) SharedPreferencesUtils.get(this.context, Constant.SpConstKey.IS_ANTI_LOSE, "");
        if (str != null && !str.isEmpty()) {
            if (str.equals(Constant.SpConstValue.OPEN)) {
                this.mSwitchAntiLost.setChecked(true);
            } else {
                this.mSwitchAntiLost.setChecked(false);
            }
        } else {
            this.mSwitchAntiLost.setChecked(false);
        }
        this.mSwitchAntiLost.setOnCheckedChangeListener(new AnonymousClass1());
    }

    /* renamed from: com.yucheng.smarthealthpro.me.activity.MeAntiLostActivity$1, reason: invalid class name */
    class AnonymousClass1 implements CompoundButton.OnCheckedChangeListener {
        AnonymousClass1() {
        }

        @Override // android.widget.CompoundButton.OnCheckedChangeListener
        public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            if (z) {
                YCBTClient.settingAntiLose(2, new BleDataResponse() { // from class: com.yucheng.smarthealthpro.me.activity.MeAntiLostActivity.1.1
                    @Override // com.yucheng.ycbtsdk.response.BleDataResponse
                    public void onDataResponse(int i2, float f2, HashMap hashMap) {
                        if (i2 == 0) {
                            MeAntiLostActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.me.activity.MeAntiLostActivity.1.1.1
                                @Override // java.lang.Runnable
                                public void run() {
                                    SharedPreferencesUtils.put(MeAntiLostActivity.this.context, Constant.SpConstKey.IS_ANTI_LOSE, Constant.SpConstValue.OPEN);
                                }
                            });
                        }
                    }
                });
            } else {
                YCBTClient.settingAntiLose(0, new BleDataResponse() { // from class: com.yucheng.smarthealthpro.me.activity.MeAntiLostActivity.1.2
                    @Override // com.yucheng.ycbtsdk.response.BleDataResponse
                    public void onDataResponse(int i2, float f2, HashMap hashMap) {
                        if (i2 == 0) {
                            MeAntiLostActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.me.activity.MeAntiLostActivity.1.2.1
                                @Override // java.lang.Runnable
                                public void run() {
                                    SharedPreferencesUtils.put(MeAntiLostActivity.this.context, Constant.SpConstKey.IS_ANTI_LOSE, Constant.SpConstValue.CLOSE);
                                }
                            });
                        }
                    }
                });
            }
        }
    }

    @OnClick({R.id.tv_anti_lost})
    public void onViewClicked() {
        YCBTClient.appFindDevice(1, 5, 2, new BleDataResponse() { // from class: com.yucheng.smarthealthpro.me.activity.MeAntiLostActivity.2
            @Override // com.yucheng.ycbtsdk.response.BleDataResponse
            public void onDataResponse(int i2, float f2, HashMap hashMap) {
            }
        });
    }
}
