package com.yucheng.smarthealthpro.me.file;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import com.yucheng.HealthWear.R;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes2.dex */
public class FileAdapter extends BaseAdapter {
    private Context context;
    private List<FileBean> datas;

    @Override // android.widget.Adapter
    public long getItemId(int i2) {
        return i2;
    }

    public FileAdapter(Context context, List<FileBean> list) {
        this.datas = list == null ? new ArrayList<>() : list;
        this.context = context;
    }

    @Override // android.widget.Adapter
    public int getCount() {
        List<FileBean> list = this.datas;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // android.widget.Adapter
    public Object getItem(int i2) {
        return this.datas.get(i2);
    }

    @Override // android.widget.Adapter
    public View getView(int i2, View view, ViewGroup viewGroup) {
        Holder holder;
        if (view == null) {
            view = LayoutInflater.from(this.context).inflate(R.layout.item_ui_url, viewGroup, false);
            holder = new Holder();
            holder.iv_head = (ImageView) view.findViewById(R.id.item_ui_url_image);
            holder.tv_name = (TextView) view.findViewById(R.id.item_ui_url_name);
            view.setTag(holder);
        } else {
            holder = (Holder) view.getTag();
        }
        FileBean fileBean = this.datas.get(i2);
        if (fileBean.type != 1) {
            if (fileBean.type == 2) {
                holder.iv_head.setImageResource(R.mipmap.zip_file);
            } else {
                holder.iv_head.setImageResource(R.mipmap.folder);
            }
        } else {
            holder.iv_head.setImageResource(R.mipmap.bin_file);
        }
        holder.tv_name.setText(fileBean.name);
        return view;
    }

    private static class Holder {
        private ImageView iv_head;
        private TextView tv_name;

        private Holder() {
        }
    }

    public void setDataChanged(List<FileBean> list) {
        if (list == null) {
            list = new ArrayList<>();
        }
        this.datas = list;
        notifyDataSetChanged();
    }
}
