package com.yucheng.smarthealthpro.me.setting.contacts.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.internal.view.SupportMenu;
import com.yucheng.smarthealthpro.me.setting.contacts.utils.ColorUtil;

/* loaded from: classes2.dex */
public class IndexBar extends ViewGroup {
    private float centerY;
    private int childWidth;
    private final float circleRadius;
    private boolean isShowTag;
    private Context mContext;
    private int mHeight;
    private Paint mPaint;
    private int mWidth;
    private int position;
    private String tag;

    public IndexBar(Context context) {
        this(context, null);
    }

    public IndexBar(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public IndexBar(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.tag = "";
        this.circleRadius = 100.0f;
        this.mContext = context;
        init(attributeSet);
    }

    private void init(AttributeSet attributeSet) {
        setWillNotDraw(false);
        Paint paint = new Paint();
        this.mPaint = paint;
        paint.setColor(SupportMenu.CATEGORY_MASK);
        this.mPaint.setAntiAlias(true);
        this.mPaint.setDither(true);
    }

    @Override // android.view.View
    protected void onSizeChanged(int i2, int i3, int i4, int i5) {
        super.onSizeChanged(i2, i3, i4, i5);
        this.mHeight = i3;
        this.mWidth = i2;
    }

    @Override // android.view.View
    protected void onMeasure(int i2, int i3) {
        measureChildren(i2, i3);
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        if (mode == Integer.MIN_VALUE) {
            this.mWidth = size;
        } else if (mode == 1073741824) {
            this.mWidth = size;
        }
        if (mode2 == Integer.MIN_VALUE) {
            this.mHeight = size2;
        } else if (mode2 == 1073741824) {
            this.mHeight = size2;
        }
        setMeasuredDimension(this.mWidth, this.mHeight);
    }

    @Override // android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        if (getChildCount() <= 0) {
            return;
        }
        View childAt = getChildAt(0);
        int measuredWidth = childAt.getMeasuredWidth();
        this.childWidth = measuredWidth;
        int i6 = this.mWidth;
        childAt.layout(i6 - measuredWidth, 0, i6, this.mHeight);
    }

    public void setDrawData(float f2, String str, int i2) {
        this.position = i2;
        this.centerY = f2;
        this.tag = str;
        this.isShowTag = true;
        invalidate();
    }

    public void setTagStatus(boolean z) {
        this.isShowTag = z;
        invalidate();
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.isShowTag) {
            ColorUtil.setPaintColor(this.mPaint, this.position);
            canvas.drawCircle((this.mWidth - this.childWidth) / 2, this.centerY, 100.0f, this.mPaint);
            this.mPaint.setColor(-1);
            this.mPaint.setTextSize(50.0f);
            String str = this.tag;
            canvas.drawText(str, ((this.mWidth - this.childWidth) - this.mPaint.measureText(str)) / 2.0f, this.centerY - ((this.mPaint.ascent() + this.mPaint.descent()) / 2.0f), this.mPaint);
        }
    }

    @Override // android.view.ViewGroup
    protected ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return super.generateDefaultLayoutParams();
    }

    @Override // android.view.ViewGroup
    protected ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return super.generateLayoutParams(layoutParams);
    }
}
