package com.yucheng.smarthealthpro.perfect.ui;

import android.app.Dialog;
import android.content.Intent;
import android.graphics.Bitmap;
import android.net.Uri;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;
import com.facebook.appevents.internal.ViewHierarchyConstants;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.perfect.ui.ClipImageActivity;
import com.yucheng.smarthealthpro.utils.DialogUtils;
import java.io.File;
import java.io.IOException;
import java.io.OutputStream;

/* loaded from: classes2.dex */
public class ClipImageActivity extends BaseActivity implements View.OnClickListener {
    private static final String TAG = "ClipImageActivity";
    private ImageView back;
    private TextView btnCancel;
    private TextView btnOk;
    private ClipViewLayout clipViewLayout1;
    private ClipViewLayout clipViewLayout2;
    private int height;
    private Dialog mLoading;
    private int type;
    private int width;

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_clip_image);
        this.mLoading = DialogUtils.createLoadingDialog(this, R.string.loading);
        this.type = getIntent().getIntExtra("type", 1);
        initView();
    }

    public void initView() {
        this.clipViewLayout1 = (ClipViewLayout) findViewById(R.id.clipViewLayout1);
        this.clipViewLayout2 = (ClipViewLayout) findViewById(R.id.clipViewLayout2);
        this.back = (ImageView) findViewById(R.id.iv_back);
        this.btnCancel = (TextView) findViewById(R.id.btn_cancel);
        this.btnOk = (TextView) findViewById(R.id.bt_ok);
        this.back.setOnClickListener(this);
        this.btnCancel.setOnClickListener(this);
        this.btnOk.setOnClickListener(this);
        if (getIntent() != null) {
            this.width = getIntent().getIntExtra(ViewHierarchyConstants.DIMENSION_WIDTH_KEY, 200);
            this.height = getIntent().getIntExtra("height", 200);
        } else {
            this.width = 200;
            this.height = 200;
        }
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        if (this.type == 1) {
            this.clipViewLayout1.setVisibility(0);
            this.clipViewLayout2.setVisibility(8);
            this.clipViewLayout1.setImageSrc(getIntent().getData());
            this.clipViewLayout1.setSize(this.width, this.height);
            return;
        }
        this.clipViewLayout2.setVisibility(0);
        this.clipViewLayout1.setVisibility(8);
        this.clipViewLayout2.setImageSrc(getIntent().getData());
        this.clipViewLayout2.setSize(this.width, this.height);
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.bt_ok) {
            generateUriAndReturn();
        } else if (id == R.id.btn_cancel) {
            finish();
        } else {
            if (id != R.id.iv_back) {
                return;
            }
            finish();
        }
    }

    /* renamed from: com.yucheng.smarthealthpro.perfect.ui.ClipImageActivity$1, reason: invalid class name */
    class AnonymousClass1 implements Runnable {
        AnonymousClass1() {
        }

        @Override // java.lang.Runnable
        public void run() {
            Bitmap clip = ClipImageActivity.this.type == 1 ? ClipImageActivity.this.clipViewLayout1.clip() : ClipImageActivity.this.clipViewLayout2.clip();
            if (clip == null) {
                Log.e("android", "zoomedCropBitmap == null");
                return;
            }
            final Uri fromFile = Uri.fromFile(new File(ClipImageActivity.this.getCacheDir(), "cropped_" + System.currentTimeMillis() + ".png"));
            if (fromFile != null) {
                OutputStream outputStream = null;
                try {
                } catch (IOException e2) {
                    e2.printStackTrace();
                }
                try {
                    try {
                        outputStream = ClipImageActivity.this.getContentResolver().openOutputStream(fromFile);
                        if (outputStream != null) {
                            clip.compress(Bitmap.CompressFormat.JPEG, 100, outputStream);
                        }
                    } catch (Exception e3) {
                        e3.printStackTrace();
                        Log.e("android", "Cannot open file: " + fromFile, e3);
                        if (outputStream != null) {
                            outputStream.close();
                        }
                    }
                    if (outputStream != null) {
                        outputStream.close();
                    }
                    ClipImageActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.perfect.ui.ClipImageActivity$1$$ExternalSyntheticLambda0
                        @Override // java.lang.Runnable
                        public final void run() {
                            ClipImageActivity.AnonymousClass1.this.m486x83a6a70d(fromFile);
                        }
                    });
                } catch (Throwable th) {
                    if (outputStream != null) {
                        try {
                            outputStream.close();
                        } catch (IOException e4) {
                            e4.printStackTrace();
                        }
                    }
                    throw th;
                }
            }
        }

        /* renamed from: lambda$run$0$com-yucheng-smarthealthpro-perfect-ui-ClipImageActivity$1, reason: not valid java name */
        /* synthetic */ void m486x83a6a70d(Uri uri) {
            ClipImageActivity.this.mLoading.dismiss();
            Intent intent = new Intent();
            intent.setData(uri);
            ClipImageActivity.this.setResult(-1, intent);
            ClipImageActivity.this.finish();
        }
    }

    private void generateUriAndReturn() {
        this.mLoading.show();
        new Thread(new AnonymousClass1()).start();
    }
}
