package com.yucheng.smarthealthpro.perfect.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.RadioButton;
import android.widget.RelativeLayout;

/* loaded from: classes2.dex */
public class RelativeRadioGroup extends RelativeLayout implements CompoundButton.OnCheckedChangeListener {
    private int checkId;
    private CompoundButton.OnCheckedChangeListener mChildOnCheckedChangeListener;

    public RelativeRadioGroup(Context context) {
        super(context);
        this.checkId = -1;
    }

    public RelativeRadioGroup(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.checkId = -1;
    }

    public RelativeRadioGroup(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.checkId = -1;
    }

    @Override // android.widget.RelativeLayout, android.view.ViewGroup, android.view.View
    protected void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        for (int i6 = 0; i6 < getChildCount(); i6++) {
            View childAt = getChildAt(i6);
            if ((childAt instanceof RadioButton) && !(childAt instanceof CompoundButton.OnCheckedChangeListener)) {
                ((RadioButton) childAt).setOnCheckedChangeListener(this);
            }
        }
    }

    @Override // android.widget.CompoundButton.OnCheckedChangeListener
    public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
        setCheck(compoundButton.getId(), z);
    }

    public void check(int i2) {
        if (i2 == -1 || this.checkId == i2) {
            return;
        }
        setCheck(i2, true);
    }

    public void clearCheck() {
        setCheck(-1, false);
    }

    public int getCheckedRadioButtonId() {
        return this.checkId;
    }

    private void setCheck(int i2, boolean z) {
        if (i2 == -1 || this.checkId != i2) {
            if (i2 != -1) {
                CompoundButton compoundButton = (CompoundButton) findViewById(i2);
                if (i2 != this.checkId && z) {
                    this.checkId = i2;
                    CompoundButton.OnCheckedChangeListener onCheckedChangeListener = this.mChildOnCheckedChangeListener;
                    if (onCheckedChangeListener != null) {
                        onCheckedChangeListener.onCheckedChanged(compoundButton, true);
                    }
                    for (int i3 = 0; i3 < getChildCount(); i3++) {
                        View childAt = getChildAt(i3);
                        boolean z2 = childAt instanceof RadioButton;
                        if (z2 && childAt.getId() != i2) {
                            ((RadioButton) childAt).setChecked(false);
                        } else if (z2 && childAt.getId() == i2) {
                            ((RadioButton) childAt).setChecked(true);
                        }
                    }
                }
                if (i2 != this.checkId || z) {
                    return;
                }
                this.checkId = i2;
                CompoundButton.OnCheckedChangeListener onCheckedChangeListener2 = this.mChildOnCheckedChangeListener;
                if (onCheckedChangeListener2 != null) {
                    onCheckedChangeListener2.onCheckedChanged(compoundButton, false);
                    return;
                }
                return;
            }
            if (this.checkId != -1) {
                this.checkId = -1;
                CompoundButton compoundButton2 = (CompoundButton) findViewById(-1);
                if (compoundButton2 instanceof RadioButton) {
                    compoundButton2.setChecked(false);
                }
            }
        }
    }

    public void setOnCheckedChangeListener(CompoundButton.OnCheckedChangeListener onCheckedChangeListener) {
        this.mChildOnCheckedChangeListener = onCheckedChangeListener;
    }
}
