package com.yucheng.smarthealthpro.settings;

import android.graphics.Bitmap;
import android.graphics.BitmapShader;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffXfermode;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.Shader;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.autonavi.amap.mapcore.tools.GlMapUtil;
import com.facebook.appevents.internal.ViewHierarchyConstants;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.framework.view.NavigationBar;
import com.yucheng.smarthealthpro.utils.QrCodeUtils;
import com.yucheng.smarthealthpro.utils.ShareUtils;
import com.yucheng.smarthealthpro.utils.Tools;
import com.yucheng.ycbtsdk.YCBTClient;
import com.yucheng.ycbtsdk.gatt.MyBleService;
import java.util.ArrayList;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: AboutDeviceActivity.kt */
@Metadata(d1 = {"\u00002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\b\n\u0002\u0010\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\u00020\u0001:\u0001\u0016B\u0005¢\u0006\u0002\u0010\u0002J0\u0010\u0005\u001a\u0004\u0018\u00010\u00062\u0006\u0010\u0007\u001a\u00020\u00062\u0006\u0010\b\u001a\u00020\t2\u0006\u0010\n\u001a\u00020\t2\u0006\u0010\u000b\u001a\u00020\t2\u0006\u0010\f\u001a\u00020\tJ*\u0010\r\u001a\u0004\u0018\u00010\u00062\u0006\u0010\u0007\u001a\u00020\u00062\u0006\u0010\u000e\u001a\u00020\t2\u0006\u0010\u000f\u001a\u00020\t2\u0006\u0010\u0010\u001a\u00020\tH\u0002J\b\u0010\u0011\u001a\u00020\u0012H\u0002J\u0012\u0010\u0013\u001a\u00020\u00122\b\u0010\u0014\u001a\u0004\u0018\u00010\u0015H\u0014R\u0010\u0010\u0003\u001a\u0004\u0018\u00010\u0004X\u0082\u000e¢\u0006\u0002\n\u0000¨\u0006\u0017"}, d2 = {"Lcom/yucheng/smarthealthpro/settings/AboutDeviceActivity;", "Lcom/yucheng/smarthealthpro/base/BaseActivity;", "()V", "myBleService", "Lcom/yucheng/ycbtsdk/gatt/MyBleService;", "getRoundBitmapByShader", "Landroid/graphics/Bitmap;", "bitmap", "outWidth", "", "outHeight", "radius", "boarder", "getRoundedCornerBitmap", ViewHierarchyConstants.DIMENSION_WIDTH_KEY, "height", "roundPx", "initView", "", "onCreate", "savedInstanceState", "Landroid/os/Bundle;", "AboutAdapter", "app_HealthWearRelease"}, k = 1, mv = {1, 8, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class AboutDeviceActivity extends BaseActivity {
    private MyBleService myBleService;

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about_device);
        this.myBleService = MyBleService.getInstance();
        changeTitle(getString(R.string.about_device));
        showBack();
        initView();
    }

    private final void initView() {
        String bindDeviceVersion = YCBTClient.getBindDeviceVersion();
        final String bindDeviceMac = YCBTClient.getBindDeviceMac();
        final String deviceType = Tools.getDeviceType(this.context);
        RecyclerView recyclerView = (RecyclerView) findViewById(R.id.recyclerview);
        recyclerView.setNestedScrollingEnabled(false);
        AboutAdapter aboutAdapter = new AboutAdapter();
        aboutAdapter.getKeyList().add(getString(R.string.firmware_version));
        aboutAdapter.getDataList().add(bindDeviceVersion);
        aboutAdapter.getKeyList().add(getString(R.string.bluetooth_address));
        aboutAdapter.getDataList().add(bindDeviceMac);
        recyclerView.setAdapter(aboutAdapter);
        final ImageView imageView = (ImageView) findViewById(R.id.ivQr);
        imageView.postDelayed(new Runnable() { // from class: com.yucheng.smarthealthpro.settings.AboutDeviceActivity$$ExternalSyntheticLambda1
            @Override // java.lang.Runnable
            public final void run() {
                AboutDeviceActivity.initView$lambda$4$lambda$3(AboutDeviceActivity.this, deviceType, bindDeviceMac, imageView);
            }
        }, 200L);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static final void initView$lambda$4$lambda$3(final AboutDeviceActivity this$0, String str, String str2, ImageView imageView) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        final Bitmap createQRImage = QrCodeUtils.INSTANCE.createQRImage(this$0, str + '_' + str2, null, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH, GlMapUtil.DEVICE_DISPLAY_DPI_XHIGH);
        if (createQRImage != null) {
            imageView.setImageBitmap(createQRImage);
            this$0.showRightImage(R.mipmap.topbar_ic_share, new NavigationBar.MyOnClickListener() { // from class: com.yucheng.smarthealthpro.settings.AboutDeviceActivity$$ExternalSyntheticLambda0
                @Override // com.yucheng.smarthealthpro.framework.view.NavigationBar.MyOnClickListener
                public final void onClick(View view) {
                    AboutDeviceActivity.initView$lambda$4$lambda$3$lambda$2$lambda$1(AboutDeviceActivity.this, createQRImage, view);
                }
            });
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static final void initView$lambda$4$lambda$3$lambda$2$lambda$1(AboutDeviceActivity this$0, Bitmap bitmap, View view) {
        Intrinsics.checkNotNullParameter(this$0, "this$0");
        Intrinsics.checkNotNullParameter(bitmap, "$bitmap");
        ShareUtils.share(this$0, bitmap, "QRCode");
    }

    /* compiled from: AboutDeviceActivity.kt */
    @Metadata(d1 = {"\u00006\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u000e\n\u0002\u0018\u0002\n\u0002\b\b\n\u0002\u0010\b\n\u0000\n\u0002\u0010\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0002\b\u0002\u0018\u00002\b\u0012\u0004\u0012\u00020\u00020\u0001B\u0005¢\u0006\u0002\u0010\u0003J\b\u0010\u000f\u001a\u00020\u0010H\u0016J\u0018\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0013\u001a\u00020\u00022\u0006\u0010\u0014\u001a\u00020\u0010H\u0016J\u0018\u0010\u0015\u001a\u00020\u00022\u0006\u0010\u0016\u001a\u00020\u00172\u0006\u0010\u0018\u001a\u00020\u0010H\u0016R*\u0010\u0004\u001a\u0012\u0012\u0004\u0012\u00020\u00060\u0005j\b\u0012\u0004\u0012\u00020\u0006`\u0007X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\b\u0010\t\"\u0004\b\n\u0010\u000bR*\u0010\f\u001a\u0012\u0012\u0004\u0012\u00020\u00060\u0005j\b\u0012\u0004\u0012\u00020\u0006`\u0007X\u0086\u000e¢\u0006\u000e\n\u0000\u001a\u0004\b\r\u0010\t\"\u0004\b\u000e\u0010\u000b¨\u0006\u0019"}, d2 = {"Lcom/yucheng/smarthealthpro/settings/AboutDeviceActivity$AboutAdapter;", "Landroidx/recyclerview/widget/RecyclerView$Adapter;", "Landroidx/recyclerview/widget/RecyclerView$ViewHolder;", "()V", "dataList", "Ljava/util/ArrayList;", "", "Lkotlin/collections/ArrayList;", "getDataList", "()Ljava/util/ArrayList;", "setDataList", "(Ljava/util/ArrayList;)V", "keyList", "getKeyList", "setKeyList", "getItemCount", "", "onBindViewHolder", "", "holder", "position", "onCreateViewHolder", "parent", "Landroid/view/ViewGroup;", "viewType", "app_HealthWearRelease"}, k = 1, mv = {1, 8, 0}, xi = 48)
    public static final class AboutAdapter extends RecyclerView.Adapter<RecyclerView.ViewHolder> {
        private ArrayList<String> keyList = new ArrayList<>();
        private ArrayList<String> dataList = new ArrayList<>();

        public final ArrayList<String> getKeyList() {
            return this.keyList;
        }

        public final void setKeyList(ArrayList<String> arrayList) {
            Intrinsics.checkNotNullParameter(arrayList, "<set-?>");
            this.keyList = arrayList;
        }

        public final ArrayList<String> getDataList() {
            return this.dataList;
        }

        public final void setDataList(ArrayList<String> arrayList) {
            Intrinsics.checkNotNullParameter(arrayList, "<set-?>");
            this.dataList = arrayList;
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
            Intrinsics.checkNotNullParameter(parent, "parent");
            final View inflate = LayoutInflater.from(parent.getContext()).inflate(R.layout.layout_device_info, parent, false);
            return new RecyclerView.ViewHolder(inflate) { // from class: com.yucheng.smarthealthpro.settings.AboutDeviceActivity$AboutAdapter$onCreateViewHolder$1
            };
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public int getItemCount() {
            return this.dataList.size();
        }

        @Override // androidx.recyclerview.widget.RecyclerView.Adapter
        public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
            Intrinsics.checkNotNullParameter(holder, "holder");
            ((TextView) holder.itemView.findViewById(R.id.tvTag)).setText(this.keyList.get(position));
            ((TextView) holder.itemView.findViewById(R.id.tvContent)).setText(this.dataList.get(position));
        }
    }

    private final Bitmap getRoundedCornerBitmap(Bitmap bitmap, int width, int height, int roundPx) {
        int i2 = roundPx * 2;
        int i3 = width + i2;
        int i4 = i2 + height;
        Bitmap createBitmap = Bitmap.createBitmap(i3, i4, Bitmap.Config.ARGB_8888);
        Intrinsics.checkNotNullExpressionValue(createBitmap, "createBitmap(width + rou… Bitmap.Config.ARGB_8888)");
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint();
        RectF rectF = new RectF(new Rect(0, 0, i3, i4));
        paint.setAntiAlias(true);
        canvas.drawARGB(0, 0, 0, 0);
        paint.setColor(-1);
        float f2 = roundPx;
        canvas.drawRoundRect(rectF, f2, f2, paint);
        paint.setXfermode(new PorterDuffXfermode(PorterDuff.Mode.SRC_OVER));
        Bitmap roundBitmapByShader = getRoundBitmapByShader(bitmap, width, height, roundPx, 1);
        if (roundBitmapByShader != null) {
            canvas.drawBitmap(roundBitmapByShader, f2, f2, paint);
        }
        return createBitmap;
    }

    public final Bitmap getRoundBitmapByShader(Bitmap bitmap, int outWidth, int outHeight, int radius, int boarder) {
        Intrinsics.checkNotNullParameter(bitmap, "bitmap");
        float height = (outHeight * 1.0f) / bitmap.getHeight();
        Matrix matrix = new Matrix();
        matrix.setScale((outWidth * 1.0f) / bitmap.getWidth(), height);
        Bitmap createBitmap = Bitmap.createBitmap(outWidth, outHeight, Bitmap.Config.ARGB_8888);
        Intrinsics.checkNotNullExpressionValue(createBitmap, "createBitmap(outWidth, o… Bitmap.Config.ARGB_8888)");
        Canvas canvas = new Canvas(createBitmap);
        Paint paint = new Paint(1);
        BitmapShader bitmapShader = new BitmapShader(bitmap, Shader.TileMode.CLAMP, Shader.TileMode.CLAMP);
        bitmapShader.setLocalMatrix(matrix);
        paint.setShader(bitmapShader);
        float f2 = boarder;
        RectF rectF = new RectF(f2, f2, outWidth - boarder, outHeight - boarder);
        float f3 = radius;
        canvas.drawRoundRect(rectF, f3, f3, paint);
        if (boarder > 0) {
            Paint paint2 = new Paint(1);
            paint2.setColor(Color.parseColor("#444444"));
            paint2.setStyle(Paint.Style.STROKE);
            paint2.setStrokeWidth(f2);
            canvas.drawRoundRect(rectF, f3, f3, paint2);
        }
        return createBitmap;
    }
}
