package com.yucheng.smarthealthpro.sport.activity;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.app.ActivityCompat;
import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClient;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.location.AMapLocationListener;
import com.amap.api.maps.AMap;
import com.amap.api.maps.CameraUpdateFactory;
import com.amap.api.maps.LocationSource;
import com.amap.api.maps.MapView;
import com.amap.api.maps.model.BitmapDescriptorFactory;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.amap.api.maps.model.MarkerOptions;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.maps.model.Polyline;
import com.amap.api.maps.model.PolylineOptions;
import com.facebook.internal.security.CertificateUtil;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.OnMapReadyCallback;
import com.google.android.gms.maps.SupportMapFragment;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.gyf.immersionbar.ImmersionBar;
import com.orhanobut.logger.Logger;
import com.yanzhenjie.permission.Permission;
import com.yucheng.HealthWear.R;
import com.yucheng.smarthealthpro.base.BaseActivity;
import com.yucheng.smarthealthpro.customchart.charts.LineChart;
import com.yucheng.smarthealthpro.customchart.temperature.TempLineChartUtils;
import com.yucheng.smarthealthpro.framework.util.SharedPreferencesUtils;
import com.yucheng.smarthealthpro.greendao.bean.MotionPatternDb;
import com.yucheng.smarthealthpro.greendao.utils.MotionPatternDbUtils;
import com.yucheng.smarthealthpro.home.activity.temperature.bean.TemperatureHisListBean;
import com.yucheng.smarthealthpro.sport.SportType;
import com.yucheng.smarthealthpro.sport.bean.SportHisListBean;
import com.yucheng.smarthealthpro.sport.utils.PathSmoothTool;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.smarthealthpro.utils.ShareUtils;
import com.yucheng.smarthealthpro.utils.TimeStampUtils;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collections;
import java.util.List;

/* loaded from: classes2.dex */
public class SportRunningHisMapActivity extends BaseActivity implements OnMapReadyCallback, AMapLocationListener {
    private boolean isGpsMap = false;

    @BindView(R.id.iv_back)
    ImageView ivBack;

    @BindView(R.id.iv_bg)
    ImageView ivBg;

    @BindView(R.id.iv_location)
    ImageView ivLocation;

    @BindView(R.id.iv_sport_img)
    ImageView ivSportImg;

    @BindView(R.id.ll_fourthly)
    LinearLayout llFourthly;

    @BindView(R.id.llStep)
    LinearLayout llStep;

    @BindView(R.id.ll_thirdly)
    LinearLayout llThirdly;
    private AMapLocationClient locationClient;
    private AMap mAMap;

    @BindView(R.id.line_chart_day)
    LineChart mHeartRateChart;
    AMapLocationClientOption mLocationOption;
    private GoogleMap mMap;

    @BindView(R.id.map)
    MapView mMapView;
    private SportHisListBean mSportHisListBean;
    private int mSportType;
    private SupportMapFragment mapFragment;
    private String mapType;
    AMapLocationClient mlocationClient;
    private LocationSource.OnLocationChangedListener onLocationChangedListener;
    private Polyline polyline;

    @BindView(R.id.rl_sport_his_map)
    RelativeLayout rlSportHisMap;

    @BindView(R.id.tv_distance)
    TextView tvDistance;

    @BindView(R.id.tv_first_value)
    TextView tvFirstValue;

    @BindView(R.id.tv_fourthly_value)
    TextView tvFourthlyValue;

    @BindView(R.id.tv_keep_time)
    TextView tvKeepTime;

    @BindView(R.id.tv_motorPattern)
    TextView tvMotorPattern;

    @BindView(R.id.tv_second_value)
    TextView tvSecondValue;

    @BindView(R.id.tv_step_value)
    TextView tvStepValue;

    @BindView(R.id.tv_thirdly_value)
    TextView tvThirdlyValue;

    @BindView(R.id.tv_time)
    TextView tvTime;

    @BindView(R.id.tv_unit)
    TextView tvUnit;

    @BindView(R.id.view_back)
    View viewBack;

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_sportrunninghismap);
        ButterKnife.bind(this);
        initView(bundle);
        ImmersionBar.with(this).titleBar(this.bar).statusBarDarkFont(true, 0.0f).navigationBarDarkIcon(true, 0.0f).navigationBarColor(R.color.transparent).keyboardEnable(true).init();
    }

    private void initView(Bundle bundle) {
        String stringExtra = getIntent().getStringExtra("map");
        this.mapType = stringExtra;
        if (stringExtra != null && stringExtra.equals("googleMap")) {
            SupportMapFragment supportMapFragment = (SupportMapFragment) getSupportFragmentManager().findFragmentById(R.id.map_google);
            this.mapFragment = supportMapFragment;
            if (supportMapFragment != null) {
                supportMapFragment.getMapAsync(this);
                return;
            }
            return;
        }
        this.mMapView.onCreate(bundle);
        this.mAMap = this.mMapView.getMap();
        if (getString(R.string.lan).equals("cn")) {
            this.mAMap.setMapLanguage("zh_ch");
        } else {
            this.mAMap.setMapLanguage("en");
        }
        this.mAMap.moveCamera(CameraUpdateFactory.zoomTo(15.0f));
        double parseDouble = Double.parseDouble(SharedPreferencesUtils.get(this.context, Constant.Location.Latitude, "-1").toString());
        double parseDouble2 = Double.parseDouble(SharedPreferencesUtils.get(this.context, Constant.Location.Longitude, "-1").toString());
        if (parseDouble != -1.0d && parseDouble2 != -1.0d) {
            this.mAMap.moveCamera(CameraUpdateFactory.newLatLng(new LatLng(parseDouble, parseDouble2)));
        }
        initData();
    }

    private void initData() {
        String str;
        SportHisListBean sportHisListBean = (SportHisListBean) getIntent().getSerializableExtra("hislist");
        this.mSportHisListBean = sportHisListBean;
        if (sportHisListBean != null) {
            int type = sportHisListBean.getType();
            this.mSportType = type;
            if (type == 1 || type == 3 || type == 16 || type == 11 || type == 15) {
                this.isGpsMap = true;
                this.viewBack.setVisibility(8);
                List<LatLng> list = (List) new Gson().fromJson(this.mSportHisListBean.getPathLinePoints(), new TypeToken<List<LatLng>>() { // from class: com.yucheng.smarthealthpro.sport.activity.SportRunningHisMapActivity.1
                }.getType());
                String str2 = this.mapType;
                if (str2 != null && str2.equals("googleMap")) {
                    this.mMapView.setVisibility(8);
                    if (list != null && list.size() != 0 && this.mMap != null) {
                        makegoogleline(list);
                    }
                } else {
                    this.mMapView.getMap().getUiSettings().setZoomControlsEnabled(false);
                    this.mMapView.setVisibility(0);
                    makeline(list);
                }
            } else {
                this.isGpsMap = false;
                this.viewBack.setVisibility(0);
                this.mMapView.setVisibility(0);
                this.llThirdly.setVisibility(0);
                this.llFourthly.setVisibility(0);
                MyLocationStyle myLocationStyle = new MyLocationStyle();
                myLocationStyle.myLocationType(1);
                this.mMapView.getMap().setMyLocationStyle(myLocationStyle);
                this.mMapView.getMap().getUiSettings().setMyLocationButtonEnabled(false);
                this.mMapView.getMap().setMyLocationEnabled(true);
                this.mMapView.getMap().getUiSettings().setZoomControlsEnabled(false);
            }
            int[] ids = SportType.getIds(this.mSportHisListBean.getType());
            this.tvMotorPattern.setText(getString(ids[0]));
            this.ivSportImg.setBackgroundResource(ids[1]);
            this.llStep.setVisibility(ids[2] == 0 ? 8 : 0);
            this.tvStepValue.setVisibility(ids[2] == 0 ? 8 : 0);
            this.tvDistance.setVisibility(ids[3] == 0 ? 8 : 0);
            this.tvUnit.setVisibility(ids[3] != 0 ? 0 : 8);
            String str3 = (String) SharedPreferencesUtils.get(this.context, Constant.SpConstKey.UNIT, "");
            if (str3 != null && str3.equals(Constant.SpConstValue.INCH)) {
                this.tvDistance.setText(String.format("%.2f", Float.valueOf(this.mSportHisListBean.getDistance() / 1609.344f)));
                this.tvUnit.setText(getString(R.string.dis_inch_unit));
            } else {
                this.tvDistance.setText(String.format("%.2f", Float.valueOf(this.mSportHisListBean.getDistance() / 1000.0f)));
                this.tvUnit.setText(getString(R.string.dis_km_unit));
            }
            this.tvTime.setText(TimeStampUtils.dateForString(TimeStampUtils.longStampForDate(this.mSportHisListBean.getBeginDate())) + "");
            this.tvKeepTime.setText(TimeStampUtils.parseSecond(this.mSportHisListBean.getRunTime()));
            this.tvFirstValue.setText(this.mSportHisListBean.getHeart() + "");
            this.tvStepValue.setText(this.mSportHisListBean.getSportStep() + "");
            this.tvSecondValue.setText(this.mSportHisListBean.getCalorie() + "");
            String minkm = this.mSportHisListBean.getMinkm();
            TextView textView = this.tvThirdlyValue;
            if (minkm == null) {
                str = "0";
            } else {
                str = minkm + "";
            }
            textView.setText(str);
            this.tvFourthlyValue.setText(new BigDecimal(this.mSportHisListBean.getKmh()).setScale(2, 4).floatValue() + "");
        }
    }

    private void initHeartRateData() {
        MotionPatternDbUtils motionPatternDbUtils = new MotionPatternDbUtils();
        long beginDate = this.mSportHisListBean.getBeginDate();
        List<MotionPatternDb> queryByTimeRange = motionPatternDbUtils.queryByTimeRange(beginDate, (this.mSportHisListBean.getRunTime() * 1000) + beginDate);
        ArrayList arrayList = new ArrayList();
        if (queryByTimeRange == null || queryByTimeRange.size() == 0) {
            this.mHeartRateChart.setVisibility(4);
            return;
        }
        this.mHeartRateChart.setVisibility(0);
        Calendar calendar = Calendar.getInstance();
        int i2 = 0;
        long j2 = 0;
        long j3 = 0;
        int i3 = 0;
        int i4 = 0;
        for (int i5 = 0; i5 < queryByTimeRange.size(); i5++) {
            if (queryByTimeRange.get(i5).getSportHeartRate() >= 40 && queryByTimeRange.get(i5).getSportHeartRate() <= 220) {
                j2 = queryByTimeRange.get(i5).getStartTime();
                j3 = queryByTimeRange.get(i5).getStartTime();
                calendar.setTimeInMillis(j2);
                int min = getMin(calendar);
                if (i3 == 0 || i3 > min) {
                    i3 = min;
                }
                calendar.setTimeInMillis(j3);
                int min2 = getMin(calendar);
                if (i4 == 0 || i4 < min2) {
                    i4 = min2;
                }
                if (i2 == 0 || i2 != min) {
                    arrayList.add(new TemperatureHisListBean(TimeStampUtils.dateForStringToDate(TimeStampUtils.longStampForDate(queryByTimeRange.get(i5).getStartTime())), queryByTimeRange.get(i5).getSportHeartRate() + "", "正常"));
                    i2 = min;
                }
            }
        }
        String toDay = TimeStampUtils.getToDay();
        calendar.setTimeInMillis(j2);
        calendar.setTimeInMillis(j3);
        Collections.reverse(arrayList);
        TempLineChartUtils.initLineChart(this.mHeartRateChart, this.context, arrayList, toDay, null, TempLineChartUtils.FUNCTION.HRV, 220.0f, 0.0f, i4, i3, 5, 5, TempLineChartUtils.FORMATTER.DAY, true);
    }

    public int getMin(Calendar calendar) {
        return calendar.get(12) + (calendar.get(11) * 60);
    }

    @OnClick({R.id.iv_back, R.id.iv_location})
    public void onViewClicked(View view) {
        int id = view.getId();
        if (id == R.id.iv_back) {
            finish();
            return;
        }
        if (id != R.id.iv_location) {
            return;
        }
        if (this.isGpsMap) {
            String str = this.mapType;
            if (str != null && str.equals("googleMap")) {
                this.mMap.snapshot(new GoogleMap.SnapshotReadyCallback() { // from class: com.yucheng.smarthealthpro.sport.activity.SportRunningHisMapActivity.2
                    @Override // com.google.android.gms.maps.GoogleMap.SnapshotReadyCallback
                    public void onSnapshotReady(final Bitmap bitmap) {
                        SportRunningHisMapActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.sport.activity.SportRunningHisMapActivity.2.1
                            @Override // java.lang.Runnable
                            public void run() {
                                SportRunningHisMapActivity.this.ivBg.setVisibility(0);
                                SportRunningHisMapActivity.this.ivBg.setImageBitmap(bitmap);
                                ShareUtils.share(SportRunningHisMapActivity.this);
                                SportRunningHisMapActivity.this.ivBg.setVisibility(8);
                            }
                        });
                    }
                });
                return;
            } else {
                this.mAMap.getMapScreenShot(new AMap.OnMapScreenShotListener() { // from class: com.yucheng.smarthealthpro.sport.activity.SportRunningHisMapActivity.3
                    @Override // com.amap.api.maps.AMap.OnMapScreenShotListener
                    public void onMapScreenShot(Bitmap bitmap, int i2) {
                    }

                    @Override // com.amap.api.maps.AMap.OnMapScreenShotListener
                    public void onMapScreenShot(final Bitmap bitmap) {
                        SportRunningHisMapActivity.this.runOnUiThread(new Runnable() { // from class: com.yucheng.smarthealthpro.sport.activity.SportRunningHisMapActivity.3.1
                            @Override // java.lang.Runnable
                            public void run() {
                                SportRunningHisMapActivity.this.ivBg.setVisibility(0);
                                SportRunningHisMapActivity.this.ivBg.setImageBitmap(bitmap);
                                ShareUtils.share(SportRunningHisMapActivity.this);
                                SportRunningHisMapActivity.this.ivBg.setVisibility(8);
                            }
                        });
                    }
                });
                return;
            }
        }
        ShareUtils.share(this);
    }

    private void makeline(List<LatLng> list) {
        if (list != null && list.size() > 0) {
            PathSmoothTool pathSmoothTool = new PathSmoothTool();
            pathSmoothTool.setIntensity(4);
            List<LatLng> pathOptimize = pathSmoothTool.pathOptimize(list);
            if (pathOptimize.size() > 0) {
                this.polyline = this.mAMap.addPolyline(new PolylineOptions().addAll(pathOptimize).color(-16776961));
                this.mAMap.moveCamera(CameraUpdateFactory.newLatLngBounds(getBounds(pathOptimize), 200));
                makePoint(pathOptimize.get(0), 0);
                makePoint(pathOptimize.get(pathOptimize.size() - 1), 1);
                return;
            }
            this.mAMap.moveCamera(CameraUpdateFactory.newLatLngBounds(getBounds(list), 200));
            makePoint(list.get(0), 0);
            makePoint(list.get(list.size() - 1), 1);
            return;
        }
        this.mAMap.setLocationSource(new LocationSource() { // from class: com.yucheng.smarthealthpro.sport.activity.SportRunningHisMapActivity.4
            @Override // com.amap.api.maps.LocationSource
            public void activate(LocationSource.OnLocationChangedListener onLocationChangedListener) {
                SportRunningHisMapActivity.this.onLocationChangedListener = onLocationChangedListener;
                if (SportRunningHisMapActivity.this.locationClient == null) {
                    try {
                        SportRunningHisMapActivity.this.locationClient = new AMapLocationClient(SportRunningHisMapActivity.this);
                    } catch (Exception e2) {
                        e2.printStackTrace();
                    }
                    AMapLocationClientOption aMapLocationClientOption = new AMapLocationClientOption();
                    SportRunningHisMapActivity.this.locationClient.setLocationListener(SportRunningHisMapActivity.this);
                    aMapLocationClientOption.setLocationMode(AMapLocationClientOption.AMapLocationMode.Hight_Accuracy);
                    aMapLocationClientOption.setOnceLocation(true);
                    SportRunningHisMapActivity.this.locationClient.setLocationOption(aMapLocationClientOption);
                    SportRunningHisMapActivity.this.locationClient.startLocation();
                    Logger.d("chong------开启定位");
                }
            }

            @Override // com.amap.api.maps.LocationSource
            public void deactivate() {
                if (SportRunningHisMapActivity.this.locationClient != null) {
                    SportRunningHisMapActivity.this.locationClient.stopLocation();
                    SportRunningHisMapActivity.this.locationClient.onDestroy();
                }
            }
        });
        this.mAMap.setMyLocationEnabled(true);
    }

    @Override // com.amap.api.location.AMapLocationListener
    public void onLocationChanged(AMapLocation aMapLocation) {
        if (this.onLocationChangedListener == null || aMapLocation == null) {
            return;
        }
        if (aMapLocation.getErrorCode() == 0) {
            this.onLocationChangedListener.onLocationChanged(aMapLocation);
            Logger.d("chong------定位成功" + aMapLocation.getLatitude() + CertificateUtil.DELIMITER + aMapLocation.getLongitude());
            return;
        }
        Logger.d("chong------定位失败" + aMapLocation.getErrorCode() + CertificateUtil.DELIMITER + aMapLocation.getErrorInfo());
    }

    private LatLngBounds getBounds(List<LatLng> list) {
        LatLngBounds.Builder builder = LatLngBounds.builder();
        if (list == null) {
            return builder.build();
        }
        for (int i2 = 0; i2 < list.size(); i2++) {
            builder.include(list.get(i2));
        }
        return builder.build();
    }

    public void makePoint(LatLng latLng, int i2) {
        if (i2 == 0) {
            this.mAMap.addMarker(new MarkerOptions().position(latLng).icon(BitmapDescriptorFactory.fromBitmap(BitmapFactory.decodeResource(getResources(), R.mipmap.run_icon))).draggable(true));
        } else {
            this.mAMap.addMarker(new MarkerOptions().position(latLng).icon(BitmapDescriptorFactory.fromBitmap(BitmapFactory.decodeResource(getResources(), R.mipmap.run_icon3))).draggable(true));
        }
    }

    private void makegoogleline(List<LatLng> list) {
        ArrayList arrayList = new ArrayList();
        if (list.size() > 0) {
            for (int i2 = 0; i2 < list.size(); i2++) {
                arrayList.add(new com.google.android.gms.maps.model.LatLng(list.get(i2).latitude, list.get(i2).longitude));
            }
            this.mMap.addPolyline(new com.google.android.gms.maps.model.PolylineOptions().addAll(arrayList));
            this.mMap.moveCamera(com.google.android.gms.maps.CameraUpdateFactory.newLatLng(new com.google.android.gms.maps.model.LatLng(list.get(0).latitude, list.get(0).longitude)));
            makeGooglePoint((com.google.android.gms.maps.model.LatLng) arrayList.get(0), 0);
            makeGooglePoint((com.google.android.gms.maps.model.LatLng) arrayList.get(arrayList.size() - 1), 1);
            return;
        }
        makeGooglePoint((com.google.android.gms.maps.model.LatLng) arrayList.get(0), 0);
    }

    public void makeGooglePoint(com.google.android.gms.maps.model.LatLng latLng, int i2) {
        if (i2 == 0) {
            this.mMap.addMarker(new com.google.android.gms.maps.model.MarkerOptions().position(new com.google.android.gms.maps.model.LatLng(latLng.latitude, latLng.longitude)).title("Marker").icon(com.google.android.gms.maps.model.BitmapDescriptorFactory.fromResource(R.mipmap.run_icon)));
        } else {
            this.mMap.addMarker(new com.google.android.gms.maps.model.MarkerOptions().position(new com.google.android.gms.maps.model.LatLng(latLng.latitude, latLng.longitude)).title("Marker").icon(com.google.android.gms.maps.model.BitmapDescriptorFactory.fromResource(R.mipmap.run_icon3)));
        }
    }

    @Override // com.yucheng.smarthealthpro.base.BaseActivity, com.yucheng.smarthealthpro.framework.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        this.mMapView.onDestroy();
        AMapLocationClient aMapLocationClient = this.mlocationClient;
        if (aMapLocationClient != null) {
            aMapLocationClient.onDestroy();
        }
    }

    @Override // com.google.android.gms.maps.OnMapReadyCallback
    public void onMapReady(GoogleMap googleMap) {
        this.mMap = googleMap;
        googleMap.moveCamera(com.google.android.gms.maps.CameraUpdateFactory.zoomTo(15.0f));
        double parseDouble = Double.parseDouble(SharedPreferencesUtils.get(this.context, Constant.Location.Latitude, "-1").toString());
        double parseDouble2 = Double.parseDouble(SharedPreferencesUtils.get(this.context, Constant.Location.Longitude, "-1").toString());
        if (parseDouble != -1.0d && parseDouble2 != -1.0d) {
            googleMap.moveCamera(com.google.android.gms.maps.CameraUpdateFactory.newLatLng(new com.google.android.gms.maps.model.LatLng(parseDouble, parseDouble2)));
        }
        initData();
        if (ActivityCompat.checkSelfPermission(this, Permission.ACCESS_FINE_LOCATION) == 0 || ActivityCompat.checkSelfPermission(this, Permission.ACCESS_COARSE_LOCATION) == 0) {
            this.mMap.setMyLocationEnabled(false);
        }
    }
}
