package com.yucheng.smarthealthpro.sport.utils;

import com.amap.api.maps.AMapUtils;
import com.amap.api.maps.model.LatLng;
import com.yucheng.smarthealthpro.customchart.utils.Utils;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes2.dex */
public class PathSmoothTool {
    private double currentLocation_x;
    private double currentLocation_y;
    private double estimate_x;
    private double estimate_y;
    private double gauss_x;
    private double gauss_y;
    private double kalmanGain_x;
    private double kalmanGain_y;
    private double lastLocation_x;
    private double lastLocation_y;
    private double mdelt_x;
    private double mdelt_y;
    private double pdelt_x;
    private double pdelt_y;
    private int mIntensity = 3;
    private float mThreshhold = 0.3f;
    private float mNoiseThreshhold = 10.0f;
    private double m_R = Utils.DOUBLE_EPSILON;
    private double m_Q = Utils.DOUBLE_EPSILON;

    public int getIntensity() {
        return this.mIntensity;
    }

    public void setIntensity(int i2) {
        this.mIntensity = i2;
    }

    public float getThreshhold() {
        return this.mThreshhold;
    }

    public void setThreshhold(float f2) {
        this.mThreshhold = f2;
    }

    public void setNoiseThreshhold(float f2) {
        this.mNoiseThreshhold = f2;
    }

    public List<LatLng> pathOptimize(List<LatLng> list) {
        List<LatLng> reducerVerticalThreshold = reducerVerticalThreshold(kalmanFilterPath(removeNoisePoint(list), this.mIntensity), this.mThreshhold);
        return reducerVerticalThreshold == null ? new ArrayList() : reducerVerticalThreshold;
    }

    public List<LatLng> kalmanFilterPath(List<LatLng> list) {
        return kalmanFilterPath(list, this.mIntensity);
    }

    public List<LatLng> removeNoisePoint(List<LatLng> list) {
        return reduceNoisePoint(list, this.mNoiseThreshhold);
    }

    public LatLng kalmanFilterPoint(LatLng latLng, LatLng latLng2) {
        return kalmanFilterPoint(latLng, latLng2, this.mIntensity);
    }

    public List<LatLng> reducerVerticalThreshold(List<LatLng> list) {
        return reducerVerticalThreshold(list, this.mThreshhold);
    }

    private List<LatLng> kalmanFilterPath(List<LatLng> list, int i2) {
        ArrayList arrayList = new ArrayList();
        if (list != null && list.size() > 2) {
            initial();
            LatLng latLng = list.get(0);
            arrayList.add(latLng);
            for (int i3 = 1; i3 < list.size(); i3++) {
                LatLng kalmanFilterPoint = kalmanFilterPoint(latLng, list.get(i3), i2);
                if (kalmanFilterPoint != null) {
                    arrayList.add(kalmanFilterPoint);
                    latLng = kalmanFilterPoint;
                }
            }
        }
        return arrayList;
    }

    /* JADX WARN: Code restructure failed: missing block: B:16:0x001d, code lost:
    
        if (r14 > 5) goto L13;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private com.amap.api.maps.model.LatLng kalmanFilterPoint(com.amap.api.maps.model.LatLng r12, com.amap.api.maps.model.LatLng r13, int r14) {
        /*
            r11 = this;
            double r0 = r11.pdelt_x
            r2 = 0
            int r0 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1))
            if (r0 == 0) goto Le
            double r0 = r11.pdelt_y
            int r0 = (r0 > r2 ? 1 : (r0 == r2 ? 0 : -1))
            if (r0 != 0) goto L11
        Le:
            r11.initial()
        L11:
            r0 = 0
            if (r12 == 0) goto L34
            if (r13 != 0) goto L17
            goto L34
        L17:
            r1 = 1
            if (r14 >= r1) goto L1c
        L1a:
            r14 = r1
            goto L20
        L1c:
            r1 = 5
            if (r14 <= r1) goto L20
            goto L1a
        L20:
            r1 = 0
        L21:
            if (r1 >= r14) goto L34
            double r3 = r12.longitude
            double r5 = r13.longitude
            double r7 = r12.latitude
            double r9 = r13.latitude
            r2 = r11
            com.amap.api.maps.model.LatLng r0 = r2.kalmanFilter(r3, r5, r7, r9)
            int r1 = r1 + 1
            r13 = r0
            goto L21
        L34:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.yucheng.smarthealthpro.sport.utils.PathSmoothTool.kalmanFilterPoint(com.amap.api.maps.model.LatLng, com.amap.api.maps.model.LatLng, int):com.amap.api.maps.model.LatLng");
    }

    private void initial() {
        this.pdelt_x = 0.001d;
        this.pdelt_y = 0.001d;
        this.mdelt_x = 5.698402909980532E-4d;
        this.mdelt_y = 5.698402909980532E-4d;
    }

    private LatLng kalmanFilter(double d2, double d3, double d4, double d5) {
        this.lastLocation_x = d2;
        this.currentLocation_x = d3;
        double d6 = this.pdelt_x;
        double d7 = this.mdelt_x;
        double sqrt = Math.sqrt((d6 * d6) + (d7 * d7)) + this.m_Q;
        this.gauss_x = sqrt;
        double d8 = this.pdelt_x;
        double sqrt2 = Math.sqrt((sqrt * sqrt) / ((sqrt * sqrt) + (d8 * d8))) + this.m_R;
        this.kalmanGain_x = sqrt2;
        double d9 = this.currentLocation_x;
        double d10 = this.lastLocation_x;
        this.estimate_x = ((d9 - d10) * sqrt2) + d10;
        double d11 = this.gauss_x;
        this.mdelt_x = Math.sqrt((1.0d - sqrt2) * d11 * d11);
        this.lastLocation_y = d4;
        this.currentLocation_y = d5;
        double d12 = this.pdelt_y;
        double d13 = this.mdelt_y;
        double sqrt3 = Math.sqrt((d12 * d12) + (d13 * d13)) + this.m_Q;
        this.gauss_y = sqrt3;
        double d14 = this.pdelt_y;
        double sqrt4 = Math.sqrt((sqrt3 * sqrt3) / ((sqrt3 * sqrt3) + (d14 * d14))) + this.m_R;
        this.kalmanGain_y = sqrt4;
        double d15 = this.currentLocation_y;
        double d16 = this.lastLocation_y;
        this.estimate_y = ((d15 - d16) * sqrt4) + d16;
        double d17 = 1.0d - sqrt4;
        double d18 = this.gauss_y;
        this.mdelt_y = Math.sqrt(d17 * d18 * d18);
        return new LatLng(this.estimate_y, this.estimate_x);
    }

    private List<LatLng> reducerVerticalThreshold(List<LatLng> list, float f2) {
        if (list == null) {
            return null;
        }
        if (list.size() <= 2) {
            return list;
        }
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < list.size(); i2++) {
            LatLng lastLocation = getLastLocation(arrayList);
            LatLng latLng = list.get(i2);
            if (lastLocation == null || i2 == list.size() - 1) {
                arrayList.add(latLng);
            } else if (calculateDistanceFromPoint(latLng, lastLocation, list.get(i2 + 1)) > f2) {
                arrayList.add(latLng);
            }
        }
        return arrayList;
    }

    private static LatLng getLastLocation(List<LatLng> list) {
        if (list == null || list.size() == 0) {
            return null;
        }
        return list.get(list.size() - 1);
    }

    private static double calculateDistanceFromPoint(LatLng latLng, LatLng latLng2, LatLng latLng3) {
        double d2;
        double d3;
        double d4 = latLng.longitude - latLng2.longitude;
        double d5 = latLng.latitude - latLng2.latitude;
        double d6 = latLng3.longitude - latLng2.longitude;
        double d7 = latLng3.latitude - latLng2.latitude;
        double d8 = ((d4 * d6) + (d5 * d7)) / ((d6 * d6) + (d7 * d7));
        if (d8 < Utils.DOUBLE_EPSILON || (latLng2.longitude == latLng3.longitude && latLng2.latitude == latLng3.latitude)) {
            d2 = latLng2.longitude;
            d3 = latLng2.latitude;
        } else if (d8 > 1.0d) {
            d2 = latLng3.longitude;
            d3 = latLng3.latitude;
        } else {
            double d9 = latLng2.longitude + (d6 * d8);
            d3 = latLng2.latitude + (d8 * d7);
            d2 = d9;
        }
        return AMapUtils.calculateLineDistance(latLng, new LatLng(d3, d2));
    }

    private List<LatLng> reduceNoisePoint(List<LatLng> list, float f2) {
        if (list == null) {
            return null;
        }
        if (list.size() <= 2) {
            return list;
        }
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < list.size(); i2++) {
            LatLng lastLocation = getLastLocation(arrayList);
            LatLng latLng = list.get(i2);
            if (lastLocation == null || i2 == list.size() - 1) {
                arrayList.add(latLng);
            } else if (calculateDistanceFromPoint(latLng, lastLocation, list.get(i2 + 1)) < f2) {
                arrayList.add(latLng);
            }
        }
        return arrayList;
    }
}
