package com.yucheng.smarthealthpro.utils;

/* loaded from: classes2.dex */
public class HRVUtils {
    public static final int BODY_ABNORMAL = 21;
    public static final int BODY_MILD = 22;
    public static final int BODY_NORMAL = 23;
    public static final int HRV_ABNORMAL = 31;
    public static final int HRV_MILD = 32;
    public static final int HRV_NORMAL = 33;
    public static final int LOAD_RODE_STRONG = 4;
    public static final int LOAD_RODE_STRONGER = 5;
    public static final int LOAD_RODE_SUITABLE = 3;
    public static final int LOAD_RODE_WEAK = 2;
    public static final int LOAD_RODE_WEAKER = 1;
    public static final int PRESSURE_MILD = 12;
    public static final int PRESSURE_MODERATELY = 13;
    public static final int PRESSURE_RELAX = 11;
    public static final int PRESSURE_SEVERE = 14;
    public static final int RR_FAST = 53;
    public static final int RR_NORMAL = 52;
    public static final int RR_SLOW = 51;
    public static final int SP_MILD = 42;
    public static final int SP_MODERATELY = 43;
    public static final int SP_RELAX = 41;
    public static final int SP_SEVERE = 44;

    public static int getBody(float f2) {
        if (f2 >= 0.0f && f2 < 4.0d) {
            return 21;
        }
        double d2 = f2;
        return (d2 < 4.0d || d2 >= 6.0d) ? 23 : 22;
    }

    public static int getHRV(float f2) {
        if (f2 >= 0.0f && f2 < 4.0d) {
            return 31;
        }
        double d2 = f2;
        return (d2 < 4.0d || d2 >= 6.0d) ? 33 : 32;
    }

    public static int getLoadRode(float f2) {
        if (f2 >= 0.0f && f2 < 2.0d) {
            return 1;
        }
        double d2 = f2;
        if (d2 >= 2.0d && d2 < 4.0d) {
            return 2;
        }
        if (d2 < 4.0d || d2 >= 6.0d) {
            return (d2 < 6.0d || d2 >= 8.0d) ? 5 : 4;
        }
        return 3;
    }

    public static int getPressure(float f2) {
        if (f2 >= 0.0f && f2 < 2.6d) {
            return 11;
        }
        double d2 = f2;
        if (d2 < 2.6d || d2 >= 5.1d) {
            return (d2 < 5.1d || d2 >= 8.1d) ? 14 : 13;
        }
        return 12;
    }

    public static int getRespiratoryRate(float f2) {
        if (f2 < 12.0f) {
            return 51;
        }
        return (f2 < 12.0f || f2 >= 24.0f) ? 53 : 52;
    }

    public static int getSympatheticParasympathetic(float f2) {
        if (f2 <= 4.0f) {
            return 42;
        }
        return (((double) f2) < 4.1d || f2 >= 8.0f) ? 44 : 43;
    }

    /*  JADX ERROR: JadxRuntimeException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxRuntimeException: Failed to find switch 'out' block (already processed)
        	at jadx.core.dex.visitors.regions.maker.SwitchRegionMaker.calcSwitchOut(SwitchRegionMaker.java:202)
        	at jadx.core.dex.visitors.regions.maker.SwitchRegionMaker.process(SwitchRegionMaker.java:61)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:115)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.SwitchRegionMaker.processFallThroughCases(SwitchRegionMaker.java:105)
        	at jadx.core.dex.visitors.regions.maker.SwitchRegionMaker.process(SwitchRegionMaker.java:64)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:115)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.SwitchRegionMaker.processFallThroughCases(SwitchRegionMaker.java:105)
        	at jadx.core.dex.visitors.regions.maker.SwitchRegionMaker.process(SwitchRegionMaker.java:64)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:115)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.SwitchRegionMaker.processFallThroughCases(SwitchRegionMaker.java:105)
        	at jadx.core.dex.visitors.regions.maker.SwitchRegionMaker.process(SwitchRegionMaker.java:64)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:115)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.IfRegionMaker.process(IfRegionMaker.java:94)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:109)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.IfRegionMaker.process(IfRegionMaker.java:94)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:109)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.IfRegionMaker.process(IfRegionMaker.java:94)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:109)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.IfRegionMaker.process(IfRegionMaker.java:94)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:109)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.IfRegionMaker.process(IfRegionMaker.java:94)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.traverse(RegionMaker.java:109)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeRegion(RegionMaker.java:69)
        	at jadx.core.dex.visitors.regions.maker.RegionMaker.makeMthRegion(RegionMaker.java:49)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.visit(RegionMakerVisitor.java:25)
        */
    /* JADX WARN: Removed duplicated region for block: B:22:0x0032  */
    /* JADX WARN: Removed duplicated region for block: B:24:0x003a  */
    /* JADX WARN: Removed duplicated region for block: B:30:0x0052  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static java.lang.String getHRVIndex(android.content.Context r1, int r2) {
        /*
            r0 = 1
            if (r2 == r0) goto L82
            r0 = 2
            if (r2 == r0) goto L7a
            r0 = 3
            if (r2 == r0) goto L72
            r0 = 4
            if (r2 == r0) goto L6a
            r0 = 5
            if (r2 == r0) goto L62
            switch(r2) {
                case 11: goto L5a;
                case 12: goto L52;
                case 13: goto L4a;
                case 14: goto L42;
                default: goto L12;
            }
        L12:
            switch(r2) {
                case 21: goto L3a;
                case 22: goto L52;
                case 23: goto L32;
                default: goto L15;
            }
        L15:
            switch(r2) {
                case 31: goto L3a;
                case 32: goto L52;
                case 33: goto L32;
                default: goto L18;
            }
        L18:
            switch(r2) {
                case 42: goto L52;
                case 43: goto L4a;
                case 44: goto L42;
                default: goto L1b;
            }
        L1b:
            switch(r2) {
                case 51: goto L2a;
                case 52: goto L32;
                case 53: goto L22;
                default: goto L1e;
            }
        L1e:
            java.lang.String r1 = ""
            goto L89
        L22:
            r2 = 2131821072(0x7f110210, float:1.9274877E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L2a:
            r2 = 2131821076(0x7f110214, float:1.9274885E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L32:
            r2 = 2131821074(0x7f110212, float:1.927488E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L3a:
            r2 = 2131821071(0x7f11020f, float:1.9274875E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L42:
            r2 = 2131821479(0x7f1103a7, float:1.9275702E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L4a:
            r2 = 2131821293(0x7f1102ed, float:1.9275325E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L52:
            r2 = 2131821073(0x7f110211, float:1.9274879E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L5a:
            r2 = 2131821075(0x7f110213, float:1.9274883E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L62:
            r2 = 2131821566(0x7f1103fe, float:1.9275879E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L6a:
            r2 = 2131821077(0x7f110215, float:1.9274887E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L72:
            r2 = 2131821078(0x7f110216, float:1.927489E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L7a:
            r2 = 2131821079(0x7f110217, float:1.9274891E38)
            java.lang.String r1 = r1.getString(r2)
            goto L89
        L82:
            r2 = 2131821080(0x7f110218, float:1.9274893E38)
            java.lang.String r1 = r1.getString(r2)
        L89:
            return r1
        */
        throw new UnsupportedOperationException("Method not decompiled: com.yucheng.smarthealthpro.utils.HRVUtils.getHRVIndex(android.content.Context, int):java.lang.String");
    }
}
