package com.yucheng.smarthealthpro.utils;

import android.util.Xml;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

/* loaded from: classes2.dex */
public class ParseXmlService {
    public HashMap<String, String> parseXml(InputStream inputStream) {
        HashMap<String, String> hashMap = null;
        try {
            XmlPullParser newPullParser = Xml.newPullParser();
            newPullParser.setInput(inputStream, "UTF-8");
            for (int eventType = newPullParser.getEventType(); eventType != 1; eventType = newPullParser.next()) {
                if (eventType == 0) {
                    hashMap = new HashMap<>();
                } else if (eventType == 2) {
                    String name = newPullParser.getName();
                    if ("VERSIONCODE".equalsIgnoreCase(name)) {
                        hashMap.put("versionCode", newPullParser.nextText().trim());
                    } else if ("FILENAME".equalsIgnoreCase(name)) {
                        hashMap.put("fileName", newPullParser.nextText().trim());
                    } else if ("LOADURL".equalsIgnoreCase(name)) {
                        hashMap.put("loadUrl", newPullParser.nextText().trim());
                    } else if ("MECARELOADURL".equalsIgnoreCase(name)) {
                        hashMap.put("meCareLoadUrl", newPullParser.nextText().trim());
                    } else if ("ECGUPLOADENABLE".equalsIgnoreCase(name)) {
                        hashMap.put("ecgUploadEnable", newPullParser.nextText().trim());
                    } else if ("BPUPLOADENABLE".equalsIgnoreCase(name)) {
                        hashMap.put("bpUploadEnable", newPullParser.nextText().trim());
                    } else if ("VERSIONCODECHINA".equalsIgnoreCase(name)) {
                        hashMap.put("versionCodeChina", newPullParser.nextText().trim());
                    } else if ("MECAREVERSIONCODE".equalsIgnoreCase(name)) {
                        hashMap.put("meCareVersionCode", newPullParser.nextText().trim());
                    } else if ("MECAREVERSIONCODECHINA".equalsIgnoreCase(name)) {
                        hashMap.put("meCareVersionCodeChina", newPullParser.nextText().trim());
                    } else {
                        hashMap.put(name, newPullParser.nextText().trim());
                    }
                }
            }
        } catch (IOException e2) {
            e2.printStackTrace();
        } catch (XmlPullParserException e3) {
            e3.printStackTrace();
        }
        return hashMap;
    }
}
