package com.yucheng.smarthealthpro.utils;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.net.Uri;
import android.util.Log;
import com.facebook.share.internal.ShareConstants;
import com.google.firebase.analytics.FirebaseAnalytics;
import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.WriterException;
import com.google.zxing.common.BitMatrix;
import com.google.zxing.qrcode.QRCodeWriter;
import com.google.zxing.qrcode.decoder.ErrorCorrectionLevel;
import com.yucheng.HealthWear.R;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;

/* compiled from: QrCodeUtils.kt */
@Metadata(d1 = {"\u0000@\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0002\b\u0004\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u000e\n\u0002\b\u0002\n\u0002\u0010\b\n\u0002\b\u0003\n\u0002\u0018\u0002\n\u0002\b\u0003\n\u0002\u0010\u0002\n\u0000\n\u0002\u0018\u0002\n\u0002\b\u0002\bÆ\u0002\u0018\u00002\u00020\u0001B\u0007\b\u0002¢\u0006\u0002\u0010\u0002J\u001e\u0010\u0003\u001a\u0004\u0018\u00010\u00042\b\u0010\u0005\u001a\u0004\u0018\u00010\u00042\b\u0010\u0006\u001a\u0004\u0018\u00010\u0004H\u0002J4\u0010\u0007\u001a\u0004\u0018\u00010\u00042\u0006\u0010\b\u001a\u00020\t2\b\u0010\n\u001a\u0004\u0018\u00010\u000b2\b\u0010\f\u001a\u0004\u0018\u00010\u00042\u0006\u0010\r\u001a\u00020\u000e2\u0006\u0010\u000f\u001a\u00020\u000eJ(\u0010\u0010\u001a\u0004\u0018\u00010\u00042\u0006\u0010\b\u001a\u00020\t2\u0006\u0010\u0011\u001a\u00020\u00122\u0006\u0010\u0013\u001a\u00020\u000e2\u0006\u0010\u0014\u001a\u00020\u000eJ\"\u0010\u0015\u001a\u00020\u00162\u0006\u0010\b\u001a\u00020\t2\b\u0010\u0011\u001a\u0004\u0018\u00010\u00122\u0006\u0010\u0017\u001a\u00020\u0018H\u0002J$\u0010\u0019\u001a\u0004\u0018\u00010\u00042\u0006\u0010\b\u001a\u00020\t2\b\u0010\u0011\u001a\u0004\u0018\u00010\u00122\u0006\u0010\u0017\u001a\u00020\u0018H\u0002¨\u0006\u001a"}, d2 = {"Lcom/yucheng/smarthealthpro/utils/QrCodeUtils;", "", "()V", "addLogo", "Landroid/graphics/Bitmap;", "src", "logo", "createQRImage", "context", "Landroid/content/Context;", FirebaseAnalytics.Param.CONTENT, "", "logoBm", "widthPix", "", "heightPix", "decodeUri", ShareConstants.MEDIA_URI, "Landroid/net/Uri;", "maxWidth", "maxHeight", "resolveUri", "", "options", "Landroid/graphics/BitmapFactory$Options;", "resolveUriForBitmap", "app_HealthWearRelease"}, k = 1, mv = {1, 8, 0}, xi = 48)
/* loaded from: classes2.dex */
public final class QrCodeUtils {
    public static final QrCodeUtils INSTANCE = new QrCodeUtils();

    private QrCodeUtils() {
    }

    public final Bitmap decodeUri(Context context, Uri uri, int maxWidth, int maxHeight) {
        Intrinsics.checkNotNullParameter(context, "context");
        Intrinsics.checkNotNullParameter(uri, "uri");
        BitmapFactory.Options options = new BitmapFactory.Options();
        int i2 = 1;
        options.inJustDecodeBounds = true;
        resolveUri(context, uri, options);
        for (int i3 = 0; i3 < Integer.MAX_VALUE && ((options.outWidth / i2 > maxWidth && options.outWidth / i2 > maxWidth * 1.4d) || (options.outHeight / i2 > maxHeight && options.outHeight / i2 > maxHeight * 1.4d)); i3++) {
            i2++;
        }
        options.inSampleSize = i2;
        options.inJustDecodeBounds = false;
        options.inPreferredConfig = Bitmap.Config.ARGB_8888;
        try {
            return resolveUriForBitmap(context, uri, options);
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }

    private final void resolveUri(Context context, Uri uri, BitmapFactory.Options options) {
        StringBuilder sb;
        if (uri == null) {
            return;
        }
        String scheme = uri.getScheme();
        if (Intrinsics.areEqual(FirebaseAnalytics.Param.CONTENT, scheme) || Intrinsics.areEqual("file", scheme)) {
            InputStream inputStream = null;
            try {
                try {
                    InputStream openInputStream = context.getContentResolver().openInputStream(uri);
                    try {
                        BitmapFactory.decodeStream(openInputStream, null, options);
                        if (openInputStream != null) {
                            try {
                                openInputStream.close();
                            } catch (IOException e2) {
                                e = e2;
                                sb = new StringBuilder("Unable to close content: ");
                                sb.append(uri);
                                Log.w("resolveUri", sb.toString(), e);
                            }
                        }
                    } catch (Exception e3) {
                        e = e3;
                        inputStream = openInputStream;
                        Log.w("resolveUri", "Unable to open content: " + uri, e);
                        if (inputStream != null) {
                            try {
                                inputStream.close();
                            } catch (IOException e4) {
                                e = e4;
                                sb = new StringBuilder("Unable to close content: ");
                                sb.append(uri);
                                Log.w("resolveUri", sb.toString(), e);
                            }
                        }
                    } catch (Throwable th) {
                        th = th;
                        inputStream = openInputStream;
                        if (inputStream != null) {
                            try {
                                inputStream.close();
                            } catch (IOException e5) {
                                Log.w("resolveUri", "Unable to close content: " + uri, e5);
                            }
                        }
                        throw th;
                    }
                } catch (Exception e6) {
                    e = e6;
                }
            } catch (Throwable th2) {
                th = th2;
            }
        } else if (Intrinsics.areEqual("android.resource", scheme)) {
            Log.w("resolveUri", "Unable to close content: " + uri);
        } else {
            Log.w("resolveUri", "Unable to close content: " + uri);
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:39:0x0096 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private final android.graphics.Bitmap resolveUriForBitmap(android.content.Context r7, android.net.Uri r8, android.graphics.BitmapFactory.Options r9) {
        /*
            r6 = this;
            java.lang.String r0 = "Unable to open content: "
            r1 = 0
            if (r8 != 0) goto L6
            return r1
        L6:
            java.lang.String r2 = r8.getScheme()
            java.lang.String r3 = "content"
            boolean r3 = kotlin.jvm.internal.Intrinsics.areEqual(r3, r2)
            java.lang.String r4 = "Unable to close content: "
            java.lang.String r5 = "resolveUriForBitmap"
            if (r3 != 0) goto L47
            java.lang.String r3 = "file"
            boolean r3 = kotlin.jvm.internal.Intrinsics.areEqual(r3, r2)
            if (r3 == 0) goto L1f
            goto L47
        L1f:
            java.lang.String r7 = "android.resource"
            boolean r7 = kotlin.jvm.internal.Intrinsics.areEqual(r7, r2)
            if (r7 == 0) goto L37
            java.lang.StringBuilder r7 = new java.lang.StringBuilder
            r7.<init>(r4)
            r7.append(r8)
            java.lang.String r7 = r7.toString()
            android.util.Log.w(r5, r7)
            goto L93
        L37:
            java.lang.StringBuilder r7 = new java.lang.StringBuilder
            r7.<init>(r4)
            r7.append(r8)
            java.lang.String r7 = r7.toString()
            android.util.Log.w(r5, r7)
            goto L93
        L47:
            android.content.ContentResolver r7 = r7.getContentResolver()     // Catch: java.lang.Throwable -> L71 java.lang.Exception -> L73
            java.io.InputStream r7 = r7.openInputStream(r8)     // Catch: java.lang.Throwable -> L71 java.lang.Exception -> L73
            android.graphics.Bitmap r1 = android.graphics.BitmapFactory.decodeStream(r7, r1, r9)     // Catch: java.lang.Throwable -> L6c java.lang.Exception -> L6f
            if (r7 == 0) goto L93
            r7.close()     // Catch: java.io.IOException -> L59
            goto L93
        L59:
            r7 = move-exception
            java.lang.StringBuilder r9 = new java.lang.StringBuilder
            r9.<init>(r4)
        L5f:
            r9.append(r8)
            java.lang.String r8 = r9.toString()
            java.lang.Throwable r7 = (java.lang.Throwable) r7
            android.util.Log.w(r5, r8, r7)
            goto L93
        L6c:
            r9 = move-exception
            r1 = r7
            goto L94
        L6f:
            r9 = move-exception
            goto L75
        L71:
            r9 = move-exception
            goto L94
        L73:
            r9 = move-exception
            r7 = r1
        L75:
            java.lang.StringBuilder r2 = new java.lang.StringBuilder     // Catch: java.lang.Throwable -> L6c
            r2.<init>(r0)     // Catch: java.lang.Throwable -> L6c
            r2.append(r8)     // Catch: java.lang.Throwable -> L6c
            java.lang.String r0 = r2.toString()     // Catch: java.lang.Throwable -> L6c
            java.lang.Throwable r9 = (java.lang.Throwable) r9     // Catch: java.lang.Throwable -> L6c
            android.util.Log.w(r5, r0, r9)     // Catch: java.lang.Throwable -> L6c
            if (r7 == 0) goto L93
            r7.close()     // Catch: java.io.IOException -> L8c
            goto L93
        L8c:
            r7 = move-exception
            java.lang.StringBuilder r9 = new java.lang.StringBuilder
            r9.<init>(r4)
            goto L5f
        L93:
            return r1
        L94:
            if (r1 == 0) goto Lac
            r1.close()     // Catch: java.io.IOException -> L9a
            goto Lac
        L9a:
            r7 = move-exception
            java.lang.StringBuilder r0 = new java.lang.StringBuilder
            r0.<init>(r4)
            r0.append(r8)
            java.lang.String r8 = r0.toString()
            java.lang.Throwable r7 = (java.lang.Throwable) r7
            android.util.Log.w(r5, r8, r7)
        Lac:
            throw r9
        */
        throw new UnsupportedOperationException("Method not decompiled: com.yucheng.smarthealthpro.utils.QrCodeUtils.resolveUriForBitmap(android.content.Context, android.net.Uri, android.graphics.BitmapFactory$Options):android.graphics.Bitmap");
    }

    public final Bitmap createQRImage(Context context, String content, Bitmap logoBm, int widthPix, int heightPix) {
        BitMatrix bitMatrix;
        Intrinsics.checkNotNullParameter(context, "context");
        try {
            HashMap hashMap = new HashMap();
            hashMap.put(EncodeHintType.CHARACTER_SET, "utf-8");
            hashMap.put(EncodeHintType.ERROR_CORRECTION, ErrorCorrectionLevel.H);
            hashMap.put(EncodeHintType.MARGIN, 1);
            try {
                bitMatrix = new QRCodeWriter().encode(content, BarcodeFormat.QR_CODE, widthPix, heightPix, hashMap);
            } catch (WriterException e2) {
                e2.printStackTrace();
                bitMatrix = null;
            }
            int[] iArr = new int[widthPix * heightPix];
            for (int i2 = 0; i2 < heightPix; i2++) {
                for (int i3 = 0; i3 < widthPix; i3++) {
                    Intrinsics.checkNotNull(bitMatrix);
                    if (bitMatrix.get(i3, i2)) {
                        iArr[(i2 * widthPix) + i3] = context.getColor(R.color.black_light);
                    } else {
                        iArr[(i2 * widthPix) + i3] = -1;
                    }
                }
            }
            Bitmap createBitmap = Bitmap.createBitmap(widthPix, heightPix, Bitmap.Config.ARGB_8888);
            Intrinsics.checkNotNullExpressionValue(createBitmap, "createBitmap(widthPix, h… Bitmap.Config.ARGB_8888)");
            createBitmap.setPixels(iArr, 0, widthPix, 0, 0, widthPix, heightPix);
            if (logoBm == null) {
                return createBitmap;
            }
            Bitmap addLogo = addLogo(createBitmap, logoBm);
            Intrinsics.checkNotNull(addLogo);
            return addLogo;
        } catch (Exception e3) {
            e3.printStackTrace();
            return null;
        }
    }

    private final Bitmap addLogo(Bitmap src, Bitmap logo) {
        if (src == null) {
            return null;
        }
        if (logo == null) {
            return src;
        }
        int width = src.getWidth();
        int height = src.getHeight();
        int width2 = logo.getWidth();
        int height2 = logo.getHeight();
        if (width == 0 || height == 0) {
            return null;
        }
        if (width2 == 0 || height2 == 0) {
            return src;
        }
        float f2 = ((width * 1.0f) / 5) / width2;
        Bitmap createBitmap = Bitmap.createBitmap(width, height, Bitmap.Config.ARGB_8888);
        try {
            Intrinsics.checkNotNull(createBitmap);
            Canvas canvas = new Canvas(createBitmap);
            canvas.drawBitmap(src, 0.0f, 0.0f, (Paint) null);
            canvas.scale(f2, f2, width / 2, height / 2);
            canvas.drawBitmap(logo, (width - width2) / 2, (height - height2) / 2, (Paint) null);
            canvas.save();
            canvas.restore();
            return createBitmap;
        } catch (Exception e2) {
            e2.getStackTrace();
            return null;
        }
    }
}
