package com.yucheng.smarthealthpro.utils;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.os.Build;
import android.os.Environment;
import android.util.DisplayMetrics;
import android.util.Log;
import android.widget.Toast;
import androidx.core.content.ContextCompat;
import androidx.exifinterface.media.ExifInterface;
import com.google.firebase.crashlytics.buildtools.ndk.internal.elf.EMachine;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.cli.HelpFormatter;
import com.google.firebase.crashlytics.buildtools.reloc.org.apache.commons.io.IOUtils;
import com.yanzhenjie.permission.Permission;
import com.yucheng.smarthealthpro.LocationActivity;
import com.yucheng.smarthealthpro.care.bean.CareSleepWeekMonthBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareBloodBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareBloodFatBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareBloodSugarBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareHeartBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareRateBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareSpo2Bean;
import com.yucheng.smarthealthpro.care.bean.FriendCareTempBean;
import com.yucheng.smarthealthpro.care.bean.FriendCareUricAcidBean;
import com.yucheng.smarthealthpro.care.bean.HistoryBloodResponse;
import com.yucheng.smarthealthpro.care.bean.HistoryHRVResponse;
import com.yucheng.smarthealthpro.care.bean.HistoryHeartResponse;
import com.yucheng.smarthealthpro.care.bean.HistorySleepResponse;
import com.yucheng.smarthealthpro.framework.util.SharedPreferencesUtils;
import com.yucheng.smarthealthpro.home.activity.temperature.bean.TemperatureHisListBean;
import com.yucheng.smarthealthpro.home.bean.MyMonBean;
import com.yucheng.smarthealthpro.utils.Constant;
import com.yucheng.ycbtsdk.Constants;
import com.yucheng.ycbtsdk.YCBTClient;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.RandomAccessFile;
import java.text.SimpleDateFormat;
import java.util.Collections;
import java.util.Comparator;
import java.util.Date;
import java.util.List;
import java.util.Locale;
import java.util.TimeZone;

/* loaded from: classes2.dex */
public class Tools {
    public static final String BasePath = Environment.getExternalStorageDirectory().getPath() + "/SmartAM/";

    public static void saveFirmwareVersion(Context context, String str) {
        SharedPreferencesUtils.put(context, "firmware_version", str);
    }

    public static String getFirmwareVersion(Context context) {
        return (String) SharedPreferencesUtils.get(context, "firmware_version", "");
    }

    public static String getDeviceType(Context context) {
        return (String) YCBTClient.readDeviceInfo(Constants.FunctionConstant.DEVICETYPE);
    }

    public static String getDeviceMac() {
        return YCBTClient.getBindDeviceMac();
    }

    public static int getTimeOffset() {
        return TimeZone.getDefault().getOffset(System.currentTimeMillis());
    }

    public static void writeFile(String str, String str2) {
        String path = Environment.getExternalStorageDirectory().getPath();
        Log.i("glttest", "path:" + path);
        File file = new File(path, str2);
        try {
            if (!file.exists()) {
                file.createNewFile();
            }
            String format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date(System.currentTimeMillis()));
            RandomAccessFile randomAccessFile = new RandomAccessFile(file, "rw");
            randomAccessFile.seek(randomAccessFile.length());
            randomAccessFile.writeUTF(format + "-----" + str + "\n");
            randomAccessFile.close();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
    }

    public static String readFile(String str) {
        try {
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(new FileInputStream(new File(str)), "UTF-8"));
            String str2 = "";
            while (true) {
                String readLine = bufferedReader.readLine();
                if (readLine == null) {
                    return str2;
                }
                str2 = str2 + readLine;
            }
        } catch (Exception e2) {
            e2.printStackTrace();
            return null;
        }
    }

    public static int getwindowwidth(Activity activity) {
        DisplayMetrics displayMetrics = new DisplayMetrics();
        activity.getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        return displayMetrics.widthPixels;
    }

    public static void showAlert3(Context context, String str) {
        Toast.makeText(context, str, 0).show();
    }

    public static String readString(String str, Context context, String str2) {
        return context.getSharedPreferences("ycblespinfo", 0).getString(str, str2);
    }

    public static void showtext(String str, int i2) {
        int length = str.length() / i2;
        if (length > 0) {
            if (str.length() % i2 > 0) {
                length++;
            }
            String str2 = "";
            int i3 = 0;
            for (int i4 = 0; i4 < length; i4++) {
                if (i4 == length - 1) {
                    str2 = str2 + str.substring(i3, str.length() - 1);
                } else {
                    StringBuilder sb = new StringBuilder();
                    sb.append(str2);
                    int i5 = i3 + i2;
                    sb.append(str.substring(i3, i5));
                    sb.append(IOUtils.LINE_SEPARATOR_WINDOWS);
                    str2 = sb.toString();
                    i3 = i5;
                }
            }
            Log.e("eeeeee", "aaaaaaaaaaa" + str2);
            return;
        }
        Log.e("aaaaaaaaaaa", str);
    }

    public static int readUnit(int i2, Context context) {
        int i3 = context.getSharedPreferences("ycblespinfo", 0).getInt(Constant.SpConstKey.UNIT + i2, -1);
        if (i3 == -1 && (i2 == 1 || i2 == 2 || i2 == 3 || i2 == 4 || i2 == 5)) {
            return 0;
        }
        return i3;
    }

    public static boolean readLogin(Context context) {
        return ((Boolean) SharedPreferencesUtils.get(context, Constant.SpConstKey.IS_LOGIN, false)).booleanValue();
    }

    public static void saveFilePath(String str, Context context) {
        context.getSharedPreferences("ycblespinfo", 0).edit().putString("file_path", str).commit();
    }

    public static String getFilePath(Context context) {
        return context.getSharedPreferences("ycblespinfo", 0).getString("file_path", null);
    }

    public static String transformNowTime(long j2) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(AppDateMgr.DF_YYYY_MM_DD, Locale.getDefault());
        simpleDateFormat.setTimeZone(TimeZone.getDefault());
        return simpleDateFormat.format(new Date(j2));
    }

    public static List<TemperatureHisListBean> removeTempRepeatData(List<TemperatureHisListBean> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).getTime().equals(list.get(i2).getTime())) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortTempRepeatData$0(TemperatureHisListBean temperatureHisListBean, TemperatureHisListBean temperatureHisListBean2) {
        return (int) (Long.parseLong(temperatureHisListBean2.getTime()) - Long.parseLong(temperatureHisListBean.getTime()));
    }

    public static List<TemperatureHisListBean> sortTempRepeatData(List<TemperatureHisListBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda8
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortTempRepeatData$0((TemperatureHisListBean) obj, (TemperatureHisListBean) obj2);
            }
        });
        return list;
    }

    public static List<FriendCareTempBean> removeCareTempRepeatData(List<FriendCareTempBean> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).rtime == list.get(i2).rtime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortCareTempRepeatData$1(FriendCareTempBean friendCareTempBean, FriendCareTempBean friendCareTempBean2) {
        return (int) (friendCareTempBean2.rtime - friendCareTempBean.rtime);
    }

    public static List<FriendCareTempBean> sortCareTempRepeatData(List<FriendCareTempBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda14
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortCareTempRepeatData$1((FriendCareTempBean) obj, (FriendCareTempBean) obj2);
            }
        });
        return list;
    }

    public static List<FriendCareRateBean> removeCareRateData(List<FriendCareRateBean> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).rtime == list.get(i2).rtime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortCareRateData$2(FriendCareRateBean friendCareRateBean, FriendCareRateBean friendCareRateBean2) {
        return (int) (friendCareRateBean2.rtime - friendCareRateBean.rtime);
    }

    public static List<FriendCareRateBean> sortCareRateData(List<FriendCareRateBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda11
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortCareRateData$2((FriendCareRateBean) obj, (FriendCareRateBean) obj2);
            }
        });
        return list;
    }

    public static List<HistoryHeartResponse.Mlist> removeHeartData(List<HistoryHeartResponse.Mlist> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).rtime == list.get(i2).rtime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortHeartData$3(HistoryHeartResponse.Mlist mlist, HistoryHeartResponse.Mlist mlist2) {
        return (int) (mlist2.rtime - mlist.rtime);
    }

    public static List<HistoryHeartResponse.Mlist> sortHeartData(List<HistoryHeartResponse.Mlist> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda3
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortHeartData$3((HistoryHeartResponse.Mlist) obj, (HistoryHeartResponse.Mlist) obj2);
            }
        });
        return list;
    }

    public static List<FriendCareRateBean> removeRespiratoryRateData(List<FriendCareRateBean> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).rtime == list.get(i2).rtime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortRespiratoryRateData$4(FriendCareRateBean friendCareRateBean, FriendCareRateBean friendCareRateBean2) {
        return (int) (friendCareRateBean2.rtime - friendCareRateBean.rtime);
    }

    public static List<FriendCareRateBean> sortRespiratoryRateData(List<FriendCareRateBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda6
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortRespiratoryRateData$4((FriendCareRateBean) obj, (FriendCareRateBean) obj2);
            }
        });
        return list;
    }

    public static List<HistoryBloodResponse.Mlist> removeBloodData(List<HistoryBloodResponse.Mlist> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).rtime == list.get(i2).rtime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortBloodData$5(HistoryBloodResponse.Mlist mlist, HistoryBloodResponse.Mlist mlist2) {
        return (int) (mlist2.rtime - mlist.rtime);
    }

    public static List<HistoryBloodResponse.Mlist> sortBloodData(List<HistoryBloodResponse.Mlist> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda9
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortBloodData$5((HistoryBloodResponse.Mlist) obj, (HistoryBloodResponse.Mlist) obj2);
            }
        });
        return list;
    }

    public static List<FriendCareSpo2Bean> removeSpo2Data(List<FriendCareSpo2Bean> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).rtime == list.get(i2).rtime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortSpo2Data$6(FriendCareSpo2Bean friendCareSpo2Bean, FriendCareSpo2Bean friendCareSpo2Bean2) {
        return (int) (friendCareSpo2Bean2.rtime - friendCareSpo2Bean.rtime);
    }

    public static List<FriendCareSpo2Bean> sortSpo2Data(List<FriendCareSpo2Bean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda10
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortSpo2Data$6((FriendCareSpo2Bean) obj, (FriendCareSpo2Bean) obj2);
            }
        });
        return list;
    }

    public static List<HistorySleepResponse.SleepBean> removeSleepDuplicate(List<HistorySleepResponse.SleepBean> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).beginTime == list.get(i2).beginTime || list.get(size).endTime == list.get(i2).endTime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortWeekAndMonthListSleep$7(CareSleepWeekMonthBean.DataBean dataBean, CareSleepWeekMonthBean.DataBean dataBean2) {
        return (int) (getTime(dataBean.dateformat) - getTime(dataBean2.dateformat));
    }

    public static List<CareSleepWeekMonthBean.DataBean> sortWeekAndMonthListSleep(List<CareSleepWeekMonthBean.DataBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda5
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortWeekAndMonthListSleep$7((CareSleepWeekMonthBean.DataBean) obj, (CareSleepWeekMonthBean.DataBean) obj2);
            }
        });
        return list;
    }

    static /* synthetic */ int lambda$sortListSleep$8(HistorySleepResponse.SleepBean sleepBean, HistorySleepResponse.SleepBean sleepBean2) {
        return (int) (getTime(sleepBean.beginTime) - getTime(sleepBean2.beginTime));
    }

    public static List<HistorySleepResponse.SleepBean> sortListSleep(List<HistorySleepResponse.SleepBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda4
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortListSleep$8((HistorySleepResponse.SleepBean) obj, (HistorySleepResponse.SleepBean) obj2);
            }
        });
        return list;
    }

    public static long getTime(String str) {
        try {
            return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").parse(str).getTime();
        } catch (Exception e2) {
            e2.printStackTrace();
            return 0L;
        }
    }

    public static String fameDate(long j2) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(AppDateMgr.DF_HH_MM);
        simpleDateFormat.setTimeZone(TimeZone.getDefault());
        return simpleDateFormat.format(new Date(j2));
    }

    public static String BinaryToHex(String str) {
        return str.equals("") ? "0" : Long.toHexString(Long.parseLong(str, 2));
    }

    public static Bitmap small(Bitmap bitmap, float f2) {
        Matrix matrix = new Matrix();
        matrix.postScale(f2, f2);
        return Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
    }

    public static void saveBoolean(String str, boolean z, Context context) {
        SharedPreferences.Editor edit = context.getSharedPreferences("ycblespinfo", 0).edit();
        edit.putBoolean(str, z);
        edit.commit();
    }

    public static boolean readBoolean(String str, Context context, boolean z) {
        return context.getSharedPreferences("ycblespinfo", 0).getBoolean(str, z);
    }

    public static void saveInt(String str, int i2, Context context) {
        SharedPreferences.Editor edit = context.getSharedPreferences("ycblespinfo", 0).edit();
        edit.putInt(str, i2);
        edit.commit();
    }

    public static int readInt(String str, Context context, int i2) {
        return context.getSharedPreferences("ycblespinfo", 0).getInt(str, i2);
    }

    public static void removeKey(String str, Context context) {
        context.getSharedPreferences("ycblespinfo", 0).edit().remove(str).apply();
    }

    public static void saveString(String str, String str2, Context context) {
        SharedPreferences sharedPreferences = context.getSharedPreferences("ycblespinfo", 0);
        sharedPreferences.edit().putString(str, str2);
        sharedPreferences.edit().commit();
    }

    public static boolean checkPermiss(Context context) {
        if (Build.VERSION.SDK_INT >= 29) {
            if (ContextCompat.checkSelfPermission(context, "android.permission.ACCESS_BACKGROUND_LOCATION") == 0 && ContextCompat.checkSelfPermission(context, Permission.ACCESS_FINE_LOCATION) == 0) {
                return true;
            }
            context.startActivity(new Intent(context, (Class<?>) LocationActivity.class));
            return false;
        }
        if (ContextCompat.checkSelfPermission(context, Permission.ACCESS_COARSE_LOCATION) == 0 && ContextCompat.checkSelfPermission(context, Permission.ACCESS_FINE_LOCATION) == 0) {
            return true;
        }
        context.startActivity(new Intent(context, (Class<?>) LocationActivity.class));
        return false;
    }

    static /* synthetic */ int lambda$sortListPDNumber$9(MyMonBean.Data.Values values, MyMonBean.Data.Values values2) {
        return (int) (getPDTime(values2.time) - getPDTime(values.time));
    }

    public static List<MyMonBean.Data.Values> sortListPDNumber(List<MyMonBean.Data.Values> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda12
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortListPDNumber$9((MyMonBean.Data.Values) obj, (MyMonBean.Data.Values) obj2);
            }
        });
        return list;
    }

    public static long getPDTime(String str) {
        SimpleDateFormat simpleDateFormat;
        if (str == null) {
            return 0L;
        }
        try {
            if (str.contains(ExifInterface.GPS_DIRECTION_TRUE)) {
                simpleDateFormat = new SimpleDateFormat("yyyyMMdd'T'HH:mm:ss");
            } else if (!str.contains(HelpFormatter.DEFAULT_OPT_PREFIX)) {
                str = YearToDayListUtils.getStringDateFromMonth(Integer.parseInt(str));
                simpleDateFormat = new SimpleDateFormat("yyyy-MM");
            } else {
                simpleDateFormat = new SimpleDateFormat(AppDateMgr.DF_YYYY_MM_DD);
            }
            return simpleDateFormat.parse(str).getTime() / 1000;
        } catch (Exception e2) {
            e2.printStackTrace();
            return 0L;
        }
    }

    public static synchronized List<FriendCareBloodSugarBean> removeCareRealTimeBloodSugar(List<FriendCareBloodSugarBean> list) {
        synchronized (Tools.class) {
            for (int i2 = 0; i2 < list.size() - 1; i2++) {
                if (list.get(i2).bloodSugar >= 2.0f && list.get(i2).bloodSugar <= 12.0f) {
                    for (int size = list.size() - 1; size > i2; size--) {
                        if (list.get(size) != null && list.get(i2) != null && list.get(size).rtime == list.get(i2).rtime) {
                            list.remove(size);
                        }
                    }
                } else {
                    list.remove(i2);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortCareListBloodSugar$10(FriendCareBloodSugarBean friendCareBloodSugarBean, FriendCareBloodSugarBean friendCareBloodSugarBean2) {
        return (int) (friendCareBloodSugarBean2.rtime - friendCareBloodSugarBean.rtime);
    }

    public static List<FriendCareBloodSugarBean> sortCareListBloodSugar(List<FriendCareBloodSugarBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda0
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortCareListBloodSugar$10((FriendCareBloodSugarBean) obj, (FriendCareBloodSugarBean) obj2);
            }
        });
        return list;
    }

    public static List<FriendCareBloodFatBean.BloodFat> removeCareListBloodFat(List<FriendCareBloodFatBean.BloodFat> list) {
        int i2 = 0;
        while (i2 < list.size()) {
            FriendCareBloodFatBean.BloodFat bloodFat = list.get(i2);
            if (bloodFat.tc < TransUtils.BLOOD_FAT_VISIBLE_MIN || bloodFat.tc > TransUtils.BLOOD_FAT_VISIBLE_MAX) {
                list.remove(i2);
                i2--;
            }
            i2++;
        }
        return list;
    }

    public static List<FriendCareUricAcidBean.UricAcid> removeCareListUricAcid(List<FriendCareUricAcidBean.UricAcid> list) {
        int i2 = 0;
        while (i2 < list.size()) {
            FriendCareUricAcidBean.UricAcid uricAcid = list.get(i2);
            if (uricAcid.uricAcid < TransUtils.URIC_ACID_VISIBLE_MIN || uricAcid.uricAcid > TransUtils.URIC_ACID_VISIBLE_MAX) {
                list.remove(i2);
                i2--;
            }
            i2++;
        }
        return list;
    }

    static /* synthetic */ int lambda$sortCareListBloodFat$11(FriendCareBloodFatBean.BloodFat bloodFat, FriendCareBloodFatBean.BloodFat bloodFat2) {
        return (int) (bloodFat2.rtime - bloodFat.rtime);
    }

    public static List<FriendCareBloodFatBean.BloodFat> sortCareListBloodFat(List<FriendCareBloodFatBean.BloodFat> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda7
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortCareListBloodFat$11((FriendCareBloodFatBean.BloodFat) obj, (FriendCareBloodFatBean.BloodFat) obj2);
            }
        });
        return list;
    }

    static /* synthetic */ int lambda$sortCareListUricAcid$12(FriendCareUricAcidBean.UricAcid uricAcid, FriendCareUricAcidBean.UricAcid uricAcid2) {
        return (int) (uricAcid2.rtime - uricAcid.rtime);
    }

    public static List<FriendCareUricAcidBean.UricAcid> sortCareListUricAcid(List<FriendCareUricAcidBean.UricAcid> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda1
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortCareListUricAcid$12((FriendCareUricAcidBean.UricAcid) obj, (FriendCareUricAcidBean.UricAcid) obj2);
            }
        });
        return list;
    }

    static /* synthetic */ int lambda$sortCareListHRV$13(HistoryHRVResponse.HRVBean hRVBean, HistoryHRVResponse.HRVBean hRVBean2) {
        return Integer.parseInt(hRVBean2.rtime) - Integer.parseInt(hRVBean.rtime);
    }

    public static List<HistoryHRVResponse.HRVBean> sortCareListHRV(List<HistoryHRVResponse.HRVBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda13
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortCareListHRV$13((HistoryHRVResponse.HRVBean) obj, (HistoryHRVResponse.HRVBean) obj2);
            }
        });
        return list;
    }

    public static List<FriendCareBloodBean> removeCareBloodData(List<FriendCareBloodBean> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).rtime == list.get(i2).rtime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortCareBloodData$14(FriendCareBloodBean friendCareBloodBean, FriendCareBloodBean friendCareBloodBean2) {
        return (int) (friendCareBloodBean2.rtime - friendCareBloodBean.rtime);
    }

    public static List<FriendCareBloodBean> sortCareBloodData(List<FriendCareBloodBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda15
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortCareBloodData$14((FriendCareBloodBean) obj, (FriendCareBloodBean) obj2);
            }
        });
        return list;
    }

    public static List<FriendCareHeartBean> removeCareHeartData(List<FriendCareHeartBean> list) {
        for (int i2 = 0; i2 < list.size() - 1; i2++) {
            for (int size = list.size() - 1; size > i2; size--) {
                if (list.get(size).rtime == list.get(i2).rtime) {
                    list.remove(size);
                }
            }
        }
        return list;
    }

    static /* synthetic */ int lambda$sortCareHeartData$15(FriendCareHeartBean friendCareHeartBean, FriendCareHeartBean friendCareHeartBean2) {
        return (int) (friendCareHeartBean2.rtime - friendCareHeartBean.rtime);
    }

    public static List<FriendCareHeartBean> sortCareHeartData(List<FriendCareHeartBean> list) {
        Collections.sort(list, new Comparator() { // from class: com.yucheng.smarthealthpro.utils.Tools$$ExternalSyntheticLambda2
            @Override // java.util.Comparator
            public final int compare(Object obj, Object obj2) {
                return Tools.lambda$sortCareHeartData$15((FriendCareHeartBean) obj, (FriendCareHeartBean) obj2);
            }
        });
        return list;
    }

    public static String transformDate(long j2) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        simpleDateFormat.setTimeZone(TimeZone.getDefault());
        return simpleDateFormat.format(new Date(j2));
    }

    public static int readCm(Context context) {
        return context.getSharedPreferences("smartam", 0).getInt("saveCm", EMachine.EM_XIMO16);
    }

    public static int readKg(Context context) {
        return context.getSharedPreferences("smartam", 0).getInt("saveKg", 60);
    }

    public static int readAge(Context context) {
        return context.getSharedPreferences("smartam", 0).getInt("saveAge", 18);
    }

    public static int readSex(Context context) {
        return context.getSharedPreferences("smartam", 0).getInt("saveSex", 0);
    }
}
