package com.yucheng.ycbtsdk.gatt;

import android.bluetooth.BluetoothAdapter;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Build;
import android.text.TextUtils;
import com.realsil.sdk.dfu.DfuConstants;
import com.yucheng.ycbtsdk.YCBTClient;
import com.yucheng.ycbtsdk.bean.ScanDeviceBean;
import com.yucheng.ycbtsdk.core.YCBTClientImpl;
import com.yucheng.ycbtsdk.response.BleScanResponse;
import com.yucheng.ycbtsdk.utils.BleDeviceUtil;
import com.yucheng.ycbtsdk.utils.SPUtil;
import com.yucheng.ycbtsdk.utils.YCBTLog;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes2.dex */
public class Reconnect {
    private static Reconnect gReconnect;
    private Context mContext;
    private boolean isStartThread = false;
    private boolean isReconnect = false;
    private List<ReconnectResponse> reconnectResponseList = new ArrayList();
    private int reConnectCount = 0;
    private final int maxCount = 3;
    private final Object lock = new Object();
    BluetoothAdapter mBluetoothAdapter = BluetoothAdapter.getDefaultAdapter();
    final Thread thread = new Thread(new Runnable() { // from class: com.yucheng.ycbtsdk.gatt.Reconnect.1
        @Override // java.lang.Runnable
        public void run() {
            while (Reconnect.this.isStartThread) {
                if (Reconnect.this.isReconnect) {
                    final String bindedDeviceMac = SPUtil.getBindedDeviceMac();
                    boolean z = BleHelper.getHelper().isConnecting;
                    YCBTClient.connectState();
                    BleDeviceUtil.isBleConnected(bindedDeviceMac, Reconnect.this.mContext);
                    if (YCBTClient.connectState() == 10) {
                        YCBTClient.stopScanBle();
                    }
                    if (TextUtils.isEmpty(bindedDeviceMac)) {
                        if (YCBTClient.connectState() >= 6 || BleDeviceUtil.isBleConnected(bindedDeviceMac, Reconnect.this.mContext)) {
                            YCBTLog.e("disconnectGatt");
                            BleHelper.getHelper().disconnectGatt();
                        }
                    } else if (YCBTClient.connectState() != 10 || !BleDeviceUtil.isBleConnected(bindedDeviceMac, Reconnect.this.mContext)) {
                        YCBTLog.e("重连  isOta==" + YCBTClientImpl.getInstance().isOta + "--state==" + YCBTClient.connectState() + "--mac==" + SPUtil.getBindedDeviceMac());
                        YCBTClient.stopScanBle();
                        if (YCBTClient.connectState() != 10 || (!BleDeviceUtil.isBleConnected(BleDeviceUtil.getMacAddOne(bindedDeviceMac), Reconnect.this.mContext) && !BleDeviceUtil.isBleConnected(bindedDeviceMac, Reconnect.this.mContext))) {
                            if (Reconnect.this.reConnectCount <= 3) {
                                if (Reconnect.this.reConnectCount == 3 && Reconnect.this.reconnectResponseList.size() > 0) {
                                    for (int i2 = 0; i2 < Reconnect.this.reconnectResponseList.size(); i2++) {
                                        ((ReconnectResponse) Reconnect.this.reconnectResponseList.get(i2)).onReconnectFail();
                                    }
                                }
                                Reconnect.access$308(Reconnect.this);
                            }
                            BluetoothAdapter bluetoothAdapter = Reconnect.this.mBluetoothAdapter;
                            if (bluetoothAdapter != null && bluetoothAdapter.isEnabled()) {
                                YCBTClient.startScanBle(new BleScanResponse() { // from class: com.yucheng.ycbtsdk.gatt.Reconnect.1.1
                                    @Override // com.yucheng.ycbtsdk.response.BleScanResponse
                                    public void onScanResponse(int i3, ScanDeviceBean scanDeviceBean) {
                                        BleHelper helper;
                                        String deviceMac;
                                        if (scanDeviceBean != null) {
                                            if (bindedDeviceMac.equals(scanDeviceBean.getDeviceMac())) {
                                                YCBTClient.stopScanBle();
                                                helper = BleHelper.getHelper();
                                                deviceMac = bindedDeviceMac;
                                            } else {
                                                if (!BleDeviceUtil.getMacAddOne(bindedDeviceMac).equals(scanDeviceBean.getDeviceMac()) && !BleDeviceUtil.getMacSubOne(bindedDeviceMac).equals(scanDeviceBean.getDeviceMac())) {
                                                    return;
                                                }
                                                YCBTClient.stopScanBle();
                                                helper = BleHelper.getHelper();
                                                deviceMac = scanDeviceBean.getDeviceMac();
                                            }
                                            helper.connectGatt(deviceMac, scanDeviceBean.getDeviceName(), false);
                                        }
                                    }
                                }, DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
                            }
                        }
                    }
                }
                try {
                    synchronized (Reconnect.this.lock) {
                        Reconnect.this.lock.wait(15000L);
                    }
                } catch (Exception e2) {
                    e2.printStackTrace();
                }
            }
        }
    });
    private BroadcastReceiver mReceiver = new BroadcastReceiver() { // from class: com.yucheng.ycbtsdk.gatt.Reconnect.2
        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            String str;
            String action = intent.getAction();
            action.hashCode();
            if (action.equals("android.bluetooth.adapter.action.STATE_CHANGED")) {
                switch (intent.getIntExtra("android.bluetooth.adapter.extra.STATE", 0)) {
                    case 10:
                        YCBTLog.e("蓝牙已关闭");
                        if (YCBTClient.connectState() >= 6) {
                            BleHelper.getHelper().callBackState(3);
                            BleHelper.getHelper().disconnectGatt();
                            return;
                        }
                        return;
                    case 11:
                        str = "蓝牙正在开启";
                        break;
                    case 12:
                        YCBTLog.e("蓝牙已开启，开始连接");
                        Reconnect.getInstance().wakeUp();
                        return;
                    case 13:
                        str = "蓝牙正在关闭";
                        break;
                    default:
                        return;
                }
                YCBTLog.e(str);
            }
        }
    };

    public interface ReconnectResponse {
        void onReconnectFail();
    }

    static /* synthetic */ int access$308(Reconnect reconnect) {
        int i2 = reconnect.reConnectCount;
        reconnect.reConnectCount = i2 + 1;
        return i2;
    }

    public static Reconnect getInstance() {
        if (gReconnect == null) {
            synchronized (Reconnect.class) {
                if (gReconnect == null) {
                    gReconnect = new Reconnect();
                }
            }
        }
        return gReconnect;
    }

    private IntentFilter makeFilter() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("android.bluetooth.adapter.action.STATE_CHANGED");
        return intentFilter;
    }

    public void init(Context context, boolean z) {
        BroadcastReceiver broadcastReceiver;
        Context context2 = this.mContext;
        if (context2 != null && (broadcastReceiver = this.mReceiver) != null) {
            context2.unregisterReceiver(broadcastReceiver);
        }
        this.mContext = context;
        if (Build.VERSION.SDK_INT >= 33) {
            context.registerReceiver(this.mReceiver, makeFilter(), 2);
        } else {
            context.registerReceiver(this.mReceiver, makeFilter());
        }
        this.isReconnect = z;
        if (this.isStartThread) {
            return;
        }
        this.isStartThread = true;
        this.thread.start();
    }

    public void registerReconnectResponse(ReconnectResponse reconnectResponse) {
        this.reconnectResponseList.add(reconnectResponse);
    }

    public void resetFailedCount() {
        this.reConnectCount = 0;
    }

    public void setReconnect(boolean z) {
        this.isReconnect = z;
    }

    public void unRegisterReconnectResponse(ReconnectResponse reconnectResponse) {
        this.reconnectResponseList.remove(reconnectResponse);
    }

    public void wakeUp() {
        synchronized (this.lock) {
            this.lock.notify();
        }
    }
}
