package it.sephiroth.android.library.easing;

import com.yucheng.smarthealthpro.customchart.utils.Utils;

/* loaded from: classes2.dex */
public class Back implements Easing {
    public double easeIn(double d2, double d3, double d4, double d5, double d6) {
        if (d6 == Utils.DOUBLE_EPSILON) {
            d6 = 1.70158d;
        }
        double d7 = d2 / d5;
        return (d4 * d7 * d7 * (((1.0d + d6) * d7) - d6)) + d3;
    }

    public double easeInOut(double d2, double d3, double d4, double d5, double d6) {
        double d7 = d6 == Utils.DOUBLE_EPSILON ? 1.70158d : d6;
        double d8 = d2 / (d5 / 2.0d);
        if (d8 < 1.0d) {
            double d9 = d7 * 1.525d;
            return ((d4 / 2.0d) * d8 * d8 * (((1.0d + d9) * d8) - d9)) + d3;
        }
        double d10 = d8 - 2.0d;
        double d11 = d7 * 1.525d;
        return ((d4 / 2.0d) * ((d10 * d10 * (((1.0d + d11) * d10) + d11)) + 2.0d)) + d3;
    }

    public double easeOut(double d2, double d3, double d4, double d5, double d6) {
        if (d6 == Utils.DOUBLE_EPSILON) {
            d6 = 1.70158d;
        }
        double d7 = (d2 / d5) - 1.0d;
        return (d4 * ((d7 * d7 * (((d6 + 1.0d) * d7) + d6)) + 1.0d)) + d3;
    }

    @Override // it.sephiroth.android.library.easing.Easing
    public double easeOut(double d2, double d3, double d4, double d5) {
        return easeOut(d2, d3, d4, d5, Utils.DOUBLE_EPSILON);
    }

    @Override // it.sephiroth.android.library.easing.Easing
    public double easeIn(double d2, double d3, double d4, double d5) {
        return easeIn(d2, d3, d4, d5, Utils.DOUBLE_EPSILON);
    }

    @Override // it.sephiroth.android.library.easing.Easing
    public double easeInOut(double d2, double d3, double d4, double d5) {
        return easeInOut(d2, d3, d4, d5, 0.9d);
    }
}
