package it.sephiroth.android.library.easing;

import com.yucheng.smarthealthpro.customchart.utils.Utils;

/* loaded from: classes2.dex */
public class Bounce implements Easing {
    @Override // it.sephiroth.android.library.easing.Easing
    public double easeOut(double d2, double d3, double d4, double d5) {
        double d6;
        double d7;
        double d8;
        double d9 = d2 / d5;
        if (d9 < 0.36363636363636365d) {
            d8 = 7.5625d * d9 * d9;
        } else {
            if (d9 < 0.7272727272727273d) {
                double d10 = d9 - 0.5454545454545454d;
                d6 = 7.5625d * d10 * d10;
                d7 = 0.75d;
            } else if (d9 < 0.9090909090909091d) {
                double d11 = d9 - 0.8181818181818182d;
                d6 = 7.5625d * d11 * d11;
                d7 = 0.9375d;
            } else {
                double d12 = d9 - 0.9545454545454546d;
                d6 = 7.5625d * d12 * d12;
                d7 = 0.984375d;
            }
            d8 = d6 + d7;
        }
        return (d4 * d8) + d3;
    }

    @Override // it.sephiroth.android.library.easing.Easing
    public double easeIn(double d2, double d3, double d4, double d5) {
        return (d4 - easeOut(d5 - d2, Utils.DOUBLE_EPSILON, d4, d5)) + d3;
    }

    @Override // it.sephiroth.android.library.easing.Easing
    public double easeInOut(double d2, double d3, double d4, double d5) {
        double easeOut;
        if (d2 < d5 / 2.0d) {
            easeOut = easeIn(d2 * 2.0d, Utils.DOUBLE_EPSILON, d4, d5) * 0.5d;
        } else {
            easeOut = (easeOut((2.0d * d2) - d5, Utils.DOUBLE_EPSILON, d4, d5) * 0.5d) + (d4 * 0.5d);
        }
        return easeOut + d3;
    }
}
