package it.sephiroth.android.library.easing;

/* loaded from: classes2.dex */
public class Quart implements Easing {
    @Override // it.sephiroth.android.library.easing.Easing
    public double easeIn(double d2, double d3, double d4, double d5) {
        double d6 = d2 / d5;
        return (d4 * d6 * d6 * d6 * d6) + d3;
    }

    @Override // it.sephiroth.android.library.easing.Easing
    public double easeInOut(double d2, double d3, double d4, double d5) {
        double d6;
        double d7 = d2 / (d5 / 2.0d);
        if (d7 < 1.0d) {
            d6 = (d4 / 2.0d) * d7 * d7 * d7 * d7;
        } else {
            double d8 = d7 - 2.0d;
            d6 = ((-d4) / 2.0d) * ((((d8 * d8) * d8) * d8) - 2.0d);
        }
        return d6 + d3;
    }

    @Override // it.sephiroth.android.library.easing.Easing
    public double easeOut(double d2, double d3, double d4, double d5) {
        double d6 = (d2 / d5) - 1.0d;
        return ((-d4) * ((((d6 * d6) * d6) * d6) - 1.0d)) + d3;
    }
}
