package jsc.kit.wheel.base;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;
import jsc.kit.wheel.R;

/* loaded from: classes2.dex */
public class WheelMaskView extends View {
    private int bottom;
    private int lineColor;
    private Paint paint;
    private int top;

    public WheelMaskView(Context context) {
        super(context);
        this.paint = new Paint(1);
        this.top = 0;
        this.bottom = 0;
        this.lineColor = -1895825153;
        initAttr(context, null, 0);
    }

    public WheelMaskView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.paint = new Paint(1);
        this.top = 0;
        this.bottom = 0;
        this.lineColor = -1895825153;
        initAttr(context, attributeSet, 0);
    }

    public WheelMaskView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.paint = new Paint(1);
        this.top = 0;
        this.bottom = 0;
        this.lineColor = -1895825153;
        initAttr(context, attributeSet, i2);
    }

    public void initAttr(Context context, AttributeSet attributeSet, int i2) {
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.WheelMaskView, i2, 0);
        this.lineColor = obtainStyledAttributes.getColor(R.styleable.WheelMaskView_wheelMaskLineColor, -1895825153);
        obtainStyledAttributes.recycle();
        this.paint.setStyle(Paint.Style.STROKE);
        this.paint.setStrokeWidth(1.0f);
    }

    public void updateMask(int i2, int i3) {
        if (i2 > 0) {
            int i4 = (i2 / 2) * i3;
            this.top = i4;
            this.bottom = i4 + i3;
        } else {
            this.top = 0;
            this.bottom = 0;
        }
        invalidate();
    }

    public void setLineColor(int i2) {
        this.lineColor = i2;
        invalidate();
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        if (this.top <= 0 || this.bottom <= 0) {
            return;
        }
        this.paint.setColor(this.lineColor);
        canvas.drawLine(0.0f, this.top, getWidth(), this.top, this.paint);
        canvas.drawLine(0.0f, this.bottom, getWidth(), this.bottom, this.paint);
    }
}
