package jsc.kit.wheel.dialog;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;
import java.util.ArrayList;
import java.util.List;
import jsc.kit.wheel.R;
import jsc.kit.wheel.base.IWheel;
import jsc.kit.wheel.base.WheelItemView;

/* loaded from: classes2.dex */
public class ColumnWheelDialog<T0 extends IWheel, T1 extends IWheel, T2 extends IWheel, T3 extends IWheel, T4 extends IWheel> extends Dialog {
    private OnClickCallBack<T0, T1, T2, T3, T4> cancelCallBack;
    private CharSequence clickTipsWhenIsScrolling;
    private Context context;
    private boolean isViewInitialized;
    private int itemVerticalSpace;
    private T0[] items0;
    private T1[] items1;
    private T2[] items2;
    private T3[] items3;
    private T4[] items4;
    private OnClickCallBack<T0, T1, T2, T3, T4> okCallBack;
    private float textSize;
    private TextView tvCancel;
    private TextView tvOK;
    private TextView tvTitle;
    private WheelItemView wheelItemView0;
    private WheelItemView wheelItemView1;
    private WheelItemView wheelItemView2;
    private WheelItemView wheelItemView3;
    private WheelItemView wheelItemView4;

    public interface OnClickCallBack<D0, D1, D2, D3, D4> {
        boolean callBack(View view, D0 d0, D1 d1, D2 d2, D3 d3, D4 d4);
    }

    public ColumnWheelDialog(Context context) {
        this(context, R.style.WheelDialog);
        this.context = context;
    }

    private ColumnWheelDialog(Context context, int i2) {
        super(context, i2);
        this.clickTipsWhenIsScrolling = "Scrolling, wait a minute.";
        this.cancelCallBack = null;
        this.okCallBack = null;
        this.isViewInitialized = false;
        this.context = context;
    }

    @Override // android.app.Dialog
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        requestWindowFeature(1);
        if (getWindow() != null) {
            getWindow().setGravity(80);
            getWindow().setBackgroundDrawable(null);
            getWindow().getDecorView().setBackgroundColor(0);
        }
        setContentView(R.layout.wheel_dialog_base);
        initView();
    }

    public void setUnit(String str, String str2, String str3, String str4, String str5) {
        setUnit(str, str2, str3, str4, str5, false);
    }

    public void setUnit(String str, String str2, String str3, String str4, String str5, boolean z) {
        this.wheelItemView0.setUnit(str, z);
        this.wheelItemView1.setUnit(str2, z);
        this.wheelItemView2.setUnit(str3, z);
        this.wheelItemView3.setUnit(str4, z);
        this.wheelItemView4.setUnit(str5, z);
    }

    private void initView() {
        this.isViewInitialized = true;
        LinearLayout linearLayout = (LinearLayout) findViewById(R.id.wheel_id_picker_container);
        WheelItemView wheelItemView = new WheelItemView(linearLayout.getContext());
        this.wheelItemView0 = wheelItemView;
        linearLayout.addView(wheelItemView, new LinearLayout.LayoutParams(0, -2, 1.0f));
        WheelItemView wheelItemView2 = new WheelItemView(linearLayout.getContext());
        this.wheelItemView1 = wheelItemView2;
        linearLayout.addView(wheelItemView2, new LinearLayout.LayoutParams(0, -2, 1.0f));
        this.wheelItemView2 = new WheelItemView(linearLayout.getContext());
        this.wheelItemView3 = new WheelItemView(linearLayout.getContext());
        this.wheelItemView4 = new WheelItemView(linearLayout.getContext());
        float f2 = this.textSize;
        if (f2 > 0.0f) {
            this.wheelItemView0.setTextSize(f2);
            this.wheelItemView1.setTextSize(this.textSize);
            this.wheelItemView2.setTextSize(this.textSize);
            this.wheelItemView3.setTextSize(this.textSize);
            this.wheelItemView4.setTextSize(this.textSize);
        }
        int i2 = this.itemVerticalSpace;
        if (i2 > 0) {
            this.wheelItemView0.setItemVerticalSpace(i2);
            this.wheelItemView1.setItemVerticalSpace(this.itemVerticalSpace);
            this.wheelItemView2.setItemVerticalSpace(this.itemVerticalSpace);
            this.wheelItemView3.setItemVerticalSpace(this.itemVerticalSpace);
            this.wheelItemView4.setItemVerticalSpace(this.itemVerticalSpace);
        }
        this.tvTitle = (TextView) findViewById(R.id.wheel_id_title_bar_title);
        this.tvCancel = (TextView) findViewById(R.id.wheel_id_title_bar_cancel);
        this.tvOK = (TextView) findViewById(R.id.wheel_id_title_bar_ok);
        this.tvCancel.setOnClickListener(new View.OnClickListener() { // from class: jsc.kit.wheel.dialog.ColumnWheelDialog.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (ColumnWheelDialog.this.cancelCallBack == null) {
                    ColumnWheelDialog.this.dismiss();
                    return;
                }
                if (ColumnWheelDialog.this.cancelCallBack.callBack(view, ColumnWheelDialog.this.wheelItemView0.isShown() ? ColumnWheelDialog.this.items0[ColumnWheelDialog.this.wheelItemView0.getSelectedIndex()] : null, ColumnWheelDialog.this.wheelItemView1.isShown() ? ColumnWheelDialog.this.items1[ColumnWheelDialog.this.wheelItemView1.getSelectedIndex()] : null, ColumnWheelDialog.this.wheelItemView2.isShown() ? ColumnWheelDialog.this.items2[ColumnWheelDialog.this.wheelItemView2.getSelectedIndex()] : null, ColumnWheelDialog.this.wheelItemView3.isShown() ? ColumnWheelDialog.this.items3[ColumnWheelDialog.this.wheelItemView3.getSelectedIndex()] : null, ColumnWheelDialog.this.wheelItemView4.isShown() ? ColumnWheelDialog.this.items4[ColumnWheelDialog.this.wheelItemView4.getSelectedIndex()] : null)) {
                    return;
                }
                ColumnWheelDialog.this.dismiss();
            }
        });
        this.tvOK.setOnClickListener(new View.OnClickListener() { // from class: jsc.kit.wheel.dialog.ColumnWheelDialog.2
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (ColumnWheelDialog.this.okCallBack != null) {
                    if (ColumnWheelDialog.this.isScrolling()) {
                        if (TextUtils.isEmpty(ColumnWheelDialog.this.clickTipsWhenIsScrolling)) {
                            return;
                        }
                        Toast.makeText(view.getContext(), ColumnWheelDialog.this.clickTipsWhenIsScrolling, 0).show();
                        return;
                    } else {
                        if (ColumnWheelDialog.this.okCallBack.callBack(view, ColumnWheelDialog.this.wheelItemView0.isShown() ? ColumnWheelDialog.this.items0[ColumnWheelDialog.this.wheelItemView0.getSelectedIndex()] : null, ColumnWheelDialog.this.wheelItemView1.isShown() ? ColumnWheelDialog.this.items1[ColumnWheelDialog.this.wheelItemView1.getSelectedIndex()] : null, ColumnWheelDialog.this.wheelItemView2.isShown() ? ColumnWheelDialog.this.items2[ColumnWheelDialog.this.wheelItemView2.getSelectedIndex()] : null, ColumnWheelDialog.this.wheelItemView3.isShown() ? ColumnWheelDialog.this.items3[ColumnWheelDialog.this.wheelItemView3.getSelectedIndex()] : null, ColumnWheelDialog.this.wheelItemView4.isShown() ? ColumnWheelDialog.this.items4[ColumnWheelDialog.this.wheelItemView4.getSelectedIndex()] : null)) {
                            return;
                        }
                        ColumnWheelDialog.this.dismiss();
                        return;
                    }
                }
                ColumnWheelDialog.this.dismiss();
            }
        });
    }

    @Override // android.app.Dialog
    public void show() {
        super.show();
        if (getWindow() != null) {
            getWindow().setLayout(-1, -2);
        }
    }

    public void setClickTipsWhenIsScrolling(CharSequence charSequence) {
        this.clickTipsWhenIsScrolling = charSequence;
    }

    @Override // android.app.Dialog
    public void setTitle(CharSequence charSequence) {
        ensureIsViewInitialized();
        this.tvTitle.setText(charSequence);
    }

    public void setTextSize(float f2) {
        this.textSize = f2;
        WheelItemView wheelItemView = this.wheelItemView0;
        if (wheelItemView == null || f2 <= 0.0f) {
            return;
        }
        wheelItemView.setTextSize(f2);
        this.wheelItemView1.setTextSize(f2);
        this.wheelItemView2.setTextSize(f2);
        this.wheelItemView3.setTextSize(f2);
        this.wheelItemView4.setTextSize(f2);
    }

    public void setItemVerticalSpace(int i2) {
        this.itemVerticalSpace = i2;
        if (i2 > 0) {
            this.wheelItemView0.setItemVerticalSpace(i2);
            this.wheelItemView1.setItemVerticalSpace(i2);
            this.wheelItemView2.setItemVerticalSpace(i2);
            this.wheelItemView3.setItemVerticalSpace(i2);
            this.wheelItemView4.setItemVerticalSpace(i2);
        }
    }

    public void setOKButton(CharSequence charSequence, OnClickCallBack<T0, T1, T2, T3, T4> onClickCallBack) {
        ensureIsViewInitialized();
        this.tvOK.setText(charSequence);
        this.okCallBack = onClickCallBack;
    }

    public void setCancelButton(CharSequence charSequence, OnClickCallBack<T0, T1, T2, T3, T4> onClickCallBack) {
        ensureIsViewInitialized();
        this.tvCancel.setText(charSequence);
        this.cancelCallBack = onClickCallBack;
    }

    public void setItems(T0[] t0Arr, T1[] t1Arr, T2[] t2Arr, T3[] t3Arr, T4[] t4Arr) {
        setItems(t0Arr, t1Arr, t2Arr, t3Arr, t4Arr, -1);
    }

    public void setItems(T0[] t0Arr, T1[] t1Arr, T2[] t2Arr, T3[] t3Arr, T4[] t4Arr, int i2) {
        ensureIsViewInitialized();
        if (i2 == -1) {
            i2 = getContext().getResources().getDimensionPixelSize(R.dimen.wheel_picker_total_offset_x);
        }
        this.items0 = t0Arr;
        this.items1 = t1Arr;
        this.items2 = t2Arr;
        this.items3 = t3Arr;
        this.items4 = t4Arr;
        updateShowPicker(this.wheelItemView0, t0Arr);
        updateShowPicker(this.wheelItemView1, t1Arr);
        updateShowPicker(this.wheelItemView2, t2Arr);
        updateShowPicker(this.wheelItemView3, t3Arr);
        updateShowPicker(this.wheelItemView4, t4Arr);
        updateOffsetX(i2);
    }

    public void setSelected(int i2, int i3, int i4, int i5, int i6) {
        executeSelected(this.wheelItemView0, i2);
        executeSelected(this.wheelItemView1, i3);
        executeSelected(this.wheelItemView2, i4);
        executeSelected(this.wheelItemView3, i5);
        executeSelected(this.wheelItemView4, i6);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public boolean isScrolling() {
        return isScrolling(this.wheelItemView0) || isScrolling(this.wheelItemView1) || isScrolling(this.wheelItemView2) || isScrolling(this.wheelItemView3) || isScrolling(this.wheelItemView4);
    }

    private void ensureIsViewInitialized() {
        if (!this.isViewInitialized) {
            throw new IllegalStateException("View wasn't initialized, call show() first.");
        }
    }

    private void updateShowPicker(WheelItemView wheelItemView, IWheel[] iWheelArr) {
        boolean z = iWheelArr == null || iWheelArr.length == 0;
        wheelItemView.setVisibility(z ? 8 : 0);
        if (z) {
            return;
        }
        wheelItemView.setItems(iWheelArr);
    }

    private void executeSelected(WheelItemView wheelItemView, int i2) {
        if (wheelItemView.isShown()) {
            wheelItemView.setSelectedIndex(i2);
        }
    }

    private void updateOffsetX(int i2) {
        ArrayList arrayList = new ArrayList();
        addVisibleView(arrayList, this.wheelItemView0);
        addVisibleView(arrayList, this.wheelItemView1);
        addVisibleView(arrayList, this.wheelItemView2);
        addVisibleView(arrayList, this.wheelItemView3);
        addVisibleView(arrayList, this.wheelItemView4);
        for (int i3 = 0; i3 < arrayList.size(); i3++) {
            arrayList.get(i3).setTotalOffsetX(0);
        }
        if (arrayList.size() > 2) {
            arrayList.get(0).setTotalOffsetX(i2);
            arrayList.get(arrayList.size() - 1).setTotalOffsetX(-i2);
        }
    }

    private void addVisibleView(List<WheelItemView> list, WheelItemView wheelItemView) {
        if (wheelItemView.isShown()) {
            list.add(wheelItemView);
        }
    }

    private boolean isScrolling(WheelItemView wheelItemView) {
        return wheelItemView.isShown() && wheelItemView.isScrolling();
    }
}
