package jsc.kit.wheel.dialog;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.util.Locale;
import jsc.kit.wheel.base.IWheel;

/* loaded from: classes2.dex */
public class DateItem implements IWheel {
    public static final int TYPE_DAY = 2;
    public static final int TYPE_HOUR = 3;
    public static final int TYPE_MINUTE = 4;
    public static final int TYPE_MONTH = 1;
    public static final int TYPE_YEAR = 0;
    private int type;
    private int value;

    @Retention(RetentionPolicy.SOURCE)
    public @interface DateType {
    }

    public DateItem() {
    }

    public DateItem(int i2) {
        this(0, i2);
    }

    public DateItem(int i2, int i3) {
        this.type = i2;
        this.value = i3;
    }

    public int getValue() {
        return this.value;
    }

    public void setValue(int i2) {
        this.value = i2;
    }

    @Override // jsc.kit.wheel.base.IWheel
    public String getShowText() {
        Locale locale = Locale.CHINA;
        String formatStringByType = getFormatStringByType();
        Object[] objArr = new Object[1];
        StringBuilder sb = this.value < 10 ? new StringBuilder("0") : new StringBuilder("");
        sb.append(this.value);
        objArr[0] = sb.toString();
        return String.format(locale, formatStringByType, objArr);
    }

    private String getFormatStringByType() {
        int i2 = this.type;
        return i2 != 0 ? i2 != 1 ? i2 != 2 ? i2 != 3 ? i2 != 4 ? "" : "%s分" : "%s时" : "%s日" : "%s月" : "%s年";
    }
}
