package org.apache.commons.lang3;

import java.util.Random;
import org.apache.commons.text.RandomStringGenerator;

/* loaded from: classes4.dex */
public class RandomStringUtils {
    private static final Random RANDOM = new Random();

    public static String random(int i2) {
        return random(i2, false, false);
    }

    public static String randomAscii(int i2) {
        return random(i2, 32, 127, false, false);
    }

    public static String randomAscii(int i2, int i3) {
        return randomAscii(RandomUtils.nextInt(i2, i3));
    }

    public static String randomAlphabetic(int i2) {
        return random(i2, true, false);
    }

    public static String randomAlphabetic(int i2, int i3) {
        return randomAlphabetic(RandomUtils.nextInt(i2, i3));
    }

    public static String randomAlphanumeric(int i2) {
        return random(i2, true, true);
    }

    public static String randomAlphanumeric(int i2, int i3) {
        return randomAlphanumeric(RandomUtils.nextInt(i2, i3));
    }

    public static String randomGraph(int i2) {
        return random(i2, 33, 126, false, false);
    }

    public static String randomGraph(int i2, int i3) {
        return randomGraph(RandomUtils.nextInt(i2, i3));
    }

    public static String randomNumeric(int i2) {
        return random(i2, false, true);
    }

    public static String randomNumeric(int i2, int i3) {
        return randomNumeric(RandomUtils.nextInt(i2, i3));
    }

    public static String randomPrint(int i2) {
        return random(i2, 32, 126, false, false);
    }

    public static String randomPrint(int i2, int i3) {
        return randomPrint(RandomUtils.nextInt(i2, i3));
    }

    public static String random(int i2, boolean z, boolean z2) {
        return random(i2, 0, 0, z, z2);
    }

    public static String random(int i2, int i3, int i4, boolean z, boolean z2) {
        return random(i2, i3, i4, z, z2, null, RANDOM);
    }

    public static String random(int i2, int i3, int i4, boolean z, boolean z2, char... cArr) {
        return random(i2, i3, i4, z, z2, cArr, RANDOM);
    }

    public static String random(int i2, int i3, int i4, boolean z, boolean z2, char[] cArr, Random random) {
        int i5;
        if (i2 == 0) {
            return "";
        }
        if (i2 < 0) {
            throw new IllegalArgumentException("Requested random string length " + i2 + " is less than 0.");
        }
        if (cArr != null && cArr.length == 0) {
            throw new IllegalArgumentException("The chars array must not be empty");
        }
        if (i3 == 0 && i4 == 0) {
            if (cArr != null) {
                i4 = cArr.length;
            } else if (z || z2) {
                i4 = 123;
                i3 = 32;
            } else {
                i4 = RandomStringGenerator.Builder.DEFAULT_MAXIMUM_CODE_POINT;
            }
        } else if (i4 <= i3) {
            throw new IllegalArgumentException("Parameter end (" + i4 + ") must be greater than start (" + i3 + ")");
        }
        if (cArr == null && ((z2 && i4 <= 48) || (z && i4 <= 65))) {
            throw new IllegalArgumentException("Parameter end (" + i4 + ") must be greater then (48) for generating digits or greater then (65) for generating letters.");
        }
        StringBuilder sb = new StringBuilder(i2);
        int i6 = i4 - i3;
        while (true) {
            int i7 = i2 - 1;
            if (i2 != 0) {
                if (cArr == null) {
                    int nextInt = random.nextInt(i6) + i3;
                    int type = Character.getType(nextInt);
                    if (type != 0 && type != 18) {
                        i5 = nextInt;
                        if (type == 19) {
                        }
                    }
                    i2 = i7 + 1;
                } else {
                    i5 = cArr[random.nextInt(i6) + i3];
                }
                int charCount = Character.charCount(i5);
                if (i7 != 0 || charCount <= 1) {
                    if (!(z && Character.isLetter(i5)) && (!(z2 && Character.isDigit(i5)) && (z || z2))) {
                        i7++;
                    } else {
                        sb.appendCodePoint(i5);
                        if (charCount == 2) {
                            i7--;
                        }
                    }
                    i2 = i7;
                } else {
                    i2 = i7 + 1;
                }
            } else {
                return sb.toString();
            }
        }
    }

    public static String random(int i2, String str) {
        if (str == null) {
            return random(i2, 0, 0, false, false, null, RANDOM);
        }
        return random(i2, str.toCharArray());
    }

    public static String random(int i2, char... cArr) {
        if (cArr == null) {
            return random(i2, 0, 0, false, false, null, RANDOM);
        }
        return random(i2, 0, cArr.length, false, false, cArr, RANDOM);
    }
}
