package org.apache.commons.lang3.function;

import com.android.tools.r8.annotations.SynthesizedClassV2;
import java.lang.Throwable;
import java.util.Objects;
import org.apache.commons.lang3.function.FailableDoublePredicate;

@FunctionalInterface
/* loaded from: classes4.dex */
public interface FailableDoublePredicate<E extends Throwable> {
    public static final FailableDoublePredicate FALSE = new FailableDoublePredicate() { // from class: org.apache.commons.lang3.function.FailableDoublePredicate$$ExternalSyntheticLambda2
        @Override // org.apache.commons.lang3.function.FailableDoublePredicate
        public /* synthetic */ FailableDoublePredicate and(FailableDoublePredicate failableDoublePredicate) {
            return FailableDoublePredicate.CC.$default$and(this, failableDoublePredicate);
        }

        @Override // org.apache.commons.lang3.function.FailableDoublePredicate
        public /* synthetic */ FailableDoublePredicate negate() {
            return FailableDoublePredicate.CC.$default$negate(this);
        }

        @Override // org.apache.commons.lang3.function.FailableDoublePredicate
        public /* synthetic */ FailableDoublePredicate or(FailableDoublePredicate failableDoublePredicate) {
            return FailableDoublePredicate.CC.$default$or(this, failableDoublePredicate);
        }

        @Override // org.apache.commons.lang3.function.FailableDoublePredicate
        public final boolean test(double d2) {
            return FailableDoublePredicate.CC.lambda$static$0(d2);
        }
    };
    public static final FailableDoublePredicate TRUE = new FailableDoublePredicate() { // from class: org.apache.commons.lang3.function.FailableDoublePredicate$$ExternalSyntheticLambda3
        @Override // org.apache.commons.lang3.function.FailableDoublePredicate
        public /* synthetic */ FailableDoublePredicate and(FailableDoublePredicate failableDoublePredicate) {
            return FailableDoublePredicate.CC.$default$and(this, failableDoublePredicate);
        }

        @Override // org.apache.commons.lang3.function.FailableDoublePredicate
        public /* synthetic */ FailableDoublePredicate negate() {
            return FailableDoublePredicate.CC.$default$negate(this);
        }

        @Override // org.apache.commons.lang3.function.FailableDoublePredicate
        public /* synthetic */ FailableDoublePredicate or(FailableDoublePredicate failableDoublePredicate) {
            return FailableDoublePredicate.CC.$default$or(this, failableDoublePredicate);
        }

        @Override // org.apache.commons.lang3.function.FailableDoublePredicate
        public final boolean test(double d2) {
            return FailableDoublePredicate.CC.lambda$static$1(d2);
        }
    };

    FailableDoublePredicate<E> and(FailableDoublePredicate<E> failableDoublePredicate);

    FailableDoublePredicate<E> negate();

    FailableDoublePredicate<E> or(FailableDoublePredicate<E> failableDoublePredicate);

    boolean test(double d2) throws Throwable;

    @SynthesizedClassV2(kind = 8, versionHash = "7a5b85d3ee2e0991ca3502602e9389a98f55c0576b887125894a7ec03823f8d3")
    /* renamed from: org.apache.commons.lang3.function.FailableDoublePredicate$-CC, reason: invalid class name */
    public final /* synthetic */ class CC<E extends Throwable> {
        static {
            FailableDoublePredicate failableDoublePredicate = FailableDoublePredicate.FALSE;
        }

        public static /* synthetic */ boolean lambda$static$0(double d2) throws Throwable {
            return false;
        }

        public static /* synthetic */ boolean lambda$static$1(double d2) throws Throwable {
            return true;
        }

        public static <E extends Throwable> FailableDoublePredicate<E> falsePredicate() {
            return FailableDoublePredicate.FALSE;
        }

        public static <E extends Throwable> FailableDoublePredicate<E> truePredicate() {
            return FailableDoublePredicate.TRUE;
        }

        public static FailableDoublePredicate $default$and(final FailableDoublePredicate _this, final FailableDoublePredicate failableDoublePredicate) {
            Objects.requireNonNull(failableDoublePredicate);
            return new FailableDoublePredicate() { // from class: org.apache.commons.lang3.function.FailableDoublePredicate$$ExternalSyntheticLambda4
                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate and(FailableDoublePredicate failableDoublePredicate2) {
                    return FailableDoublePredicate.CC.$default$and(this, failableDoublePredicate2);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate negate() {
                    return FailableDoublePredicate.CC.$default$negate(this);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate or(FailableDoublePredicate failableDoublePredicate2) {
                    return FailableDoublePredicate.CC.$default$or(this, failableDoublePredicate2);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public final boolean test(double d2) {
                    return FailableDoublePredicate.CC.$private$lambda$and$2(FailableDoublePredicate.this, failableDoublePredicate, d2);
                }
            };
        }

        public static /* synthetic */ boolean $private$lambda$and$2(FailableDoublePredicate _this, FailableDoublePredicate failableDoublePredicate, double d2) throws Throwable {
            return _this.test(d2) && failableDoublePredicate.test(d2);
        }

        public static FailableDoublePredicate $default$negate(final FailableDoublePredicate _this) {
            return new FailableDoublePredicate() { // from class: org.apache.commons.lang3.function.FailableDoublePredicate$$ExternalSyntheticLambda1
                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate and(FailableDoublePredicate failableDoublePredicate) {
                    return FailableDoublePredicate.CC.$default$and(this, failableDoublePredicate);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate negate() {
                    return FailableDoublePredicate.CC.$default$negate(this);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate or(FailableDoublePredicate failableDoublePredicate) {
                    return FailableDoublePredicate.CC.$default$or(this, failableDoublePredicate);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public final boolean test(double d2) {
                    return FailableDoublePredicate.CC.$private$lambda$negate$3(FailableDoublePredicate.this, d2);
                }
            };
        }

        public static /* synthetic */ boolean $private$lambda$negate$3(FailableDoublePredicate _this, double d2) throws Throwable {
            return !_this.test(d2);
        }

        public static FailableDoublePredicate $default$or(final FailableDoublePredicate _this, final FailableDoublePredicate failableDoublePredicate) {
            Objects.requireNonNull(failableDoublePredicate);
            return new FailableDoublePredicate() { // from class: org.apache.commons.lang3.function.FailableDoublePredicate$$ExternalSyntheticLambda0
                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate and(FailableDoublePredicate failableDoublePredicate2) {
                    return FailableDoublePredicate.CC.$default$and(this, failableDoublePredicate2);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate negate() {
                    return FailableDoublePredicate.CC.$default$negate(this);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public /* synthetic */ FailableDoublePredicate or(FailableDoublePredicate failableDoublePredicate2) {
                    return FailableDoublePredicate.CC.$default$or(this, failableDoublePredicate2);
                }

                @Override // org.apache.commons.lang3.function.FailableDoublePredicate
                public final boolean test(double d2) {
                    return FailableDoublePredicate.CC.$private$lambda$or$4(FailableDoublePredicate.this, failableDoublePredicate, d2);
                }
            };
        }

        public static /* synthetic */ boolean $private$lambda$or$4(FailableDoublePredicate _this, FailableDoublePredicate failableDoublePredicate, double d2) throws Throwable {
            return _this.test(d2) || failableDoublePredicate.test(d2);
        }
    }
}
