package org.apache.commons.lang3.function;

import com.android.tools.r8.annotations.SynthesizedClassV2;
import com.yucheng.smarthealthpro.customchart.utils.Utils;
import java.lang.Throwable;
import java.util.Objects;
import org.apache.commons.lang3.function.FailableDoubleUnaryOperator;

/* loaded from: classes4.dex */
public interface FailableDoubleUnaryOperator<E extends Throwable> {
    public static final FailableDoubleUnaryOperator NOP = new FailableDoubleUnaryOperator() { // from class: org.apache.commons.lang3.function.FailableDoubleUnaryOperator$$ExternalSyntheticLambda0
        @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
        public /* synthetic */ FailableDoubleUnaryOperator andThen(FailableDoubleUnaryOperator failableDoubleUnaryOperator) {
            return FailableDoubleUnaryOperator.CC.$default$andThen(this, failableDoubleUnaryOperator);
        }

        @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
        public final double applyAsDouble(double d2) {
            double d3;
            d3 = Utils.DOUBLE_EPSILON;
            return d3;
        }

        @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
        public /* synthetic */ FailableDoubleUnaryOperator compose(FailableDoubleUnaryOperator failableDoubleUnaryOperator) {
            return FailableDoubleUnaryOperator.CC.$default$compose(this, failableDoubleUnaryOperator);
        }
    };

    FailableDoubleUnaryOperator<E> andThen(FailableDoubleUnaryOperator<E> failableDoubleUnaryOperator);

    double applyAsDouble(double d2) throws Throwable;

    FailableDoubleUnaryOperator<E> compose(FailableDoubleUnaryOperator<E> failableDoubleUnaryOperator);

    @SynthesizedClassV2(kind = 8, versionHash = "7a5b85d3ee2e0991ca3502602e9389a98f55c0576b887125894a7ec03823f8d3")
    /* renamed from: org.apache.commons.lang3.function.FailableDoubleUnaryOperator$-CC, reason: invalid class name */
    public final /* synthetic */ class CC<E extends Throwable> {
        static {
            FailableDoubleUnaryOperator failableDoubleUnaryOperator = FailableDoubleUnaryOperator.NOP;
        }

        public static /* synthetic */ double lambda$identity$1(double d2) throws Throwable {
            return d2;
        }

        public static <E extends Throwable> FailableDoubleUnaryOperator<E> identity() {
            return new FailableDoubleUnaryOperator() { // from class: org.apache.commons.lang3.function.FailableDoubleUnaryOperator$$ExternalSyntheticLambda1
                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public /* synthetic */ FailableDoubleUnaryOperator andThen(FailableDoubleUnaryOperator failableDoubleUnaryOperator) {
                    return FailableDoubleUnaryOperator.CC.$default$andThen(this, failableDoubleUnaryOperator);
                }

                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public final double applyAsDouble(double d2) {
                    return FailableDoubleUnaryOperator.CC.lambda$identity$1(d2);
                }

                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public /* synthetic */ FailableDoubleUnaryOperator compose(FailableDoubleUnaryOperator failableDoubleUnaryOperator) {
                    return FailableDoubleUnaryOperator.CC.$default$compose(this, failableDoubleUnaryOperator);
                }
            };
        }

        public static <E extends Throwable> FailableDoubleUnaryOperator<E> nop() {
            return FailableDoubleUnaryOperator.NOP;
        }

        public static FailableDoubleUnaryOperator $default$andThen(final FailableDoubleUnaryOperator _this, final FailableDoubleUnaryOperator failableDoubleUnaryOperator) {
            Objects.requireNonNull(failableDoubleUnaryOperator);
            return new FailableDoubleUnaryOperator() { // from class: org.apache.commons.lang3.function.FailableDoubleUnaryOperator$$ExternalSyntheticLambda2
                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public /* synthetic */ FailableDoubleUnaryOperator andThen(FailableDoubleUnaryOperator failableDoubleUnaryOperator2) {
                    return FailableDoubleUnaryOperator.CC.$default$andThen(this, failableDoubleUnaryOperator2);
                }

                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public final double applyAsDouble(double d2) {
                    double applyAsDouble;
                    applyAsDouble = failableDoubleUnaryOperator.applyAsDouble(FailableDoubleUnaryOperator.this.applyAsDouble(d2));
                    return applyAsDouble;
                }

                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public /* synthetic */ FailableDoubleUnaryOperator compose(FailableDoubleUnaryOperator failableDoubleUnaryOperator2) {
                    return FailableDoubleUnaryOperator.CC.$default$compose(this, failableDoubleUnaryOperator2);
                }
            };
        }

        public static FailableDoubleUnaryOperator $default$compose(final FailableDoubleUnaryOperator _this, final FailableDoubleUnaryOperator failableDoubleUnaryOperator) {
            Objects.requireNonNull(failableDoubleUnaryOperator);
            return new FailableDoubleUnaryOperator() { // from class: org.apache.commons.lang3.function.FailableDoubleUnaryOperator$$ExternalSyntheticLambda3
                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public /* synthetic */ FailableDoubleUnaryOperator andThen(FailableDoubleUnaryOperator failableDoubleUnaryOperator2) {
                    return FailableDoubleUnaryOperator.CC.$default$andThen(this, failableDoubleUnaryOperator2);
                }

                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public final double applyAsDouble(double d2) {
                    double applyAsDouble;
                    applyAsDouble = FailableDoubleUnaryOperator.this.applyAsDouble(failableDoubleUnaryOperator.applyAsDouble(d2));
                    return applyAsDouble;
                }

                @Override // org.apache.commons.lang3.function.FailableDoubleUnaryOperator
                public /* synthetic */ FailableDoubleUnaryOperator compose(FailableDoubleUnaryOperator failableDoubleUnaryOperator2) {
                    return FailableDoubleUnaryOperator.CC.$default$compose(this, failableDoubleUnaryOperator2);
                }
            };
        }
    }
}
