package org.apache.commons.lang3.function;

import com.android.tools.r8.annotations.SynthesizedClassV2;
import java.lang.Throwable;
import java.util.Objects;
import org.apache.commons.lang3.function.FailableIntPredicate;

@FunctionalInterface
/* loaded from: classes4.dex */
public interface FailableIntPredicate<E extends Throwable> {
    public static final FailableIntPredicate FALSE = new FailableIntPredicate() { // from class: org.apache.commons.lang3.function.FailableIntPredicate$$ExternalSyntheticLambda1
        @Override // org.apache.commons.lang3.function.FailableIntPredicate
        public /* synthetic */ FailableIntPredicate and(FailableIntPredicate failableIntPredicate) {
            return FailableIntPredicate.CC.$default$and(this, failableIntPredicate);
        }

        @Override // org.apache.commons.lang3.function.FailableIntPredicate
        public /* synthetic */ FailableIntPredicate negate() {
            return FailableIntPredicate.CC.$default$negate(this);
        }

        @Override // org.apache.commons.lang3.function.FailableIntPredicate
        public /* synthetic */ FailableIntPredicate or(FailableIntPredicate failableIntPredicate) {
            return FailableIntPredicate.CC.$default$or(this, failableIntPredicate);
        }

        @Override // org.apache.commons.lang3.function.FailableIntPredicate
        public final boolean test(int i2) {
            return FailableIntPredicate.CC.lambda$static$0(i2);
        }
    };
    public static final FailableIntPredicate TRUE = new FailableIntPredicate() { // from class: org.apache.commons.lang3.function.FailableIntPredicate$$ExternalSyntheticLambda2
        @Override // org.apache.commons.lang3.function.FailableIntPredicate
        public /* synthetic */ FailableIntPredicate and(FailableIntPredicate failableIntPredicate) {
            return FailableIntPredicate.CC.$default$and(this, failableIntPredicate);
        }

        @Override // org.apache.commons.lang3.function.FailableIntPredicate
        public /* synthetic */ FailableIntPredicate negate() {
            return FailableIntPredicate.CC.$default$negate(this);
        }

        @Override // org.apache.commons.lang3.function.FailableIntPredicate
        public /* synthetic */ FailableIntPredicate or(FailableIntPredicate failableIntPredicate) {
            return FailableIntPredicate.CC.$default$or(this, failableIntPredicate);
        }

        @Override // org.apache.commons.lang3.function.FailableIntPredicate
        public final boolean test(int i2) {
            return FailableIntPredicate.CC.lambda$static$1(i2);
        }
    };

    FailableIntPredicate<E> and(FailableIntPredicate<E> failableIntPredicate);

    FailableIntPredicate<E> negate();

    FailableIntPredicate<E> or(FailableIntPredicate<E> failableIntPredicate);

    boolean test(int i2) throws Throwable;

    @SynthesizedClassV2(kind = 8, versionHash = "7a5b85d3ee2e0991ca3502602e9389a98f55c0576b887125894a7ec03823f8d3")
    /* renamed from: org.apache.commons.lang3.function.FailableIntPredicate$-CC, reason: invalid class name */
    public final /* synthetic */ class CC<E extends Throwable> {
        static {
            FailableIntPredicate failableIntPredicate = FailableIntPredicate.FALSE;
        }

        public static /* synthetic */ boolean lambda$static$0(int i2) throws Throwable {
            return false;
        }

        public static /* synthetic */ boolean lambda$static$1(int i2) throws Throwable {
            return true;
        }

        public static <E extends Throwable> FailableIntPredicate<E> falsePredicate() {
            return FailableIntPredicate.FALSE;
        }

        public static <E extends Throwable> FailableIntPredicate<E> truePredicate() {
            return FailableIntPredicate.TRUE;
        }

        public static FailableIntPredicate $default$and(final FailableIntPredicate _this, final FailableIntPredicate failableIntPredicate) {
            Objects.requireNonNull(failableIntPredicate);
            return new FailableIntPredicate() { // from class: org.apache.commons.lang3.function.FailableIntPredicate$$ExternalSyntheticLambda3
                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate and(FailableIntPredicate failableIntPredicate2) {
                    return FailableIntPredicate.CC.$default$and(this, failableIntPredicate2);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate negate() {
                    return FailableIntPredicate.CC.$default$negate(this);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate or(FailableIntPredicate failableIntPredicate2) {
                    return FailableIntPredicate.CC.$default$or(this, failableIntPredicate2);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public final boolean test(int i2) {
                    return FailableIntPredicate.CC.$private$lambda$and$2(FailableIntPredicate.this, failableIntPredicate, i2);
                }
            };
        }

        public static /* synthetic */ boolean $private$lambda$and$2(FailableIntPredicate _this, FailableIntPredicate failableIntPredicate, int i2) throws Throwable {
            return _this.test(i2) && failableIntPredicate.test(i2);
        }

        public static FailableIntPredicate $default$negate(final FailableIntPredicate _this) {
            return new FailableIntPredicate() { // from class: org.apache.commons.lang3.function.FailableIntPredicate$$ExternalSyntheticLambda0
                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate and(FailableIntPredicate failableIntPredicate) {
                    return FailableIntPredicate.CC.$default$and(this, failableIntPredicate);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate negate() {
                    return FailableIntPredicate.CC.$default$negate(this);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate or(FailableIntPredicate failableIntPredicate) {
                    return FailableIntPredicate.CC.$default$or(this, failableIntPredicate);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public final boolean test(int i2) {
                    return FailableIntPredicate.CC.$private$lambda$negate$3(FailableIntPredicate.this, i2);
                }
            };
        }

        public static /* synthetic */ boolean $private$lambda$negate$3(FailableIntPredicate _this, int i2) throws Throwable {
            return !_this.test(i2);
        }

        public static FailableIntPredicate $default$or(final FailableIntPredicate _this, final FailableIntPredicate failableIntPredicate) {
            Objects.requireNonNull(failableIntPredicate);
            return new FailableIntPredicate() { // from class: org.apache.commons.lang3.function.FailableIntPredicate$$ExternalSyntheticLambda4
                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate and(FailableIntPredicate failableIntPredicate2) {
                    return FailableIntPredicate.CC.$default$and(this, failableIntPredicate2);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate negate() {
                    return FailableIntPredicate.CC.$default$negate(this);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public /* synthetic */ FailableIntPredicate or(FailableIntPredicate failableIntPredicate2) {
                    return FailableIntPredicate.CC.$default$or(this, failableIntPredicate2);
                }

                @Override // org.apache.commons.lang3.function.FailableIntPredicate
                public final boolean test(int i2) {
                    return FailableIntPredicate.CC.$private$lambda$or$4(FailableIntPredicate.this, failableIntPredicate, i2);
                }
            };
        }

        public static /* synthetic */ boolean $private$lambda$or$4(FailableIntPredicate _this, FailableIntPredicate failableIntPredicate, int i2) throws Throwable {
            return _this.test(i2) || failableIntPredicate.test(i2);
        }
    }
}
