package org.apache.commons.text;

import java.util.HashSet;
import java.util.Set;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.apache.commons.lang3.ArrayUtils;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.Validate;

/* loaded from: classes4.dex */
public class WordUtils {
    public static String wrap(String str, int i2) {
        return wrap(str, i2, null, false);
    }

    public static String wrap(String str, int i2, String str2, boolean z) {
        return wrap(str, i2, str2, z, " ");
    }

    public static String wrap(String str, int i2, String str2, boolean z, String str3) {
        int i3;
        int i4;
        if (str == null) {
            return null;
        }
        if (str2 == null) {
            str2 = System.lineSeparator();
        }
        if (i2 < 1) {
            i2 = 1;
        }
        if (StringUtils.isBlank(str3)) {
            str3 = " ";
        }
        Pattern compile = Pattern.compile(str3);
        int length = str.length();
        StringBuilder sb = new StringBuilder(length + 32);
        int i5 = 0;
        loop0: while (true) {
            i3 = -1;
            while (i5 < length) {
                Matcher matcher = compile.matcher(str.substring(i5, Math.min((int) Math.min(2147483647L, i5 + i2 + 1), length)));
                if (matcher.find()) {
                    if (matcher.start() == 0) {
                        i3 = matcher.end() - matcher.start();
                        if (i3 != 0) {
                            i5 += matcher.end();
                        } else {
                            i5++;
                        }
                    }
                    i4 = matcher.start() + i5;
                } else {
                    i4 = -1;
                }
                if (length - i5 <= i2) {
                    break loop0;
                }
                while (matcher.find()) {
                    i4 = matcher.start() + i5;
                }
                if (i4 >= i5) {
                    sb.append((CharSequence) str, i5, i4);
                    sb.append(str2);
                } else if (z) {
                    if (i3 == 0) {
                        i5--;
                    }
                    int i6 = i2 + i5;
                    sb.append((CharSequence) str, i5, i6);
                    sb.append(str2);
                    i5 = i6;
                } else {
                    Matcher matcher2 = compile.matcher(str.substring(i5 + i2));
                    if (matcher2.find()) {
                        i3 = matcher2.end() - matcher2.start();
                        i4 = matcher2.start() + i5 + i2;
                    }
                    if (i4 >= 0) {
                        if (i3 == 0 && i5 != 0) {
                            i5--;
                        }
                        sb.append((CharSequence) str, i5, i4);
                        sb.append(str2);
                    } else {
                        if (i3 == 0 && i5 != 0) {
                            i5--;
                        }
                        sb.append((CharSequence) str, i5, str.length());
                        i5 = length;
                    }
                }
                i5 = i4 + 1;
            }
            break loop0;
        }
        if (i3 == 0 && i5 < length) {
            i5--;
        }
        sb.append((CharSequence) str, i5, str.length());
        return sb.toString();
    }

    public static String capitalize(String str) {
        return capitalize(str, null);
    }

    public static String capitalize(String str, char... cArr) {
        int codePointAt;
        if (StringUtils.isEmpty(str)) {
            return str;
        }
        Set<Integer> generateDelimiterSet = generateDelimiterSet(cArr);
        int length = str.length();
        int[] iArr = new int[length];
        int i2 = 0;
        int i3 = 0;
        while (true) {
            boolean z = true;
            while (i2 < length) {
                codePointAt = str.codePointAt(i2);
                if (generateDelimiterSet.contains(Integer.valueOf(codePointAt))) {
                    break;
                }
                if (z) {
                    int titleCase = Character.toTitleCase(codePointAt);
                    iArr[i3] = titleCase;
                    i2 += Character.charCount(titleCase);
                    z = false;
                    i3++;
                } else {
                    iArr[i3] = codePointAt;
                    i2 += Character.charCount(codePointAt);
                    i3++;
                }
            }
            return new String(iArr, 0, i3);
            iArr[i3] = codePointAt;
            i2 += Character.charCount(codePointAt);
            i3++;
        }
    }

    public static String capitalizeFully(String str) {
        return capitalizeFully(str, null);
    }

    public static String capitalizeFully(String str, char... cArr) {
        return StringUtils.isEmpty(str) ? str : capitalize(str.toLowerCase(), cArr);
    }

    public static String uncapitalize(String str) {
        return uncapitalize(str, null);
    }

    public static String uncapitalize(String str, char... cArr) {
        int codePointAt;
        if (StringUtils.isEmpty(str)) {
            return str;
        }
        Set<Integer> generateDelimiterSet = generateDelimiterSet(cArr);
        int length = str.length();
        int[] iArr = new int[length];
        int i2 = 0;
        int i3 = 0;
        while (true) {
            boolean z = true;
            while (i2 < length) {
                codePointAt = str.codePointAt(i2);
                if (generateDelimiterSet.contains(Integer.valueOf(codePointAt))) {
                    break;
                }
                if (z) {
                    int lowerCase = Character.toLowerCase(codePointAt);
                    iArr[i3] = lowerCase;
                    i2 += Character.charCount(lowerCase);
                    z = false;
                    i3++;
                } else {
                    iArr[i3] = codePointAt;
                    i2 += Character.charCount(codePointAt);
                    i3++;
                }
            }
            return new String(iArr, 0, i3);
            iArr[i3] = codePointAt;
            i2 += Character.charCount(codePointAt);
            i3++;
        }
    }

    public static String swapCase(String str) {
        if (StringUtils.isEmpty(str)) {
            return str;
        }
        int length = str.length();
        int[] iArr = new int[length];
        boolean z = true;
        int i2 = 0;
        int i3 = 0;
        while (i2 < length) {
            int codePointAt = str.codePointAt(i2);
            if (Character.isUpperCase(codePointAt) || Character.isTitleCase(codePointAt)) {
                codePointAt = Character.toLowerCase(codePointAt);
            } else {
                if (!Character.isLowerCase(codePointAt)) {
                    z = Character.isWhitespace(codePointAt);
                } else if (z) {
                    codePointAt = Character.toTitleCase(codePointAt);
                } else {
                    codePointAt = Character.toUpperCase(codePointAt);
                }
                iArr[i3] = codePointAt;
                i2 += Character.charCount(codePointAt);
                i3++;
            }
            z = false;
            iArr[i3] = codePointAt;
            i2 += Character.charCount(codePointAt);
            i3++;
        }
        return new String(iArr, 0, i3);
    }

    public static String initials(String str) {
        return initials(str, null);
    }

    public static String initials(String str, char... cArr) {
        if (StringUtils.isEmpty(str)) {
            return str;
        }
        if (cArr != null && cArr.length == 0) {
            return "";
        }
        Set<Integer> generateDelimiterSet = generateDelimiterSet(cArr);
        int length = str.length();
        int[] iArr = new int[(length / 2) + 1];
        boolean z = true;
        int i2 = 0;
        int i3 = 0;
        while (i2 < length) {
            int codePointAt = str.codePointAt(i2);
            if (generateDelimiterSet.contains(Integer.valueOf(codePointAt)) || (cArr == null && Character.isWhitespace(codePointAt))) {
                z = true;
            } else if (z) {
                iArr[i3] = codePointAt;
                i3++;
                z = false;
            }
            i2 += Character.charCount(codePointAt);
        }
        return new String(iArr, 0, i3);
    }

    public static boolean containsAllWords(CharSequence charSequence, CharSequence... charSequenceArr) {
        if (StringUtils.isEmpty(charSequence) || ArrayUtils.isEmpty(charSequenceArr)) {
            return false;
        }
        for (CharSequence charSequence2 : charSequenceArr) {
            if (StringUtils.isBlank(charSequence2)) {
                return false;
            }
            if (!Pattern.compile(".*\\b" + ((Object) charSequence2) + "\\b.*").matcher(charSequence).matches()) {
                return false;
            }
        }
        return true;
    }

    @Deprecated
    public static boolean isDelimiter(char c2, char[] cArr) {
        if (cArr == null) {
            return Character.isWhitespace(c2);
        }
        for (char c3 : cArr) {
            if (c2 == c3) {
                return true;
            }
        }
        return false;
    }

    @Deprecated
    public static boolean isDelimiter(int i2, char[] cArr) {
        if (cArr == null) {
            return Character.isWhitespace(i2);
        }
        for (int i3 = 0; i3 < cArr.length; i3++) {
            if (Character.codePointAt(cArr, i3) == i2) {
                return true;
            }
        }
        return false;
    }

    public static String abbreviate(String str, int i2, int i3, String str2) {
        boolean z = true;
        Validate.isTrue(i3 >= -1, "upper value cannot be less than -1", new Object[0]);
        if (i3 < i2 && i3 != -1) {
            z = false;
        }
        Validate.isTrue(z, "upper value is less than lower value", new Object[0]);
        if (StringUtils.isEmpty(str)) {
            return str;
        }
        if (i2 > str.length()) {
            i2 = str.length();
        }
        if (i3 == -1 || i3 > str.length()) {
            i3 = str.length();
        }
        StringBuilder sb = new StringBuilder();
        int indexOf = StringUtils.indexOf(str, " ", i2);
        if (indexOf == -1) {
            sb.append((CharSequence) str, 0, i3);
            if (i3 != str.length()) {
                sb.append(StringUtils.defaultString(str2));
            }
        } else if (indexOf > i3) {
            sb.append((CharSequence) str, 0, i3);
            sb.append(StringUtils.defaultString(str2));
        } else {
            sb.append((CharSequence) str, 0, indexOf);
            sb.append(StringUtils.defaultString(str2));
        }
        return sb.toString();
    }

    private static Set<Integer> generateDelimiterSet(char[] cArr) {
        HashSet hashSet = new HashSet();
        if (cArr == null || cArr.length == 0) {
            if (cArr == null) {
                hashSet.add(Integer.valueOf(Character.codePointAt(new char[]{' '}, 0)));
            }
            return hashSet;
        }
        for (int i2 = 0; i2 < cArr.length; i2++) {
            hashSet.add(Integer.valueOf(Character.codePointAt(cArr, i2)));
        }
        return hashSet;
    }
}
