package org.apache.commons.text.diff;

/* loaded from: classes4.dex */
public class StringsComparator {
    private final String left;
    private final String right;
    private final int[] vDown;
    private final int[] vUp;

    public StringsComparator(String str, String str2) {
        this.left = str;
        this.right = str2;
        int length = str.length() + str2.length() + 2;
        this.vDown = new int[length];
        this.vUp = new int[length];
    }

    public EditScript<Character> getScript() {
        EditScript<Character> editScript = new EditScript<>();
        buildScript(0, this.left.length(), 0, this.right.length(), editScript);
        return editScript;
    }

    private void buildScript(int i2, int i3, int i4, int i5, EditScript<Character> editScript) {
        Snake middleSnake = getMiddleSnake(i2, i3, i4, i5);
        if (middleSnake != null && ((middleSnake.getStart() != i3 || middleSnake.getDiag() != i3 - i5) && (middleSnake.getEnd() != i2 || middleSnake.getDiag() != i2 - i4))) {
            buildScript(i2, middleSnake.getStart(), i4, middleSnake.getStart() - middleSnake.getDiag(), editScript);
            for (int start = middleSnake.getStart(); start < middleSnake.getEnd(); start++) {
                editScript.append(new KeepCommand<>(Character.valueOf(this.left.charAt(start))));
            }
            buildScript(middleSnake.getEnd(), i3, middleSnake.getEnd() - middleSnake.getDiag(), i5, editScript);
            return;
        }
        int i6 = i2;
        int i7 = i4;
        while (true) {
            if (i6 >= i3 && i7 >= i5) {
                return;
            }
            if (i6 < i3 && i7 < i5 && this.left.charAt(i6) == this.right.charAt(i7)) {
                editScript.append(new KeepCommand<>(Character.valueOf(this.left.charAt(i6))));
                i6++;
            } else if (i3 - i2 > i5 - i4) {
                editScript.append(new DeleteCommand<>(Character.valueOf(this.left.charAt(i6))));
                i6++;
            } else {
                editScript.append(new InsertCommand<>(Character.valueOf(this.right.charAt(i7))));
            }
            i7++;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:15:0x0039, code lost:
    
        if (r6[r5 - 1] < r6[r5 + 1]) goto L21;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x00ac, code lost:
    
        if (r6[r7 + 1] <= r6[r7 - 1]) goto L49;
     */
    /* JADX WARN: Code restructure failed: missing block: B:79:0x0105, code lost:
    
        r0 = r0 + 1;
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private org.apache.commons.text.diff.StringsComparator.Snake getMiddleSnake(int r12, int r13, int r14, int r15) {
        /*
            Method dump skipped, instructions count: 275
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: org.apache.commons.text.diff.StringsComparator.getMiddleSnake(int, int, int, int):org.apache.commons.text.diff.StringsComparator$Snake");
    }

    private Snake buildSnake(int i2, int i3, int i4, int i5) {
        int i6 = i2;
        while (true) {
            int i7 = i6 - i3;
            if (i7 >= i5 || i6 >= i4 || this.left.charAt(i6) != this.right.charAt(i7)) {
                break;
            }
            i6++;
        }
        return new Snake(i2, i6, i3);
    }

    private static class Snake {
        private final int diag;
        private final int end;
        private final int start;

        Snake(int i2, int i3, int i4) {
            this.start = i2;
            this.end = i3;
            this.diag = i4;
        }

        public int getStart() {
            return this.start;
        }

        public int getEnd() {
            return this.end;
        }

        public int getDiag() {
            return this.diag;
        }
    }
}
