package org.apache.commons.text.similarity;

import com.yucheng.smarthealthpro.customchart.utils.Utils;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;

/* loaded from: classes4.dex */
public class CosineSimilarity {
    public Double cosineSimilarity(Map<CharSequence, Integer> map, Map<CharSequence, Integer> map2) {
        if (map == null || map2 == null) {
            throw new IllegalArgumentException("Vectors must not be null");
        }
        double dot = dot(map, map2, getIntersection(map, map2));
        Iterator<Integer> it2 = map.values().iterator();
        double d2 = Utils.DOUBLE_EPSILON;
        double d3 = 0.0d;
        while (it2.hasNext()) {
            d3 += Math.pow(it2.next().intValue(), 2.0d);
        }
        Iterator<Integer> it3 = map2.values().iterator();
        double d4 = 0.0d;
        while (it3.hasNext()) {
            d4 += Math.pow(it3.next().intValue(), 2.0d);
        }
        if (d3 > Utils.DOUBLE_EPSILON && d4 > Utils.DOUBLE_EPSILON) {
            d2 = dot / (Math.sqrt(d3) * Math.sqrt(d4));
        }
        return Double.valueOf(d2);
    }

    private Set<CharSequence> getIntersection(Map<CharSequence, Integer> map, Map<CharSequence, Integer> map2) {
        HashSet hashSet = new HashSet(map.keySet());
        hashSet.retainAll(map2.keySet());
        return hashSet;
    }

    private double dot(Map<CharSequence, Integer> map, Map<CharSequence, Integer> map2, Set<CharSequence> set) {
        long j2 = 0;
        for (CharSequence charSequence : set) {
            j2 += map.get(charSequence).intValue() * map2.get(charSequence).intValue();
        }
        return j2;
    }
}
