package org.apache.commons.text.similarity;

import com.yucheng.smarthealthpro.customchart.utils.Utils;
import java.util.HashSet;

/* loaded from: classes4.dex */
public class JaccardSimilarity implements SimilarityScore<Double> {
    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.apache.commons.text.similarity.SimilarityScore
    public Double apply(CharSequence charSequence, CharSequence charSequence2) {
        if (charSequence == null || charSequence2 == null) {
            throw new IllegalArgumentException("Input cannot be null");
        }
        return calculateJaccardSimilarity(charSequence, charSequence2);
    }

    private Double calculateJaccardSimilarity(CharSequence charSequence, CharSequence charSequence2) {
        int length = charSequence.length();
        int length2 = charSequence2.length();
        if (length == 0 || length2 == 0) {
            return Double.valueOf(Utils.DOUBLE_EPSILON);
        }
        HashSet hashSet = new HashSet();
        for (int i2 = 0; i2 < length; i2++) {
            hashSet.add(Character.valueOf(charSequence.charAt(i2)));
        }
        HashSet hashSet2 = new HashSet();
        for (int i3 = 0; i3 < length2; i3++) {
            hashSet2.add(Character.valueOf(charSequence2.charAt(i3)));
        }
        new HashSet(hashSet).addAll(hashSet2);
        return Double.valueOf((((hashSet.size() + hashSet2.size()) - r8.size()) * 1.0d) / r8.size());
    }
}
