package org.apache.commons.text.similarity;

import java.lang.reflect.Array;

/* loaded from: classes4.dex */
public class LongestCommonSubsequence implements SimilarityScore<Integer> {
    /* JADX WARN: Can't rename method to resolve collision */
    @Override // org.apache.commons.text.similarity.SimilarityScore
    public Integer apply(CharSequence charSequence, CharSequence charSequence2) {
        if (charSequence == null || charSequence2 == null) {
            throw new IllegalArgumentException("Inputs must not be null");
        }
        return Integer.valueOf(longestCommonSubsequence(charSequence, charSequence2).length());
    }

    @Deprecated
    public CharSequence logestCommonSubsequence(CharSequence charSequence, CharSequence charSequence2) {
        return longestCommonSubsequence(charSequence, charSequence2);
    }

    public CharSequence longestCommonSubsequence(CharSequence charSequence, CharSequence charSequence2) {
        if (charSequence == null || charSequence2 == null) {
            throw new IllegalArgumentException("Inputs must not be null");
        }
        StringBuilder sb = new StringBuilder(Math.max(charSequence.length(), charSequence2.length()));
        int[][] longestCommonSubstringLengthArray = longestCommonSubstringLengthArray(charSequence, charSequence2);
        int length = charSequence.length() - 1;
        int length2 = charSequence2.length() - 1;
        int i2 = longestCommonSubstringLengthArray[charSequence.length()][charSequence2.length()];
        while (true) {
            i2--;
            while (i2 >= 0) {
                if (charSequence.charAt(length) == charSequence2.charAt(length2)) {
                    break;
                }
                if (longestCommonSubstringLengthArray[length + 1][length2] < longestCommonSubstringLengthArray[length][length2 + 1]) {
                    length--;
                } else {
                    length2--;
                }
            }
            return sb.reverse().toString();
            sb.append(charSequence.charAt(length));
            length--;
            length2--;
        }
    }

    public int[][] longestCommonSubstringLengthArray(CharSequence charSequence, CharSequence charSequence2) {
        int[][] iArr = (int[][]) Array.newInstance((Class<?>) Integer.TYPE, charSequence.length() + 1, charSequence2.length() + 1);
        for (int i2 = 0; i2 < charSequence.length(); i2++) {
            for (int i3 = 0; i3 < charSequence2.length(); i3++) {
                if (i2 == 0) {
                    iArr[i2][i3] = 0;
                }
                if (i3 == 0) {
                    iArr[i2][i3] = 0;
                }
                if (charSequence.charAt(i2) == charSequence2.charAt(i3)) {
                    iArr[i2 + 1][i3 + 1] = iArr[i2][i3] + 1;
                } else {
                    int[] iArr2 = iArr[i2 + 1];
                    int i4 = i3 + 1;
                    iArr2[i4] = Math.max(iArr2[i3], iArr[i2][i4]);
                }
            }
        }
        return iArr;
    }
}
