package org.joda.time.chrono;

import org.apache.commons.lang3.time.DateUtils;
import org.joda.time.Chronology;

/* loaded from: classes4.dex */
abstract class BasicGJChronology extends BasicChronology {
    private static final long FEB_29 = 5097600000L;
    private static final long serialVersionUID = 538276888268L;
    private static final int[] MIN_DAYS_PER_MONTH_ARRAY = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
    private static final int[] MAX_DAYS_PER_MONTH_ARRAY = {31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
    private static final long[] MIN_TOTAL_MILLIS_BY_MONTH_ARRAY = new long[12];
    private static final long[] MAX_TOTAL_MILLIS_BY_MONTH_ARRAY = new long[12];

    static {
        long j2 = 0;
        int i2 = 0;
        long j3 = 0;
        while (i2 < 11) {
            j2 += MIN_DAYS_PER_MONTH_ARRAY[i2] * DateUtils.MILLIS_PER_DAY;
            int i3 = i2 + 1;
            MIN_TOTAL_MILLIS_BY_MONTH_ARRAY[i3] = j2;
            j3 += MAX_DAYS_PER_MONTH_ARRAY[i2] * DateUtils.MILLIS_PER_DAY;
            MAX_TOTAL_MILLIS_BY_MONTH_ARRAY[i3] = j3;
            i2 = i3;
        }
    }

    BasicGJChronology(Chronology chronology, Object obj, int i2) {
        super(chronology, obj, i2);
    }

    @Override // org.joda.time.chrono.BasicChronology
    boolean isLeapDay(long j2) {
        return dayOfMonth().get(j2) == 29 && monthOfYear().isLeap(j2);
    }

    /* JADX WARN: Code restructure failed: missing block: B:11:?, code lost:
    
        return 3;
     */
    /* JADX WARN: Code restructure failed: missing block: B:14:?, code lost:
    
        return 2;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x003d, code lost:
    
        if (r13 < 12825000) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:22:?, code lost:
    
        return 6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:?, code lost:
    
        return 5;
     */
    /* JADX WARN: Code restructure failed: missing block: B:32:0x004e, code lost:
    
        if (r13 < 20587500) goto L57;
     */
    /* JADX WARN: Code restructure failed: missing block: B:34:?, code lost:
    
        return 9;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:?, code lost:
    
        return 8;
     */
    /* JADX WARN: Code restructure failed: missing block: B:42:0x005b, code lost:
    
        if (r13 < 28265625) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x00a8, code lost:
    
        return 12;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:?, code lost:
    
        return 11;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x006f, code lost:
    
        if (r13 < 4978125) goto L41;
     */
    /* JADX WARN: Code restructure failed: missing block: B:58:0x007f, code lost:
    
        if (r13 < 12740625) goto L48;
     */
    /* JADX WARN: Code restructure failed: missing block: B:64:0x0094, code lost:
    
        if (r13 < 20503125) goto L57;
     */
    /* JADX WARN: Code restructure failed: missing block: B:68:0x00a3, code lost:
    
        if (r13 < 28181250) goto L64;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0031, code lost:
    
        if (r13 < 5062500) goto L41;
     */
    @Override // org.joda.time.chrono.BasicChronology
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    int getMonthOfYear(long r13, int r15) {
        /*
            r12 = this;
            long r0 = r12.getYearMillis(r15)
            long r13 = r13 - r0
            r0 = 10
            long r13 = r13 >> r0
            int r13 = (int) r13
            boolean r14 = r12.isLeapYear(r15)
            r15 = 2
            r1 = 3
            r2 = 5
            r3 = 6
            r4 = 8
            r5 = 9
            r6 = 11
            r7 = 12
            r8 = 1
            r9 = 4
            r10 = 7
            r11 = 2615625(0x27e949, float:3.665271E-39)
            if (r14 == 0) goto L5e
            r14 = 15356250(0xea515a, float:2.151869E-38)
            if (r13 >= r14) goto L40
            r14 = 7678125(0x7528ad, float:1.0759345E-38)
            if (r13 >= r14) goto L34
            if (r13 >= r11) goto L2e
            goto L6a
        L2e:
            r14 = 5062500(0x4d3f64, float:7.094073E-39)
            if (r13 >= r14) goto L73
            goto L71
        L34:
            r14 = 10209375(0x9bc85f, float:1.4306382E-38)
            if (r13 >= r14) goto L3a
            goto L7a
        L3a:
            r14 = 12825000(0xc3b1a8, float:1.7971653E-38)
            if (r13 >= r14) goto L83
            goto L81
        L40:
            r14 = 23118750(0x160c39e, float:4.128265E-38)
            if (r13 >= r14) goto L51
            r14 = 17971875(0x1123aa3, float:2.6858035E-38)
            if (r13 >= r14) goto L4b
            goto L8f
        L4b:
            r14 = 20587500(0x13a23ec, float:3.4188577E-38)
            if (r13 >= r14) goto L98
            goto L96
        L51:
            r14 = 25734375(0x188ace7, float:5.020661E-38)
            if (r13 >= r14) goto L58
            goto La8
        L58:
            r14 = 28265625(0x1af4c99, float:6.439476E-38)
            if (r13 >= r14) goto La7
            goto La5
        L5e:
            r14 = 15271875(0xe907c3, float:2.1400455E-38)
            if (r13 >= r14) goto L85
            r14 = 7593750(0x73df16, float:1.064111E-38)
            if (r13 >= r14) goto L75
            if (r13 >= r11) goto L6c
        L6a:
            r0 = r8
            goto La8
        L6c:
            r14 = 4978125(0x4bf5cd, float:6.975839E-39)
            if (r13 >= r14) goto L73
        L71:
            r0 = r15
            goto La8
        L73:
            r0 = r1
            goto La8
        L75:
            r14 = 10125000(0x9a7ec8, float:1.4188147E-38)
            if (r13 >= r14) goto L7c
        L7a:
            r0 = r9
            goto La8
        L7c:
            r14 = 12740625(0xc26811, float:1.7853418E-38)
            if (r13 >= r14) goto L83
        L81:
            r0 = r2
            goto La8
        L83:
            r0 = r3
            goto La8
        L85:
            r14 = 23034375(0x15f7a07, float:4.1046182E-38)
            if (r13 >= r14) goto L9a
            r14 = 17887500(0x110f10c, float:2.6621566E-38)
            if (r13 >= r14) goto L91
        L8f:
            r0 = r10
            goto La8
        L91:
            r14 = 20503125(0x138da55, float:3.3952108E-38)
            if (r13 >= r14) goto L98
        L96:
            r0 = r4
            goto La8
        L98:
            r0 = r5
            goto La8
        L9a:
            r14 = 25650000(0x1876350, float:4.9733674E-38)
            if (r13 >= r14) goto La0
            goto La8
        La0:
            r14 = 28181250(0x1ae0302, float:6.392182E-38)
            if (r13 >= r14) goto La7
        La5:
            r0 = r6
            goto La8
        La7:
            r0 = r7
        La8:
            return r0
        */
        throw new UnsupportedOperationException("Method not decompiled: org.joda.time.chrono.BasicGJChronology.getMonthOfYear(long, int):int");
    }

    @Override // org.joda.time.chrono.BasicChronology
    int getDaysInYearMonth(int i2, int i3) {
        if (isLeapYear(i2)) {
            return MAX_DAYS_PER_MONTH_ARRAY[i3 - 1];
        }
        return MIN_DAYS_PER_MONTH_ARRAY[i3 - 1];
    }

    @Override // org.joda.time.chrono.BasicChronology
    int getDaysInMonthMax(int i2) {
        return MAX_DAYS_PER_MONTH_ARRAY[i2 - 1];
    }

    @Override // org.joda.time.chrono.BasicChronology
    int getDaysInMonthMaxForSet(long j2, int i2) {
        if (i2 > 28 || i2 < 1) {
            return getDaysInMonthMax(j2);
        }
        return 28;
    }

    @Override // org.joda.time.chrono.BasicChronology
    long getTotalMillisByYearMonth(int i2, int i3) {
        if (isLeapYear(i2)) {
            return MAX_TOTAL_MILLIS_BY_MONTH_ARRAY[i3 - 1];
        }
        return MIN_TOTAL_MILLIS_BY_MONTH_ARRAY[i3 - 1];
    }

    @Override // org.joda.time.chrono.BasicChronology
    long getYearDifference(long j2, long j3) {
        int year = getYear(j2);
        int year2 = getYear(j3);
        long yearMillis = j2 - getYearMillis(year);
        long yearMillis2 = j3 - getYearMillis(year2);
        if (yearMillis2 >= FEB_29) {
            if (isLeapYear(year2)) {
                if (!isLeapYear(year)) {
                    yearMillis2 -= DateUtils.MILLIS_PER_DAY;
                }
            } else if (yearMillis >= FEB_29 && isLeapYear(year)) {
                yearMillis -= DateUtils.MILLIS_PER_DAY;
            }
        }
        int i2 = year - year2;
        if (yearMillis < yearMillis2) {
            i2--;
        }
        return i2;
    }

    @Override // org.joda.time.chrono.BasicChronology
    long setYear(long j2, int i2) {
        int year = getYear(j2);
        int dayOfYear = getDayOfYear(j2, year);
        int millisOfDay = getMillisOfDay(j2);
        if (dayOfYear > 59) {
            if (isLeapYear(year)) {
                if (!isLeapYear(i2)) {
                    dayOfYear--;
                }
            } else if (isLeapYear(i2)) {
                dayOfYear++;
            }
        }
        return getYearMonthDayMillis(i2, 1, dayOfYear) + millisOfDay;
    }
}
